

#ifndef TREEBUILDER_H
#define TREEBUILDER_H

#include <list>
#include "BasicTypes.h"
#include "ObservedData.h"
#include "ptg_gen.h"
#include "vlAccess.h"
#include "CodeOut.h"


class TreeBuilder {
private:
  double convertion;
  PTGNode code;
  PTGNode nodeSize;
  VLHashtable nodes;
  VLHashtable edges;
  VLPoint graphSize;
  int nodeCount;

 void ptgEdge (PTGNode from , PTGNode to);
 void analyse(char *input);

public:
  TreeBuilder();
  void addNode(TreeContext tree, VLPoint size);
  void addEdge(TreeContext toTree, TreeContext fromTree);
  void solve(VLString ratio, VLPoint size);
  VLRegion getPosition(VLString objId);
  VLPointArray getEdgeList(VLString tailObjId,VLString headObjId);
  VLPoint getTreeSize();
};

typedef TreeBuilder *TreeBuilderPtr;

#endif
