

#include "VisContainerPosition2PtrList.h"
#include "err.h"
#include "obstack.h"

typedef struct {
  Obstack space;
  void *baseptr;
} Dyn, *DynP;

static DynP VisContainerPosition2PtrListSpace = (DynP)0;

#if defined(__STDC__) || defined(__cplusplus)
void FinlVisContainerPosition2PtrList (void)
#else
void FinlVisContainerPosition2PtrList ()
#endif
{
    if (VisContainerPosition2PtrListSpace != (DynP)0)
    {  obstack_free(&(VisContainerPosition2PtrListSpace->space), VisContainerPosition2PtrListSpace->baseptr);
       VisContainerPosition2PtrListSpace->baseptr = obstack_alloc(&(VisContainerPosition2PtrListSpace->space), 0);
    }
}/* FinlVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList ConsVisContainerPosition2PtrList (VisContainerPosition2Ptr e, VisContainerPosition2PtrList l)
#else
VisContainerPosition2PtrList ConsVisContainerPosition2PtrList (e, l)
        VisContainerPosition2Ptr        e;
        VisContainerPosition2PtrList    l;
#endif
{
    VisContainerPosition2PtrList        h;

    if (VisContainerPosition2PtrListSpace == (DynP)0)
    {   VisContainerPosition2PtrListSpace = (DynP) malloc (sizeof(Dyn));
        if (VisContainerPosition2PtrListSpace == (DynP)0)
        {  message (DEADLY, "no space for VisContainerPosition2PtrList", 0, (POSITION*)0);
           exit (1);
        }
        obstack_init(&(VisContainerPosition2PtrListSpace->space));
        VisContainerPosition2PtrListSpace->baseptr =
                obstack_alloc(&(VisContainerPosition2PtrListSpace->space), 0);
    }

    h = (VisContainerPosition2PtrList)obstack_alloc(&(VisContainerPosition2PtrListSpace->space),
                                  sizeof (struct _VisContainerPosition2PtrLE));
    h->head = e;
    h->tail= l;
    return (h);
}/* ConsVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2Ptr HeadVisContainerPosition2PtrList (VisContainerPosition2PtrList l)
#else
VisContainerPosition2Ptr HeadVisContainerPosition2PtrList (l)
        VisContainerPosition2PtrList    l;
#endif
{
    if (l == NULLVisContainerPosition2PtrList)
    {
        message (DEADLY, "HeadVisContainerPosition2PtrList: empty list", 0, (POSITION*)0);
        /* return ((VisContainerPosition2Ptr)0); */
    } /* if */
    return (l->head);
}/* HeadVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList TailVisContainerPosition2PtrList (VisContainerPosition2PtrList l)
#else
VisContainerPosition2PtrList TailVisContainerPosition2PtrList (l)
        VisContainerPosition2PtrList    l;
#endif
{
    return ((l==NULLVisContainerPosition2PtrList) ? NULLVisContainerPosition2PtrList : l->tail);
}/* TailVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
int LengthVisContainerPosition2PtrList (VisContainerPosition2PtrList l)
#else
int LengthVisContainerPosition2PtrList (l)
        VisContainerPosition2PtrList    l;
#endif
{
    int res = 0;

    for (; l; l = l->tail)
        res++;
    return (res);
}/* LengthVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2Ptr IthElemVisContainerPosition2PtrList (VisContainerPosition2PtrList l, int i)
#else
VisContainerPosition2Ptr IthElemVisContainerPosition2PtrList (l, i)
        VisContainerPosition2PtrList    l;
        int     i;
#endif
{
    while ((i>1) && l)
    {
        i--;
        l = l->tail;
    }

    if ((i<=0) || (l==NULLVisContainerPosition2PtrList))
        message (DEADLY, "IthElemVisContainerPosition2PtrList: no such element",
                 0, (POSITION*)0);
    return (l->head);
}/* IthVisContainerPosition2PtrList */


#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList CopyVisContainerPosition2PtrList (VisContainerPosition2PtrList l, VisContainerPosition2PtrMapFct cp)
#else
VisContainerPosition2PtrList CopyVisContainerPosition2PtrList (l, cp)
        VisContainerPosition2PtrList l;
        VisContainerPosition2PtrMapFct  cp;
#endif
{
    VisContainerPosition2PtrList NewList=NULLVisContainerPosition2PtrList, *addr = &NewList;

    while (l)
    {
        (*addr) = ConsVisContainerPosition2PtrList (cp (l->head), NULLVisContainerPosition2PtrList);
        addr = &((*addr)->tail);
        l = l->tail;
    }
    return (NewList);
}/* CopyVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList AppVisContainerPosition2PtrList (VisContainerPosition2PtrList l1, VisContainerPosition2PtrList l2)
#else
VisContainerPosition2PtrList AppVisContainerPosition2PtrList (l1, l2)
        VisContainerPosition2PtrList    l1, l2;
#endif
{
    VisContainerPosition2PtrList        NewList;
    VisContainerPosition2PtrList        *addr = &NewList;

    if (!l1) return (l2);
    if (!l2) return (l1);

    while (l1) {
        (*addr) = ConsVisContainerPosition2PtrList (l1->head, NULLVisContainerPosition2PtrList);
        addr = &((*addr)->tail);
        l1 = l1->tail;
    }
    (*addr) = l2;

    return (NewList);
}/* AppVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList AppElVisContainerPosition2PtrList (VisContainerPosition2PtrList l, VisContainerPosition2Ptr e)
#else
VisContainerPosition2PtrList AppElVisContainerPosition2PtrList (l, e)
        VisContainerPosition2PtrList    l;
        VisContainerPosition2Ptr        e;
#endif
{
    VisContainerPosition2PtrList        res = l;
    if (!l)
        return (ConsVisContainerPosition2PtrList (e, NULLVisContainerPosition2PtrList));

    while (l->tail)
        l = l->tail;
    l->tail = ConsVisContainerPosition2PtrList (e, NULLVisContainerPosition2PtrList);

    return (res);
} /* AppElVisContainerPosition2PtrList */


#if defined(__STDC__) || defined(__cplusplus)
void InsertAfterVisContainerPosition2PtrList (VisContainerPosition2PtrList l, VisContainerPosition2Ptr e)
#else
void InsertAfterVisContainerPosition2PtrList (l, e)
        VisContainerPosition2PtrList    l;
        VisContainerPosition2Ptr        e;
#endif
{
    if (!l)
        message (DEADLY, "InserAfterVisContainerPosition2PtrList: null list", 0, (POSITION*)0);
    else
        l->tail = ConsVisContainerPosition2PtrList (e, l->tail);
}/* InsertAfterVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList OrderedInsertVisContainerPosition2PtrList (VisContainerPosition2PtrList l, VisContainerPosition2Ptr e, VisContainerPosition2PtrCmpFctType fcmp)
#else
VisContainerPosition2PtrList OrderedInsertVisContainerPosition2PtrList (l, e, fcmp)
        VisContainerPosition2PtrList    l;
        VisContainerPosition2Ptr        e;
        VisContainerPosition2PtrCmpFctType fcmp;
#endif
{
    VisContainerPosition2PtrList        p;
    if (!l)
        return (ConsVisContainerPosition2PtrList (e, NULLVisContainerPosition2PtrList));
    if (fcmp (e, l->head) <= 0)
        return (ConsVisContainerPosition2PtrList (e, l));
    p = l;
    while (p->tail && (fcmp (e, p->tail->head) > 0))
        p = p->tail;
    p->tail = ConsVisContainerPosition2PtrList (e, p->tail);
    return (l);
}/* OrderedInsertVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrListPtr RefEndConsVisContainerPosition2PtrList (VisContainerPosition2PtrListPtr addr, VisContainerPosition2Ptr e)
#else
VisContainerPosition2PtrListPtr RefEndConsVisContainerPosition2PtrList (addr, e)
        VisContainerPosition2PtrListPtr addr;
        VisContainerPosition2Ptr                e;
#endif
{
    if (!addr)
    {
        message (DEADLY, "RefEndConsVisContainerPosition2PtrList: no VisContainerPosition2PtrList ref",
                 0, (POSITION*)0);
        return (addr);
    }
    (*addr) = ConsVisContainerPosition2PtrList (e, NULLVisContainerPosition2PtrList);
    return (&((*addr)->tail));
}/* RefEndConsVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrListPtr RefEndAppVisContainerPosition2PtrList (VisContainerPosition2PtrListPtr addr, VisContainerPosition2PtrList l)
#else
VisContainerPosition2PtrListPtr RefEndAppVisContainerPosition2PtrList (addr, l)
        VisContainerPosition2PtrListPtr addr;
        VisContainerPosition2PtrList            l;
#endif
{
    if (!addr) {
        message (DEADLY, "RefEndAppVisContainerPosition2PtrList: no VisContainerPosition2PtrList ref",
                 0, (POSITION*)0);
        return (addr);
    }
    if (!l)
        return addr;

    (*addr) = l;

    while (l->tail)
        l = l->tail;
    return (&(l->tail));
}/* RefEndAppVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
int ElemInVisContainerPosition2PtrList (VisContainerPosition2Ptr e, VisContainerPosition2PtrList l, VisContainerPosition2PtrCmpFctType fcmp)
#else
int ElemInVisContainerPosition2PtrList (e, l, fcmp)
        VisContainerPosition2Ptr        e;
        VisContainerPosition2PtrList    l;
        VisContainerPosition2PtrCmpFctType      fcmp;
#endif
{
    while (l != NULLVisContainerPosition2PtrList) {
        if (fcmp (e, l->head) == 0)
            return (1);
        l = l->tail;
    }
    return (0);
}/* ElemInVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList AddToSetVisContainerPosition2PtrList (VisContainerPosition2Ptr e, VisContainerPosition2PtrList l, VisContainerPosition2PtrCmpFctType fcmp)
#else
VisContainerPosition2PtrList AddToSetVisContainerPosition2PtrList (e, l, fcmp)
        VisContainerPosition2Ptr        e;
        VisContainerPosition2PtrList    l;
        VisContainerPosition2PtrCmpFctType      fcmp;
#endif
{
    if (ElemInVisContainerPosition2PtrList (e, l, fcmp))
        return (l);
    else
        return (ConsVisContainerPosition2PtrList (e, l));
}/* AddToSetVisContainerPosition2PtrList */


#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList AddToOrderedSetVisContainerPosition2PtrList (VisContainerPosition2Ptr e, VisContainerPosition2PtrList l, VisContainerPosition2PtrCmpFctType fcmp)
#else
VisContainerPosition2PtrList AddToOrderedSetVisContainerPosition2PtrList (e, l, fcmp)
        VisContainerPosition2Ptr  e;
        VisContainerPosition2PtrList      l;
        VisContainerPosition2PtrCmpFctType fcmp;
#endif
{   int test;
    VisContainerPosition2PtrList  p;
    if (!l)
        return (ConsVisContainerPosition2PtrList (e, NULLVisContainerPosition2PtrList));
    if ((test = fcmp (e, l->head)) < 0)
        return (ConsVisContainerPosition2PtrList (e, l));
    if (test == 0) return l;
    p = l;
    while (p->tail && ((test = fcmp (e, p->tail->head)) > 0))
        p = p->tail;
    if (test) p->tail = ConsVisContainerPosition2PtrList (e, p->tail);
    return (l);
}/* AddToOrderedSetVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2PtrList MapVisContainerPosition2PtrList (VisContainerPosition2PtrList l, VisContainerPosition2PtrMapFct f)
#else
VisContainerPosition2PtrList MapVisContainerPosition2PtrList (l, f)
        VisContainerPosition2PtrList    l;
        VisContainerPosition2PtrMapFct f;
#endif
{
    VisContainerPosition2PtrList NewList = NULLVisContainerPosition2PtrList;
    VisContainerPosition2PtrList last = NULLVisContainerPosition2PtrList;

    while (l)
    {
        if (!NewList) {
            NewList = ConsVisContainerPosition2PtrList ((f (l->head)), NULLVisContainerPosition2PtrList);
            last = NewList;
        }
        else
        {
            last->tail = ConsVisContainerPosition2PtrList ((f (l->head)), NULLVisContainerPosition2PtrList);
            last = last->tail;
        }
        l = l->tail;
    }
    return (NewList);
}/* MapVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
int CompVisContainerPosition2PtrList (VisContainerPosition2PtrList l1, VisContainerPosition2PtrList l2, VisContainerPosition2PtrCmpFctType fcmp)
#else
int CompVisContainerPosition2PtrList (l1, l2, fcmp)
        VisContainerPosition2PtrList    l1, l2;
        VisContainerPosition2PtrCmpFctType fcmp;
#endif
{
    int res = 0;
    while (l1 && l2 && (res == 0)) {
        res = (fcmp (l1->head, l2->head));
        l1 = l1->tail;
        l2 = l2->tail;
    }
    if (l1 && !l2)
        return (1);
    if (!l1 && l2)
        return (-1);
    return (res);
}/* CompVisContainerPosition2PtrList */

#if defined(__STDC__) || defined(__cplusplus)
VisContainerPosition2Ptr SumVisContainerPosition2PtrList (VisContainerPosition2PtrList l, VisContainerPosition2PtrSumFct f, VisContainerPosition2Ptr a)
#else
VisContainerPosition2Ptr SumVisContainerPosition2PtrList (l, f, a)
        VisContainerPosition2PtrList    l;
        VisContainerPosition2Ptr ((*f) ());
        VisContainerPosition2Ptr        a;
#endif
{
    while (l) {
        a = (f (a, l->head));
        l = l->tail;
    }
    return (a);
}/* SumVisContainerPosition2PtrList */
