/* implementation of monitoring support for attribution */

#ifdef MONITOR

#include "node.h"
#include "treecon.h"
#include"nodecode.h"

char *feDlg_abs_prods[] = {
  "{LST_0pfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list]\"",
  "{LST_0pfeDlg_FormularTextElement_validator} {LST_feDlg_FormularTextElement_validator} \"[list]\"",
  "{LST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_IntegerNumberConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_DoubleNumberConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_IntegerConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_LongConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_LongConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_BigIntegerConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_FloatConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_DoubleConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_BooleanConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_DateTimeConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter} {LST_feDlg_FormularTextElement_converter} \"[list feDlg_PatternConverter LST_feDlg_FormularTextElement_converter]\"",
  "{LST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator} {LST_feDlg_FormularTextElement_validator} \"[list feDlg_EmailValidator LST_feDlg_FormularTextElement_validator]\"",
  "{LST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator} {LST_feDlg_FormularTextElement_validator} \"[list feDlg_CreditCardValidator LST_feDlg_FormularTextElement_validator]\"",
  "{LST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator} {LST_feDlg_FormularTextElement_validator} \"[list feDlg_RegExprValidator LST_feDlg_FormularTextElement_validator]\"",
  "{LST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator} {LST_feDlg_FormularTextElement_validator} \"[list feDlg_StringLengthValidator LST_feDlg_FormularTextElement_validator]\"",
  "{LST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator} {LST_feDlg_FormularTextElement_validator} \"[list feDlg_LongRangeValidator LST_feDlg_FormularTextElement_validator]\"",
  "{LST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator} {LST_feDlg_FormularTextElement_validator} \"[list feDlg_DoubleRangeValidator LST_feDlg_FormularTextElement_validator]\"",
  "{pfeDlg_PatternConverter_pattern} {feDlg_PatternConverter_pattern} \"[list]\"",
  "{pfeDlg_PatternConverter} {feDlg_PatternConverter} \"[list ID feDlg_PatternConverter_pattern]\"",
  "{pfeDlg_DateTimeConverter} {feDlg_DateTimeConverter} \"[list ID]\"",
  "{pfeDlg_BooleanConverter} {feDlg_BooleanConverter} \"[list ID]\"",
  "{pfeDlg_DoubleConverter} {feDlg_DoubleConverter} \"[list ID]\"",
  "{pfeDlg_FloatConverter} {feDlg_FloatConverter} \"[list ID]\"",
  "{pfeDlg_BigIntegerConverter} {feDlg_BigIntegerConverter} \"[list ID]\"",
  "{pfeDlg_LongConverter} {feDlg_LongConverter} \"[list ID]\"",
  "{pfeDlg_IntegerConverter} {feDlg_IntegerConverter} \"[list ID]\"",
  "{pfeDlg_DoubleNumberConverter_maxFractionDigits} {feDlg_DoubleNumberConverter_maxFractionDigits} \"[list]\"",
  "{pfeDlg_DoubleNumberConverter_minFractionDigits} {feDlg_DoubleNumberConverter_minFractionDigits} \"[list]\"",
  "{pfeDlg_DoubleNumberConverter_maxIntegerDigits} {feDlg_DoubleNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfeDlg_DoubleNumberConverter_minIntegerDigits} {feDlg_DoubleNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfeDlg_DoubleNumberConverter} {feDlg_DoubleNumberConverter} \"[list ID feDlg_DoubleNumberConverter_minIntegerDigits feDlg_DoubleNumberConverter_maxIntegerDigits feDlg_DoubleNumberConverter_minFractionDigits feDlg_DoubleNumberConverter_maxFractionDigits]\"",
  "{pfeDlg_IntegerNumberConverter_maxIntegerDigits} {feDlg_IntegerNumberConverter_maxIntegerDigits} \"[list]\"",
  "{pfeDlg_IntegerNumberConverter_minIntegerDigits} {feDlg_IntegerNumberConverter_minIntegerDigits} \"[list]\"",
  "{pfeDlg_IntegerNumberConverter} {feDlg_IntegerNumberConverter} \"[list ID feDlg_IntegerNumberConverter_minIntegerDigits feDlg_IntegerNumberConverter_maxIntegerDigits]\"",
  "{pfeDlg_DoubleRangeValidator_max} {feDlg_DoubleRangeValidator_max} \"[list]\"",
  "{pfeDlg_DoubleRangeValidator_min} {feDlg_DoubleRangeValidator_min} \"[list]\"",
  "{pfeDlg_DoubleRangeValidator} {feDlg_DoubleRangeValidator} \"[list ID feDlg_DoubleRangeValidator_min feDlg_DoubleRangeValidator_max]\"",
  "{pfeDlg_LongRangeValidator_max} {feDlg_LongRangeValidator_max} \"[list]\"",
  "{pfeDlg_LongRangeValidator_min} {feDlg_LongRangeValidator_min} \"[list]\"",
  "{pfeDlg_LongRangeValidator} {feDlg_LongRangeValidator} \"[list ID feDlg_LongRangeValidator_min feDlg_LongRangeValidator_max]\"",
  "{pfeDlg_StringLengthValidator_max} {feDlg_StringLengthValidator_max} \"[list]\"",
  "{pfeDlg_StringLengthValidator_min} {feDlg_StringLengthValidator_min} \"[list]\"",
  "{pfeDlg_StringLengthValidator} {feDlg_StringLengthValidator} \"[list ID feDlg_StringLengthValidator_min feDlg_StringLengthValidator_max]\"",
  "{pfeDlg_RegExprValidator_pattern} {feDlg_RegExprValidator_pattern} \"[list]\"",
  "{pfeDlg_RegExprValidator} {feDlg_RegExprValidator} \"[list ID feDlg_RegExprValidator_pattern]\"",
  "{pfeDlg_CreditCardValidator} {feDlg_CreditCardValidator} \"[list ID]\"",
  "{pfeDlg_EmailValidator} {feDlg_EmailValidator} \"[list ID]\"",
  "{pfeDlg_FormularTextElement_converter} {feDlg_FormularTextElement_converter} \"[list LST_feDlg_FormularTextElement_converter]\"",
  "{pfeDlg_FormularTextElement_validator} {feDlg_FormularTextElement_validator} \"[list LST_feDlg_FormularTextElement_validator]\"",
  "{pfeDlg_FormularTextElement_required} {feDlg_FormularTextElement_required} \"[list]\"",
  "{pfeDlg_FormularTextElement_pvalue} {feDlg_FormularTextElement_pvalue} \"[list]\"",
  "{pfeDlg_FormularTextElement_description} {feDlg_FormularTextElement_description} \"[list]\"",
  "{pfeDlg_FormularTextElement_label} {feDlg_FormularTextElement_label} \"[list]\"",
  "{pfeDlg_FormularTextElement_name} {feDlg_FormularTextElement_name} \"[list]\"",
  "{pfeDlg_FormularTextElement} {feDlg_FormularTextElement} \"[list ID feDlg_FormularTextElement_name feDlg_FormularTextElement_label feDlg_FormularTextElement_description feDlg_FormularTextElement_pvalue feDlg_FormularTextElement_required feDlg_FormularTextElement_validator feDlg_FormularTextElement_converter]\"",
  "{pVIEWROOT_feDlg} {VIEWROOT} \"[list feDlg_FormularTextElement]\"",
  "{pEmpty} {VIEWROOT} \"[list]\"",
  (char *) 0
};

int feDlg_abs_nchild[] = {
  0,
  0,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  2,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  0,
  2,
  0,
  1,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  7,
  1,
  0,
};


#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_abs_child (NODEPTR n, int c)
#else
NODEPTR feDlg_abs_child (n, c)
  NODEPTR n;
  int c;
#endif
{
  switch (n->_prod) {
    case feDlg_RULELST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_LongConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter: {
      feDlg__TPPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter m = (feDlg__TPPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator: {
      feDlg__TPPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator m = (feDlg__TPPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator: {
      feDlg__TPPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator m = (feDlg__TPPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator: {
      feDlg__TPPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator m = (feDlg__TPPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator: {
      feDlg__TPPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator m = (feDlg__TPPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator: {
      feDlg__TPPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator m = (feDlg__TPPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULELST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator: {
      feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator m = (feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_PatternConverter: {
      feDlg__TPPpfeDlg_PatternConverter m = (feDlg__TPPpfeDlg_PatternConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_DoubleNumberConverter: {
      feDlg__TPPpfeDlg_DoubleNumberConverter m = (feDlg__TPPpfeDlg_DoubleNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_IntegerNumberConverter: {
      feDlg__TPPpfeDlg_IntegerNumberConverter m = (feDlg__TPPpfeDlg_IntegerNumberConverter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_DoubleRangeValidator: {
      feDlg__TPPpfeDlg_DoubleRangeValidator m = (feDlg__TPPpfeDlg_DoubleRangeValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_LongRangeValidator: {
      feDlg__TPPpfeDlg_LongRangeValidator m = (feDlg__TPPpfeDlg_LongRangeValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_StringLengthValidator: {
      feDlg__TPPpfeDlg_StringLengthValidator m = (feDlg__TPPpfeDlg_StringLengthValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_RegExprValidator: {
      feDlg__TPPpfeDlg_RegExprValidator m = (feDlg__TPPpfeDlg_RegExprValidator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_FormularTextElement_converter: {
      feDlg__TPPpfeDlg_FormularTextElement_converter m = (feDlg__TPPpfeDlg_FormularTextElement_converter) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_FormularTextElement_validator: {
      feDlg__TPPpfeDlg_FormularTextElement_validator m = (feDlg__TPPpfeDlg_FormularTextElement_validator) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpfeDlg_FormularTextElement: {
      feDlg__TPPpfeDlg_FormularTextElement m = (feDlg__TPPpfeDlg_FormularTextElement) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        case 2: return (NODEPTR) m->_desc2; break;
        case 3: return (NODEPTR) m->_desc3; break;
        case 4: return (NODEPTR) m->_desc4; break;
        case 5: return (NODEPTR) m->_desc5; break;
        case 6: return (NODEPTR) m->_desc6; break;
        case 7: return (NODEPTR) m->_desc7; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    case feDlg_RULEpVIEWROOT_feDlg: {
      feDlg__TPPpVIEWROOT_feDlg m = (feDlg__TPPpVIEWROOT_feDlg) n;
      switch (c) {
        case 1: return (NODEPTR) m->_desc1; break;
        default:
          return (NODEPTR) 0;
      }
      break;
    }
    default:
        return (NODEPTR) 0;
  }
}

#else
/* To avoid messages about empty files */
static int _dapto;
#endif
