
/* implementation of tree construction functions */

#include "feDlg_node.h"

#include "feDlg_nodecode.h"

#include "attrpredef.h"

#include "feDlg_visitmap.h"

#include "feDlg_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* feDlg_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* feDlg_TreeNodeAlloc(int size)
#else
char* feDlg_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void feDlg_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void feDlg_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* feDlg_TreeNodeAlloc(int size)
#else
char* feDlg_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void feDlg_InitTree() { }

void feDlg_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBVIEWROOT)) return (_currn);
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement)) return (feDlg_MkpVIEWROOT_feDlg(_coordref, _currn));
return(NULLNODEPTR);
}/* feDlg_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement_name)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement_label)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement_description)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement_required)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FormularTextElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FormularTextElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FormularTextElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_LongRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_LongRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_LongRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_StringLengthValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_StringLengthValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_StringLengthValidator)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_RegExprValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_RegExprValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_RegExprValidator)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_CreditCardValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_CreditCardValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_CreditCardValidator)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_EmailValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_EmailValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_EmailValidator)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_PatternConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_PatternConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_PatternConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DateTimeConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DateTimeConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DateTimeConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_BooleanConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_BooleanConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_BooleanConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_FloatConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_FloatConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_FloatConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_BigIntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_BigIntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_BigIntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_LongConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_LongConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_LongConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_IntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_IntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_IntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_IntegerNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_IntegerNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_IntegerNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_RegExprValidator_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_RegExprValidator_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_RegExprValidator_pattern)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_StringLengthValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_StringLengthValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_StringLengthValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_StringLengthValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_StringLengthValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_StringLengthValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_LongRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_LongRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_LongRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_LongRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_LongRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_LongRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_IntegerNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_IntegerNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_minFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleNumberConverter_minFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_DoubleNumberConverter_maxFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkfeDlg_PatternConverter_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR feDlg_MkfeDlg_PatternConverter_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (feDlg_IsSymb (_currn, feDlg_SYMBfeDlg_PatternConverter_pattern)) return (_currn);
return(NULLNODEPTR);
}/* feDlg_MkfeDlg_PatternConverter_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpEmpty (POSITION *_coordref)
#else
NODEPTR feDlg_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpEmpty;
#else
_currn = (feDlg__TPPpEmpty) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpEmpty));
#endif
_currn->_prod = feDlg_RULEpEmpty;
_SETCOORD(_currn)
feDlg__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* feDlg_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpVIEWROOT_feDlg (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR feDlg_MkpVIEWROOT_feDlg (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	feDlg__TPPpVIEWROOT_feDlg _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpVIEWROOT_feDlg;
#else
_currn = (feDlg__TPPpVIEWROOT_feDlg) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpVIEWROOT_feDlg));
#endif
_currn->_prod = feDlg_RULEpVIEWROOT_feDlg;
_currn->_desc1 = (feDlg__TSPfeDlg_FormularTextElement) feDlg_MkfeDlg_FormularTextElement (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_feDlg: root of subtree no. 1 can not be made a feDlg_FormularTextElement node ", 0, _coordref);
_COPYCOORD(_currn)
feDlg__TERMACT_pVIEWROOT_feDlg;
return ( (NODEPTR) _currn);
}/* feDlg_MkpVIEWROOT_feDlg */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
#endif
{	feDlg__TPPpfeDlg_FormularTextElement _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_FormularTextElement;
#else
_currn = (feDlg__TPPpfeDlg_FormularTextElement) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement));
#endif
_currn->_prod = feDlg_RULEpfeDlg_FormularTextElement;
_currn->_desc1 = (feDlg__TSPfeDlg_FormularTextElement_name) feDlg_MkfeDlg_FormularTextElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_FormularTextElement: root of subtree no. 1 can not be made a feDlg_FormularTextElement_name node ", 0, _coordref);
_currn->_desc2 = (feDlg__TSPfeDlg_FormularTextElement_label) feDlg_MkfeDlg_FormularTextElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_FormularTextElement: root of subtree no. 2 can not be made a feDlg_FormularTextElement_label node ", 0, _coordref);
_currn->_desc3 = (feDlg__TSPfeDlg_FormularTextElement_description) feDlg_MkfeDlg_FormularTextElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_FormularTextElement: root of subtree no. 3 can not be made a feDlg_FormularTextElement_description node ", 0, _coordref);
_currn->_desc4 = (feDlg__TSPfeDlg_FormularTextElement_pvalue) feDlg_MkfeDlg_FormularTextElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_FormularTextElement: root of subtree no. 4 can not be made a feDlg_FormularTextElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (feDlg__TSPfeDlg_FormularTextElement_required) feDlg_MkfeDlg_FormularTextElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_FormularTextElement: root of subtree no. 5 can not be made a feDlg_FormularTextElement_required node ", 0, _coordref);
_currn->_desc6 = (feDlg__TSPfeDlg_FormularTextElement_validator) feDlg_MkfeDlg_FormularTextElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_FormularTextElement: root of subtree no. 6 can not be made a feDlg_FormularTextElement_validator node ", 0, _coordref);
_currn->_desc7 = (feDlg__TSPfeDlg_FormularTextElement_converter) feDlg_MkfeDlg_FormularTextElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_FormularTextElement: root of subtree no. 7 can not be made a feDlg_FormularTextElement_converter node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_FormularTextElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_FormularTextElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement_name (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement_name (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_FormularTextElement_name _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_FormularTextElement_name;
#else
_currn = (feDlg__TPPpfeDlg_FormularTextElement_name) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement_name));
#endif
_currn->_prod = feDlg_RULEpfeDlg_FormularTextElement_name;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_FormularTextElement_name;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_FormularTextElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement_label (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement_label (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_FormularTextElement_label _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_FormularTextElement_label;
#else
_currn = (feDlg__TPPpfeDlg_FormularTextElement_label) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement_label));
#endif
_currn->_prod = feDlg_RULEpfeDlg_FormularTextElement_label;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_FormularTextElement_label;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_FormularTextElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement_description (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement_description (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_FormularTextElement_description _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_FormularTextElement_description;
#else
_currn = (feDlg__TPPpfeDlg_FormularTextElement_description) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement_description));
#endif
_currn->_prod = feDlg_RULEpfeDlg_FormularTextElement_description;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_FormularTextElement_description;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_FormularTextElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement_pvalue (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_FormularTextElement_pvalue _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_FormularTextElement_pvalue;
#else
_currn = (feDlg__TPPpfeDlg_FormularTextElement_pvalue) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement_pvalue));
#endif
_currn->_prod = feDlg_RULEpfeDlg_FormularTextElement_pvalue;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_FormularTextElement_pvalue;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_FormularTextElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement_required (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement_required (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_FormularTextElement_required _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_FormularTextElement_required;
#else
_currn = (feDlg__TPPpfeDlg_FormularTextElement_required) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement_required));
#endif
_currn->_prod = feDlg_RULEpfeDlg_FormularTextElement_required;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_FormularTextElement_required;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_FormularTextElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_EmailValidatorpfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_EmailValidatorpfeDlg_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator;
#else
	_new = (feDlg__TPPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator));
#endif
	_new->_prod = feDlg_RULELST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator;
	_new->_desc1 = (feDlg__TSPfeDlg_EmailValidator)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_validator)_new;
	{feDlg__TPPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator;
#else
	_new = (feDlg__TPPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator));
#endif
	_new->_prod = feDlg_RULELST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator;
	_new->_desc1 = (feDlg__TSPfeDlg_CreditCardValidator)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_validator)_new;
	{feDlg__TPPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_RegExprValidatorpfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_RegExprValidatorpfeDlg_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator;
#else
	_new = (feDlg__TPPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator));
#endif
	_new->_prod = feDlg_RULELST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator;
	_new->_desc1 = (feDlg__TSPfeDlg_RegExprValidator)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_validator)_new;
	{feDlg__TPPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator;
#else
	_new = (feDlg__TPPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator));
#endif
	_new->_prod = feDlg_RULELST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator;
	_new->_desc1 = (feDlg__TSPfeDlg_StringLengthValidator)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_validator)_new;
	{feDlg__TPPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator;
#else
	_new = (feDlg__TPPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator));
#endif
	_new->_prod = feDlg_RULELST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator;
	_new->_desc1 = (feDlg__TSPfeDlg_LongRangeValidator)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_validator)_new;
	{feDlg__TPPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator;
#else
	_new = (feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator));
#endif
	_new->_prod = feDlg_RULELST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator;
	_new->_desc1 = (feDlg__TSPfeDlg_DoubleRangeValidator)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_validator)_new;
	{feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempfeDlg_FormularTextElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_EmailValidator)) 
		return feDlg__MkfeDlg_EmailValidatorpfeDlg_FormularTextElement_validator (_coordref, feDlg_MkfeDlg_EmailValidator (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_CreditCardValidator)) 
		return feDlg__MkfeDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator (_coordref, feDlg_MkfeDlg_CreditCardValidator (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_RegExprValidator)) 
		return feDlg__MkfeDlg_RegExprValidatorpfeDlg_FormularTextElement_validator (_coordref, feDlg_MkfeDlg_RegExprValidator (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_StringLengthValidator)) 
		return feDlg__MkfeDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator (_coordref, feDlg_MkfeDlg_StringLengthValidator (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_LongRangeValidator)) 
		return feDlg__MkfeDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator (_coordref, feDlg_MkfeDlg_LongRangeValidator (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_DoubleRangeValidator)) 
		return feDlg__MkfeDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator (_coordref, feDlg_MkfeDlg_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a pfeDlg_FormularTextElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_Mk2pfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR feDlg_Mk2pfeDlg_FormularTextElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (feDlg_LHSMAP[l->_prod] != feDlg_SYMBLST_feDlg_FormularTextElement_validator)
	l =_ElempfeDlg_FormularTextElement_validator (_coordref, l);
if (feDlg_LHSMAP[r->_prod] != feDlg_SYMBLST_feDlg_FormularTextElement_validator)
	r = _ElempfeDlg_FormularTextElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((feDlg__TPPLST_0pfeDlg_FormularTextElement_validator)r)->_desc2);
((feDlg__TPPLST_0pfeDlg_FormularTextElement_validator)r)->_desc2 = ((feDlg__TPPLST_0pfeDlg_FormularTextElement_validator)l)->_desc2;
((feDlg__TPPLST_0pfeDlg_FormularTextElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; feDlg__TPPpfeDlg_FormularTextElement_validator root;
	feDlg__TPPLST_0pfeDlg_FormularTextElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (feDlg__TPPLST_0pfeDlg_FormularTextElement_validator)NULLNODEPTR;
else {	if (feDlg_LHSMAP[t->_prod] != feDlg_SYMBLST_feDlg_FormularTextElement_validator)
		t = _ElempfeDlg_FormularTextElement_validator (_coordref, t);
	remain = (feDlg__TPPLST_0pfeDlg_FormularTextElement_validator)(((feDlg__TPPLST_0pfeDlg_FormularTextElement_validator) t)->_desc2);
	((feDlg__TPPLST_0pfeDlg_FormularTextElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new feDlg__TPLST_0pfeDlg_FormularTextElement_validator;
#else
list = (feDlg__TPPLST_0pfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_0pfeDlg_FormularTextElement_validator));
#endif
list->_prod = feDlg_RULELST_0pfeDlg_FormularTextElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (feDlg__TPPLST_0pfeDlg_FormularTextElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == feDlg_RULELST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator)
	{feDlg__TPPLST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_EmailValidatorpfeDlg_FormularTextElement_validator;
	} this code has been moved to _ElempfeDlg_FormularTextElement_validator*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator)
	{feDlg__TPPLST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_CreditCardValidatorpfeDlg_FormularTextElement_validator;
	} this code has been moved to _ElempfeDlg_FormularTextElement_validator*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator)
	{feDlg__TPPLST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_RegExprValidatorpfeDlg_FormularTextElement_validator;
	} this code has been moved to _ElempfeDlg_FormularTextElement_validator*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator)
	{feDlg__TPPLST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_StringLengthValidatorpfeDlg_FormularTextElement_validator;
	} this code has been moved to _ElempfeDlg_FormularTextElement_validator*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator)
	{feDlg__TPPLST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_LongRangeValidatorpfeDlg_FormularTextElement_validator;
	} this code has been moved to _ElempfeDlg_FormularTextElement_validator*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator)
	{feDlg__TPPLST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_DoubleRangeValidatorpfeDlg_FormularTextElement_validator;
	} this code has been moved to _ElempfeDlg_FormularTextElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new feDlg__TPpfeDlg_FormularTextElement_validator;
#else
root = (feDlg__TPPpfeDlg_FormularTextElement_validator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement_validator));
#endif
root->_prod = feDlg_RULEpfeDlg_FormularTextElement_validator;
root->_desc1 = (feDlg__TSPLST_feDlg_FormularTextElement_validator)list;
{ feDlg__TPPpfeDlg_FormularTextElement_validator _currn = root;
  _SETCOORD(_currn)
  feDlg__TERMACT_pfeDlg_FormularTextElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_IntegerNumberConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_DoubleNumberConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_IntegerConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_IntegerConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_IntegerConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_LongConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_LongConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_LongConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_LongConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_LongConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_BigIntegerConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_FloatConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_FloatConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_FloatConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_DoubleConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_DoubleConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_DoubleConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_BooleanConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_BooleanConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_BooleanConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_DateTimeConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_DateTimeConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_DateTimeConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR feDlg__MkfeDlg_PatternConverterpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR feDlg__MkfeDlg_PatternConverterpfeDlg_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	feDlg__TPPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new feDlg__TPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter;
#else
	_new = (feDlg__TPPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter));
#endif
	_new->_prod = feDlg_RULELST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter;
	_new->_desc1 = (feDlg__TSPfeDlg_PatternConverter)elem;
	_new->_desc2 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)_new;
	{feDlg__TPPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 feDlg__TERMACT_LST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempfeDlg_FormularTextElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_IntegerNumberConverter)) 
		return feDlg__MkfeDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_IntegerNumberConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_DoubleNumberConverter)) 
		return feDlg__MkfeDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_DoubleNumberConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_IntegerConverter)) 
		return feDlg__MkfeDlg_IntegerConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_IntegerConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_LongConverter)) 
		return feDlg__MkfeDlg_LongConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_LongConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_BigIntegerConverter)) 
		return feDlg__MkfeDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_BigIntegerConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_FloatConverter)) 
		return feDlg__MkfeDlg_FloatConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_FloatConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_DoubleConverter)) 
		return feDlg__MkfeDlg_DoubleConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_DoubleConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_BooleanConverter)) 
		return feDlg__MkfeDlg_BooleanConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_BooleanConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_DateTimeConverter)) 
		return feDlg__MkfeDlg_DateTimeConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_DateTimeConverter (_coordref, t));
	if (feDlg_IsSymb (t, feDlg_SYMBfeDlg_PatternConverter)) 
		return feDlg__MkfeDlg_PatternConverterpfeDlg_FormularTextElement_converter (_coordref, feDlg_MkfeDlg_PatternConverter (_coordref, t));
	message (DEADLY, "a pfeDlg_FormularTextElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_Mk2pfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR feDlg_Mk2pfeDlg_FormularTextElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (feDlg_LHSMAP[l->_prod] != feDlg_SYMBLST_feDlg_FormularTextElement_converter)
	l =_ElempfeDlg_FormularTextElement_converter (_coordref, l);
if (feDlg_LHSMAP[r->_prod] != feDlg_SYMBLST_feDlg_FormularTextElement_converter)
	r = _ElempfeDlg_FormularTextElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((feDlg__TPPLST_0pfeDlg_FormularTextElement_converter)r)->_desc2);
((feDlg__TPPLST_0pfeDlg_FormularTextElement_converter)r)->_desc2 = ((feDlg__TPPLST_0pfeDlg_FormularTextElement_converter)l)->_desc2;
((feDlg__TPPLST_0pfeDlg_FormularTextElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FormularTextElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR feDlg_MkpfeDlg_FormularTextElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; feDlg__TPPpfeDlg_FormularTextElement_converter root;
	feDlg__TPPLST_0pfeDlg_FormularTextElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (feDlg__TPPLST_0pfeDlg_FormularTextElement_converter)NULLNODEPTR;
else {	if (feDlg_LHSMAP[t->_prod] != feDlg_SYMBLST_feDlg_FormularTextElement_converter)
		t = _ElempfeDlg_FormularTextElement_converter (_coordref, t);
	remain = (feDlg__TPPLST_0pfeDlg_FormularTextElement_converter)(((feDlg__TPPLST_0pfeDlg_FormularTextElement_converter) t)->_desc2);
	((feDlg__TPPLST_0pfeDlg_FormularTextElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new feDlg__TPLST_0pfeDlg_FormularTextElement_converter;
#else
list = (feDlg__TPPLST_0pfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPLST_0pfeDlg_FormularTextElement_converter));
#endif
list->_prod = feDlg_RULELST_0pfeDlg_FormularTextElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (feDlg__TPPLST_0pfeDlg_FormularTextElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == feDlg_RULELST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_IntegerNumberConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_DoubleNumberConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_IntegerConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_LongConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_LongConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_LongConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_BigIntegerConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_FloatConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_DoubleConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_BooleanConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_DateTimeConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
	/*if (_currn->_prod == feDlg_RULELST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter)
	{feDlg__TPPLST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter _currn = _currn;
	 feDlg__TERMACT_LST_feDlg_PatternConverterpfeDlg_FormularTextElement_converter;
	} this code has been moved to _ElempfeDlg_FormularTextElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new feDlg__TPpfeDlg_FormularTextElement_converter;
#else
root = (feDlg__TPPpfeDlg_FormularTextElement_converter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FormularTextElement_converter));
#endif
root->_prod = feDlg_RULEpfeDlg_FormularTextElement_converter;
root->_desc1 = (feDlg__TSPLST_feDlg_FormularTextElement_converter)list;
{ feDlg__TPPpfeDlg_FormularTextElement_converter _currn = root;
  _SETCOORD(_currn)
  feDlg__TERMACT_pfeDlg_FormularTextElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_EmailValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_EmailValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_EmailValidator _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_EmailValidator;
#else
_currn = (feDlg__TPPpfeDlg_EmailValidator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_EmailValidator));
#endif
_currn->_prod = feDlg_RULEpfeDlg_EmailValidator;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_EmailValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_CreditCardValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_CreditCardValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_CreditCardValidator _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_CreditCardValidator;
#else
_currn = (feDlg__TPPpfeDlg_CreditCardValidator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_CreditCardValidator));
#endif
_currn->_prod = feDlg_RULEpfeDlg_CreditCardValidator;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_CreditCardValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_RegExprValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR feDlg_MkpfeDlg_RegExprValidator (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	feDlg__TPPpfeDlg_RegExprValidator _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_RegExprValidator;
#else
_currn = (feDlg__TPPpfeDlg_RegExprValidator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_RegExprValidator));
#endif
_currn->_prod = feDlg_RULEpfeDlg_RegExprValidator;
_currn->_desc1 = (feDlg__TSPfeDlg_RegExprValidator_pattern) feDlg_MkfeDlg_RegExprValidator_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_RegExprValidator: root of subtree no. 1 can not be made a feDlg_RegExprValidator_pattern node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_RegExprValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_RegExprValidator_pattern (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_RegExprValidator_pattern (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_RegExprValidator_pattern _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_RegExprValidator_pattern;
#else
_currn = (feDlg__TPPpfeDlg_RegExprValidator_pattern) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_RegExprValidator_pattern));
#endif
_currn->_prod = feDlg_RULEpfeDlg_RegExprValidator_pattern;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_RegExprValidator_pattern;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_StringLengthValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR feDlg_MkpfeDlg_StringLengthValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	feDlg__TPPpfeDlg_StringLengthValidator _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_StringLengthValidator;
#else
_currn = (feDlg__TPPpfeDlg_StringLengthValidator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_StringLengthValidator));
#endif
_currn->_prod = feDlg_RULEpfeDlg_StringLengthValidator;
_currn->_desc1 = (feDlg__TSPfeDlg_StringLengthValidator_min) feDlg_MkfeDlg_StringLengthValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_StringLengthValidator: root of subtree no. 1 can not be made a feDlg_StringLengthValidator_min node ", 0, _coordref);
_currn->_desc2 = (feDlg__TSPfeDlg_StringLengthValidator_max) feDlg_MkfeDlg_StringLengthValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_StringLengthValidator: root of subtree no. 2 can not be made a feDlg_StringLengthValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_StringLengthValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_StringLengthValidator_min (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_StringLengthValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_StringLengthValidator_min _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_StringLengthValidator_min;
#else
_currn = (feDlg__TPPpfeDlg_StringLengthValidator_min) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_StringLengthValidator_min));
#endif
_currn->_prod = feDlg_RULEpfeDlg_StringLengthValidator_min;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_StringLengthValidator_min;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_StringLengthValidator_max (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_StringLengthValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_StringLengthValidator_max _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_StringLengthValidator_max;
#else
_currn = (feDlg__TPPpfeDlg_StringLengthValidator_max) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_StringLengthValidator_max));
#endif
_currn->_prod = feDlg_RULEpfeDlg_StringLengthValidator_max;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_StringLengthValidator_max;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_LongRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR feDlg_MkpfeDlg_LongRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	feDlg__TPPpfeDlg_LongRangeValidator _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_LongRangeValidator;
#else
_currn = (feDlg__TPPpfeDlg_LongRangeValidator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_LongRangeValidator));
#endif
_currn->_prod = feDlg_RULEpfeDlg_LongRangeValidator;
_currn->_desc1 = (feDlg__TSPfeDlg_LongRangeValidator_min) feDlg_MkfeDlg_LongRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_LongRangeValidator: root of subtree no. 1 can not be made a feDlg_LongRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (feDlg__TSPfeDlg_LongRangeValidator_max) feDlg_MkfeDlg_LongRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_LongRangeValidator: root of subtree no. 2 can not be made a feDlg_LongRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_LongRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_LongRangeValidator_min (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_LongRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_LongRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_LongRangeValidator_min;
#else
_currn = (feDlg__TPPpfeDlg_LongRangeValidator_min) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_LongRangeValidator_min));
#endif
_currn->_prod = feDlg_RULEpfeDlg_LongRangeValidator_min;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_LongRangeValidator_min;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_LongRangeValidator_max (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_LongRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_LongRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_LongRangeValidator_max;
#else
_currn = (feDlg__TPPpfeDlg_LongRangeValidator_max) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_LongRangeValidator_max));
#endif
_currn->_prod = feDlg_RULEpfeDlg_LongRangeValidator_max;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_LongRangeValidator_max;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR feDlg_MkpfeDlg_DoubleRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	feDlg__TPPpfeDlg_DoubleRangeValidator _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleRangeValidator;
#else
_currn = (feDlg__TPPpfeDlg_DoubleRangeValidator) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleRangeValidator));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleRangeValidator;
_currn->_desc1 = (feDlg__TSPfeDlg_DoubleRangeValidator_min) feDlg_MkfeDlg_DoubleRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_DoubleRangeValidator: root of subtree no. 1 can not be made a feDlg_DoubleRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (feDlg__TSPfeDlg_DoubleRangeValidator_max) feDlg_MkfeDlg_DoubleRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_DoubleRangeValidator: root of subtree no. 2 can not be made a feDlg_DoubleRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleRangeValidator_min (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_DoubleRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_DoubleRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleRangeValidator_min;
#else
_currn = (feDlg__TPPpfeDlg_DoubleRangeValidator_min) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleRangeValidator_min));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleRangeValidator_min;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleRangeValidator_min;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleRangeValidator_max (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_DoubleRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_DoubleRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleRangeValidator_max;
#else
_currn = (feDlg__TPPpfeDlg_DoubleRangeValidator_max) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleRangeValidator_max));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleRangeValidator_max;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleRangeValidator_max;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_IntegerNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR feDlg_MkpfeDlg_IntegerNumberConverter (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	feDlg__TPPpfeDlg_IntegerNumberConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_IntegerNumberConverter;
#else
_currn = (feDlg__TPPpfeDlg_IntegerNumberConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_IntegerNumberConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_IntegerNumberConverter;
_currn->_desc1 = (feDlg__TSPfeDlg_IntegerNumberConverter_minIntegerDigits) feDlg_MkfeDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_IntegerNumberConverter: root of subtree no. 1 can not be made a feDlg_IntegerNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (feDlg__TSPfeDlg_IntegerNumberConverter_maxIntegerDigits) feDlg_MkfeDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_IntegerNumberConverter: root of subtree no. 2 can not be made a feDlg_IntegerNumberConverter_maxIntegerDigits node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_IntegerNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_IntegerNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_IntegerNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_IntegerNumberConverter_minIntegerDigits;
#else
_currn = (feDlg__TPPpfeDlg_IntegerNumberConverter_minIntegerDigits) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_IntegerNumberConverter_minIntegerDigits));
#endif
_currn->_prod = feDlg_RULEpfeDlg_IntegerNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_IntegerNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_IntegerNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_IntegerNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_IntegerNumberConverter_maxIntegerDigits;
#else
_currn = (feDlg__TPPpfeDlg_IntegerNumberConverter_maxIntegerDigits) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_IntegerNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = feDlg_RULEpfeDlg_IntegerNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_IntegerNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	feDlg__TPPpfeDlg_DoubleNumberConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleNumberConverter;
#else
_currn = (feDlg__TPPpfeDlg_DoubleNumberConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleNumberConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleNumberConverter;
_currn->_desc1 = (feDlg__TSPfeDlg_DoubleNumberConverter_minIntegerDigits) feDlg_MkfeDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_DoubleNumberConverter: root of subtree no. 1 can not be made a feDlg_DoubleNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (feDlg__TSPfeDlg_DoubleNumberConverter_maxIntegerDigits) feDlg_MkfeDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_DoubleNumberConverter: root of subtree no. 2 can not be made a feDlg_DoubleNumberConverter_maxIntegerDigits node ", 0, _coordref);
_currn->_desc3 = (feDlg__TSPfeDlg_DoubleNumberConverter_minFractionDigits) feDlg_MkfeDlg_DoubleNumberConverter_minFractionDigits (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_DoubleNumberConverter: root of subtree no. 3 can not be made a feDlg_DoubleNumberConverter_minFractionDigits node ", 0, _coordref);
_currn->_desc4 = (feDlg__TSPfeDlg_DoubleNumberConverter_maxFractionDigits) feDlg_MkfeDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_DoubleNumberConverter: root of subtree no. 4 can not be made a feDlg_DoubleNumberConverter_maxFractionDigits node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_DoubleNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleNumberConverter_minIntegerDigits;
#else
_currn = (feDlg__TPPpfeDlg_DoubleNumberConverter_minIntegerDigits) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleNumberConverter_minIntegerDigits));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_DoubleNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleNumberConverter_maxIntegerDigits;
#else
_currn = (feDlg__TPPpfeDlg_DoubleNumberConverter_maxIntegerDigits) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_minFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_DoubleNumberConverter_minFractionDigits _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleNumberConverter_minFractionDigits;
#else
_currn = (feDlg__TPPpfeDlg_DoubleNumberConverter_minFractionDigits) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleNumberConverter_minFractionDigits));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleNumberConverter_minFractionDigits;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleNumberConverter_minFractionDigits;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_DoubleNumberConverter_maxFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_DoubleNumberConverter_maxFractionDigits _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleNumberConverter_maxFractionDigits;
#else
_currn = (feDlg__TPPpfeDlg_DoubleNumberConverter_maxFractionDigits) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleNumberConverter_maxFractionDigits));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleNumberConverter_maxFractionDigits;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleNumberConverter_maxFractionDigits;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_IntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_IntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_IntegerConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_IntegerConverter;
#else
_currn = (feDlg__TPPpfeDlg_IntegerConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_IntegerConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_IntegerConverter;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_IntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_LongConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_LongConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_LongConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_LongConverter;
#else
_currn = (feDlg__TPPpfeDlg_LongConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_LongConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_LongConverter;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_LongConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_BigIntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_BigIntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_BigIntegerConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_BigIntegerConverter;
#else
_currn = (feDlg__TPPpfeDlg_BigIntegerConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_BigIntegerConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_BigIntegerConverter;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_BigIntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_FloatConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_FloatConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_FloatConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_FloatConverter;
#else
_currn = (feDlg__TPPpfeDlg_FloatConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_FloatConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_FloatConverter;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_FloatConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DoubleConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_DoubleConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_DoubleConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DoubleConverter;
#else
_currn = (feDlg__TPPpfeDlg_DoubleConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DoubleConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DoubleConverter;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DoubleConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_BooleanConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_BooleanConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_BooleanConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_BooleanConverter;
#else
_currn = (feDlg__TPPpfeDlg_BooleanConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_BooleanConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_BooleanConverter;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_BooleanConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_DateTimeConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR feDlg_MkpfeDlg_DateTimeConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	feDlg__TPPpfeDlg_DateTimeConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_DateTimeConverter;
#else
_currn = (feDlg__TPPpfeDlg_DateTimeConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_DateTimeConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_DateTimeConverter;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_DateTimeConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_PatternConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR feDlg_MkpfeDlg_PatternConverter (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	feDlg__TPPpfeDlg_PatternConverter _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_PatternConverter;
#else
_currn = (feDlg__TPPpfeDlg_PatternConverter) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_PatternConverter));
#endif
_currn->_prod = feDlg_RULEpfeDlg_PatternConverter;
_currn->_desc1 = (feDlg__TSPfeDlg_PatternConverter_pattern) feDlg_MkfeDlg_PatternConverter_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfeDlg_PatternConverter: root of subtree no. 1 can not be made a feDlg_PatternConverter_pattern node ", 0, _coordref);
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_PatternConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR feDlg_MkpfeDlg_PatternConverter_pattern (POSITION *_coordref)
#else
NODEPTR feDlg_MkpfeDlg_PatternConverter_pattern (_coordref)
	POSITION *_coordref;
#endif
{	feDlg__TPPpfeDlg_PatternConverter_pattern _currn;
#ifdef __cplusplus
_currn = new feDlg__TPpfeDlg_PatternConverter_pattern;
#else
_currn = (feDlg__TPPpfeDlg_PatternConverter_pattern) feDlg_TreeNodeAlloc (sizeof (struct feDlg__TPpfeDlg_PatternConverter_pattern));
#endif
_currn->_prod = feDlg_RULEpfeDlg_PatternConverter_pattern;
_SETCOORD(_currn)
feDlg__TERMACT_pfeDlg_PatternConverter_pattern;
return ( (NODEPTR) _currn);
}/* feDlg_MkpfeDlg_PatternConverter_pattern */
