
/* implementation of tree construction functions */

#include "fepDlg_node.h"

#include "fepDlg_nodecode.h"

#include "attrpredef.h"

#include "fepDlg_visitmap.h"

#include "fepDlg_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* fepDlg_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* fepDlg_TreeNodeAlloc(int size)
#else
char* fepDlg_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void fepDlg_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void fepDlg_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* fepDlg_TreeNodeAlloc(int size)
#else
char* fepDlg_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void fepDlg_InitTree() { }

void fepDlg_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBVIEWROOT)) return (_currn);
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement)) return (fepDlg_MkpVIEWROOT_fepDlg(_coordref, _currn));
return(NULLNODEPTR);
}/* fepDlg_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_name)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_label)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_description)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_redisplay (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_redisplay (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_redisplay)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_redisplay */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_required)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FormularPasswordElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FormularPasswordElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FormularPasswordElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_LongRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_LongRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_LongRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_StringLengthValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_StringLengthValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_StringLengthValidator)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_RegExprValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_RegExprValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_RegExprValidator)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_CreditCardValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_CreditCardValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_CreditCardValidator)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_EmailValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_EmailValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_EmailValidator)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_PatternConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_PatternConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_PatternConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DateTimeConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DateTimeConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DateTimeConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_BooleanConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_BooleanConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_BooleanConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_FloatConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_FloatConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_FloatConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_BigIntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_BigIntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_BigIntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_LongConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_LongConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_LongConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_IntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_IntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_IntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_IntegerNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_RegExprValidator_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_RegExprValidator_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_RegExprValidator_pattern)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_StringLengthValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_StringLengthValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_StringLengthValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_StringLengthValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_StringLengthValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_StringLengthValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_LongRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_LongRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_LongRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_LongRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_LongRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_LongRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_IntegerNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_IntegerNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_minFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleNumberConverter_minFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_DoubleNumberConverter_maxFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkfepDlg_PatternConverter_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fepDlg_MkfepDlg_PatternConverter_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fepDlg_IsSymb (_currn, fepDlg_SYMBfepDlg_PatternConverter_pattern)) return (_currn);
return(NULLNODEPTR);
}/* fepDlg_MkfepDlg_PatternConverter_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpEmpty (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpEmpty;
#else
_currn = (fepDlg__TPPpEmpty) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpEmpty));
#endif
_currn->_prod = fepDlg_RULEpEmpty;
_SETCOORD(_currn)
fepDlg__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpVIEWROOT_fepDlg (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR fepDlg_MkpVIEWROOT_fepDlg (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	fepDlg__TPPpVIEWROOT_fepDlg _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpVIEWROOT_fepDlg;
#else
_currn = (fepDlg__TPPpVIEWROOT_fepDlg) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpVIEWROOT_fepDlg));
#endif
_currn->_prod = fepDlg_RULEpVIEWROOT_fepDlg;
_currn->_desc1 = (fepDlg__TSPfepDlg_FormularPasswordElement) fepDlg_MkfepDlg_FormularPasswordElement (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_fepDlg: root of subtree no. 1 can not be made a fepDlg_FormularPasswordElement node ", 0, _coordref);
_COPYCOORD(_currn)
fepDlg__TERMACT_pVIEWROOT_fepDlg;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpVIEWROOT_fepDlg */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
#endif
{	fepDlg__TPPpfepDlg_FormularPasswordElement _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FormularPasswordElement;
#else
_currn = (fepDlg__TPPpfepDlg_FormularPasswordElement) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement;
_currn->_desc1 = (fepDlg__TSPfepDlg_FormularPasswordElement_name) fepDlg_MkfepDlg_FormularPasswordElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 1 can not be made a fepDlg_FormularPasswordElement_name node ", 0, _coordref);
_currn->_desc2 = (fepDlg__TSPfepDlg_FormularPasswordElement_label) fepDlg_MkfepDlg_FormularPasswordElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 2 can not be made a fepDlg_FormularPasswordElement_label node ", 0, _coordref);
_currn->_desc3 = (fepDlg__TSPfepDlg_FormularPasswordElement_description) fepDlg_MkfepDlg_FormularPasswordElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 3 can not be made a fepDlg_FormularPasswordElement_description node ", 0, _coordref);
_currn->_desc4 = (fepDlg__TSPfepDlg_FormularPasswordElement_redisplay) fepDlg_MkfepDlg_FormularPasswordElement_redisplay (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 4 can not be made a fepDlg_FormularPasswordElement_redisplay node ", 0, _coordref);
_currn->_desc5 = (fepDlg__TSPfepDlg_FormularPasswordElement_pvalue) fepDlg_MkfepDlg_FormularPasswordElement_pvalue (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 5 can not be made a fepDlg_FormularPasswordElement_pvalue node ", 0, _coordref);
_currn->_desc6 = (fepDlg__TSPfepDlg_FormularPasswordElement_required) fepDlg_MkfepDlg_FormularPasswordElement_required (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 6 can not be made a fepDlg_FormularPasswordElement_required node ", 0, _coordref);
_currn->_desc7 = (fepDlg__TSPfepDlg_FormularPasswordElement_validator) fepDlg_MkfepDlg_FormularPasswordElement_validator (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 7 can not be made a fepDlg_FormularPasswordElement_validator node ", 0, _coordref);
_currn->_desc8 = (fepDlg__TSPfepDlg_FormularPasswordElement_converter) fepDlg_MkfepDlg_FormularPasswordElement_converter (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_FormularPasswordElement: root of subtree no. 8 can not be made a fepDlg_FormularPasswordElement_converter node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FormularPasswordElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FormularPasswordElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_name (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_name (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_FormularPasswordElement_name _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FormularPasswordElement_name;
#else
_currn = (fepDlg__TPPpfepDlg_FormularPasswordElement_name) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_name));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_name;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FormularPasswordElement_name;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FormularPasswordElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_label (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_label (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_FormularPasswordElement_label _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FormularPasswordElement_label;
#else
_currn = (fepDlg__TPPpfepDlg_FormularPasswordElement_label) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_label));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_label;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FormularPasswordElement_label;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FormularPasswordElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_description (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_description (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_FormularPasswordElement_description _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FormularPasswordElement_description;
#else
_currn = (fepDlg__TPPpfepDlg_FormularPasswordElement_description) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_description));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_description;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FormularPasswordElement_description;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FormularPasswordElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_redisplay (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_redisplay (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_FormularPasswordElement_redisplay _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FormularPasswordElement_redisplay;
#else
_currn = (fepDlg__TPPpfepDlg_FormularPasswordElement_redisplay) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_redisplay));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_redisplay;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FormularPasswordElement_redisplay;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FormularPasswordElement_redisplay */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_pvalue (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_FormularPasswordElement_pvalue _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FormularPasswordElement_pvalue;
#else
_currn = (fepDlg__TPPpfepDlg_FormularPasswordElement_pvalue) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_pvalue));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_pvalue;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FormularPasswordElement_pvalue;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FormularPasswordElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_required (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_required (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_FormularPasswordElement_required _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FormularPasswordElement_required;
#else
_currn = (fepDlg__TPPpfepDlg_FormularPasswordElement_required) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_required));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_required;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FormularPasswordElement_required;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FormularPasswordElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator;
#else
	_new = (fepDlg__TPPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator;
	_new->_desc1 = (fepDlg__TSPfepDlg_EmailValidator)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator)_new;
	{fepDlg__TPPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator;
#else
	_new = (fepDlg__TPPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator;
	_new->_desc1 = (fepDlg__TSPfepDlg_CreditCardValidator)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator)_new;
	{fepDlg__TPPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator;
#else
	_new = (fepDlg__TPPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator;
	_new->_desc1 = (fepDlg__TSPfepDlg_RegExprValidator)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator)_new;
	{fepDlg__TPPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator;
#else
	_new = (fepDlg__TPPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator;
	_new->_desc1 = (fepDlg__TSPfepDlg_StringLengthValidator)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator)_new;
	{fepDlg__TPPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator;
#else
	_new = (fepDlg__TPPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator;
	_new->_desc1 = (fepDlg__TSPfepDlg_LongRangeValidator)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator)_new;
	{fepDlg__TPPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator;
#else
	_new = (fepDlg__TPPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator;
	_new->_desc1 = (fepDlg__TSPfepDlg_DoubleRangeValidator)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator)_new;
	{fepDlg__TPPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempfepDlg_FormularPasswordElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_EmailValidator)) 
		return fepDlg__MkfepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator (_coordref, fepDlg_MkfepDlg_EmailValidator (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_CreditCardValidator)) 
		return fepDlg__MkfepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator (_coordref, fepDlg_MkfepDlg_CreditCardValidator (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_RegExprValidator)) 
		return fepDlg__MkfepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator (_coordref, fepDlg_MkfepDlg_RegExprValidator (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_StringLengthValidator)) 
		return fepDlg__MkfepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator (_coordref, fepDlg_MkfepDlg_StringLengthValidator (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_LongRangeValidator)) 
		return fepDlg__MkfepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator (_coordref, fepDlg_MkfepDlg_LongRangeValidator (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_DoubleRangeValidator)) 
		return fepDlg__MkfepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator (_coordref, fepDlg_MkfepDlg_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a pfepDlg_FormularPasswordElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_Mk2pfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR fepDlg_Mk2pfepDlg_FormularPasswordElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (fepDlg_LHSMAP[l->_prod] != fepDlg_SYMBLST_fepDlg_FormularPasswordElement_validator)
	l =_ElempfepDlg_FormularPasswordElement_validator (_coordref, l);
if (fepDlg_LHSMAP[r->_prod] != fepDlg_SYMBLST_fepDlg_FormularPasswordElement_validator)
	r = _ElempfepDlg_FormularPasswordElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator)r)->_desc2);
((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator)r)->_desc2 = ((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator)l)->_desc2;
((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; fepDlg__TPPpfepDlg_FormularPasswordElement_validator root;
	fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator)NULLNODEPTR;
else {	if (fepDlg_LHSMAP[t->_prod] != fepDlg_SYMBLST_fepDlg_FormularPasswordElement_validator)
		t = _ElempfepDlg_FormularPasswordElement_validator (_coordref, t);
	remain = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator)(((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator) t)->_desc2);
	((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new fepDlg__TPLST_0pfepDlg_FormularPasswordElement_validator;
#else
list = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_0pfepDlg_FormularPasswordElement_validator));
#endif
list->_prod = fepDlg_RULELST_0pfepDlg_FormularPasswordElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator)
	{fepDlg__TPPLST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_EmailValidatorpfepDlg_FormularPasswordElement_validator;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_validator*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator)
	{fepDlg__TPPLST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_CreditCardValidatorpfepDlg_FormularPasswordElement_validator;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_validator*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator)
	{fepDlg__TPPLST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_RegExprValidatorpfepDlg_FormularPasswordElement_validator;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_validator*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator)
	{fepDlg__TPPLST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_StringLengthValidatorpfepDlg_FormularPasswordElement_validator;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_validator*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator)
	{fepDlg__TPPLST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_LongRangeValidatorpfepDlg_FormularPasswordElement_validator;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_validator*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator)
	{fepDlg__TPPLST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_DoubleRangeValidatorpfepDlg_FormularPasswordElement_validator;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new fepDlg__TPpfepDlg_FormularPasswordElement_validator;
#else
root = (fepDlg__TPPpfepDlg_FormularPasswordElement_validator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_validator));
#endif
root->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_validator;
root->_desc1 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_validator)list;
{ fepDlg__TPPpfepDlg_FormularPasswordElement_validator _currn = root;
  _SETCOORD(_currn)
  fepDlg__TERMACT_pfepDlg_FormularPasswordElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_IntegerNumberConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_DoubleNumberConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_IntegerConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_LongConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_LongConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_LongConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_BigIntegerConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_FloatConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_DoubleConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_BooleanConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_DateTimeConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fepDlg__MkfepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fepDlg__MkfepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fepDlg__TPPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new fepDlg__TPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter;
#else
	_new = (fepDlg__TPPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter));
#endif
	_new->_prod = fepDlg_RULELST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter;
	_new->_desc1 = (fepDlg__TSPfepDlg_PatternConverter)elem;
	_new->_desc2 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)_new;
	{fepDlg__TPPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fepDlg__TERMACT_LST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempfepDlg_FormularPasswordElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_IntegerNumberConverter)) 
		return fepDlg__MkfepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_IntegerNumberConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_DoubleNumberConverter)) 
		return fepDlg__MkfepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_DoubleNumberConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_IntegerConverter)) 
		return fepDlg__MkfepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_IntegerConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_LongConverter)) 
		return fepDlg__MkfepDlg_LongConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_LongConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_BigIntegerConverter)) 
		return fepDlg__MkfepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_BigIntegerConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_FloatConverter)) 
		return fepDlg__MkfepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_FloatConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_DoubleConverter)) 
		return fepDlg__MkfepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_DoubleConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_BooleanConverter)) 
		return fepDlg__MkfepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_BooleanConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_DateTimeConverter)) 
		return fepDlg__MkfepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_DateTimeConverter (_coordref, t));
	if (fepDlg_IsSymb (t, fepDlg_SYMBfepDlg_PatternConverter)) 
		return fepDlg__MkfepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter (_coordref, fepDlg_MkfepDlg_PatternConverter (_coordref, t));
	message (DEADLY, "a pfepDlg_FormularPasswordElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_Mk2pfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR fepDlg_Mk2pfepDlg_FormularPasswordElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (fepDlg_LHSMAP[l->_prod] != fepDlg_SYMBLST_fepDlg_FormularPasswordElement_converter)
	l =_ElempfepDlg_FormularPasswordElement_converter (_coordref, l);
if (fepDlg_LHSMAP[r->_prod] != fepDlg_SYMBLST_fepDlg_FormularPasswordElement_converter)
	r = _ElempfepDlg_FormularPasswordElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter)r)->_desc2);
((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter)r)->_desc2 = ((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter)l)->_desc2;
((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR fepDlg_MkpfepDlg_FormularPasswordElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; fepDlg__TPPpfepDlg_FormularPasswordElement_converter root;
	fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter)NULLNODEPTR;
else {	if (fepDlg_LHSMAP[t->_prod] != fepDlg_SYMBLST_fepDlg_FormularPasswordElement_converter)
		t = _ElempfepDlg_FormularPasswordElement_converter (_coordref, t);
	remain = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter)(((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter) t)->_desc2);
	((fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new fepDlg__TPLST_0pfepDlg_FormularPasswordElement_converter;
#else
list = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPLST_0pfepDlg_FormularPasswordElement_converter));
#endif
list->_prod = fepDlg_RULELST_0pfepDlg_FormularPasswordElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (fepDlg__TPPLST_0pfepDlg_FormularPasswordElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_IntegerNumberConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_DoubleNumberConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_IntegerConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_LongConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_BigIntegerConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_FloatConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_DoubleConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_BooleanConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_DateTimeConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
	/*if (_currn->_prod == fepDlg_RULELST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter)
	{fepDlg__TPPLST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter _currn = _currn;
	 fepDlg__TERMACT_LST_fepDlg_PatternConverterpfepDlg_FormularPasswordElement_converter;
	} this code has been moved to _ElempfepDlg_FormularPasswordElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new fepDlg__TPpfepDlg_FormularPasswordElement_converter;
#else
root = (fepDlg__TPPpfepDlg_FormularPasswordElement_converter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FormularPasswordElement_converter));
#endif
root->_prod = fepDlg_RULEpfepDlg_FormularPasswordElement_converter;
root->_desc1 = (fepDlg__TSPLST_fepDlg_FormularPasswordElement_converter)list;
{ fepDlg__TPPpfepDlg_FormularPasswordElement_converter _currn = root;
  _SETCOORD(_currn)
  fepDlg__TERMACT_pfepDlg_FormularPasswordElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_EmailValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_EmailValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_EmailValidator _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_EmailValidator;
#else
_currn = (fepDlg__TPPpfepDlg_EmailValidator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_EmailValidator));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_EmailValidator;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_EmailValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_CreditCardValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_CreditCardValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_CreditCardValidator _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_CreditCardValidator;
#else
_currn = (fepDlg__TPPpfepDlg_CreditCardValidator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_CreditCardValidator));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_CreditCardValidator;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_CreditCardValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_RegExprValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR fepDlg_MkpfepDlg_RegExprValidator (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	fepDlg__TPPpfepDlg_RegExprValidator _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_RegExprValidator;
#else
_currn = (fepDlg__TPPpfepDlg_RegExprValidator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_RegExprValidator));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_RegExprValidator;
_currn->_desc1 = (fepDlg__TSPfepDlg_RegExprValidator_pattern) fepDlg_MkfepDlg_RegExprValidator_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_RegExprValidator: root of subtree no. 1 can not be made a fepDlg_RegExprValidator_pattern node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_RegExprValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_RegExprValidator_pattern (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_RegExprValidator_pattern (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_RegExprValidator_pattern _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_RegExprValidator_pattern;
#else
_currn = (fepDlg__TPPpfepDlg_RegExprValidator_pattern) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_RegExprValidator_pattern));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_RegExprValidator_pattern;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_RegExprValidator_pattern;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_StringLengthValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fepDlg_MkpfepDlg_StringLengthValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fepDlg__TPPpfepDlg_StringLengthValidator _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_StringLengthValidator;
#else
_currn = (fepDlg__TPPpfepDlg_StringLengthValidator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_StringLengthValidator));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_StringLengthValidator;
_currn->_desc1 = (fepDlg__TSPfepDlg_StringLengthValidator_min) fepDlg_MkfepDlg_StringLengthValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_StringLengthValidator: root of subtree no. 1 can not be made a fepDlg_StringLengthValidator_min node ", 0, _coordref);
_currn->_desc2 = (fepDlg__TSPfepDlg_StringLengthValidator_max) fepDlg_MkfepDlg_StringLengthValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_StringLengthValidator: root of subtree no. 2 can not be made a fepDlg_StringLengthValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_StringLengthValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_StringLengthValidator_min (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_StringLengthValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_StringLengthValidator_min _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_StringLengthValidator_min;
#else
_currn = (fepDlg__TPPpfepDlg_StringLengthValidator_min) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_StringLengthValidator_min));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_StringLengthValidator_min;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_StringLengthValidator_min;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_StringLengthValidator_max (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_StringLengthValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_StringLengthValidator_max _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_StringLengthValidator_max;
#else
_currn = (fepDlg__TPPpfepDlg_StringLengthValidator_max) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_StringLengthValidator_max));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_StringLengthValidator_max;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_StringLengthValidator_max;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_LongRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fepDlg_MkpfepDlg_LongRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fepDlg__TPPpfepDlg_LongRangeValidator _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_LongRangeValidator;
#else
_currn = (fepDlg__TPPpfepDlg_LongRangeValidator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_LongRangeValidator));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_LongRangeValidator;
_currn->_desc1 = (fepDlg__TSPfepDlg_LongRangeValidator_min) fepDlg_MkfepDlg_LongRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_LongRangeValidator: root of subtree no. 1 can not be made a fepDlg_LongRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (fepDlg__TSPfepDlg_LongRangeValidator_max) fepDlg_MkfepDlg_LongRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_LongRangeValidator: root of subtree no. 2 can not be made a fepDlg_LongRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_LongRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_LongRangeValidator_min (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_LongRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_LongRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_LongRangeValidator_min;
#else
_currn = (fepDlg__TPPpfepDlg_LongRangeValidator_min) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_LongRangeValidator_min));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_LongRangeValidator_min;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_LongRangeValidator_min;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_LongRangeValidator_max (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_LongRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_LongRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_LongRangeValidator_max;
#else
_currn = (fepDlg__TPPpfepDlg_LongRangeValidator_max) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_LongRangeValidator_max));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_LongRangeValidator_max;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_LongRangeValidator_max;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fepDlg__TPPpfepDlg_DoubleRangeValidator _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleRangeValidator;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleRangeValidator) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleRangeValidator));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleRangeValidator;
_currn->_desc1 = (fepDlg__TSPfepDlg_DoubleRangeValidator_min) fepDlg_MkfepDlg_DoubleRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_DoubleRangeValidator: root of subtree no. 1 can not be made a fepDlg_DoubleRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (fepDlg__TSPfepDlg_DoubleRangeValidator_max) fepDlg_MkfepDlg_DoubleRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_DoubleRangeValidator: root of subtree no. 2 can not be made a fepDlg_DoubleRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator_min (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_DoubleRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleRangeValidator_min;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleRangeValidator_min) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleRangeValidator_min));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleRangeValidator_min;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleRangeValidator_min;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator_max (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_DoubleRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleRangeValidator_max;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleRangeValidator_max) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleRangeValidator_max));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleRangeValidator_max;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleRangeValidator_max;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fepDlg__TPPpfepDlg_IntegerNumberConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_IntegerNumberConverter;
#else
_currn = (fepDlg__TPPpfepDlg_IntegerNumberConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_IntegerNumberConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_IntegerNumberConverter;
_currn->_desc1 = (fepDlg__TSPfepDlg_IntegerNumberConverter_minIntegerDigits) fepDlg_MkfepDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_IntegerNumberConverter: root of subtree no. 1 can not be made a fepDlg_IntegerNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (fepDlg__TSPfepDlg_IntegerNumberConverter_maxIntegerDigits) fepDlg_MkfepDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_IntegerNumberConverter: root of subtree no. 2 can not be made a fepDlg_IntegerNumberConverter_maxIntegerDigits node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_IntegerNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_IntegerNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_IntegerNumberConverter_minIntegerDigits;
#else
_currn = (fepDlg__TPPpfepDlg_IntegerNumberConverter_minIntegerDigits) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_IntegerNumberConverter_minIntegerDigits));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_IntegerNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_IntegerNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_IntegerNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_IntegerNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_IntegerNumberConverter_maxIntegerDigits;
#else
_currn = (fepDlg__TPPpfepDlg_IntegerNumberConverter_maxIntegerDigits) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_IntegerNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_IntegerNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_IntegerNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	fepDlg__TPPpfepDlg_DoubleNumberConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleNumberConverter;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleNumberConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleNumberConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleNumberConverter;
_currn->_desc1 = (fepDlg__TSPfepDlg_DoubleNumberConverter_minIntegerDigits) fepDlg_MkfepDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_DoubleNumberConverter: root of subtree no. 1 can not be made a fepDlg_DoubleNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (fepDlg__TSPfepDlg_DoubleNumberConverter_maxIntegerDigits) fepDlg_MkfepDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_DoubleNumberConverter: root of subtree no. 2 can not be made a fepDlg_DoubleNumberConverter_maxIntegerDigits node ", 0, _coordref);
_currn->_desc3 = (fepDlg__TSPfepDlg_DoubleNumberConverter_minFractionDigits) fepDlg_MkfepDlg_DoubleNumberConverter_minFractionDigits (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_DoubleNumberConverter: root of subtree no. 3 can not be made a fepDlg_DoubleNumberConverter_minFractionDigits node ", 0, _coordref);
_currn->_desc4 = (fepDlg__TSPfepDlg_DoubleNumberConverter_maxFractionDigits) fepDlg_MkfepDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_DoubleNumberConverter: root of subtree no. 4 can not be made a fepDlg_DoubleNumberConverter_maxFractionDigits node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_DoubleNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleNumberConverter_minIntegerDigits;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleNumberConverter_minIntegerDigits) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleNumberConverter_minIntegerDigits));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_DoubleNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleNumberConverter_maxIntegerDigits;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleNumberConverter_maxIntegerDigits) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_minFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_DoubleNumberConverter_minFractionDigits _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleNumberConverter_minFractionDigits;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleNumberConverter_minFractionDigits) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleNumberConverter_minFractionDigits));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleNumberConverter_minFractionDigits;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleNumberConverter_minFractionDigits;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleNumberConverter_maxFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_DoubleNumberConverter_maxFractionDigits _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleNumberConverter_maxFractionDigits;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleNumberConverter_maxFractionDigits) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleNumberConverter_maxFractionDigits));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleNumberConverter_maxFractionDigits;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleNumberConverter_maxFractionDigits;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_IntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_IntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_IntegerConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_IntegerConverter;
#else
_currn = (fepDlg__TPPpfepDlg_IntegerConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_IntegerConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_IntegerConverter;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_IntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_LongConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_LongConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_LongConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_LongConverter;
#else
_currn = (fepDlg__TPPpfepDlg_LongConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_LongConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_LongConverter;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_LongConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_BigIntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_BigIntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_BigIntegerConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_BigIntegerConverter;
#else
_currn = (fepDlg__TPPpfepDlg_BigIntegerConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_BigIntegerConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_BigIntegerConverter;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_BigIntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_FloatConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_FloatConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_FloatConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_FloatConverter;
#else
_currn = (fepDlg__TPPpfepDlg_FloatConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_FloatConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_FloatConverter;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_FloatConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DoubleConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_DoubleConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_DoubleConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DoubleConverter;
#else
_currn = (fepDlg__TPPpfepDlg_DoubleConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DoubleConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DoubleConverter;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DoubleConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_BooleanConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_BooleanConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_BooleanConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_BooleanConverter;
#else
_currn = (fepDlg__TPPpfepDlg_BooleanConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_BooleanConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_BooleanConverter;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_BooleanConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_DateTimeConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fepDlg_MkpfepDlg_DateTimeConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fepDlg__TPPpfepDlg_DateTimeConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_DateTimeConverter;
#else
_currn = (fepDlg__TPPpfepDlg_DateTimeConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_DateTimeConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_DateTimeConverter;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_DateTimeConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_PatternConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR fepDlg_MkpfepDlg_PatternConverter (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	fepDlg__TPPpfepDlg_PatternConverter _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_PatternConverter;
#else
_currn = (fepDlg__TPPpfepDlg_PatternConverter) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_PatternConverter));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_PatternConverter;
_currn->_desc1 = (fepDlg__TSPfepDlg_PatternConverter_pattern) fepDlg_MkfepDlg_PatternConverter_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfepDlg_PatternConverter: root of subtree no. 1 can not be made a fepDlg_PatternConverter_pattern node ", 0, _coordref);
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_PatternConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fepDlg_MkpfepDlg_PatternConverter_pattern (POSITION *_coordref)
#else
NODEPTR fepDlg_MkpfepDlg_PatternConverter_pattern (_coordref)
	POSITION *_coordref;
#endif
{	fepDlg__TPPpfepDlg_PatternConverter_pattern _currn;
#ifdef __cplusplus
_currn = new fepDlg__TPpfepDlg_PatternConverter_pattern;
#else
_currn = (fepDlg__TPPpfepDlg_PatternConverter_pattern) fepDlg_TreeNodeAlloc (sizeof (struct fepDlg__TPpfepDlg_PatternConverter_pattern));
#endif
_currn->_prod = fepDlg_RULEpfepDlg_PatternConverter_pattern;
_SETCOORD(_currn)
fepDlg__TERMACT_pfepDlg_PatternConverter_pattern;
return ( (NODEPTR) _currn);
}/* fepDlg_MkpfepDlg_PatternConverter_pattern */
