
/* implementation of tree construction functions */

#include "fesDlg_node.h"

#include "fesDlg_nodecode.h"

#include "attrpredef.h"

#include "fesDlg_visitmap.h"

#include "fesDlg_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* fesDlg_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* fesDlg_TreeNodeAlloc(int size)
#else
char* fesDlg_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void fesDlg_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void fesDlg_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* fesDlg_TreeNodeAlloc(int size)
#else
char* fesDlg_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void fesDlg_InitTree() { }

void fesDlg_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBVIEWROOT)) return (_currn);
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement)) return (fesDlg_MkpVIEWROOT_fesDlg(_coordref, _currn));
return(NULLNODEPTR);
}/* fesDlg_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_name)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_label)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_description)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_size (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_size (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_size)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_size */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_multiple (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_multiple (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_multiple)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_multiple */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_required)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FormularSelectElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FormularSelectElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FormularSelectElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_PatternConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_PatternConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_PatternConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_DateTimeConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_DateTimeConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_DateTimeConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_BooleanConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_BooleanConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_BooleanConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_DoubleConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_DoubleConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_DoubleConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_FloatConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_FloatConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_FloatConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_BigIntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_BigIntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_BigIntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_LongConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_LongConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_LongConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_IntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_IntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_IntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_DoubleNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_IntegerNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_IntegerNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_IntegerNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_DoubleNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_DoubleNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_minFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_DoubleNumberConverter_minFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_DoubleNumberConverter_maxFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkfesDlg_PatternConverter_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fesDlg_MkfesDlg_PatternConverter_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fesDlg_IsSymb (_currn, fesDlg_SYMBfesDlg_PatternConverter_pattern)) return (_currn);
return(NULLNODEPTR);
}/* fesDlg_MkfesDlg_PatternConverter_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpEmpty (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpEmpty;
#else
_currn = (fesDlg__TPPpEmpty) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpEmpty));
#endif
_currn->_prod = fesDlg_RULEpEmpty;
_SETCOORD(_currn)
fesDlg__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpVIEWROOT_fesDlg (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR fesDlg_MkpVIEWROOT_fesDlg (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	fesDlg__TPPpVIEWROOT_fesDlg _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpVIEWROOT_fesDlg;
#else
_currn = (fesDlg__TPPpVIEWROOT_fesDlg) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpVIEWROOT_fesDlg));
#endif
_currn->_prod = fesDlg_RULEpVIEWROOT_fesDlg;
_currn->_desc1 = (fesDlg__TSPfesDlg_FormularSelectElement) fesDlg_MkfesDlg_FormularSelectElement (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_fesDlg: root of subtree no. 1 can not be made a fesDlg_FormularSelectElement node ", 0, _coordref);
_COPYCOORD(_currn)
fesDlg__TERMACT_pVIEWROOT_fesDlg;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpVIEWROOT_fesDlg */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement;
_currn->_desc1 = (fesDlg__TSPfesDlg_FormularSelectElement_name) fesDlg_MkfesDlg_FormularSelectElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 1 can not be made a fesDlg_FormularSelectElement_name node ", 0, _coordref);
_currn->_desc2 = (fesDlg__TSPfesDlg_FormularSelectElement_label) fesDlg_MkfesDlg_FormularSelectElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 2 can not be made a fesDlg_FormularSelectElement_label node ", 0, _coordref);
_currn->_desc3 = (fesDlg__TSPfesDlg_FormularSelectElement_description) fesDlg_MkfesDlg_FormularSelectElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 3 can not be made a fesDlg_FormularSelectElement_description node ", 0, _coordref);
_currn->_desc4 = (fesDlg__TSPfesDlg_FormularSelectElement_size) fesDlg_MkfesDlg_FormularSelectElement_size (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 4 can not be made a fesDlg_FormularSelectElement_size node ", 0, _coordref);
_currn->_desc5 = (fesDlg__TSPfesDlg_FormularSelectElement_multiple) fesDlg_MkfesDlg_FormularSelectElement_multiple (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 5 can not be made a fesDlg_FormularSelectElement_multiple node ", 0, _coordref);
_currn->_desc6 = (fesDlg__TSPfesDlg_FormularSelectElement_pvalue) fesDlg_MkfesDlg_FormularSelectElement_pvalue (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 6 can not be made a fesDlg_FormularSelectElement_pvalue node ", 0, _coordref);
_currn->_desc7 = (fesDlg__TSPfesDlg_FormularSelectElement_required) fesDlg_MkfesDlg_FormularSelectElement_required (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 7 can not be made a fesDlg_FormularSelectElement_required node ", 0, _coordref);
_currn->_desc8 = (fesDlg__TSPfesDlg_FormularSelectElement_converter) fesDlg_MkfesDlg_FormularSelectElement_converter (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_FormularSelectElement: root of subtree no. 8 can not be made a fesDlg_FormularSelectElement_converter node ", 0, _coordref);
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_name (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_name (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement_name _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement_name;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement_name) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_name));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_name;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement_name;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_label (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_label (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement_label _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement_label;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement_label) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_label));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_label;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement_label;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_description (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_description (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement_description _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement_description;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement_description) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_description));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_description;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement_description;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_size (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_size (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement_size _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement_size;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement_size) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_size));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_size;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement_size;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement_size */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_multiple (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_multiple (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement_multiple _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement_multiple;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement_multiple) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_multiple));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_multiple;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement_multiple;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement_multiple */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_pvalue (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement_pvalue _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement_pvalue;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement_pvalue) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_pvalue));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_pvalue;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement_pvalue;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_required (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_required (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_FormularSelectElement_required _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FormularSelectElement_required;
#else
_currn = (fesDlg__TPPpfesDlg_FormularSelectElement_required) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_required));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_required;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FormularSelectElement_required;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FormularSelectElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_IntegerNumberConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_DoubleNumberConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_IntegerConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_LongConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_LongConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_LongConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_BigIntegerConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_FloatConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_FloatConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_FloatConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_DoubleConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_BooleanConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_DateTimeConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fesDlg__MkfesDlg_PatternConverterpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fesDlg__MkfesDlg_PatternConverterpfesDlg_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fesDlg__TPPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new fesDlg__TPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter;
#else
	_new = (fesDlg__TPPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter));
#endif
	_new->_prod = fesDlg_RULELST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter;
	_new->_desc1 = (fesDlg__TSPfesDlg_PatternConverter)elem;
	_new->_desc2 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)_new;
	{fesDlg__TPPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fesDlg__TERMACT_LST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempfesDlg_FormularSelectElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_IntegerNumberConverter)) 
		return fesDlg__MkfesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_IntegerNumberConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_DoubleNumberConverter)) 
		return fesDlg__MkfesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_DoubleNumberConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_IntegerConverter)) 
		return fesDlg__MkfesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_IntegerConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_LongConverter)) 
		return fesDlg__MkfesDlg_LongConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_LongConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_BigIntegerConverter)) 
		return fesDlg__MkfesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_BigIntegerConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_FloatConverter)) 
		return fesDlg__MkfesDlg_FloatConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_FloatConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_DoubleConverter)) 
		return fesDlg__MkfesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_DoubleConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_BooleanConverter)) 
		return fesDlg__MkfesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_BooleanConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_DateTimeConverter)) 
		return fesDlg__MkfesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_DateTimeConverter (_coordref, t));
	if (fesDlg_IsSymb (t, fesDlg_SYMBfesDlg_PatternConverter)) 
		return fesDlg__MkfesDlg_PatternConverterpfesDlg_FormularSelectElement_converter (_coordref, fesDlg_MkfesDlg_PatternConverter (_coordref, t));
	message (DEADLY, "a pfesDlg_FormularSelectElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_Mk2pfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR fesDlg_Mk2pfesDlg_FormularSelectElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (fesDlg_LHSMAP[l->_prod] != fesDlg_SYMBLST_fesDlg_FormularSelectElement_converter)
	l =_ElempfesDlg_FormularSelectElement_converter (_coordref, l);
if (fesDlg_LHSMAP[r->_prod] != fesDlg_SYMBLST_fesDlg_FormularSelectElement_converter)
	r = _ElempfesDlg_FormularSelectElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter)r)->_desc2);
((fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter)r)->_desc2 = ((fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter)l)->_desc2;
((fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR fesDlg_MkpfesDlg_FormularSelectElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; fesDlg__TPPpfesDlg_FormularSelectElement_converter root;
	fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter)NULLNODEPTR;
else {	if (fesDlg_LHSMAP[t->_prod] != fesDlg_SYMBLST_fesDlg_FormularSelectElement_converter)
		t = _ElempfesDlg_FormularSelectElement_converter (_coordref, t);
	remain = (fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter)(((fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter) t)->_desc2);
	((fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new fesDlg__TPLST_0pfesDlg_FormularSelectElement_converter;
#else
list = (fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPLST_0pfesDlg_FormularSelectElement_converter));
#endif
list->_prod = fesDlg_RULELST_0pfesDlg_FormularSelectElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (fesDlg__TPPLST_0pfesDlg_FormularSelectElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_IntegerNumberConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_DoubleNumberConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_IntegerConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_LongConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_BigIntegerConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_FloatConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_DoubleConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_BooleanConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_DateTimeConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
	/*if (_currn->_prod == fesDlg_RULELST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter)
	{fesDlg__TPPLST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter _currn = _currn;
	 fesDlg__TERMACT_LST_fesDlg_PatternConverterpfesDlg_FormularSelectElement_converter;
	} this code has been moved to _ElempfesDlg_FormularSelectElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new fesDlg__TPpfesDlg_FormularSelectElement_converter;
#else
root = (fesDlg__TPPpfesDlg_FormularSelectElement_converter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FormularSelectElement_converter));
#endif
root->_prod = fesDlg_RULEpfesDlg_FormularSelectElement_converter;
root->_desc1 = (fesDlg__TSPLST_fesDlg_FormularSelectElement_converter)list;
{ fesDlg__TPPpfesDlg_FormularSelectElement_converter _currn = root;
  _SETCOORD(_currn)
  fesDlg__TERMACT_pfesDlg_FormularSelectElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fesDlg__TPPpfesDlg_IntegerNumberConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_IntegerNumberConverter;
#else
_currn = (fesDlg__TPPpfesDlg_IntegerNumberConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_IntegerNumberConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_IntegerNumberConverter;
_currn->_desc1 = (fesDlg__TSPfesDlg_IntegerNumberConverter_minIntegerDigits) fesDlg_MkfesDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_IntegerNumberConverter: root of subtree no. 1 can not be made a fesDlg_IntegerNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (fesDlg__TSPfesDlg_IntegerNumberConverter_maxIntegerDigits) fesDlg_MkfesDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_IntegerNumberConverter: root of subtree no. 2 can not be made a fesDlg_IntegerNumberConverter_maxIntegerDigits node ", 0, _coordref);
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_IntegerNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_IntegerNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_IntegerNumberConverter_minIntegerDigits;
#else
_currn = (fesDlg__TPPpfesDlg_IntegerNumberConverter_minIntegerDigits) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_IntegerNumberConverter_minIntegerDigits));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_IntegerNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_IntegerNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_IntegerNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_IntegerNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_IntegerNumberConverter_maxIntegerDigits;
#else
_currn = (fesDlg__TPPpfesDlg_IntegerNumberConverter_maxIntegerDigits) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_IntegerNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_IntegerNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_IntegerNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	fesDlg__TPPpfesDlg_DoubleNumberConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_DoubleNumberConverter;
#else
_currn = (fesDlg__TPPpfesDlg_DoubleNumberConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_DoubleNumberConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_DoubleNumberConverter;
_currn->_desc1 = (fesDlg__TSPfesDlg_DoubleNumberConverter_minIntegerDigits) fesDlg_MkfesDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_DoubleNumberConverter: root of subtree no. 1 can not be made a fesDlg_DoubleNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (fesDlg__TSPfesDlg_DoubleNumberConverter_maxIntegerDigits) fesDlg_MkfesDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_DoubleNumberConverter: root of subtree no. 2 can not be made a fesDlg_DoubleNumberConverter_maxIntegerDigits node ", 0, _coordref);
_currn->_desc3 = (fesDlg__TSPfesDlg_DoubleNumberConverter_minFractionDigits) fesDlg_MkfesDlg_DoubleNumberConverter_minFractionDigits (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_DoubleNumberConverter: root of subtree no. 3 can not be made a fesDlg_DoubleNumberConverter_minFractionDigits node ", 0, _coordref);
_currn->_desc4 = (fesDlg__TSPfesDlg_DoubleNumberConverter_maxFractionDigits) fesDlg_MkfesDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_DoubleNumberConverter: root of subtree no. 4 can not be made a fesDlg_DoubleNumberConverter_maxFractionDigits node ", 0, _coordref);
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_DoubleNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_DoubleNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_DoubleNumberConverter_minIntegerDigits;
#else
_currn = (fesDlg__TPPpfesDlg_DoubleNumberConverter_minIntegerDigits) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_DoubleNumberConverter_minIntegerDigits));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_DoubleNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_DoubleNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_DoubleNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_DoubleNumberConverter_maxIntegerDigits;
#else
_currn = (fesDlg__TPPpfesDlg_DoubleNumberConverter_maxIntegerDigits) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_DoubleNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_DoubleNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_DoubleNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_minFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_DoubleNumberConverter_minFractionDigits _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_DoubleNumberConverter_minFractionDigits;
#else
_currn = (fesDlg__TPPpfesDlg_DoubleNumberConverter_minFractionDigits) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_DoubleNumberConverter_minFractionDigits));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_DoubleNumberConverter_minFractionDigits;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_DoubleNumberConverter_minFractionDigits;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_DoubleNumberConverter_maxFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_DoubleNumberConverter_maxFractionDigits _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_DoubleNumberConverter_maxFractionDigits;
#else
_currn = (fesDlg__TPPpfesDlg_DoubleNumberConverter_maxFractionDigits) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_DoubleNumberConverter_maxFractionDigits));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_DoubleNumberConverter_maxFractionDigits;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_DoubleNumberConverter_maxFractionDigits;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_IntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fesDlg_MkpfesDlg_IntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fesDlg__TPPpfesDlg_IntegerConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_IntegerConverter;
#else
_currn = (fesDlg__TPPpfesDlg_IntegerConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_IntegerConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_IntegerConverter;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_IntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_LongConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fesDlg_MkpfesDlg_LongConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fesDlg__TPPpfesDlg_LongConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_LongConverter;
#else
_currn = (fesDlg__TPPpfesDlg_LongConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_LongConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_LongConverter;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_LongConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_BigIntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fesDlg_MkpfesDlg_BigIntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fesDlg__TPPpfesDlg_BigIntegerConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_BigIntegerConverter;
#else
_currn = (fesDlg__TPPpfesDlg_BigIntegerConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_BigIntegerConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_BigIntegerConverter;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_BigIntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_FloatConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fesDlg_MkpfesDlg_FloatConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fesDlg__TPPpfesDlg_FloatConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_FloatConverter;
#else
_currn = (fesDlg__TPPpfesDlg_FloatConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_FloatConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_FloatConverter;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_FloatConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_DoubleConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fesDlg_MkpfesDlg_DoubleConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fesDlg__TPPpfesDlg_DoubleConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_DoubleConverter;
#else
_currn = (fesDlg__TPPpfesDlg_DoubleConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_DoubleConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_DoubleConverter;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_DoubleConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_BooleanConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fesDlg_MkpfesDlg_BooleanConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fesDlg__TPPpfesDlg_BooleanConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_BooleanConverter;
#else
_currn = (fesDlg__TPPpfesDlg_BooleanConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_BooleanConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_BooleanConverter;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_BooleanConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_DateTimeConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fesDlg_MkpfesDlg_DateTimeConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fesDlg__TPPpfesDlg_DateTimeConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_DateTimeConverter;
#else
_currn = (fesDlg__TPPpfesDlg_DateTimeConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_DateTimeConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_DateTimeConverter;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_DateTimeConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_PatternConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR fesDlg_MkpfesDlg_PatternConverter (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	fesDlg__TPPpfesDlg_PatternConverter _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_PatternConverter;
#else
_currn = (fesDlg__TPPpfesDlg_PatternConverter) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_PatternConverter));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_PatternConverter;
_currn->_desc1 = (fesDlg__TSPfesDlg_PatternConverter_pattern) fesDlg_MkfesDlg_PatternConverter_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfesDlg_PatternConverter: root of subtree no. 1 can not be made a fesDlg_PatternConverter_pattern node ", 0, _coordref);
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_PatternConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fesDlg_MkpfesDlg_PatternConverter_pattern (POSITION *_coordref)
#else
NODEPTR fesDlg_MkpfesDlg_PatternConverter_pattern (_coordref)
	POSITION *_coordref;
#endif
{	fesDlg__TPPpfesDlg_PatternConverter_pattern _currn;
#ifdef __cplusplus
_currn = new fesDlg__TPpfesDlg_PatternConverter_pattern;
#else
_currn = (fesDlg__TPPpfesDlg_PatternConverter_pattern) fesDlg_TreeNodeAlloc (sizeof (struct fesDlg__TPpfesDlg_PatternConverter_pattern));
#endif
_currn->_prod = fesDlg_RULEpfesDlg_PatternConverter_pattern;
_SETCOORD(_currn)
fesDlg__TERMACT_pfesDlg_PatternConverter_pattern;
return ( (NODEPTR) _currn);
}/* fesDlg_MkpfesDlg_PatternConverter_pattern */
