
/* implementation of tree construction functions */

#include "fetDlg_node.h"

#include "fetDlg_nodecode.h"

#include "attrpredef.h"

#include "fetDlg_visitmap.h"

#include "fetDlg_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* fetDlg_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* fetDlg_TreeNodeAlloc(int size)
#else
char* fetDlg_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void fetDlg_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void fetDlg_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* fetDlg_TreeNodeAlloc(int size)
#else
char* fetDlg_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void fetDlg_InitTree() { }

void fetDlg_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBVIEWROOT)) return (_currn);
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement)) return (fetDlg_MkpVIEWROOT_fetDlg(_coordref, _currn));
return(NULLNODEPTR);
}/* fetDlg_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_name)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_label)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_description)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_rows (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_rows (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_rows)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_rows */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_required)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FormularTextAreaElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FormularTextAreaElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FormularTextAreaElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_LongRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_LongRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_LongRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_StringLengthValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_StringLengthValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_StringLengthValidator)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_RegExprValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_RegExprValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_RegExprValidator)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_CreditCardValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_CreditCardValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_CreditCardValidator)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_EmailValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_EmailValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_EmailValidator)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_PatternConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_PatternConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_PatternConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DateTimeConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DateTimeConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DateTimeConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_BooleanConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_BooleanConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_BooleanConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_FloatConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_FloatConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_FloatConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_BigIntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_BigIntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_BigIntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_LongConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_LongConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_LongConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_IntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_IntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_IntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_IntegerNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_RegExprValidator_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_RegExprValidator_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_RegExprValidator_pattern)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_StringLengthValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_StringLengthValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_StringLengthValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_StringLengthValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_StringLengthValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_StringLengthValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_LongRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_LongRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_LongRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_LongRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_LongRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_LongRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_IntegerNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_IntegerNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_minFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleNumberConverter_minFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_DoubleNumberConverter_maxFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkfetDlg_PatternConverter_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR fetDlg_MkfetDlg_PatternConverter_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (fetDlg_IsSymb (_currn, fetDlg_SYMBfetDlg_PatternConverter_pattern)) return (_currn);
return(NULLNODEPTR);
}/* fetDlg_MkfetDlg_PatternConverter_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpEmpty (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpEmpty;
#else
_currn = (fetDlg__TPPpEmpty) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpEmpty));
#endif
_currn->_prod = fetDlg_RULEpEmpty;
_SETCOORD(_currn)
fetDlg__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpVIEWROOT_fetDlg (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR fetDlg_MkpVIEWROOT_fetDlg (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	fetDlg__TPPpVIEWROOT_fetDlg _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpVIEWROOT_fetDlg;
#else
_currn = (fetDlg__TPPpVIEWROOT_fetDlg) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpVIEWROOT_fetDlg));
#endif
_currn->_prod = fetDlg_RULEpVIEWROOT_fetDlg;
_currn->_desc1 = (fetDlg__TSPfetDlg_FormularTextAreaElement) fetDlg_MkfetDlg_FormularTextAreaElement (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_fetDlg: root of subtree no. 1 can not be made a fetDlg_FormularTextAreaElement node ", 0, _coordref);
_COPYCOORD(_currn)
fetDlg__TERMACT_pVIEWROOT_fetDlg;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpVIEWROOT_fetDlg */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
#endif
{	fetDlg__TPPpfetDlg_FormularTextAreaElement _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FormularTextAreaElement;
#else
_currn = (fetDlg__TPPpfetDlg_FormularTextAreaElement) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement;
_currn->_desc1 = (fetDlg__TSPfetDlg_FormularTextAreaElement_name) fetDlg_MkfetDlg_FormularTextAreaElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 1 can not be made a fetDlg_FormularTextAreaElement_name node ", 0, _coordref);
_currn->_desc2 = (fetDlg__TSPfetDlg_FormularTextAreaElement_label) fetDlg_MkfetDlg_FormularTextAreaElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 2 can not be made a fetDlg_FormularTextAreaElement_label node ", 0, _coordref);
_currn->_desc3 = (fetDlg__TSPfetDlg_FormularTextAreaElement_description) fetDlg_MkfetDlg_FormularTextAreaElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 3 can not be made a fetDlg_FormularTextAreaElement_description node ", 0, _coordref);
_currn->_desc4 = (fetDlg__TSPfetDlg_FormularTextAreaElement_rows) fetDlg_MkfetDlg_FormularTextAreaElement_rows (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 4 can not be made a fetDlg_FormularTextAreaElement_rows node ", 0, _coordref);
_currn->_desc5 = (fetDlg__TSPfetDlg_FormularTextAreaElement_pvalue) fetDlg_MkfetDlg_FormularTextAreaElement_pvalue (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 5 can not be made a fetDlg_FormularTextAreaElement_pvalue node ", 0, _coordref);
_currn->_desc6 = (fetDlg__TSPfetDlg_FormularTextAreaElement_required) fetDlg_MkfetDlg_FormularTextAreaElement_required (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 6 can not be made a fetDlg_FormularTextAreaElement_required node ", 0, _coordref);
_currn->_desc7 = (fetDlg__TSPfetDlg_FormularTextAreaElement_validator) fetDlg_MkfetDlg_FormularTextAreaElement_validator (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 7 can not be made a fetDlg_FormularTextAreaElement_validator node ", 0, _coordref);
_currn->_desc8 = (fetDlg__TSPfetDlg_FormularTextAreaElement_converter) fetDlg_MkfetDlg_FormularTextAreaElement_converter (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_FormularTextAreaElement: root of subtree no. 8 can not be made a fetDlg_FormularTextAreaElement_converter node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FormularTextAreaElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FormularTextAreaElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_name (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_name (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_FormularTextAreaElement_name _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FormularTextAreaElement_name;
#else
_currn = (fetDlg__TPPpfetDlg_FormularTextAreaElement_name) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_name));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_name;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_name;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FormularTextAreaElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_label (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_label (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_FormularTextAreaElement_label _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FormularTextAreaElement_label;
#else
_currn = (fetDlg__TPPpfetDlg_FormularTextAreaElement_label) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_label));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_label;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_label;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FormularTextAreaElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_description (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_description (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_FormularTextAreaElement_description _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FormularTextAreaElement_description;
#else
_currn = (fetDlg__TPPpfetDlg_FormularTextAreaElement_description) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_description));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_description;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_description;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FormularTextAreaElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_rows (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_rows (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_FormularTextAreaElement_rows _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FormularTextAreaElement_rows;
#else
_currn = (fetDlg__TPPpfetDlg_FormularTextAreaElement_rows) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_rows));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_rows;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_rows;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FormularTextAreaElement_rows */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_pvalue (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_FormularTextAreaElement_pvalue _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FormularTextAreaElement_pvalue;
#else
_currn = (fetDlg__TPPpfetDlg_FormularTextAreaElement_pvalue) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_pvalue));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_pvalue;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_pvalue;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FormularTextAreaElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_required (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_required (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_FormularTextAreaElement_required _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FormularTextAreaElement_required;
#else
_currn = (fetDlg__TPPpfetDlg_FormularTextAreaElement_required) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_required));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_required;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_required;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FormularTextAreaElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator;
#else
	_new = (fetDlg__TPPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator;
	_new->_desc1 = (fetDlg__TSPfetDlg_EmailValidator)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator)_new;
	{fetDlg__TPPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator;
#else
	_new = (fetDlg__TPPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator;
	_new->_desc1 = (fetDlg__TSPfetDlg_CreditCardValidator)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator)_new;
	{fetDlg__TPPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator;
#else
	_new = (fetDlg__TPPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator;
	_new->_desc1 = (fetDlg__TSPfetDlg_RegExprValidator)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator)_new;
	{fetDlg__TPPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator;
#else
	_new = (fetDlg__TPPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator;
	_new->_desc1 = (fetDlg__TSPfetDlg_StringLengthValidator)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator)_new;
	{fetDlg__TPPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator;
#else
	_new = (fetDlg__TPPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator;
	_new->_desc1 = (fetDlg__TSPfetDlg_LongRangeValidator)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator)_new;
	{fetDlg__TPPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator;
#else
	_new = (fetDlg__TPPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator;
	_new->_desc1 = (fetDlg__TSPfetDlg_DoubleRangeValidator)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator)_new;
	{fetDlg__TPPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempfetDlg_FormularTextAreaElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_EmailValidator)) 
		return fetDlg__MkfetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, fetDlg_MkfetDlg_EmailValidator (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_CreditCardValidator)) 
		return fetDlg__MkfetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, fetDlg_MkfetDlg_CreditCardValidator (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_RegExprValidator)) 
		return fetDlg__MkfetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, fetDlg_MkfetDlg_RegExprValidator (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_StringLengthValidator)) 
		return fetDlg__MkfetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, fetDlg_MkfetDlg_StringLengthValidator (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_LongRangeValidator)) 
		return fetDlg__MkfetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, fetDlg_MkfetDlg_LongRangeValidator (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_DoubleRangeValidator)) 
		return fetDlg__MkfetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator (_coordref, fetDlg_MkfetDlg_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a pfetDlg_FormularTextAreaElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_Mk2pfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR fetDlg_Mk2pfetDlg_FormularTextAreaElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (fetDlg_LHSMAP[l->_prod] != fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_validator)
	l =_ElempfetDlg_FormularTextAreaElement_validator (_coordref, l);
if (fetDlg_LHSMAP[r->_prod] != fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_validator)
	r = _ElempfetDlg_FormularTextAreaElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator)r)->_desc2);
((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator)r)->_desc2 = ((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator)l)->_desc2;
((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; fetDlg__TPPpfetDlg_FormularTextAreaElement_validator root;
	fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator)NULLNODEPTR;
else {	if (fetDlg_LHSMAP[t->_prod] != fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_validator)
		t = _ElempfetDlg_FormularTextAreaElement_validator (_coordref, t);
	remain = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator)(((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator) t)->_desc2);
	((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_validator;
#else
list = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_validator));
#endif
list->_prod = fetDlg_RULELST_0pfetDlg_FormularTextAreaElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator)
	{fetDlg__TPPLST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_EmailValidatorpfetDlg_FormularTextAreaElement_validator;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator)
	{fetDlg__TPPLST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_CreditCardValidatorpfetDlg_FormularTextAreaElement_validator;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator)
	{fetDlg__TPPLST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_RegExprValidatorpfetDlg_FormularTextAreaElement_validator;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator)
	{fetDlg__TPPLST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_StringLengthValidatorpfetDlg_FormularTextAreaElement_validator;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator)
	{fetDlg__TPPLST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_LongRangeValidatorpfetDlg_FormularTextAreaElement_validator;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator)
	{fetDlg__TPPLST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_DoubleRangeValidatorpfetDlg_FormularTextAreaElement_validator;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new fetDlg__TPpfetDlg_FormularTextAreaElement_validator;
#else
root = (fetDlg__TPPpfetDlg_FormularTextAreaElement_validator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_validator));
#endif
root->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_validator;
root->_desc1 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_validator)list;
{ fetDlg__TPPpfetDlg_FormularTextAreaElement_validator _currn = root;
  _SETCOORD(_currn)
  fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_IntegerNumberConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_DoubleNumberConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_IntegerConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_LongConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_BigIntegerConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_FloatConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_DoubleConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_BooleanConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_DateTimeConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR fetDlg__MkfetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR fetDlg__MkfetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	fetDlg__TPPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new fetDlg__TPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter;
#else
	_new = (fetDlg__TPPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter));
#endif
	_new->_prod = fetDlg_RULELST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter;
	_new->_desc1 = (fetDlg__TSPfetDlg_PatternConverter)elem;
	_new->_desc2 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)_new;
	{fetDlg__TPPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 fetDlg__TERMACT_LST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempfetDlg_FormularTextAreaElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_IntegerNumberConverter)) 
		return fetDlg__MkfetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_IntegerNumberConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_DoubleNumberConverter)) 
		return fetDlg__MkfetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_DoubleNumberConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_IntegerConverter)) 
		return fetDlg__MkfetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_IntegerConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_LongConverter)) 
		return fetDlg__MkfetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_LongConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_BigIntegerConverter)) 
		return fetDlg__MkfetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_BigIntegerConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_FloatConverter)) 
		return fetDlg__MkfetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_FloatConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_DoubleConverter)) 
		return fetDlg__MkfetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_DoubleConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_BooleanConverter)) 
		return fetDlg__MkfetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_BooleanConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_DateTimeConverter)) 
		return fetDlg__MkfetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_DateTimeConverter (_coordref, t));
	if (fetDlg_IsSymb (t, fetDlg_SYMBfetDlg_PatternConverter)) 
		return fetDlg__MkfetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter (_coordref, fetDlg_MkfetDlg_PatternConverter (_coordref, t));
	message (DEADLY, "a pfetDlg_FormularTextAreaElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_Mk2pfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR fetDlg_Mk2pfetDlg_FormularTextAreaElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (fetDlg_LHSMAP[l->_prod] != fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_converter)
	l =_ElempfetDlg_FormularTextAreaElement_converter (_coordref, l);
if (fetDlg_LHSMAP[r->_prod] != fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_converter)
	r = _ElempfetDlg_FormularTextAreaElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter)r)->_desc2);
((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter)r)->_desc2 = ((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter)l)->_desc2;
((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR fetDlg_MkpfetDlg_FormularTextAreaElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; fetDlg__TPPpfetDlg_FormularTextAreaElement_converter root;
	fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter)NULLNODEPTR;
else {	if (fetDlg_LHSMAP[t->_prod] != fetDlg_SYMBLST_fetDlg_FormularTextAreaElement_converter)
		t = _ElempfetDlg_FormularTextAreaElement_converter (_coordref, t);
	remain = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter)(((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter) t)->_desc2);
	((fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_converter;
#else
list = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPLST_0pfetDlg_FormularTextAreaElement_converter));
#endif
list->_prod = fetDlg_RULELST_0pfetDlg_FormularTextAreaElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (fetDlg__TPPLST_0pfetDlg_FormularTextAreaElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_IntegerNumberConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_DoubleNumberConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_IntegerConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_LongConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_BigIntegerConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_FloatConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_DoubleConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_BooleanConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_DateTimeConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == fetDlg_RULELST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter)
	{fetDlg__TPPLST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter _currn = _currn;
	 fetDlg__TERMACT_LST_fetDlg_PatternConverterpfetDlg_FormularTextAreaElement_converter;
	} this code has been moved to _ElempfetDlg_FormularTextAreaElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new fetDlg__TPpfetDlg_FormularTextAreaElement_converter;
#else
root = (fetDlg__TPPpfetDlg_FormularTextAreaElement_converter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FormularTextAreaElement_converter));
#endif
root->_prod = fetDlg_RULEpfetDlg_FormularTextAreaElement_converter;
root->_desc1 = (fetDlg__TSPLST_fetDlg_FormularTextAreaElement_converter)list;
{ fetDlg__TPPpfetDlg_FormularTextAreaElement_converter _currn = root;
  _SETCOORD(_currn)
  fetDlg__TERMACT_pfetDlg_FormularTextAreaElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_EmailValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_EmailValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_EmailValidator _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_EmailValidator;
#else
_currn = (fetDlg__TPPpfetDlg_EmailValidator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_EmailValidator));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_EmailValidator;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_EmailValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_CreditCardValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_CreditCardValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_CreditCardValidator _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_CreditCardValidator;
#else
_currn = (fetDlg__TPPpfetDlg_CreditCardValidator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_CreditCardValidator));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_CreditCardValidator;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_CreditCardValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_RegExprValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR fetDlg_MkpfetDlg_RegExprValidator (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	fetDlg__TPPpfetDlg_RegExprValidator _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_RegExprValidator;
#else
_currn = (fetDlg__TPPpfetDlg_RegExprValidator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_RegExprValidator));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_RegExprValidator;
_currn->_desc1 = (fetDlg__TSPfetDlg_RegExprValidator_pattern) fetDlg_MkfetDlg_RegExprValidator_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_RegExprValidator: root of subtree no. 1 can not be made a fetDlg_RegExprValidator_pattern node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_RegExprValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_RegExprValidator_pattern (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_RegExprValidator_pattern (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_RegExprValidator_pattern _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_RegExprValidator_pattern;
#else
_currn = (fetDlg__TPPpfetDlg_RegExprValidator_pattern) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_RegExprValidator_pattern));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_RegExprValidator_pattern;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_RegExprValidator_pattern;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_StringLengthValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fetDlg_MkpfetDlg_StringLengthValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fetDlg__TPPpfetDlg_StringLengthValidator _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_StringLengthValidator;
#else
_currn = (fetDlg__TPPpfetDlg_StringLengthValidator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_StringLengthValidator));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_StringLengthValidator;
_currn->_desc1 = (fetDlg__TSPfetDlg_StringLengthValidator_min) fetDlg_MkfetDlg_StringLengthValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_StringLengthValidator: root of subtree no. 1 can not be made a fetDlg_StringLengthValidator_min node ", 0, _coordref);
_currn->_desc2 = (fetDlg__TSPfetDlg_StringLengthValidator_max) fetDlg_MkfetDlg_StringLengthValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_StringLengthValidator: root of subtree no. 2 can not be made a fetDlg_StringLengthValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_StringLengthValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_StringLengthValidator_min (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_StringLengthValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_StringLengthValidator_min _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_StringLengthValidator_min;
#else
_currn = (fetDlg__TPPpfetDlg_StringLengthValidator_min) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_StringLengthValidator_min));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_StringLengthValidator_min;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_StringLengthValidator_min;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_StringLengthValidator_max (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_StringLengthValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_StringLengthValidator_max _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_StringLengthValidator_max;
#else
_currn = (fetDlg__TPPpfetDlg_StringLengthValidator_max) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_StringLengthValidator_max));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_StringLengthValidator_max;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_StringLengthValidator_max;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_LongRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fetDlg_MkpfetDlg_LongRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fetDlg__TPPpfetDlg_LongRangeValidator _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_LongRangeValidator;
#else
_currn = (fetDlg__TPPpfetDlg_LongRangeValidator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_LongRangeValidator));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_LongRangeValidator;
_currn->_desc1 = (fetDlg__TSPfetDlg_LongRangeValidator_min) fetDlg_MkfetDlg_LongRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_LongRangeValidator: root of subtree no. 1 can not be made a fetDlg_LongRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (fetDlg__TSPfetDlg_LongRangeValidator_max) fetDlg_MkfetDlg_LongRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_LongRangeValidator: root of subtree no. 2 can not be made a fetDlg_LongRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_LongRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_LongRangeValidator_min (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_LongRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_LongRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_LongRangeValidator_min;
#else
_currn = (fetDlg__TPPpfetDlg_LongRangeValidator_min) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_LongRangeValidator_min));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_LongRangeValidator_min;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_LongRangeValidator_min;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_LongRangeValidator_max (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_LongRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_LongRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_LongRangeValidator_max;
#else
_currn = (fetDlg__TPPpfetDlg_LongRangeValidator_max) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_LongRangeValidator_max));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_LongRangeValidator_max;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_LongRangeValidator_max;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fetDlg__TPPpfetDlg_DoubleRangeValidator _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleRangeValidator;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleRangeValidator) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleRangeValidator));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleRangeValidator;
_currn->_desc1 = (fetDlg__TSPfetDlg_DoubleRangeValidator_min) fetDlg_MkfetDlg_DoubleRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_DoubleRangeValidator: root of subtree no. 1 can not be made a fetDlg_DoubleRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (fetDlg__TSPfetDlg_DoubleRangeValidator_max) fetDlg_MkfetDlg_DoubleRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_DoubleRangeValidator: root of subtree no. 2 can not be made a fetDlg_DoubleRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator_min (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_DoubleRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleRangeValidator_min;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleRangeValidator_min) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleRangeValidator_min));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleRangeValidator_min;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleRangeValidator_min;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator_max (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_DoubleRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleRangeValidator_max;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleRangeValidator_max) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleRangeValidator_max));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleRangeValidator_max;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleRangeValidator_max;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	fetDlg__TPPpfetDlg_IntegerNumberConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_IntegerNumberConverter;
#else
_currn = (fetDlg__TPPpfetDlg_IntegerNumberConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_IntegerNumberConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_IntegerNumberConverter;
_currn->_desc1 = (fetDlg__TSPfetDlg_IntegerNumberConverter_minIntegerDigits) fetDlg_MkfetDlg_IntegerNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_IntegerNumberConverter: root of subtree no. 1 can not be made a fetDlg_IntegerNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (fetDlg__TSPfetDlg_IntegerNumberConverter_maxIntegerDigits) fetDlg_MkfetDlg_IntegerNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_IntegerNumberConverter: root of subtree no. 2 can not be made a fetDlg_IntegerNumberConverter_maxIntegerDigits node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_IntegerNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_IntegerNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_IntegerNumberConverter_minIntegerDigits;
#else
_currn = (fetDlg__TPPpfetDlg_IntegerNumberConverter_minIntegerDigits) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_IntegerNumberConverter_minIntegerDigits));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_IntegerNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_IntegerNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_IntegerNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_IntegerNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_IntegerNumberConverter_maxIntegerDigits;
#else
_currn = (fetDlg__TPPpfetDlg_IntegerNumberConverter_maxIntegerDigits) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_IntegerNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_IntegerNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_IntegerNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	fetDlg__TPPpfetDlg_DoubleNumberConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleNumberConverter;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleNumberConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleNumberConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleNumberConverter;
_currn->_desc1 = (fetDlg__TSPfetDlg_DoubleNumberConverter_minIntegerDigits) fetDlg_MkfetDlg_DoubleNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_DoubleNumberConverter: root of subtree no. 1 can not be made a fetDlg_DoubleNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (fetDlg__TSPfetDlg_DoubleNumberConverter_maxIntegerDigits) fetDlg_MkfetDlg_DoubleNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_DoubleNumberConverter: root of subtree no. 2 can not be made a fetDlg_DoubleNumberConverter_maxIntegerDigits node ", 0, _coordref);
_currn->_desc3 = (fetDlg__TSPfetDlg_DoubleNumberConverter_minFractionDigits) fetDlg_MkfetDlg_DoubleNumberConverter_minFractionDigits (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_DoubleNumberConverter: root of subtree no. 3 can not be made a fetDlg_DoubleNumberConverter_minFractionDigits node ", 0, _coordref);
_currn->_desc4 = (fetDlg__TSPfetDlg_DoubleNumberConverter_maxFractionDigits) fetDlg_MkfetDlg_DoubleNumberConverter_maxFractionDigits (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_DoubleNumberConverter: root of subtree no. 4 can not be made a fetDlg_DoubleNumberConverter_maxFractionDigits node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_DoubleNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleNumberConverter_minIntegerDigits;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleNumberConverter_minIntegerDigits) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleNumberConverter_minIntegerDigits));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_DoubleNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleNumberConverter_maxIntegerDigits;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleNumberConverter_maxIntegerDigits) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_minFractionDigits (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_minFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_DoubleNumberConverter_minFractionDigits _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleNumberConverter_minFractionDigits;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleNumberConverter_minFractionDigits) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleNumberConverter_minFractionDigits));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleNumberConverter_minFractionDigits;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleNumberConverter_minFractionDigits;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleNumberConverter_maxFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_DoubleNumberConverter_maxFractionDigits _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleNumberConverter_maxFractionDigits;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleNumberConverter_maxFractionDigits) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleNumberConverter_maxFractionDigits));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleNumberConverter_maxFractionDigits;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleNumberConverter_maxFractionDigits;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_IntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_IntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_IntegerConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_IntegerConverter;
#else
_currn = (fetDlg__TPPpfetDlg_IntegerConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_IntegerConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_IntegerConverter;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_IntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_LongConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_LongConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_LongConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_LongConverter;
#else
_currn = (fetDlg__TPPpfetDlg_LongConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_LongConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_LongConverter;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_LongConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_BigIntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_BigIntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_BigIntegerConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_BigIntegerConverter;
#else
_currn = (fetDlg__TPPpfetDlg_BigIntegerConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_BigIntegerConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_BigIntegerConverter;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_BigIntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_FloatConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_FloatConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_FloatConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_FloatConverter;
#else
_currn = (fetDlg__TPPpfetDlg_FloatConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_FloatConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_FloatConverter;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_FloatConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DoubleConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_DoubleConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_DoubleConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DoubleConverter;
#else
_currn = (fetDlg__TPPpfetDlg_DoubleConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DoubleConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DoubleConverter;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DoubleConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_BooleanConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_BooleanConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_BooleanConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_BooleanConverter;
#else
_currn = (fetDlg__TPPpfetDlg_BooleanConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_BooleanConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_BooleanConverter;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_BooleanConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_DateTimeConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR fetDlg_MkpfetDlg_DateTimeConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	fetDlg__TPPpfetDlg_DateTimeConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_DateTimeConverter;
#else
_currn = (fetDlg__TPPpfetDlg_DateTimeConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_DateTimeConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_DateTimeConverter;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_DateTimeConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_PatternConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR fetDlg_MkpfetDlg_PatternConverter (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	fetDlg__TPPpfetDlg_PatternConverter _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_PatternConverter;
#else
_currn = (fetDlg__TPPpfetDlg_PatternConverter) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_PatternConverter));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_PatternConverter;
_currn->_desc1 = (fetDlg__TSPfetDlg_PatternConverter_pattern) fetDlg_MkfetDlg_PatternConverter_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pfetDlg_PatternConverter: root of subtree no. 1 can not be made a fetDlg_PatternConverter_pattern node ", 0, _coordref);
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_PatternConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR fetDlg_MkpfetDlg_PatternConverter_pattern (POSITION *_coordref)
#else
NODEPTR fetDlg_MkpfetDlg_PatternConverter_pattern (_coordref)
	POSITION *_coordref;
#endif
{	fetDlg__TPPpfetDlg_PatternConverter_pattern _currn;
#ifdef __cplusplus
_currn = new fetDlg__TPpfetDlg_PatternConverter_pattern;
#else
_currn = (fetDlg__TPPpfetDlg_PatternConverter_pattern) fetDlg_TreeNodeAlloc (sizeof (struct fetDlg__TPpfetDlg_PatternConverter_pattern));
#endif
_currn->_prod = fetDlg_RULEpfetDlg_PatternConverter_pattern;
_SETCOORD(_currn)
fetDlg__TERMACT_pfetDlg_PatternConverter_pattern;
return ( (NODEPTR) _currn);
}/* fetDlg_MkpfetDlg_PatternConverter_pattern */
