

#include "functions.h"
#include "pdl_gen.h"
#include "vlProperty.h"
#include "ptg_gen.h"
#include <cstring>

using namespace std;

PTGNode PTGOut(PTGNode node);

PTGNode PTGHtmlString(char* str) {
    const size_t str_len = strlen(str);
    const size_t buffer_size = (str_len << 3);
    char* buffer = new char[buffer_size];
    size_t index_src = 0; 
    size_t index_dst = 0;

    while (str[index_src] != 0 && (index_dst < buffer_size))
    {
        switch (str[index_src])
        {
            case '<':
                 strcpy(&buffer[index_dst], "&lt;");
                 index_dst += 4;
                 break;

            case '>':
                 strcpy(&buffer[index_dst], "&gt;");
                 index_dst += 4;            
                 break;

            case '&':
                 strcpy(&buffer[index_dst], "&amp;");
                 index_dst += 5;             
                 break;
  
            case '"':
                 strcpy(&buffer[index_dst], "&quot;");
                 index_dst += 6;             
                 break;
        
            default:
                 buffer[index_dst] = str[index_src];
                 index_dst++;
                 break;
        }
        index_src++;
    }

    buffer[index_dst] = '\0';
    
    PTGNode node = PTGAsIs(buffer);
    
    // Da die Funktion PTGAsIs nur eine Referenz auf den String hlt, 
    // darf der Puffer nicht freigegeben werden. Dies produziert Speicherlecks!
//    delete[] buffer;
    return node;
}

int CompVLObjectPointerPtrListElems(VLObjectPointerPtr elem1, VLObjectPointerPtr elem2) {
   if (elem1->getValue() > elem2->getValue()) return 1;
   if (elem1->getValue() < elem2->getValue()) return -1;
   return 0;
}

PTGNode GetConditionCode(VLObjectPointerPtrList list) {
   VLObjectPointerPtrList tmplist = NullVLObjectPointerPtrList();
   int listlength = LengthVLObjectPointerPtrList(list);
   for (int i = 1; i <= listlength; i++) {
      VLObjectPointerPtr element = HeadVLObjectPointerPtrList(list);
      tmplist = AddToSetVLObjectPointerPtrList(element, tmplist, CompVLObjectPointerPtrListElems);
      list = TailVLObjectPointerPtrList(list);
   }
   PTGNode code = PTGNULL;
   int tmplistlength = LengthVLObjectPointerPtrList(tmplist);
   for (int x = 1; x <= tmplistlength; x++) {
      VLObjectPointerPtr element = IthElemVLObjectPointerPtrList(tmplist, x);
      code = PTGNewLine(code, GetConditionDefinition(vlKey(*element),PTGNULL));
   }
   return code;
}

VLString toLower(VLString str){
  VLList l;
  l.append("string");
  l.append("tolower");
  l.append(str);
  return l.eval();
}

VLString toUpper(VLString str){
  VLList l;
  l.append("string");
  l.append("toupper");
  l.append(str);
  return l.eval();
}

VLString capitalize(VLString str){
  VLList l;
  l.append("string");
  l.append("totitle");
  l.append(str);

  return l.eval();
}

VLString capitalize(VLString str, int start, int end){
  VLList l;
  l.append("string");
  l.append("totitle");
  l.append(str);
  l.append(start);
  l.append(end);
  
  return l.eval();
}

VLString toPath(VLString pkg_name){
  VLList l;
  l.append("toPath");
  l.append(pkg_name);
  return l.eval();
}

void makeDirs(VLString path){
  VLList l;
  l.append("file");
  l.append("mkdir");
  l.append(path);
  l.eval();
}
