
/* implementation of tree construction functions */

#include "metaInformation_node.h"

#include "metaInformation_nodecode.h"

#include "attrpredef.h"

#include "metaInformation_visitmap.h"

#include "metaInformation_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* metaInformation_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* metaInformation_TreeNodeAlloc(int size)
#else
char* metaInformation_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void metaInformation_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void metaInformation_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* metaInformation_TreeNodeAlloc(int size)
#else
char* metaInformation_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void metaInformation_InitTree() { }

void metaInformation_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBVIEWROOT)) return (_currn);
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformation)) return (metaInformation_MkpVIEWROOT_metaInformation(_coordref, _currn));
return(NULLNODEPTR);
}/* metaInformation_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformation)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformation_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformation_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformation_keyword2)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformation_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword3 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword3 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformation_keyword3)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformation_keyword3 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformation_elements (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformation_elements (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformation_elements)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformation_elements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword4 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformation_keyword4 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformation_keyword4)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformation_keyword4 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformationElement)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_property (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_property (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformationElement_property)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformationElement_property */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformationElement_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformationElement_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformationElement_value)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformationElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_keyword2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR metaInformation_MkmetaInformation_MetaInformationElement_keyword2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (metaInformation_IsSymb (_currn, metaInformation_SYMBmetaInformation_MetaInformationElement_keyword2)) return (_currn);
return(NULLNODEPTR);
}/* metaInformation_MkmetaInformation_MetaInformationElement_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpEmpty (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpEmpty;
#else
_currn = (metaInformation__TPPpEmpty) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpEmpty));
#endif
_currn->_prod = metaInformation_RULEpEmpty;
_SETCOORD(_currn)
metaInformation__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpVIEWROOT_metaInformation (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR metaInformation_MkpVIEWROOT_metaInformation (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	metaInformation__TPPpVIEWROOT_metaInformation _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpVIEWROOT_metaInformation;
#else
_currn = (metaInformation__TPPpVIEWROOT_metaInformation) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpVIEWROOT_metaInformation));
#endif
_currn->_prod = metaInformation_RULEpVIEWROOT_metaInformation;
_currn->_desc1 = (metaInformation__TSPmetaInformation_MetaInformation) metaInformation_MkmetaInformation_MetaInformation (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_metaInformation: root of subtree no. 1 can not be made a metaInformation_MetaInformation node ", 0, _coordref);
_COPYCOORD(_currn)
metaInformation__TERMACT_pVIEWROOT_metaInformation;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpVIEWROOT_metaInformation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformation (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformation (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformation _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformation;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformation) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformation));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformation;
_currn->_desc1 = (metaInformation__TSPmetaInformation_MetaInformation_keyword1) metaInformation_MkmetaInformation_MetaInformation_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformation: root of subtree no. 1 can not be made a metaInformation_MetaInformation_keyword1 node ", 0, _coordref);
_currn->_desc2 = (metaInformation__TSPmetaInformation_MetaInformation_keyword2) metaInformation_MkmetaInformation_MetaInformation_keyword2 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformation: root of subtree no. 2 can not be made a metaInformation_MetaInformation_keyword2 node ", 0, _coordref);
_currn->_desc3 = (metaInformation__TSPmetaInformation_MetaInformation_keyword3) metaInformation_MkmetaInformation_MetaInformation_keyword3 (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformation: root of subtree no. 3 can not be made a metaInformation_MetaInformation_keyword3 node ", 0, _coordref);
_currn->_desc4 = (metaInformation__TSPmetaInformation_MetaInformation_elements) metaInformation_MkmetaInformation_MetaInformation_elements (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformation: root of subtree no. 4 can not be made a metaInformation_MetaInformation_elements node ", 0, _coordref);
_currn->_desc5 = (metaInformation__TSPmetaInformation_MetaInformation_keyword4) metaInformation_MkmetaInformation_MetaInformation_keyword4 (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformation: root of subtree no. 5 can not be made a metaInformation_MetaInformation_keyword4 node ", 0, _coordref);
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformation;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword1 (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformation_keyword1 _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformation_keyword1;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformation_keyword1) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformation_keyword1));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformation_keyword1;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformation_keyword1;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformation_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword2 (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword2 (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformation_keyword2 _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformation_keyword2;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformation_keyword2) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformation_keyword2));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformation_keyword2;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformation_keyword2;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformation_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword3 (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword3 (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformation_keyword3 _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformation_keyword3;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformation_keyword3) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformation_keyword3));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformation_keyword3;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformation_keyword3;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformation_keyword3 */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR metaInformation__MkmetaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR metaInformation__MkmetaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	metaInformation__TPPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements _new;
#ifdef __cplusplus
	_new = new metaInformation__TPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements;
#else
	_new = (metaInformation__TPPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements));
#endif
	_new->_prod = metaInformation_RULELST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements;
	_new->_desc1 = (metaInformation__TSPmetaInformation_MetaInformationElement)elem;
	_new->_desc2 = (metaInformation__TSPLST_metaInformation_MetaInformation_elements)_new;
	{metaInformation__TPPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements _currn = _new;
	 _SETCOORD(_currn)
	 metaInformation__TERMACT_LST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempmetaInformation_MetaInformation_elements (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempmetaInformation_MetaInformation_elements (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (metaInformation_IsSymb (t, metaInformation_SYMBmetaInformation_MetaInformationElement)) 
		return metaInformation__MkmetaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements (_coordref, metaInformation_MkmetaInformation_MetaInformationElement (_coordref, t));
	message (DEADLY, "a pmetaInformation_MetaInformation_elements list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_Mk2pmetaInformation_MetaInformation_elements (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR metaInformation_Mk2pmetaInformation_MetaInformation_elements (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (metaInformation_LHSMAP[l->_prod] != metaInformation_SYMBLST_metaInformation_MetaInformation_elements)
	l =_ElempmetaInformation_MetaInformation_elements (_coordref, l);
if (metaInformation_LHSMAP[r->_prod] != metaInformation_SYMBLST_metaInformation_MetaInformation_elements)
	r = _ElempmetaInformation_MetaInformation_elements (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements)r)->_desc2);
((metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements)r)->_desc2 = ((metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements)l)->_desc2;
((metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_elements (POSITION *_coordref, NODEPTR t)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_elements (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; metaInformation__TPPpmetaInformation_MetaInformation_elements root;
	metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements)NULLNODEPTR;
else {	if (metaInformation_LHSMAP[t->_prod] != metaInformation_SYMBLST_metaInformation_MetaInformation_elements)
		t = _ElempmetaInformation_MetaInformation_elements (_coordref, t);
	remain = (metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements)(((metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements) t)->_desc2);
	((metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new metaInformation__TPLST_0pmetaInformation_MetaInformation_elements;
#else
list = (metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPLST_0pmetaInformation_MetaInformation_elements));
#endif
list->_prod = metaInformation_RULELST_0pmetaInformation_MetaInformation_elements;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (metaInformation__TPPLST_0pmetaInformation_MetaInformation_elements)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == metaInformation_RULELST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements)
	{metaInformation__TPPLST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements _currn = _currn;
	 metaInformation__TERMACT_LST_metaInformation_MetaInformationElementpmetaInformation_MetaInformation_elements;
	} this code has been moved to _ElempmetaInformation_MetaInformation_elements*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new metaInformation__TPpmetaInformation_MetaInformation_elements;
#else
root = (metaInformation__TPPpmetaInformation_MetaInformation_elements) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformation_elements));
#endif
root->_prod = metaInformation_RULEpmetaInformation_MetaInformation_elements;
root->_desc1 = (metaInformation__TSPLST_metaInformation_MetaInformation_elements)list;
{ metaInformation__TPPpmetaInformation_MetaInformation_elements _currn = root;
  _SETCOORD(_currn)
  metaInformation__TERMACT_pmetaInformation_MetaInformation_elements;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword4 (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformation_keyword4 (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformation_keyword4 _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformation_keyword4;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformation_keyword4) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformation_keyword4));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformation_keyword4;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformation_keyword4;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformation_keyword4 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformationElement _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformationElement;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformationElement) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformationElement));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformationElement;
_currn->_desc1 = (metaInformation__TSPmetaInformation_MetaInformationElement_property) metaInformation_MkmetaInformation_MetaInformationElement_property (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformationElement: root of subtree no. 1 can not be made a metaInformation_MetaInformationElement_property node ", 0, _coordref);
_currn->_desc2 = (metaInformation__TSPmetaInformation_MetaInformationElement_keyword1) metaInformation_MkmetaInformation_MetaInformationElement_keyword1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformationElement: root of subtree no. 2 can not be made a metaInformation_MetaInformationElement_keyword1 node ", 0, _coordref);
_currn->_desc3 = (metaInformation__TSPmetaInformation_MetaInformationElement_value) metaInformation_MkmetaInformation_MetaInformationElement_value (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformationElement: root of subtree no. 3 can not be made a metaInformation_MetaInformationElement_value node ", 0, _coordref);
_currn->_desc4 = (metaInformation__TSPmetaInformation_MetaInformationElement_keyword2) metaInformation_MkmetaInformation_MetaInformationElement_keyword2 (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pmetaInformation_MetaInformationElement: root of subtree no. 4 can not be made a metaInformation_MetaInformationElement_keyword2 node ", 0, _coordref);
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformationElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_property (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_property (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformationElement_property _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformationElement_property;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformationElement_property) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformationElement_property));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformationElement_property;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformationElement_property;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformationElement_property */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_keyword1 (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformationElement_keyword1 _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformationElement_keyword1;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformationElement_keyword1) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformationElement_keyword1));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformationElement_keyword1;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformationElement_keyword1;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformationElement_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_value (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_value (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformationElement_value _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformationElement_value;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformationElement_value) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformationElement_value));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformationElement_value;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformationElement_value;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformationElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_keyword2 (POSITION *_coordref)
#else
NODEPTR metaInformation_MkpmetaInformation_MetaInformationElement_keyword2 (_coordref)
	POSITION *_coordref;
#endif
{	metaInformation__TPPpmetaInformation_MetaInformationElement_keyword2 _currn;
#ifdef __cplusplus
_currn = new metaInformation__TPpmetaInformation_MetaInformationElement_keyword2;
#else
_currn = (metaInformation__TPPpmetaInformation_MetaInformationElement_keyword2) metaInformation_TreeNodeAlloc (sizeof (struct metaInformation__TPpmetaInformation_MetaInformationElement_keyword2));
#endif
_currn->_prod = metaInformation_RULEpmetaInformation_MetaInformationElement_keyword2;
_SETCOORD(_currn)
metaInformation__TERMACT_pmetaInformation_MetaInformationElement_keyword2;
return ( (NODEPTR) _currn);
}/* metaInformation_MkpmetaInformation_MetaInformationElement_keyword2 */
