
/* implementation of tree construction functions */

#include "navigationBarView_node.h"

#include "navigationBarView_nodecode.h"

#include "attrpredef.h"

#include "navigationBarView_visitmap.h"

#include "navigationBarView_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* navigationBarView_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* navigationBarView_TreeNodeAlloc(int size)
#else
char* navigationBarView_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void navigationBarView_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void navigationBarView_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* navigationBarView_TreeNodeAlloc(int size)
#else
char* navigationBarView_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void navigationBarView_InitTree() { }

void navigationBarView_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBVIEWROOT)) return (_currn);
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBar)) return (navigationBarView_MkpVIEWROOT_navigationBarView(_coordref, _currn));
return(NULLNODEPTR);
}/* navigationBarView_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MknavigationBarView_NavigationBar (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MknavigationBarView_NavigationBar (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBar)) return (_currn);
return(NULLNODEPTR);
}/* navigationBarView_MknavigationBarView_NavigationBar */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MknavigationBarView_NavigationBar_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MknavigationBarView_NavigationBar_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBar_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* navigationBarView_MknavigationBarView_NavigationBar_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MknavigationBarView_NavigationBar_elements (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MknavigationBarView_NavigationBar_elements (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBar_elements)) return (_currn);
return(NULLNODEPTR);
}/* navigationBarView_MknavigationBarView_NavigationBar_elements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MknavigationBarView_NavigationBar_alignment (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MknavigationBarView_NavigationBar_alignment (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBar_alignment)) return (_currn);
return(NULLNODEPTR);
}/* navigationBarView_MknavigationBarView_NavigationBar_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBarElement)) return (_currn);
return(NULLNODEPTR);
}/* navigationBarView_MknavigationBarView_NavigationBarElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement_imageName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement_imageName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBarElement_imageName)) return (_currn);
return(NULLNODEPTR);
}/* navigationBarView_MknavigationBarView_NavigationBarElement_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement_target (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR navigationBarView_MknavigationBarView_NavigationBarElement_target (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (navigationBarView_IsSymb (_currn, navigationBarView_SYMBnavigationBarView_NavigationBarElement_target)) return (_currn);
return(NULLNODEPTR);
}/* navigationBarView_MknavigationBarView_NavigationBarElement_target */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpEmpty (POSITION *_coordref)
#else
NODEPTR navigationBarView_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	navigationBarView__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpEmpty;
#else
_currn = (navigationBarView__TPPpEmpty) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpEmpty));
#endif
_currn->_prod = navigationBarView_RULEpEmpty;
_SETCOORD(_currn)
navigationBarView__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* navigationBarView_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpVIEWROOT_navigationBarView (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR navigationBarView_MkpVIEWROOT_navigationBarView (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	navigationBarView__TPPpVIEWROOT_navigationBarView _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpVIEWROOT_navigationBarView;
#else
_currn = (navigationBarView__TPPpVIEWROOT_navigationBarView) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpVIEWROOT_navigationBarView));
#endif
_currn->_prod = navigationBarView_RULEpVIEWROOT_navigationBarView;
_currn->_desc1 = (navigationBarView__TSPnavigationBarView_NavigationBar) navigationBarView_MknavigationBarView_NavigationBar (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_navigationBarView: root of subtree no. 1 can not be made a navigationBarView_NavigationBar node ", 0, _coordref);
_COPYCOORD(_currn)
navigationBarView__TERMACT_pVIEWROOT_navigationBarView;
return ( (NODEPTR) _currn);
}/* navigationBarView_MkpVIEWROOT_navigationBarView */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	navigationBarView__TPPpnavigationBarView_NavigationBar _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpnavigationBarView_NavigationBar;
#else
_currn = (navigationBarView__TPPpnavigationBarView_NavigationBar) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpnavigationBarView_NavigationBar));
#endif
_currn->_prod = navigationBarView_RULEpnavigationBarView_NavigationBar;
_currn->_desc1 = (navigationBarView__TSPnavigationBarView_NavigationBar_styleSheetBlock) navigationBarView_MknavigationBarView_NavigationBar_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pnavigationBarView_NavigationBar: root of subtree no. 1 can not be made a navigationBarView_NavigationBar_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (navigationBarView__TSPnavigationBarView_NavigationBar_elements) navigationBarView_MknavigationBarView_NavigationBar_elements (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pnavigationBarView_NavigationBar: root of subtree no. 2 can not be made a navigationBarView_NavigationBar_elements node ", 0, _coordref);
_currn->_desc3 = (navigationBarView__TSPnavigationBarView_NavigationBar_alignment) navigationBarView_MknavigationBarView_NavigationBar_alignment (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pnavigationBarView_NavigationBar: root of subtree no. 3 can not be made a navigationBarView_NavigationBar_alignment node ", 0, _coordref);
_SETCOORD(_currn)
navigationBarView__TERMACT_pnavigationBarView_NavigationBar;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* navigationBarView_MkpnavigationBarView_NavigationBar */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	navigationBarView__TPPpnavigationBarView_NavigationBar_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpnavigationBarView_NavigationBar_styleSheetBlock;
#else
_currn = (navigationBarView__TPPpnavigationBarView_NavigationBar_styleSheetBlock) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpnavigationBarView_NavigationBar_styleSheetBlock));
#endif
_currn->_prod = navigationBarView_RULEpnavigationBarView_NavigationBar_styleSheetBlock;
_SETCOORD(_currn)
navigationBarView__TERMACT_pnavigationBarView_NavigationBar_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* navigationBarView_MkpnavigationBarView_NavigationBar_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR navigationBarView__MknavigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR navigationBarView__MknavigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	navigationBarView__TPPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements _new;
#ifdef __cplusplus
	_new = new navigationBarView__TPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements;
#else
	_new = (navigationBarView__TPPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements));
#endif
	_new->_prod = navigationBarView_RULELST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements;
	_new->_desc1 = (navigationBarView__TSPnavigationBarView_NavigationBarElement)elem;
	_new->_desc2 = (navigationBarView__TSPLST_navigationBarView_NavigationBar_elements)_new;
	{navigationBarView__TPPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements _currn = _new;
	 _SETCOORD(_currn)
	 navigationBarView__TERMACT_LST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempnavigationBarView_NavigationBar_elements (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempnavigationBarView_NavigationBar_elements (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (navigationBarView_IsSymb (t, navigationBarView_SYMBnavigationBarView_NavigationBarElement)) 
		return navigationBarView__MknavigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements (_coordref, navigationBarView_MknavigationBarView_NavigationBarElement (_coordref, t));
	message (DEADLY, "a pnavigationBarView_NavigationBar_elements list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_Mk2pnavigationBarView_NavigationBar_elements (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR navigationBarView_Mk2pnavigationBarView_NavigationBar_elements (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (navigationBarView_LHSMAP[l->_prod] != navigationBarView_SYMBLST_navigationBarView_NavigationBar_elements)
	l =_ElempnavigationBarView_NavigationBar_elements (_coordref, l);
if (navigationBarView_LHSMAP[r->_prod] != navigationBarView_SYMBLST_navigationBarView_NavigationBar_elements)
	r = _ElempnavigationBarView_NavigationBar_elements (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements)r)->_desc2);
((navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements)r)->_desc2 = ((navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements)l)->_desc2;
((navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_elements (POSITION *_coordref, NODEPTR t)
#else
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_elements (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; navigationBarView__TPPpnavigationBarView_NavigationBar_elements root;
	navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements)NULLNODEPTR;
else {	if (navigationBarView_LHSMAP[t->_prod] != navigationBarView_SYMBLST_navigationBarView_NavigationBar_elements)
		t = _ElempnavigationBarView_NavigationBar_elements (_coordref, t);
	remain = (navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements)(((navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements) t)->_desc2);
	((navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new navigationBarView__TPLST_0pnavigationBarView_NavigationBar_elements;
#else
list = (navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPLST_0pnavigationBarView_NavigationBar_elements));
#endif
list->_prod = navigationBarView_RULELST_0pnavigationBarView_NavigationBar_elements;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (navigationBarView__TPPLST_0pnavigationBarView_NavigationBar_elements)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == navigationBarView_RULELST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements)
	{navigationBarView__TPPLST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements _currn = _currn;
	 navigationBarView__TERMACT_LST_navigationBarView_NavigationBarElementpnavigationBarView_NavigationBar_elements;
	} this code has been moved to _ElempnavigationBarView_NavigationBar_elements*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new navigationBarView__TPpnavigationBarView_NavigationBar_elements;
#else
root = (navigationBarView__TPPpnavigationBarView_NavigationBar_elements) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpnavigationBarView_NavigationBar_elements));
#endif
root->_prod = navigationBarView_RULEpnavigationBarView_NavigationBar_elements;
root->_desc1 = (navigationBarView__TSPLST_navigationBarView_NavigationBar_elements)list;
{ navigationBarView__TPPpnavigationBarView_NavigationBar_elements _currn = root;
  _SETCOORD(_currn)
  navigationBarView__TERMACT_pnavigationBarView_NavigationBar_elements;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_alignment (POSITION *_coordref)
#else
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBar_alignment (_coordref)
	POSITION *_coordref;
#endif
{	navigationBarView__TPPpnavigationBarView_NavigationBar_alignment _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpnavigationBarView_NavigationBar_alignment;
#else
_currn = (navigationBarView__TPPpnavigationBarView_NavigationBar_alignment) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpnavigationBarView_NavigationBar_alignment));
#endif
_currn->_prod = navigationBarView_RULEpnavigationBarView_NavigationBar_alignment;
_SETCOORD(_currn)
navigationBarView__TERMACT_pnavigationBarView_NavigationBar_alignment;
return ( (NODEPTR) _currn);
}/* navigationBarView_MkpnavigationBarView_NavigationBar_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	navigationBarView__TPPpnavigationBarView_NavigationBarElement _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpnavigationBarView_NavigationBarElement;
#else
_currn = (navigationBarView__TPPpnavigationBarView_NavigationBarElement) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpnavigationBarView_NavigationBarElement));
#endif
_currn->_prod = navigationBarView_RULEpnavigationBarView_NavigationBarElement;
_currn->_desc1 = (navigationBarView__TSPnavigationBarView_NavigationBarElement_imageName) navigationBarView_MknavigationBarView_NavigationBarElement_imageName (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pnavigationBarView_NavigationBarElement: root of subtree no. 1 can not be made a navigationBarView_NavigationBarElement_imageName node ", 0, _coordref);
_currn->_desc2 = (navigationBarView__TSPnavigationBarView_NavigationBarElement_target) navigationBarView_MknavigationBarView_NavigationBarElement_target (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pnavigationBarView_NavigationBarElement: root of subtree no. 2 can not be made a navigationBarView_NavigationBarElement_target node ", 0, _coordref);
_SETCOORD(_currn)
navigationBarView__TERMACT_pnavigationBarView_NavigationBarElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* navigationBarView_MkpnavigationBarView_NavigationBarElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement_imageName (POSITION *_coordref)
#else
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement_imageName (_coordref)
	POSITION *_coordref;
#endif
{	navigationBarView__TPPpnavigationBarView_NavigationBarElement_imageName _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpnavigationBarView_NavigationBarElement_imageName;
#else
_currn = (navigationBarView__TPPpnavigationBarView_NavigationBarElement_imageName) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpnavigationBarView_NavigationBarElement_imageName));
#endif
_currn->_prod = navigationBarView_RULEpnavigationBarView_NavigationBarElement_imageName;
_SETCOORD(_currn)
navigationBarView__TERMACT_pnavigationBarView_NavigationBarElement_imageName;
return ( (NODEPTR) _currn);
}/* navigationBarView_MkpnavigationBarView_NavigationBarElement_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement_target (POSITION *_coordref)
#else
NODEPTR navigationBarView_MkpnavigationBarView_NavigationBarElement_target (_coordref)
	POSITION *_coordref;
#endif
{	navigationBarView__TPPpnavigationBarView_NavigationBarElement_target _currn;
#ifdef __cplusplus
_currn = new navigationBarView__TPpnavigationBarView_NavigationBarElement_target;
#else
_currn = (navigationBarView__TPPpnavigationBarView_NavigationBarElement_target) navigationBarView_TreeNodeAlloc (sizeof (struct navigationBarView__TPpnavigationBarView_NavigationBarElement_target));
#endif
_currn->_prod = navigationBarView_RULEpnavigationBarView_NavigationBarElement_target;
_SETCOORD(_currn)
navigationBarView__TERMACT_pnavigationBarView_NavigationBarElement_target;
return ( (NODEPTR) _currn);
}/* navigationBarView_MkpnavigationBarView_NavigationBarElement_target */
