
#ifndef NONOVERLAPPINGSOLVER_H
#define NONOVERLAPPINGSOLVER_H

#include <list>
#include "BasicTypes.h"
#include "ObservedData.h"

class NonOverlappingRegion {
public:
  TreeContext posAttr;
  VLRegion *region;
};

typedef std::list<NonOverlappingRegion*> NonOverlappingRegionList;


class NonOverlappingSolver {
private:
  NonOverlappingRegionList regions;
  TreeContext setSizeAttr;
  int minDistance;

  NonOverlappingRegion *findLeftmostOverlapping(); 
  bool findOverlapping(NonOverlappingRegion *&o1, NonOverlappingRegion *&o2);
  void updatePersistentValues();

public:
  NonOverlappingSolver(TreeContext setSizeAttr, int aMinDistance);
  VLRegionPtr addRegion(TreeContext posAttr, VLPoint size);
  void solve();
};

typedef NonOverlappingSolver *NonOverlappingSolverPtr;

#endif
