
/* implementation of tree construction functions */

#include "stylesheetView_node.h"

#include "stylesheetView_nodecode.h"

#include "attrpredef.h"

#include "stylesheetView_visitmap.h"

#include "stylesheetView_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* stylesheetView_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* stylesheetView_TreeNodeAlloc(int size)
#else
char* stylesheetView_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void stylesheetView_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void stylesheetView_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* stylesheetView_TreeNodeAlloc(int size)
#else
char* stylesheetView_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void stylesheetView_InitTree() { }

void stylesheetView_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBVIEWROOT)) return (_currn);
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheet)) return (stylesheetView_MkpVIEWROOT_stylesheetView(_coordref, _currn));
return(NULLNODEPTR);
}/* stylesheetView_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheet (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheet (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheet)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheet */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheet_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheet_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheet_name)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheet_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheet_custom (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheet_custom (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheet_custom)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheet_custom */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheet_default (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheet_default (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheet_default)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheet_default */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_CustomStyleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_CustomStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_HtmlStyleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_HtmlStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock_pairs (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_CustomStyleSheetBlock_pairs)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_CustomStyleSheetBlock_pairs */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_CustomStyleSheetBlock_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_CustomStyleSheetBlock_name)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_CustomStyleSheetBlock_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheetPair)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheetPair */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_category (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_category (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheetPair_category)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheetPair_category */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_attribute (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_attribute (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheetPair_attribute)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheetPair_attribute */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_valueCategory (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_valueCategory (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheetPair_valueCategory)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheetPair_valueCategory */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleSheetPair_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleSheetPair_value)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleSheetPair_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_CustomValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_CustomValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_CustomValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_CustomValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_ListValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_ListValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_ListValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_ListValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_AlignmentValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_AlignmentValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_AlignmentValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_AlignmentValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_HeadingValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_HeadingValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_HeadingValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_HeadingValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_FamilyValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_FamilyValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_FamilyValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_FamilyValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_ColorValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_ColorValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_ColorValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_ColorValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_SizeValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_SizeValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_SizeValue)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_SizeValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_SizeValue_measure (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_SizeValue_measure (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_SizeValue_measure)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_SizeValue_measure */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_SizeValue_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_SizeValue_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_SizeValue_value)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_SizeValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_ColorValue_color (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_ColorValue_color (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_ColorValue_color)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_ColorValue_color */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_FamilyValue_family (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_FamilyValue_family (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_FamilyValue_family)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_FamilyValue_family */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_StyleValue_style (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_StyleValue_style (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_StyleValue_style)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_StyleValue_style */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_HeadingValue_heading (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_HeadingValue_heading (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_HeadingValue_heading)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_HeadingValue_heading */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_AlignmentValue_alignment (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_AlignmentValue_alignment (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_AlignmentValue_alignment)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_AlignmentValue_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_ListValue_listed (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_ListValue_listed (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_ListValue_listed)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_ListValue_listed */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_CustomValue_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_CustomValue_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_CustomValue_value)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_CustomValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_HtmlStyleSheetBlock_pairs)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_pairs */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (stylesheetView_IsSymb (_currn, stylesheetView_SYMBstylesheetView_HtmlStyleSheetBlock_name)) return (_currn);
return(NULLNODEPTR);
}/* stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpEmpty (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpEmpty;
#else
_currn = (stylesheetView__TPPpEmpty) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpEmpty));
#endif
_currn->_prod = stylesheetView_RULEpEmpty;
_SETCOORD(_currn)
stylesheetView__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpVIEWROOT_stylesheetView (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpVIEWROOT_stylesheetView (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpVIEWROOT_stylesheetView _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpVIEWROOT_stylesheetView;
#else
_currn = (stylesheetView__TPPpVIEWROOT_stylesheetView) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpVIEWROOT_stylesheetView));
#endif
_currn->_prod = stylesheetView_RULEpVIEWROOT_stylesheetView;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_StyleSheet) stylesheetView_MkstylesheetView_StyleSheet (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_stylesheetView: root of subtree no. 1 can not be made a stylesheetView_StyleSheet node ", 0, _coordref);
_COPYCOORD(_currn)
stylesheetView__TERMACT_pVIEWROOT_stylesheetView;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpVIEWROOT_stylesheetView */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	stylesheetView__TPPpstylesheetView_StyleSheet _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleSheet;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleSheet) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheet));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleSheet;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_StyleSheet_name) stylesheetView_MkstylesheetView_StyleSheet_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleSheet: root of subtree no. 1 can not be made a stylesheetView_StyleSheet_name node ", 0, _coordref);
_currn->_desc2 = (stylesheetView__TSPstylesheetView_StyleSheet_custom) stylesheetView_MkstylesheetView_StyleSheet_custom (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleSheet: root of subtree no. 2 can not be made a stylesheetView_StyleSheet_custom node ", 0, _coordref);
_currn->_desc3 = (stylesheetView__TSPstylesheetView_StyleSheet_default) stylesheetView_MkstylesheetView_StyleSheet_default (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleSheet: root of subtree no. 3 can not be made a stylesheetView_StyleSheet_default node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleSheet;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleSheet */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_name (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_name (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_StyleSheet_name _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleSheet_name;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleSheet_name) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheet_name));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleSheet_name;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleSheet_name;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleSheet_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_CustomStyleSheetBlock)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheet_custom)_new;
	{stylesheetView__TPPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempstylesheetView_StyleSheet_custom (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempstylesheetView_StyleSheet_custom (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_CustomStyleSheetBlock)) 
		return stylesheetView__MkstylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom (_coordref, stylesheetView_MkstylesheetView_CustomStyleSheetBlock (_coordref, t));
	message (DEADLY, "a pstylesheetView_StyleSheet_custom list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheet_custom (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheet_custom (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (stylesheetView_LHSMAP[l->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheet_custom)
	l =_ElempstylesheetView_StyleSheet_custom (_coordref, l);
if (stylesheetView_LHSMAP[r->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheet_custom)
	r = _ElempstylesheetView_StyleSheet_custom (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom)r)->_desc2);
((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom)r)->_desc2 = ((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom)l)->_desc2;
((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_custom (POSITION *_coordref, NODEPTR t)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_custom (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; stylesheetView__TPPpstylesheetView_StyleSheet_custom root;
	stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom)NULLNODEPTR;
else {	if (stylesheetView_LHSMAP[t->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheet_custom)
		t = _ElempstylesheetView_StyleSheet_custom (_coordref, t);
	remain = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom)(((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom) t)->_desc2);
	((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new stylesheetView__TPLST_0pstylesheetView_StyleSheet_custom;
#else
list = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_0pstylesheetView_StyleSheet_custom));
#endif
list->_prod = stylesheetView_RULELST_0pstylesheetView_StyleSheet_custom;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_custom)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom)
	{stylesheetView__TPPLST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_CustomStyleSheetBlockpstylesheetView_StyleSheet_custom;
	} this code has been moved to _ElempstylesheetView_StyleSheet_custom*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new stylesheetView__TPpstylesheetView_StyleSheet_custom;
#else
root = (stylesheetView__TPPpstylesheetView_StyleSheet_custom) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheet_custom));
#endif
root->_prod = stylesheetView_RULEpstylesheetView_StyleSheet_custom;
root->_desc1 = (stylesheetView__TSPLST_stylesheetView_StyleSheet_custom)list;
{ stylesheetView__TPPpstylesheetView_StyleSheet_custom _currn = root;
  _SETCOORD(_currn)
  stylesheetView__TERMACT_pstylesheetView_StyleSheet_custom;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheet_default)_new;
	{stylesheetView__TPPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempstylesheetView_StyleSheet_default (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempstylesheetView_StyleSheet_default (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_HtmlStyleSheetBlock)) 
		return stylesheetView__MkstylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default (_coordref, stylesheetView_MkstylesheetView_HtmlStyleSheetBlock (_coordref, t));
	message (DEADLY, "a pstylesheetView_StyleSheet_default list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheet_default (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheet_default (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (stylesheetView_LHSMAP[l->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheet_default)
	l =_ElempstylesheetView_StyleSheet_default (_coordref, l);
if (stylesheetView_LHSMAP[r->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheet_default)
	r = _ElempstylesheetView_StyleSheet_default (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default)r)->_desc2);
((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default)r)->_desc2 = ((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default)l)->_desc2;
((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_default (POSITION *_coordref, NODEPTR t)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheet_default (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; stylesheetView__TPPpstylesheetView_StyleSheet_default root;
	stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default)NULLNODEPTR;
else {	if (stylesheetView_LHSMAP[t->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheet_default)
		t = _ElempstylesheetView_StyleSheet_default (_coordref, t);
	remain = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default)(((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default) t)->_desc2);
	((stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new stylesheetView__TPLST_0pstylesheetView_StyleSheet_default;
#else
list = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_0pstylesheetView_StyleSheet_default));
#endif
list->_prod = stylesheetView_RULELST_0pstylesheetView_StyleSheet_default;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (stylesheetView__TPPLST_0pstylesheetView_StyleSheet_default)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default)
	{stylesheetView__TPPLST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_HtmlStyleSheetBlockpstylesheetView_StyleSheet_default;
	} this code has been moved to _ElempstylesheetView_StyleSheet_default*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new stylesheetView__TPpstylesheetView_StyleSheet_default;
#else
root = (stylesheetView__TPPpstylesheetView_StyleSheet_default) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheet_default));
#endif
root->_prod = stylesheetView_RULEpstylesheetView_StyleSheet_default;
root->_desc1 = (stylesheetView__TSPLST_stylesheetView_StyleSheet_default)list;
{ stylesheetView__TPPpstylesheetView_StyleSheet_default _currn = root;
  _SETCOORD(_currn)
  stylesheetView__TERMACT_pstylesheetView_StyleSheet_default;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_CustomStyleSheetBlock;
#else
_currn = (stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_CustomStyleSheetBlock_pairs) stylesheetView_MkstylesheetView_CustomStyleSheetBlock_pairs (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_CustomStyleSheetBlock: root of subtree no. 1 can not be made a stylesheetView_CustomStyleSheetBlock_pairs node ", 0, _coordref);
_currn->_desc2 = (stylesheetView__TSPstylesheetView_CustomStyleSheetBlock_name) stylesheetView_MkstylesheetView_CustomStyleSheetBlock_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_CustomStyleSheetBlock: root of subtree no. 2 can not be made a stylesheetView_CustomStyleSheetBlock_name node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_CustomStyleSheetBlock;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_CustomStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_StyleSheetPair)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_CustomStyleSheetBlock_pairs)_new;
	{stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempstylesheetView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempstylesheetView_CustomStyleSheetBlock_pairs (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_StyleSheetPair)) 
		return stylesheetView__MkstylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs (_coordref, stylesheetView_MkstylesheetView_StyleSheetPair (_coordref, t));
	message (DEADLY, "a pstylesheetView_CustomStyleSheetBlock_pairs list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_Mk2pstylesheetView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR stylesheetView_Mk2pstylesheetView_CustomStyleSheetBlock_pairs (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (stylesheetView_LHSMAP[l->_prod] != stylesheetView_SYMBLST_stylesheetView_CustomStyleSheetBlock_pairs)
	l =_ElempstylesheetView_CustomStyleSheetBlock_pairs (_coordref, l);
if (stylesheetView_LHSMAP[r->_prod] != stylesheetView_SYMBLST_stylesheetView_CustomStyleSheetBlock_pairs)
	r = _ElempstylesheetView_CustomStyleSheetBlock_pairs (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs)r)->_desc2);
((stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs)r)->_desc2 = ((stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs)l)->_desc2;
((stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock_pairs (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_pairs root;
	stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs)NULLNODEPTR;
else {	if (stylesheetView_LHSMAP[t->_prod] != stylesheetView_SYMBLST_stylesheetView_CustomStyleSheetBlock_pairs)
		t = _ElempstylesheetView_CustomStyleSheetBlock_pairs (_coordref, t);
	remain = (stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs)(((stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs) t)->_desc2);
	((stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new stylesheetView__TPLST_0pstylesheetView_CustomStyleSheetBlock_pairs;
#else
list = (stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_0pstylesheetView_CustomStyleSheetBlock_pairs));
#endif
list->_prod = stylesheetView_RULELST_0pstylesheetView_CustomStyleSheetBlock_pairs;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (stylesheetView__TPPLST_0pstylesheetView_CustomStyleSheetBlock_pairs)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs)
	{stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_StyleSheetPairpstylesheetView_CustomStyleSheetBlock_pairs;
	} this code has been moved to _ElempstylesheetView_CustomStyleSheetBlock_pairs*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_pairs;
#else
root = (stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_pairs) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_pairs));
#endif
root->_prod = stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock_pairs;
root->_desc1 = (stylesheetView__TSPLST_stylesheetView_CustomStyleSheetBlock_pairs)list;
{ stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_pairs _currn = root;
  _SETCOORD(_currn)
  stylesheetView__TERMACT_pstylesheetView_CustomStyleSheetBlock_pairs;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock_name (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_CustomStyleSheetBlock_name (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_name _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_name;
#else
_currn = (stylesheetView__TPPpstylesheetView_CustomStyleSheetBlock_name) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_CustomStyleSheetBlock_name));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_CustomStyleSheetBlock_name;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_CustomStyleSheetBlock_name;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_CustomStyleSheetBlock_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	stylesheetView__TPPpstylesheetView_StyleSheetPair _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleSheetPair;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleSheetPair) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheetPair));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleSheetPair;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_StyleSheetPair_category) stylesheetView_MkstylesheetView_StyleSheetPair_category (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleSheetPair: root of subtree no. 1 can not be made a stylesheetView_StyleSheetPair_category node ", 0, _coordref);
_currn->_desc2 = (stylesheetView__TSPstylesheetView_StyleSheetPair_attribute) stylesheetView_MkstylesheetView_StyleSheetPair_attribute (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleSheetPair: root of subtree no. 2 can not be made a stylesheetView_StyleSheetPair_attribute node ", 0, _coordref);
_currn->_desc3 = (stylesheetView__TSPstylesheetView_StyleSheetPair_valueCategory) stylesheetView_MkstylesheetView_StyleSheetPair_valueCategory (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleSheetPair: root of subtree no. 3 can not be made a stylesheetView_StyleSheetPair_valueCategory node ", 0, _coordref);
_currn->_desc4 = (stylesheetView__TSPstylesheetView_StyleSheetPair_value) stylesheetView_MkstylesheetView_StyleSheetPair_value (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleSheetPair: root of subtree no. 4 can not be made a stylesheetView_StyleSheetPair_value node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleSheetPair;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleSheetPair */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_category (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_category (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_StyleSheetPair_category _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleSheetPair_category;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleSheetPair_category) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheetPair_category));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleSheetPair_category;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleSheetPair_category;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleSheetPair_category */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_attribute (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_attribute (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_StyleSheetPair_attribute _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleSheetPair_attribute;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleSheetPair_attribute) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheetPair_attribute));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleSheetPair_attribute;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleSheetPair_attribute;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleSheetPair_attribute */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_valueCategory (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_valueCategory (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_StyleSheetPair_valueCategory _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleSheetPair_valueCategory;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleSheetPair_valueCategory) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheetPair_valueCategory));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleSheetPair_valueCategory;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleSheetPair_valueCategory;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleSheetPair_valueCategory */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_SizeValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_SizeValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_SizeValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_ColorValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_ColorValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_ColorValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_FamilyValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_StyleValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_StyleValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_StyleValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_HeadingValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_AlignmentValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_ListValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_ListValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_ListValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_CustomValuepstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_CustomValuepstylesheetView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_CustomValue)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)_new;
	{stylesheetView__TPPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempstylesheetView_StyleSheetPair_value (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_SizeValue)) 
		return stylesheetView__MkstylesheetView_SizeValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_SizeValue (_coordref, t));
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_ColorValue)) 
		return stylesheetView__MkstylesheetView_ColorValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_ColorValue (_coordref, t));
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_FamilyValue)) 
		return stylesheetView__MkstylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_FamilyValue (_coordref, t));
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_StyleValue)) 
		return stylesheetView__MkstylesheetView_StyleValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_StyleValue (_coordref, t));
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_HeadingValue)) 
		return stylesheetView__MkstylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_HeadingValue (_coordref, t));
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_AlignmentValue)) 
		return stylesheetView__MkstylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_AlignmentValue (_coordref, t));
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_ListValue)) 
		return stylesheetView__MkstylesheetView_ListValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_ListValue (_coordref, t));
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_CustomValue)) 
		return stylesheetView__MkstylesheetView_CustomValuepstylesheetView_StyleSheetPair_value (_coordref, stylesheetView_MkstylesheetView_CustomValue (_coordref, t));
	message (DEADLY, "a pstylesheetView_StyleSheetPair_value list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR stylesheetView_Mk2pstylesheetView_StyleSheetPair_value (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (stylesheetView_LHSMAP[l->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheetPair_value)
	l =_ElempstylesheetView_StyleSheetPair_value (_coordref, l);
if (stylesheetView_LHSMAP[r->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheetPair_value)
	r = _ElempstylesheetView_StyleSheetPair_value (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value)r)->_desc2);
((stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value)r)->_desc2 = ((stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value)l)->_desc2;
((stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_value (POSITION *_coordref, NODEPTR t)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleSheetPair_value (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; stylesheetView__TPPpstylesheetView_StyleSheetPair_value root;
	stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value)NULLNODEPTR;
else {	if (stylesheetView_LHSMAP[t->_prod] != stylesheetView_SYMBLST_stylesheetView_StyleSheetPair_value)
		t = _ElempstylesheetView_StyleSheetPair_value (_coordref, t);
	remain = (stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value)(((stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value) t)->_desc2);
	((stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new stylesheetView__TPLST_0pstylesheetView_StyleSheetPair_value;
#else
list = (stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_0pstylesheetView_StyleSheetPair_value));
#endif
list->_prod = stylesheetView_RULELST_0pstylesheetView_StyleSheetPair_value;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (stylesheetView__TPPLST_0pstylesheetView_StyleSheetPair_value)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_SizeValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_ColorValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_FamilyValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_StyleValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_HeadingValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_AlignmentValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_ListValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value)
	{stylesheetView__TPPLST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_CustomValuepstylesheetView_StyleSheetPair_value;
	} this code has been moved to _ElempstylesheetView_StyleSheetPair_value*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new stylesheetView__TPpstylesheetView_StyleSheetPair_value;
#else
root = (stylesheetView__TPPpstylesheetView_StyleSheetPair_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleSheetPair_value));
#endif
root->_prod = stylesheetView_RULEpstylesheetView_StyleSheetPair_value;
root->_desc1 = (stylesheetView__TSPLST_stylesheetView_StyleSheetPair_value)list;
{ stylesheetView__TPPpstylesheetView_StyleSheetPair_value _currn = root;
  _SETCOORD(_currn)
  stylesheetView__TERMACT_pstylesheetView_StyleSheetPair_value;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_SizeValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR stylesheetView_MkpstylesheetView_SizeValue (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	stylesheetView__TPPpstylesheetView_SizeValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_SizeValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_SizeValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_SizeValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_SizeValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_SizeValue_measure) stylesheetView_MkstylesheetView_SizeValue_measure (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_SizeValue: root of subtree no. 1 can not be made a stylesheetView_SizeValue_measure node ", 0, _coordref);
_currn->_desc2 = (stylesheetView__TSPstylesheetView_SizeValue_value) stylesheetView_MkstylesheetView_SizeValue_value (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_SizeValue: root of subtree no. 2 can not be made a stylesheetView_SizeValue_value node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_SizeValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_SizeValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_SizeValue_measure (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_SizeValue_measure (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_SizeValue_measure _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_SizeValue_measure;
#else
_currn = (stylesheetView__TPPpstylesheetView_SizeValue_measure) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_SizeValue_measure));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_SizeValue_measure;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_SizeValue_measure;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_SizeValue_measure */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_SizeValue_value (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_SizeValue_value (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_SizeValue_value _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_SizeValue_value;
#else
_currn = (stylesheetView__TPPpstylesheetView_SizeValue_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_SizeValue_value));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_SizeValue_value;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_SizeValue_value;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_SizeValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_ColorValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpstylesheetView_ColorValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpstylesheetView_ColorValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_ColorValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_ColorValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_ColorValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_ColorValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_ColorValue_color) stylesheetView_MkstylesheetView_ColorValue_color (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_ColorValue: root of subtree no. 1 can not be made a stylesheetView_ColorValue_color node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_ColorValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_ColorValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_ColorValue_color (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_ColorValue_color (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_ColorValue_color _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_ColorValue_color;
#else
_currn = (stylesheetView__TPPpstylesheetView_ColorValue_color) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_ColorValue_color));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_ColorValue_color;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_ColorValue_color;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_ColorValue_color */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_FamilyValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpstylesheetView_FamilyValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpstylesheetView_FamilyValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_FamilyValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_FamilyValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_FamilyValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_FamilyValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_FamilyValue_family) stylesheetView_MkstylesheetView_FamilyValue_family (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_FamilyValue: root of subtree no. 1 can not be made a stylesheetView_FamilyValue_family node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_FamilyValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_FamilyValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_FamilyValue_family (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_FamilyValue_family (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_FamilyValue_family _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_FamilyValue_family;
#else
_currn = (stylesheetView__TPPpstylesheetView_FamilyValue_family) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_FamilyValue_family));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_FamilyValue_family;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_FamilyValue_family;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_FamilyValue_family */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpstylesheetView_StyleValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_StyleValue_style) stylesheetView_MkstylesheetView_StyleValue_style (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_StyleValue: root of subtree no. 1 can not be made a stylesheetView_StyleValue_style node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_StyleValue_style (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_StyleValue_style (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_StyleValue_style _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_StyleValue_style;
#else
_currn = (stylesheetView__TPPpstylesheetView_StyleValue_style) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_StyleValue_style));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_StyleValue_style;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_StyleValue_style;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_StyleValue_style */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_HeadingValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpstylesheetView_HeadingValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpstylesheetView_HeadingValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_HeadingValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_HeadingValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_HeadingValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_HeadingValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_HeadingValue_heading) stylesheetView_MkstylesheetView_HeadingValue_heading (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_HeadingValue: root of subtree no. 1 can not be made a stylesheetView_HeadingValue_heading node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_HeadingValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_HeadingValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_HeadingValue_heading (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_HeadingValue_heading (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_HeadingValue_heading _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_HeadingValue_heading;
#else
_currn = (stylesheetView__TPPpstylesheetView_HeadingValue_heading) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_HeadingValue_heading));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_HeadingValue_heading;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_HeadingValue_heading;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_HeadingValue_heading */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_AlignmentValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpstylesheetView_AlignmentValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpstylesheetView_AlignmentValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_AlignmentValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_AlignmentValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_AlignmentValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_AlignmentValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_AlignmentValue_alignment) stylesheetView_MkstylesheetView_AlignmentValue_alignment (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_AlignmentValue: root of subtree no. 1 can not be made a stylesheetView_AlignmentValue_alignment node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_AlignmentValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_AlignmentValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_AlignmentValue_alignment (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_AlignmentValue_alignment (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_AlignmentValue_alignment _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_AlignmentValue_alignment;
#else
_currn = (stylesheetView__TPPpstylesheetView_AlignmentValue_alignment) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_AlignmentValue_alignment));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_AlignmentValue_alignment;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_AlignmentValue_alignment;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_AlignmentValue_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_ListValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpstylesheetView_ListValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpstylesheetView_ListValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_ListValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_ListValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_ListValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_ListValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_ListValue_listed) stylesheetView_MkstylesheetView_ListValue_listed (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_ListValue: root of subtree no. 1 can not be made a stylesheetView_ListValue_listed node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_ListValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_ListValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_ListValue_listed (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_ListValue_listed (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_ListValue_listed _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_ListValue_listed;
#else
_currn = (stylesheetView__TPPpstylesheetView_ListValue_listed) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_ListValue_listed));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_ListValue_listed;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_ListValue_listed;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_ListValue_listed */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_CustomValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR stylesheetView_MkpstylesheetView_CustomValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	stylesheetView__TPPpstylesheetView_CustomValue _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_CustomValue;
#else
_currn = (stylesheetView__TPPpstylesheetView_CustomValue) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_CustomValue));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_CustomValue;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_CustomValue_value) stylesheetView_MkstylesheetView_CustomValue_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_CustomValue: root of subtree no. 1 can not be made a stylesheetView_CustomValue_value node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_CustomValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_CustomValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_CustomValue_value (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_CustomValue_value (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_CustomValue_value _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_CustomValue_value;
#else
_currn = (stylesheetView__TPPpstylesheetView_CustomValue_value) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_CustomValue_value));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_CustomValue_value;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_CustomValue_value;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_CustomValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock;
#else
_currn = (stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock;
_currn->_desc1 = (stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock_pairs) stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_HtmlStyleSheetBlock: root of subtree no. 1 can not be made a stylesheetView_HtmlStyleSheetBlock_pairs node ", 0, _coordref);
_currn->_desc2 = (stylesheetView__TSPstylesheetView_HtmlStyleSheetBlock_name) stylesheetView_MkstylesheetView_HtmlStyleSheetBlock_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pstylesheetView_HtmlStyleSheetBlock: root of subtree no. 2 can not be made a stylesheetView_HtmlStyleSheetBlock_name node ", 0, _coordref);
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_HtmlStyleSheetBlock;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR stylesheetView__MkstylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR stylesheetView__MkstylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs _new;
#ifdef __cplusplus
	_new = new stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs;
#else
	_new = (stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs));
#endif
	_new->_prod = stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs;
	_new->_desc1 = (stylesheetView__TSPstylesheetView_StyleSheetPair)elem;
	_new->_desc2 = (stylesheetView__TSPLST_stylesheetView_HtmlStyleSheetBlock_pairs)_new;
	{stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs _currn = _new;
	 _SETCOORD(_currn)
	 stylesheetView__TERMACT_LST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempstylesheetView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (stylesheetView_IsSymb (t, stylesheetView_SYMBstylesheetView_StyleSheetPair)) 
		return stylesheetView__MkstylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, stylesheetView_MkstylesheetView_StyleSheetPair (_coordref, t));
	message (DEADLY, "a pstylesheetView_HtmlStyleSheetBlock_pairs list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_Mk2pstylesheetView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR stylesheetView_Mk2pstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (stylesheetView_LHSMAP[l->_prod] != stylesheetView_SYMBLST_stylesheetView_HtmlStyleSheetBlock_pairs)
	l =_ElempstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, l);
if (stylesheetView_LHSMAP[r->_prod] != stylesheetView_SYMBLST_stylesheetView_HtmlStyleSheetBlock_pairs)
	r = _ElempstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs)r)->_desc2);
((stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs)r)->_desc2 = ((stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs)l)->_desc2;
((stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_pairs root;
	stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs)NULLNODEPTR;
else {	if (stylesheetView_LHSMAP[t->_prod] != stylesheetView_SYMBLST_stylesheetView_HtmlStyleSheetBlock_pairs)
		t = _ElempstylesheetView_HtmlStyleSheetBlock_pairs (_coordref, t);
	remain = (stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs)(((stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs) t)->_desc2);
	((stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new stylesheetView__TPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs;
#else
list = (stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs));
#endif
list->_prod = stylesheetView_RULELST_0pstylesheetView_HtmlStyleSheetBlock_pairs;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (stylesheetView__TPPLST_0pstylesheetView_HtmlStyleSheetBlock_pairs)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == stylesheetView_RULELST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs)
	{stylesheetView__TPPLST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs _currn = _currn;
	 stylesheetView__TERMACT_LST_stylesheetView_StyleSheetPairpstylesheetView_HtmlStyleSheetBlock_pairs;
	} this code has been moved to _ElempstylesheetView_HtmlStyleSheetBlock_pairs*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_pairs;
#else
root = (stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_pairs) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_pairs));
#endif
root->_prod = stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock_pairs;
root->_desc1 = (stylesheetView__TSPLST_stylesheetView_HtmlStyleSheetBlock_pairs)list;
{ stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_pairs _currn = root;
  _SETCOORD(_currn)
  stylesheetView__TERMACT_pstylesheetView_HtmlStyleSheetBlock_pairs;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock_name (POSITION *_coordref)
#else
NODEPTR stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock_name (_coordref)
	POSITION *_coordref;
#endif
{	stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_name _currn;
#ifdef __cplusplus
_currn = new stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_name;
#else
_currn = (stylesheetView__TPPpstylesheetView_HtmlStyleSheetBlock_name) stylesheetView_TreeNodeAlloc (sizeof (struct stylesheetView__TPpstylesheetView_HtmlStyleSheetBlock_name));
#endif
_currn->_prod = stylesheetView_RULEpstylesheetView_HtmlStyleSheetBlock_name;
_SETCOORD(_currn)
stylesheetView__TERMACT_pstylesheetView_HtmlStyleSheetBlock_name;
return ( (NODEPTR) _currn);
}/* stylesheetView_MkpstylesheetView_HtmlStyleSheetBlock_name */
