
/* implementation of tree construction functions */

#include "wnceDlg_node.h"

#include "wnceDlg_nodecode.h"

#include "attrpredef.h"

#include "wnceDlg_visitmap.h"

#include "wnceDlg_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* wnceDlg_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* wnceDlg_TreeNodeAlloc(int size)
#else
char* wnceDlg_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void wnceDlg_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void wnceDlg_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* wnceDlg_TreeNodeAlloc(int size)
#else
char* wnceDlg_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void wnceDlg_InitTree() { }

void wnceDlg_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR wnceDlg_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBVIEWROOT)) return (_currn);
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBwnceDlg_WebNodeConstantExpression)) return (wnceDlg_MkpVIEWROOT_wnceDlg(_coordref, _currn));
return(NULLNODEPTR);
}/* wnceDlg_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBwnceDlg_WebNodeConstantExpression)) return (_currn);
return(NULLNODEPTR);
}/* wnceDlg_MkwnceDlg_WebNodeConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBwnceDlg_WebNodeConstantExpression_value)) return (_currn);
return(NULLNODEPTR);
}/* wnceDlg_MkwnceDlg_WebNodeConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR wnceDlg_MkwnceDlg_WebNodeConstantExpression_modifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBwnceDlg_WebNodeConstantExpression_modifier)) return (_currn);
return(NULLNODEPTR);
}/* wnceDlg_MkwnceDlg_WebNodeConstantExpression_modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkwnceDlg_JoinModifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR wnceDlg_MkwnceDlg_JoinModifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBwnceDlg_JoinModifier)) return (_currn);
return(NULLNODEPTR);
}/* wnceDlg_MkwnceDlg_JoinModifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkwnceDlg_MD5Modifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR wnceDlg_MkwnceDlg_MD5Modifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBwnceDlg_MD5Modifier)) return (_currn);
return(NULLNODEPTR);
}/* wnceDlg_MkwnceDlg_MD5Modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkwnceDlg_JoinModifier_separator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR wnceDlg_MkwnceDlg_JoinModifier_separator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (wnceDlg_IsSymb (_currn, wnceDlg_SYMBwnceDlg_JoinModifier_separator)) return (_currn);
return(NULLNODEPTR);
}/* wnceDlg_MkwnceDlg_JoinModifier_separator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpEmpty (POSITION *_coordref)
#else
NODEPTR wnceDlg_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	wnceDlg__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new wnceDlg__TPpEmpty;
#else
_currn = (wnceDlg__TPPpEmpty) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpEmpty));
#endif
_currn->_prod = wnceDlg_RULEpEmpty;
_SETCOORD(_currn)
wnceDlg__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* wnceDlg_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpVIEWROOT_wnceDlg (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR wnceDlg_MkpVIEWROOT_wnceDlg (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	wnceDlg__TPPpVIEWROOT_wnceDlg _currn;
#ifdef __cplusplus
_currn = new wnceDlg__TPpVIEWROOT_wnceDlg;
#else
_currn = (wnceDlg__TPPpVIEWROOT_wnceDlg) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpVIEWROOT_wnceDlg));
#endif
_currn->_prod = wnceDlg_RULEpVIEWROOT_wnceDlg;
_currn->_desc1 = (wnceDlg__TSPwnceDlg_WebNodeConstantExpression) wnceDlg_MkwnceDlg_WebNodeConstantExpression (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_wnceDlg: root of subtree no. 1 can not be made a wnceDlg_WebNodeConstantExpression node ", 0, _coordref);
_COPYCOORD(_currn)
wnceDlg__TERMACT_pVIEWROOT_wnceDlg;
return ( (NODEPTR) _currn);
}/* wnceDlg_MkpVIEWROOT_wnceDlg */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	wnceDlg__TPPpwnceDlg_WebNodeConstantExpression _currn;
#ifdef __cplusplus
_currn = new wnceDlg__TPpwnceDlg_WebNodeConstantExpression;
#else
_currn = (wnceDlg__TPPpwnceDlg_WebNodeConstantExpression) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression));
#endif
_currn->_prod = wnceDlg_RULEpwnceDlg_WebNodeConstantExpression;
_currn->_desc1 = (wnceDlg__TSPwnceDlg_WebNodeConstantExpression_value) wnceDlg_MkwnceDlg_WebNodeConstantExpression_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pwnceDlg_WebNodeConstantExpression: root of subtree no. 1 can not be made a wnceDlg_WebNodeConstantExpression_value node ", 0, _coordref);
_currn->_desc2 = (wnceDlg__TSPwnceDlg_WebNodeConstantExpression_modifier) wnceDlg_MkwnceDlg_WebNodeConstantExpression_modifier (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pwnceDlg_WebNodeConstantExpression: root of subtree no. 2 can not be made a wnceDlg_WebNodeConstantExpression_modifier node ", 0, _coordref);
_SETCOORD(_currn)
wnceDlg__TERMACT_pwnceDlg_WebNodeConstantExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* wnceDlg_MkpwnceDlg_WebNodeConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression_value (POSITION *_coordref)
#else
NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression_value (_coordref)
	POSITION *_coordref;
#endif
{	wnceDlg__TPPpwnceDlg_WebNodeConstantExpression_value _currn;
#ifdef __cplusplus
_currn = new wnceDlg__TPpwnceDlg_WebNodeConstantExpression_value;
#else
_currn = (wnceDlg__TPPpwnceDlg_WebNodeConstantExpression_value) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression_value));
#endif
_currn->_prod = wnceDlg_RULEpwnceDlg_WebNodeConstantExpression_value;
_SETCOORD(_currn)
wnceDlg__TERMACT_pwnceDlg_WebNodeConstantExpression_value;
return ( (NODEPTR) _currn);
}/* wnceDlg_MkpwnceDlg_WebNodeConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR wnceDlg__MkwnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR wnceDlg__MkwnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	wnceDlg__TPPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier _new;
#ifdef __cplusplus
	_new = new wnceDlg__TPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier;
#else
	_new = (wnceDlg__TPPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier));
#endif
	_new->_prod = wnceDlg_RULELST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier;
	_new->_desc1 = (wnceDlg__TSPwnceDlg_MD5Modifier)elem;
	_new->_desc2 = (wnceDlg__TSPLST_wnceDlg_WebNodeConstantExpression_modifier)_new;
	{wnceDlg__TPPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 wnceDlg__TERMACT_LST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR wnceDlg__MkwnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR wnceDlg__MkwnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	wnceDlg__TPPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier _new;
#ifdef __cplusplus
	_new = new wnceDlg__TPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier;
#else
	_new = (wnceDlg__TPPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier));
#endif
	_new->_prod = wnceDlg_RULELST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier;
	_new->_desc1 = (wnceDlg__TSPwnceDlg_JoinModifier)elem;
	_new->_desc2 = (wnceDlg__TSPLST_wnceDlg_WebNodeConstantExpression_modifier)_new;
	{wnceDlg__TPPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 wnceDlg__TERMACT_LST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempwnceDlg_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempwnceDlg_WebNodeConstantExpression_modifier (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (wnceDlg_IsSymb (t, wnceDlg_SYMBwnceDlg_MD5Modifier)) 
		return wnceDlg__MkwnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier (_coordref, wnceDlg_MkwnceDlg_MD5Modifier (_coordref, t));
	if (wnceDlg_IsSymb (t, wnceDlg_SYMBwnceDlg_JoinModifier)) 
		return wnceDlg__MkwnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier (_coordref, wnceDlg_MkwnceDlg_JoinModifier (_coordref, t));
	message (DEADLY, "a pwnceDlg_WebNodeConstantExpression_modifier list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_Mk2pwnceDlg_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR wnceDlg_Mk2pwnceDlg_WebNodeConstantExpression_modifier (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (wnceDlg_LHSMAP[l->_prod] != wnceDlg_SYMBLST_wnceDlg_WebNodeConstantExpression_modifier)
	l =_ElempwnceDlg_WebNodeConstantExpression_modifier (_coordref, l);
if (wnceDlg_LHSMAP[r->_prod] != wnceDlg_SYMBLST_wnceDlg_WebNodeConstantExpression_modifier)
	r = _ElempwnceDlg_WebNodeConstantExpression_modifier (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier)r)->_desc2);
((wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier)r)->_desc2 = ((wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier)l)->_desc2;
((wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
NODEPTR wnceDlg_MkpwnceDlg_WebNodeConstantExpression_modifier (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; wnceDlg__TPPpwnceDlg_WebNodeConstantExpression_modifier root;
	wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier)NULLNODEPTR;
else {	if (wnceDlg_LHSMAP[t->_prod] != wnceDlg_SYMBLST_wnceDlg_WebNodeConstantExpression_modifier)
		t = _ElempwnceDlg_WebNodeConstantExpression_modifier (_coordref, t);
	remain = (wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier)(((wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier) t)->_desc2);
	((wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new wnceDlg__TPLST_0pwnceDlg_WebNodeConstantExpression_modifier;
#else
list = (wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPLST_0pwnceDlg_WebNodeConstantExpression_modifier));
#endif
list->_prod = wnceDlg_RULELST_0pwnceDlg_WebNodeConstantExpression_modifier;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (wnceDlg__TPPLST_0pwnceDlg_WebNodeConstantExpression_modifier)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == wnceDlg_RULELST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier)
	{wnceDlg__TPPLST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier _currn = _currn;
	 wnceDlg__TERMACT_LST_wnceDlg_MD5ModifierpwnceDlg_WebNodeConstantExpression_modifier;
	} this code has been moved to _ElempwnceDlg_WebNodeConstantExpression_modifier*/
	/*if (_currn->_prod == wnceDlg_RULELST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier)
	{wnceDlg__TPPLST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier _currn = _currn;
	 wnceDlg__TERMACT_LST_wnceDlg_JoinModifierpwnceDlg_WebNodeConstantExpression_modifier;
	} this code has been moved to _ElempwnceDlg_WebNodeConstantExpression_modifier*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new wnceDlg__TPpwnceDlg_WebNodeConstantExpression_modifier;
#else
root = (wnceDlg__TPPpwnceDlg_WebNodeConstantExpression_modifier) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpwnceDlg_WebNodeConstantExpression_modifier));
#endif
root->_prod = wnceDlg_RULEpwnceDlg_WebNodeConstantExpression_modifier;
root->_desc1 = (wnceDlg__TSPLST_wnceDlg_WebNodeConstantExpression_modifier)list;
{ wnceDlg__TPPpwnceDlg_WebNodeConstantExpression_modifier _currn = root;
  _SETCOORD(_currn)
  wnceDlg__TERMACT_pwnceDlg_WebNodeConstantExpression_modifier;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpwnceDlg_MD5Modifier (POSITION *_coordref, int _TERM1)
#else
NODEPTR wnceDlg_MkpwnceDlg_MD5Modifier (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	wnceDlg__TPPpwnceDlg_MD5Modifier _currn;
#ifdef __cplusplus
_currn = new wnceDlg__TPpwnceDlg_MD5Modifier;
#else
_currn = (wnceDlg__TPPpwnceDlg_MD5Modifier) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpwnceDlg_MD5Modifier));
#endif
_currn->_prod = wnceDlg_RULEpwnceDlg_MD5Modifier;
_SETCOORD(_currn)
wnceDlg__TERMACT_pwnceDlg_MD5Modifier;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* wnceDlg_MkpwnceDlg_MD5Modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpwnceDlg_JoinModifier (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR wnceDlg_MkpwnceDlg_JoinModifier (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	wnceDlg__TPPpwnceDlg_JoinModifier _currn;
#ifdef __cplusplus
_currn = new wnceDlg__TPpwnceDlg_JoinModifier;
#else
_currn = (wnceDlg__TPPpwnceDlg_JoinModifier) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpwnceDlg_JoinModifier));
#endif
_currn->_prod = wnceDlg_RULEpwnceDlg_JoinModifier;
_currn->_desc1 = (wnceDlg__TSPwnceDlg_JoinModifier_separator) wnceDlg_MkwnceDlg_JoinModifier_separator (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pwnceDlg_JoinModifier: root of subtree no. 1 can not be made a wnceDlg_JoinModifier_separator node ", 0, _coordref);
_SETCOORD(_currn)
wnceDlg__TERMACT_pwnceDlg_JoinModifier;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* wnceDlg_MkpwnceDlg_JoinModifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR wnceDlg_MkpwnceDlg_JoinModifier_separator (POSITION *_coordref)
#else
NODEPTR wnceDlg_MkpwnceDlg_JoinModifier_separator (_coordref)
	POSITION *_coordref;
#endif
{	wnceDlg__TPPpwnceDlg_JoinModifier_separator _currn;
#ifdef __cplusplus
_currn = new wnceDlg__TPpwnceDlg_JoinModifier_separator;
#else
_currn = (wnceDlg__TPPpwnceDlg_JoinModifier_separator) wnceDlg_TreeNodeAlloc (sizeof (struct wnceDlg__TPpwnceDlg_JoinModifier_separator));
#endif
_currn->_prod = wnceDlg_RULEpwnceDlg_JoinModifier_separator;
_SETCOORD(_currn)
wnceDlg__TERMACT_pwnceDlg_JoinModifier_separator;
return ( (NODEPTR) _currn);
}/* wnceDlg_MkpwnceDlg_JoinModifier_separator */
