proc master {name parent {args ""}} {
    set canvasargs [initmaster $name $parent $args]
    eval [subst "canvas $parent.$name $canvasargs"]
    pack $parent.$name -side top -fill both -expand yes
    menu $parent.$name.menu -tearoff 0
    $parent.$name.menu  add command -label "Minimize all"  \
	    -command [subst {::MDI::minall ::${name}::}]
    $parent.$name.menu  add command -label "Arrange icons" \
	    -command [subst {::MDI::arrall ::${name}::}]
    $parent.$name.menu  add command -label "Restore all"   \
	    -command [subst {::MDI::resall ::${name}::}]
    $parent.$name.menu  add command -label "Next"          \
	    -command [subst {::MDI::next   ::${name}::}]
    $parent.$name.menu  add command -label "Previous"      \
	    -command [subst {::MDI::prev   ::${name}::}]
    $parent.$name.menu  add separator
    bind $parent.$name <3> [subst {tk_popup $parent.$name.menu %X %Y}]
    bind $parent.$name <Configure> [subst {::MDI::checkresize ::${name}::}]
    #::MDI::checkresize ::${name}::
    wm protocol [winfo toplevel $parent] WM_DELETE_WINDOW [subst {::MDI::closemaster ::${name}::}]
    return $name
}

proc initmaster {name parent {args ""}} {
     if ![catch {namespace children ::$name}] {
          namespace delete ::$name
          }
     namespace eval ::$name {}
     upvar #0 ::${name}:: mstruct
     array set mstruct [subst {
           "path"        "$parent.$name"
           "clientlist"  ""
           "minwidth"    "140"
           "minheight"   "25"
           "menupath"	 ""
           "onMasterClose" ""
           "size"        "0 0"
           }]
     set args [string range $args 1 [expr [string length $args]-2]]
     foreach {option val} $args {
             switch -- $option {
                 -menupath    {
                     set mstruct(menupath) $val
                 }
                 -onMasterClose {
                     set mstruct(onMasterClose) $val
                 }
             }
     }
     $parent con -bd 2 -relief sunken

     set l [expr [string length $mstruct(path)] + 1]
     eval [subst {bind all <1> {+if {\[string first $mstruct(path). %W\] == "0"} {
	 set ::MDI::tail \[string range %W $l end\]
	 if {\[string first . \$::MDI::tail\] > 0} {
	     set ::MDI::tail \[string range \$::MDI::tail 0 \[expr \[string first . \$::MDI::tail\] - 1\]\]
	 }
	 ::MDI::setcurrent \$::MDI::tail ::${name}::}}}]

     return "-bd 0 -relief sunken -bg $::MDI::sysbgray -highlightthickness 0 " ;# -height $mstruct(height) -width $mstruct(width)"

     }


