

namespace eval outputDirectory {}

set outputDirectory::lastSelection "."


proc outputDirectory::copyFixFiles {dest} {
  set fixCode [file join $::main::appHome "fixCode"]
  foreach file [glob $fixCode/*] {
        file copy -force $file $dest
  }
  
  # workaround: falls man PaderWAVE2 mittels Installer installiert, fehlen die leeren
  # Verzeichnisse des festen Codes -- also leere Unterverzeichnisse von fixCode
  
  set webContentDir [file join $dest "WebContent"]
  set dirsToBeCreated {}
  lappend dirsToBeCreated [file join $webContentDir "layout"]
  lappend dirsToBeCreated [file join $webContentDir "templates"]
  lappend dirsToBeCreated [file join $webContentDir "tiles"]
  lappend dirsToBeCreated [file join $webContentDir "WEB-INF" "classes"]
  lappend dirsToBeCreated [file join $webContentDir "WEB-INF" "velocity"]
  
  foreach {cur_dir} $dirsToBeCreated {
    if ![file exists $cur_dir] {
      file mkdir $cur_dir
    }
  }
  
}


proc outputDirectory::getOutputDirectory {} {
  variable lastSelection
  set dir [tk_chooseDirectory -title "Select output directory" -initialdir $lastSelection]
  if {$dir == ""} {
    return ""
  }
  set lastSelection $dir
  if {[file exists $dir] && ![file isdirectory $dir]} {
    tk_messageBox -title "Error" -message "File exists but is no directory"
    return ""
  }
  if {![file exists $dir]} {
    if [catch {
      file mkdir $dir
    }] {
      tk_messageBox -title "Error" -message "Can't create directory"
      return ""
    }
  }
  

  copyFixFiles $dir
  return $dir
}
