
namespace eval ::i18n {}

# Alle sprachspezifischen Texte sollten entsprechend des 
# nachfolgenden Beispiels verpackt werden:
#
# puts [i18n::text "Hallo %s!" "Du"]
#


# PUBLIC
proc i18n::text {s args} {
    return [eval format [list [getTranslation $s]] $args]
}


# PRIVATE
proc i18n::getTranslation {s} {
    variable trans
    if {[info exists trans($s)]} {
        return $trans($s)
    } else {
        return $s
    }
}


# PRIVATE
proc i18n::loadLangFile {filename} {
    set result ""
    set handle [open $filename "r"]
    fconfigure $handle -encoding iso8859-1
    set content [read $handle]
    close $handle
    foreach line [split $content "\n"] {
        if {[string length $line]>0} {
            set res [regexp {^([0-9]+) (.*)$} $line dummy id text]
            if {!$res} {error "Invalid line: '$line'"}
            lappend result $id $text
        }
    }
    return $result
}


# PUBLIC
proc i18n::init {} {
    variable trans
    foreach {id text} [loadLangFile "$main::appHome/languages/textcodes.txt"] {
        set id2original($id) $text
    }
    foreach {id text} [loadLangFile "$main::appHome/languages/$cfg::language.lang"] {
        if {[info exists id2original($id)]} {
            set trans($id2original($id)) $text
        }
    }
}
