
/* definition of tree node structure */

#ifndef codeGen_NODE_H
#define codeGen_NODE_H
#include "err.h"
#include "codeGen_nodeptr.h" /* defines NODEPTR */
#include "HEAD.h"

#ifdef MONITOR
#define _NODECOMMON int _prod; POSITION _coord;
#else
#define _NODECOMMON int _prod;
#endif

#ifndef NODEPTRSTRUCT
#define NODEPTRSTRUCT
struct NODEPTR_struct {
_NODECOMMON
#ifdef __cplusplus
void* operator new(size_t size);
#endif
};
#endif


#ifndef codeGen_NODEPTRSUBSTRUCT
#define codeGen_NODEPTRSUBSTRUCT
struct codeGen_NODEPTR_SUB_struct 
#ifdef __cplusplus

 : public NODEPTR_struct {
        void* operator new(size_t size);

#else
}
_NODECOMMON

#endif
};
#endif


typedef struct codeGen__TSVIEWROOT* codeGen__TSPVIEWROOT;
typedef struct codeGen__TScodeGen_Root* codeGen__TSPcodeGen_Root;
typedef struct codeGen__TScodeGen_Root_webApp* codeGen__TSPcodeGen_Root_webApp;
typedef struct codeGen__TScodeGen_Root_library* codeGen__TSPcodeGen_Root_library;
typedef struct codeGen__TScodeGen_WebApplication* codeGen__TSPcodeGen_WebApplication;
typedef struct codeGen__TScodeGen_Library* codeGen__TSPcodeGen_Library;
typedef struct codeGen__TScodeGen_Library_name* codeGen__TSPcodeGen_Library_name;
typedef struct codeGen__TScodeGen_Library_navigationElement* codeGen__TSPcodeGen_Library_navigationElement;
typedef struct codeGen__TScodeGen_NavigationElement* codeGen__TSPcodeGen_NavigationElement;
typedef struct codeGen__TScodeGen_NavigationElement_code* codeGen__TSPcodeGen_NavigationElement_code;
typedef struct codeGen__TScodeGen_NavigationElement_name* codeGen__TSPcodeGen_NavigationElement_name;
typedef struct codeGen__TScodeGen_WebApplication_name* codeGen__TSPcodeGen_WebApplication_name;
typedef struct codeGen__TScodeGen_WebApplication_entrancePage* codeGen__TSPcodeGen_WebApplication_entrancePage;
typedef struct codeGen__TScodeGen_WebApplication_webZone* codeGen__TSPcodeGen_WebApplication_webZone;
typedef struct codeGen__TScodeGen_WebApplication_navigationBar* codeGen__TSPcodeGen_WebApplication_navigationBar;
typedef struct codeGen__TScodeGen_WebApplication_styleSheet* codeGen__TSPcodeGen_WebApplication_styleSheet;
typedef struct codeGen__TScodeGen_WebApplication_frames* codeGen__TSPcodeGen_WebApplication_frames;
typedef struct codeGen__TScodeGen_WebApplication_meta* codeGen__TSPcodeGen_WebApplication_meta;
typedef struct codeGen__TScodeGen_WebApplication_database* codeGen__TSPcodeGen_WebApplication_database;
typedef struct codeGen__TScodeGen_WebApplication_roles* codeGen__TSPcodeGen_WebApplication_roles;
typedef struct codeGen__TScodeGen_WebApplication_linksExtern* codeGen__TSPcodeGen_WebApplication_linksExtern;
typedef struct codeGen__TScodeGen_WebApplication_imagePath* codeGen__TSPcodeGen_WebApplication_imagePath;
typedef struct codeGen__TScodeGen_WebApplication_packageName* codeGen__TSPcodeGen_WebApplication_packageName;
typedef struct codeGen__TScodeGen_WebApplication_pageEncoding* codeGen__TSPcodeGen_WebApplication_pageEncoding;
typedef struct codeGen__TScodeGen_WebApplication_header* codeGen__TSPcodeGen_WebApplication_header;
typedef struct codeGen__TScodeGen_WebApplication_footer* codeGen__TSPcodeGen_WebApplication_footer;
typedef struct codeGen__TScodeGen_WebApplication_mailHost* codeGen__TSPcodeGen_WebApplication_mailHost;
typedef struct codeGen__TScodeGen_WebApplication_mailFromAddress* codeGen__TSPcodeGen_WebApplication_mailFromAddress;
typedef struct codeGen__TScodeGen_WebApplication_catalinaHome* codeGen__TSPcodeGen_WebApplication_catalinaHome;
typedef struct codeGen__TScodeGen_RootWebZone* codeGen__TSPcodeGen_RootWebZone;
typedef struct codeGen__TScodeGen_NavigationBar* codeGen__TSPcodeGen_NavigationBar;
typedef struct codeGen__TScodeGen_StyleSheet* codeGen__TSPcodeGen_StyleSheet;
typedef struct codeGen__TScodeGen_GlobalFrame* codeGen__TSPcodeGen_GlobalFrame;
typedef struct codeGen__TScodeGen_MetaInformation* codeGen__TSPcodeGen_MetaInformation;
typedef struct codeGen__TScodeGen_DataBase* codeGen__TSPcodeGen_DataBase;
typedef struct codeGen__TScodeGen_WebRole* codeGen__TSPcodeGen_WebRole;
typedef struct codeGen__TScodeGen_LinkTargetExtern* codeGen__TSPcodeGen_LinkTargetExtern;
typedef struct codeGen__TScodeGen_RootWebZone_webTargets* codeGen__TSPcodeGen_RootWebZone_webTargets;
typedef struct codeGen__TScodeGen_RootWebZone_errorLink* codeGen__TSPcodeGen_RootWebZone_errorLink;
typedef struct codeGen__TScodeGen_RootWebZone_roles* codeGen__TSPcodeGen_RootWebZone_roles;
typedef struct codeGen__TScodeGen_RootWebZone_setSize* codeGen__TSPcodeGen_RootWebZone_setSize;
typedef struct codeGen__TScodeGen_WebAction* codeGen__TSPcodeGen_WebAction;
typedef struct codeGen__TScodeGen_WebPage* codeGen__TSPcodeGen_WebPage;
typedef struct codeGen__TScodeGen_SubWebZone* codeGen__TSPcodeGen_SubWebZone;
typedef struct codeGen__TScodeGen_WebRoleRef* codeGen__TSPcodeGen_WebRoleRef;
typedef struct codeGen__TScodeGen_SubWebZone_name* codeGen__TSPcodeGen_SubWebZone_name;
typedef struct codeGen__TScodeGen_SubWebZone_webTargets* codeGen__TSPcodeGen_SubWebZone_webTargets;
typedef struct codeGen__TScodeGen_SubWebZone_errorLink* codeGen__TSPcodeGen_SubWebZone_errorLink;
typedef struct codeGen__TScodeGen_SubWebZone_roles* codeGen__TSPcodeGen_SubWebZone_roles;
typedef struct codeGen__TScodeGen_SubWebZone_setSize* codeGen__TSPcodeGen_SubWebZone_setSize;
typedef struct codeGen__TScodeGen_SubWebZone_position* codeGen__TSPcodeGen_SubWebZone_position;
typedef struct codeGen__TScodeGen_WebRole_name* codeGen__TSPcodeGen_WebRole_name;
typedef struct codeGen__TScodeGen_WebRole_color* codeGen__TSPcodeGen_WebRole_color;
typedef struct codeGen__TScodeGen_WebRoleRef_role* codeGen__TSPcodeGen_WebRoleRef_role;
typedef struct codeGen__TScodeGen_WebPage_name* codeGen__TSPcodeGen_WebPage_name;
typedef struct codeGen__TScodeGen_WebPage_formalParameter* codeGen__TSPcodeGen_WebPage_formalParameter;
typedef struct codeGen__TScodeGen_WebPage_title* codeGen__TSPcodeGen_WebPage_title;
typedef struct codeGen__TScodeGen_WebPage_frame* codeGen__TSPcodeGen_WebPage_frame;
typedef struct codeGen__TScodeGen_WebPage_styleSheetBlock* codeGen__TSPcodeGen_WebPage_styleSheetBlock;
typedef struct codeGen__TScodeGen_WebPage_position* codeGen__TSPcodeGen_WebPage_position;
typedef struct codeGen__TScodeGen_WebNodeFormalParam* codeGen__TSPcodeGen_WebNodeFormalParam;
typedef struct codeGen__TScodeGen_Frame* codeGen__TSPcodeGen_Frame;
typedef struct codeGen__TScodeGen_Frame_components* codeGen__TSPcodeGen_Frame_components;
typedef struct codeGen__TScodeGen_ImageMap* codeGen__TSPcodeGen_ImageMap;
typedef struct codeGen__TScodeGen_ListOutputElement* codeGen__TSPcodeGen_ListOutputElement;
typedef struct codeGen__TScodeGen_OutputMessagesElement* codeGen__TSPcodeGen_OutputMessagesElement;
typedef struct codeGen__TScodeGen_Formular* codeGen__TSPcodeGen_Formular;
typedef struct codeGen__TScodeGen_Table* codeGen__TSPcodeGen_Table;
typedef struct codeGen__TScodeGen_Heading* codeGen__TSPcodeGen_Heading;
typedef struct codeGen__TScodeGen_Paragraph* codeGen__TSPcodeGen_Paragraph;
typedef struct codeGen__TScodeGen_FrameRef* codeGen__TSPcodeGen_FrameRef;
typedef struct codeGen__TScodeGen_GlobalFrame_name* codeGen__TSPcodeGen_GlobalFrame_name;
typedef struct codeGen__TScodeGen_GlobalFrame_components* codeGen__TSPcodeGen_GlobalFrame_components;
typedef struct codeGen__TScodeGen_GlobalFrame_setSize* codeGen__TSPcodeGen_GlobalFrame_setSize;
typedef struct codeGen__TScodeGen_NavigationBar_styleSheetBlock* codeGen__TSPcodeGen_NavigationBar_styleSheetBlock;
typedef struct codeGen__TScodeGen_NavigationBar_elements* codeGen__TSPcodeGen_NavigationBar_elements;
typedef struct codeGen__TScodeGen_NavigationBar_alignment* codeGen__TSPcodeGen_NavigationBar_alignment;
typedef struct codeGen__TScodeGen_NavigationBarElement* codeGen__TSPcodeGen_NavigationBarElement;
typedef struct codeGen__TScodeGen_NavigationBarElement_imageName* codeGen__TSPcodeGen_NavigationBarElement_imageName;
typedef struct codeGen__TScodeGen_NavigationBarElement_target* codeGen__TSPcodeGen_NavigationBarElement_target;
typedef struct codeGen__TScodeGen_FrameRef_styleSheetBlock* codeGen__TSPcodeGen_FrameRef_styleSheetBlock;
typedef struct codeGen__TScodeGen_FrameRef_frame* codeGen__TSPcodeGen_FrameRef_frame;
typedef struct codeGen__TScodeGen_MetaInformation_name* codeGen__TSPcodeGen_MetaInformation_name;
typedef struct codeGen__TScodeGen_MetaInformation_elements* codeGen__TSPcodeGen_MetaInformation_elements;
typedef struct codeGen__TScodeGen_MetaInformationElement* codeGen__TSPcodeGen_MetaInformationElement;
typedef struct codeGen__TScodeGen_MetaInformationElement_property* codeGen__TSPcodeGen_MetaInformationElement_property;
typedef struct codeGen__TScodeGen_MetaInformationElement_value* codeGen__TSPcodeGen_MetaInformationElement_value;
typedef struct codeGen__TScodeGen_DataBase_name* codeGen__TSPcodeGen_DataBase_name;
typedef struct codeGen__TScodeGen_DataBase_userName* codeGen__TSPcodeGen_DataBase_userName;
typedef struct codeGen__TScodeGen_DataBase_userPassword* codeGen__TSPcodeGen_DataBase_userPassword;
typedef struct codeGen__TScodeGen_DataBase_hostName* codeGen__TSPcodeGen_DataBase_hostName;
typedef struct codeGen__TScodeGen_DataBase_port* codeGen__TSPcodeGen_DataBase_port;
typedef struct codeGen__TScodeGen_DataBase_dataBaseType* codeGen__TSPcodeGen_DataBase_dataBaseType;
typedef struct codeGen__TScodeGen_DataBase_prefix* codeGen__TSPcodeGen_DataBase_prefix;
typedef struct codeGen__TScodeGen_DataBase_dataSources* codeGen__TSPcodeGen_DataBase_dataSources;
typedef struct codeGen__TScodeGen_DataBase_dataSourceModifications* codeGen__TSPcodeGen_DataBase_dataSourceModifications;
typedef struct codeGen__TScodeGen_DataBase_setSize* codeGen__TSPcodeGen_DataBase_setSize;
typedef struct codeGen__TScodeGen_DataBase_modifySetSize* codeGen__TSPcodeGen_DataBase_modifySetSize;
typedef struct codeGen__TScodeGen_DataSourceJoin* codeGen__TSPcodeGen_DataSourceJoin;
typedef struct codeGen__TScodeGen_OrderedDataSource* codeGen__TSPcodeGen_OrderedDataSource;
typedef struct codeGen__TScodeGen_LimitDataSource* codeGen__TSPcodeGen_LimitDataSource;
typedef struct codeGen__TScodeGen_DataSourceProjection* codeGen__TSPcodeGen_DataSourceProjection;
typedef struct codeGen__TScodeGen_DataSourceTable* codeGen__TSPcodeGen_DataSourceTable;
typedef struct codeGen__TScodeGen_DataSourceDelete* codeGen__TSPcodeGen_DataSourceDelete;
typedef struct codeGen__TScodeGen_DataSourceUpdate* codeGen__TSPcodeGen_DataSourceUpdate;
typedef struct codeGen__TScodeGen_DataSourceInsert* codeGen__TSPcodeGen_DataSourceInsert;
typedef struct codeGen__TScodeGen_DBColumn* codeGen__TSPcodeGen_DBColumn;
typedef struct codeGen__TScodeGen_DBColumn_name* codeGen__TSPcodeGen_DBColumn_name;
typedef struct codeGen__TScodeGen_DBColumn_type* codeGen__TSPcodeGen_DBColumn_type;
typedef struct codeGen__TScodeGen_DBColumn_notNull* codeGen__TSPcodeGen_DBColumn_notNull;
typedef struct codeGen__TScodeGen_DBColumn_primaryKey* codeGen__TSPcodeGen_DBColumn_primaryKey;
typedef struct codeGen__TScodeGen_DBBlob* codeGen__TSPcodeGen_DBBlob;
typedef struct codeGen__TScodeGen_DBBoolean* codeGen__TSPcodeGen_DBBoolean;
typedef struct codeGen__TScodeGen_DBTimeStamp* codeGen__TSPcodeGen_DBTimeStamp;
typedef struct codeGen__TScodeGen_DBDate* codeGen__TSPcodeGen_DBDate;
typedef struct codeGen__TScodeGen_DBBigInt* codeGen__TSPcodeGen_DBBigInt;
typedef struct codeGen__TScodeGen_DBDouble* codeGen__TSPcodeGen_DBDouble;
typedef struct codeGen__TScodeGen_DBFloat* codeGen__TSPcodeGen_DBFloat;
typedef struct codeGen__TScodeGen_DBLong* codeGen__TSPcodeGen_DBLong;
typedef struct codeGen__TScodeGen_DBInteger* codeGen__TSPcodeGen_DBInteger;
typedef struct codeGen__TScodeGen_DBText* codeGen__TSPcodeGen_DBText;
typedef struct codeGen__TScodeGen_DBString* codeGen__TSPcodeGen_DBString;
typedef struct codeGen__TScodeGen_DBHasMany* codeGen__TSPcodeGen_DBHasMany;
typedef struct codeGen__TScodeGen_DBHasOne* codeGen__TSPcodeGen_DBHasOne;
typedef struct codeGen__TScodeGen_DBHasOne_dataSourceTable* codeGen__TSPcodeGen_DBHasOne_dataSourceTable;
typedef struct codeGen__TScodeGen_DBHasMany_dataSourceTable* codeGen__TSPcodeGen_DBHasMany_dataSourceTable;
typedef struct codeGen__TScodeGen_DBBlob_contentType* codeGen__TSPcodeGen_DBBlob_contentType;
typedef struct codeGen__TScodeGen_DataSourceTable_name* codeGen__TSPcodeGen_DataSourceTable_name;
typedef struct codeGen__TScodeGen_DataSourceTable_position* codeGen__TSPcodeGen_DataSourceTable_position;
typedef struct codeGen__TScodeGen_DataSourceTable_columns* codeGen__TSPcodeGen_DataSourceTable_columns;
typedef struct codeGen__TScodeGen_DataSourceProjection_name* codeGen__TSPcodeGen_DataSourceProjection_name;
typedef struct codeGen__TScodeGen_DataSourceProjection_position* codeGen__TSPcodeGen_DataSourceProjection_position;
typedef struct codeGen__TScodeGen_DataSourceProjection_formalParameters* codeGen__TSPcodeGen_DataSourceProjection_formalParameters;
typedef struct codeGen__TScodeGen_DataSourceProjection_sourceDataSource* codeGen__TSPcodeGen_DataSourceProjection_sourceDataSource;
typedef struct codeGen__TScodeGen_DataSourceProjection_condition* codeGen__TSPcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TScodeGen_DataSourceProjection_projectionColumns* codeGen__TSPcodeGen_DataSourceProjection_projectionColumns;
typedef struct codeGen__TScodeGen_DataSourceFormalParam* codeGen__TSPcodeGen_DataSourceFormalParam;
typedef struct codeGen__TScodeGen_ComputationExpression* codeGen__TSPcodeGen_ComputationExpression;
typedef struct codeGen__TScodeGen_ParameterValueExpression* codeGen__TSPcodeGen_ParameterValueExpression;
typedef struct codeGen__TScodeGen_ProjectionColumnValueExpression* codeGen__TSPcodeGen_ProjectionColumnValueExpression;
typedef struct codeGen__TScodeGen_ColumnValueExpression* codeGen__TSPcodeGen_ColumnValueExpression;
typedef struct codeGen__TScodeGen_ConstantExpression* codeGen__TSPcodeGen_ConstantExpression;
typedef struct codeGen__TScodeGen_PredefinedExpression* codeGen__TSPcodeGen_PredefinedExpression;
typedef struct codeGen__TScodeGen_UnaryExpression* codeGen__TSPcodeGen_UnaryExpression;
typedef struct codeGen__TScodeGen_BinaryExpression* codeGen__TSPcodeGen_BinaryExpression;
typedef struct codeGen__TScodeGen_ComputationProjection* codeGen__TSPcodeGen_ComputationProjection;
typedef struct codeGen__TScodeGen_ColumnProjection* codeGen__TSPcodeGen_ColumnProjection;
typedef struct codeGen__TScodeGen_ColumnProjection_name* codeGen__TSPcodeGen_ColumnProjection_name;
typedef struct codeGen__TScodeGen_ColumnProjection_column* codeGen__TSPcodeGen_ColumnProjection_column;
typedef struct codeGen__TScodeGen_ComputationProjection_name* codeGen__TSPcodeGen_ComputationProjection_name;
typedef struct codeGen__TScodeGen_ComputationProjection_column* codeGen__TSPcodeGen_ComputationProjection_column;
typedef struct codeGen__TScodeGen_ComputationProjection_computation* codeGen__TSPcodeGen_ComputationProjection_computation;
typedef struct codeGen__TScodeGen_LimitDataSource_name* codeGen__TSPcodeGen_LimitDataSource_name;
typedef struct codeGen__TScodeGen_LimitDataSource_position* codeGen__TSPcodeGen_LimitDataSource_position;
typedef struct codeGen__TScodeGen_LimitDataSource_formalParameters* codeGen__TSPcodeGen_LimitDataSource_formalParameters;
typedef struct codeGen__TScodeGen_LimitDataSource_sourceDataSource* codeGen__TSPcodeGen_LimitDataSource_sourceDataSource;
typedef struct codeGen__TScodeGen_LimitDataSource_firstRow* codeGen__TSPcodeGen_LimitDataSource_firstRow;
typedef struct codeGen__TScodeGen_LimitDataSource_maxRows* codeGen__TSPcodeGen_LimitDataSource_maxRows;
typedef struct codeGen__TScodeGen_OrderedDataSource_name* codeGen__TSPcodeGen_OrderedDataSource_name;
typedef struct codeGen__TScodeGen_OrderedDataSource_position* codeGen__TSPcodeGen_OrderedDataSource_position;
typedef struct codeGen__TScodeGen_OrderedDataSource_sourceDataSource* codeGen__TSPcodeGen_OrderedDataSource_sourceDataSource;
typedef struct codeGen__TScodeGen_OrderedDataSource_orderColumns* codeGen__TSPcodeGen_OrderedDataSource_orderColumns;
typedef struct codeGen__TScodeGen_OrderColumn* codeGen__TSPcodeGen_OrderColumn;
typedef struct codeGen__TScodeGen_OrderColumn_orderColumn* codeGen__TSPcodeGen_OrderColumn_orderColumn;
typedef struct codeGen__TScodeGen_OrderColumn_order* codeGen__TSPcodeGen_OrderColumn_order;
typedef struct codeGen__TScodeGen_BinaryExpression_leftOperand* codeGen__TSPcodeGen_BinaryExpression_leftOperand;
typedef struct codeGen__TScodeGen_BinaryExpression_rightOperand* codeGen__TSPcodeGen_BinaryExpression_rightOperand;
typedef struct codeGen__TScodeGen_BinaryExpression_operator* codeGen__TSPcodeGen_BinaryExpression_operator;
typedef struct codeGen__TScodeGen_UnaryExpression_operand* codeGen__TSPcodeGen_UnaryExpression_operand;
typedef struct codeGen__TScodeGen_UnaryExpression_operator* codeGen__TSPcodeGen_UnaryExpression_operator;
typedef struct codeGen__TScodeGen_PredefinedExpression_value* codeGen__TSPcodeGen_PredefinedExpression_value;
typedef struct codeGen__TScodeGen_ConstantExpression_value* codeGen__TSPcodeGen_ConstantExpression_value;
typedef struct codeGen__TScodeGen_ColumnValueExpression_column* codeGen__TSPcodeGen_ColumnValueExpression_column;
typedef struct codeGen__TScodeGen_ProjectionColumnValueExpression_column* codeGen__TSPcodeGen_ProjectionColumnValueExpression_column;
typedef struct codeGen__TScodeGen_ParameterValueExpression_parameter* codeGen__TSPcodeGen_ParameterValueExpression_parameter;
typedef struct codeGen__TScodeGen_ComputationExpression_column* codeGen__TSPcodeGen_ComputationExpression_column;
typedef struct codeGen__TScodeGen_ComputationExpression_computation* codeGen__TSPcodeGen_ComputationExpression_computation;
typedef struct codeGen__TScodeGen_DataSourceValue* codeGen__TSPcodeGen_DataSourceValue;
typedef struct codeGen__TScodeGen_DataSourceValue_column* codeGen__TSPcodeGen_DataSourceValue_column;
typedef struct codeGen__TScodeGen_DataSourceValue_expression* codeGen__TSPcodeGen_DataSourceValue_expression;
typedef struct codeGen__TScodeGen_DataSourceJoin_name* codeGen__TSPcodeGen_DataSourceJoin_name;
typedef struct codeGen__TScodeGen_DataSourceJoin_position* codeGen__TSPcodeGen_DataSourceJoin_position;
typedef struct codeGen__TScodeGen_DataSourceJoin_dataSource1* codeGen__TSPcodeGen_DataSourceJoin_dataSource1;
typedef struct codeGen__TScodeGen_DataSourceJoin_dataSource2* codeGen__TSPcodeGen_DataSourceJoin_dataSource2;
typedef struct codeGen__TScodeGen_DataSourceJoin_columnRef1* codeGen__TSPcodeGen_DataSourceJoin_columnRef1;
typedef struct codeGen__TScodeGen_DataSourceJoin_columnRef2* codeGen__TSPcodeGen_DataSourceJoin_columnRef2;
typedef struct codeGen__TScodeGen_DataSourceJoin_joinOperator* codeGen__TSPcodeGen_DataSourceJoin_joinOperator;
typedef struct codeGen__TScodeGen_DataSourceInsert_targetDataSource* codeGen__TSPcodeGen_DataSourceInsert_targetDataSource;
typedef struct codeGen__TScodeGen_DataSourceInsert_formalParams* codeGen__TSPcodeGen_DataSourceInsert_formalParams;
typedef struct codeGen__TScodeGen_DataSourceInsert_name* codeGen__TSPcodeGen_DataSourceInsert_name;
typedef struct codeGen__TScodeGen_DataSourceInsert_position* codeGen__TSPcodeGen_DataSourceInsert_position;
typedef struct codeGen__TScodeGen_DataSourceInsert_values* codeGen__TSPcodeGen_DataSourceInsert_values;
typedef struct codeGen__TScodeGen_DataSourceUpdate_targetDataSource* codeGen__TSPcodeGen_DataSourceUpdate_targetDataSource;
typedef struct codeGen__TScodeGen_DataSourceUpdate_formalParams* codeGen__TSPcodeGen_DataSourceUpdate_formalParams;
typedef struct codeGen__TScodeGen_DataSourceUpdate_name* codeGen__TSPcodeGen_DataSourceUpdate_name;
typedef struct codeGen__TScodeGen_DataSourceUpdate_position* codeGen__TSPcodeGen_DataSourceUpdate_position;
typedef struct codeGen__TScodeGen_DataSourceUpdate_conditions* codeGen__TSPcodeGen_DataSourceUpdate_conditions;
typedef struct codeGen__TScodeGen_DataSourceUpdate_values* codeGen__TSPcodeGen_DataSourceUpdate_values;
typedef struct codeGen__TScodeGen_DataSourceDelete_targetDataSource* codeGen__TSPcodeGen_DataSourceDelete_targetDataSource;
typedef struct codeGen__TScodeGen_DataSourceDelete_formalParams* codeGen__TSPcodeGen_DataSourceDelete_formalParams;
typedef struct codeGen__TScodeGen_DataSourceDelete_name* codeGen__TSPcodeGen_DataSourceDelete_name;
typedef struct codeGen__TScodeGen_DataSourceDelete_position* codeGen__TSPcodeGen_DataSourceDelete_position;
typedef struct codeGen__TScodeGen_DataSourceDelete_conditions* codeGen__TSPcodeGen_DataSourceDelete_conditions;
typedef struct codeGen__TScodeGen_DataSourceActualParam* codeGen__TSPcodeGen_DataSourceActualParam;
typedef struct codeGen__TScodeGen_DataSourceActualParam_formalParam* codeGen__TSPcodeGen_DataSourceActualParam_formalParam;
typedef struct codeGen__TScodeGen_DataSourceActualParam_expressions* codeGen__TSPcodeGen_DataSourceActualParam_expressions;
typedef struct codeGen__TScodeGen_WebNodeSessionExpression* codeGen__TSPcodeGen_WebNodeSessionExpression;
typedef struct codeGen__TScodeGen_WebNodeVariableExpression* codeGen__TSPcodeGen_WebNodeVariableExpression;
typedef struct codeGen__TScodeGen_WebNodeConstantExpression* codeGen__TSPcodeGen_WebNodeConstantExpression;
typedef struct codeGen__TScodeGen_DataSourceFormalParam_name* codeGen__TSPcodeGen_DataSourceFormalParam_name;
typedef struct codeGen__TScodeGen_DataSourceFormalParam_type* codeGen__TSPcodeGen_DataSourceFormalParam_type;
typedef struct codeGen__TScodeGen_Paragraph_styleSheetBlock* codeGen__TSPcodeGen_Paragraph_styleSheetBlock;
typedef struct codeGen__TScodeGen_Paragraph_fragments* codeGen__TSPcodeGen_Paragraph_fragments;
typedef struct codeGen__TScodeGen_OutputFragment* codeGen__TSPcodeGen_OutputFragment;
typedef struct codeGen__TScodeGen_ImageFragment* codeGen__TSPcodeGen_ImageFragment;
typedef struct codeGen__TScodeGen_TextFragment* codeGen__TSPcodeGen_TextFragment;
typedef struct codeGen__TScodeGen_TextFragment_link* codeGen__TSPcodeGen_TextFragment_link;
typedef struct codeGen__TScodeGen_TextFragment_value* codeGen__TSPcodeGen_TextFragment_value;
typedef struct codeGen__TScodeGen_TextFragment_fontstyle* codeGen__TSPcodeGen_TextFragment_fontstyle;
typedef struct codeGen__TScodeGen_ImageFragment_link* codeGen__TSPcodeGen_ImageFragment_link;
typedef struct codeGen__TScodeGen_ImageFragment_width* codeGen__TSPcodeGen_ImageFragment_width;
typedef struct codeGen__TScodeGen_ImageFragment_height* codeGen__TSPcodeGen_ImageFragment_height;
typedef struct codeGen__TScodeGen_ImageFragment_border* codeGen__TSPcodeGen_ImageFragment_border;
typedef struct codeGen__TScodeGen_ImageFragment_verticalAlign* codeGen__TSPcodeGen_ImageFragment_verticalAlign;
typedef struct codeGen__TScodeGen_ImageFragment_float* codeGen__TSPcodeGen_ImageFragment_float;
typedef struct codeGen__TScodeGen_ImageFragment_text* codeGen__TSPcodeGen_ImageFragment_text;
typedef struct codeGen__TScodeGen_ImageFragment_imageName* codeGen__TSPcodeGen_ImageFragment_imageName;
typedef struct codeGen__TScodeGen_Heading_styleSheetBlock* codeGen__TSPcodeGen_Heading_styleSheetBlock;
typedef struct codeGen__TScodeGen_Heading_text* codeGen__TSPcodeGen_Heading_text;
typedef struct codeGen__TScodeGen_Heading_level* codeGen__TSPcodeGen_Heading_level;
typedef struct codeGen__TScodeGen_Table_styleSheetBlock* codeGen__TSPcodeGen_Table_styleSheetBlock;
typedef struct codeGen__TScodeGen_Table_rows* codeGen__TSPcodeGen_Table_rows;
typedef struct codeGen__TScodeGen_Table_columns* codeGen__TSPcodeGen_Table_columns;
typedef struct codeGen__TScodeGen_TableRow* codeGen__TSPcodeGen_TableRow;
typedef struct codeGen__TScodeGen_TableColumn* codeGen__TSPcodeGen_TableColumn;
typedef struct codeGen__TScodeGen_TableRow_cells* codeGen__TSPcodeGen_TableRow_cells;
typedef struct codeGen__TScodeGen_TableCell* codeGen__TSPcodeGen_TableCell;
typedef struct codeGen__TScodeGen_TableCell_columnRef* codeGen__TSPcodeGen_TableCell_columnRef;
typedef struct codeGen__TScodeGen_TableCell_content* codeGen__TSPcodeGen_TableCell_content;
typedef struct codeGen__TScodeGen_StyleSheet_name* codeGen__TSPcodeGen_StyleSheet_name;
typedef struct codeGen__TScodeGen_StyleSheet_custom* codeGen__TSPcodeGen_StyleSheet_custom;
typedef struct codeGen__TScodeGen_StyleSheet_default* codeGen__TSPcodeGen_StyleSheet_default;
typedef struct codeGen__TScodeGen_CustomStyleSheetBlock* codeGen__TSPcodeGen_CustomStyleSheetBlock;
typedef struct codeGen__TScodeGen_HtmlStyleSheetBlock* codeGen__TSPcodeGen_HtmlStyleSheetBlock;
typedef struct codeGen__TScodeGen_CustomStyleSheetBlock_pairs* codeGen__TSPcodeGen_CustomStyleSheetBlock_pairs;
typedef struct codeGen__TScodeGen_CustomStyleSheetBlock_name* codeGen__TSPcodeGen_CustomStyleSheetBlock_name;
typedef struct codeGen__TScodeGen_StyleSheetPair* codeGen__TSPcodeGen_StyleSheetPair;
typedef struct codeGen__TScodeGen_StyleSheetPair_category* codeGen__TSPcodeGen_StyleSheetPair_category;
typedef struct codeGen__TScodeGen_StyleSheetPair_attribute* codeGen__TSPcodeGen_StyleSheetPair_attribute;
typedef struct codeGen__TScodeGen_StyleSheetPair_valueCategory* codeGen__TSPcodeGen_StyleSheetPair_valueCategory;
typedef struct codeGen__TScodeGen_StyleSheetPair_value* codeGen__TSPcodeGen_StyleSheetPair_value;
typedef struct codeGen__TScodeGen_CustomValue* codeGen__TSPcodeGen_CustomValue;
typedef struct codeGen__TScodeGen_ListValue* codeGen__TSPcodeGen_ListValue;
typedef struct codeGen__TScodeGen_AlignmentValue* codeGen__TSPcodeGen_AlignmentValue;
typedef struct codeGen__TScodeGen_HeadingValue* codeGen__TSPcodeGen_HeadingValue;
typedef struct codeGen__TScodeGen_StyleValue* codeGen__TSPcodeGen_StyleValue;
typedef struct codeGen__TScodeGen_FamilyValue* codeGen__TSPcodeGen_FamilyValue;
typedef struct codeGen__TScodeGen_ColorValue* codeGen__TSPcodeGen_ColorValue;
typedef struct codeGen__TScodeGen_SizeValue* codeGen__TSPcodeGen_SizeValue;
typedef struct codeGen__TScodeGen_SizeValue_measure* codeGen__TSPcodeGen_SizeValue_measure;
typedef struct codeGen__TScodeGen_SizeValue_value* codeGen__TSPcodeGen_SizeValue_value;
typedef struct codeGen__TScodeGen_ColorValue_color* codeGen__TSPcodeGen_ColorValue_color;
typedef struct codeGen__TScodeGen_FamilyValue_family* codeGen__TSPcodeGen_FamilyValue_family;
typedef struct codeGen__TScodeGen_StyleValue_style* codeGen__TSPcodeGen_StyleValue_style;
typedef struct codeGen__TScodeGen_HeadingValue_heading* codeGen__TSPcodeGen_HeadingValue_heading;
typedef struct codeGen__TScodeGen_AlignmentValue_alignment* codeGen__TSPcodeGen_AlignmentValue_alignment;
typedef struct codeGen__TScodeGen_ListValue_listed* codeGen__TSPcodeGen_ListValue_listed;
typedef struct codeGen__TScodeGen_CustomValue_value* codeGen__TSPcodeGen_CustomValue_value;
typedef struct codeGen__TScodeGen_HtmlStyleSheetBlock_pairs* codeGen__TSPcodeGen_HtmlStyleSheetBlock_pairs;
typedef struct codeGen__TScodeGen_HtmlStyleSheetBlock_name* codeGen__TSPcodeGen_HtmlStyleSheetBlock_name;
typedef struct codeGen__TScodeGen_ActionHandler* codeGen__TSPcodeGen_ActionHandler;
typedef struct codeGen__TScodeGen_ActionHandler_targetpage* codeGen__TSPcodeGen_ActionHandler_targetpage;
typedef struct codeGen__TScodeGen_ActionHandler_params* codeGen__TSPcodeGen_ActionHandler_params;
typedef struct codeGen__TScodeGen_WebNodeActualParam* codeGen__TSPcodeGen_WebNodeActualParam;
typedef struct codeGen__TScodeGen_WebAction_name* codeGen__TSPcodeGen_WebAction_name;
typedef struct codeGen__TScodeGen_WebAction_formalParameter* codeGen__TSPcodeGen_WebAction_formalParameter;
typedef struct codeGen__TScodeGen_WebAction_successpage* codeGen__TSPcodeGen_WebAction_successpage;
typedef struct codeGen__TScodeGen_WebAction_operations* codeGen__TSPcodeGen_WebAction_operations;
typedef struct codeGen__TScodeGen_WebAction_position* codeGen__TSPcodeGen_WebAction_position;
typedef struct codeGen__TScodeGen_LoginOperation* codeGen__TSPcodeGen_LoginOperation;
typedef struct codeGen__TScodeGen_LogoutOperation* codeGen__TSPcodeGen_LogoutOperation;
typedef struct codeGen__TScodeGen_MailingOperation* codeGen__TSPcodeGen_MailingOperation;
typedef struct codeGen__TScodeGen_JavaOperation* codeGen__TSPcodeGen_JavaOperation;
typedef struct codeGen__TScodeGen_DataBaseOperation* codeGen__TSPcodeGen_DataBaseOperation;
typedef struct codeGen__TScodeGen_DataBaseOperation_errorhandler* codeGen__TSPcodeGen_DataBaseOperation_errorhandler;
typedef struct codeGen__TScodeGen_DataBaseOperation_successMessage* codeGen__TSPcodeGen_DataBaseOperation_successMessage;
typedef struct codeGen__TScodeGen_DataBaseOperation_errorMessage* codeGen__TSPcodeGen_DataBaseOperation_errorMessage;
typedef struct codeGen__TScodeGen_DataBaseOperation_filter* codeGen__TSPcodeGen_DataBaseOperation_filter;
typedef struct codeGen__TScodeGen_DataBaseOperation_params* codeGen__TSPcodeGen_DataBaseOperation_params;
typedef struct codeGen__TScodeGen_JavaOperation_errorhandler* codeGen__TSPcodeGen_JavaOperation_errorhandler;
typedef struct codeGen__TScodeGen_JavaOperation_successMessage* codeGen__TSPcodeGen_JavaOperation_successMessage;
typedef struct codeGen__TScodeGen_JavaOperation_errorMessage* codeGen__TSPcodeGen_JavaOperation_errorMessage;
typedef struct codeGen__TScodeGen_JavaOperation_content* codeGen__TSPcodeGen_JavaOperation_content;
typedef struct codeGen__TScodeGen_MailingOperation_errorhandler* codeGen__TSPcodeGen_MailingOperation_errorhandler;
typedef struct codeGen__TScodeGen_MailingOperation_successMessage* codeGen__TSPcodeGen_MailingOperation_successMessage;
typedef struct codeGen__TScodeGen_MailingOperation_errorMessage* codeGen__TSPcodeGen_MailingOperation_errorMessage;
typedef struct codeGen__TScodeGen_MailingOperation_name* codeGen__TSPcodeGen_MailingOperation_name;
typedef struct codeGen__TScodeGen_MailingOperation_mailTo* codeGen__TSPcodeGen_MailingOperation_mailTo;
typedef struct codeGen__TScodeGen_MailingOperation_subject* codeGen__TSPcodeGen_MailingOperation_subject;
typedef struct codeGen__TScodeGen_MailingOperation_content* codeGen__TSPcodeGen_MailingOperation_content;
typedef struct codeGen__TScodeGen_LogoutOperation_errorhandler* codeGen__TSPcodeGen_LogoutOperation_errorhandler;
typedef struct codeGen__TScodeGen_LogoutOperation_successMessage* codeGen__TSPcodeGen_LogoutOperation_successMessage;
typedef struct codeGen__TScodeGen_LogoutOperation_errorMessage* codeGen__TSPcodeGen_LogoutOperation_errorMessage;
typedef struct codeGen__TScodeGen_LogoutOperation_name* codeGen__TSPcodeGen_LogoutOperation_name;
typedef struct codeGen__TScodeGen_LoginOperation_errorhandler* codeGen__TSPcodeGen_LoginOperation_errorhandler;
typedef struct codeGen__TScodeGen_LoginOperation_successMessage* codeGen__TSPcodeGen_LoginOperation_successMessage;
typedef struct codeGen__TScodeGen_LoginOperation_errorMessage* codeGen__TSPcodeGen_LoginOperation_errorMessage;
typedef struct codeGen__TScodeGen_LoginOperation_name* codeGen__TSPcodeGen_LoginOperation_name;
typedef struct codeGen__TScodeGen_LoginOperation_userDBColumn* codeGen__TSPcodeGen_LoginOperation_userDBColumn;
typedef struct codeGen__TScodeGen_LoginOperation_passwdDBColumn* codeGen__TSPcodeGen_LoginOperation_passwdDBColumn;
typedef struct codeGen__TScodeGen_LoginOperation_rolesDBColumn* codeGen__TSPcodeGen_LoginOperation_rolesDBColumn;
typedef struct codeGen__TScodeGen_LoginOperation_userFormField* codeGen__TSPcodeGen_LoginOperation_userFormField;
typedef struct codeGen__TScodeGen_LoginOperation_passwdFormField* codeGen__TSPcodeGen_LoginOperation_passwdFormField;
typedef struct codeGen__TScodeGen_Formular_styleSheetBlock* codeGen__TSPcodeGen_Formular_styleSheetBlock;
typedef struct codeGen__TScodeGen_Formular_name* codeGen__TSPcodeGen_Formular_name;
typedef struct codeGen__TScodeGen_Formular_action* codeGen__TSPcodeGen_Formular_action;
typedef struct codeGen__TScodeGen_Formular_dataSource* codeGen__TSPcodeGen_Formular_dataSource;
typedef struct codeGen__TScodeGen_Formular_dataSourceId* codeGen__TSPcodeGen_Formular_dataSourceId;
typedef struct codeGen__TScodeGen_Formular_elements* codeGen__TSPcodeGen_Formular_elements;
typedef struct codeGen__TScodeGen_Formular_actualParams* codeGen__TSPcodeGen_Formular_actualParams;
typedef struct codeGen__TScodeGen_FormularSelectElement* codeGen__TSPcodeGen_FormularSelectElement;
typedef struct codeGen__TScodeGen_FormularCheckboxElement* codeGen__TSPcodeGen_FormularCheckboxElement;
typedef struct codeGen__TScodeGen_FormularFileUploadElement* codeGen__TSPcodeGen_FormularFileUploadElement;
typedef struct codeGen__TScodeGen_FormularDateElement* codeGen__TSPcodeGen_FormularDateElement;
typedef struct codeGen__TScodeGen_FormularPasswordElement* codeGen__TSPcodeGen_FormularPasswordElement;
typedef struct codeGen__TScodeGen_FormularTextAreaElement* codeGen__TSPcodeGen_FormularTextAreaElement;
typedef struct codeGen__TScodeGen_FormularTextElement* codeGen__TSPcodeGen_FormularTextElement;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement* codeGen__TSPcodeGen_FormularRadioGroupElement;
typedef struct codeGen__TScodeGen_EmailValidator* codeGen__TSPcodeGen_EmailValidator;
typedef struct codeGen__TScodeGen_CreditCardValidator* codeGen__TSPcodeGen_CreditCardValidator;
typedef struct codeGen__TScodeGen_RegExprValidator* codeGen__TSPcodeGen_RegExprValidator;
typedef struct codeGen__TScodeGen_RegExprValidator_pattern* codeGen__TSPcodeGen_RegExprValidator_pattern;
typedef struct codeGen__TScodeGen_StringLengthValidator* codeGen__TSPcodeGen_StringLengthValidator;
typedef struct codeGen__TScodeGen_StringLengthValidator_min* codeGen__TSPcodeGen_StringLengthValidator_min;
typedef struct codeGen__TScodeGen_StringLengthValidator_max* codeGen__TSPcodeGen_StringLengthValidator_max;
typedef struct codeGen__TScodeGen_LongRangeValidator* codeGen__TSPcodeGen_LongRangeValidator;
typedef struct codeGen__TScodeGen_LongRangeValidator_min* codeGen__TSPcodeGen_LongRangeValidator_min;
typedef struct codeGen__TScodeGen_LongRangeValidator_max* codeGen__TSPcodeGen_LongRangeValidator_max;
typedef struct codeGen__TScodeGen_DoubleRangeValidator* codeGen__TSPcodeGen_DoubleRangeValidator;
typedef struct codeGen__TScodeGen_DoubleRangeValidator_min* codeGen__TSPcodeGen_DoubleRangeValidator_min;
typedef struct codeGen__TScodeGen_DoubleRangeValidator_max* codeGen__TSPcodeGen_DoubleRangeValidator_max;
typedef struct codeGen__TScodeGen_IntegerNumberConverter* codeGen__TSPcodeGen_IntegerNumberConverter;
typedef struct codeGen__TScodeGen_IntegerNumberConverter_minIntegerDigits* codeGen__TSPcodeGen_IntegerNumberConverter_minIntegerDigits;
typedef struct codeGen__TScodeGen_IntegerNumberConverter_maxIntegerDigits* codeGen__TSPcodeGen_IntegerNumberConverter_maxIntegerDigits;
typedef struct codeGen__TScodeGen_DoubleNumberConverter* codeGen__TSPcodeGen_DoubleNumberConverter;
typedef struct codeGen__TScodeGen_DoubleNumberConverter_minIntegerDigits* codeGen__TSPcodeGen_DoubleNumberConverter_minIntegerDigits;
typedef struct codeGen__TScodeGen_DoubleNumberConverter_maxIntegerDigits* codeGen__TSPcodeGen_DoubleNumberConverter_maxIntegerDigits;
typedef struct codeGen__TScodeGen_DoubleNumberConverter_minFractionDigits* codeGen__TSPcodeGen_DoubleNumberConverter_minFractionDigits;
typedef struct codeGen__TScodeGen_DoubleNumberConverter_maxFractionDigits* codeGen__TSPcodeGen_DoubleNumberConverter_maxFractionDigits;
typedef struct codeGen__TScodeGen_IntegerConverter* codeGen__TSPcodeGen_IntegerConverter;
typedef struct codeGen__TScodeGen_LongConverter* codeGen__TSPcodeGen_LongConverter;
typedef struct codeGen__TScodeGen_BigIntegerConverter* codeGen__TSPcodeGen_BigIntegerConverter;
typedef struct codeGen__TScodeGen_FloatConverter* codeGen__TSPcodeGen_FloatConverter;
typedef struct codeGen__TScodeGen_DoubleConverter* codeGen__TSPcodeGen_DoubleConverter;
typedef struct codeGen__TScodeGen_BooleanConverter* codeGen__TSPcodeGen_BooleanConverter;
typedef struct codeGen__TScodeGen_DateTimeConverter* codeGen__TSPcodeGen_DateTimeConverter;
typedef struct codeGen__TScodeGen_PatternConverter* codeGen__TSPcodeGen_PatternConverter;
typedef struct codeGen__TScodeGen_PatternConverter_pattern* codeGen__TSPcodeGen_PatternConverter_pattern;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_name* codeGen__TSPcodeGen_FormularRadioGroupElement_name;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_label* codeGen__TSPcodeGen_FormularRadioGroupElement_label;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_description* codeGen__TSPcodeGen_FormularRadioGroupElement_description;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_pvalue* codeGen__TSPcodeGen_FormularRadioGroupElement_pvalue;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_required* codeGen__TSPcodeGen_FormularRadioGroupElement_required;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_validator* codeGen__TSPcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_converter* codeGen__TSPcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_layout* codeGen__TSPcodeGen_FormularRadioGroupElement_layout;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_elements* codeGen__TSPcodeGen_FormularRadioGroupElement_elements;
typedef struct codeGen__TScodeGen_FormularRadioGroupElement_checked* codeGen__TSPcodeGen_FormularRadioGroupElement_checked;
typedef struct codeGen__TScodeGen_FormularRadioElement* codeGen__TSPcodeGen_FormularRadioElement;
typedef struct codeGen__TScodeGen_FormularTextElement_name* codeGen__TSPcodeGen_FormularTextElement_name;
typedef struct codeGen__TScodeGen_FormularTextElement_label* codeGen__TSPcodeGen_FormularTextElement_label;
typedef struct codeGen__TScodeGen_FormularTextElement_description* codeGen__TSPcodeGen_FormularTextElement_description;
typedef struct codeGen__TScodeGen_FormularTextElement_pvalue* codeGen__TSPcodeGen_FormularTextElement_pvalue;
typedef struct codeGen__TScodeGen_FormularTextElement_required* codeGen__TSPcodeGen_FormularTextElement_required;
typedef struct codeGen__TScodeGen_FormularTextElement_validator* codeGen__TSPcodeGen_FormularTextElement_validator;
typedef struct codeGen__TScodeGen_FormularTextElement_converter* codeGen__TSPcodeGen_FormularTextElement_converter;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_name* codeGen__TSPcodeGen_FormularTextAreaElement_name;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_label* codeGen__TSPcodeGen_FormularTextAreaElement_label;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_description* codeGen__TSPcodeGen_FormularTextAreaElement_description;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_pvalue* codeGen__TSPcodeGen_FormularTextAreaElement_pvalue;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_required* codeGen__TSPcodeGen_FormularTextAreaElement_required;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_validator* codeGen__TSPcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_converter* codeGen__TSPcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TScodeGen_FormularTextAreaElement_rows* codeGen__TSPcodeGen_FormularTextAreaElement_rows;
typedef struct codeGen__TScodeGen_FormularPasswordElement_name* codeGen__TSPcodeGen_FormularPasswordElement_name;
typedef struct codeGen__TScodeGen_FormularPasswordElement_label* codeGen__TSPcodeGen_FormularPasswordElement_label;
typedef struct codeGen__TScodeGen_FormularPasswordElement_description* codeGen__TSPcodeGen_FormularPasswordElement_description;
typedef struct codeGen__TScodeGen_FormularPasswordElement_pvalue* codeGen__TSPcodeGen_FormularPasswordElement_pvalue;
typedef struct codeGen__TScodeGen_FormularPasswordElement_required* codeGen__TSPcodeGen_FormularPasswordElement_required;
typedef struct codeGen__TScodeGen_FormularPasswordElement_validator* codeGen__TSPcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TScodeGen_FormularPasswordElement_converter* codeGen__TSPcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TScodeGen_FormularPasswordElement_redisplay* codeGen__TSPcodeGen_FormularPasswordElement_redisplay;
typedef struct codeGen__TScodeGen_FormularDateElement_name* codeGen__TSPcodeGen_FormularDateElement_name;
typedef struct codeGen__TScodeGen_FormularDateElement_label* codeGen__TSPcodeGen_FormularDateElement_label;
typedef struct codeGen__TScodeGen_FormularDateElement_description* codeGen__TSPcodeGen_FormularDateElement_description;
typedef struct codeGen__TScodeGen_FormularDateElement_pvalue* codeGen__TSPcodeGen_FormularDateElement_pvalue;
typedef struct codeGen__TScodeGen_FormularDateElement_required* codeGen__TSPcodeGen_FormularDateElement_required;
typedef struct codeGen__TScodeGen_FormularDateElement_validator* codeGen__TSPcodeGen_FormularDateElement_validator;
typedef struct codeGen__TScodeGen_FormularDateElement_converter* codeGen__TSPcodeGen_FormularDateElement_converter;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_name* codeGen__TSPcodeGen_FormularFileUploadElement_name;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_label* codeGen__TSPcodeGen_FormularFileUploadElement_label;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_description* codeGen__TSPcodeGen_FormularFileUploadElement_description;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_pvalue* codeGen__TSPcodeGen_FormularFileUploadElement_pvalue;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_required* codeGen__TSPcodeGen_FormularFileUploadElement_required;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_validator* codeGen__TSPcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_converter* codeGen__TSPcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TScodeGen_FormularFileUploadElement_accept* codeGen__TSPcodeGen_FormularFileUploadElement_accept;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_name* codeGen__TSPcodeGen_FormularCheckboxElement_name;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_label* codeGen__TSPcodeGen_FormularCheckboxElement_label;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_description* codeGen__TSPcodeGen_FormularCheckboxElement_description;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_pvalue* codeGen__TSPcodeGen_FormularCheckboxElement_pvalue;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_required* codeGen__TSPcodeGen_FormularCheckboxElement_required;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_validator* codeGen__TSPcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_converter* codeGen__TSPcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_value* codeGen__TSPcodeGen_FormularCheckboxElement_value;
typedef struct codeGen__TScodeGen_FormularCheckboxElement_checked* codeGen__TSPcodeGen_FormularCheckboxElement_checked;
typedef struct codeGen__TScodeGen_FormularSelectElement_name* codeGen__TSPcodeGen_FormularSelectElement_name;
typedef struct codeGen__TScodeGen_FormularSelectElement_label* codeGen__TSPcodeGen_FormularSelectElement_label;
typedef struct codeGen__TScodeGen_FormularSelectElement_description* codeGen__TSPcodeGen_FormularSelectElement_description;
typedef struct codeGen__TScodeGen_FormularSelectElement_pvalue* codeGen__TSPcodeGen_FormularSelectElement_pvalue;
typedef struct codeGen__TScodeGen_FormularSelectElement_required* codeGen__TSPcodeGen_FormularSelectElement_required;
typedef struct codeGen__TScodeGen_FormularSelectElement_validator* codeGen__TSPcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TScodeGen_FormularSelectElement_converter* codeGen__TSPcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TScodeGen_FormularSelectElement_options* codeGen__TSPcodeGen_FormularSelectElement_options;
typedef struct codeGen__TScodeGen_FormularSelectElement_size* codeGen__TSPcodeGen_FormularSelectElement_size;
typedef struct codeGen__TScodeGen_FormularSelectElement_multiple* codeGen__TSPcodeGen_FormularSelectElement_multiple;
typedef struct codeGen__TScodeGen_FormularDataSourceSelectOption* codeGen__TSPcodeGen_FormularDataSourceSelectOption;
typedef struct codeGen__TScodeGen_FormularConstantSelectOption* codeGen__TSPcodeGen_FormularConstantSelectOption;
typedef struct codeGen__TScodeGen_FormularConstantSelectOption_options* codeGen__TSPcodeGen_FormularConstantSelectOption_options;
typedef struct codeGen__TScodeGen_SelectOption* codeGen__TSPcodeGen_SelectOption;
typedef struct codeGen__TScodeGen_SelectOption_value* codeGen__TSPcodeGen_SelectOption_value;
typedef struct codeGen__TScodeGen_SelectOption_label* codeGen__TSPcodeGen_SelectOption_label;
typedef struct codeGen__TScodeGen_FormularDataSourceSelectOption_name* codeGen__TSPcodeGen_FormularDataSourceSelectOption_name;
typedef struct codeGen__TScodeGen_FormularDataSourceSelectOption_dataSource* codeGen__TSPcodeGen_FormularDataSourceSelectOption_dataSource;
typedef struct codeGen__TScodeGen_FormularDataSourceSelectOption_value* codeGen__TSPcodeGen_FormularDataSourceSelectOption_value;
typedef struct codeGen__TScodeGen_FormularDataSourceSelectOption_label* codeGen__TSPcodeGen_FormularDataSourceSelectOption_label;
typedef struct codeGen__TScodeGen_FormularRadioElement_value* codeGen__TSPcodeGen_FormularRadioElement_value;
typedef struct codeGen__TScodeGen_FormularRadioElement_label* codeGen__TSPcodeGen_FormularRadioElement_label;
typedef struct codeGen__TScodeGen_WebNodeActualParam_formalParam* codeGen__TSPcodeGen_WebNodeActualParam_formalParam;
typedef struct codeGen__TScodeGen_WebNodeActualParam_expressions* codeGen__TSPcodeGen_WebNodeActualParam_expressions;
typedef struct codeGen__TScodeGen_WebNodeFormalParam_name* codeGen__TSPcodeGen_WebNodeFormalParam_name;
typedef struct codeGen__TScodeGen_WebNodeFormalParam_type* codeGen__TSPcodeGen_WebNodeFormalParam_type;
typedef struct codeGen__TScodeGen_MD5Modifier* codeGen__TSPcodeGen_MD5Modifier;
typedef struct codeGen__TScodeGen_JoinModifier* codeGen__TSPcodeGen_JoinModifier;
typedef struct codeGen__TScodeGen_JoinModifier_separator* codeGen__TSPcodeGen_JoinModifier_separator;
typedef struct codeGen__TScodeGen_WebNodeConstantExpression_modifier* codeGen__TSPcodeGen_WebNodeConstantExpression_modifier;
typedef struct codeGen__TScodeGen_WebNodeConstantExpression_value* codeGen__TSPcodeGen_WebNodeConstantExpression_value;
typedef struct codeGen__TScodeGen_WebNodeVariableExpression_modifier* codeGen__TSPcodeGen_WebNodeVariableExpression_modifier;
typedef struct codeGen__TScodeGen_WebNodeVariableExpression_content* codeGen__TSPcodeGen_WebNodeVariableExpression_content;
typedef struct codeGen__TScodeGen_WebNodeSessionExpression_modifier* codeGen__TSPcodeGen_WebNodeSessionExpression_modifier;
typedef struct codeGen__TScodeGen_WebNodeSessionExpression_content* codeGen__TSPcodeGen_WebNodeSessionExpression_content;
typedef struct codeGen__TScodeGen_OutputFragment_link* codeGen__TSPcodeGen_OutputFragment_link;
typedef struct codeGen__TScodeGen_OutputFragment_content* codeGen__TSPcodeGen_OutputFragment_content;
typedef struct codeGen__TScodeGen_OutputMessagesElement_styleSheetBlock* codeGen__TSPcodeGen_OutputMessagesElement_styleSheetBlock;
typedef struct codeGen__TScodeGen_OutputMessagesElement_errorStyleSheetBlock* codeGen__TSPcodeGen_OutputMessagesElement_errorStyleSheetBlock;
typedef struct codeGen__TScodeGen_OutputMessagesElement_infoStyleSheetBlock* codeGen__TSPcodeGen_OutputMessagesElement_infoStyleSheetBlock;
typedef struct codeGen__TScodeGen_OutputMessagesElement_layout* codeGen__TSPcodeGen_OutputMessagesElement_layout;
typedef struct codeGen__TScodeGen_ListOutputActualParam* codeGen__TSPcodeGen_ListOutputActualParam;
typedef struct codeGen__TScodeGen_ListOutputActualParam_formalParam* codeGen__TSPcodeGen_ListOutputActualParam_formalParam;
typedef struct codeGen__TScodeGen_ListOutputActualParam_expression* codeGen__TSPcodeGen_ListOutputActualParam_expression;
typedef struct codeGen__TScodeGen_ListOutputElement_styleSheetBlock* codeGen__TSPcodeGen_ListOutputElement_styleSheetBlock;
typedef struct codeGen__TScodeGen_ListOutputElement_name* codeGen__TSPcodeGen_ListOutputElement_name;
typedef struct codeGen__TScodeGen_ListOutputElement_dataSourceActualParams* codeGen__TSPcodeGen_ListOutputElement_dataSourceActualParams;
typedef struct codeGen__TScodeGen_ListOutputElement_dataSource* codeGen__TSPcodeGen_ListOutputElement_dataSource;
typedef struct codeGen__TScodeGen_ListOutputElement_maxNumberOfElements* codeGen__TSPcodeGen_ListOutputElement_maxNumberOfElements;
typedef struct codeGen__TScodeGen_ListOutputElement_renderAs* codeGen__TSPcodeGen_ListOutputElement_renderAs;
typedef struct codeGen__TScodeGen_ListOutputElement_navigationElement* codeGen__TSPcodeGen_ListOutputElement_navigationElement;
typedef struct codeGen__TScodeGen_ListOutputElement_columns* codeGen__TSPcodeGen_ListOutputElement_columns;
typedef struct codeGen__TScodeGen_ListOutputElement_headerStyleClass* codeGen__TSPcodeGen_ListOutputElement_headerStyleClass;
typedef struct codeGen__TScodeGen_ListOutputElement_evenRowStyleClass* codeGen__TSPcodeGen_ListOutputElement_evenRowStyleClass;
typedef struct codeGen__TScodeGen_ListOutputElement_oddRowStyleClass* codeGen__TSPcodeGen_ListOutputElement_oddRowStyleClass;
typedef struct codeGen__TScodeGen_ListOutputColumn* codeGen__TSPcodeGen_ListOutputColumn;
typedef struct codeGen__TScodeGen_ListOutputColumn_header* codeGen__TSPcodeGen_ListOutputColumn_header;
typedef struct codeGen__TScodeGen_ListOutputColumn_content* codeGen__TSPcodeGen_ListOutputColumn_content;
typedef struct codeGen__TScodeGen_ListOutputActionConnectionsContent* codeGen__TSPcodeGen_ListOutputActionConnectionsContent;
typedef struct codeGen__TScodeGen_ListOutputNumerationContent* codeGen__TSPcodeGen_ListOutputNumerationContent;
typedef struct codeGen__TScodeGen_ListOutputProjectionContent* codeGen__TSPcodeGen_ListOutputProjectionContent;
typedef struct codeGen__TScodeGen_ListOutputRefContent* codeGen__TSPcodeGen_ListOutputRefContent;
typedef struct codeGen__TScodeGen_ListOutputConstantContent* codeGen__TSPcodeGen_ListOutputConstantContent;
typedef struct codeGen__TScodeGen_ListOutputConstantContent_value* codeGen__TSPcodeGen_ListOutputConstantContent_value;
typedef struct codeGen__TScodeGen_ListOutputRefContent_column* codeGen__TSPcodeGen_ListOutputRefContent_column;
typedef struct codeGen__TScodeGen_ListOutputProjectionContent_column* codeGen__TSPcodeGen_ListOutputProjectionContent_column;
typedef struct codeGen__TScodeGen_ListOutputNumerationContent_name* codeGen__TSPcodeGen_ListOutputNumerationContent_name;
typedef struct codeGen__TScodeGen_ListOutputActionConnectionsContent_actionConnections* codeGen__TSPcodeGen_ListOutputActionConnectionsContent_actionConnections;
typedef struct codeGen__TScodeGen_ActionConnection* codeGen__TSPcodeGen_ActionConnection;
typedef struct codeGen__TScodeGen_ActionConnection_action* codeGen__TSPcodeGen_ActionConnection_action;
typedef struct codeGen__TScodeGen_ActionConnection_imageName* codeGen__TSPcodeGen_ActionConnection_imageName;
typedef struct codeGen__TScodeGen_ActionConnection_text* codeGen__TSPcodeGen_ActionConnection_text;
typedef struct codeGen__TScodeGen_ActionConnection_actualParams* codeGen__TSPcodeGen_ActionConnection_actualParams;
typedef struct codeGen__TScodeGen_LinkTargetExtern_name* codeGen__TSPcodeGen_LinkTargetExtern_name;
typedef struct codeGen__TScodeGen_LinkTargetExtern_url* codeGen__TSPcodeGen_LinkTargetExtern_url;
typedef struct codeGen__TScodeGen_ImageMap_styleSheetBlock* codeGen__TSPcodeGen_ImageMap_styleSheetBlock;
typedef struct codeGen__TScodeGen_ImageMap_name* codeGen__TSPcodeGen_ImageMap_name;
typedef struct codeGen__TScodeGen_ImageMap_imageName* codeGen__TSPcodeGen_ImageMap_imageName;
typedef struct codeGen__TScodeGen_ImageMap_altText* codeGen__TSPcodeGen_ImageMap_altText;
typedef struct codeGen__TScodeGen_ImageMap_mapAreas* codeGen__TSPcodeGen_ImageMap_mapAreas;
typedef struct codeGen__TScodeGen_MapArea* codeGen__TSPcodeGen_MapArea;
typedef struct codeGen__TScodeGen_MapArea_altText* codeGen__TSPcodeGen_MapArea_altText;
typedef struct codeGen__TScodeGen_MapArea_coords* codeGen__TSPcodeGen_MapArea_coords;
typedef struct codeGen__TScodeGen_MapArea_link* codeGen__TSPcodeGen_MapArea_link;
typedef struct codeGen__TScodeGen_MapArea_queryString* codeGen__TSPcodeGen_MapArea_queryString;
typedef struct codeGen__TSLST_codeGen_Root_library* codeGen__TSPLST_codeGen_Root_library;
typedef struct codeGen__TSLST_codeGen_Library_navigationElement* codeGen__TSPLST_codeGen_Library_navigationElement;
typedef struct codeGen__TSLST_codeGen_WebApplication_frames* codeGen__TSPLST_codeGen_WebApplication_frames;
typedef struct codeGen__TSLST_codeGen_WebApplication_roles* codeGen__TSPLST_codeGen_WebApplication_roles;
typedef struct codeGen__TSLST_codeGen_WebApplication_linksExtern* codeGen__TSPLST_codeGen_WebApplication_linksExtern;
typedef struct codeGen__TSLST_codeGen_RootWebZone_webTargets* codeGen__TSPLST_codeGen_RootWebZone_webTargets;
typedef struct codeGen__TSLST_codeGen_RootWebZone_roles* codeGen__TSPLST_codeGen_RootWebZone_roles;
typedef struct codeGen__TSLST_codeGen_SubWebZone_webTargets* codeGen__TSPLST_codeGen_SubWebZone_webTargets;
typedef struct codeGen__TSLST_codeGen_SubWebZone_roles* codeGen__TSPLST_codeGen_SubWebZone_roles;
typedef struct codeGen__TSLST_codeGen_WebPage_formalParameter* codeGen__TSPLST_codeGen_WebPage_formalParameter;
typedef struct codeGen__TSLST_codeGen_Frame_components* codeGen__TSPLST_codeGen_Frame_components;
typedef struct codeGen__TSLST_codeGen_GlobalFrame_components* codeGen__TSPLST_codeGen_GlobalFrame_components;
typedef struct codeGen__TSLST_codeGen_NavigationBar_elements* codeGen__TSPLST_codeGen_NavigationBar_elements;
typedef struct codeGen__TSLST_codeGen_MetaInformation_elements* codeGen__TSPLST_codeGen_MetaInformation_elements;
typedef struct codeGen__TSLST_codeGen_DataBase_dataSources* codeGen__TSPLST_codeGen_DataBase_dataSources;
typedef struct codeGen__TSLST_codeGen_DataBase_dataSourceModifications* codeGen__TSPLST_codeGen_DataBase_dataSourceModifications;
typedef struct codeGen__TSLST_codeGen_DataSourceTable_columns* codeGen__TSPLST_codeGen_DataSourceTable_columns;
typedef struct codeGen__TSLST_codeGen_DataSourceProjection_formalParameters* codeGen__TSPLST_codeGen_DataSourceProjection_formalParameters;
typedef struct codeGen__TSLST_codeGen_DataSourceProjection_condition* codeGen__TSPLST_codeGen_DataSourceProjection_condition;
typedef struct codeGen__TSLST_codeGen_DataSourceProjection_projectionColumns* codeGen__TSPLST_codeGen_DataSourceProjection_projectionColumns;
typedef struct codeGen__TSLST_codeGen_LimitDataSource_formalParameters* codeGen__TSPLST_codeGen_LimitDataSource_formalParameters;
typedef struct codeGen__TSLST_codeGen_OrderedDataSource_orderColumns* codeGen__TSPLST_codeGen_OrderedDataSource_orderColumns;
typedef struct codeGen__TSLST_codeGen_DataSourceInsert_formalParams* codeGen__TSPLST_codeGen_DataSourceInsert_formalParams;
typedef struct codeGen__TSLST_codeGen_DataSourceInsert_values* codeGen__TSPLST_codeGen_DataSourceInsert_values;
typedef struct codeGen__TSLST_codeGen_DataSourceUpdate_formalParams* codeGen__TSPLST_codeGen_DataSourceUpdate_formalParams;
typedef struct codeGen__TSLST_codeGen_DataSourceUpdate_values* codeGen__TSPLST_codeGen_DataSourceUpdate_values;
typedef struct codeGen__TSLST_codeGen_DataSourceDelete_formalParams* codeGen__TSPLST_codeGen_DataSourceDelete_formalParams;
typedef struct codeGen__TSLST_codeGen_Paragraph_fragments* codeGen__TSPLST_codeGen_Paragraph_fragments;
typedef struct codeGen__TSLST_codeGen_Table_rows* codeGen__TSPLST_codeGen_Table_rows;
typedef struct codeGen__TSLST_codeGen_Table_columns* codeGen__TSPLST_codeGen_Table_columns;
typedef struct codeGen__TSLST_codeGen_TableRow_cells* codeGen__TSPLST_codeGen_TableRow_cells;
typedef struct codeGen__TSLST_codeGen_StyleSheet_custom* codeGen__TSPLST_codeGen_StyleSheet_custom;
typedef struct codeGen__TSLST_codeGen_StyleSheet_default* codeGen__TSPLST_codeGen_StyleSheet_default;
typedef struct codeGen__TSLST_codeGen_CustomStyleSheetBlock_pairs* codeGen__TSPLST_codeGen_CustomStyleSheetBlock_pairs;
typedef struct codeGen__TSLST_codeGen_HtmlStyleSheetBlock_pairs* codeGen__TSPLST_codeGen_HtmlStyleSheetBlock_pairs;
typedef struct codeGen__TSLST_codeGen_ActionHandler_params* codeGen__TSPLST_codeGen_ActionHandler_params;
typedef struct codeGen__TSLST_codeGen_WebAction_formalParameter* codeGen__TSPLST_codeGen_WebAction_formalParameter;
typedef struct codeGen__TSLST_codeGen_WebAction_operations* codeGen__TSPLST_codeGen_WebAction_operations;
typedef struct codeGen__TSLST_codeGen_DataBaseOperation_errorhandler* codeGen__TSPLST_codeGen_DataBaseOperation_errorhandler;
typedef struct codeGen__TSLST_codeGen_DataBaseOperation_params* codeGen__TSPLST_codeGen_DataBaseOperation_params;
typedef struct codeGen__TSLST_codeGen_JavaOperation_errorhandler* codeGen__TSPLST_codeGen_JavaOperation_errorhandler;
typedef struct codeGen__TSLST_codeGen_MailingOperation_errorhandler* codeGen__TSPLST_codeGen_MailingOperation_errorhandler;
typedef struct codeGen__TSLST_codeGen_LogoutOperation_errorhandler* codeGen__TSPLST_codeGen_LogoutOperation_errorhandler;
typedef struct codeGen__TSLST_codeGen_LoginOperation_errorhandler* codeGen__TSPLST_codeGen_LoginOperation_errorhandler;
typedef struct codeGen__TSLST_codeGen_Formular_elements* codeGen__TSPLST_codeGen_Formular_elements;
typedef struct codeGen__TSLST_codeGen_Formular_actualParams* codeGen__TSPLST_codeGen_Formular_actualParams;
typedef struct codeGen__TSLST_codeGen_FormularRadioGroupElement_validator* codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularRadioGroupElement_converter* codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularRadioGroupElement_elements* codeGen__TSPLST_codeGen_FormularRadioGroupElement_elements;
typedef struct codeGen__TSLST_codeGen_FormularTextElement_validator* codeGen__TSPLST_codeGen_FormularTextElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularTextElement_converter* codeGen__TSPLST_codeGen_FormularTextElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularTextAreaElement_validator* codeGen__TSPLST_codeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularTextAreaElement_converter* codeGen__TSPLST_codeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularPasswordElement_validator* codeGen__TSPLST_codeGen_FormularPasswordElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularPasswordElement_converter* codeGen__TSPLST_codeGen_FormularPasswordElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularDateElement_validator* codeGen__TSPLST_codeGen_FormularDateElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularDateElement_converter* codeGen__TSPLST_codeGen_FormularDateElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularFileUploadElement_validator* codeGen__TSPLST_codeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularFileUploadElement_converter* codeGen__TSPLST_codeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularCheckboxElement_validator* codeGen__TSPLST_codeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularCheckboxElement_converter* codeGen__TSPLST_codeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularSelectElement_validator* codeGen__TSPLST_codeGen_FormularSelectElement_validator;
typedef struct codeGen__TSLST_codeGen_FormularSelectElement_converter* codeGen__TSPLST_codeGen_FormularSelectElement_converter;
typedef struct codeGen__TSLST_codeGen_FormularConstantSelectOption_options* codeGen__TSPLST_codeGen_FormularConstantSelectOption_options;
typedef struct codeGen__TSLST_codeGen_WebNodeConstantExpression_modifier* codeGen__TSPLST_codeGen_WebNodeConstantExpression_modifier;
typedef struct codeGen__TSLST_codeGen_WebNodeVariableExpression_modifier* codeGen__TSPLST_codeGen_WebNodeVariableExpression_modifier;
typedef struct codeGen__TSLST_codeGen_WebNodeSessionExpression_modifier* codeGen__TSPLST_codeGen_WebNodeSessionExpression_modifier;
typedef struct codeGen__TSLST_codeGen_ListOutputElement_dataSourceActualParams* codeGen__TSPLST_codeGen_ListOutputElement_dataSourceActualParams;
typedef struct codeGen__TSLST_codeGen_ListOutputElement_columns* codeGen__TSPLST_codeGen_ListOutputElement_columns;
typedef struct codeGen__TSLST_codeGen_ListOutputActionConnectionsContent_actionConnections* codeGen__TSPLST_codeGen_ListOutputActionConnectionsContent_actionConnections;
typedef struct codeGen__TSLST_codeGen_ActionConnection_actualParams* codeGen__TSPLST_codeGen_ActionConnection_actualParams;
typedef struct codeGen__TSLST_codeGen_ImageMap_mapAreas* codeGen__TSPLST_codeGen_ImageMap_mapAreas;
typedef struct codeGen__TPpEmpty* codeGen__TPPpEmpty;
typedef struct codeGen__TPpVIEWROOT_codeGen* codeGen__TPPpVIEWROOT_codeGen;
typedef struct codeGen__TPpcodeGen_Root* codeGen__TPPpcodeGen_Root;
typedef struct codeGen__TPpcodeGen_Root_library* codeGen__TPPpcodeGen_Root_library;
typedef struct codeGen__TPpcodeGen_Library* codeGen__TPPpcodeGen_Library;
typedef struct codeGen__TPpcodeGen_Library_name* codeGen__TPPpcodeGen_Library_name;
typedef struct codeGen__TPpcodeGen_Library_navigationElement* codeGen__TPPpcodeGen_Library_navigationElement;
typedef struct codeGen__TPpcodeGen_NavigationElement* codeGen__TPPpcodeGen_NavigationElement;
typedef struct codeGen__TPpcodeGen_NavigationElement_code* codeGen__TPPpcodeGen_NavigationElement_code;
typedef struct codeGen__TPpcodeGen_NavigationElement_name* codeGen__TPPpcodeGen_NavigationElement_name;
typedef struct codeGen__TPpcodeGen_WebApplication* codeGen__TPPpcodeGen_WebApplication;
typedef struct codeGen__TPpcodeGen_WebApplication_name* codeGen__TPPpcodeGen_WebApplication_name;
typedef struct codeGen__TPpcodeGen_WebApplication_entrancePage* codeGen__TPPpcodeGen_WebApplication_entrancePage;
typedef struct codeGen__TPpcodeGen_WebApplication_frames* codeGen__TPPpcodeGen_WebApplication_frames;
typedef struct codeGen__TPpcodeGen_WebApplication_roles* codeGen__TPPpcodeGen_WebApplication_roles;
typedef struct codeGen__TPpcodeGen_WebApplication_linksExtern* codeGen__TPPpcodeGen_WebApplication_linksExtern;
typedef struct codeGen__TPpcodeGen_WebApplication_imagePath* codeGen__TPPpcodeGen_WebApplication_imagePath;
typedef struct codeGen__TPpcodeGen_WebApplication_packageName* codeGen__TPPpcodeGen_WebApplication_packageName;
typedef struct codeGen__TPpcodeGen_WebApplication_pageEncoding* codeGen__TPPpcodeGen_WebApplication_pageEncoding;
typedef struct codeGen__TPpcodeGen_WebApplication_header* codeGen__TPPpcodeGen_WebApplication_header;
typedef struct codeGen__TPpcodeGen_WebApplication_footer* codeGen__TPPpcodeGen_WebApplication_footer;
typedef struct codeGen__TPpcodeGen_WebApplication_mailHost* codeGen__TPPpcodeGen_WebApplication_mailHost;
typedef struct codeGen__TPpcodeGen_WebApplication_mailFromAddress* codeGen__TPPpcodeGen_WebApplication_mailFromAddress;
typedef struct codeGen__TPpcodeGen_WebApplication_catalinaHome* codeGen__TPPpcodeGen_WebApplication_catalinaHome;
typedef struct codeGen__TPpcodeGen_RootWebZone* codeGen__TPPpcodeGen_RootWebZone;
typedef struct codeGen__TPpcodeGen_RootWebZone_webTargets* codeGen__TPPpcodeGen_RootWebZone_webTargets;
typedef struct codeGen__TPpcodeGen_RootWebZone_errorLink* codeGen__TPPpcodeGen_RootWebZone_errorLink;
typedef struct codeGen__TPpcodeGen_RootWebZone_roles* codeGen__TPPpcodeGen_RootWebZone_roles;
typedef struct codeGen__TPpcodeGen_RootWebZone_setSize* codeGen__TPPpcodeGen_RootWebZone_setSize;
typedef struct codeGen__TPpcodeGen_SubWebZone* codeGen__TPPpcodeGen_SubWebZone;
typedef struct codeGen__TPpcodeGen_SubWebZone_name* codeGen__TPPpcodeGen_SubWebZone_name;
typedef struct codeGen__TPpcodeGen_SubWebZone_webTargets* codeGen__TPPpcodeGen_SubWebZone_webTargets;
typedef struct codeGen__TPpcodeGen_SubWebZone_errorLink* codeGen__TPPpcodeGen_SubWebZone_errorLink;
typedef struct codeGen__TPpcodeGen_SubWebZone_roles* codeGen__TPPpcodeGen_SubWebZone_roles;
typedef struct codeGen__TPpcodeGen_SubWebZone_setSize* codeGen__TPPpcodeGen_SubWebZone_setSize;
typedef struct codeGen__TPpcodeGen_SubWebZone_position* codeGen__TPPpcodeGen_SubWebZone_position;
typedef struct codeGen__TPpcodeGen_WebRole* codeGen__TPPpcodeGen_WebRole;
typedef struct codeGen__TPpcodeGen_WebRole_name* codeGen__TPPpcodeGen_WebRole_name;
typedef struct codeGen__TPpcodeGen_WebRole_color* codeGen__TPPpcodeGen_WebRole_color;
typedef struct codeGen__TPpcodeGen_WebRoleRef* codeGen__TPPpcodeGen_WebRoleRef;
typedef struct codeGen__TPpcodeGen_WebRoleRef_role* codeGen__TPPpcodeGen_WebRoleRef_role;
typedef struct codeGen__TPpcodeGen_WebPage* codeGen__TPPpcodeGen_WebPage;
typedef struct codeGen__TPpcodeGen_WebPage_name* codeGen__TPPpcodeGen_WebPage_name;
typedef struct codeGen__TPpcodeGen_WebPage_formalParameter* codeGen__TPPpcodeGen_WebPage_formalParameter;
typedef struct codeGen__TPpcodeGen_WebPage_title* codeGen__TPPpcodeGen_WebPage_title;
typedef struct codeGen__TPpcodeGen_WebPage_styleSheetBlock* codeGen__TPPpcodeGen_WebPage_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_WebPage_position* codeGen__TPPpcodeGen_WebPage_position;
typedef struct codeGen__TPpcodeGen_Frame* codeGen__TPPpcodeGen_Frame;
typedef struct codeGen__TPpcodeGen_Frame_components* codeGen__TPPpcodeGen_Frame_components;
typedef struct codeGen__TPpcodeGen_GlobalFrame* codeGen__TPPpcodeGen_GlobalFrame;
typedef struct codeGen__TPpcodeGen_GlobalFrame_name* codeGen__TPPpcodeGen_GlobalFrame_name;
typedef struct codeGen__TPpcodeGen_GlobalFrame_components* codeGen__TPPpcodeGen_GlobalFrame_components;
typedef struct codeGen__TPpcodeGen_GlobalFrame_setSize* codeGen__TPPpcodeGen_GlobalFrame_setSize;
typedef struct codeGen__TPpcodeGen_NavigationBar* codeGen__TPPpcodeGen_NavigationBar;
typedef struct codeGen__TPpcodeGen_NavigationBar_styleSheetBlock* codeGen__TPPpcodeGen_NavigationBar_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_NavigationBar_elements* codeGen__TPPpcodeGen_NavigationBar_elements;
typedef struct codeGen__TPpcodeGen_NavigationBar_alignment* codeGen__TPPpcodeGen_NavigationBar_alignment;
typedef struct codeGen__TPpcodeGen_NavigationBarElement* codeGen__TPPpcodeGen_NavigationBarElement;
typedef struct codeGen__TPpcodeGen_NavigationBarElement_imageName* codeGen__TPPpcodeGen_NavigationBarElement_imageName;
typedef struct codeGen__TPpcodeGen_NavigationBarElement_target* codeGen__TPPpcodeGen_NavigationBarElement_target;
typedef struct codeGen__TPpcodeGen_FrameRef* codeGen__TPPpcodeGen_FrameRef;
typedef struct codeGen__TPpcodeGen_FrameRef_styleSheetBlock* codeGen__TPPpcodeGen_FrameRef_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_FrameRef_frame* codeGen__TPPpcodeGen_FrameRef_frame;
typedef struct codeGen__TPpcodeGen_MetaInformation* codeGen__TPPpcodeGen_MetaInformation;
typedef struct codeGen__TPpcodeGen_MetaInformation_name* codeGen__TPPpcodeGen_MetaInformation_name;
typedef struct codeGen__TPpcodeGen_MetaInformation_elements* codeGen__TPPpcodeGen_MetaInformation_elements;
typedef struct codeGen__TPpcodeGen_MetaInformationElement* codeGen__TPPpcodeGen_MetaInformationElement;
typedef struct codeGen__TPpcodeGen_MetaInformationElement_property* codeGen__TPPpcodeGen_MetaInformationElement_property;
typedef struct codeGen__TPpcodeGen_MetaInformationElement_value* codeGen__TPPpcodeGen_MetaInformationElement_value;
typedef struct codeGen__TPpcodeGen_DataBase* codeGen__TPPpcodeGen_DataBase;
typedef struct codeGen__TPpcodeGen_DataBase_name* codeGen__TPPpcodeGen_DataBase_name;
typedef struct codeGen__TPpcodeGen_DataBase_userName* codeGen__TPPpcodeGen_DataBase_userName;
typedef struct codeGen__TPpcodeGen_DataBase_userPassword* codeGen__TPPpcodeGen_DataBase_userPassword;
typedef struct codeGen__TPpcodeGen_DataBase_hostName* codeGen__TPPpcodeGen_DataBase_hostName;
typedef struct codeGen__TPpcodeGen_DataBase_port* codeGen__TPPpcodeGen_DataBase_port;
typedef struct codeGen__TPpcodeGen_DataBase_dataBaseType* codeGen__TPPpcodeGen_DataBase_dataBaseType;
typedef struct codeGen__TPpcodeGen_DataBase_prefix* codeGen__TPPpcodeGen_DataBase_prefix;
typedef struct codeGen__TPpcodeGen_DataBase_dataSources* codeGen__TPPpcodeGen_DataBase_dataSources;
typedef struct codeGen__TPpcodeGen_DataBase_dataSourceModifications* codeGen__TPPpcodeGen_DataBase_dataSourceModifications;
typedef struct codeGen__TPpcodeGen_DataBase_setSize* codeGen__TPPpcodeGen_DataBase_setSize;
typedef struct codeGen__TPpcodeGen_DataBase_modifySetSize* codeGen__TPPpcodeGen_DataBase_modifySetSize;
typedef struct codeGen__TPpcodeGen_DBColumn* codeGen__TPPpcodeGen_DBColumn;
typedef struct codeGen__TPpcodeGen_DBColumn_name* codeGen__TPPpcodeGen_DBColumn_name;
typedef struct codeGen__TPpcodeGen_DBColumn_notNull* codeGen__TPPpcodeGen_DBColumn_notNull;
typedef struct codeGen__TPpcodeGen_DBColumn_primaryKey* codeGen__TPPpcodeGen_DBColumn_primaryKey;
typedef struct codeGen__TPpcodeGen_DBHasOne* codeGen__TPPpcodeGen_DBHasOne;
typedef struct codeGen__TPpcodeGen_DBHasOne_dataSourceTable* codeGen__TPPpcodeGen_DBHasOne_dataSourceTable;
typedef struct codeGen__TPpcodeGen_DBHasMany* codeGen__TPPpcodeGen_DBHasMany;
typedef struct codeGen__TPpcodeGen_DBHasMany_dataSourceTable* codeGen__TPPpcodeGen_DBHasMany_dataSourceTable;
typedef struct codeGen__TPpcodeGen_DBString* codeGen__TPPpcodeGen_DBString;
typedef struct codeGen__TPpcodeGen_DBText* codeGen__TPPpcodeGen_DBText;
typedef struct codeGen__TPpcodeGen_DBInteger* codeGen__TPPpcodeGen_DBInteger;
typedef struct codeGen__TPpcodeGen_DBLong* codeGen__TPPpcodeGen_DBLong;
typedef struct codeGen__TPpcodeGen_DBFloat* codeGen__TPPpcodeGen_DBFloat;
typedef struct codeGen__TPpcodeGen_DBDouble* codeGen__TPPpcodeGen_DBDouble;
typedef struct codeGen__TPpcodeGen_DBBigInt* codeGen__TPPpcodeGen_DBBigInt;
typedef struct codeGen__TPpcodeGen_DBDate* codeGen__TPPpcodeGen_DBDate;
typedef struct codeGen__TPpcodeGen_DBTimeStamp* codeGen__TPPpcodeGen_DBTimeStamp;
typedef struct codeGen__TPpcodeGen_DBBoolean* codeGen__TPPpcodeGen_DBBoolean;
typedef struct codeGen__TPpcodeGen_DBBlob* codeGen__TPPpcodeGen_DBBlob;
typedef struct codeGen__TPpcodeGen_DBBlob_contentType* codeGen__TPPpcodeGen_DBBlob_contentType;
typedef struct codeGen__TPpcodeGen_DataSourceTable* codeGen__TPPpcodeGen_DataSourceTable;
typedef struct codeGen__TPpcodeGen_DataSourceTable_name* codeGen__TPPpcodeGen_DataSourceTable_name;
typedef struct codeGen__TPpcodeGen_DataSourceTable_position* codeGen__TPPpcodeGen_DataSourceTable_position;
typedef struct codeGen__TPpcodeGen_DataSourceTable_columns* codeGen__TPPpcodeGen_DataSourceTable_columns;
typedef struct codeGen__TPpcodeGen_DataSourceProjection* codeGen__TPPpcodeGen_DataSourceProjection;
typedef struct codeGen__TPpcodeGen_DataSourceProjection_name* codeGen__TPPpcodeGen_DataSourceProjection_name;
typedef struct codeGen__TPpcodeGen_DataSourceProjection_position* codeGen__TPPpcodeGen_DataSourceProjection_position;
typedef struct codeGen__TPpcodeGen_DataSourceProjection_formalParameters* codeGen__TPPpcodeGen_DataSourceProjection_formalParameters;
typedef struct codeGen__TPpcodeGen_DataSourceProjection_sourceDataSource* codeGen__TPPpcodeGen_DataSourceProjection_sourceDataSource;
typedef struct codeGen__TPpcodeGen_DataSourceProjection_condition* codeGen__TPPpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPpcodeGen_DataSourceProjection_projectionColumns* codeGen__TPPpcodeGen_DataSourceProjection_projectionColumns;
typedef struct codeGen__TPpcodeGen_ColumnProjection* codeGen__TPPpcodeGen_ColumnProjection;
typedef struct codeGen__TPpcodeGen_ColumnProjection_name* codeGen__TPPpcodeGen_ColumnProjection_name;
typedef struct codeGen__TPpcodeGen_ColumnProjection_column* codeGen__TPPpcodeGen_ColumnProjection_column;
typedef struct codeGen__TPpcodeGen_ComputationProjection* codeGen__TPPpcodeGen_ComputationProjection;
typedef struct codeGen__TPpcodeGen_ComputationProjection_name* codeGen__TPPpcodeGen_ComputationProjection_name;
typedef struct codeGen__TPpcodeGen_ComputationProjection_column* codeGen__TPPpcodeGen_ComputationProjection_column;
typedef struct codeGen__TPpcodeGen_ComputationProjection_computation* codeGen__TPPpcodeGen_ComputationProjection_computation;
typedef struct codeGen__TPpcodeGen_LimitDataSource* codeGen__TPPpcodeGen_LimitDataSource;
typedef struct codeGen__TPpcodeGen_LimitDataSource_name* codeGen__TPPpcodeGen_LimitDataSource_name;
typedef struct codeGen__TPpcodeGen_LimitDataSource_position* codeGen__TPPpcodeGen_LimitDataSource_position;
typedef struct codeGen__TPpcodeGen_LimitDataSource_formalParameters* codeGen__TPPpcodeGen_LimitDataSource_formalParameters;
typedef struct codeGen__TPpcodeGen_LimitDataSource_sourceDataSource* codeGen__TPPpcodeGen_LimitDataSource_sourceDataSource;
typedef struct codeGen__TPpcodeGen_OrderedDataSource* codeGen__TPPpcodeGen_OrderedDataSource;
typedef struct codeGen__TPpcodeGen_OrderedDataSource_name* codeGen__TPPpcodeGen_OrderedDataSource_name;
typedef struct codeGen__TPpcodeGen_OrderedDataSource_position* codeGen__TPPpcodeGen_OrderedDataSource_position;
typedef struct codeGen__TPpcodeGen_OrderedDataSource_sourceDataSource* codeGen__TPPpcodeGen_OrderedDataSource_sourceDataSource;
typedef struct codeGen__TPpcodeGen_OrderedDataSource_orderColumns* codeGen__TPPpcodeGen_OrderedDataSource_orderColumns;
typedef struct codeGen__TPpcodeGen_OrderColumn* codeGen__TPPpcodeGen_OrderColumn;
typedef struct codeGen__TPpcodeGen_OrderColumn_orderColumn* codeGen__TPPpcodeGen_OrderColumn_orderColumn;
typedef struct codeGen__TPpcodeGen_OrderColumn_order* codeGen__TPPpcodeGen_OrderColumn_order;
typedef struct codeGen__TPpcodeGen_BinaryExpression* codeGen__TPPpcodeGen_BinaryExpression;
typedef struct codeGen__TPpcodeGen_BinaryExpression_operator* codeGen__TPPpcodeGen_BinaryExpression_operator;
typedef struct codeGen__TPpcodeGen_UnaryExpression* codeGen__TPPpcodeGen_UnaryExpression;
typedef struct codeGen__TPpcodeGen_UnaryExpression_operator* codeGen__TPPpcodeGen_UnaryExpression_operator;
typedef struct codeGen__TPpcodeGen_PredefinedExpression* codeGen__TPPpcodeGen_PredefinedExpression;
typedef struct codeGen__TPpcodeGen_PredefinedExpression_value* codeGen__TPPpcodeGen_PredefinedExpression_value;
typedef struct codeGen__TPpcodeGen_ConstantExpression* codeGen__TPPpcodeGen_ConstantExpression;
typedef struct codeGen__TPpcodeGen_ConstantExpression_value* codeGen__TPPpcodeGen_ConstantExpression_value;
typedef struct codeGen__TPpcodeGen_ColumnValueExpression* codeGen__TPPpcodeGen_ColumnValueExpression;
typedef struct codeGen__TPpcodeGen_ColumnValueExpression_column* codeGen__TPPpcodeGen_ColumnValueExpression_column;
typedef struct codeGen__TPpcodeGen_ProjectionColumnValueExpression* codeGen__TPPpcodeGen_ProjectionColumnValueExpression;
typedef struct codeGen__TPpcodeGen_ProjectionColumnValueExpression_column* codeGen__TPPpcodeGen_ProjectionColumnValueExpression_column;
typedef struct codeGen__TPpcodeGen_ParameterValueExpression* codeGen__TPPpcodeGen_ParameterValueExpression;
typedef struct codeGen__TPpcodeGen_ParameterValueExpression_parameter* codeGen__TPPpcodeGen_ParameterValueExpression_parameter;
typedef struct codeGen__TPpcodeGen_ComputationExpression* codeGen__TPPpcodeGen_ComputationExpression;
typedef struct codeGen__TPpcodeGen_ComputationExpression_column* codeGen__TPPpcodeGen_ComputationExpression_column;
typedef struct codeGen__TPpcodeGen_ComputationExpression_computation* codeGen__TPPpcodeGen_ComputationExpression_computation;
typedef struct codeGen__TPpcodeGen_DataSourceValue* codeGen__TPPpcodeGen_DataSourceValue;
typedef struct codeGen__TPpcodeGen_DataSourceValue_column* codeGen__TPPpcodeGen_DataSourceValue_column;
typedef struct codeGen__TPpcodeGen_DataSourceJoin* codeGen__TPPpcodeGen_DataSourceJoin;
typedef struct codeGen__TPpcodeGen_DataSourceJoin_name* codeGen__TPPpcodeGen_DataSourceJoin_name;
typedef struct codeGen__TPpcodeGen_DataSourceJoin_position* codeGen__TPPpcodeGen_DataSourceJoin_position;
typedef struct codeGen__TPpcodeGen_DataSourceJoin_dataSource1* codeGen__TPPpcodeGen_DataSourceJoin_dataSource1;
typedef struct codeGen__TPpcodeGen_DataSourceJoin_dataSource2* codeGen__TPPpcodeGen_DataSourceJoin_dataSource2;
typedef struct codeGen__TPpcodeGen_DataSourceJoin_columnRef1* codeGen__TPPpcodeGen_DataSourceJoin_columnRef1;
typedef struct codeGen__TPpcodeGen_DataSourceJoin_columnRef2* codeGen__TPPpcodeGen_DataSourceJoin_columnRef2;
typedef struct codeGen__TPpcodeGen_DataSourceJoin_joinOperator* codeGen__TPPpcodeGen_DataSourceJoin_joinOperator;
typedef struct codeGen__TPpcodeGen_DataSourceInsert* codeGen__TPPpcodeGen_DataSourceInsert;
typedef struct codeGen__TPpcodeGen_DataSourceInsert_targetDataSource* codeGen__TPPpcodeGen_DataSourceInsert_targetDataSource;
typedef struct codeGen__TPpcodeGen_DataSourceInsert_formalParams* codeGen__TPPpcodeGen_DataSourceInsert_formalParams;
typedef struct codeGen__TPpcodeGen_DataSourceInsert_name* codeGen__TPPpcodeGen_DataSourceInsert_name;
typedef struct codeGen__TPpcodeGen_DataSourceInsert_position* codeGen__TPPpcodeGen_DataSourceInsert_position;
typedef struct codeGen__TPpcodeGen_DataSourceInsert_values* codeGen__TPPpcodeGen_DataSourceInsert_values;
typedef struct codeGen__TPpcodeGen_DataSourceUpdate* codeGen__TPPpcodeGen_DataSourceUpdate;
typedef struct codeGen__TPpcodeGen_DataSourceUpdate_targetDataSource* codeGen__TPPpcodeGen_DataSourceUpdate_targetDataSource;
typedef struct codeGen__TPpcodeGen_DataSourceUpdate_formalParams* codeGen__TPPpcodeGen_DataSourceUpdate_formalParams;
typedef struct codeGen__TPpcodeGen_DataSourceUpdate_name* codeGen__TPPpcodeGen_DataSourceUpdate_name;
typedef struct codeGen__TPpcodeGen_DataSourceUpdate_position* codeGen__TPPpcodeGen_DataSourceUpdate_position;
typedef struct codeGen__TPpcodeGen_DataSourceUpdate_values* codeGen__TPPpcodeGen_DataSourceUpdate_values;
typedef struct codeGen__TPpcodeGen_DataSourceDelete* codeGen__TPPpcodeGen_DataSourceDelete;
typedef struct codeGen__TPpcodeGen_DataSourceDelete_targetDataSource* codeGen__TPPpcodeGen_DataSourceDelete_targetDataSource;
typedef struct codeGen__TPpcodeGen_DataSourceDelete_formalParams* codeGen__TPPpcodeGen_DataSourceDelete_formalParams;
typedef struct codeGen__TPpcodeGen_DataSourceDelete_name* codeGen__TPPpcodeGen_DataSourceDelete_name;
typedef struct codeGen__TPpcodeGen_DataSourceDelete_position* codeGen__TPPpcodeGen_DataSourceDelete_position;
typedef struct codeGen__TPpcodeGen_DataSourceActualParam* codeGen__TPPpcodeGen_DataSourceActualParam;
typedef struct codeGen__TPpcodeGen_DataSourceActualParam_formalParam* codeGen__TPPpcodeGen_DataSourceActualParam_formalParam;
typedef struct codeGen__TPpcodeGen_DataSourceFormalParam* codeGen__TPPpcodeGen_DataSourceFormalParam;
typedef struct codeGen__TPpcodeGen_DataSourceFormalParam_name* codeGen__TPPpcodeGen_DataSourceFormalParam_name;
typedef struct codeGen__TPpcodeGen_Paragraph* codeGen__TPPpcodeGen_Paragraph;
typedef struct codeGen__TPpcodeGen_Paragraph_styleSheetBlock* codeGen__TPPpcodeGen_Paragraph_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_Paragraph_fragments* codeGen__TPPpcodeGen_Paragraph_fragments;
typedef struct codeGen__TPpcodeGen_TextFragment* codeGen__TPPpcodeGen_TextFragment;
typedef struct codeGen__TPpcodeGen_TextFragment_link* codeGen__TPPpcodeGen_TextFragment_link;
typedef struct codeGen__TPpcodeGen_TextFragment_value* codeGen__TPPpcodeGen_TextFragment_value;
typedef struct codeGen__TPpcodeGen_TextFragment_fontstyle* codeGen__TPPpcodeGen_TextFragment_fontstyle;
typedef struct codeGen__TPpcodeGen_ImageFragment* codeGen__TPPpcodeGen_ImageFragment;
typedef struct codeGen__TPpcodeGen_ImageFragment_link* codeGen__TPPpcodeGen_ImageFragment_link;
typedef struct codeGen__TPpcodeGen_ImageFragment_width* codeGen__TPPpcodeGen_ImageFragment_width;
typedef struct codeGen__TPpcodeGen_ImageFragment_height* codeGen__TPPpcodeGen_ImageFragment_height;
typedef struct codeGen__TPpcodeGen_ImageFragment_border* codeGen__TPPpcodeGen_ImageFragment_border;
typedef struct codeGen__TPpcodeGen_ImageFragment_verticalAlign* codeGen__TPPpcodeGen_ImageFragment_verticalAlign;
typedef struct codeGen__TPpcodeGen_ImageFragment_float* codeGen__TPPpcodeGen_ImageFragment_float;
typedef struct codeGen__TPpcodeGen_ImageFragment_text* codeGen__TPPpcodeGen_ImageFragment_text;
typedef struct codeGen__TPpcodeGen_ImageFragment_imageName* codeGen__TPPpcodeGen_ImageFragment_imageName;
typedef struct codeGen__TPpcodeGen_Heading* codeGen__TPPpcodeGen_Heading;
typedef struct codeGen__TPpcodeGen_Heading_styleSheetBlock* codeGen__TPPpcodeGen_Heading_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_Heading_text* codeGen__TPPpcodeGen_Heading_text;
typedef struct codeGen__TPpcodeGen_Heading_level* codeGen__TPPpcodeGen_Heading_level;
typedef struct codeGen__TPpcodeGen_Table* codeGen__TPPpcodeGen_Table;
typedef struct codeGen__TPpcodeGen_Table_styleSheetBlock* codeGen__TPPpcodeGen_Table_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_Table_rows* codeGen__TPPpcodeGen_Table_rows;
typedef struct codeGen__TPpcodeGen_Table_columns* codeGen__TPPpcodeGen_Table_columns;
typedef struct codeGen__TPpcodeGen_TableRow* codeGen__TPPpcodeGen_TableRow;
typedef struct codeGen__TPpcodeGen_TableRow_cells* codeGen__TPPpcodeGen_TableRow_cells;
typedef struct codeGen__TPpcodeGen_TableColumn* codeGen__TPPpcodeGen_TableColumn;
typedef struct codeGen__TPpcodeGen_TableCell* codeGen__TPPpcodeGen_TableCell;
typedef struct codeGen__TPpcodeGen_TableCell_columnRef* codeGen__TPPpcodeGen_TableCell_columnRef;
typedef struct codeGen__TPpcodeGen_StyleSheet* codeGen__TPPpcodeGen_StyleSheet;
typedef struct codeGen__TPpcodeGen_StyleSheet_name* codeGen__TPPpcodeGen_StyleSheet_name;
typedef struct codeGen__TPpcodeGen_StyleSheet_custom* codeGen__TPPpcodeGen_StyleSheet_custom;
typedef struct codeGen__TPpcodeGen_StyleSheet_default* codeGen__TPPpcodeGen_StyleSheet_default;
typedef struct codeGen__TPpcodeGen_CustomStyleSheetBlock* codeGen__TPPpcodeGen_CustomStyleSheetBlock;
typedef struct codeGen__TPpcodeGen_CustomStyleSheetBlock_pairs* codeGen__TPPpcodeGen_CustomStyleSheetBlock_pairs;
typedef struct codeGen__TPpcodeGen_CustomStyleSheetBlock_name* codeGen__TPPpcodeGen_CustomStyleSheetBlock_name;
typedef struct codeGen__TPpcodeGen_StyleSheetPair* codeGen__TPPpcodeGen_StyleSheetPair;
typedef struct codeGen__TPpcodeGen_StyleSheetPair_category* codeGen__TPPpcodeGen_StyleSheetPair_category;
typedef struct codeGen__TPpcodeGen_StyleSheetPair_attribute* codeGen__TPPpcodeGen_StyleSheetPair_attribute;
typedef struct codeGen__TPpcodeGen_StyleSheetPair_valueCategory* codeGen__TPPpcodeGen_StyleSheetPair_valueCategory;
typedef struct codeGen__TPpcodeGen_SizeValue* codeGen__TPPpcodeGen_SizeValue;
typedef struct codeGen__TPpcodeGen_SizeValue_measure* codeGen__TPPpcodeGen_SizeValue_measure;
typedef struct codeGen__TPpcodeGen_SizeValue_value* codeGen__TPPpcodeGen_SizeValue_value;
typedef struct codeGen__TPpcodeGen_ColorValue* codeGen__TPPpcodeGen_ColorValue;
typedef struct codeGen__TPpcodeGen_ColorValue_color* codeGen__TPPpcodeGen_ColorValue_color;
typedef struct codeGen__TPpcodeGen_FamilyValue* codeGen__TPPpcodeGen_FamilyValue;
typedef struct codeGen__TPpcodeGen_FamilyValue_family* codeGen__TPPpcodeGen_FamilyValue_family;
typedef struct codeGen__TPpcodeGen_StyleValue* codeGen__TPPpcodeGen_StyleValue;
typedef struct codeGen__TPpcodeGen_StyleValue_style* codeGen__TPPpcodeGen_StyleValue_style;
typedef struct codeGen__TPpcodeGen_HeadingValue* codeGen__TPPpcodeGen_HeadingValue;
typedef struct codeGen__TPpcodeGen_HeadingValue_heading* codeGen__TPPpcodeGen_HeadingValue_heading;
typedef struct codeGen__TPpcodeGen_AlignmentValue* codeGen__TPPpcodeGen_AlignmentValue;
typedef struct codeGen__TPpcodeGen_AlignmentValue_alignment* codeGen__TPPpcodeGen_AlignmentValue_alignment;
typedef struct codeGen__TPpcodeGen_ListValue* codeGen__TPPpcodeGen_ListValue;
typedef struct codeGen__TPpcodeGen_ListValue_listed* codeGen__TPPpcodeGen_ListValue_listed;
typedef struct codeGen__TPpcodeGen_CustomValue* codeGen__TPPpcodeGen_CustomValue;
typedef struct codeGen__TPpcodeGen_CustomValue_value* codeGen__TPPpcodeGen_CustomValue_value;
typedef struct codeGen__TPpcodeGen_HtmlStyleSheetBlock* codeGen__TPPpcodeGen_HtmlStyleSheetBlock;
typedef struct codeGen__TPpcodeGen_HtmlStyleSheetBlock_pairs* codeGen__TPPpcodeGen_HtmlStyleSheetBlock_pairs;
typedef struct codeGen__TPpcodeGen_HtmlStyleSheetBlock_name* codeGen__TPPpcodeGen_HtmlStyleSheetBlock_name;
typedef struct codeGen__TPpcodeGen_ActionHandler* codeGen__TPPpcodeGen_ActionHandler;
typedef struct codeGen__TPpcodeGen_ActionHandler_targetpage* codeGen__TPPpcodeGen_ActionHandler_targetpage;
typedef struct codeGen__TPpcodeGen_ActionHandler_params* codeGen__TPPpcodeGen_ActionHandler_params;
typedef struct codeGen__TPpcodeGen_WebAction* codeGen__TPPpcodeGen_WebAction;
typedef struct codeGen__TPpcodeGen_WebAction_name* codeGen__TPPpcodeGen_WebAction_name;
typedef struct codeGen__TPpcodeGen_WebAction_formalParameter* codeGen__TPPpcodeGen_WebAction_formalParameter;
typedef struct codeGen__TPpcodeGen_WebAction_operations* codeGen__TPPpcodeGen_WebAction_operations;
typedef struct codeGen__TPpcodeGen_WebAction_position* codeGen__TPPpcodeGen_WebAction_position;
typedef struct codeGen__TPpcodeGen_DataBaseOperation* codeGen__TPPpcodeGen_DataBaseOperation;
typedef struct codeGen__TPpcodeGen_DataBaseOperation_errorhandler* codeGen__TPPpcodeGen_DataBaseOperation_errorhandler;
typedef struct codeGen__TPpcodeGen_DataBaseOperation_successMessage* codeGen__TPPpcodeGen_DataBaseOperation_successMessage;
typedef struct codeGen__TPpcodeGen_DataBaseOperation_errorMessage* codeGen__TPPpcodeGen_DataBaseOperation_errorMessage;
typedef struct codeGen__TPpcodeGen_DataBaseOperation_filter* codeGen__TPPpcodeGen_DataBaseOperation_filter;
typedef struct codeGen__TPpcodeGen_DataBaseOperation_params* codeGen__TPPpcodeGen_DataBaseOperation_params;
typedef struct codeGen__TPpcodeGen_JavaOperation* codeGen__TPPpcodeGen_JavaOperation;
typedef struct codeGen__TPpcodeGen_JavaOperation_errorhandler* codeGen__TPPpcodeGen_JavaOperation_errorhandler;
typedef struct codeGen__TPpcodeGen_JavaOperation_successMessage* codeGen__TPPpcodeGen_JavaOperation_successMessage;
typedef struct codeGen__TPpcodeGen_JavaOperation_errorMessage* codeGen__TPPpcodeGen_JavaOperation_errorMessage;
typedef struct codeGen__TPpcodeGen_JavaOperation_content* codeGen__TPPpcodeGen_JavaOperation_content;
typedef struct codeGen__TPpcodeGen_MailingOperation* codeGen__TPPpcodeGen_MailingOperation;
typedef struct codeGen__TPpcodeGen_MailingOperation_errorhandler* codeGen__TPPpcodeGen_MailingOperation_errorhandler;
typedef struct codeGen__TPpcodeGen_MailingOperation_successMessage* codeGen__TPPpcodeGen_MailingOperation_successMessage;
typedef struct codeGen__TPpcodeGen_MailingOperation_errorMessage* codeGen__TPPpcodeGen_MailingOperation_errorMessage;
typedef struct codeGen__TPpcodeGen_MailingOperation_name* codeGen__TPPpcodeGen_MailingOperation_name;
typedef struct codeGen__TPpcodeGen_MailingOperation_mailTo* codeGen__TPPpcodeGen_MailingOperation_mailTo;
typedef struct codeGen__TPpcodeGen_MailingOperation_subject* codeGen__TPPpcodeGen_MailingOperation_subject;
typedef struct codeGen__TPpcodeGen_MailingOperation_content* codeGen__TPPpcodeGen_MailingOperation_content;
typedef struct codeGen__TPpcodeGen_LogoutOperation* codeGen__TPPpcodeGen_LogoutOperation;
typedef struct codeGen__TPpcodeGen_LogoutOperation_errorhandler* codeGen__TPPpcodeGen_LogoutOperation_errorhandler;
typedef struct codeGen__TPpcodeGen_LogoutOperation_successMessage* codeGen__TPPpcodeGen_LogoutOperation_successMessage;
typedef struct codeGen__TPpcodeGen_LogoutOperation_errorMessage* codeGen__TPPpcodeGen_LogoutOperation_errorMessage;
typedef struct codeGen__TPpcodeGen_LogoutOperation_name* codeGen__TPPpcodeGen_LogoutOperation_name;
typedef struct codeGen__TPpcodeGen_LoginOperation* codeGen__TPPpcodeGen_LoginOperation;
typedef struct codeGen__TPpcodeGen_LoginOperation_errorhandler* codeGen__TPPpcodeGen_LoginOperation_errorhandler;
typedef struct codeGen__TPpcodeGen_LoginOperation_successMessage* codeGen__TPPpcodeGen_LoginOperation_successMessage;
typedef struct codeGen__TPpcodeGen_LoginOperation_errorMessage* codeGen__TPPpcodeGen_LoginOperation_errorMessage;
typedef struct codeGen__TPpcodeGen_LoginOperation_name* codeGen__TPPpcodeGen_LoginOperation_name;
typedef struct codeGen__TPpcodeGen_LoginOperation_userDBColumn* codeGen__TPPpcodeGen_LoginOperation_userDBColumn;
typedef struct codeGen__TPpcodeGen_LoginOperation_passwdDBColumn* codeGen__TPPpcodeGen_LoginOperation_passwdDBColumn;
typedef struct codeGen__TPpcodeGen_LoginOperation_rolesDBColumn* codeGen__TPPpcodeGen_LoginOperation_rolesDBColumn;
typedef struct codeGen__TPpcodeGen_LoginOperation_userFormField* codeGen__TPPpcodeGen_LoginOperation_userFormField;
typedef struct codeGen__TPpcodeGen_LoginOperation_passwdFormField* codeGen__TPPpcodeGen_LoginOperation_passwdFormField;
typedef struct codeGen__TPpcodeGen_Formular* codeGen__TPPpcodeGen_Formular;
typedef struct codeGen__TPpcodeGen_Formular_styleSheetBlock* codeGen__TPPpcodeGen_Formular_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_Formular_name* codeGen__TPPpcodeGen_Formular_name;
typedef struct codeGen__TPpcodeGen_Formular_action* codeGen__TPPpcodeGen_Formular_action;
typedef struct codeGen__TPpcodeGen_Formular_dataSource* codeGen__TPPpcodeGen_Formular_dataSource;
typedef struct codeGen__TPpcodeGen_Formular_dataSourceId* codeGen__TPPpcodeGen_Formular_dataSourceId;
typedef struct codeGen__TPpcodeGen_Formular_elements* codeGen__TPPpcodeGen_Formular_elements;
typedef struct codeGen__TPpcodeGen_Formular_actualParams* codeGen__TPPpcodeGen_Formular_actualParams;
typedef struct codeGen__TPpcodeGen_EmailValidator* codeGen__TPPpcodeGen_EmailValidator;
typedef struct codeGen__TPpcodeGen_CreditCardValidator* codeGen__TPPpcodeGen_CreditCardValidator;
typedef struct codeGen__TPpcodeGen_RegExprValidator* codeGen__TPPpcodeGen_RegExprValidator;
typedef struct codeGen__TPpcodeGen_RegExprValidator_pattern* codeGen__TPPpcodeGen_RegExprValidator_pattern;
typedef struct codeGen__TPpcodeGen_StringLengthValidator* codeGen__TPPpcodeGen_StringLengthValidator;
typedef struct codeGen__TPpcodeGen_StringLengthValidator_min* codeGen__TPPpcodeGen_StringLengthValidator_min;
typedef struct codeGen__TPpcodeGen_StringLengthValidator_max* codeGen__TPPpcodeGen_StringLengthValidator_max;
typedef struct codeGen__TPpcodeGen_LongRangeValidator* codeGen__TPPpcodeGen_LongRangeValidator;
typedef struct codeGen__TPpcodeGen_LongRangeValidator_min* codeGen__TPPpcodeGen_LongRangeValidator_min;
typedef struct codeGen__TPpcodeGen_LongRangeValidator_max* codeGen__TPPpcodeGen_LongRangeValidator_max;
typedef struct codeGen__TPpcodeGen_DoubleRangeValidator* codeGen__TPPpcodeGen_DoubleRangeValidator;
typedef struct codeGen__TPpcodeGen_DoubleRangeValidator_min* codeGen__TPPpcodeGen_DoubleRangeValidator_min;
typedef struct codeGen__TPpcodeGen_DoubleRangeValidator_max* codeGen__TPPpcodeGen_DoubleRangeValidator_max;
typedef struct codeGen__TPpcodeGen_IntegerNumberConverter* codeGen__TPPpcodeGen_IntegerNumberConverter;
typedef struct codeGen__TPpcodeGen_IntegerNumberConverter_minIntegerDigits* codeGen__TPPpcodeGen_IntegerNumberConverter_minIntegerDigits;
typedef struct codeGen__TPpcodeGen_IntegerNumberConverter_maxIntegerDigits* codeGen__TPPpcodeGen_IntegerNumberConverter_maxIntegerDigits;
typedef struct codeGen__TPpcodeGen_DoubleNumberConverter* codeGen__TPPpcodeGen_DoubleNumberConverter;
typedef struct codeGen__TPpcodeGen_DoubleNumberConverter_minIntegerDigits* codeGen__TPPpcodeGen_DoubleNumberConverter_minIntegerDigits;
typedef struct codeGen__TPpcodeGen_DoubleNumberConverter_maxIntegerDigits* codeGen__TPPpcodeGen_DoubleNumberConverter_maxIntegerDigits;
typedef struct codeGen__TPpcodeGen_DoubleNumberConverter_minFractionDigits* codeGen__TPPpcodeGen_DoubleNumberConverter_minFractionDigits;
typedef struct codeGen__TPpcodeGen_DoubleNumberConverter_maxFractionDigits* codeGen__TPPpcodeGen_DoubleNumberConverter_maxFractionDigits;
typedef struct codeGen__TPpcodeGen_IntegerConverter* codeGen__TPPpcodeGen_IntegerConverter;
typedef struct codeGen__TPpcodeGen_LongConverter* codeGen__TPPpcodeGen_LongConverter;
typedef struct codeGen__TPpcodeGen_BigIntegerConverter* codeGen__TPPpcodeGen_BigIntegerConverter;
typedef struct codeGen__TPpcodeGen_FloatConverter* codeGen__TPPpcodeGen_FloatConverter;
typedef struct codeGen__TPpcodeGen_DoubleConverter* codeGen__TPPpcodeGen_DoubleConverter;
typedef struct codeGen__TPpcodeGen_BooleanConverter* codeGen__TPPpcodeGen_BooleanConverter;
typedef struct codeGen__TPpcodeGen_DateTimeConverter* codeGen__TPPpcodeGen_DateTimeConverter;
typedef struct codeGen__TPpcodeGen_PatternConverter* codeGen__TPPpcodeGen_PatternConverter;
typedef struct codeGen__TPpcodeGen_PatternConverter_pattern* codeGen__TPPpcodeGen_PatternConverter_pattern;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement* codeGen__TPPpcodeGen_FormularRadioGroupElement;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_name* codeGen__TPPpcodeGen_FormularRadioGroupElement_name;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_label* codeGen__TPPpcodeGen_FormularRadioGroupElement_label;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_description* codeGen__TPPpcodeGen_FormularRadioGroupElement_description;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_pvalue* codeGen__TPPpcodeGen_FormularRadioGroupElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_required* codeGen__TPPpcodeGen_FormularRadioGroupElement_required;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_validator* codeGen__TPPpcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_layout* codeGen__TPPpcodeGen_FormularRadioGroupElement_layout;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_elements* codeGen__TPPpcodeGen_FormularRadioGroupElement_elements;
typedef struct codeGen__TPpcodeGen_FormularRadioGroupElement_checked* codeGen__TPPpcodeGen_FormularRadioGroupElement_checked;
typedef struct codeGen__TPpcodeGen_FormularTextElement* codeGen__TPPpcodeGen_FormularTextElement;
typedef struct codeGen__TPpcodeGen_FormularTextElement_name* codeGen__TPPpcodeGen_FormularTextElement_name;
typedef struct codeGen__TPpcodeGen_FormularTextElement_label* codeGen__TPPpcodeGen_FormularTextElement_label;
typedef struct codeGen__TPpcodeGen_FormularTextElement_description* codeGen__TPPpcodeGen_FormularTextElement_description;
typedef struct codeGen__TPpcodeGen_FormularTextElement_pvalue* codeGen__TPPpcodeGen_FormularTextElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularTextElement_required* codeGen__TPPpcodeGen_FormularTextElement_required;
typedef struct codeGen__TPpcodeGen_FormularTextElement_validator* codeGen__TPPpcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPpcodeGen_FormularTextElement_converter* codeGen__TPPpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement* codeGen__TPPpcodeGen_FormularTextAreaElement;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_name* codeGen__TPPpcodeGen_FormularTextAreaElement_name;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_label* codeGen__TPPpcodeGen_FormularTextAreaElement_label;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_description* codeGen__TPPpcodeGen_FormularTextAreaElement_description;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_pvalue* codeGen__TPPpcodeGen_FormularTextAreaElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_required* codeGen__TPPpcodeGen_FormularTextAreaElement_required;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_validator* codeGen__TPPpcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_converter* codeGen__TPPpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPpcodeGen_FormularTextAreaElement_rows* codeGen__TPPpcodeGen_FormularTextAreaElement_rows;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement* codeGen__TPPpcodeGen_FormularPasswordElement;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_name* codeGen__TPPpcodeGen_FormularPasswordElement_name;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_label* codeGen__TPPpcodeGen_FormularPasswordElement_label;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_description* codeGen__TPPpcodeGen_FormularPasswordElement_description;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_pvalue* codeGen__TPPpcodeGen_FormularPasswordElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_required* codeGen__TPPpcodeGen_FormularPasswordElement_required;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_validator* codeGen__TPPpcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_converter* codeGen__TPPpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPpcodeGen_FormularPasswordElement_redisplay* codeGen__TPPpcodeGen_FormularPasswordElement_redisplay;
typedef struct codeGen__TPpcodeGen_FormularDateElement* codeGen__TPPpcodeGen_FormularDateElement;
typedef struct codeGen__TPpcodeGen_FormularDateElement_name* codeGen__TPPpcodeGen_FormularDateElement_name;
typedef struct codeGen__TPpcodeGen_FormularDateElement_label* codeGen__TPPpcodeGen_FormularDateElement_label;
typedef struct codeGen__TPpcodeGen_FormularDateElement_description* codeGen__TPPpcodeGen_FormularDateElement_description;
typedef struct codeGen__TPpcodeGen_FormularDateElement_pvalue* codeGen__TPPpcodeGen_FormularDateElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularDateElement_required* codeGen__TPPpcodeGen_FormularDateElement_required;
typedef struct codeGen__TPpcodeGen_FormularDateElement_validator* codeGen__TPPpcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPpcodeGen_FormularDateElement_converter* codeGen__TPPpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement* codeGen__TPPpcodeGen_FormularFileUploadElement;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_name* codeGen__TPPpcodeGen_FormularFileUploadElement_name;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_label* codeGen__TPPpcodeGen_FormularFileUploadElement_label;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_description* codeGen__TPPpcodeGen_FormularFileUploadElement_description;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_pvalue* codeGen__TPPpcodeGen_FormularFileUploadElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_required* codeGen__TPPpcodeGen_FormularFileUploadElement_required;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_validator* codeGen__TPPpcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_converter* codeGen__TPPpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPpcodeGen_FormularFileUploadElement_accept* codeGen__TPPpcodeGen_FormularFileUploadElement_accept;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement* codeGen__TPPpcodeGen_FormularCheckboxElement;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_name* codeGen__TPPpcodeGen_FormularCheckboxElement_name;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_label* codeGen__TPPpcodeGen_FormularCheckboxElement_label;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_description* codeGen__TPPpcodeGen_FormularCheckboxElement_description;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_pvalue* codeGen__TPPpcodeGen_FormularCheckboxElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_required* codeGen__TPPpcodeGen_FormularCheckboxElement_required;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_validator* codeGen__TPPpcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_converter* codeGen__TPPpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_value* codeGen__TPPpcodeGen_FormularCheckboxElement_value;
typedef struct codeGen__TPpcodeGen_FormularCheckboxElement_checked* codeGen__TPPpcodeGen_FormularCheckboxElement_checked;
typedef struct codeGen__TPpcodeGen_FormularSelectElement* codeGen__TPPpcodeGen_FormularSelectElement;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_name* codeGen__TPPpcodeGen_FormularSelectElement_name;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_label* codeGen__TPPpcodeGen_FormularSelectElement_label;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_description* codeGen__TPPpcodeGen_FormularSelectElement_description;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_pvalue* codeGen__TPPpcodeGen_FormularSelectElement_pvalue;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_required* codeGen__TPPpcodeGen_FormularSelectElement_required;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_validator* codeGen__TPPpcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_converter* codeGen__TPPpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_size* codeGen__TPPpcodeGen_FormularSelectElement_size;
typedef struct codeGen__TPpcodeGen_FormularSelectElement_multiple* codeGen__TPPpcodeGen_FormularSelectElement_multiple;
typedef struct codeGen__TPpcodeGen_FormularConstantSelectOption* codeGen__TPPpcodeGen_FormularConstantSelectOption;
typedef struct codeGen__TPpcodeGen_FormularConstantSelectOption_options* codeGen__TPPpcodeGen_FormularConstantSelectOption_options;
typedef struct codeGen__TPpcodeGen_SelectOption* codeGen__TPPpcodeGen_SelectOption;
typedef struct codeGen__TPpcodeGen_SelectOption_value* codeGen__TPPpcodeGen_SelectOption_value;
typedef struct codeGen__TPpcodeGen_SelectOption_label* codeGen__TPPpcodeGen_SelectOption_label;
typedef struct codeGen__TPpcodeGen_FormularDataSourceSelectOption* codeGen__TPPpcodeGen_FormularDataSourceSelectOption;
typedef struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_name* codeGen__TPPpcodeGen_FormularDataSourceSelectOption_name;
typedef struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_dataSource* codeGen__TPPpcodeGen_FormularDataSourceSelectOption_dataSource;
typedef struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_value* codeGen__TPPpcodeGen_FormularDataSourceSelectOption_value;
typedef struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_label* codeGen__TPPpcodeGen_FormularDataSourceSelectOption_label;
typedef struct codeGen__TPpcodeGen_FormularRadioElement* codeGen__TPPpcodeGen_FormularRadioElement;
typedef struct codeGen__TPpcodeGen_FormularRadioElement_value* codeGen__TPPpcodeGen_FormularRadioElement_value;
typedef struct codeGen__TPpcodeGen_FormularRadioElement_label* codeGen__TPPpcodeGen_FormularRadioElement_label;
typedef struct codeGen__TPpcodeGen_WebNodeActualParam* codeGen__TPPpcodeGen_WebNodeActualParam;
typedef struct codeGen__TPpcodeGen_WebNodeActualParam_formalParam* codeGen__TPPpcodeGen_WebNodeActualParam_formalParam;
typedef struct codeGen__TPpcodeGen_WebNodeFormalParam* codeGen__TPPpcodeGen_WebNodeFormalParam;
typedef struct codeGen__TPpcodeGen_WebNodeFormalParam_name* codeGen__TPPpcodeGen_WebNodeFormalParam_name;
typedef struct codeGen__TPpcodeGen_MD5Modifier* codeGen__TPPpcodeGen_MD5Modifier;
typedef struct codeGen__TPpcodeGen_JoinModifier* codeGen__TPPpcodeGen_JoinModifier;
typedef struct codeGen__TPpcodeGen_JoinModifier_separator* codeGen__TPPpcodeGen_JoinModifier_separator;
typedef struct codeGen__TPpcodeGen_WebNodeConstantExpression* codeGen__TPPpcodeGen_WebNodeConstantExpression;
typedef struct codeGen__TPpcodeGen_WebNodeConstantExpression_modifier* codeGen__TPPpcodeGen_WebNodeConstantExpression_modifier;
typedef struct codeGen__TPpcodeGen_WebNodeConstantExpression_value* codeGen__TPPpcodeGen_WebNodeConstantExpression_value;
typedef struct codeGen__TPpcodeGen_WebNodeVariableExpression* codeGen__TPPpcodeGen_WebNodeVariableExpression;
typedef struct codeGen__TPpcodeGen_WebNodeVariableExpression_modifier* codeGen__TPPpcodeGen_WebNodeVariableExpression_modifier;
typedef struct codeGen__TPpcodeGen_WebNodeVariableExpression_content* codeGen__TPPpcodeGen_WebNodeVariableExpression_content;
typedef struct codeGen__TPpcodeGen_WebNodeSessionExpression* codeGen__TPPpcodeGen_WebNodeSessionExpression;
typedef struct codeGen__TPpcodeGen_WebNodeSessionExpression_modifier* codeGen__TPPpcodeGen_WebNodeSessionExpression_modifier;
typedef struct codeGen__TPpcodeGen_WebNodeSessionExpression_content* codeGen__TPPpcodeGen_WebNodeSessionExpression_content;
typedef struct codeGen__TPpcodeGen_OutputFragment* codeGen__TPPpcodeGen_OutputFragment;
typedef struct codeGen__TPpcodeGen_OutputFragment_link* codeGen__TPPpcodeGen_OutputFragment_link;
typedef struct codeGen__TPpcodeGen_OutputFragment_content* codeGen__TPPpcodeGen_OutputFragment_content;
typedef struct codeGen__TPpcodeGen_OutputMessagesElement* codeGen__TPPpcodeGen_OutputMessagesElement;
typedef struct codeGen__TPpcodeGen_OutputMessagesElement_styleSheetBlock* codeGen__TPPpcodeGen_OutputMessagesElement_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_OutputMessagesElement_errorStyleSheetBlock* codeGen__TPPpcodeGen_OutputMessagesElement_errorStyleSheetBlock;
typedef struct codeGen__TPpcodeGen_OutputMessagesElement_infoStyleSheetBlock* codeGen__TPPpcodeGen_OutputMessagesElement_infoStyleSheetBlock;
typedef struct codeGen__TPpcodeGen_OutputMessagesElement_layout* codeGen__TPPpcodeGen_OutputMessagesElement_layout;
typedef struct codeGen__TPpcodeGen_ListOutputActualParam* codeGen__TPPpcodeGen_ListOutputActualParam;
typedef struct codeGen__TPpcodeGen_ListOutputActualParam_formalParam* codeGen__TPPpcodeGen_ListOutputActualParam_formalParam;
typedef struct codeGen__TPpcodeGen_ListOutputElement* codeGen__TPPpcodeGen_ListOutputElement;
typedef struct codeGen__TPpcodeGen_ListOutputElement_styleSheetBlock* codeGen__TPPpcodeGen_ListOutputElement_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_ListOutputElement_name* codeGen__TPPpcodeGen_ListOutputElement_name;
typedef struct codeGen__TPpcodeGen_ListOutputElement_dataSourceActualParams* codeGen__TPPpcodeGen_ListOutputElement_dataSourceActualParams;
typedef struct codeGen__TPpcodeGen_ListOutputElement_dataSource* codeGen__TPPpcodeGen_ListOutputElement_dataSource;
typedef struct codeGen__TPpcodeGen_ListOutputElement_maxNumberOfElements* codeGen__TPPpcodeGen_ListOutputElement_maxNumberOfElements;
typedef struct codeGen__TPpcodeGen_ListOutputElement_renderAs* codeGen__TPPpcodeGen_ListOutputElement_renderAs;
typedef struct codeGen__TPpcodeGen_ListOutputElement_navigationElement* codeGen__TPPpcodeGen_ListOutputElement_navigationElement;
typedef struct codeGen__TPpcodeGen_ListOutputElement_columns* codeGen__TPPpcodeGen_ListOutputElement_columns;
typedef struct codeGen__TPpcodeGen_ListOutputElement_headerStyleClass* codeGen__TPPpcodeGen_ListOutputElement_headerStyleClass;
typedef struct codeGen__TPpcodeGen_ListOutputElement_evenRowStyleClass* codeGen__TPPpcodeGen_ListOutputElement_evenRowStyleClass;
typedef struct codeGen__TPpcodeGen_ListOutputElement_oddRowStyleClass* codeGen__TPPpcodeGen_ListOutputElement_oddRowStyleClass;
typedef struct codeGen__TPpcodeGen_ListOutputColumn* codeGen__TPPpcodeGen_ListOutputColumn;
typedef struct codeGen__TPpcodeGen_ListOutputColumn_header* codeGen__TPPpcodeGen_ListOutputColumn_header;
typedef struct codeGen__TPpcodeGen_ListOutputConstantContent* codeGen__TPPpcodeGen_ListOutputConstantContent;
typedef struct codeGen__TPpcodeGen_ListOutputConstantContent_value* codeGen__TPPpcodeGen_ListOutputConstantContent_value;
typedef struct codeGen__TPpcodeGen_ListOutputRefContent* codeGen__TPPpcodeGen_ListOutputRefContent;
typedef struct codeGen__TPpcodeGen_ListOutputRefContent_column* codeGen__TPPpcodeGen_ListOutputRefContent_column;
typedef struct codeGen__TPpcodeGen_ListOutputProjectionContent* codeGen__TPPpcodeGen_ListOutputProjectionContent;
typedef struct codeGen__TPpcodeGen_ListOutputProjectionContent_column* codeGen__TPPpcodeGen_ListOutputProjectionContent_column;
typedef struct codeGen__TPpcodeGen_ListOutputNumerationContent* codeGen__TPPpcodeGen_ListOutputNumerationContent;
typedef struct codeGen__TPpcodeGen_ListOutputNumerationContent_name* codeGen__TPPpcodeGen_ListOutputNumerationContent_name;
typedef struct codeGen__TPpcodeGen_ListOutputActionConnectionsContent* codeGen__TPPpcodeGen_ListOutputActionConnectionsContent;
typedef struct codeGen__TPpcodeGen_ListOutputActionConnectionsContent_actionConnections* codeGen__TPPpcodeGen_ListOutputActionConnectionsContent_actionConnections;
typedef struct codeGen__TPpcodeGen_ActionConnection* codeGen__TPPpcodeGen_ActionConnection;
typedef struct codeGen__TPpcodeGen_ActionConnection_action* codeGen__TPPpcodeGen_ActionConnection_action;
typedef struct codeGen__TPpcodeGen_ActionConnection_imageName* codeGen__TPPpcodeGen_ActionConnection_imageName;
typedef struct codeGen__TPpcodeGen_ActionConnection_text* codeGen__TPPpcodeGen_ActionConnection_text;
typedef struct codeGen__TPpcodeGen_ActionConnection_actualParams* codeGen__TPPpcodeGen_ActionConnection_actualParams;
typedef struct codeGen__TPpcodeGen_LinkTargetExtern* codeGen__TPPpcodeGen_LinkTargetExtern;
typedef struct codeGen__TPpcodeGen_LinkTargetExtern_name* codeGen__TPPpcodeGen_LinkTargetExtern_name;
typedef struct codeGen__TPpcodeGen_LinkTargetExtern_url* codeGen__TPPpcodeGen_LinkTargetExtern_url;
typedef struct codeGen__TPpcodeGen_ImageMap* codeGen__TPPpcodeGen_ImageMap;
typedef struct codeGen__TPpcodeGen_ImageMap_styleSheetBlock* codeGen__TPPpcodeGen_ImageMap_styleSheetBlock;
typedef struct codeGen__TPpcodeGen_ImageMap_name* codeGen__TPPpcodeGen_ImageMap_name;
typedef struct codeGen__TPpcodeGen_ImageMap_imageName* codeGen__TPPpcodeGen_ImageMap_imageName;
typedef struct codeGen__TPpcodeGen_ImageMap_altText* codeGen__TPPpcodeGen_ImageMap_altText;
typedef struct codeGen__TPpcodeGen_ImageMap_mapAreas* codeGen__TPPpcodeGen_ImageMap_mapAreas;
typedef struct codeGen__TPpcodeGen_MapArea* codeGen__TPPpcodeGen_MapArea;
typedef struct codeGen__TPpcodeGen_MapArea_altText* codeGen__TPPpcodeGen_MapArea_altText;
typedef struct codeGen__TPpcodeGen_MapArea_coords* codeGen__TPPpcodeGen_MapArea_coords;
typedef struct codeGen__TPpcodeGen_MapArea_link* codeGen__TPPpcodeGen_MapArea_link;
typedef struct codeGen__TPpcodeGen_MapArea_queryString* codeGen__TPPpcodeGen_MapArea_queryString;
typedef struct codeGen__TPrule_1* codeGen__TPPrule_1;
typedef struct codeGen__TPrule_2* codeGen__TPPrule_2;
typedef struct codeGen__TPrule_3* codeGen__TPPrule_3;
typedef struct codeGen__TPrule_4* codeGen__TPPrule_4;
typedef struct codeGen__TPrule_5* codeGen__TPPrule_5;
typedef struct codeGen__TPrule_6* codeGen__TPPrule_6;
typedef struct codeGen__TPrule_7* codeGen__TPPrule_7;
typedef struct codeGen__TPrule_8* codeGen__TPPrule_8;
typedef struct codeGen__TPrule_9* codeGen__TPPrule_9;
typedef struct codeGen__TPrule_10* codeGen__TPPrule_10;
typedef struct codeGen__TPrule_11* codeGen__TPPrule_11;
typedef struct codeGen__TPrule_12* codeGen__TPPrule_12;
typedef struct codeGen__TPrule_13* codeGen__TPPrule_13;
typedef struct codeGen__TPrule_14* codeGen__TPPrule_14;
typedef struct codeGen__TPrule_15* codeGen__TPPrule_15;
typedef struct codeGen__TPrule_16* codeGen__TPPrule_16;
typedef struct codeGen__TPrule_17* codeGen__TPPrule_17;
typedef struct codeGen__TPrule_18* codeGen__TPPrule_18;
typedef struct codeGen__TPrule_19* codeGen__TPPrule_19;
typedef struct codeGen__TPrule_20* codeGen__TPPrule_20;
typedef struct codeGen__TPrule_21* codeGen__TPPrule_21;
typedef struct codeGen__TPrule_22* codeGen__TPPrule_22;
typedef struct codeGen__TPrule_23* codeGen__TPPrule_23;
typedef struct codeGen__TPrule_24* codeGen__TPPrule_24;
typedef struct codeGen__TPrule_25* codeGen__TPPrule_25;
typedef struct codeGen__TPrule_26* codeGen__TPPrule_26;
typedef struct codeGen__TPrule_27* codeGen__TPPrule_27;
typedef struct codeGen__TPrule_28* codeGen__TPPrule_28;
typedef struct codeGen__TPrule_29* codeGen__TPPrule_29;
typedef struct codeGen__TPrule_30* codeGen__TPPrule_30;
typedef struct codeGen__TPrule_31* codeGen__TPPrule_31;
typedef struct codeGen__TPrule_32* codeGen__TPPrule_32;
typedef struct codeGen__TPrule_33* codeGen__TPPrule_33;
typedef struct codeGen__TPrule_34* codeGen__TPPrule_34;
typedef struct codeGen__TPrule_35* codeGen__TPPrule_35;
typedef struct codeGen__TPrule_36* codeGen__TPPrule_36;
typedef struct codeGen__TPrule_37* codeGen__TPPrule_37;
typedef struct codeGen__TPrule_38* codeGen__TPPrule_38;
typedef struct codeGen__TPrule_39* codeGen__TPPrule_39;
typedef struct codeGen__TPrule_40* codeGen__TPPrule_40;
typedef struct codeGen__TPrule_41* codeGen__TPPrule_41;
typedef struct codeGen__TPrule_42* codeGen__TPPrule_42;
typedef struct codeGen__TPrule_43* codeGen__TPPrule_43;
typedef struct codeGen__TPrule_44* codeGen__TPPrule_44;
typedef struct codeGen__TPrule_45* codeGen__TPPrule_45;
typedef struct codeGen__TPrule_46* codeGen__TPPrule_46;
typedef struct codeGen__TPrule_47* codeGen__TPPrule_47;
typedef struct codeGen__TPrule_48* codeGen__TPPrule_48;
typedef struct codeGen__TPrule_49* codeGen__TPPrule_49;
typedef struct codeGen__TPrule_50* codeGen__TPPrule_50;
typedef struct codeGen__TPrule_51* codeGen__TPPrule_51;
typedef struct codeGen__TPrule_52* codeGen__TPPrule_52;
typedef struct codeGen__TPrule_53* codeGen__TPPrule_53;
typedef struct codeGen__TPrule_54* codeGen__TPPrule_54;
typedef struct codeGen__TPrule_55* codeGen__TPPrule_55;
typedef struct codeGen__TPrule_56* codeGen__TPPrule_56;
typedef struct codeGen__TPrule_57* codeGen__TPPrule_57;
typedef struct codeGen__TPrule_58* codeGen__TPPrule_58;
typedef struct codeGen__TPrule_59* codeGen__TPPrule_59;
typedef struct codeGen__TPrule_60* codeGen__TPPrule_60;
typedef struct codeGen__TPrule_61* codeGen__TPPrule_61;
typedef struct codeGen__TPrule_62* codeGen__TPPrule_62;
typedef struct codeGen__TPrule_63* codeGen__TPPrule_63;
typedef struct codeGen__TPrule_64* codeGen__TPPrule_64;
typedef struct codeGen__TPrule_65* codeGen__TPPrule_65;
typedef struct codeGen__TPrule_66* codeGen__TPPrule_66;
typedef struct codeGen__TPrule_67* codeGen__TPPrule_67;
typedef struct codeGen__TPrule_68* codeGen__TPPrule_68;
typedef struct codeGen__TPrule_69* codeGen__TPPrule_69;
typedef struct codeGen__TPrule_70* codeGen__TPPrule_70;
typedef struct codeGen__TPrule_71* codeGen__TPPrule_71;
typedef struct codeGen__TPrule_72* codeGen__TPPrule_72;
typedef struct codeGen__TPrule_73* codeGen__TPPrule_73;
typedef struct codeGen__TPrule_74* codeGen__TPPrule_74;
typedef struct codeGen__TPrule_75* codeGen__TPPrule_75;
typedef struct codeGen__TPrule_76* codeGen__TPPrule_76;
typedef struct codeGen__TPrule_77* codeGen__TPPrule_77;
typedef struct codeGen__TPrule_78* codeGen__TPPrule_78;
typedef struct codeGen__TPrule_79* codeGen__TPPrule_79;
typedef struct codeGen__TPrule_80* codeGen__TPPrule_80;
typedef struct codeGen__TPrule_81* codeGen__TPPrule_81;
typedef struct codeGen__TPrule_82* codeGen__TPPrule_82;
typedef struct codeGen__TPrule_83* codeGen__TPPrule_83;
typedef struct codeGen__TPrule_84* codeGen__TPPrule_84;
typedef struct codeGen__TPrule_85* codeGen__TPPrule_85;
typedef struct codeGen__TPrule_86* codeGen__TPPrule_86;
typedef struct codeGen__TPrule_87* codeGen__TPPrule_87;
typedef struct codeGen__TPrule_88* codeGen__TPPrule_88;
typedef struct codeGen__TPrule_89* codeGen__TPPrule_89;
typedef struct codeGen__TPrule_90* codeGen__TPPrule_90;
typedef struct codeGen__TPrule_91* codeGen__TPPrule_91;
typedef struct codeGen__TPrule_92* codeGen__TPPrule_92;
typedef struct codeGen__TPrule_93* codeGen__TPPrule_93;
typedef struct codeGen__TPrule_94* codeGen__TPPrule_94;
typedef struct codeGen__TPrule_95* codeGen__TPPrule_95;
typedef struct codeGen__TPrule_96* codeGen__TPPrule_96;
typedef struct codeGen__TPrule_97* codeGen__TPPrule_97;
typedef struct codeGen__TPrule_98* codeGen__TPPrule_98;
typedef struct codeGen__TPrule_99* codeGen__TPPrule_99;
typedef struct codeGen__TPrule_100* codeGen__TPPrule_100;
typedef struct codeGen__TPrule_101* codeGen__TPPrule_101;
typedef struct codeGen__TPrule_102* codeGen__TPPrule_102;
typedef struct codeGen__TPrule_103* codeGen__TPPrule_103;
typedef struct codeGen__TPrule_104* codeGen__TPPrule_104;
typedef struct codeGen__TPrule_105* codeGen__TPPrule_105;
typedef struct codeGen__TPrule_106* codeGen__TPPrule_106;
typedef struct codeGen__TPrule_107* codeGen__TPPrule_107;
typedef struct codeGen__TPrule_108* codeGen__TPPrule_108;
typedef struct codeGen__TPrule_109* codeGen__TPPrule_109;
typedef struct codeGen__TPrule_110* codeGen__TPPrule_110;
typedef struct codeGen__TPrule_111* codeGen__TPPrule_111;
typedef struct codeGen__TPrule_112* codeGen__TPPrule_112;
typedef struct codeGen__TPrule_113* codeGen__TPPrule_113;
typedef struct codeGen__TPrule_114* codeGen__TPPrule_114;
typedef struct codeGen__TPrule_115* codeGen__TPPrule_115;
typedef struct codeGen__TPrule_116* codeGen__TPPrule_116;
typedef struct codeGen__TPrule_117* codeGen__TPPrule_117;
typedef struct codeGen__TPrule_118* codeGen__TPPrule_118;
typedef struct codeGen__TPrule_119* codeGen__TPPrule_119;
typedef struct codeGen__TPrule_120* codeGen__TPPrule_120;
typedef struct codeGen__TPrule_121* codeGen__TPPrule_121;
typedef struct codeGen__TPrule_122* codeGen__TPPrule_122;
typedef struct codeGen__TPrule_123* codeGen__TPPrule_123;
typedef struct codeGen__TPrule_124* codeGen__TPPrule_124;
typedef struct codeGen__TPrule_125* codeGen__TPPrule_125;
typedef struct codeGen__TPrule_126* codeGen__TPPrule_126;
typedef struct codeGen__TPrule_127* codeGen__TPPrule_127;
typedef struct codeGen__TPrule_128* codeGen__TPPrule_128;
typedef struct codeGen__TPrule_129* codeGen__TPPrule_129;
typedef struct codeGen__TPrule_130* codeGen__TPPrule_130;
typedef struct codeGen__TPrule_131* codeGen__TPPrule_131;
typedef struct codeGen__TPrule_132* codeGen__TPPrule_132;
typedef struct codeGen__TPrule_133* codeGen__TPPrule_133;
typedef struct codeGen__TPrule_134* codeGen__TPPrule_134;
typedef struct codeGen__TPrule_135* codeGen__TPPrule_135;
typedef struct codeGen__TPrule_136* codeGen__TPPrule_136;
typedef struct codeGen__TPrule_137* codeGen__TPPrule_137;
typedef struct codeGen__TPrule_138* codeGen__TPPrule_138;
typedef struct codeGen__TPrule_139* codeGen__TPPrule_139;
typedef struct codeGen__TPrule_140* codeGen__TPPrule_140;
typedef struct codeGen__TPrule_141* codeGen__TPPrule_141;
typedef struct codeGen__TPLST_codeGen_LibrarypcodeGen_Root_library* codeGen__TPPLST_codeGen_LibrarypcodeGen_Root_library;
typedef struct codeGen__TPLST_codeGen_NavigationElementpcodeGen_Library_navigationElement* codeGen__TPPLST_codeGen_NavigationElementpcodeGen_Library_navigationElement;
typedef struct codeGen__TPLST_codeGen_GlobalFramepcodeGen_WebApplication_frames* codeGen__TPPLST_codeGen_GlobalFramepcodeGen_WebApplication_frames;
typedef struct codeGen__TPLST_codeGen_WebRolepcodeGen_WebApplication_roles* codeGen__TPPLST_codeGen_WebRolepcodeGen_WebApplication_roles;
typedef struct codeGen__TPLST_codeGen_LinkTargetExternpcodeGen_WebApplication_linksExtern* codeGen__TPPLST_codeGen_LinkTargetExternpcodeGen_WebApplication_linksExtern;
typedef struct codeGen__TPLST_codeGen_WebActionpcodeGen_RootWebZone_webTargets* codeGen__TPPLST_codeGen_WebActionpcodeGen_RootWebZone_webTargets;
typedef struct codeGen__TPLST_codeGen_WebPagepcodeGen_RootWebZone_webTargets* codeGen__TPPLST_codeGen_WebPagepcodeGen_RootWebZone_webTargets;
typedef struct codeGen__TPLST_codeGen_SubWebZonepcodeGen_RootWebZone_webTargets* codeGen__TPPLST_codeGen_SubWebZonepcodeGen_RootWebZone_webTargets;
typedef struct codeGen__TPLST_codeGen_WebRoleRefpcodeGen_RootWebZone_roles* codeGen__TPPLST_codeGen_WebRoleRefpcodeGen_RootWebZone_roles;
typedef struct codeGen__TPLST_codeGen_WebActionpcodeGen_SubWebZone_webTargets* codeGen__TPPLST_codeGen_WebActionpcodeGen_SubWebZone_webTargets;
typedef struct codeGen__TPLST_codeGen_WebPagepcodeGen_SubWebZone_webTargets* codeGen__TPPLST_codeGen_WebPagepcodeGen_SubWebZone_webTargets;
typedef struct codeGen__TPLST_codeGen_SubWebZonepcodeGen_SubWebZone_webTargets* codeGen__TPPLST_codeGen_SubWebZonepcodeGen_SubWebZone_webTargets;
typedef struct codeGen__TPLST_codeGen_WebRoleRefpcodeGen_SubWebZone_roles* codeGen__TPPLST_codeGen_WebRoleRefpcodeGen_SubWebZone_roles;
typedef struct codeGen__TPLST_codeGen_WebNodeFormalParampcodeGen_WebPage_formalParameter* codeGen__TPPLST_codeGen_WebNodeFormalParampcodeGen_WebPage_formalParameter;
typedef struct codeGen__TPLST_codeGen_ImageMappcodeGen_Frame_components* codeGen__TPPLST_codeGen_ImageMappcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_ListOutputElementpcodeGen_Frame_components* codeGen__TPPLST_codeGen_ListOutputElementpcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_OutputMessagesElementpcodeGen_Frame_components* codeGen__TPPLST_codeGen_OutputMessagesElementpcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_FormularpcodeGen_Frame_components* codeGen__TPPLST_codeGen_FormularpcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_TablepcodeGen_Frame_components* codeGen__TPPLST_codeGen_TablepcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_HeadingpcodeGen_Frame_components* codeGen__TPPLST_codeGen_HeadingpcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_ParagraphpcodeGen_Frame_components* codeGen__TPPLST_codeGen_ParagraphpcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_FrameRefpcodeGen_Frame_components* codeGen__TPPLST_codeGen_FrameRefpcodeGen_Frame_components;
typedef struct codeGen__TPLST_codeGen_ImageMappcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_ImageMappcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_ListOutputElementpcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_ListOutputElementpcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_OutputMessagesElementpcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_OutputMessagesElementpcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_FormularpcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_FormularpcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_TablepcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_TablepcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_HeadingpcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_HeadingpcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_ParagraphpcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_ParagraphpcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_FrameRefpcodeGen_GlobalFrame_components* codeGen__TPPLST_codeGen_FrameRefpcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_codeGen_NavigationBarElementpcodeGen_NavigationBar_elements* codeGen__TPPLST_codeGen_NavigationBarElementpcodeGen_NavigationBar_elements;
typedef struct codeGen__TPLST_codeGen_MetaInformationElementpcodeGen_MetaInformation_elements* codeGen__TPPLST_codeGen_MetaInformationElementpcodeGen_MetaInformation_elements;
typedef struct codeGen__TPLST_codeGen_DataSourceJoinpcodeGen_DataBase_dataSources* codeGen__TPPLST_codeGen_DataSourceJoinpcodeGen_DataBase_dataSources;
typedef struct codeGen__TPLST_codeGen_OrderedDataSourcepcodeGen_DataBase_dataSources* codeGen__TPPLST_codeGen_OrderedDataSourcepcodeGen_DataBase_dataSources;
typedef struct codeGen__TPLST_codeGen_LimitDataSourcepcodeGen_DataBase_dataSources* codeGen__TPPLST_codeGen_LimitDataSourcepcodeGen_DataBase_dataSources;
typedef struct codeGen__TPLST_codeGen_DataSourceProjectionpcodeGen_DataBase_dataSources* codeGen__TPPLST_codeGen_DataSourceProjectionpcodeGen_DataBase_dataSources;
typedef struct codeGen__TPLST_codeGen_DataSourceTablepcodeGen_DataBase_dataSources* codeGen__TPPLST_codeGen_DataSourceTablepcodeGen_DataBase_dataSources;
typedef struct codeGen__TPLST_codeGen_DataSourceDeletepcodeGen_DataBase_dataSourceModifications* codeGen__TPPLST_codeGen_DataSourceDeletepcodeGen_DataBase_dataSourceModifications;
typedef struct codeGen__TPLST_codeGen_DataSourceUpdatepcodeGen_DataBase_dataSourceModifications* codeGen__TPPLST_codeGen_DataSourceUpdatepcodeGen_DataBase_dataSourceModifications;
typedef struct codeGen__TPLST_codeGen_DataSourceInsertpcodeGen_DataBase_dataSourceModifications* codeGen__TPPLST_codeGen_DataSourceInsertpcodeGen_DataBase_dataSourceModifications;
typedef struct codeGen__TPLST_codeGen_DBColumnpcodeGen_DataSourceTable_columns* codeGen__TPPLST_codeGen_DBColumnpcodeGen_DataSourceTable_columns;
typedef struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceProjection_formalParameters* codeGen__TPPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceProjection_formalParameters;
typedef struct codeGen__TPLST_codeGen_ComputationExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_ComputationExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_ParameterValueExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_ParameterValueExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_ProjectionColumnValueExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_ProjectionColumnValueExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_ColumnValueExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_ColumnValueExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_ConstantExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_ConstantExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_PredefinedExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_PredefinedExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_UnaryExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_UnaryExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_BinaryExpressionpcodeGen_DataSourceProjection_condition* codeGen__TPPLST_codeGen_BinaryExpressionpcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_codeGen_ComputationProjectionpcodeGen_DataSourceProjection_projectionColumns* codeGen__TPPLST_codeGen_ComputationProjectionpcodeGen_DataSourceProjection_projectionColumns;
typedef struct codeGen__TPLST_codeGen_ColumnProjectionpcodeGen_DataSourceProjection_projectionColumns* codeGen__TPPLST_codeGen_ColumnProjectionpcodeGen_DataSourceProjection_projectionColumns;
typedef struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_LimitDataSource_formalParameters* codeGen__TPPLST_codeGen_DataSourceFormalParampcodeGen_LimitDataSource_formalParameters;
typedef struct codeGen__TPLST_codeGen_OrderColumnpcodeGen_OrderedDataSource_orderColumns* codeGen__TPPLST_codeGen_OrderColumnpcodeGen_OrderedDataSource_orderColumns;
typedef struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceInsert_formalParams* codeGen__TPPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceInsert_formalParams;
typedef struct codeGen__TPLST_codeGen_DataSourceValuepcodeGen_DataSourceInsert_values* codeGen__TPPLST_codeGen_DataSourceValuepcodeGen_DataSourceInsert_values;
typedef struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceUpdate_formalParams* codeGen__TPPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceUpdate_formalParams;
typedef struct codeGen__TPLST_codeGen_DataSourceValuepcodeGen_DataSourceUpdate_values* codeGen__TPPLST_codeGen_DataSourceValuepcodeGen_DataSourceUpdate_values;
typedef struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceDelete_formalParams* codeGen__TPPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceDelete_formalParams;
typedef struct codeGen__TPLST_codeGen_OutputFragmentpcodeGen_Paragraph_fragments* codeGen__TPPLST_codeGen_OutputFragmentpcodeGen_Paragraph_fragments;
typedef struct codeGen__TPLST_codeGen_ImageFragmentpcodeGen_Paragraph_fragments* codeGen__TPPLST_codeGen_ImageFragmentpcodeGen_Paragraph_fragments;
typedef struct codeGen__TPLST_codeGen_TextFragmentpcodeGen_Paragraph_fragments* codeGen__TPPLST_codeGen_TextFragmentpcodeGen_Paragraph_fragments;
typedef struct codeGen__TPLST_codeGen_TableRowpcodeGen_Table_rows* codeGen__TPPLST_codeGen_TableRowpcodeGen_Table_rows;
typedef struct codeGen__TPLST_codeGen_TableColumnpcodeGen_Table_columns* codeGen__TPPLST_codeGen_TableColumnpcodeGen_Table_columns;
typedef struct codeGen__TPLST_codeGen_TableCellpcodeGen_TableRow_cells* codeGen__TPPLST_codeGen_TableCellpcodeGen_TableRow_cells;
typedef struct codeGen__TPLST_codeGen_CustomStyleSheetBlockpcodeGen_StyleSheet_custom* codeGen__TPPLST_codeGen_CustomStyleSheetBlockpcodeGen_StyleSheet_custom;
typedef struct codeGen__TPLST_codeGen_HtmlStyleSheetBlockpcodeGen_StyleSheet_default* codeGen__TPPLST_codeGen_HtmlStyleSheetBlockpcodeGen_StyleSheet_default;
typedef struct codeGen__TPLST_codeGen_StyleSheetPairpcodeGen_CustomStyleSheetBlock_pairs* codeGen__TPPLST_codeGen_StyleSheetPairpcodeGen_CustomStyleSheetBlock_pairs;
typedef struct codeGen__TPLST_codeGen_StyleSheetPairpcodeGen_HtmlStyleSheetBlock_pairs* codeGen__TPPLST_codeGen_StyleSheetPairpcodeGen_HtmlStyleSheetBlock_pairs;
typedef struct codeGen__TPLST_codeGen_WebNodeActualParampcodeGen_ActionHandler_params* codeGen__TPPLST_codeGen_WebNodeActualParampcodeGen_ActionHandler_params;
typedef struct codeGen__TPLST_codeGen_WebNodeFormalParampcodeGen_WebAction_formalParameter* codeGen__TPPLST_codeGen_WebNodeFormalParampcodeGen_WebAction_formalParameter;
typedef struct codeGen__TPLST_codeGen_LoginOperationpcodeGen_WebAction_operations* codeGen__TPPLST_codeGen_LoginOperationpcodeGen_WebAction_operations;
typedef struct codeGen__TPLST_codeGen_LogoutOperationpcodeGen_WebAction_operations* codeGen__TPPLST_codeGen_LogoutOperationpcodeGen_WebAction_operations;
typedef struct codeGen__TPLST_codeGen_MailingOperationpcodeGen_WebAction_operations* codeGen__TPPLST_codeGen_MailingOperationpcodeGen_WebAction_operations;
typedef struct codeGen__TPLST_codeGen_JavaOperationpcodeGen_WebAction_operations* codeGen__TPPLST_codeGen_JavaOperationpcodeGen_WebAction_operations;
typedef struct codeGen__TPLST_codeGen_DataBaseOperationpcodeGen_WebAction_operations* codeGen__TPPLST_codeGen_DataBaseOperationpcodeGen_WebAction_operations;
typedef struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_DataBaseOperation_errorhandler* codeGen__TPPLST_codeGen_ActionHandlerpcodeGen_DataBaseOperation_errorhandler;
typedef struct codeGen__TPLST_codeGen_DataSourceActualParampcodeGen_DataBaseOperation_params* codeGen__TPPLST_codeGen_DataSourceActualParampcodeGen_DataBaseOperation_params;
typedef struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_JavaOperation_errorhandler* codeGen__TPPLST_codeGen_ActionHandlerpcodeGen_JavaOperation_errorhandler;
typedef struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_MailingOperation_errorhandler* codeGen__TPPLST_codeGen_ActionHandlerpcodeGen_MailingOperation_errorhandler;
typedef struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_LogoutOperation_errorhandler* codeGen__TPPLST_codeGen_ActionHandlerpcodeGen_LogoutOperation_errorhandler;
typedef struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_LoginOperation_errorhandler* codeGen__TPPLST_codeGen_ActionHandlerpcodeGen_LoginOperation_errorhandler;
typedef struct codeGen__TPLST_codeGen_FormularSelectElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularSelectElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_FormularCheckboxElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularCheckboxElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_FormularFileUploadElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularFileUploadElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_FormularDateElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularDateElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_FormularPasswordElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularPasswordElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_FormularTextAreaElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularTextAreaElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_FormularTextElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularTextElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_FormularRadioGroupElementpcodeGen_Formular_elements* codeGen__TPPLST_codeGen_FormularRadioGroupElementpcodeGen_Formular_elements;
typedef struct codeGen__TPLST_codeGen_WebNodeActualParampcodeGen_Formular_actualParams* codeGen__TPPLST_codeGen_WebNodeActualParampcodeGen_Formular_actualParams;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularRadioGroupElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularRadioGroupElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularRadioGroupElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularRadioGroupElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularRadioGroupElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularRadioGroupElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_codeGen_FormularRadioElementpcodeGen_FormularRadioGroupElement_elements* codeGen__TPPLST_codeGen_FormularRadioElementpcodeGen_FormularRadioGroupElement_elements;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularTextElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularTextElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularTextElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularTextElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularTextElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularTextElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularTextElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularTextAreaElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularTextAreaElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularTextAreaElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularTextAreaElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularTextAreaElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularTextAreaElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularPasswordElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularPasswordElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularPasswordElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularPasswordElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularPasswordElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularPasswordElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularDateElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularDateElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularDateElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularDateElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularDateElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularDateElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularDateElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularFileUploadElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularFileUploadElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularFileUploadElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularFileUploadElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularFileUploadElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularFileUploadElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularCheckboxElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularCheckboxElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularCheckboxElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularCheckboxElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularCheckboxElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularCheckboxElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularSelectElement_validator* codeGen__TPPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularSelectElement_validator* codeGen__TPPLST_codeGen_LongRangeValidatorpcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularSelectElement_validator* codeGen__TPPLST_codeGen_StringLengthValidatorpcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularSelectElement_validator* codeGen__TPPLST_codeGen_RegExprValidatorpcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularSelectElement_validator* codeGen__TPPLST_codeGen_CreditCardValidatorpcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularSelectElement_validator* codeGen__TPPLST_codeGen_EmailValidatorpcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_PatternConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_DateTimeConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_BooleanConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_DoubleConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_FloatConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_BigIntegerConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_LongConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_IntegerConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_DoubleNumberConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularSelectElement_converter* codeGen__TPPLST_codeGen_IntegerNumberConverterpcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_codeGen_SelectOptionpcodeGen_FormularConstantSelectOption_options* codeGen__TPPLST_codeGen_SelectOptionpcodeGen_FormularConstantSelectOption_options;
typedef struct codeGen__TPLST_codeGen_JoinModifierpcodeGen_WebNodeConstantExpression_modifier* codeGen__TPPLST_codeGen_JoinModifierpcodeGen_WebNodeConstantExpression_modifier;
typedef struct codeGen__TPLST_codeGen_MD5ModifierpcodeGen_WebNodeConstantExpression_modifier* codeGen__TPPLST_codeGen_MD5ModifierpcodeGen_WebNodeConstantExpression_modifier;
typedef struct codeGen__TPLST_codeGen_JoinModifierpcodeGen_WebNodeVariableExpression_modifier* codeGen__TPPLST_codeGen_JoinModifierpcodeGen_WebNodeVariableExpression_modifier;
typedef struct codeGen__TPLST_codeGen_MD5ModifierpcodeGen_WebNodeVariableExpression_modifier* codeGen__TPPLST_codeGen_MD5ModifierpcodeGen_WebNodeVariableExpression_modifier;
typedef struct codeGen__TPLST_codeGen_JoinModifierpcodeGen_WebNodeSessionExpression_modifier* codeGen__TPPLST_codeGen_JoinModifierpcodeGen_WebNodeSessionExpression_modifier;
typedef struct codeGen__TPLST_codeGen_MD5ModifierpcodeGen_WebNodeSessionExpression_modifier* codeGen__TPPLST_codeGen_MD5ModifierpcodeGen_WebNodeSessionExpression_modifier;
typedef struct codeGen__TPLST_codeGen_DataSourceActualParampcodeGen_ListOutputElement_dataSourceActualParams* codeGen__TPPLST_codeGen_DataSourceActualParampcodeGen_ListOutputElement_dataSourceActualParams;
typedef struct codeGen__TPLST_codeGen_ListOutputColumnpcodeGen_ListOutputElement_columns* codeGen__TPPLST_codeGen_ListOutputColumnpcodeGen_ListOutputElement_columns;
typedef struct codeGen__TPLST_codeGen_ActionConnectionpcodeGen_ListOutputActionConnectionsContent_actionConnections* codeGen__TPPLST_codeGen_ActionConnectionpcodeGen_ListOutputActionConnectionsContent_actionConnections;
typedef struct codeGen__TPLST_codeGen_ListOutputActualParampcodeGen_ActionConnection_actualParams* codeGen__TPPLST_codeGen_ListOutputActualParampcodeGen_ActionConnection_actualParams;
typedef struct codeGen__TPLST_codeGen_MapAreapcodeGen_ImageMap_mapAreas* codeGen__TPPLST_codeGen_MapAreapcodeGen_ImageMap_mapAreas;
typedef struct codeGen__TPLST_0pcodeGen_Root_library* codeGen__TPPLST_0pcodeGen_Root_library;
typedef struct codeGen__TPLST_0pcodeGen_Library_navigationElement* codeGen__TPPLST_0pcodeGen_Library_navigationElement;
typedef struct codeGen__TPLST_0pcodeGen_WebApplication_frames* codeGen__TPPLST_0pcodeGen_WebApplication_frames;
typedef struct codeGen__TPLST_0pcodeGen_WebApplication_roles* codeGen__TPPLST_0pcodeGen_WebApplication_roles;
typedef struct codeGen__TPLST_0pcodeGen_WebApplication_linksExtern* codeGen__TPPLST_0pcodeGen_WebApplication_linksExtern;
typedef struct codeGen__TPLST_0pcodeGen_RootWebZone_webTargets* codeGen__TPPLST_0pcodeGen_RootWebZone_webTargets;
typedef struct codeGen__TPLST_0pcodeGen_RootWebZone_roles* codeGen__TPPLST_0pcodeGen_RootWebZone_roles;
typedef struct codeGen__TPLST_0pcodeGen_SubWebZone_webTargets* codeGen__TPPLST_0pcodeGen_SubWebZone_webTargets;
typedef struct codeGen__TPLST_0pcodeGen_SubWebZone_roles* codeGen__TPPLST_0pcodeGen_SubWebZone_roles;
typedef struct codeGen__TPLST_0pcodeGen_WebPage_formalParameter* codeGen__TPPLST_0pcodeGen_WebPage_formalParameter;
typedef struct codeGen__TPLST_0pcodeGen_Frame_components* codeGen__TPPLST_0pcodeGen_Frame_components;
typedef struct codeGen__TPLST_0pcodeGen_GlobalFrame_components* codeGen__TPPLST_0pcodeGen_GlobalFrame_components;
typedef struct codeGen__TPLST_0pcodeGen_NavigationBar_elements* codeGen__TPPLST_0pcodeGen_NavigationBar_elements;
typedef struct codeGen__TPLST_0pcodeGen_MetaInformation_elements* codeGen__TPPLST_0pcodeGen_MetaInformation_elements;
typedef struct codeGen__TPLST_0pcodeGen_DataBase_dataSources* codeGen__TPPLST_0pcodeGen_DataBase_dataSources;
typedef struct codeGen__TPLST_0pcodeGen_DataBase_dataSourceModifications* codeGen__TPPLST_0pcodeGen_DataBase_dataSourceModifications;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceTable_columns* codeGen__TPPLST_0pcodeGen_DataSourceTable_columns;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceProjection_formalParameters* codeGen__TPPLST_0pcodeGen_DataSourceProjection_formalParameters;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceProjection_condition* codeGen__TPPLST_0pcodeGen_DataSourceProjection_condition;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceProjection_projectionColumns* codeGen__TPPLST_0pcodeGen_DataSourceProjection_projectionColumns;
typedef struct codeGen__TPLST_0pcodeGen_LimitDataSource_formalParameters* codeGen__TPPLST_0pcodeGen_LimitDataSource_formalParameters;
typedef struct codeGen__TPLST_0pcodeGen_OrderedDataSource_orderColumns* codeGen__TPPLST_0pcodeGen_OrderedDataSource_orderColumns;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceInsert_formalParams* codeGen__TPPLST_0pcodeGen_DataSourceInsert_formalParams;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceInsert_values* codeGen__TPPLST_0pcodeGen_DataSourceInsert_values;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceUpdate_formalParams* codeGen__TPPLST_0pcodeGen_DataSourceUpdate_formalParams;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceUpdate_values* codeGen__TPPLST_0pcodeGen_DataSourceUpdate_values;
typedef struct codeGen__TPLST_0pcodeGen_DataSourceDelete_formalParams* codeGen__TPPLST_0pcodeGen_DataSourceDelete_formalParams;
typedef struct codeGen__TPLST_0pcodeGen_Paragraph_fragments* codeGen__TPPLST_0pcodeGen_Paragraph_fragments;
typedef struct codeGen__TPLST_0pcodeGen_Table_rows* codeGen__TPPLST_0pcodeGen_Table_rows;
typedef struct codeGen__TPLST_0pcodeGen_Table_columns* codeGen__TPPLST_0pcodeGen_Table_columns;
typedef struct codeGen__TPLST_0pcodeGen_TableRow_cells* codeGen__TPPLST_0pcodeGen_TableRow_cells;
typedef struct codeGen__TPLST_0pcodeGen_StyleSheet_custom* codeGen__TPPLST_0pcodeGen_StyleSheet_custom;
typedef struct codeGen__TPLST_0pcodeGen_StyleSheet_default* codeGen__TPPLST_0pcodeGen_StyleSheet_default;
typedef struct codeGen__TPLST_0pcodeGen_CustomStyleSheetBlock_pairs* codeGen__TPPLST_0pcodeGen_CustomStyleSheetBlock_pairs;
typedef struct codeGen__TPLST_0pcodeGen_HtmlStyleSheetBlock_pairs* codeGen__TPPLST_0pcodeGen_HtmlStyleSheetBlock_pairs;
typedef struct codeGen__TPLST_0pcodeGen_ActionHandler_params* codeGen__TPPLST_0pcodeGen_ActionHandler_params;
typedef struct codeGen__TPLST_0pcodeGen_WebAction_formalParameter* codeGen__TPPLST_0pcodeGen_WebAction_formalParameter;
typedef struct codeGen__TPLST_0pcodeGen_WebAction_operations* codeGen__TPPLST_0pcodeGen_WebAction_operations;
typedef struct codeGen__TPLST_0pcodeGen_DataBaseOperation_errorhandler* codeGen__TPPLST_0pcodeGen_DataBaseOperation_errorhandler;
typedef struct codeGen__TPLST_0pcodeGen_DataBaseOperation_params* codeGen__TPPLST_0pcodeGen_DataBaseOperation_params;
typedef struct codeGen__TPLST_0pcodeGen_JavaOperation_errorhandler* codeGen__TPPLST_0pcodeGen_JavaOperation_errorhandler;
typedef struct codeGen__TPLST_0pcodeGen_MailingOperation_errorhandler* codeGen__TPPLST_0pcodeGen_MailingOperation_errorhandler;
typedef struct codeGen__TPLST_0pcodeGen_LogoutOperation_errorhandler* codeGen__TPPLST_0pcodeGen_LogoutOperation_errorhandler;
typedef struct codeGen__TPLST_0pcodeGen_LoginOperation_errorhandler* codeGen__TPPLST_0pcodeGen_LoginOperation_errorhandler;
typedef struct codeGen__TPLST_0pcodeGen_Formular_elements* codeGen__TPPLST_0pcodeGen_Formular_elements;
typedef struct codeGen__TPLST_0pcodeGen_Formular_actualParams* codeGen__TPPLST_0pcodeGen_Formular_actualParams;
typedef struct codeGen__TPLST_0pcodeGen_FormularRadioGroupElement_validator* codeGen__TPPLST_0pcodeGen_FormularRadioGroupElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularRadioGroupElement_converter* codeGen__TPPLST_0pcodeGen_FormularRadioGroupElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularRadioGroupElement_elements* codeGen__TPPLST_0pcodeGen_FormularRadioGroupElement_elements;
typedef struct codeGen__TPLST_0pcodeGen_FormularTextElement_validator* codeGen__TPPLST_0pcodeGen_FormularTextElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularTextElement_converter* codeGen__TPPLST_0pcodeGen_FormularTextElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularTextAreaElement_validator* codeGen__TPPLST_0pcodeGen_FormularTextAreaElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularTextAreaElement_converter* codeGen__TPPLST_0pcodeGen_FormularTextAreaElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularPasswordElement_validator* codeGen__TPPLST_0pcodeGen_FormularPasswordElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularPasswordElement_converter* codeGen__TPPLST_0pcodeGen_FormularPasswordElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularDateElement_validator* codeGen__TPPLST_0pcodeGen_FormularDateElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularDateElement_converter* codeGen__TPPLST_0pcodeGen_FormularDateElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularFileUploadElement_validator* codeGen__TPPLST_0pcodeGen_FormularFileUploadElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularFileUploadElement_converter* codeGen__TPPLST_0pcodeGen_FormularFileUploadElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularCheckboxElement_validator* codeGen__TPPLST_0pcodeGen_FormularCheckboxElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularCheckboxElement_converter* codeGen__TPPLST_0pcodeGen_FormularCheckboxElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularSelectElement_validator* codeGen__TPPLST_0pcodeGen_FormularSelectElement_validator;
typedef struct codeGen__TPLST_0pcodeGen_FormularSelectElement_converter* codeGen__TPPLST_0pcodeGen_FormularSelectElement_converter;
typedef struct codeGen__TPLST_0pcodeGen_FormularConstantSelectOption_options* codeGen__TPPLST_0pcodeGen_FormularConstantSelectOption_options;
typedef struct codeGen__TPLST_0pcodeGen_WebNodeConstantExpression_modifier* codeGen__TPPLST_0pcodeGen_WebNodeConstantExpression_modifier;
typedef struct codeGen__TPLST_0pcodeGen_WebNodeVariableExpression_modifier* codeGen__TPPLST_0pcodeGen_WebNodeVariableExpression_modifier;
typedef struct codeGen__TPLST_0pcodeGen_WebNodeSessionExpression_modifier* codeGen__TPPLST_0pcodeGen_WebNodeSessionExpression_modifier;
typedef struct codeGen__TPLST_0pcodeGen_ListOutputElement_dataSourceActualParams* codeGen__TPPLST_0pcodeGen_ListOutputElement_dataSourceActualParams;
typedef struct codeGen__TPLST_0pcodeGen_ListOutputElement_columns* codeGen__TPPLST_0pcodeGen_ListOutputElement_columns;
typedef struct codeGen__TPLST_0pcodeGen_ListOutputActionConnectionsContent_actionConnections* codeGen__TPPLST_0pcodeGen_ListOutputActionConnectionsContent_actionConnections;
typedef struct codeGen__TPLST_0pcodeGen_ActionConnection_actualParams* codeGen__TPPLST_0pcodeGen_ActionConnection_actualParams;
typedef struct codeGen__TPLST_0pcodeGen_ImageMap_mapAreas* codeGen__TPPLST_0pcodeGen_ImageMap_mapAreas;

struct codeGen__TSVIEWROOT
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Root
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATdummyString;
PTGNode _ATdummyPTGNode;
VLString _AToutputDirectory;
MERootPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Root_webApp
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Root_library
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATimagePath;
VLString _ATpackageName;
VLString _ATpageEncoding;
int _ATusesDatabase;
MEWebApplicationPtr _ATobjPtr;
VLString _ATpers_mailFromAddress;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Library
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELibraryPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Library_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Library_navigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_NavigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_NavigationElement_code
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_NavigationElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_entrancePage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_webZone
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_navigationBar
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_styleSheet
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _AT_const11;
};

struct codeGen__TScodeGen_WebApplication_frames
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_meta
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const21;
};

struct codeGen__TScodeGen_WebApplication_database
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_linksExtern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_imagePath
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_packageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_pageEncoding
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_header
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_footer
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_mailHost
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_mailFromAddress
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebApplication_catalinaHome
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_RootWebZone
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERootWebZonePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_NavigationBar
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPNumberedList_elementCount;
};

struct codeGen__TScodeGen_StyleSheet
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATfileName;
MEStyleSheetPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_GlobalFrame
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEGlobalFramePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_MetaInformation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataBase
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataBasePtr _ATobjPtr;
VLString _ATpers_dataBaseType;
VLString _ATpers_prefix;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_WebRole
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebRolePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_LinkTargetExtern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELinkTargetExternPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_RootWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_RootWebZone_errorLink
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_RootWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_RootWebZone_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebAction
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _ATsuccessPage;
int _ATformAction;
PTGNode _ATactionCode;
PTGNode _AToperationMethodDefinitions;
MEWebActionPtr _ATobjPtr;
VLString _ATpers_name;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_WebPage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATbeanName;
PTGNode _ATinputHiddens;
MEWebPagePtr _ATobjPtr;
VLString _ATpers_name;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_SubWebZone
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESubWebZonePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_WebRoleRef
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebRoleRefPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_SubWebZone_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SubWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SubWebZone_errorLink
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SubWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SubWebZone_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SubWebZone_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebRole_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebRole_color
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebRoleRef_role
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebPage_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebPage_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const35;
PTGNode _AT_const36;
PTGNode _AT_const39;
PTGNode _AT_const43;
PTGNode _AT_const47;
};

struct codeGen__TScodeGen_WebPage_title
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebPage_frame
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebPage_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebPage_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeFormalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeFormalParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Frame
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFramePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageMap
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEImageMapPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_OutputMessagesElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOutputMessagesElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Formular
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularPtr _ATobjPtr;
VLObjectPointer _ATpers_action;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Table
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METablePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Heading
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_Paragraph
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEParagraphPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FrameRef
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFrameRefPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_GlobalFrame_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_GlobalFrame_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_NavigationBar_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_NavigationBar_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_NavigationBar_alignment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_NavigationBarElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPNumberedElement_number;
};

struct codeGen__TScodeGen_NavigationBarElement_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_NavigationBarElement_target
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FrameRef_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FrameRef_frame
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MetaInformation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MetaInformation_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MetaInformationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_MetaInformationElement_property
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MetaInformationElement_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_userName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_userPassword
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_hostName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_port
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_dataBaseType
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_prefix
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_dataSourceModifications
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBase_modifySetSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceJoinPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_OrderedDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOrderedDataSourcePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_LimitDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELimitDataSourcePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceProjection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceProjectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceTable
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATcapitalizedName;
VLString _ATlowerName;
MEDataSourceTablePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceDelete
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceDeletePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceUpdate
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceUpdatePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceInsert
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceInsertPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBColumn_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DBColumn_type
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DBColumn_notNull
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DBColumn_primaryKey
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DBBlob
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBBlobPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBBoolean
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBTimeStamp
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBDate
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBBigInt
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBDouble
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBFloat
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBLong
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBInteger
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBText
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBString
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBHasMany
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasManyPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBHasOne
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasOnePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DBHasOne_dataSourceTable
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DBHasMany_dataSourceTable
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DBBlob_contentType
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceTable_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceTable_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceTable_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceProjection_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceProjection_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceProjection_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceProjection_sourceDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceProjection_projectionColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceFormalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceFormalParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ComputationExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEComputationExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ParameterValueExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEParameterValueExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ProjectionColumnValueExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEProjectionColumnValueExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ColumnValueExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColumnValueExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ConstantExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEConstantExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_PredefinedExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPredefinedExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_UnaryExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEUnaryExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_BinaryExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEBinaryExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ComputationProjection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEComputationProjectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ColumnProjection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColumnProjectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ColumnProjection_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ColumnProjection_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ComputationProjection_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ComputationProjection_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ComputationProjection_computation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LimitDataSource_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LimitDataSource_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LimitDataSource_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LimitDataSource_sourceDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LimitDataSource_firstRow
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LimitDataSource_maxRows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OrderedDataSource_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OrderedDataSource_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OrderedDataSource_sourceDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OrderedDataSource_orderColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OrderColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOrderColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_OrderColumn_orderColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OrderColumn_order
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_BinaryExpression_leftOperand
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_BinaryExpression_rightOperand
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_BinaryExpression_operator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_UnaryExpression_operand
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_UnaryExpression_operator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_PredefinedExpression_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ConstantExpression_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ColumnValueExpression_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ProjectionColumnValueExpression_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ParameterValueExpression_parameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ComputationExpression_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ComputationExpression_computation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceValue_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceValue_expression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin_dataSource1
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin_dataSource2
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin_columnRef1
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin_columnRef2
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceJoin_joinOperator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceInsert_targetDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceInsert_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceInsert_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceInsert_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceInsert_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceUpdate_targetDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceUpdate_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceUpdate_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceUpdate_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceUpdate_conditions
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceUpdate_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceDelete_targetDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceDelete_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceDelete_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceDelete_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceDelete_conditions
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceActualParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceActualParam_formalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceActualParam_expressions
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeSessionExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeSessionExpressionPtr _ATobjPtr;
PTGNode _ATcodeThisModified;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_WebNodeVariableExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
VLObjectPointer _ATpers_content;
PTGNode _ATcode;
PTGNode _ATmodifier;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_WebNodeConstantExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
PTGNode _ATcodeThisModified;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataSourceFormalParam_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataSourceFormalParam_type
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Paragraph_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Paragraph_fragments
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OutputFragment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOutputFragmentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ImageFragment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEImageFragmentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_TextFragment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METextFragmentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_TextFragment_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_TextFragment_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_TextFragment_fontstyle
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_width
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_height
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_border
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_verticalAlign
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_float
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_text
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageFragment_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Heading_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Heading_text
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Heading_level
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Table_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Table_rows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Table_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_TableRow
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METableRowPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_TableColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_TableRow_cells
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_TableCell
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METableCellPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_TableCell_columnRef
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_TableCell_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StyleSheet_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StyleSheet_custom
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const75;
};

struct codeGen__TScodeGen_StyleSheet_default
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const75;
};

struct codeGen__TScodeGen_CustomStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomStyleSheetBlockPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_HtmlStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHtmlStyleSheetBlockPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_CustomStyleSheetBlock_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StyleSheetPair
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPairPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_StyleSheetPair_category
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StyleSheetPair_attribute
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StyleSheetPair_valueCategory
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StyleSheetPair_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_CustomValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_AlignmentValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEAlignmentValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_HeadingValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_StyleValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FamilyValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFamilyValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ColorValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColorValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_SizeValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESizeValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_SizeValue_measure
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SizeValue_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ColorValue_color
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FamilyValue_family
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StyleValue_style
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_HeadingValue_heading
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_AlignmentValue_alignment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListValue_listed
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_CustomValue_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_HtmlStyleSheetBlock_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ActionHandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionHandlerPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ActionHandler_targetpage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ActionHandler_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeActualParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeActualParamPtr _ATobjPtr;
VLObjectPointer _ATpers_formalParam;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_WebAction_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebAction_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const86;
};

struct codeGen__TScodeGen_WebAction_successpage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const82;
};

struct codeGen__TScodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebAction_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELoginOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_LogoutOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELogoutOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_MailingOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtemplateName;
MEMailingOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_JavaOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJavaOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataBaseOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataBaseOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBaseOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBaseOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBaseOperation_filter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DataBaseOperation_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_JavaOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_JavaOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_JavaOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_JavaOperation_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MailingOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MailingOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MailingOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MailingOperation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MailingOperation_mailTo
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MailingOperation_subject
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MailingOperation_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LogoutOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LogoutOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LogoutOperation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_userDBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_passwdDBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_rolesDBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_userFormField
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LoginOperation_passwdFormField
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Formular_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Formular_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Formular_action
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Formular_dataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Formular_dataSourceId
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_Formular_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularSelectElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularCheckboxElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularCheckboxElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularFileUploadElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularFileUploadElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularDateElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularDateElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularPasswordElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularPasswordElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularTextAreaElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextAreaElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularTextElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularRadioGroupElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularRadioGroupElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_EmailValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_CreditCardValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_RegExprValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_RegExprValidator_pattern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StringLengthValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_StringLengthValidator_min
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_StringLengthValidator_max
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LongRangeValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_LongRangeValidator_min
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LongRangeValidator_max
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DoubleRangeValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DoubleRangeValidator_min
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DoubleRangeValidator_max
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_IntegerNumberConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DoubleNumberConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_IntegerConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_LongConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_BigIntegerConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FloatConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DoubleConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_BooleanConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_DateTimeConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_PatternConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_PatternConverter_pattern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_layout
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioGroupElement_checked
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularRadioElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularTextElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularTextAreaElement_rows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularPasswordElement_redisplay
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDateElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDateElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDateElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDateElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDateElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularFileUploadElement_accept
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularCheckboxElement_checked
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_options
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_size
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularSelectElement_multiple
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDataSourceSelectOption
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularDataSourceSelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularConstantSelectOption
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularConstantSelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SelectOption
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_SelectOption_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_SelectOption_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDataSourceSelectOption_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDataSourceSelectOption_dataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDataSourceSelectOption_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularDataSourceSelectOption_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioElement_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_FormularRadioElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeActualParam_formalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeActualParam_expressions
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const136;
};

struct codeGen__TScodeGen_WebNodeFormalParam_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeFormalParam_type
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MD5Modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_JoinModifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_JoinModifier_separator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_WebNodeSessionExpression_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OutputFragment_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OutputFragment_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OutputMessagesElement_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OutputMessagesElement_errorStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OutputMessagesElement_infoStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_OutputMessagesElement_layout
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputActualParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputActualParam_formalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputActualParam_expression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_dataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_maxNumberOfElements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_renderAs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_navigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_headerStyleClass
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_evenRowStyleClass
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputElement_oddRowStyleClass
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputColumn_header
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputColumn_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputActionConnectionsContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActionConnectionsContentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputNumerationContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputNumerationContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputProjectionContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputProjectionContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputRefContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputRefContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputConstantContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputConstantContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ListOutputConstantContent_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputRefContent_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputProjectionContent_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputNumerationContent_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ActionConnection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionConnectionPtr _ATobjPtr;
VLObjectPointer _ATpers_action;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_ActionConnection_action
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ActionConnection_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ActionConnection_text
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ActionConnection_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LinkTargetExtern_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_LinkTargetExtern_url
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageMap_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageMap_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageMap_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageMap_altText
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_ImageMap_mapAreas
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MapArea
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMapAreaPtr _ATobjPtr;
VLObjectPointer _ATobjId;
};

struct codeGen__TScodeGen_MapArea_altText
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MapArea_coords
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MapArea_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TScodeGen_MapArea_queryString
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Root_library
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Library_navigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebApplication_frames
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebApplication_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebApplication_linksExtern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_RootWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_RootWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_SubWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_SubWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebPage_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_NavigationBar_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_MetaInformation_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataBase_dataSourceModifications
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceTable_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceProjection_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceProjection_projectionColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_LimitDataSource_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_OrderedDataSource_orderColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceInsert_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceInsert_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceUpdate_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceUpdate_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataSourceDelete_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Paragraph_fragments
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Table_rows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Table_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_TableRow_cells
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_StyleSheet_custom
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_StyleSheet_default
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_ActionHandler_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebAction_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_DataBaseOperation_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_JavaOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_MailingOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_LoginOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_Formular_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularRadioGroupElement_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_ListOutputElement_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TSLST_codeGen_ActionConnection_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const147;
};

struct codeGen__TSLST_codeGen_ImageMap_mapAreas
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpEmpty
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpVIEWROOT_codeGen
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Root _desc1;
};

struct codeGen__TPpcodeGen_Root
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATdummyString;
PTGNode _ATdummyPTGNode;
VLString _AToutputDirectory;
MERootPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_Root_webApp _desc1;
codeGen__TSPcodeGen_Root_library _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_Root_library
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Root_library _desc1;
};

struct codeGen__TPpcodeGen_Library
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELibraryPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_Library_name _desc1;
codeGen__TSPcodeGen_Library_navigationElement _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_Library_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Library_navigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Library_navigationElement _desc1;
};

struct codeGen__TPpcodeGen_NavigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_NavigationElement_code _desc1;
codeGen__TSPcodeGen_NavigationElement_name _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_NavigationElement_code
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_NavigationElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATimagePath;
VLString _ATpackageName;
VLString _ATpageEncoding;
int _ATusesDatabase;
MEWebApplicationPtr _ATobjPtr;
VLString _ATpers_mailFromAddress;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebApplication_name _desc1;
codeGen__TSPcodeGen_WebApplication_entrancePage _desc2;
codeGen__TSPcodeGen_WebApplication_webZone _desc3;
codeGen__TSPcodeGen_WebApplication_navigationBar _desc4;
codeGen__TSPcodeGen_WebApplication_styleSheet _desc5;
codeGen__TSPcodeGen_WebApplication_frames _desc6;
codeGen__TSPcodeGen_WebApplication_meta _desc7;
codeGen__TSPcodeGen_WebApplication_database _desc8;
codeGen__TSPcodeGen_WebApplication_roles _desc9;
codeGen__TSPcodeGen_WebApplication_linksExtern _desc10;
codeGen__TSPcodeGen_WebApplication_imagePath _desc11;
codeGen__TSPcodeGen_WebApplication_packageName _desc12;
codeGen__TSPcodeGen_WebApplication_pageEncoding _desc13;
codeGen__TSPcodeGen_WebApplication_header _desc14;
codeGen__TSPcodeGen_WebApplication_footer _desc15;
codeGen__TSPcodeGen_WebApplication_mailHost _desc16;
codeGen__TSPcodeGen_WebApplication_mailFromAddress _desc17;
codeGen__TSPcodeGen_WebApplication_catalinaHome _desc18;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebApplication_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_entrancePage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_frames
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_WebApplication_frames _desc1;
};

struct codeGen__TPpcodeGen_WebApplication_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_WebApplication_roles _desc1;
};

struct codeGen__TPpcodeGen_WebApplication_linksExtern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_WebApplication_linksExtern _desc1;
};

struct codeGen__TPpcodeGen_WebApplication_imagePath
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_packageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_pageEncoding
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_header
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_footer
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_mailHost
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_mailFromAddress
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebApplication_catalinaHome
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_RootWebZone
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERootWebZonePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_RootWebZone_webTargets _desc1;
codeGen__TSPcodeGen_RootWebZone_errorLink _desc2;
codeGen__TSPcodeGen_RootWebZone_roles _desc3;
codeGen__TSPcodeGen_RootWebZone_setSize _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_RootWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_RootWebZone_webTargets _desc1;
};

struct codeGen__TPpcodeGen_RootWebZone_errorLink
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_RootWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_RootWebZone_roles _desc1;
};

struct codeGen__TPpcodeGen_RootWebZone_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_SubWebZone
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESubWebZonePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_SubWebZone_name _desc1;
codeGen__TSPcodeGen_SubWebZone_webTargets _desc2;
codeGen__TSPcodeGen_SubWebZone_errorLink _desc3;
codeGen__TSPcodeGen_SubWebZone_roles _desc4;
codeGen__TSPcodeGen_SubWebZone_setSize _desc5;
codeGen__TSPcodeGen_SubWebZone_position _desc6;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_SubWebZone_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_SubWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_SubWebZone_webTargets _desc1;
};

struct codeGen__TPpcodeGen_SubWebZone_errorLink
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_SubWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_SubWebZone_roles _desc1;
};

struct codeGen__TPpcodeGen_SubWebZone_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_SubWebZone_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebRole
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebRolePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebRole_name _desc1;
codeGen__TSPcodeGen_WebRole_color _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebRole_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebRole_color
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebRoleRef
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebRoleRefPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebRoleRef_role _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebRoleRef_role
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebPage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATbeanName;
PTGNode _ATinputHiddens;
MEWebPagePtr _ATobjPtr;
VLString _ATpers_name;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebPage_name _desc1;
codeGen__TSPcodeGen_WebPage_formalParameter _desc2;
codeGen__TSPcodeGen_WebPage_title _desc3;
codeGen__TSPcodeGen_WebPage_frame _desc4;
codeGen__TSPcodeGen_WebPage_styleSheetBlock _desc5;
codeGen__TSPcodeGen_WebPage_position _desc6;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebPage_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebPage_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const35;
PTGNode _AT_const36;
PTGNode _AT_const39;
PTGNode _AT_const43;
PTGNode _AT_const47;
codeGen__TSPLST_codeGen_WebPage_formalParameter _desc1;
};

struct codeGen__TPpcodeGen_WebPage_title
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebPage_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebPage_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Frame
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFramePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_Frame_components _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Frame_components _desc1;
};

struct codeGen__TPpcodeGen_GlobalFrame
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEGlobalFramePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_GlobalFrame_name _desc1;
codeGen__TSPcodeGen_GlobalFrame_components _desc2;
codeGen__TSPcodeGen_GlobalFrame_setSize _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_GlobalFrame_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_GlobalFrame_components _desc1;
};

struct codeGen__TPpcodeGen_GlobalFrame_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_NavigationBar
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPNumberedList_elementCount;
codeGen__TSPcodeGen_NavigationBar_styleSheetBlock _desc1;
codeGen__TSPcodeGen_NavigationBar_elements _desc2;
codeGen__TSPcodeGen_NavigationBar_alignment _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_NavigationBar_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_NavigationBar_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_NavigationBar_elements _desc1;
};

struct codeGen__TPpcodeGen_NavigationBar_alignment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_NavigationBarElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MENavigationBarElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
int _ATVPNumberedElement_number;
codeGen__TSPcodeGen_NavigationBarElement_imageName _desc1;
codeGen__TSPcodeGen_NavigationBarElement_target _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_NavigationBarElement_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_NavigationBarElement_target
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FrameRef
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFrameRefPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FrameRef_styleSheetBlock _desc1;
codeGen__TSPcodeGen_FrameRef_frame _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FrameRef_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FrameRef_frame
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MetaInformation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_MetaInformation_name _desc1;
codeGen__TSPcodeGen_MetaInformation_elements _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_MetaInformation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MetaInformation_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_MetaInformation_elements _desc1;
};

struct codeGen__TPpcodeGen_MetaInformationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMetaInformationElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_MetaInformationElement_property _desc1;
codeGen__TSPcodeGen_MetaInformationElement_value _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_MetaInformationElement_property
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MetaInformationElement_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataBasePtr _ATobjPtr;
VLString _ATpers_dataBaseType;
VLString _ATpers_prefix;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataBase_name _desc1;
codeGen__TSPcodeGen_DataBase_userName _desc2;
codeGen__TSPcodeGen_DataBase_userPassword _desc3;
codeGen__TSPcodeGen_DataBase_hostName _desc4;
codeGen__TSPcodeGen_DataBase_port _desc5;
codeGen__TSPcodeGen_DataBase_dataBaseType _desc6;
codeGen__TSPcodeGen_DataBase_prefix _desc7;
codeGen__TSPcodeGen_DataBase_dataSources _desc8;
codeGen__TSPcodeGen_DataBase_dataSourceModifications _desc9;
codeGen__TSPcodeGen_DataBase_setSize _desc10;
codeGen__TSPcodeGen_DataBase_modifySetSize _desc11;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataBase_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_userName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_userPassword
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_hostName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_port
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_dataBaseType
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_prefix
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataBase_dataSources _desc1;
};

struct codeGen__TPpcodeGen_DataBase_dataSourceModifications
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataBase_dataSourceModifications _desc1;
};

struct codeGen__TPpcodeGen_DataBase_setSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBase_modifySetSize
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DBColumn_name _desc1;
codeGen__TSPcodeGen_DBColumn_type _desc2;
codeGen__TSPcodeGen_DBColumn_notNull _desc3;
codeGen__TSPcodeGen_DBColumn_primaryKey _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBColumn_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DBColumn_notNull
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DBColumn_primaryKey
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DBHasOne
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasOnePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DBHasOne_dataSourceTable _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBHasOne_dataSourceTable
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DBHasMany
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBHasManyPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DBHasMany_dataSourceTable _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBHasMany_dataSourceTable
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DBString
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBText
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBInteger
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBLong
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBFloat
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBDouble
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBBigInt
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBDate
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBTimeStamp
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBBoolean
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBBlob
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDBBlobPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DBBlob_contentType _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DBBlob_contentType
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceTable
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATcapitalizedName;
VLString _ATlowerName;
MEDataSourceTablePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceTable_name _desc1;
codeGen__TSPcodeGen_DataSourceTable_position _desc2;
codeGen__TSPcodeGen_DataSourceTable_columns _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceTable_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceTable_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceTable_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceTable_columns _desc1;
};

struct codeGen__TPpcodeGen_DataSourceProjection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceProjectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceProjection_name _desc1;
codeGen__TSPcodeGen_DataSourceProjection_position _desc2;
codeGen__TSPcodeGen_DataSourceProjection_formalParameters _desc3;
codeGen__TSPcodeGen_DataSourceProjection_sourceDataSource _desc4;
codeGen__TSPcodeGen_DataSourceProjection_condition _desc5;
codeGen__TSPcodeGen_DataSourceProjection_projectionColumns _desc6;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceProjection_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceProjection_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceProjection_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceProjection_formalParameters _desc1;
};

struct codeGen__TPpcodeGen_DataSourceProjection_sourceDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc1;
};

struct codeGen__TPpcodeGen_DataSourceProjection_projectionColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceProjection_projectionColumns _desc1;
};

struct codeGen__TPpcodeGen_ColumnProjection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColumnProjectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ColumnProjection_name _desc1;
codeGen__TSPcodeGen_ColumnProjection_column _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ColumnProjection_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ColumnProjection_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ComputationProjection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEComputationProjectionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ComputationProjection_name _desc1;
codeGen__TSPcodeGen_ComputationProjection_column _desc2;
codeGen__TSPcodeGen_ComputationProjection_computation _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ComputationProjection_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ComputationProjection_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ComputationProjection_computation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LimitDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELimitDataSourcePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_LimitDataSource_name _desc1;
codeGen__TSPcodeGen_LimitDataSource_position _desc2;
codeGen__TSPcodeGen_LimitDataSource_formalParameters _desc3;
codeGen__TSPcodeGen_LimitDataSource_sourceDataSource _desc4;
codeGen__TSPcodeGen_LimitDataSource_firstRow _desc5;
codeGen__TSPcodeGen_LimitDataSource_maxRows _desc6;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_LimitDataSource_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LimitDataSource_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LimitDataSource_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_LimitDataSource_formalParameters _desc1;
};

struct codeGen__TPpcodeGen_LimitDataSource_sourceDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OrderedDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOrderedDataSourcePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_OrderedDataSource_name _desc1;
codeGen__TSPcodeGen_OrderedDataSource_position _desc2;
codeGen__TSPcodeGen_OrderedDataSource_sourceDataSource _desc3;
codeGen__TSPcodeGen_OrderedDataSource_orderColumns _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_OrderedDataSource_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OrderedDataSource_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OrderedDataSource_sourceDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OrderedDataSource_orderColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_OrderedDataSource_orderColumns _desc1;
};

struct codeGen__TPpcodeGen_OrderColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOrderColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_OrderColumn_orderColumn _desc1;
codeGen__TSPcodeGen_OrderColumn_order _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_OrderColumn_orderColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OrderColumn_order
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_BinaryExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEBinaryExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_BinaryExpression_leftOperand _desc1;
codeGen__TSPcodeGen_BinaryExpression_rightOperand _desc2;
codeGen__TSPcodeGen_BinaryExpression_operator _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_BinaryExpression_operator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_UnaryExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEUnaryExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_UnaryExpression_operand _desc1;
codeGen__TSPcodeGen_UnaryExpression_operator _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_UnaryExpression_operator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_PredefinedExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPredefinedExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_PredefinedExpression_value _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_PredefinedExpression_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ConstantExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEConstantExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ConstantExpression_value _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ConstantExpression_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ColumnValueExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColumnValueExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ColumnValueExpression_column _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ColumnValueExpression_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ProjectionColumnValueExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEProjectionColumnValueExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ProjectionColumnValueExpression_column _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ProjectionColumnValueExpression_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ParameterValueExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEParameterValueExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ParameterValueExpression_parameter _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ParameterValueExpression_parameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ComputationExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEComputationExpressionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ComputationExpression_column _desc1;
codeGen__TSPcodeGen_ComputationExpression_computation _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ComputationExpression_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ComputationExpression_computation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceValue_column _desc1;
codeGen__TSPcodeGen_DataSourceValue_expression _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceValue_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceJoin
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceJoinPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceJoin_name _desc1;
codeGen__TSPcodeGen_DataSourceJoin_position _desc2;
codeGen__TSPcodeGen_DataSourceJoin_dataSource1 _desc3;
codeGen__TSPcodeGen_DataSourceJoin_dataSource2 _desc4;
codeGen__TSPcodeGen_DataSourceJoin_columnRef1 _desc5;
codeGen__TSPcodeGen_DataSourceJoin_columnRef2 _desc6;
codeGen__TSPcodeGen_DataSourceJoin_joinOperator _desc7;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceJoin_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceJoin_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceJoin_dataSource1
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceJoin_dataSource2
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceJoin_columnRef1
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceJoin_columnRef2
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceJoin_joinOperator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceInsert
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceInsertPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceInsert_targetDataSource _desc1;
codeGen__TSPcodeGen_DataSourceInsert_formalParams _desc2;
codeGen__TSPcodeGen_DataSourceInsert_name _desc3;
codeGen__TSPcodeGen_DataSourceInsert_position _desc4;
codeGen__TSPcodeGen_DataSourceInsert_values _desc5;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceInsert_targetDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceInsert_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceInsert_formalParams _desc1;
};

struct codeGen__TPpcodeGen_DataSourceInsert_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceInsert_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceInsert_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceInsert_values _desc1;
};

struct codeGen__TPpcodeGen_DataSourceUpdate
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceUpdatePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceUpdate_targetDataSource _desc1;
codeGen__TSPcodeGen_DataSourceUpdate_formalParams _desc2;
codeGen__TSPcodeGen_DataSourceUpdate_name _desc3;
codeGen__TSPcodeGen_DataSourceUpdate_position _desc4;
codeGen__TSPcodeGen_DataSourceUpdate_conditions _desc5;
codeGen__TSPcodeGen_DataSourceUpdate_values _desc6;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceUpdate_targetDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceUpdate_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceUpdate_formalParams _desc1;
};

struct codeGen__TPpcodeGen_DataSourceUpdate_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceUpdate_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceUpdate_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceUpdate_values _desc1;
};

struct codeGen__TPpcodeGen_DataSourceDelete
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceDeletePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceDelete_targetDataSource _desc1;
codeGen__TSPcodeGen_DataSourceDelete_formalParams _desc2;
codeGen__TSPcodeGen_DataSourceDelete_name _desc3;
codeGen__TSPcodeGen_DataSourceDelete_position _desc4;
codeGen__TSPcodeGen_DataSourceDelete_conditions _desc5;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceDelete_targetDataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceDelete_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataSourceDelete_formalParams _desc1;
};

struct codeGen__TPpcodeGen_DataSourceDelete_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceDelete_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceActualParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceActualParam_formalParam _desc1;
codeGen__TSPcodeGen_DataSourceActualParam_expressions _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceActualParam_formalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataSourceFormalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataSourceFormalParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataSourceFormalParam_name _desc1;
codeGen__TSPcodeGen_DataSourceFormalParam_type _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataSourceFormalParam_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Paragraph
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEParagraphPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_Paragraph_styleSheetBlock _desc1;
codeGen__TSPcodeGen_Paragraph_fragments _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_Paragraph_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Paragraph_fragments
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Paragraph_fragments _desc1;
};

struct codeGen__TPpcodeGen_TextFragment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METextFragmentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_TextFragment_link _desc1;
codeGen__TSPcodeGen_TextFragment_value _desc2;
codeGen__TSPcodeGen_TextFragment_fontstyle _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_TextFragment_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_TextFragment_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_TextFragment_fontstyle
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEImageFragmentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ImageFragment_link _desc1;
codeGen__TSPcodeGen_ImageFragment_width _desc2;
codeGen__TSPcodeGen_ImageFragment_height _desc3;
codeGen__TSPcodeGen_ImageFragment_border _desc4;
codeGen__TSPcodeGen_ImageFragment_verticalAlign _desc5;
codeGen__TSPcodeGen_ImageFragment_float _desc6;
codeGen__TSPcodeGen_ImageFragment_text _desc7;
codeGen__TSPcodeGen_ImageFragment_imageName _desc8;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ImageFragment_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment_width
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment_height
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment_border
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment_verticalAlign
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment_float
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment_text
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageFragment_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Heading
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_Heading_styleSheetBlock _desc1;
codeGen__TSPcodeGen_Heading_text _desc2;
codeGen__TSPcodeGen_Heading_level _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_Heading_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Heading_text
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Heading_level
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Table
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METablePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_Table_styleSheetBlock _desc1;
codeGen__TSPcodeGen_Table_rows _desc2;
codeGen__TSPcodeGen_Table_columns _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_Table_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Table_rows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Table_rows _desc1;
};

struct codeGen__TPpcodeGen_Table_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Table_columns _desc1;
};

struct codeGen__TPpcodeGen_TableRow
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METableRowPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_TableRow_cells _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_TableRow_cells
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_TableRow_cells _desc1;
};

struct codeGen__TPpcodeGen_TableColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_TableCell
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
METableCellPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_TableCell_columnRef _desc1;
codeGen__TSPcodeGen_TableCell_content _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_TableCell_columnRef
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StyleSheet
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATfileName;
MEStyleSheetPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_StyleSheet_name _desc1;
codeGen__TSPcodeGen_StyleSheet_custom _desc2;
codeGen__TSPcodeGen_StyleSheet_default _desc3;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_StyleSheet_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StyleSheet_custom
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const75;
codeGen__TSPLST_codeGen_StyleSheet_custom _desc1;
};

struct codeGen__TPpcodeGen_StyleSheet_default
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const75;
codeGen__TSPLST_codeGen_StyleSheet_default _desc1;
};

struct codeGen__TPpcodeGen_CustomStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomStyleSheetBlockPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_CustomStyleSheetBlock_pairs _desc1;
codeGen__TSPcodeGen_CustomStyleSheetBlock_name _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_CustomStyleSheetBlock_pairs _desc1;
};

struct codeGen__TPpcodeGen_CustomStyleSheetBlock_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StyleSheetPair
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleSheetPairPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_StyleSheetPair_category _desc1;
codeGen__TSPcodeGen_StyleSheetPair_attribute _desc2;
codeGen__TSPcodeGen_StyleSheetPair_valueCategory _desc3;
codeGen__TSPcodeGen_StyleSheetPair_value _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_StyleSheetPair_category
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StyleSheetPair_attribute
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StyleSheetPair_valueCategory
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_SizeValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESizeValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_SizeValue_measure _desc1;
codeGen__TSPcodeGen_SizeValue_value _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_SizeValue_measure
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_SizeValue_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ColorValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEColorValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ColorValue_color _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ColorValue_color
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FamilyValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFamilyValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FamilyValue_family _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FamilyValue_family
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StyleValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStyleValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_StyleValue_style _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_StyleValue_style
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_HeadingValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHeadingValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_HeadingValue_heading _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_HeadingValue_heading
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_AlignmentValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEAlignmentValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_AlignmentValue_alignment _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_AlignmentValue_alignment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListValue_listed _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListValue_listed
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_CustomValue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MECustomValuePtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_CustomValue_value _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_CustomValue_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_HtmlStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEHtmlStyleSheetBlockPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_HtmlStyleSheetBlock_pairs _desc1;
codeGen__TSPcodeGen_HtmlStyleSheetBlock_name _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_HtmlStyleSheetBlock_pairs _desc1;
};

struct codeGen__TPpcodeGen_HtmlStyleSheetBlock_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ActionHandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionHandlerPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ActionHandler_targetpage _desc1;
codeGen__TSPcodeGen_ActionHandler_params _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ActionHandler_targetpage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ActionHandler_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_ActionHandler_params _desc1;
};

struct codeGen__TPpcodeGen_WebAction
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _ATsuccessPage;
int _ATformAction;
PTGNode _ATactionCode;
PTGNode _AToperationMethodDefinitions;
MEWebActionPtr _ATobjPtr;
VLString _ATpers_name;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebAction_name _desc1;
codeGen__TSPcodeGen_WebAction_formalParameter _desc2;
codeGen__TSPcodeGen_WebAction_successpage _desc3;
codeGen__TSPcodeGen_WebAction_operations _desc4;
codeGen__TSPcodeGen_WebAction_position _desc5;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebAction_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebAction_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const86;
codeGen__TSPLST_codeGen_WebAction_formalParameter _desc1;
};

struct codeGen__TPpcodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_WebAction_operations _desc1;
};

struct codeGen__TPpcodeGen_WebAction_position
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBaseOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDataBaseOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DataBaseOperation_errorhandler _desc1;
codeGen__TSPcodeGen_DataBaseOperation_successMessage _desc2;
codeGen__TSPcodeGen_DataBaseOperation_errorMessage _desc3;
codeGen__TSPcodeGen_DataBaseOperation_filter _desc4;
codeGen__TSPcodeGen_DataBaseOperation_params _desc5;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataBaseOperation_errorhandler _desc1;
};

struct codeGen__TPpcodeGen_DataBaseOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBaseOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBaseOperation_filter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DataBaseOperation_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_DataBaseOperation_params _desc1;
};

struct codeGen__TPpcodeGen_JavaOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJavaOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_JavaOperation_errorhandler _desc1;
codeGen__TSPcodeGen_JavaOperation_successMessage _desc2;
codeGen__TSPcodeGen_JavaOperation_errorMessage _desc3;
codeGen__TSPcodeGen_JavaOperation_content _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_JavaOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_JavaOperation_errorhandler _desc1;
};

struct codeGen__TPpcodeGen_JavaOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_JavaOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_JavaOperation_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MailingOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _ATtemplateName;
MEMailingOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_MailingOperation_errorhandler _desc1;
codeGen__TSPcodeGen_MailingOperation_successMessage _desc2;
codeGen__TSPcodeGen_MailingOperation_errorMessage _desc3;
codeGen__TSPcodeGen_MailingOperation_name _desc4;
codeGen__TSPcodeGen_MailingOperation_mailTo _desc5;
codeGen__TSPcodeGen_MailingOperation_subject _desc6;
codeGen__TSPcodeGen_MailingOperation_content _desc7;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_MailingOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_MailingOperation_errorhandler _desc1;
};

struct codeGen__TPpcodeGen_MailingOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MailingOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MailingOperation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MailingOperation_mailTo
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MailingOperation_subject
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MailingOperation_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LogoutOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELogoutOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_LogoutOperation_errorhandler _desc1;
codeGen__TSPcodeGen_LogoutOperation_successMessage _desc2;
codeGen__TSPcodeGen_LogoutOperation_errorMessage _desc3;
codeGen__TSPcodeGen_LogoutOperation_name _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_LogoutOperation_errorhandler _desc1;
};

struct codeGen__TPpcodeGen_LogoutOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LogoutOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LogoutOperation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELoginOperationPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_LoginOperation_errorhandler _desc1;
codeGen__TSPcodeGen_LoginOperation_successMessage _desc2;
codeGen__TSPcodeGen_LoginOperation_errorMessage _desc3;
codeGen__TSPcodeGen_LoginOperation_name _desc4;
codeGen__TSPcodeGen_LoginOperation_userDBColumn _desc5;
codeGen__TSPcodeGen_LoginOperation_passwdDBColumn _desc6;
codeGen__TSPcodeGen_LoginOperation_rolesDBColumn _desc7;
codeGen__TSPcodeGen_LoginOperation_userFormField _desc8;
codeGen__TSPcodeGen_LoginOperation_passwdFormField _desc9;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_LoginOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_LoginOperation_errorhandler _desc1;
};

struct codeGen__TPpcodeGen_LoginOperation_successMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation_errorMessage
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation_userDBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation_passwdDBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation_rolesDBColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation_userFormField
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LoginOperation_passwdFormField
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Formular
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularPtr _ATobjPtr;
VLObjectPointer _ATpers_action;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_Formular_styleSheetBlock _desc1;
codeGen__TSPcodeGen_Formular_name _desc2;
codeGen__TSPcodeGen_Formular_action _desc3;
codeGen__TSPcodeGen_Formular_dataSource _desc4;
codeGen__TSPcodeGen_Formular_dataSourceId _desc5;
codeGen__TSPcodeGen_Formular_elements _desc6;
codeGen__TSPcodeGen_Formular_actualParams _desc7;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_Formular_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Formular_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Formular_action
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Formular_dataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Formular_dataSourceId
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Formular_elements _desc1;
};

struct codeGen__TPpcodeGen_Formular_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_Formular_actualParams _desc1;
};

struct codeGen__TPpcodeGen_EmailValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_CreditCardValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_RegExprValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MERegExprValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_RegExprValidator_pattern _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_RegExprValidator_pattern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StringLengthValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEStringLengthValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_StringLengthValidator_min _desc1;
codeGen__TSPcodeGen_StringLengthValidator_max _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_StringLengthValidator_min
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_StringLengthValidator_max
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LongRangeValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELongRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_LongRangeValidator_min _desc1;
codeGen__TSPcodeGen_LongRangeValidator_max _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_LongRangeValidator_min
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LongRangeValidator_max
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DoubleRangeValidator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleRangeValidatorPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DoubleRangeValidator_min _desc1;
codeGen__TSPcodeGen_DoubleRangeValidator_max _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DoubleRangeValidator_min
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DoubleRangeValidator_max
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_IntegerNumberConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEIntegerNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_IntegerNumberConverter_minIntegerDigits _desc1;
codeGen__TSPcodeGen_IntegerNumberConverter_maxIntegerDigits _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_IntegerNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_IntegerNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DoubleNumberConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEDoubleNumberConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_DoubleNumberConverter_minIntegerDigits _desc1;
codeGen__TSPcodeGen_DoubleNumberConverter_maxIntegerDigits _desc2;
codeGen__TSPcodeGen_DoubleNumberConverter_minFractionDigits _desc3;
codeGen__TSPcodeGen_DoubleNumberConverter_maxFractionDigits _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DoubleNumberConverter_minIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DoubleNumberConverter_maxIntegerDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DoubleNumberConverter_minFractionDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_DoubleNumberConverter_maxFractionDigits
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_IntegerConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_LongConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_BigIntegerConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FloatConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DoubleConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_BooleanConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_DateTimeConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_PatternConverter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEPatternConverterPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_PatternConverter_pattern _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_PatternConverter_pattern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularRadioGroupElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularRadioGroupElement_name _desc1;
codeGen__TSPcodeGen_FormularRadioGroupElement_label _desc2;
codeGen__TSPcodeGen_FormularRadioGroupElement_description _desc3;
codeGen__TSPcodeGen_FormularRadioGroupElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularRadioGroupElement_required _desc5;
codeGen__TSPcodeGen_FormularRadioGroupElement_validator _desc6;
codeGen__TSPcodeGen_FormularRadioGroupElement_converter _desc7;
codeGen__TSPcodeGen_FormularRadioGroupElement_layout _desc8;
codeGen__TSPcodeGen_FormularRadioGroupElement_elements _desc9;
codeGen__TSPcodeGen_FormularRadioGroupElement_checked _desc10;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_layout
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularRadioGroupElement_elements _desc1;
};

struct codeGen__TPpcodeGen_FormularRadioGroupElement_checked
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularTextElement_name _desc1;
codeGen__TSPcodeGen_FormularTextElement_label _desc2;
codeGen__TSPcodeGen_FormularTextElement_description _desc3;
codeGen__TSPcodeGen_FormularTextElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularTextElement_required _desc5;
codeGen__TSPcodeGen_FormularTextElement_validator _desc6;
codeGen__TSPcodeGen_FormularTextElement_converter _desc7;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularTextElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularTextElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularTextAreaElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularTextAreaElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularTextAreaElement_name _desc1;
codeGen__TSPcodeGen_FormularTextAreaElement_label _desc2;
codeGen__TSPcodeGen_FormularTextAreaElement_description _desc3;
codeGen__TSPcodeGen_FormularTextAreaElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularTextAreaElement_required _desc5;
codeGen__TSPcodeGen_FormularTextAreaElement_validator _desc6;
codeGen__TSPcodeGen_FormularTextAreaElement_converter _desc7;
codeGen__TSPcodeGen_FormularTextAreaElement_rows _desc8;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularTextAreaElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularTextAreaElement_rows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularPasswordElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularPasswordElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularPasswordElement_name _desc1;
codeGen__TSPcodeGen_FormularPasswordElement_label _desc2;
codeGen__TSPcodeGen_FormularPasswordElement_description _desc3;
codeGen__TSPcodeGen_FormularPasswordElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularPasswordElement_required _desc5;
codeGen__TSPcodeGen_FormularPasswordElement_validator _desc6;
codeGen__TSPcodeGen_FormularPasswordElement_converter _desc7;
codeGen__TSPcodeGen_FormularPasswordElement_redisplay _desc8;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularPasswordElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularPasswordElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularPasswordElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularPasswordElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularPasswordElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularPasswordElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularPasswordElement_redisplay
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDateElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularDateElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularDateElement_name _desc1;
codeGen__TSPcodeGen_FormularDateElement_label _desc2;
codeGen__TSPcodeGen_FormularDateElement_description _desc3;
codeGen__TSPcodeGen_FormularDateElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularDateElement_required _desc5;
codeGen__TSPcodeGen_FormularDateElement_validator _desc6;
codeGen__TSPcodeGen_FormularDateElement_converter _desc7;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularDateElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDateElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDateElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDateElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDateElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularDateElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularFileUploadElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularFileUploadElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularFileUploadElement_name _desc1;
codeGen__TSPcodeGen_FormularFileUploadElement_label _desc2;
codeGen__TSPcodeGen_FormularFileUploadElement_description _desc3;
codeGen__TSPcodeGen_FormularFileUploadElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularFileUploadElement_required _desc5;
codeGen__TSPcodeGen_FormularFileUploadElement_validator _desc6;
codeGen__TSPcodeGen_FormularFileUploadElement_converter _desc7;
codeGen__TSPcodeGen_FormularFileUploadElement_accept _desc8;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularFileUploadElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularFileUploadElement_accept
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularCheckboxElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularCheckboxElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularCheckboxElement_name _desc1;
codeGen__TSPcodeGen_FormularCheckboxElement_label _desc2;
codeGen__TSPcodeGen_FormularCheckboxElement_description _desc3;
codeGen__TSPcodeGen_FormularCheckboxElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularCheckboxElement_required _desc5;
codeGen__TSPcodeGen_FormularCheckboxElement_validator _desc6;
codeGen__TSPcodeGen_FormularCheckboxElement_converter _desc7;
codeGen__TSPcodeGen_FormularCheckboxElement_value _desc8;
codeGen__TSPcodeGen_FormularCheckboxElement_checked _desc9;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularCheckboxElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularCheckboxElement_checked
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularSelectElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularSelectElementPtr _ATobjPtr;
VLString _ATpers_name;
VLString _ATlowerName;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularSelectElement_name _desc1;
codeGen__TSPcodeGen_FormularSelectElement_label _desc2;
codeGen__TSPcodeGen_FormularSelectElement_description _desc3;
codeGen__TSPcodeGen_FormularSelectElement_pvalue _desc4;
codeGen__TSPcodeGen_FormularSelectElement_required _desc5;
codeGen__TSPcodeGen_FormularSelectElement_validator _desc6;
codeGen__TSPcodeGen_FormularSelectElement_converter _desc7;
codeGen__TSPcodeGen_FormularSelectElement_options _desc8;
codeGen__TSPcodeGen_FormularSelectElement_size _desc9;
codeGen__TSPcodeGen_FormularSelectElement_multiple _desc10;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularSelectElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularSelectElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularSelectElement_description
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularSelectElement_pvalue
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularSelectElement_required
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularSelectElement_validator _desc1;
};

struct codeGen__TPpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc1;
};

struct codeGen__TPpcodeGen_FormularSelectElement_size
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularSelectElement_multiple
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularConstantSelectOption
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularConstantSelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularConstantSelectOption_options _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_FormularConstantSelectOption_options _desc1;
};

struct codeGen__TPpcodeGen_SelectOption
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MESelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_SelectOption_value _desc1;
codeGen__TSPcodeGen_SelectOption_label _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_SelectOption_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_SelectOption_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDataSourceSelectOption
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularDataSourceSelectOptionPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularDataSourceSelectOption_name _desc1;
codeGen__TSPcodeGen_FormularDataSourceSelectOption_dataSource _desc2;
codeGen__TSPcodeGen_FormularDataSourceSelectOption_value _desc3;
codeGen__TSPcodeGen_FormularDataSourceSelectOption_label _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_dataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularDataSourceSelectOption_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEFormularRadioElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_FormularRadioElement_value _desc1;
codeGen__TSPcodeGen_FormularRadioElement_label _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_FormularRadioElement_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_FormularRadioElement_label
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebNodeActualParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeActualParamPtr _ATobjPtr;
VLObjectPointer _ATpers_formalParam;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebNodeActualParam_formalParam _desc1;
codeGen__TSPcodeGen_WebNodeActualParam_expressions _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebNodeActualParam_formalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebNodeFormalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeFormalParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebNodeFormalParam_name _desc1;
codeGen__TSPcodeGen_WebNodeFormalParam_type _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebNodeFormalParam_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MD5Modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLObjectPointer _ATobjId;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_JoinModifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEJoinModifierPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_JoinModifier_separator _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_JoinModifier_separator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebNodeConstantExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeConstantExpressionPtr _ATobjPtr;
PTGNode _ATcodeThisModified;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebNodeConstantExpression_modifier _desc1;
codeGen__TSPcodeGen_WebNodeConstantExpression_value _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_WebNodeConstantExpression_modifier _desc1;
};

struct codeGen__TPpcodeGen_WebNodeConstantExpression_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebNodeVariableExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeVariableExpressionPtr _ATobjPtr;
VLObjectPointer _ATpers_content;
PTGNode _ATcode;
PTGNode _ATmodifier;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebNodeVariableExpression_modifier _desc1;
codeGen__TSPcodeGen_WebNodeVariableExpression_content _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_WebNodeVariableExpression_modifier _desc1;
};

struct codeGen__TPpcodeGen_WebNodeVariableExpression_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_WebNodeSessionExpression
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEWebNodeSessionExpressionPtr _ATobjPtr;
PTGNode _ATcodeThisModified;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_WebNodeSessionExpression_modifier _desc1;
codeGen__TSPcodeGen_WebNodeSessionExpression_content _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_WebNodeSessionExpression_modifier _desc1;
};

struct codeGen__TPpcodeGen_WebNodeSessionExpression_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OutputFragment
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOutputFragmentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_OutputFragment_link _desc1;
codeGen__TSPcodeGen_OutputFragment_content _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_OutputFragment_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OutputFragment_content
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OutputMessagesElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEOutputMessagesElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_OutputMessagesElement_styleSheetBlock _desc1;
codeGen__TSPcodeGen_OutputMessagesElement_errorStyleSheetBlock _desc2;
codeGen__TSPcodeGen_OutputMessagesElement_infoStyleSheetBlock _desc3;
codeGen__TSPcodeGen_OutputMessagesElement_layout _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_OutputMessagesElement_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OutputMessagesElement_errorStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OutputMessagesElement_infoStyleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_OutputMessagesElement_layout
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputActualParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActualParamPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputActualParam_formalParam _desc1;
codeGen__TSPcodeGen_ListOutputActualParam_expression _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputActualParam_formalParam
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputElementPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputElement_styleSheetBlock _desc1;
codeGen__TSPcodeGen_ListOutputElement_name _desc2;
codeGen__TSPcodeGen_ListOutputElement_dataSourceActualParams _desc3;
codeGen__TSPcodeGen_ListOutputElement_dataSource _desc4;
codeGen__TSPcodeGen_ListOutputElement_maxNumberOfElements _desc5;
codeGen__TSPcodeGen_ListOutputElement_renderAs _desc6;
codeGen__TSPcodeGen_ListOutputElement_navigationElement _desc7;
codeGen__TSPcodeGen_ListOutputElement_columns _desc8;
codeGen__TSPcodeGen_ListOutputElement_headerStyleClass _desc9;
codeGen__TSPcodeGen_ListOutputElement_evenRowStyleClass _desc10;
codeGen__TSPcodeGen_ListOutputElement_oddRowStyleClass _desc11;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputElement_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_ListOutputElement_dataSourceActualParams _desc1;
};

struct codeGen__TPpcodeGen_ListOutputElement_dataSource
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_maxNumberOfElements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_renderAs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_navigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_ListOutputElement_columns _desc1;
};

struct codeGen__TPpcodeGen_ListOutputElement_headerStyleClass
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_evenRowStyleClass
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputElement_oddRowStyleClass
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputColumn
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputColumnPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputColumn_header _desc1;
codeGen__TSPcodeGen_ListOutputColumn_content _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputColumn_header
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputConstantContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputConstantContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputConstantContent_value _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputConstantContent_value
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputRefContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputRefContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputRefContent_column _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputRefContent_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputProjectionContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputProjectionContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputProjectionContent_column _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputProjectionContent_column
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputNumerationContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputNumerationContentPtr _ATobjPtr;
PTGNode _ATcode;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputNumerationContent_name _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputNumerationContent_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ListOutputActionConnectionsContent
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEListOutputActionConnectionsContentPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ListOutputActionConnectionsContent_actionConnections _desc1;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_ListOutputActionConnectionsContent_actionConnections _desc1;
};

struct codeGen__TPpcodeGen_ActionConnection
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEActionConnectionPtr _ATobjPtr;
VLObjectPointer _ATpers_action;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ActionConnection_action _desc1;
codeGen__TSPcodeGen_ActionConnection_imageName _desc2;
codeGen__TSPcodeGen_ActionConnection_text _desc3;
codeGen__TSPcodeGen_ActionConnection_actualParams _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ActionConnection_action
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ActionConnection_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ActionConnection_text
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ActionConnection_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_ActionConnection_actualParams _desc1;
};

struct codeGen__TPpcodeGen_LinkTargetExtern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MELinkTargetExternPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_LinkTargetExtern_name _desc1;
codeGen__TSPcodeGen_LinkTargetExtern_url _desc2;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_LinkTargetExtern_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_LinkTargetExtern_url
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageMap
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEImageMapPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_ImageMap_styleSheetBlock _desc1;
codeGen__TSPcodeGen_ImageMap_name _desc2;
codeGen__TSPcodeGen_ImageMap_imageName _desc3;
codeGen__TSPcodeGen_ImageMap_altText _desc4;
codeGen__TSPcodeGen_ImageMap_mapAreas _desc5;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_ImageMap_styleSheetBlock
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageMap_name
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageMap_imageName
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageMap_altText
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_ImageMap_mapAreas
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPLST_codeGen_ImageMap_mapAreas _desc1;
};

struct codeGen__TPpcodeGen_MapArea
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
MEMapAreaPtr _ATobjPtr;
VLObjectPointer _ATobjId;
codeGen__TSPcodeGen_MapArea_altText _desc1;
codeGen__TSPcodeGen_MapArea_coords _desc2;
codeGen__TSPcodeGen_MapArea_link _desc3;
codeGen__TSPcodeGen_MapArea_queryString _desc4;
int _ATTERM_1;
};

struct codeGen__TPpcodeGen_MapArea_altText
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MapArea_coords
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MapArea_link
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPpcodeGen_MapArea_queryString
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
};

struct codeGen__TPrule_1
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebApplication _desc1;
};

struct codeGen__TPrule_2
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RootWebZone _desc1;
};

struct codeGen__TPrule_3
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_NavigationBar _desc1;
};

struct codeGen__TPrule_4
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
VLString _AT_const11;
codeGen__TSPcodeGen_StyleSheet _desc1;
};

struct codeGen__TPrule_5
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const21;
codeGen__TSPcodeGen_MetaInformation _desc1;
};

struct codeGen__TPrule_6
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataBase _desc1;
};

struct codeGen__TPrule_7
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Frame _desc1;
};

struct codeGen__TPrule_8
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBlob _desc1;
};

struct codeGen__TPrule_9
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBoolean _desc1;
};

struct codeGen__TPrule_10
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBTimeStamp _desc1;
};

struct codeGen__TPrule_11
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBDate _desc1;
};

struct codeGen__TPrule_12
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBigInt _desc1;
};

struct codeGen__TPrule_13
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBDouble _desc1;
};

struct codeGen__TPrule_14
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBFloat _desc1;
};

struct codeGen__TPrule_15
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBLong _desc1;
};

struct codeGen__TPrule_16
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBInteger _desc1;
};

struct codeGen__TPrule_17
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBText _desc1;
};

struct codeGen__TPrule_18
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBString _desc1;
};

struct codeGen__TPrule_19
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBHasMany _desc1;
};

struct codeGen__TPrule_20
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBHasOne _desc1;
};

struct codeGen__TPrule_21
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_22
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_23
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_24
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_25
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_26
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_27
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_28
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_29
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_30
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_31
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_32
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_33
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_34
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_35
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_36
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_37
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_38
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_39
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_40
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_41
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_42
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_43
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_44
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_45
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_46
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_47
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_48
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_49
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_50
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_51
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_52
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_53
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_54
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_55
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_56
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_57
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_58
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_59
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_60
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_61
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_62
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_63
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_64
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_65
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_66
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_67
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_68
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_69
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_70
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_71
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_72
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_73
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_74
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_75
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_76
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_77
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_78
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_79
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_80
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_81
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_82
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_83
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_84
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_85
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebNodeSessionExpression _desc1;
};

struct codeGen__TPrule_86
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebNodeVariableExpression _desc1;
};

struct codeGen__TPrule_87
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebNodeConstantExpression _desc1;
};

struct codeGen__TPrule_88
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBlob _desc1;
};

struct codeGen__TPrule_89
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBoolean _desc1;
};

struct codeGen__TPrule_90
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBTimeStamp _desc1;
};

struct codeGen__TPrule_91
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBDate _desc1;
};

struct codeGen__TPrule_92
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBigInt _desc1;
};

struct codeGen__TPrule_93
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBDouble _desc1;
};

struct codeGen__TPrule_94
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBFloat _desc1;
};

struct codeGen__TPrule_95
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBLong _desc1;
};

struct codeGen__TPrule_96
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBInteger _desc1;
};

struct codeGen__TPrule_97
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBText _desc1;
};

struct codeGen__TPrule_98
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBString _desc1;
};

struct codeGen__TPrule_99
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBHasMany _desc1;
};

struct codeGen__TPrule_100
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBHasOne _desc1;
};

struct codeGen__TPrule_101
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Frame _desc1;
};

struct codeGen__TPrule_102
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CustomValue _desc1;
};

struct codeGen__TPrule_103
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListValue _desc1;
};

struct codeGen__TPrule_104
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_AlignmentValue _desc1;
};

struct codeGen__TPrule_105
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_HeadingValue _desc1;
};

struct codeGen__TPrule_106
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StyleValue _desc1;
};

struct codeGen__TPrule_107
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FamilyValue _desc1;
};

struct codeGen__TPrule_108
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColorValue _desc1;
};

struct codeGen__TPrule_109
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_SizeValue _desc1;
};

struct codeGen__TPrule_110
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const82;
codeGen__TSPcodeGen_ActionHandler _desc1;
};

struct codeGen__TPrule_111
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularDataSourceSelectOption _desc1;
};

struct codeGen__TPrule_112
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularConstantSelectOption _desc1;
};

struct codeGen__TPrule_113
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const136;
codeGen__TSPcodeGen_WebNodeSessionExpression _desc1;
};

struct codeGen__TPrule_114
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const136;
codeGen__TSPcodeGen_WebNodeVariableExpression _desc1;
};

struct codeGen__TPrule_115
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const136;
codeGen__TSPcodeGen_WebNodeConstantExpression _desc1;
};

struct codeGen__TPrule_116
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBlob _desc1;
};

struct codeGen__TPrule_117
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBoolean _desc1;
};

struct codeGen__TPrule_118
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBTimeStamp _desc1;
};

struct codeGen__TPrule_119
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBDate _desc1;
};

struct codeGen__TPrule_120
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBBigInt _desc1;
};

struct codeGen__TPrule_121
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBDouble _desc1;
};

struct codeGen__TPrule_122
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBFloat _desc1;
};

struct codeGen__TPrule_123
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBLong _desc1;
};

struct codeGen__TPrule_124
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBInteger _desc1;
};

struct codeGen__TPrule_125
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBText _desc1;
};

struct codeGen__TPrule_126
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBString _desc1;
};

struct codeGen__TPrule_127
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBHasMany _desc1;
};

struct codeGen__TPrule_128
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBHasOne _desc1;
};

struct codeGen__TPrule_129
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
};

struct codeGen__TPrule_130
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
};

struct codeGen__TPrule_131
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
};

struct codeGen__TPrule_132
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
};

struct codeGen__TPrule_133
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
};

struct codeGen__TPrule_134
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
};

struct codeGen__TPrule_135
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
};

struct codeGen__TPrule_136
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
};

struct codeGen__TPrule_137
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputActionConnectionsContent _desc1;
};

struct codeGen__TPrule_138
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputNumerationContent _desc1;
};

struct codeGen__TPrule_139
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputProjectionContent _desc1;
};

struct codeGen__TPrule_140
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputRefContent _desc1;
};

struct codeGen__TPrule_141
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputConstantContent _desc1;
};

struct codeGen__TPLST_codeGen_LibrarypcodeGen_Root_library
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Library _desc1;
codeGen__TSPLST_codeGen_Root_library _desc2;
};

struct codeGen__TPLST_codeGen_NavigationElementpcodeGen_Library_navigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_NavigationElement _desc1;
codeGen__TSPLST_codeGen_Library_navigationElement _desc2;
};

struct codeGen__TPLST_codeGen_GlobalFramepcodeGen_WebApplication_frames
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_GlobalFrame _desc1;
codeGen__TSPLST_codeGen_WebApplication_frames _desc2;
};

struct codeGen__TPLST_codeGen_WebRolepcodeGen_WebApplication_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebRole _desc1;
codeGen__TSPLST_codeGen_WebApplication_roles _desc2;
};

struct codeGen__TPLST_codeGen_LinkTargetExternpcodeGen_WebApplication_linksExtern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LinkTargetExtern _desc1;
codeGen__TSPLST_codeGen_WebApplication_linksExtern _desc2;
};

struct codeGen__TPLST_codeGen_WebActionpcodeGen_RootWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebAction _desc1;
codeGen__TSPLST_codeGen_RootWebZone_webTargets _desc2;
};

struct codeGen__TPLST_codeGen_WebPagepcodeGen_RootWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebPage _desc1;
codeGen__TSPLST_codeGen_RootWebZone_webTargets _desc2;
};

struct codeGen__TPLST_codeGen_SubWebZonepcodeGen_RootWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_SubWebZone _desc1;
codeGen__TSPLST_codeGen_RootWebZone_webTargets _desc2;
};

struct codeGen__TPLST_codeGen_WebRoleRefpcodeGen_RootWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebRoleRef _desc1;
codeGen__TSPLST_codeGen_RootWebZone_roles _desc2;
};

struct codeGen__TPLST_codeGen_WebActionpcodeGen_SubWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebAction _desc1;
codeGen__TSPLST_codeGen_SubWebZone_webTargets _desc2;
};

struct codeGen__TPLST_codeGen_WebPagepcodeGen_SubWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebPage _desc1;
codeGen__TSPLST_codeGen_SubWebZone_webTargets _desc2;
};

struct codeGen__TPLST_codeGen_SubWebZonepcodeGen_SubWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_SubWebZone _desc1;
codeGen__TSPLST_codeGen_SubWebZone_webTargets _desc2;
};

struct codeGen__TPLST_codeGen_WebRoleRefpcodeGen_SubWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebRoleRef _desc1;
codeGen__TSPLST_codeGen_SubWebZone_roles _desc2;
};

struct codeGen__TPLST_codeGen_WebNodeFormalParampcodeGen_WebPage_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebNodeFormalParam _desc1;
codeGen__TSPLST_codeGen_WebPage_formalParameter _desc2;
};

struct codeGen__TPLST_codeGen_ImageMappcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ImageMap _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_ListOutputElementpcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputElement _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_OutputMessagesElementpcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_OutputMessagesElement _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_FormularpcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Formular _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_TablepcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Table _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_HeadingpcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Heading _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_ParagraphpcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Paragraph _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_FrameRefpcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FrameRef _desc1;
codeGen__TSPLST_codeGen_Frame_components _desc2;
};

struct codeGen__TPLST_codeGen_ImageMappcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ImageMap _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_ListOutputElementpcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputElement _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_OutputMessagesElementpcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_OutputMessagesElement _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_FormularpcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Formular _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_TablepcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Table _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_HeadingpcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Heading _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_ParagraphpcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_Paragraph _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_FrameRefpcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FrameRef _desc1;
codeGen__TSPLST_codeGen_GlobalFrame_components _desc2;
};

struct codeGen__TPLST_codeGen_NavigationBarElementpcodeGen_NavigationBar_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_NavigationBarElement _desc1;
codeGen__TSPLST_codeGen_NavigationBar_elements _desc2;
};

struct codeGen__TPLST_codeGen_MetaInformationElementpcodeGen_MetaInformation_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_MetaInformationElement _desc1;
codeGen__TSPLST_codeGen_MetaInformation_elements _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceJoinpcodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceJoin _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSources _desc2;
};

struct codeGen__TPLST_codeGen_OrderedDataSourcepcodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_OrderedDataSource _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSources _desc2;
};

struct codeGen__TPLST_codeGen_LimitDataSourcepcodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LimitDataSource _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSources _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceProjectionpcodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceProjection _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSources _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceTablepcodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceTable _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSources _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceDeletepcodeGen_DataBase_dataSourceModifications
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceDelete _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSourceModifications _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceUpdatepcodeGen_DataBase_dataSourceModifications
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceUpdate _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSourceModifications _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceInsertpcodeGen_DataBase_dataSourceModifications
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceInsert _desc1;
codeGen__TSPLST_codeGen_DataBase_dataSourceModifications _desc2;
};

struct codeGen__TPLST_codeGen_DBColumnpcodeGen_DataSourceTable_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DBColumn _desc1;
codeGen__TSPLST_codeGen_DataSourceTable_columns _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceProjection_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceFormalParam _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_formalParameters _desc2;
};

struct codeGen__TPLST_codeGen_ComputationExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_ParameterValueExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ParameterValueExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_ProjectionColumnValueExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ProjectionColumnValueExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_ColumnValueExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnValueExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_ConstantExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ConstantExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_PredefinedExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PredefinedExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_UnaryExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_UnaryExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_BinaryExpressionpcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BinaryExpression _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_condition _desc2;
};

struct codeGen__TPLST_codeGen_ComputationProjectionpcodeGen_DataSourceProjection_projectionColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ComputationProjection _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_projectionColumns _desc2;
};

struct codeGen__TPLST_codeGen_ColumnProjectionpcodeGen_DataSourceProjection_projectionColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ColumnProjection _desc1;
codeGen__TSPLST_codeGen_DataSourceProjection_projectionColumns _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_LimitDataSource_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceFormalParam _desc1;
codeGen__TSPLST_codeGen_LimitDataSource_formalParameters _desc2;
};

struct codeGen__TPLST_codeGen_OrderColumnpcodeGen_OrderedDataSource_orderColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_OrderColumn _desc1;
codeGen__TSPLST_codeGen_OrderedDataSource_orderColumns _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceInsert_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceFormalParam _desc1;
codeGen__TSPLST_codeGen_DataSourceInsert_formalParams _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceValuepcodeGen_DataSourceInsert_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceValue _desc1;
codeGen__TSPLST_codeGen_DataSourceInsert_values _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceUpdate_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceFormalParam _desc1;
codeGen__TSPLST_codeGen_DataSourceUpdate_formalParams _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceValuepcodeGen_DataSourceUpdate_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceValue _desc1;
codeGen__TSPLST_codeGen_DataSourceUpdate_values _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceFormalParampcodeGen_DataSourceDelete_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceFormalParam _desc1;
codeGen__TSPLST_codeGen_DataSourceDelete_formalParams _desc2;
};

struct codeGen__TPLST_codeGen_OutputFragmentpcodeGen_Paragraph_fragments
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_OutputFragment _desc1;
codeGen__TSPLST_codeGen_Paragraph_fragments _desc2;
};

struct codeGen__TPLST_codeGen_ImageFragmentpcodeGen_Paragraph_fragments
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ImageFragment _desc1;
codeGen__TSPLST_codeGen_Paragraph_fragments _desc2;
};

struct codeGen__TPLST_codeGen_TextFragmentpcodeGen_Paragraph_fragments
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_TextFragment _desc1;
codeGen__TSPLST_codeGen_Paragraph_fragments _desc2;
};

struct codeGen__TPLST_codeGen_TableRowpcodeGen_Table_rows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_TableRow _desc1;
codeGen__TSPLST_codeGen_Table_rows _desc2;
};

struct codeGen__TPLST_codeGen_TableColumnpcodeGen_Table_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_TableColumn _desc1;
codeGen__TSPLST_codeGen_Table_columns _desc2;
};

struct codeGen__TPLST_codeGen_TableCellpcodeGen_TableRow_cells
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_TableCell _desc1;
codeGen__TSPLST_codeGen_TableRow_cells _desc2;
};

struct codeGen__TPLST_codeGen_CustomStyleSheetBlockpcodeGen_StyleSheet_custom
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CustomStyleSheetBlock _desc1;
codeGen__TSPLST_codeGen_StyleSheet_custom _desc2;
};

struct codeGen__TPLST_codeGen_HtmlStyleSheetBlockpcodeGen_StyleSheet_default
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_HtmlStyleSheetBlock _desc1;
codeGen__TSPLST_codeGen_StyleSheet_default _desc2;
};

struct codeGen__TPLST_codeGen_StyleSheetPairpcodeGen_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StyleSheetPair _desc1;
codeGen__TSPLST_codeGen_CustomStyleSheetBlock_pairs _desc2;
};

struct codeGen__TPLST_codeGen_StyleSheetPairpcodeGen_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StyleSheetPair _desc1;
codeGen__TSPLST_codeGen_HtmlStyleSheetBlock_pairs _desc2;
};

struct codeGen__TPLST_codeGen_WebNodeActualParampcodeGen_ActionHandler_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebNodeActualParam _desc1;
codeGen__TSPLST_codeGen_ActionHandler_params _desc2;
};

struct codeGen__TPLST_codeGen_WebNodeFormalParampcodeGen_WebAction_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebNodeFormalParam _desc1;
codeGen__TSPLST_codeGen_WebAction_formalParameter _desc2;
};

struct codeGen__TPLST_codeGen_LoginOperationpcodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LoginOperation _desc1;
codeGen__TSPLST_codeGen_WebAction_operations _desc2;
};

struct codeGen__TPLST_codeGen_LogoutOperationpcodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LogoutOperation _desc1;
codeGen__TSPLST_codeGen_WebAction_operations _desc2;
};

struct codeGen__TPLST_codeGen_MailingOperationpcodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_MailingOperation _desc1;
codeGen__TSPLST_codeGen_WebAction_operations _desc2;
};

struct codeGen__TPLST_codeGen_JavaOperationpcodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_JavaOperation _desc1;
codeGen__TSPLST_codeGen_WebAction_operations _desc2;
};

struct codeGen__TPLST_codeGen_DataBaseOperationpcodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataBaseOperation _desc1;
codeGen__TSPLST_codeGen_WebAction_operations _desc2;
};

struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ActionHandler _desc1;
codeGen__TSPLST_codeGen_DataBaseOperation_errorhandler _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceActualParampcodeGen_DataBaseOperation_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceActualParam _desc1;
codeGen__TSPLST_codeGen_DataBaseOperation_params _desc2;
};

struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_JavaOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ActionHandler _desc1;
codeGen__TSPLST_codeGen_JavaOperation_errorhandler _desc2;
};

struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_MailingOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ActionHandler _desc1;
codeGen__TSPLST_codeGen_MailingOperation_errorhandler _desc2;
};

struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ActionHandler _desc1;
codeGen__TSPLST_codeGen_LogoutOperation_errorhandler _desc2;
};

struct codeGen__TPLST_codeGen_ActionHandlerpcodeGen_LoginOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ActionHandler _desc1;
codeGen__TSPLST_codeGen_LoginOperation_errorhandler _desc2;
};

struct codeGen__TPLST_codeGen_FormularSelectElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularSelectElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_FormularCheckboxElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularCheckboxElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_FormularFileUploadElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularFileUploadElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_FormularDateElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularDateElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_FormularPasswordElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularPasswordElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_FormularTextAreaElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularTextAreaElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_FormularTextElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularTextElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_FormularRadioGroupElementpcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularRadioGroupElement _desc1;
codeGen__TSPLST_codeGen_Formular_elements _desc2;
};

struct codeGen__TPLST_codeGen_WebNodeActualParampcodeGen_Formular_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_WebNodeActualParam _desc1;
codeGen__TSPLST_codeGen_Formular_actualParams _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FormularRadioElementpcodeGen_FormularRadioGroupElement_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FormularRadioElement _desc1;
codeGen__TSPLST_codeGen_FormularRadioGroupElement_elements _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularTextAreaElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularPasswordElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularDateElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularFileUploadElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularCheckboxElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleRangeValidatorpcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_LongRangeValidatorpcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongRangeValidator _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_StringLengthValidatorpcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_StringLengthValidator _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_RegExprValidatorpcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_RegExprValidator _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_CreditCardValidatorpcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_CreditCardValidator _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_EmailValidatorpcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_EmailValidator _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_validator _desc2;
};

struct codeGen__TPLST_codeGen_PatternConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_PatternConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DateTimeConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DateTimeConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BooleanConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BooleanConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_FloatConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_FloatConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_BigIntegerConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_BigIntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_LongConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_LongConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_DoubleNumberConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DoubleNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_IntegerNumberConverterpcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_IntegerNumberConverter _desc1;
codeGen__TSPLST_codeGen_FormularSelectElement_converter _desc2;
};

struct codeGen__TPLST_codeGen_SelectOptionpcodeGen_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_SelectOption _desc1;
codeGen__TSPLST_codeGen_FormularConstantSelectOption_options _desc2;
};

struct codeGen__TPLST_codeGen_JoinModifierpcodeGen_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_JoinModifier _desc1;
codeGen__TSPLST_codeGen_WebNodeConstantExpression_modifier _desc2;
};

struct codeGen__TPLST_codeGen_MD5ModifierpcodeGen_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_MD5Modifier _desc1;
codeGen__TSPLST_codeGen_WebNodeConstantExpression_modifier _desc2;
};

struct codeGen__TPLST_codeGen_JoinModifierpcodeGen_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_JoinModifier _desc1;
codeGen__TSPLST_codeGen_WebNodeVariableExpression_modifier _desc2;
};

struct codeGen__TPLST_codeGen_MD5ModifierpcodeGen_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_MD5Modifier _desc1;
codeGen__TSPLST_codeGen_WebNodeVariableExpression_modifier _desc2;
};

struct codeGen__TPLST_codeGen_JoinModifierpcodeGen_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_JoinModifier _desc1;
codeGen__TSPLST_codeGen_WebNodeSessionExpression_modifier _desc2;
};

struct codeGen__TPLST_codeGen_MD5ModifierpcodeGen_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_MD5Modifier _desc1;
codeGen__TSPLST_codeGen_WebNodeSessionExpression_modifier _desc2;
};

struct codeGen__TPLST_codeGen_DataSourceActualParampcodeGen_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_DataSourceActualParam _desc1;
codeGen__TSPLST_codeGen_ListOutputElement_dataSourceActualParams _desc2;
};

struct codeGen__TPLST_codeGen_ListOutputColumnpcodeGen_ListOutputElement_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ListOutputColumn _desc1;
codeGen__TSPLST_codeGen_ListOutputElement_columns _desc2;
};

struct codeGen__TPLST_codeGen_ActionConnectionpcodeGen_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_ActionConnection _desc1;
codeGen__TSPLST_codeGen_ListOutputActionConnectionsContent_actionConnections _desc2;
};

struct codeGen__TPLST_codeGen_ListOutputActualParampcodeGen_ActionConnection_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const147;
codeGen__TSPcodeGen_ListOutputActualParam _desc1;
codeGen__TSPLST_codeGen_ActionConnection_actualParams _desc2;
};

struct codeGen__TPLST_codeGen_MapAreapcodeGen_ImageMap_mapAreas
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
codeGen__TSPcodeGen_MapArea _desc1;
codeGen__TSPLST_codeGen_ImageMap_mapAreas _desc2;
};

struct codeGen__TPLST_0pcodeGen_Root_library
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_Library_navigationElement
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebApplication_frames
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebApplication_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebApplication_linksExtern
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_RootWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_RootWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_SubWebZone_webTargets
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_SubWebZone_roles
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebPage_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_Frame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_GlobalFrame_components
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_NavigationBar_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_MetaInformation_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataBase_dataSources
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataBase_dataSourceModifications
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceTable_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceProjection_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceProjection_condition
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceProjection_projectionColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_LimitDataSource_formalParameters
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_OrderedDataSource_orderColumns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceInsert_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceInsert_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceUpdate_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceUpdate_values
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataSourceDelete_formalParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_Paragraph_fragments
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_Table_rows
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_Table_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_TableRow_cells
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_StyleSheet_custom
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_StyleSheet_default
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_CustomStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_HtmlStyleSheetBlock_pairs
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_ActionHandler_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebAction_formalParameter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebAction_operations
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataBaseOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_DataBaseOperation_params
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_JavaOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_MailingOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_LogoutOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_LoginOperation_errorhandler
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_Formular_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_Formular_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularRadioGroupElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularRadioGroupElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularRadioGroupElement_elements
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularTextElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularTextElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularTextAreaElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularTextAreaElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularPasswordElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularPasswordElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularDateElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularDateElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularFileUploadElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularFileUploadElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularCheckboxElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularCheckboxElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularSelectElement_validator
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularSelectElement_converter
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_FormularConstantSelectOption_options
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebNodeConstantExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebNodeVariableExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_WebNodeSessionExpression_modifier
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_ListOutputElement_dataSourceActualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_ListOutputElement_columns
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_ListOutputActionConnectionsContent_actionConnections
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_ActionConnection_actualParams
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
PTGNode _AT_const147;
NODEPTR _desc1;
NODEPTR _desc2;
};

struct codeGen__TPLST_0pcodeGen_ImageMap_mapAreas
#ifdef __cplusplus
	: public codeGen_NODEPTR_SUB_struct {
#else
{
_NODECOMMON
#endif
NODEPTR _desc1;
NODEPTR _desc2;
};

#undef _NODECOMMON
#endif
