
/* implementation of tree construction functions */

#include "dataBaseView_node.h"

#include "dataBaseView_nodecode.h"

#include "attrpredef.h"

#include "dataBaseView_visitmap.h"

#include "dataBaseView_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* dataBaseView_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* dataBaseView_TreeNodeAlloc(int size)
#else
char* dataBaseView_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void dataBaseView_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void dataBaseView_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* dataBaseView_TreeNodeAlloc(int size)
#else
char* dataBaseView_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void dataBaseView_InitTree() { }

void dataBaseView_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBVIEWROOT)) return (_currn);
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase)) return (dataBaseView_MkpVIEWROOT_dataBaseView(_coordref, _currn));
return(NULLNODEPTR);
}/* dataBaseView_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceFormalParam)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceFormalParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceFormalParam_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceFormalParam_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceFormalParam_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceFormalParam_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceFormalParam_type (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceFormalParam_type)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceFormalParam_type */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBBlob (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBBlob (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBBlob)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBBlob */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBBoolean (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBBoolean (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBBoolean)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBBoolean */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBTimeStamp (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBTimeStamp (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBTimeStamp)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBTimeStamp */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBDate (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBDate (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBDate)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBDate */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBBigInt (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBBigInt (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBBigInt)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBBigInt */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBDouble (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBDouble (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBDouble)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBDouble */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBFloat (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBFloat (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBFloat)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBFloat */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBLong (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBLong (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBLong)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBLong */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBInteger (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBInteger (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBInteger)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBInteger */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBText (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBText (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBText)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBText */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBString (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBString (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBString)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBString */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBHasMany (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBHasMany (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBHasMany)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBHasMany */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBHasOne (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBHasOne (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBHasOne)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBHasOne */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ColumnProjection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ColumnProjection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ColumnProjection_column)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ColumnProjection_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ColumnProjection_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ColumnProjection_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ColumnProjection_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ColumnProjection_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ColumnProjection_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationProjection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationProjection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_computation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_computation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationProjection_computation)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationProjection_computation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationProjection_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationProjection_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationProjection_column)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationProjection_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_keyword2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_keyword2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationProjection_keyword2)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationProjection_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationProjection_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationProjection_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationProjection_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_BinaryExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_BinaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_BinaryExpression_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_BinaryExpression_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_leftOperand (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_BinaryExpression_leftOperand)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_BinaryExpression_leftOperand */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_operator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_operator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_BinaryExpression_operator)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_BinaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_rightOperand (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_BinaryExpression_rightOperand)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_BinaryExpression_rightOperand */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_keyword2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_BinaryExpression_keyword2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_BinaryExpression_keyword2)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_BinaryExpression_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ParameterValueExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ParameterValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ProjectionColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ColumnValueExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ConstantExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_PredefinedExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_PredefinedExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_PredefinedExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_UnaryExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_UnaryExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_UnaryExpression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_UnaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_UnaryExpression_operator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_UnaryExpression_operator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_UnaryExpression_operator)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_UnaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_UnaryExpression_operand (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_UnaryExpression_operand)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_UnaryExpression_operand */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_PredefinedExpression_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_PredefinedExpression_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_PredefinedExpression_value)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_PredefinedExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ConstantExpression_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ConstantExpression_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ConstantExpression_value)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_keyword2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ConstantExpression_keyword2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ConstantExpression_keyword2)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ConstantExpression_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ColumnValueExpression_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ColumnValueExpression_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ColumnValueExpression_column)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ProjectionColumnValueExpression_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ProjectionColumnValueExpression_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression_column)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ProjectionColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ParameterValueExpression_parameter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ParameterValueExpression_parameter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ParameterValueExpression_parameter)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ParameterValueExpression_parameter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_computation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_computation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationExpression_computation)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationExpression_computation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationExpression_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationExpression_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationExpression_column)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_keyword2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_ComputationExpression_keyword2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_ComputationExpression_keyword2)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_ComputationExpression_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBString_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBString_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBString_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBString_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBText_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBText_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBText_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBText_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBInteger_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBInteger_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBInteger_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBInteger_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBLong_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBLong_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBLong_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBLong_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBFloat_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBFloat_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBFloat_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBFloat_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBDouble_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBDouble_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBDouble_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBDouble_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBBigInt_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBBigInt_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBBigInt_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBBigInt_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBDate_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBDate_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBDate_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBDate_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBTimeStamp_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBTimeStamp_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBTimeStamp_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBTimeStamp_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBBoolean_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBBoolean_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBBoolean_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBBoolean_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBBlob_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBBlob_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBBlob_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBBlob_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBHasOne_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBHasOne_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBHasOne_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBHasOne_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBHasOne_dataSourceTable (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBHasOne_dataSourceTable (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBHasOne_dataSourceTable)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBHasOne_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBHasMany_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBHasMany_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBHasMany_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBHasMany_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBHasMany_dataSourceTable (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBHasMany_dataSourceTable (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBHasMany_dataSourceTable)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBHasMany_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceValue)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceValue_column)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceValue_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceValue_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceValue_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceValue_expression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceValue_expression)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceValue_expression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBColumn)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBColumn_modifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBColumn_modifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBColumn_modifier)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBColumn_modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBColumn_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBColumn_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBColumn_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBColumn_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBColumn_delim (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBColumn_delim (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBColumn_delim)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBColumn_delim */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DBColumn_type (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DBColumn_type)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DBColumn_type */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_formalParameters (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_formalParameters (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection_formalParameters)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection_formalParameters */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_projectionColumns (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_projectionColumns (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection_projectionColumns)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection_projectionColumns */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_condition (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection_condition)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection_condition */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_connection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_connection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection_connection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_from (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_from (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection_from)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_sourceDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceProjection_sourceDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceProjection_sourceDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceProjection_sourceDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_formalParameters (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_formalParameters (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_formalParameters)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_formalParameters */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_condition (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_condition (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_condition)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_condition */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_connection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_connection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_connection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_firstRow (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_firstRow)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_firstRow */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_dots (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_dots (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_dots)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_dots */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_maxRows (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_maxRows)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_maxRows */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_from (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_from (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_from)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_sourceDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_LimitDataSource_sourceDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_LimitDataSource_sourceDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_LimitDataSource_sourceDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderedDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderedDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderedDataSource_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderedDataSource_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_orderColumns (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_orderColumns (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderedDataSource_orderColumns)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderedDataSource_orderColumns */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_connection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_connection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderedDataSource_connection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderedDataSource_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderColumn)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_from (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_from (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderedDataSource_from)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderedDataSource_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_sourceDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderedDataSource_sourceDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderedDataSource_sourceDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderedDataSource_sourceDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_joinOperator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_joinOperator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_joinOperator)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_joinOperator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_connection1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_connection1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_connection1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_connection1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_connection2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_connection2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_connection2)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_connection2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_from1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_from1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_from1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_from1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_dataSource1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_dataSource1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_dataSource1)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_dataSource1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_from2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_from2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_from2)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_from2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_dataSource2 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceJoin_dataSource2 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceJoin_dataSource2)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceJoin_dataSource2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceInsert)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceInsert */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceInsert_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceInsert_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_formalParams (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_formalParams (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceInsert_formalParams)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceInsert_formalParams */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_values (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_values (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceInsert_values)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceInsert_values */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_connection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_connection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceInsert_connection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceInsert_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_from (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_from (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceInsert_from)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceInsert_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_targetDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceInsert_targetDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceInsert_targetDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceInsert_targetDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_formalParams (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_formalParams (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate_formalParams)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate_formalParams */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_values (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_values (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate_values)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate_values */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_conditions (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate_conditions)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate_conditions */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_connection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_connection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate_connection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_from (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_from (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate_from)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_targetDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceUpdate_targetDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceUpdate_targetDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceUpdate_targetDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceDelete)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceDelete */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceDelete_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceDelete_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_formalParams (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_formalParams (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceDelete_formalParams)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceDelete_formalParams */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_conditions (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceDelete_conditions)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceDelete_conditions */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_connection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_connection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceDelete_connection)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceDelete_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_from (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_from (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceDelete_from)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceDelete_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_targetDataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceDelete_targetDataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceDelete_targetDataSource)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceDelete_targetDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_userName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_userName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_userName)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_userName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_userPassword (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_userPassword (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_userPassword)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_userPassword */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_hostName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_hostName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_hostName)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_hostName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_port (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_port (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_port)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_port */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_dataBaseType (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_dataBaseType (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_dataBaseType)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_dataBaseType */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_prefix (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_prefix (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_prefix)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_prefix */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_dataSources (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_dataSources)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_dataSources */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_dataSourceModifications (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_dataSourceModifications (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_dataSourceModifications)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_dataSourceModifications */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_setSize (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_setSize (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_setSize)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataBase_modifySetSize (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataBase_modifySetSize (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataBase_modifySetSize)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataBase_modifySetSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceTable)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceTable_name)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceTable_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_position (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_position (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceTable_position)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceTable_position */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_columns (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_DataSourceTable_columns (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_DataSourceTable_columns)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_DataSourceTable_columns */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderColumn_orderColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderColumn_orderColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderColumn_orderColumn)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderColumn_orderColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkdataBaseView_OrderColumn_order (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR dataBaseView_MkdataBaseView_OrderColumn_order (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (dataBaseView_IsSymb (_currn, dataBaseView_SYMBdataBaseView_OrderColumn_order)) return (_currn);
return(NULLNODEPTR);
}/* dataBaseView_MkdataBaseView_OrderColumn_order */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpEmpty (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpEmpty;
#else
_currn = (dataBaseView__TPPpEmpty) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpEmpty));
#endif
_currn->_prod = dataBaseView_RULEpEmpty;
_SETCOORD(_currn)
dataBaseView__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpVIEWROOT_dataBaseView (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpVIEWROOT_dataBaseView (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpVIEWROOT_dataBaseView _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpVIEWROOT_dataBaseView;
#else
_currn = (dataBaseView__TPPpVIEWROOT_dataBaseView) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpVIEWROOT_dataBaseView));
#endif
_currn->_prod = dataBaseView_RULEpVIEWROOT_dataBaseView;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataBase) dataBaseView_MkdataBaseView_DataBase (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_dataBaseView: root of subtree no. 1 can not be made a dataBaseView_DataBase node ", 0, _coordref);
_COPYCOORD(_currn)
dataBaseView__TERMACT_pVIEWROOT_dataBaseView;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpVIEWROOT_dataBaseView */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceFormalParam _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceFormalParam;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceFormalParam) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceFormalParam));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceFormalParam;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam_name) dataBaseView_MkdataBaseView_DataSourceFormalParam_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceFormalParam: root of subtree no. 1 can not be made a dataBaseView_DataSourceFormalParam_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam_keyword1) dataBaseView_MkdataBaseView_DataSourceFormalParam_keyword1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceFormalParam: root of subtree no. 2 can not be made a dataBaseView_DataSourceFormalParam_keyword1 node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam_type) dataBaseView_MkdataBaseView_DataSourceFormalParam_type (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceFormalParam: root of subtree no. 3 can not be made a dataBaseView_DataSourceFormalParam_type node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceFormalParam;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceFormalParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceFormalParam_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceFormalParam_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceFormalParam_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceFormalParam_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceFormalParam_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceFormalParam_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceFormalParam_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceFormalParam_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceFormalParam_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceFormalParam_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceFormalParam_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceFormalParam_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceFormalParam_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceFormalParam_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBHasOne)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBHasMany)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBString)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBText)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBInteger)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBLong)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBFloat)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBDouble)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBBigInt)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBDate)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBTimeStamp)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBBoolean)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBBlob)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceFormalParam_type (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBHasOne)) 
		return dataBaseView__MkdataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBHasOne (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBHasMany)) 
		return dataBaseView__MkdataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBHasMany (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBString)) 
		return dataBaseView__MkdataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBString (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBText)) 
		return dataBaseView__MkdataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBText (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBInteger)) 
		return dataBaseView__MkdataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBInteger (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBLong)) 
		return dataBaseView__MkdataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBLong (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBFloat)) 
		return dataBaseView__MkdataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBFloat (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBDouble)) 
		return dataBaseView__MkdataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBDouble (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBBigInt)) 
		return dataBaseView__MkdataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBBigInt (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBDate)) 
		return dataBaseView__MkdataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBDate (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBTimeStamp)) 
		return dataBaseView__MkdataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBTimeStamp (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBBoolean)) 
		return dataBaseView__MkdataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBBoolean (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBBlob)) 
		return dataBaseView__MkdataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type (_coordref, dataBaseView_MkdataBaseView_DBBlob (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceFormalParam_type list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceFormalParam_type (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceFormalParam_type)
	l =_ElempdataBaseView_DataSourceFormalParam_type (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceFormalParam_type)
	r = _ElempdataBaseView_DataSourceFormalParam_type (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_type (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceFormalParam_type (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceFormalParam_type root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceFormalParam_type)
		t = _ElempdataBaseView_DataSourceFormalParam_type (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceFormalParam_type;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceFormalParam_type));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceFormalParam_type;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceFormalParam_type)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasOnepdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasManypdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBStringpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBTextpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBIntegerpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBLongpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBFloatpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBDoublepdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBBigIntpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBDatepdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBTimeStamppdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBBooleanpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type)
	{dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBBlobpdataBaseView_DataSourceFormalParam_type;
	} this code has been moved to _ElempdataBaseView_DataSourceFormalParam_type*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceFormalParam_type;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceFormalParam_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceFormalParam_type));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceFormalParam_type;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceFormalParam_type)list;
{ dataBaseView__TPPpdataBaseView_DataSourceFormalParam_type _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceFormalParam_type;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	dataBaseView__TPPpdataBaseView_ColumnProjection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ColumnProjection;
#else
_currn = (dataBaseView__TPPpdataBaseView_ColumnProjection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ColumnProjection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ColumnProjection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_ColumnProjection_column) dataBaseView_MkdataBaseView_ColumnProjection_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ColumnProjection: root of subtree no. 1 can not be made a dataBaseView_ColumnProjection_column node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_ColumnProjection_keyword1) dataBaseView_MkdataBaseView_ColumnProjection_keyword1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ColumnProjection: root of subtree no. 2 can not be made a dataBaseView_ColumnProjection_keyword1 node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_ColumnProjection_name) dataBaseView_MkdataBaseView_ColumnProjection_name (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ColumnProjection: root of subtree no. 3 can not be made a dataBaseView_ColumnProjection_name node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ColumnProjection;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ColumnProjection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_column (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_column (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ColumnProjection_column _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ColumnProjection_column;
#else
_currn = (dataBaseView__TPPpdataBaseView_ColumnProjection_column) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ColumnProjection_column));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ColumnProjection_column;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ColumnProjection_column;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ColumnProjection_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ColumnProjection_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ColumnProjection_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_ColumnProjection_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ColumnProjection_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ColumnProjection_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ColumnProjection_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ColumnProjection_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ColumnProjection_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ColumnProjection_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ColumnProjection_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_ColumnProjection_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ColumnProjection_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ColumnProjection_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ColumnProjection_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ColumnProjection_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationProjection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationProjection;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationProjection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationProjection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationProjection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_ComputationProjection_computation) dataBaseView_MkdataBaseView_ComputationProjection_computation (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationProjection: root of subtree no. 1 can not be made a dataBaseView_ComputationProjection_computation node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_ComputationProjection_keyword1) dataBaseView_MkdataBaseView_ComputationProjection_keyword1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationProjection: root of subtree no. 2 can not be made a dataBaseView_ComputationProjection_keyword1 node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_ComputationProjection_column) dataBaseView_MkdataBaseView_ComputationProjection_column (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationProjection: root of subtree no. 3 can not be made a dataBaseView_ComputationProjection_column node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_ComputationProjection_keyword2) dataBaseView_MkdataBaseView_ComputationProjection_keyword2 (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationProjection: root of subtree no. 4 can not be made a dataBaseView_ComputationProjection_keyword2 node ", 0, _coordref);
_currn->_desc5 = (dataBaseView__TSPdataBaseView_ComputationProjection_name) dataBaseView_MkdataBaseView_ComputationProjection_name (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationProjection: root of subtree no. 5 can not be made a dataBaseView_ComputationProjection_name node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationProjection;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationProjection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_computation (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_computation (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationProjection_computation _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationProjection_computation;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationProjection_computation) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationProjection_computation));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationProjection_computation;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationProjection_computation;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationProjection_computation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationProjection_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationProjection_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationProjection_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationProjection_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationProjection_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationProjection_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationProjection_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_column (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_column (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationProjection_column _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationProjection_column;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationProjection_column) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationProjection_column));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationProjection_column;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationProjection_column;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationProjection_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_keyword2 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_keyword2 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationProjection_keyword2 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationProjection_keyword2;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationProjection_keyword2) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationProjection_keyword2));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationProjection_keyword2;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationProjection_keyword2;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationProjection_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationProjection_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationProjection_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationProjection_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationProjection_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationProjection_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationProjection_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationProjection_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationProjection_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	dataBaseView__TPPpdataBaseView_BinaryExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_BinaryExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_BinaryExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_BinaryExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_BinaryExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression_keyword1) dataBaseView_MkdataBaseView_BinaryExpression_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_BinaryExpression: root of subtree no. 1 can not be made a dataBaseView_BinaryExpression_keyword1 node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_BinaryExpression_leftOperand) dataBaseView_MkdataBaseView_BinaryExpression_leftOperand (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_BinaryExpression: root of subtree no. 2 can not be made a dataBaseView_BinaryExpression_leftOperand node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_BinaryExpression_operator) dataBaseView_MkdataBaseView_BinaryExpression_operator (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_BinaryExpression: root of subtree no. 3 can not be made a dataBaseView_BinaryExpression_operator node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_BinaryExpression_rightOperand) dataBaseView_MkdataBaseView_BinaryExpression_rightOperand (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_BinaryExpression: root of subtree no. 4 can not be made a dataBaseView_BinaryExpression_rightOperand node ", 0, _coordref);
_currn->_desc5 = (dataBaseView__TSPdataBaseView_BinaryExpression_keyword2) dataBaseView_MkdataBaseView_BinaryExpression_keyword2 (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_BinaryExpression: root of subtree no. 5 can not be made a dataBaseView_BinaryExpression_keyword2 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_BinaryExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_BinaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_BinaryExpression_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_BinaryExpression_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_BinaryExpression_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_BinaryExpression_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_BinaryExpression_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_BinaryExpression_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_BinaryExpression_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_BinaryExpression_leftOperand (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_BinaryExpression_leftOperand list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_BinaryExpression_leftOperand (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_BinaryExpression_leftOperand)
	l =_ElempdataBaseView_BinaryExpression_leftOperand (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_BinaryExpression_leftOperand)
	r = _ElempdataBaseView_BinaryExpression_leftOperand (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_leftOperand (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_BinaryExpression_leftOperand root;
	dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_BinaryExpression_leftOperand)
		t = _ElempdataBaseView_BinaryExpression_leftOperand (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand)(((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_BinaryExpression_leftOperand;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_BinaryExpression_leftOperand));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_BinaryExpression_leftOperand;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_leftOperand)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_leftOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_leftOperand*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_BinaryExpression_leftOperand;
#else
root = (dataBaseView__TPPpdataBaseView_BinaryExpression_leftOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_BinaryExpression_leftOperand));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_BinaryExpression_leftOperand;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_leftOperand)list;
{ dataBaseView__TPPpdataBaseView_BinaryExpression_leftOperand _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_BinaryExpression_leftOperand;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_operator (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_operator (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_BinaryExpression_operator _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_BinaryExpression_operator;
#else
_currn = (dataBaseView__TPPpdataBaseView_BinaryExpression_operator) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_BinaryExpression_operator));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_BinaryExpression_operator;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_BinaryExpression_operator;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_BinaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_BinaryExpression_rightOperand (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_BinaryExpression_rightOperand list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_BinaryExpression_rightOperand (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_BinaryExpression_rightOperand)
	l =_ElempdataBaseView_BinaryExpression_rightOperand (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_BinaryExpression_rightOperand)
	r = _ElempdataBaseView_BinaryExpression_rightOperand (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_rightOperand (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_BinaryExpression_rightOperand root;
	dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_BinaryExpression_rightOperand)
		t = _ElempdataBaseView_BinaryExpression_rightOperand (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand)(((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_BinaryExpression_rightOperand;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_BinaryExpression_rightOperand));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_BinaryExpression_rightOperand;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_BinaryExpression_rightOperand)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_BinaryExpression_rightOperand;
	} this code has been moved to _ElempdataBaseView_BinaryExpression_rightOperand*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_BinaryExpression_rightOperand;
#else
root = (dataBaseView__TPPpdataBaseView_BinaryExpression_rightOperand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_BinaryExpression_rightOperand));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_BinaryExpression_rightOperand;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_BinaryExpression_rightOperand)list;
{ dataBaseView__TPPpdataBaseView_BinaryExpression_rightOperand _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_BinaryExpression_rightOperand;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_keyword2 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_BinaryExpression_keyword2 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_BinaryExpression_keyword2 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_BinaryExpression_keyword2;
#else
_currn = (dataBaseView__TPPpdataBaseView_BinaryExpression_keyword2) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_BinaryExpression_keyword2));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_BinaryExpression_keyword2;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_BinaryExpression_keyword2;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_BinaryExpression_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_UnaryExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_UnaryExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_UnaryExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_UnaryExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_UnaryExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression_operator) dataBaseView_MkdataBaseView_UnaryExpression_operator (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_UnaryExpression: root of subtree no. 1 can not be made a dataBaseView_UnaryExpression_operator node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_UnaryExpression_operand) dataBaseView_MkdataBaseView_UnaryExpression_operand (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_UnaryExpression: root of subtree no. 2 can not be made a dataBaseView_UnaryExpression_operand node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_UnaryExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_UnaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression_operator (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression_operator (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_UnaryExpression_operator _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_UnaryExpression_operator;
#else
_currn = (dataBaseView__TPPpdataBaseView_UnaryExpression_operator) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_UnaryExpression_operator));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_UnaryExpression_operator;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_UnaryExpression_operator;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_UnaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_UnaryExpression_operand (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_UnaryExpression_operand list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_UnaryExpression_operand (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_UnaryExpression_operand)
	l =_ElempdataBaseView_UnaryExpression_operand (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_UnaryExpression_operand)
	r = _ElempdataBaseView_UnaryExpression_operand (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression_operand (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_UnaryExpression_operand (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_UnaryExpression_operand root;
	dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_UnaryExpression_operand)
		t = _ElempdataBaseView_UnaryExpression_operand (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand)(((dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_UnaryExpression_operand;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_UnaryExpression_operand));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_UnaryExpression_operand;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_UnaryExpression_operand)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_UnaryExpression_operand;
	} this code has been moved to _ElempdataBaseView_UnaryExpression_operand*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_UnaryExpression_operand;
#else
root = (dataBaseView__TPPpdataBaseView_UnaryExpression_operand) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_UnaryExpression_operand));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_UnaryExpression_operand;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_UnaryExpression_operand)list;
{ dataBaseView__TPPpdataBaseView_UnaryExpression_operand _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_UnaryExpression_operand;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_PredefinedExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_PredefinedExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_PredefinedExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_PredefinedExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_PredefinedExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_PredefinedExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_PredefinedExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression_value) dataBaseView_MkdataBaseView_PredefinedExpression_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_PredefinedExpression: root of subtree no. 1 can not be made a dataBaseView_PredefinedExpression_value node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_PredefinedExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_PredefinedExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_PredefinedExpression_value (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_PredefinedExpression_value (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_PredefinedExpression_value _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_PredefinedExpression_value;
#else
_currn = (dataBaseView__TPPpdataBaseView_PredefinedExpression_value) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_PredefinedExpression_value));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_PredefinedExpression_value;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_PredefinedExpression_value;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_PredefinedExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	dataBaseView__TPPpdataBaseView_ConstantExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ConstantExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_ConstantExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ConstantExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ConstantExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression_keyword1) dataBaseView_MkdataBaseView_ConstantExpression_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ConstantExpression: root of subtree no. 1 can not be made a dataBaseView_ConstantExpression_keyword1 node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_ConstantExpression_value) dataBaseView_MkdataBaseView_ConstantExpression_value (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ConstantExpression: root of subtree no. 2 can not be made a dataBaseView_ConstantExpression_value node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_ConstantExpression_keyword2) dataBaseView_MkdataBaseView_ConstantExpression_keyword2 (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ConstantExpression: root of subtree no. 3 can not be made a dataBaseView_ConstantExpression_keyword2 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ConstantExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ConstantExpression_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ConstantExpression_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_ConstantExpression_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ConstantExpression_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ConstantExpression_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ConstantExpression_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ConstantExpression_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_value (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_value (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ConstantExpression_value _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ConstantExpression_value;
#else
_currn = (dataBaseView__TPPpdataBaseView_ConstantExpression_value) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ConstantExpression_value));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ConstantExpression_value;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ConstantExpression_value;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_keyword2 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ConstantExpression_keyword2 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ConstantExpression_keyword2 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ConstantExpression_keyword2;
#else
_currn = (dataBaseView__TPPpdataBaseView_ConstantExpression_keyword2) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ConstantExpression_keyword2));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ConstantExpression_keyword2;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ConstantExpression_keyword2;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ConstantExpression_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ColumnValueExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_ColumnValueExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_ColumnValueExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ColumnValueExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_ColumnValueExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ColumnValueExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ColumnValueExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression_column) dataBaseView_MkdataBaseView_ColumnValueExpression_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ColumnValueExpression: root of subtree no. 1 can not be made a dataBaseView_ColumnValueExpression_column node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ColumnValueExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ColumnValueExpression_column (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ColumnValueExpression_column (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ColumnValueExpression_column _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ColumnValueExpression_column;
#else
_currn = (dataBaseView__TPPpdataBaseView_ColumnValueExpression_column) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ColumnValueExpression_column));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ColumnValueExpression_column;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ColumnValueExpression_column;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_ProjectionColumnValueExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ProjectionColumnValueExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_ProjectionColumnValueExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ProjectionColumnValueExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ProjectionColumnValueExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression_column) dataBaseView_MkdataBaseView_ProjectionColumnValueExpression_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ProjectionColumnValueExpression: root of subtree no. 1 can not be made a dataBaseView_ProjectionColumnValueExpression_column node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ProjectionColumnValueExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression_column (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression_column (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ProjectionColumnValueExpression_column _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ProjectionColumnValueExpression_column;
#else
_currn = (dataBaseView__TPPpdataBaseView_ProjectionColumnValueExpression_column) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ProjectionColumnValueExpression_column));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ProjectionColumnValueExpression_column;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ProjectionColumnValueExpression_column;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ProjectionColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ParameterValueExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_ParameterValueExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_ParameterValueExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ParameterValueExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_ParameterValueExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ParameterValueExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ParameterValueExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression_parameter) dataBaseView_MkdataBaseView_ParameterValueExpression_parameter (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ParameterValueExpression: root of subtree no. 1 can not be made a dataBaseView_ParameterValueExpression_parameter node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ParameterValueExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ParameterValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ParameterValueExpression_parameter (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ParameterValueExpression_parameter (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ParameterValueExpression_parameter _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ParameterValueExpression_parameter;
#else
_currn = (dataBaseView__TPPpdataBaseView_ParameterValueExpression_parameter) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ParameterValueExpression_parameter));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ParameterValueExpression_parameter;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ParameterValueExpression_parameter;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ParameterValueExpression_parameter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationExpression _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationExpression;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationExpression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationExpression));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationExpression;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression_computation) dataBaseView_MkdataBaseView_ComputationExpression_computation (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationExpression: root of subtree no. 1 can not be made a dataBaseView_ComputationExpression_computation node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_ComputationExpression_keyword1) dataBaseView_MkdataBaseView_ComputationExpression_keyword1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationExpression: root of subtree no. 2 can not be made a dataBaseView_ComputationExpression_keyword1 node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_ComputationExpression_column) dataBaseView_MkdataBaseView_ComputationExpression_column (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationExpression: root of subtree no. 3 can not be made a dataBaseView_ComputationExpression_column node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_ComputationExpression_keyword2) dataBaseView_MkdataBaseView_ComputationExpression_keyword2 (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_ComputationExpression: root of subtree no. 4 can not be made a dataBaseView_ComputationExpression_keyword2 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_computation (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_computation (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationExpression_computation _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationExpression_computation;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationExpression_computation) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationExpression_computation));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationExpression_computation;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationExpression_computation;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationExpression_computation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationExpression_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationExpression_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationExpression_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationExpression_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationExpression_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationExpression_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationExpression_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_column (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_column (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationExpression_column _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationExpression_column;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationExpression_column) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationExpression_column));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationExpression_column;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationExpression_column;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_keyword2 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_ComputationExpression_keyword2 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_ComputationExpression_keyword2 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_ComputationExpression_keyword2;
#else
_currn = (dataBaseView__TPPpdataBaseView_ComputationExpression_keyword2) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_ComputationExpression_keyword2));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_ComputationExpression_keyword2;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_ComputationExpression_keyword2;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_ComputationExpression_keyword2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBString (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBString (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBString _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBString;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBString) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBString));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBString;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBString_keyword1) dataBaseView_MkdataBaseView_DBString_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBString: root of subtree no. 1 can not be made a dataBaseView_DBString_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBString;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBString */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBString_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBString_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBString_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBString_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBString_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBString_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBString_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBString_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBString_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBText (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBText (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBText _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBText;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBText) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBText));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBText;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBText_keyword1) dataBaseView_MkdataBaseView_DBText_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBText: root of subtree no. 1 can not be made a dataBaseView_DBText_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBText;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBText */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBText_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBText_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBText_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBText_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBText_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBText_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBText_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBText_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBText_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBInteger (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBInteger (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBInteger _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBInteger;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBInteger) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBInteger));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBInteger;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBInteger_keyword1) dataBaseView_MkdataBaseView_DBInteger_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBInteger: root of subtree no. 1 can not be made a dataBaseView_DBInteger_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBInteger;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBInteger */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBInteger_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBInteger_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBInteger_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBInteger_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBInteger_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBInteger_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBInteger_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBInteger_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBInteger_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBLong (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBLong (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBLong _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBLong;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBLong) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBLong));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBLong;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBLong_keyword1) dataBaseView_MkdataBaseView_DBLong_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBLong: root of subtree no. 1 can not be made a dataBaseView_DBLong_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBLong;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBLong */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBLong_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBLong_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBLong_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBLong_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBLong_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBLong_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBLong_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBLong_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBLong_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBFloat (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBFloat (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBFloat _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBFloat;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBFloat) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBFloat));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBFloat;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBFloat_keyword1) dataBaseView_MkdataBaseView_DBFloat_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBFloat: root of subtree no. 1 can not be made a dataBaseView_DBFloat_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBFloat;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBFloat */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBFloat_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBFloat_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBFloat_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBFloat_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBFloat_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBFloat_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBFloat_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBFloat_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBFloat_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBDouble (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBDouble (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBDouble _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBDouble;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBDouble) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBDouble));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBDouble;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBDouble_keyword1) dataBaseView_MkdataBaseView_DBDouble_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBDouble: root of subtree no. 1 can not be made a dataBaseView_DBDouble_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBDouble;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBDouble */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBDouble_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBDouble_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBDouble_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBDouble_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBDouble_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBDouble_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBDouble_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBDouble_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBDouble_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBBigInt (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBBigInt (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBBigInt _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBBigInt;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBBigInt) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBBigInt));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBBigInt;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBBigInt_keyword1) dataBaseView_MkdataBaseView_DBBigInt_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBBigInt: root of subtree no. 1 can not be made a dataBaseView_DBBigInt_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBBigInt;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBBigInt */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBBigInt_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBBigInt_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBBigInt_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBBigInt_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBBigInt_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBBigInt_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBBigInt_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBBigInt_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBBigInt_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBDate (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBDate (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBDate _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBDate;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBDate) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBDate));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBDate;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBDate_keyword1) dataBaseView_MkdataBaseView_DBDate_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBDate: root of subtree no. 1 can not be made a dataBaseView_DBDate_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBDate;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBDate */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBDate_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBDate_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBDate_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBDate_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBDate_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBDate_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBDate_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBDate_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBDate_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBTimeStamp (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBTimeStamp (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBTimeStamp _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBTimeStamp;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBTimeStamp) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBTimeStamp));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBTimeStamp;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBTimeStamp_keyword1) dataBaseView_MkdataBaseView_DBTimeStamp_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBTimeStamp: root of subtree no. 1 can not be made a dataBaseView_DBTimeStamp_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBTimeStamp;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBTimeStamp */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBTimeStamp_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBTimeStamp_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBTimeStamp_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBTimeStamp_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBTimeStamp_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBTimeStamp_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBTimeStamp_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBTimeStamp_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBTimeStamp_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBBoolean (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBBoolean (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBBoolean _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBBoolean;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBBoolean) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBBoolean));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBBoolean;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBBoolean_keyword1) dataBaseView_MkdataBaseView_DBBoolean_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBBoolean: root of subtree no. 1 can not be made a dataBaseView_DBBoolean_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBBoolean;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBBoolean */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBBoolean_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBBoolean_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBBoolean_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBBoolean_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBBoolean_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBBoolean_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBBoolean_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBBoolean_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBBoolean_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBBlob (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBBlob (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	dataBaseView__TPPpdataBaseView_DBBlob _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBBlob;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBBlob) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBBlob));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBBlob;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBBlob_keyword1) dataBaseView_MkdataBaseView_DBBlob_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBBlob: root of subtree no. 1 can not be made a dataBaseView_DBBlob_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBBlob;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBBlob */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBBlob_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBBlob_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBBlob_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBBlob_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBBlob_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBBlob_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBBlob_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBBlob_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBBlob_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBHasOne (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBHasOne (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DBHasOne _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBHasOne;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBHasOne) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBHasOne));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBHasOne;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBHasOne_keyword1) dataBaseView_MkdataBaseView_DBHasOne_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBHasOne: root of subtree no. 1 can not be made a dataBaseView_DBHasOne_keyword1 node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DBHasOne_dataSourceTable) dataBaseView_MkdataBaseView_DBHasOne_dataSourceTable (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBHasOne: root of subtree no. 2 can not be made a dataBaseView_DBHasOne_dataSourceTable node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBHasOne;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBHasOne */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBHasOne_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBHasOne_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBHasOne_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBHasOne_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBHasOne_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBHasOne_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBHasOne_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBHasOne_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBHasOne_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBHasOne_dataSourceTable (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBHasOne_dataSourceTable (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBHasOne_dataSourceTable _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBHasOne_dataSourceTable;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBHasOne_dataSourceTable) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBHasOne_dataSourceTable));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBHasOne_dataSourceTable;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBHasOne_dataSourceTable;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBHasOne_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBHasMany (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBHasMany (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DBHasMany _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBHasMany;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBHasMany) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBHasMany));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBHasMany;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBHasMany_keyword1) dataBaseView_MkdataBaseView_DBHasMany_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBHasMany: root of subtree no. 1 can not be made a dataBaseView_DBHasMany_keyword1 node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DBHasMany_dataSourceTable) dataBaseView_MkdataBaseView_DBHasMany_dataSourceTable (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBHasMany: root of subtree no. 2 can not be made a dataBaseView_DBHasMany_dataSourceTable node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBHasMany;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBHasMany */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBHasMany_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBHasMany_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBHasMany_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBHasMany_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBHasMany_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBHasMany_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBHasMany_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBHasMany_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBHasMany_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBHasMany_dataSourceTable (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBHasMany_dataSourceTable (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBHasMany_dataSourceTable _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBHasMany_dataSourceTable;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBHasMany_dataSourceTable) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBHasMany_dataSourceTable));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBHasMany_dataSourceTable;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBHasMany_dataSourceTable;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBHasMany_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceValue _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceValue;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceValue) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceValue));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceValue;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceValue_column) dataBaseView_MkdataBaseView_DataSourceValue_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceValue: root of subtree no. 1 can not be made a dataBaseView_DataSourceValue_column node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceValue_keyword1) dataBaseView_MkdataBaseView_DataSourceValue_keyword1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceValue: root of subtree no. 2 can not be made a dataBaseView_DataSourceValue_keyword1 node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceValue_expression) dataBaseView_MkdataBaseView_DataSourceValue_expression (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceValue: root of subtree no. 3 can not be made a dataBaseView_DataSourceValue_expression node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_column (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_column (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceValue_column _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceValue_column;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceValue_column) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceValue_column));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceValue_column;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceValue_column;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceValue_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_keyword1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceValue_keyword1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceValue_keyword1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceValue_keyword1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceValue_keyword1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceValue_keyword1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceValue_keyword1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceValue_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceValue_expression (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceValue_expression list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceValue_expression (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceValue_expression)
	l =_ElempdataBaseView_DataSourceValue_expression (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceValue_expression)
	r = _ElempdataBaseView_DataSourceValue_expression (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_expression (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceValue_expression (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceValue_expression root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceValue_expression)
		t = _ElempdataBaseView_DataSourceValue_expression (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceValue_expression;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceValue_expression));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceValue_expression;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceValue_expression)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceValue_expression;
	} this code has been moved to _ElempdataBaseView_DataSourceValue_expression*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceValue_expression;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceValue_expression) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceValue_expression));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceValue_expression;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceValue_expression)list;
{ dataBaseView__TPPpdataBaseView_DataSourceValue_expression _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceValue_expression;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBColumn (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBColumn (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	dataBaseView__TPPpdataBaseView_DBColumn _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBColumn;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBColumn) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBColumn));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBColumn;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DBColumn_modifier) dataBaseView_MkdataBaseView_DBColumn_modifier (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBColumn: root of subtree no. 1 can not be made a dataBaseView_DBColumn_modifier node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DBColumn_name) dataBaseView_MkdataBaseView_DBColumn_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBColumn: root of subtree no. 2 can not be made a dataBaseView_DBColumn_name node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DBColumn_delim) dataBaseView_MkdataBaseView_DBColumn_delim (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBColumn: root of subtree no. 3 can not be made a dataBaseView_DBColumn_delim node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_DBColumn_type) dataBaseView_MkdataBaseView_DBColumn_type (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DBColumn: root of subtree no. 4 can not be made a dataBaseView_DBColumn_type node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBColumn;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_modifier (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_modifier (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBColumn_modifier _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBColumn_modifier;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBColumn_modifier) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBColumn_modifier));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBColumn_modifier;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBColumn_modifier;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBColumn_modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBColumn_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBColumn_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBColumn_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBColumn_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBColumn_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBColumn_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBColumn_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_delim (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_delim (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DBColumn_delim _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DBColumn_delim;
#else
_currn = (dataBaseView__TPPpdataBaseView_DBColumn_delim) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBColumn_delim));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DBColumn_delim;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DBColumn_delim;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DBColumn_delim */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBHasOnepdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBHasOnepdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBHasOne)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBHasManypdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBHasManypdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBHasMany)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasManypdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBStringpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBStringpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBString)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBStringpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBTextpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBTextpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBText)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBTextpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBIntegerpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBIntegerpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBInteger)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBLongpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBLongpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBLong)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBLongpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBFloatpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBFloatpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBFloat)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBFloatpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBDoublepdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBDoublepdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBDouble)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBDoublepdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBBigIntpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBBigIntpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBBigInt)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBDatepdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBDatepdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBDate)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBDatepdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBTimeStamppdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBTimeStamppdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBTimeStamp)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBBooleanpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBBooleanpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBBoolean)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBBlobpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBBlobpdataBaseView_DBColumn_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DBColumn_type;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBBlob)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)_new;
	{dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBBlobpdataBaseView_DBColumn_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DBColumn_type (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBHasOne)) 
		return dataBaseView__MkdataBaseView_DBHasOnepdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBHasOne (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBHasMany)) 
		return dataBaseView__MkdataBaseView_DBHasManypdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBHasMany (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBString)) 
		return dataBaseView__MkdataBaseView_DBStringpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBString (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBText)) 
		return dataBaseView__MkdataBaseView_DBTextpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBText (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBInteger)) 
		return dataBaseView__MkdataBaseView_DBIntegerpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBInteger (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBLong)) 
		return dataBaseView__MkdataBaseView_DBLongpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBLong (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBFloat)) 
		return dataBaseView__MkdataBaseView_DBFloatpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBFloat (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBDouble)) 
		return dataBaseView__MkdataBaseView_DBDoublepdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBDouble (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBBigInt)) 
		return dataBaseView__MkdataBaseView_DBBigIntpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBBigInt (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBDate)) 
		return dataBaseView__MkdataBaseView_DBDatepdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBDate (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBTimeStamp)) 
		return dataBaseView__MkdataBaseView_DBTimeStamppdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBTimeStamp (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBBoolean)) 
		return dataBaseView__MkdataBaseView_DBBooleanpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBBoolean (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBBlob)) 
		return dataBaseView__MkdataBaseView_DBBlobpdataBaseView_DBColumn_type (_coordref, dataBaseView_MkdataBaseView_DBBlob (_coordref, t));
	message (DEADLY, "a pdataBaseView_DBColumn_type list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DBColumn_type (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DBColumn_type)
	l =_ElempdataBaseView_DBColumn_type (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DBColumn_type)
	r = _ElempdataBaseView_DBColumn_type (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DBColumn_type)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DBColumn_type)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DBColumn_type)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DBColumn_type)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_type (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DBColumn_type (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DBColumn_type root;
	dataBaseView__TPPLST_0pdataBaseView_DBColumn_type list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DBColumn_type)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DBColumn_type)
		t = _ElempdataBaseView_DBColumn_type (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DBColumn_type)(((dataBaseView__TPPLST_0pdataBaseView_DBColumn_type) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DBColumn_type) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DBColumn_type;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DBColumn_type));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DBColumn_type;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DBColumn_type)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasOnepdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBHasManypdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBHasManypdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBHasManypdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBStringpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBStringpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBStringpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBTextpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBTextpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBTextpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBIntegerpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBLongpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBLongpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBLongpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBFloatpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBFloatpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBFloatpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBDoublepdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBDoublepdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBDoublepdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBBigIntpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBDatepdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBDatepdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBDatepdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBTimeStamppdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBBooleanpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBBlobpdataBaseView_DBColumn_type)
	{dataBaseView__TPPLST_dataBaseView_DBBlobpdataBaseView_DBColumn_type _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBBlobpdataBaseView_DBColumn_type;
	} this code has been moved to _ElempdataBaseView_DBColumn_type*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DBColumn_type;
#else
root = (dataBaseView__TPPpdataBaseView_DBColumn_type) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DBColumn_type));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DBColumn_type;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DBColumn_type)list;
{ dataBaseView__TPPpdataBaseView_DBColumn_type _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DBColumn_type;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceProjection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceProjection;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceProjection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceProjection_name) dataBaseView_MkdataBaseView_DataSourceProjection_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceProjection: root of subtree no. 1 can not be made a dataBaseView_DataSourceProjection_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceProjection_formalParameters) dataBaseView_MkdataBaseView_DataSourceProjection_formalParameters (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceProjection: root of subtree no. 2 can not be made a dataBaseView_DataSourceProjection_formalParameters node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceProjection_projectionColumns) dataBaseView_MkdataBaseView_DataSourceProjection_projectionColumns (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceProjection: root of subtree no. 3 can not be made a dataBaseView_DataSourceProjection_projectionColumns node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_DataSourceProjection_condition) dataBaseView_MkdataBaseView_DataSourceProjection_condition (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceProjection: root of subtree no. 4 can not be made a dataBaseView_DataSourceProjection_condition node ", 0, _coordref);
_currn->_desc5 = (dataBaseView__TSPdataBaseView_DataSourceProjection_connection) dataBaseView_MkdataBaseView_DataSourceProjection_connection (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceProjection: root of subtree no. 5 can not be made a dataBaseView_DataSourceProjection_connection node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceProjection;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceProjection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceProjection_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceProjection_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceProjection_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceProjection_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceProjection_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_formalParameters)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceProjection_formalParameters (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceProjection_formalParameters (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceFormalParam)) 
		return dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters (_coordref, dataBaseView_MkdataBaseView_DataSourceFormalParam (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceProjection_formalParameters list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_formalParameters (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_formalParameters (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_formalParameters)
	l =_ElempdataBaseView_DataSourceProjection_formalParameters (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_formalParameters)
	r = _ElempdataBaseView_DataSourceProjection_formalParameters (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_formalParameters (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_formalParameters (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceProjection_formalParameters root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_formalParameters)
		t = _ElempdataBaseView_DataSourceProjection_formalParameters (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceProjection_formalParameters;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceProjection_formalParameters));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceProjection_formalParameters;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_formalParameters)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters)
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceProjection_formalParameters;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_formalParameters*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceProjection_formalParameters;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceProjection_formalParameters) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection_formalParameters));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection_formalParameters;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_formalParameters)list;
{ dataBaseView__TPPpdataBaseView_DataSourceProjection_formalParameters _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceProjection_formalParameters;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnProjection)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_projectionColumns)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationProjection)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_projectionColumns)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceProjection_projectionColumns (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceProjection_projectionColumns (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnProjection)) 
		return dataBaseView__MkdataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns (_coordref, dataBaseView_MkdataBaseView_ColumnProjection (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationProjection)) 
		return dataBaseView__MkdataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns (_coordref, dataBaseView_MkdataBaseView_ComputationProjection (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceProjection_projectionColumns list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_projectionColumns (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_projectionColumns (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_projectionColumns)
	l =_ElempdataBaseView_DataSourceProjection_projectionColumns (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_projectionColumns)
	r = _ElempdataBaseView_DataSourceProjection_projectionColumns (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_projectionColumns (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_projectionColumns (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceProjection_projectionColumns root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_projectionColumns)
		t = _ElempdataBaseView_DataSourceProjection_projectionColumns (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceProjection_projectionColumns;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceProjection_projectionColumns));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceProjection_projectionColumns;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_projectionColumns)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns)
	{dataBaseView__TPPLST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnProjectionpdataBaseView_DataSourceProjection_projectionColumns;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_projectionColumns*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns)
	{dataBaseView__TPPLST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationProjectionpdataBaseView_DataSourceProjection_projectionColumns;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_projectionColumns*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceProjection_projectionColumns;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceProjection_projectionColumns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection_projectionColumns));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection_projectionColumns;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_projectionColumns)list;
{ dataBaseView__TPPpdataBaseView_DataSourceProjection_projectionColumns _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceProjection_projectionColumns;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceProjection_condition (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceProjection_condition list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceProjection_condition (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_condition)
	l =_ElempdataBaseView_DataSourceProjection_condition (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_condition)
	r = _ElempdataBaseView_DataSourceProjection_condition (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_condition (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_condition (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceProjection_condition root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceProjection_condition)
		t = _ElempdataBaseView_DataSourceProjection_condition (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceProjection_condition;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceProjection_condition));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceProjection_condition;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceProjection_condition)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceProjection_condition;
	} this code has been moved to _ElempdataBaseView_DataSourceProjection_condition*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceProjection_condition;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceProjection_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection_condition));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection_condition;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceProjection_condition)list;
{ dataBaseView__TPPpdataBaseView_DataSourceProjection_condition _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceProjection_condition;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_from (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_from (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceProjection_from _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceProjection_from;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceProjection_from) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection_from));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection_from;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceProjection_from;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceProjection_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_sourceDataSource (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_sourceDataSource (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceProjection_sourceDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceProjection_sourceDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceProjection_sourceDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection_sourceDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection_sourceDataSource;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceProjection_sourceDataSource;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceProjection_sourceDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_connection (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceProjection_connection (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceProjection_connection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceProjection_connection;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceProjection_connection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceProjection_connection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceProjection_connection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceProjection_from) dataBaseView_MkdataBaseView_DataSourceProjection_from (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceProjection_connection: root of subtree no. 1 can not be made a dataBaseView_DataSourceProjection_from node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceProjection_sourceDataSource) dataBaseView_MkdataBaseView_DataSourceProjection_sourceDataSource (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceProjection_connection: root of subtree no. 2 can not be made a dataBaseView_DataSourceProjection_sourceDataSource node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceProjection_connection;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceProjection_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	dataBaseView__TPPpdataBaseView_LimitDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_LimitDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_LimitDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_LimitDataSource_name) dataBaseView_MkdataBaseView_LimitDataSource_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource: root of subtree no. 1 can not be made a dataBaseView_LimitDataSource_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_LimitDataSource_formalParameters) dataBaseView_MkdataBaseView_LimitDataSource_formalParameters (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource: root of subtree no. 2 can not be made a dataBaseView_LimitDataSource_formalParameters node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_LimitDataSource_condition) dataBaseView_MkdataBaseView_LimitDataSource_condition (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource: root of subtree no. 3 can not be made a dataBaseView_LimitDataSource_condition node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_LimitDataSource_connection) dataBaseView_MkdataBaseView_LimitDataSource_connection (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource: root of subtree no. 4 can not be made a dataBaseView_LimitDataSource_connection node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_LimitDataSource;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_LimitDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_LimitDataSource_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_LimitDataSource_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_LimitDataSource_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_LimitDataSource_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_LimitDataSource_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_formalParameters)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_LimitDataSource_formalParameters (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_LimitDataSource_formalParameters (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceFormalParam)) 
		return dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters (_coordref, dataBaseView_MkdataBaseView_DataSourceFormalParam (_coordref, t));
	message (DEADLY, "a pdataBaseView_LimitDataSource_formalParameters list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_formalParameters (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_formalParameters (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_formalParameters)
	l =_ElempdataBaseView_LimitDataSource_formalParameters (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_formalParameters)
	r = _ElempdataBaseView_LimitDataSource_formalParameters (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_formalParameters (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_formalParameters (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_LimitDataSource_formalParameters root;
	dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_formalParameters)
		t = _ElempdataBaseView_LimitDataSource_formalParameters (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters)(((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_LimitDataSource_formalParameters;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_LimitDataSource_formalParameters));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_LimitDataSource_formalParameters;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_formalParameters)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters)
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_LimitDataSource_formalParameters;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_formalParameters*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_LimitDataSource_formalParameters;
#else
root = (dataBaseView__TPPpdataBaseView_LimitDataSource_formalParameters) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_formalParameters));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_formalParameters;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_formalParameters)list;
{ dataBaseView__TPPpdataBaseView_LimitDataSource_formalParameters _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_LimitDataSource_formalParameters;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_LimitDataSource_firstRow (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_LimitDataSource_firstRow list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_firstRow (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_firstRow)
	l =_ElempdataBaseView_LimitDataSource_firstRow (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_firstRow)
	r = _ElempdataBaseView_LimitDataSource_firstRow (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_firstRow (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_firstRow (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_LimitDataSource_firstRow root;
	dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_firstRow)
		t = _ElempdataBaseView_LimitDataSource_firstRow (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow)(((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_LimitDataSource_firstRow;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_LimitDataSource_firstRow));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_LimitDataSource_firstRow;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_firstRow)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_firstRow;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_firstRow*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_LimitDataSource_firstRow;
#else
root = (dataBaseView__TPPpdataBaseView_LimitDataSource_firstRow) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_firstRow));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_firstRow;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_firstRow)list;
{ dataBaseView__TPPpdataBaseView_LimitDataSource_firstRow _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_LimitDataSource_firstRow;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_dots (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_dots (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_LimitDataSource_dots _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_LimitDataSource_dots;
#else
_currn = (dataBaseView__TPPpdataBaseView_LimitDataSource_dots) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_dots));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_dots;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_LimitDataSource_dots;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_LimitDataSource_dots */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_LimitDataSource_maxRows (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_LimitDataSource_maxRows list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_LimitDataSource_maxRows (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_maxRows)
	l =_ElempdataBaseView_LimitDataSource_maxRows (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_maxRows)
	r = _ElempdataBaseView_LimitDataSource_maxRows (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_maxRows (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_maxRows (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_LimitDataSource_maxRows root;
	dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_LimitDataSource_maxRows)
		t = _ElempdataBaseView_LimitDataSource_maxRows (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows)(((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_LimitDataSource_maxRows;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_LimitDataSource_maxRows));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_LimitDataSource_maxRows;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_LimitDataSource_maxRows)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_LimitDataSource_maxRows;
	} this code has been moved to _ElempdataBaseView_LimitDataSource_maxRows*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_LimitDataSource_maxRows;
#else
root = (dataBaseView__TPPpdataBaseView_LimitDataSource_maxRows) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_maxRows));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_maxRows;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_LimitDataSource_maxRows)list;
{ dataBaseView__TPPpdataBaseView_LimitDataSource_maxRows _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_LimitDataSource_maxRows;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_condition (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_condition (_coordref,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	dataBaseView__TPPpdataBaseView_LimitDataSource_condition _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_LimitDataSource_condition;
#else
_currn = (dataBaseView__TPPpdataBaseView_LimitDataSource_condition) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_condition));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_condition;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_LimitDataSource_firstRow) dataBaseView_MkdataBaseView_LimitDataSource_firstRow (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource_condition: root of subtree no. 1 can not be made a dataBaseView_LimitDataSource_firstRow node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_LimitDataSource_dots) dataBaseView_MkdataBaseView_LimitDataSource_dots (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource_condition: root of subtree no. 2 can not be made a dataBaseView_LimitDataSource_dots node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_LimitDataSource_maxRows) dataBaseView_MkdataBaseView_LimitDataSource_maxRows (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource_condition: root of subtree no. 3 can not be made a dataBaseView_LimitDataSource_maxRows node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_LimitDataSource_condition;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_LimitDataSource_condition */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_from (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_from (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_LimitDataSource_from _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_LimitDataSource_from;
#else
_currn = (dataBaseView__TPPpdataBaseView_LimitDataSource_from) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_from));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_from;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_LimitDataSource_from;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_LimitDataSource_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_sourceDataSource (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_sourceDataSource (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_LimitDataSource_sourceDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_LimitDataSource_sourceDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_LimitDataSource_sourceDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_sourceDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_sourceDataSource;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_LimitDataSource_sourceDataSource;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_LimitDataSource_sourceDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_connection (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_LimitDataSource_connection (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_LimitDataSource_connection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_LimitDataSource_connection;
#else
_currn = (dataBaseView__TPPpdataBaseView_LimitDataSource_connection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_LimitDataSource_connection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_LimitDataSource_connection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_LimitDataSource_from) dataBaseView_MkdataBaseView_LimitDataSource_from (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource_connection: root of subtree no. 1 can not be made a dataBaseView_LimitDataSource_from node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_LimitDataSource_sourceDataSource) dataBaseView_MkdataBaseView_LimitDataSource_sourceDataSource (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_LimitDataSource_connection: root of subtree no. 2 can not be made a dataBaseView_LimitDataSource_sourceDataSource node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_LimitDataSource_connection;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_LimitDataSource_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	dataBaseView__TPPpdataBaseView_OrderedDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderedDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderedDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderedDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderedDataSource;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_OrderedDataSource_name) dataBaseView_MkdataBaseView_OrderedDataSource_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_OrderedDataSource: root of subtree no. 1 can not be made a dataBaseView_OrderedDataSource_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_OrderedDataSource_orderColumns) dataBaseView_MkdataBaseView_OrderedDataSource_orderColumns (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_OrderedDataSource: root of subtree no. 2 can not be made a dataBaseView_OrderedDataSource_orderColumns node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_OrderedDataSource_connection) dataBaseView_MkdataBaseView_OrderedDataSource_connection (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_OrderedDataSource: root of subtree no. 3 can not be made a dataBaseView_OrderedDataSource_connection node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderedDataSource;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderedDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_OrderedDataSource_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderedDataSource_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderedDataSource_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderedDataSource_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderedDataSource_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderedDataSource_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderedDataSource_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_OrderColumn)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_OrderedDataSource_orderColumns)_new;
	{dataBaseView__TPPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_OrderedDataSource_orderColumns (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_OrderedDataSource_orderColumns (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_OrderColumn)) 
		return dataBaseView__MkdataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns (_coordref, dataBaseView_MkdataBaseView_OrderColumn (_coordref, t));
	message (DEADLY, "a pdataBaseView_OrderedDataSource_orderColumns list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_OrderedDataSource_orderColumns (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_OrderedDataSource_orderColumns (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_OrderedDataSource_orderColumns)
	l =_ElempdataBaseView_OrderedDataSource_orderColumns (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_OrderedDataSource_orderColumns)
	r = _ElempdataBaseView_OrderedDataSource_orderColumns (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_orderColumns (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_orderColumns (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_OrderedDataSource_orderColumns root;
	dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_OrderedDataSource_orderColumns)
		t = _ElempdataBaseView_OrderedDataSource_orderColumns (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns)(((dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_OrderedDataSource_orderColumns;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_OrderedDataSource_orderColumns));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_OrderedDataSource_orderColumns;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_OrderedDataSource_orderColumns)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns)
	{dataBaseView__TPPLST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_OrderColumnpdataBaseView_OrderedDataSource_orderColumns;
	} this code has been moved to _ElempdataBaseView_OrderedDataSource_orderColumns*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_OrderedDataSource_orderColumns;
#else
root = (dataBaseView__TPPpdataBaseView_OrderedDataSource_orderColumns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderedDataSource_orderColumns));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_OrderedDataSource_orderColumns;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_OrderedDataSource_orderColumns)list;
{ dataBaseView__TPPpdataBaseView_OrderedDataSource_orderColumns _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_OrderedDataSource_orderColumns;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_from (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_from (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_OrderedDataSource_from _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderedDataSource_from;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderedDataSource_from) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderedDataSource_from));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderedDataSource_from;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderedDataSource_from;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderedDataSource_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_sourceDataSource (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_sourceDataSource (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_OrderedDataSource_sourceDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderedDataSource_sourceDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderedDataSource_sourceDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderedDataSource_sourceDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderedDataSource_sourceDataSource;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderedDataSource_sourceDataSource;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderedDataSource_sourceDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_connection (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderedDataSource_connection (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_OrderedDataSource_connection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderedDataSource_connection;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderedDataSource_connection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderedDataSource_connection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderedDataSource_connection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_OrderedDataSource_from) dataBaseView_MkdataBaseView_OrderedDataSource_from (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_OrderedDataSource_connection: root of subtree no. 1 can not be made a dataBaseView_OrderedDataSource_from node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_OrderedDataSource_sourceDataSource) dataBaseView_MkdataBaseView_OrderedDataSource_sourceDataSource (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_OrderedDataSource_connection: root of subtree no. 2 can not be made a dataBaseView_OrderedDataSource_sourceDataSource node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderedDataSource_connection;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderedDataSource_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceJoin_name) dataBaseView_MkdataBaseView_DataSourceJoin_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin: root of subtree no. 1 can not be made a dataBaseView_DataSourceJoin_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceJoin_joinOperator) dataBaseView_MkdataBaseView_DataSourceJoin_joinOperator (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin: root of subtree no. 2 can not be made a dataBaseView_DataSourceJoin_joinOperator node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceJoin_connection1) dataBaseView_MkdataBaseView_DataSourceJoin_connection1 (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin: root of subtree no. 3 can not be made a dataBaseView_DataSourceJoin_connection1 node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_DataSourceJoin_connection2) dataBaseView_MkdataBaseView_DataSourceJoin_connection2 (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin: root of subtree no. 4 can not be made a dataBaseView_DataSourceJoin_connection2 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_joinOperator (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_joinOperator (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_joinOperator _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_joinOperator;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_joinOperator) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_joinOperator));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_joinOperator;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_joinOperator;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_joinOperator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_from1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_from1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_from1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_from1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_from1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_from1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_from1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_from1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_from1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource1 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource1 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_dataSource1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_dataSource1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_dataSource1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_dataSource1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_dataSource1;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_dataSource1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_connection1 (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_connection1 (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_connection1 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_connection1;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_connection1) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_connection1));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_connection1;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceJoin_from1) dataBaseView_MkdataBaseView_DataSourceJoin_from1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin_connection1: root of subtree no. 1 can not be made a dataBaseView_DataSourceJoin_from1 node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceJoin_dataSource1) dataBaseView_MkdataBaseView_DataSourceJoin_dataSource1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin_connection1: root of subtree no. 2 can not be made a dataBaseView_DataSourceJoin_dataSource1 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_connection1;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_connection1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_from2 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_from2 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_from2 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_from2;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_from2) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_from2));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_from2;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_from2;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_from2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource2 (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource2 (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_dataSource2 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_dataSource2;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_dataSource2) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_dataSource2));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_dataSource2;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_dataSource2;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_dataSource2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_connection2 (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceJoin_connection2 (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceJoin_connection2 _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceJoin_connection2;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceJoin_connection2) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceJoin_connection2));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceJoin_connection2;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceJoin_from2) dataBaseView_MkdataBaseView_DataSourceJoin_from2 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin_connection2: root of subtree no. 1 can not be made a dataBaseView_DataSourceJoin_from2 node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceJoin_dataSource2) dataBaseView_MkdataBaseView_DataSourceJoin_dataSource2 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceJoin_connection2: root of subtree no. 2 can not be made a dataBaseView_DataSourceJoin_dataSource2 node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceJoin_connection2;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceJoin_connection2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceInsert _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceInsert;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceInsert) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceInsert));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceInsert;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceInsert_name) dataBaseView_MkdataBaseView_DataSourceInsert_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceInsert: root of subtree no. 1 can not be made a dataBaseView_DataSourceInsert_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceInsert_formalParams) dataBaseView_MkdataBaseView_DataSourceInsert_formalParams (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceInsert: root of subtree no. 2 can not be made a dataBaseView_DataSourceInsert_formalParams node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceInsert_values) dataBaseView_MkdataBaseView_DataSourceInsert_values (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceInsert: root of subtree no. 3 can not be made a dataBaseView_DataSourceInsert_values node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_DataSourceInsert_connection) dataBaseView_MkdataBaseView_DataSourceInsert_connection (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceInsert: root of subtree no. 4 can not be made a dataBaseView_DataSourceInsert_connection node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceInsert;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceInsert */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceInsert_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceInsert_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceInsert_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceInsert_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceInsert_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceInsert_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceInsert_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceInsert_formalParams)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceInsert_formalParams (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceInsert_formalParams (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceFormalParam)) 
		return dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams (_coordref, dataBaseView_MkdataBaseView_DataSourceFormalParam (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceInsert_formalParams list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceInsert_formalParams (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceInsert_formalParams (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_formalParams)
	l =_ElempdataBaseView_DataSourceInsert_formalParams (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_formalParams)
	r = _ElempdataBaseView_DataSourceInsert_formalParams (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_formalParams (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_formalParams (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceInsert_formalParams root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_formalParams)
		t = _ElempdataBaseView_DataSourceInsert_formalParams (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceInsert_formalParams;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceInsert_formalParams));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceInsert_formalParams;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_formalParams)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams)
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceInsert_formalParams;
	} this code has been moved to _ElempdataBaseView_DataSourceInsert_formalParams*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceInsert_formalParams;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceInsert_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceInsert_formalParams));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceInsert_formalParams;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceInsert_formalParams)list;
{ dataBaseView__TPPpdataBaseView_DataSourceInsert_formalParams _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceInsert_formalParams;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceValue)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceInsert_values)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceInsert_values (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceInsert_values (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceValue)) 
		return dataBaseView__MkdataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values (_coordref, dataBaseView_MkdataBaseView_DataSourceValue (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceInsert_values list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceInsert_values (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceInsert_values (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_values)
	l =_ElempdataBaseView_DataSourceInsert_values (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_values)
	r = _ElempdataBaseView_DataSourceInsert_values (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_values (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_values (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceInsert_values root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceInsert_values)
		t = _ElempdataBaseView_DataSourceInsert_values (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceInsert_values;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceInsert_values));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceInsert_values;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceInsert_values)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values)
	{dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceValuepdataBaseView_DataSourceInsert_values;
	} this code has been moved to _ElempdataBaseView_DataSourceInsert_values*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceInsert_values;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceInsert_values) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceInsert_values));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceInsert_values;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceInsert_values)list;
{ dataBaseView__TPPpdataBaseView_DataSourceInsert_values _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceInsert_values;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_from (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_from (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceInsert_from _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceInsert_from;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceInsert_from) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceInsert_from));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceInsert_from;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceInsert_from;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceInsert_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_targetDataSource (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_targetDataSource (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceInsert_targetDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceInsert_targetDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceInsert_targetDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceInsert_targetDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceInsert_targetDataSource;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceInsert_targetDataSource;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceInsert_targetDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_connection (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceInsert_connection (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceInsert_connection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceInsert_connection;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceInsert_connection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceInsert_connection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceInsert_connection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceInsert_from) dataBaseView_MkdataBaseView_DataSourceInsert_from (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceInsert_connection: root of subtree no. 1 can not be made a dataBaseView_DataSourceInsert_from node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceInsert_targetDataSource) dataBaseView_MkdataBaseView_DataSourceInsert_targetDataSource (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceInsert_connection: root of subtree no. 2 can not be made a dataBaseView_DataSourceInsert_targetDataSource node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceInsert_connection;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceInsert_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceUpdate _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceUpdate;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceUpdate) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceUpdate_name) dataBaseView_MkdataBaseView_DataSourceUpdate_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceUpdate: root of subtree no. 1 can not be made a dataBaseView_DataSourceUpdate_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceUpdate_formalParams) dataBaseView_MkdataBaseView_DataSourceUpdate_formalParams (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceUpdate: root of subtree no. 2 can not be made a dataBaseView_DataSourceUpdate_formalParams node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceUpdate_values) dataBaseView_MkdataBaseView_DataSourceUpdate_values (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceUpdate: root of subtree no. 3 can not be made a dataBaseView_DataSourceUpdate_values node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_DataSourceUpdate_conditions) dataBaseView_MkdataBaseView_DataSourceUpdate_conditions (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceUpdate: root of subtree no. 4 can not be made a dataBaseView_DataSourceUpdate_conditions node ", 0, _coordref);
_currn->_desc5 = (dataBaseView__TSPdataBaseView_DataSourceUpdate_connection) dataBaseView_MkdataBaseView_DataSourceUpdate_connection (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceUpdate: root of subtree no. 5 can not be made a dataBaseView_DataSourceUpdate_connection node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceUpdate */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceUpdate_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceUpdate_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceUpdate_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_formalParams)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceUpdate_formalParams (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceUpdate_formalParams (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceFormalParam)) 
		return dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams (_coordref, dataBaseView_MkdataBaseView_DataSourceFormalParam (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceUpdate_formalParams list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_formalParams (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_formalParams (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_formalParams)
	l =_ElempdataBaseView_DataSourceUpdate_formalParams (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_formalParams)
	r = _ElempdataBaseView_DataSourceUpdate_formalParams (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_formalParams (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_formalParams (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceUpdate_formalParams root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_formalParams)
		t = _ElempdataBaseView_DataSourceUpdate_formalParams (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceUpdate_formalParams;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceUpdate_formalParams));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceUpdate_formalParams;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_formalParams)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams)
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceUpdate_formalParams;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_formalParams*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceUpdate_formalParams;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate_formalParams));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate_formalParams;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_formalParams)list;
{ dataBaseView__TPPpdataBaseView_DataSourceUpdate_formalParams _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate_formalParams;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceValue)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_values)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceUpdate_values (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceUpdate_values (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceValue)) 
		return dataBaseView__MkdataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values (_coordref, dataBaseView_MkdataBaseView_DataSourceValue (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceUpdate_values list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_values (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_values (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_values)
	l =_ElempdataBaseView_DataSourceUpdate_values (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_values)
	r = _ElempdataBaseView_DataSourceUpdate_values (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_values (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_values (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceUpdate_values root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_values)
		t = _ElempdataBaseView_DataSourceUpdate_values (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceUpdate_values;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceUpdate_values));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceUpdate_values;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_values)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values)
	{dataBaseView__TPPLST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceValuepdataBaseView_DataSourceUpdate_values;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_values*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceUpdate_values;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_values) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate_values));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate_values;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_values)list;
{ dataBaseView__TPPpdataBaseView_DataSourceUpdate_values _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate_values;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceUpdate_conditions (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceUpdate_conditions list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceUpdate_conditions (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_conditions)
	l =_ElempdataBaseView_DataSourceUpdate_conditions (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_conditions)
	r = _ElempdataBaseView_DataSourceUpdate_conditions (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_conditions (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_conditions (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceUpdate_conditions root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceUpdate_conditions)
		t = _ElempdataBaseView_DataSourceUpdate_conditions (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceUpdate_conditions;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceUpdate_conditions));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceUpdate_conditions;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceUpdate_conditions)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceUpdate_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceUpdate_conditions*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceUpdate_conditions;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate_conditions));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate_conditions;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceUpdate_conditions)list;
{ dataBaseView__TPPpdataBaseView_DataSourceUpdate_conditions _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate_conditions;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_from (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_from (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceUpdate_from _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceUpdate_from;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_from) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate_from));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate_from;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate_from;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceUpdate_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_targetDataSource (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_targetDataSource (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceUpdate_targetDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceUpdate_targetDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_targetDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate_targetDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate_targetDataSource;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate_targetDataSource;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceUpdate_targetDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_connection (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceUpdate_connection (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceUpdate_connection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceUpdate_connection;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceUpdate_connection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceUpdate_connection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceUpdate_connection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceUpdate_from) dataBaseView_MkdataBaseView_DataSourceUpdate_from (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceUpdate_connection: root of subtree no. 1 can not be made a dataBaseView_DataSourceUpdate_from node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceUpdate_targetDataSource) dataBaseView_MkdataBaseView_DataSourceUpdate_targetDataSource (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceUpdate_connection: root of subtree no. 2 can not be made a dataBaseView_DataSourceUpdate_targetDataSource node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceUpdate_connection;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceUpdate_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceDelete _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceDelete;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceDelete) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceDelete));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceDelete;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceDelete_name) dataBaseView_MkdataBaseView_DataSourceDelete_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceDelete: root of subtree no. 1 can not be made a dataBaseView_DataSourceDelete_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceDelete_formalParams) dataBaseView_MkdataBaseView_DataSourceDelete_formalParams (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceDelete: root of subtree no. 2 can not be made a dataBaseView_DataSourceDelete_formalParams node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceDelete_conditions) dataBaseView_MkdataBaseView_DataSourceDelete_conditions (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceDelete: root of subtree no. 3 can not be made a dataBaseView_DataSourceDelete_conditions node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_DataSourceDelete_connection) dataBaseView_MkdataBaseView_DataSourceDelete_connection (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceDelete: root of subtree no. 4 can not be made a dataBaseView_DataSourceDelete_connection node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceDelete;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceDelete */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceDelete_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceDelete_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceDelete_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceDelete_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceDelete_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceDelete_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceDelete_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceFormalParam)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_formalParams)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceDelete_formalParams (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceDelete_formalParams (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceFormalParam)) 
		return dataBaseView__MkdataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams (_coordref, dataBaseView_MkdataBaseView_DataSourceFormalParam (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceDelete_formalParams list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceDelete_formalParams (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceDelete_formalParams (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_formalParams)
	l =_ElempdataBaseView_DataSourceDelete_formalParams (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_formalParams)
	r = _ElempdataBaseView_DataSourceDelete_formalParams (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_formalParams (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_formalParams (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceDelete_formalParams root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_formalParams)
		t = _ElempdataBaseView_DataSourceDelete_formalParams (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceDelete_formalParams;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceDelete_formalParams));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceDelete_formalParams;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_formalParams)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams)
	{dataBaseView__TPPLST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceFormalParampdataBaseView_DataSourceDelete_formalParams;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_formalParams*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceDelete_formalParams;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceDelete_formalParams) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceDelete_formalParams));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceDelete_formalParams;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_formalParams)list;
{ dataBaseView__TPPpdataBaseView_DataSourceDelete_formalParams _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceDelete_formalParams;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_BinaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_UnaryExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_PredefinedExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ConstantExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ParameterValueExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_ComputationExpression)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)_new;
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceDelete_conditions (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_BinaryExpression)) 
		return dataBaseView__MkdataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_BinaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_UnaryExpression)) 
		return dataBaseView__MkdataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_UnaryExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_PredefinedExpression)) 
		return dataBaseView__MkdataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_PredefinedExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ConstantExpression)) 
		return dataBaseView__MkdataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_ConstantExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_ColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ProjectionColumnValueExpression)) 
		return dataBaseView__MkdataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_ProjectionColumnValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ParameterValueExpression)) 
		return dataBaseView__MkdataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_ParameterValueExpression (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_ComputationExpression)) 
		return dataBaseView__MkdataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions (_coordref, dataBaseView_MkdataBaseView_ComputationExpression (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceDelete_conditions list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceDelete_conditions (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_conditions)
	l =_ElempdataBaseView_DataSourceDelete_conditions (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_conditions)
	r = _ElempdataBaseView_DataSourceDelete_conditions (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_conditions (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_conditions (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceDelete_conditions root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceDelete_conditions)
		t = _ElempdataBaseView_DataSourceDelete_conditions (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceDelete_conditions;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceDelete_conditions));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceDelete_conditions;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceDelete_conditions)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_BinaryExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_UnaryExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_PredefinedExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ConstantExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ProjectionColumnValueExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ParameterValueExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions)
	{dataBaseView__TPPLST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_ComputationExpressionpdataBaseView_DataSourceDelete_conditions;
	} this code has been moved to _ElempdataBaseView_DataSourceDelete_conditions*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceDelete_conditions;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceDelete_conditions) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceDelete_conditions));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceDelete_conditions;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceDelete_conditions)list;
{ dataBaseView__TPPpdataBaseView_DataSourceDelete_conditions _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceDelete_conditions;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_from (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_from (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceDelete_from _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceDelete_from;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceDelete_from) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceDelete_from));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceDelete_from;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceDelete_from;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceDelete_from */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_targetDataSource (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_targetDataSource (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceDelete_targetDataSource _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceDelete_targetDataSource;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceDelete_targetDataSource) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceDelete_targetDataSource));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceDelete_targetDataSource;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceDelete_targetDataSource;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceDelete_targetDataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_connection (POSITION *_coordref, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceDelete_connection (_coordref,_desc1,_desc2)
	POSITION *_coordref;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceDelete_connection _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceDelete_connection;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceDelete_connection) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceDelete_connection));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceDelete_connection;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceDelete_from) dataBaseView_MkdataBaseView_DataSourceDelete_from (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceDelete_connection: root of subtree no. 1 can not be made a dataBaseView_DataSourceDelete_from node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceDelete_targetDataSource) dataBaseView_MkdataBaseView_DataSourceDelete_targetDataSource (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceDelete_connection: root of subtree no. 2 can not be made a dataBaseView_DataSourceDelete_targetDataSource node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceDelete_connection;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceDelete_connection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8,_desc9,_desc10,_desc11)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
	NODEPTR _desc9;
	NODEPTR _desc10;
	NODEPTR _desc11;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataBase_name) dataBaseView_MkdataBaseView_DataBase_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 1 can not be made a dataBaseView_DataBase_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataBase_userName) dataBaseView_MkdataBaseView_DataBase_userName (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 2 can not be made a dataBaseView_DataBase_userName node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataBase_userPassword) dataBaseView_MkdataBaseView_DataBase_userPassword (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 3 can not be made a dataBaseView_DataBase_userPassword node ", 0, _coordref);
_currn->_desc4 = (dataBaseView__TSPdataBaseView_DataBase_hostName) dataBaseView_MkdataBaseView_DataBase_hostName (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 4 can not be made a dataBaseView_DataBase_hostName node ", 0, _coordref);
_currn->_desc5 = (dataBaseView__TSPdataBaseView_DataBase_port) dataBaseView_MkdataBaseView_DataBase_port (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 5 can not be made a dataBaseView_DataBase_port node ", 0, _coordref);
_currn->_desc6 = (dataBaseView__TSPdataBaseView_DataBase_dataBaseType) dataBaseView_MkdataBaseView_DataBase_dataBaseType (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 6 can not be made a dataBaseView_DataBase_dataBaseType node ", 0, _coordref);
_currn->_desc7 = (dataBaseView__TSPdataBaseView_DataBase_prefix) dataBaseView_MkdataBaseView_DataBase_prefix (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 7 can not be made a dataBaseView_DataBase_prefix node ", 0, _coordref);
_currn->_desc8 = (dataBaseView__TSPdataBaseView_DataBase_dataSources) dataBaseView_MkdataBaseView_DataBase_dataSources (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 8 can not be made a dataBaseView_DataBase_dataSources node ", 0, _coordref);
_currn->_desc9 = (dataBaseView__TSPdataBaseView_DataBase_dataSourceModifications) dataBaseView_MkdataBaseView_DataBase_dataSourceModifications (_coordref, _desc9);	
if (((NODEPTR)_currn->_desc9) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 9 can not be made a dataBaseView_DataBase_dataSourceModifications node ", 0, _coordref);
_currn->_desc10 = (dataBaseView__TSPdataBaseView_DataBase_setSize) dataBaseView_MkdataBaseView_DataBase_setSize (_coordref, _desc10);	
if (((NODEPTR)_currn->_desc10) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 10 can not be made a dataBaseView_DataBase_setSize node ", 0, _coordref);
_currn->_desc11 = (dataBaseView__TSPdataBaseView_DataBase_modifySetSize) dataBaseView_MkdataBaseView_DataBase_modifySetSize (_coordref, _desc11);	
if (((NODEPTR)_currn->_desc11) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataBase: root of subtree no. 11 can not be made a dataBaseView_DataBase_modifySetSize node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_userName (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_userName (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_userName _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_userName;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_userName) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_userName));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_userName;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_userName;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_userName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_userPassword (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_userPassword (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_userPassword _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_userPassword;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_userPassword) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_userPassword));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_userPassword;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_userPassword;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_userPassword */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_hostName (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_hostName (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_hostName _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_hostName;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_hostName) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_hostName));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_hostName;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_hostName;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_hostName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_port (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_port (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_port _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_port;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_port) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_port));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_port;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_port;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_port */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataBaseType (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataBaseType (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_dataBaseType _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_dataBaseType;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_dataBaseType) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_dataBaseType));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_dataBaseType;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_dataBaseType;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_dataBaseType */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_prefix (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_prefix (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_prefix _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_prefix;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_prefix) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_prefix));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_prefix;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_prefix;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_prefix */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceTable)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSources)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceProjection)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSources)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_LimitDataSource)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSources)_new;
	{dataBaseView__TPPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_OrderedDataSource)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSources)_new;
	{dataBaseView__TPPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceJoin)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSources)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataBase_dataSources (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceTable)) 
		return dataBaseView__MkdataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources (_coordref, dataBaseView_MkdataBaseView_DataSourceTable (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceProjection)) 
		return dataBaseView__MkdataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources (_coordref, dataBaseView_MkdataBaseView_DataSourceProjection (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_LimitDataSource)) 
		return dataBaseView__MkdataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources (_coordref, dataBaseView_MkdataBaseView_LimitDataSource (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_OrderedDataSource)) 
		return dataBaseView__MkdataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources (_coordref, dataBaseView_MkdataBaseView_OrderedDataSource (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceJoin)) 
		return dataBaseView__MkdataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources (_coordref, dataBaseView_MkdataBaseView_DataSourceJoin (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataBase_dataSources list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataBase_dataSources (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataBase_dataSources)
	l =_ElempdataBaseView_DataBase_dataSources (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataBase_dataSources)
	r = _ElempdataBaseView_DataBase_dataSources (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataSources (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataSources (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataBase_dataSources root;
	dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataBase_dataSources)
		t = _ElempdataBaseView_DataBase_dataSources (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources)(((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataBase_dataSources;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataBase_dataSources));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataBase_dataSources;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSources)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources)
	{dataBaseView__TPPLST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceTablepdataBaseView_DataBase_dataSources;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSources*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources)
	{dataBaseView__TPPLST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceProjectionpdataBaseView_DataBase_dataSources;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSources*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources)
	{dataBaseView__TPPLST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_LimitDataSourcepdataBaseView_DataBase_dataSources;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSources*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources)
	{dataBaseView__TPPLST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_OrderedDataSourcepdataBaseView_DataBase_dataSources;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSources*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources)
	{dataBaseView__TPPLST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceJoinpdataBaseView_DataBase_dataSources;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSources*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataBase_dataSources;
#else
root = (dataBaseView__TPPpdataBaseView_DataBase_dataSources) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_dataSources));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataBase_dataSources;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSources)list;
{ dataBaseView__TPPpdataBaseView_DataBase_dataSources _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataBase_dataSources;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceInsert)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSourceModifications)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceUpdate)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSourceModifications)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceDelete)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSourceModifications)_new;
	{dataBaseView__TPPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataBase_dataSourceModifications (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataBase_dataSourceModifications (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceInsert)) 
		return dataBaseView__MkdataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications (_coordref, dataBaseView_MkdataBaseView_DataSourceInsert (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceUpdate)) 
		return dataBaseView__MkdataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications (_coordref, dataBaseView_MkdataBaseView_DataSourceUpdate (_coordref, t));
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DataSourceDelete)) 
		return dataBaseView__MkdataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications (_coordref, dataBaseView_MkdataBaseView_DataSourceDelete (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataBase_dataSourceModifications list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataBase_dataSourceModifications (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataBase_dataSourceModifications (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataBase_dataSourceModifications)
	l =_ElempdataBaseView_DataBase_dataSourceModifications (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataBase_dataSourceModifications)
	r = _ElempdataBaseView_DataBase_dataSourceModifications (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataSourceModifications (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_dataSourceModifications (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataBase_dataSourceModifications root;
	dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataBase_dataSourceModifications)
		t = _ElempdataBaseView_DataBase_dataSourceModifications (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications)(((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataBase_dataSourceModifications;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataBase_dataSourceModifications));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataBase_dataSourceModifications;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataBase_dataSourceModifications)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications)
	{dataBaseView__TPPLST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceInsertpdataBaseView_DataBase_dataSourceModifications;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSourceModifications*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications)
	{dataBaseView__TPPLST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceUpdatepdataBaseView_DataBase_dataSourceModifications;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSourceModifications*/
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications)
	{dataBaseView__TPPLST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DataSourceDeletepdataBaseView_DataBase_dataSourceModifications;
	} this code has been moved to _ElempdataBaseView_DataBase_dataSourceModifications*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataBase_dataSourceModifications;
#else
root = (dataBaseView__TPPpdataBaseView_DataBase_dataSourceModifications) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_dataSourceModifications));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataBase_dataSourceModifications;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataBase_dataSourceModifications)list;
{ dataBaseView__TPPpdataBaseView_DataBase_dataSourceModifications _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataBase_dataSourceModifications;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_setSize (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_setSize (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_setSize _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_setSize;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_setSize) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_setSize));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_setSize;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_setSize;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataBase_modifySetSize (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataBase_modifySetSize (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataBase_modifySetSize _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataBase_modifySetSize;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataBase_modifySetSize) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataBase_modifySetSize));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataBase_modifySetSize;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataBase_modifySetSize;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataBase_modifySetSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceTable _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceTable;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceTable) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceTable));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceTable;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_DataSourceTable_name) dataBaseView_MkdataBaseView_DataSourceTable_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceTable: root of subtree no. 1 can not be made a dataBaseView_DataSourceTable_name node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_DataSourceTable_position) dataBaseView_MkdataBaseView_DataSourceTable_position (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceTable: root of subtree no. 2 can not be made a dataBaseView_DataSourceTable_position node ", 0, _coordref);
_currn->_desc3 = (dataBaseView__TSPdataBaseView_DataSourceTable_columns) dataBaseView_MkdataBaseView_DataSourceTable_columns (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_DataSourceTable: root of subtree no. 3 can not be made a dataBaseView_DataSourceTable_columns node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceTable;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_name (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_name (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceTable_name _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceTable_name;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceTable_name) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceTable_name));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceTable_name;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceTable_name;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceTable_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_position (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_position (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_DataSourceTable_position _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_DataSourceTable_position;
#else
_currn = (dataBaseView__TPPpdataBaseView_DataSourceTable_position) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceTable_position));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_DataSourceTable_position;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_DataSourceTable_position;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_DataSourceTable_position */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR dataBaseView__MkdataBaseView_DBColumnpdataBaseView_DataSourceTable_columns (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR dataBaseView__MkdataBaseView_DBColumnpdataBaseView_DataSourceTable_columns (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	dataBaseView__TPPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns _new;
#ifdef __cplusplus
	_new = new dataBaseView__TPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns;
#else
	_new = (dataBaseView__TPPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns));
#endif
	_new->_prod = dataBaseView_RULELST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns;
	_new->_desc1 = (dataBaseView__TSPdataBaseView_DBColumn)elem;
	_new->_desc2 = (dataBaseView__TSPLST_dataBaseView_DataSourceTable_columns)_new;
	{dataBaseView__TPPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns _currn = _new;
	 _SETCOORD(_currn)
	 dataBaseView__TERMACT_LST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElempdataBaseView_DataSourceTable_columns (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElempdataBaseView_DataSourceTable_columns (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (dataBaseView_IsSymb (t, dataBaseView_SYMBdataBaseView_DBColumn)) 
		return dataBaseView__MkdataBaseView_DBColumnpdataBaseView_DataSourceTable_columns (_coordref, dataBaseView_MkdataBaseView_DBColumn (_coordref, t));
	message (DEADLY, "a pdataBaseView_DataSourceTable_columns list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceTable_columns (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR dataBaseView_Mk2pdataBaseView_DataSourceTable_columns (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (dataBaseView_LHSMAP[l->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceTable_columns)
	l =_ElempdataBaseView_DataSourceTable_columns (_coordref, l);
if (dataBaseView_LHSMAP[r->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceTable_columns)
	r = _ElempdataBaseView_DataSourceTable_columns (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns)r)->_desc2);
((dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns)r)->_desc2 = ((dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns)l)->_desc2;
((dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_columns (POSITION *_coordref, NODEPTR t)
#else
NODEPTR dataBaseView_MkpdataBaseView_DataSourceTable_columns (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; dataBaseView__TPPpdataBaseView_DataSourceTable_columns root;
	dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns)NULLNODEPTR;
else {	if (dataBaseView_LHSMAP[t->_prod] != dataBaseView_SYMBLST_dataBaseView_DataSourceTable_columns)
		t = _ElempdataBaseView_DataSourceTable_columns (_coordref, t);
	remain = (dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns)(((dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns) t)->_desc2);
	((dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new dataBaseView__TPLST_0pdataBaseView_DataSourceTable_columns;
#else
list = (dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPLST_0pdataBaseView_DataSourceTable_columns));
#endif
list->_prod = dataBaseView_RULELST_0pdataBaseView_DataSourceTable_columns;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (dataBaseView__TPPLST_0pdataBaseView_DataSourceTable_columns)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == dataBaseView_RULELST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns)
	{dataBaseView__TPPLST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns _currn = _currn;
	 dataBaseView__TERMACT_LST_dataBaseView_DBColumnpdataBaseView_DataSourceTable_columns;
	} this code has been moved to _ElempdataBaseView_DataSourceTable_columns*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new dataBaseView__TPpdataBaseView_DataSourceTable_columns;
#else
root = (dataBaseView__TPPpdataBaseView_DataSourceTable_columns) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_DataSourceTable_columns));
#endif
root->_prod = dataBaseView_RULEpdataBaseView_DataSourceTable_columns;
root->_desc1 = (dataBaseView__TSPLST_dataBaseView_DataSourceTable_columns)list;
{ dataBaseView__TPPpdataBaseView_DataSourceTable_columns _currn = root;
  _SETCOORD(_currn)
  dataBaseView__TERMACT_pdataBaseView_DataSourceTable_columns;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderColumn (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderColumn (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	dataBaseView__TPPpdataBaseView_OrderColumn _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderColumn;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderColumn) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderColumn));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderColumn;
_currn->_desc1 = (dataBaseView__TSPdataBaseView_OrderColumn_orderColumn) dataBaseView_MkdataBaseView_OrderColumn_orderColumn (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_OrderColumn: root of subtree no. 1 can not be made a dataBaseView_OrderColumn_orderColumn node ", 0, _coordref);
_currn->_desc2 = (dataBaseView__TSPdataBaseView_OrderColumn_order) dataBaseView_MkdataBaseView_OrderColumn_order (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE pdataBaseView_OrderColumn: root of subtree no. 2 can not be made a dataBaseView_OrderColumn_order node ", 0, _coordref);
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderColumn;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderColumn_orderColumn (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderColumn_orderColumn (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_OrderColumn_orderColumn _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderColumn_orderColumn;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderColumn_orderColumn) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderColumn_orderColumn));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderColumn_orderColumn;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderColumn_orderColumn;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderColumn_orderColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR dataBaseView_MkpdataBaseView_OrderColumn_order (POSITION *_coordref)
#else
NODEPTR dataBaseView_MkpdataBaseView_OrderColumn_order (_coordref)
	POSITION *_coordref;
#endif
{	dataBaseView__TPPpdataBaseView_OrderColumn_order _currn;
#ifdef __cplusplus
_currn = new dataBaseView__TPpdataBaseView_OrderColumn_order;
#else
_currn = (dataBaseView__TPPpdataBaseView_OrderColumn_order) dataBaseView_TreeNodeAlloc (sizeof (struct dataBaseView__TPpdataBaseView_OrderColumn_order));
#endif
_currn->_prod = dataBaseView_RULEpdataBaseView_OrderColumn_order;
_SETCOORD(_currn)
dataBaseView__TERMACT_pdataBaseView_OrderColumn_order;
return ( (NODEPTR) _currn);
}/* dataBaseView_MkpdataBaseView_OrderColumn_order */
