
/* implementation of tree construction functions */

#include "rootView_node.h"

#include "rootView_nodecode.h"

#include "attrpredef.h"

#include "rootView_visitmap.h"

#include "rootView_treeact.h"

#ifdef MONITOR
#include "attr_mon_dapto.h"
#endif

#include <stdlib.h>

#define _USE_OBSTACK 1

/* use of obstack: */

#if _USE_OBSTACK

#include "obstack.h"
static struct obstack TreeSpace;
static void *_TreeBase;

#ifdef __cplusplus
void* rootView_NODEPTR_SUB_struct::operator new(size_t size)
{
	return obstack_alloc(&TreeSpace, size);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* rootView_TreeNodeAlloc(int size)
#else
char* rootView_TreeNodeAlloc(size) int size;
#endif
{
	return (char *)(obstack_alloc(&TreeSpace, size));
}
#endif

void rootView_InitTree()
{
	obstack_init(&TreeSpace);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

void rootView_FreeTree()
{
	obstack_free(&TreeSpace, _TreeBase);
	_TreeBase=obstack_alloc(&TreeSpace,0);
}

#else

#include <stdio.h>

#ifdef __cplusplus
void* NODEPTR_struct::operator new(size_t size)
{
	void *retval = malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#else
#if defined(__STDC__) || defined(__cplusplus)
char* rootView_TreeNodeAlloc(int size)
#else
char* rootView_TreeNodeAlloc(size) int size;
#endif
{
	char *retval = (char *) malloc(size);
	if (retval) return retval;
	fprintf(stderr, "*** DEADLY: No more memory.\n");
	exit(1);
}
#endif

void rootView_InitTree() { }

void rootView_FreeTree() { }

#endif

#ifdef MONITOR
#define _SETCOORD(node) \
        node->_coord = _coordref ? *_coordref : NoCoord;
#define _COPYCOORD(node) \
        node->_coord = _currn->_desc1->_coord;
#else
#define _SETCOORD(node)
#define _COPYCOORD(node)
#endif
#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkVIEWROOT (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkVIEWROOT (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBVIEWROOT)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Root)) return (rootView_MkpVIEWROOT_rootView(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkVIEWROOT */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Root (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Root (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Root)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Root */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeFormalParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeFormalParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeFormalParam)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeFormalParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeFormalParam_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeFormalParam_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeFormalParam_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeFormalParam_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeFormalParam_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeFormalParam_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeFormalParam_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeFormalParam_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeFormalParam_type (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeFormalParam_type)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeFormalParam_type */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBBlob (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBBlob (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBBlob)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBBlob */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBBoolean (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBBoolean (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBBoolean)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBBoolean */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBTimeStamp (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBTimeStamp (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBTimeStamp)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBTimeStamp */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBDate (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBDate (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBDate)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBDate */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBBigInt (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBBigInt (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBBigInt)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBBigInt */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBDouble (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBDouble (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBDouble)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBDouble */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBFloat (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBFloat (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBFloat)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBFloat */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBLong (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBLong (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBLong)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBLong */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBInteger (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBInteger (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBInteger)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBInteger */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBText (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBText (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBText)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBText */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBString (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBString (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBString)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBString */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBHasMany (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBHasMany (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBHasMany)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBHasMany */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBHasOne (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBHasOne (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBHasOne)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBHasOne */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataBase (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataBase (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBase)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataBase */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBString_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBString_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBString_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBString_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBText_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBText_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBText_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBText_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBInteger_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBInteger_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBInteger_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBInteger_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBLong_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBLong_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBLong_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBLong_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBFloat_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBFloat_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBFloat_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBFloat_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBDouble_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBDouble_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBDouble_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBDouble_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBBigInt_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBBigInt_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBBigInt_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBBigInt_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBDate_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBDate_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBDate_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBDate_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBTimeStamp_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBTimeStamp_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBTimeStamp_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBTimeStamp_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBBoolean_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBBoolean_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBBoolean_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBBoolean_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBBlob_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBBlob_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBBlob_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBBlob_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBHasOne_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBHasOne_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBHasOne_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBHasOne_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBHasOne_dataSourceTable (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBHasOne_dataSourceTable (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBHasOne_dataSourceTable)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBHasOne_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBHasMany_keyword1 (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBHasMany_keyword1 (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBHasMany_keyword1)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBHasMany_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DBHasMany_dataSourceTable (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DBHasMany_dataSourceTable (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DBHasMany_dataSourceTable)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DBHasMany_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Root_webApp (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Root_webApp (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Root_webApp)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication)) return (rootView_Mkrule_1(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_Root_webApp */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Root_library (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Root_library (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Root_library)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Root_library */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Library (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Library (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Library)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Library */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Library_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Library_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Library_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Library_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Library_navigationElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Library_navigationElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Library_navigationElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Library_navigationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationElement_code (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationElement_code (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationElement_code)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationElement_code */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_entrancePage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_entrancePage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_entrancePage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_entrancePage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_webZone (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_webZone (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_webZone)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RootWebZone)) return (rootView_Mkrule_2(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_webZone */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_navigationBar (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_navigationBar (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_navigationBar)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBar)) return (rootView_Mkrule_3(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_navigationBar */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_styleSheet (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_styleSheet (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_styleSheet)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheet)) return (rootView_Mkrule_4(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_styleSheet */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_frames (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_frames (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_frames)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_frames */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_meta (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_meta (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_meta)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MetaInformation)) return (rootView_Mkrule_5(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_meta */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_database (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_database (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_database)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBase)) return (rootView_Mkrule_6(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_database */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_roles (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_roles (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_roles)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_roles */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_linksExtern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_linksExtern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_linksExtern)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_linksExtern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_imagePath (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_imagePath (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_imagePath)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_imagePath */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_packageName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_packageName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_packageName)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_packageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_pageEncoding (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_pageEncoding (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_pageEncoding)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_pageEncoding */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_header (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_header (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_header)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_header */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_footer (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_footer (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_footer)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_footer */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_mailHost (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_mailHost (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_mailHost)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_mailHost */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_mailFromAddress (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_mailFromAddress (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_mailFromAddress)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_mailFromAddress */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebApplication_catalinaHome (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebApplication_catalinaHome (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebApplication_catalinaHome)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebApplication_catalinaHome */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_RootWebZone (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_RootWebZone (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RootWebZone)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_RootWebZone */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationBar (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationBar (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBar)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationBar */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheet (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheet (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheet)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheet */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_GlobalFrame (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_GlobalFrame (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_GlobalFrame)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_GlobalFrame */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MetaInformation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MetaInformation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MetaInformation)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MetaInformation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebRole (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebRole (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebRole)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebRole */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LinkTargetExtern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LinkTargetExtern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LinkTargetExtern)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LinkTargetExtern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_RootWebZone_webTargets (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_RootWebZone_webTargets (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RootWebZone_webTargets)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_RootWebZone_webTargets */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_RootWebZone_errorLink (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_RootWebZone_errorLink (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RootWebZone_errorLink)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_RootWebZone_errorLink */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_RootWebZone_roles (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_RootWebZone_roles (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RootWebZone_roles)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_RootWebZone_roles */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_RootWebZone_setSize (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_RootWebZone_setSize (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RootWebZone_setSize)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_RootWebZone_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebAction (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebAction (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebAction)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebAction */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebPage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebPage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebPage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebPage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SubWebZone (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SubWebZone (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SubWebZone)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SubWebZone */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebRoleRef (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebRoleRef (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebRoleRef)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebRoleRef */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SubWebZone_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SubWebZone_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SubWebZone_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SubWebZone_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SubWebZone_webTargets (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SubWebZone_webTargets (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SubWebZone_webTargets)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SubWebZone_webTargets */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SubWebZone_errorLink (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SubWebZone_errorLink (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SubWebZone_errorLink)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SubWebZone_errorLink */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SubWebZone_roles (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SubWebZone_roles (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SubWebZone_roles)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SubWebZone_roles */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SubWebZone_setSize (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SubWebZone_setSize (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SubWebZone_setSize)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SubWebZone_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SubWebZone_position (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SubWebZone_position (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SubWebZone_position)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SubWebZone_position */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebRole_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebRole_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebRole_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebRole_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebRole_color (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebRole_color (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebRole_color)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebRole_color */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebRoleRef_role (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebRoleRef_role (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebRoleRef_role)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebRoleRef_role */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebPage_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebPage_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebPage_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebPage_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebPage_formalParameter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebPage_formalParameter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebPage_formalParameter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebPage_formalParameter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebPage_title (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebPage_title (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebPage_title)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebPage_title */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebPage_frame (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebPage_frame (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebPage_frame)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Frame)) return (rootView_Mkrule_7(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_WebPage_frame */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebPage_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebPage_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebPage_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebPage_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebPage_position (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebPage_position (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebPage_position)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebPage_position */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Frame (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Frame (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Frame)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Frame */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Frame_components (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Frame_components (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Frame_components)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Frame_components */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageMap (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageMap (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageMap)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageMap */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputMessagesElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputMessagesElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputMessagesElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputMessagesElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Table (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Table (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Table)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Table */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Heading (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Heading (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Heading)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Heading */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Paragraph (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Paragraph (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Paragraph)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Paragraph */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FrameRef (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FrameRef (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FrameRef)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FrameRef */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_GlobalFrame_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_GlobalFrame_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_GlobalFrame_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_GlobalFrame_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_GlobalFrame_components (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_GlobalFrame_components (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_GlobalFrame_components)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_GlobalFrame_components */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_GlobalFrame_setSize (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_GlobalFrame_setSize (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_GlobalFrame_setSize)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_GlobalFrame_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationBar_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationBar_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBar_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationBar_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationBar_elements (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationBar_elements (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBar_elements)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationBar_elements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationBar_alignment (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationBar_alignment (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBar_alignment)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationBar_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationBarElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationBarElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBarElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationBarElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationBarElement_imageName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationBarElement_imageName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBarElement_imageName)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationBarElement_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_NavigationBarElement_target (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_NavigationBarElement_target (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_NavigationBarElement_target)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_NavigationBarElement_target */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FrameRef_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FrameRef_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FrameRef_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FrameRef_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FrameRef_frame (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FrameRef_frame (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FrameRef_frame)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FrameRef_frame */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MetaInformation_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MetaInformation_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MetaInformation_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MetaInformation_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MetaInformation_elements (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MetaInformation_elements (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MetaInformation_elements)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MetaInformation_elements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MetaInformationElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MetaInformationElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MetaInformationElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MetaInformationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MetaInformationElement_property (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MetaInformationElement_property (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MetaInformationElement_property)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MetaInformationElement_property */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MetaInformationElement_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MetaInformationElement_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MetaInformationElement_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MetaInformationElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_BinaryExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_BinaryExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_BinaryExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_BinaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_BinaryExpression_leftOperand (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_BinaryExpression_leftOperand)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_BinaryExpression_leftOperand */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_BinaryExpression_rightOperand (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_BinaryExpression_rightOperand)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_BinaryExpression_rightOperand */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_BinaryExpression_operator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_BinaryExpression_operator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_BinaryExpression_operator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_BinaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ComputationExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ComputationExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ComputationExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ComputationExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ParameterValueExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ParameterValueExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ParameterValueExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ParameterValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ProjectionColumnValueExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ProjectionColumnValueExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ProjectionColumnValueExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ProjectionColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ColumnValueExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ColumnValueExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ColumnValueExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ConstantExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ConstantExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ConstantExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_PredefinedExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_PredefinedExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_PredefinedExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_PredefinedExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_UnaryExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_UnaryExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_UnaryExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_UnaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_UnaryExpression_operand (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_UnaryExpression_operand)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_UnaryExpression_operand */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_UnaryExpression_operator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_UnaryExpression_operator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_UnaryExpression_operator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_UnaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_PredefinedExpression_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_PredefinedExpression_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_PredefinedExpression_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_PredefinedExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ConstantExpression_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ConstantExpression_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ConstantExpression_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ColumnValueExpression_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ColumnValueExpression_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ColumnValueExpression_column)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ProjectionColumnValueExpression_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ProjectionColumnValueExpression_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ProjectionColumnValueExpression_column)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ProjectionColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ParameterValueExpression_parameter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ParameterValueExpression_parameter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ParameterValueExpression_parameter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ParameterValueExpression_parameter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ComputationExpression_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ComputationExpression_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ComputationExpression_column)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ComputationExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ComputationExpression_computation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ComputationExpression_computation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ComputationExpression_computation)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ComputationExpression_computation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataSourceActualParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataSourceActualParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataSourceActualParam)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataSourceActualParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataSourceActualParam_formalParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataSourceActualParam_formalParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataSourceActualParam_formalParam)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataSourceActualParam_formalParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataSourceActualParam_expressions (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataSourceActualParam_expressions (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataSourceActualParam_expressions)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataSourceActualParam_expressions */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeSessionExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeSessionExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeSessionExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeSessionExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeVariableExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeVariableExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeVariableExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeVariableExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeConstantExpression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeConstantExpression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeConstantExpression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Paragraph_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Paragraph_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Paragraph_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Paragraph_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Paragraph_fragments (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Paragraph_fragments (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Paragraph_fragments)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Paragraph_fragments */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputFragment (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputFragment (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputFragment)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputFragment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TextFragment (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TextFragment (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TextFragment)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TextFragment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TextFragment_link (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TextFragment_link (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TextFragment_link)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TextFragment_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TextFragment_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TextFragment_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TextFragment_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TextFragment_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TextFragment_fontstyle (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TextFragment_fontstyle (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TextFragment_fontstyle)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TextFragment_fontstyle */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_link (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_link (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_link)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_width (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_width (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_width)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_width */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_height (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_height (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_height)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_height */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_border (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_border (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_border)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_border */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_verticalAlign (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_verticalAlign (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_verticalAlign)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_verticalAlign */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_float (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_float (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_float)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_float */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_text (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_text (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_text)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_text */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageFragment_imageName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageFragment_imageName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageFragment_imageName)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageFragment_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Heading_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Heading_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Heading_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Heading_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Heading_text (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Heading_text (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Heading_text)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Heading_text */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Heading_level (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Heading_level (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Heading_level)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Heading_level */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Table_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Table_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Table_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Table_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Table_rows (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Table_rows (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Table_rows)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Table_rows */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Table_columns (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Table_columns (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Table_columns)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Table_columns */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TableRow (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TableRow (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TableRow)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TableRow */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TableColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TableColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TableColumn)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TableColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TableRow_cells (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TableRow_cells (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TableRow_cells)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TableRow_cells */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TableCell (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TableCell (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TableCell)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TableCell */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TableCell_columnRef (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TableCell_columnRef (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TableCell_columnRef)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_TableCell_columnRef */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_TableCell_content (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_TableCell_content (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_TableCell_content)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Frame)) return (rootView_Mkrule_8(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_TableCell_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheet_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheet_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheet_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheet_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheet_custom (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheet_custom (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheet_custom)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheet_custom */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheet_default (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheet_default (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheet_default)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheet_default */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_CustomStyleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_CustomStyleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_CustomStyleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_CustomStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_HtmlStyleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_HtmlStyleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_HtmlStyleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_HtmlStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_CustomStyleSheetBlock_pairs (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_CustomStyleSheetBlock_pairs)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_CustomStyleSheetBlock_pairs */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_CustomStyleSheetBlock_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_CustomStyleSheetBlock_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_CustomStyleSheetBlock_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_CustomStyleSheetBlock_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheetPair (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheetPair (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheetPair)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheetPair */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheetPair_category (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheetPair_category (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheetPair_category)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheetPair_category */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheetPair_attribute (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheetPair_attribute (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheetPair_attribute)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheetPair_attribute */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheetPair_valueCategory (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheetPair_valueCategory (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheetPair_valueCategory)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheetPair_valueCategory */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleSheetPair_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleSheetPair_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleSheetPair_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_CustomValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_CustomValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_CustomValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_CustomValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_AlignmentValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_AlignmentValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_AlignmentValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_AlignmentValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_HeadingValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_HeadingValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_HeadingValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_HeadingValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FamilyValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FamilyValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FamilyValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FamilyValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ColorValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ColorValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ColorValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ColorValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SizeValue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SizeValue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SizeValue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SizeValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SizeValue_measure (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SizeValue_measure (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SizeValue_measure)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SizeValue_measure */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SizeValue_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SizeValue_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SizeValue_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SizeValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ColorValue_color (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ColorValue_color (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ColorValue_color)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ColorValue_color */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FamilyValue_family (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FamilyValue_family (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FamilyValue_family)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FamilyValue_family */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StyleValue_style (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StyleValue_style (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StyleValue_style)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StyleValue_style */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_HeadingValue_heading (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_HeadingValue_heading (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_HeadingValue_heading)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_HeadingValue_heading */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_AlignmentValue_alignment (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_AlignmentValue_alignment (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_AlignmentValue_alignment)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_AlignmentValue_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListValue_listed (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListValue_listed (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListValue_listed)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListValue_listed */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_CustomValue_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_CustomValue_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_CustomValue_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_CustomValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_HtmlStyleSheetBlock_pairs (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_HtmlStyleSheetBlock_pairs)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_HtmlStyleSheetBlock_pairs */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_HtmlStyleSheetBlock_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_HtmlStyleSheetBlock_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_HtmlStyleSheetBlock_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_HtmlStyleSheetBlock_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionHandler (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionHandler (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionHandler)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionHandler */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionHandler_targetpage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionHandler_targetpage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionHandler_targetpage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionHandler_targetpage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionHandler_params (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionHandler_params (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionHandler_params)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionHandler_params */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeActualParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeActualParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeActualParam)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeActualParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebAction_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebAction_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebAction_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebAction_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebAction_formalParameter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebAction_formalParameter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebAction_formalParameter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebAction_formalParameter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebAction_successpage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebAction_successpage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebAction_successpage)) return (_currn);
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionHandler)) return (rootView_Mkrule_9(_coordref, _currn));
return(NULLNODEPTR);
}/* rootView_MkrootView_WebAction_successpage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebAction_operations (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebAction_operations (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebAction_operations)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebAction_operations */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebAction_position (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebAction_position (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebAction_position)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebAction_position */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LogoutOperation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LogoutOperation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LogoutOperation)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LogoutOperation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_JavaOperation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_JavaOperation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_JavaOperation)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_JavaOperation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataBaseOperation (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataBaseOperation (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBaseOperation)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataBaseOperation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataBaseOperation_errorhandler (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataBaseOperation_errorhandler (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBaseOperation_errorhandler)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataBaseOperation_errorhandler */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataBaseOperation_successMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataBaseOperation_successMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBaseOperation_successMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataBaseOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataBaseOperation_errorMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataBaseOperation_errorMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBaseOperation_errorMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataBaseOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataBaseOperation_filter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataBaseOperation_filter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBaseOperation_filter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataBaseOperation_filter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DataBaseOperation_params (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DataBaseOperation_params (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DataBaseOperation_params)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DataBaseOperation_params */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_JavaOperation_errorhandler (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_JavaOperation_errorhandler (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_JavaOperation_errorhandler)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_JavaOperation_errorhandler */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_JavaOperation_successMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_JavaOperation_successMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_JavaOperation_successMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_JavaOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_JavaOperation_errorMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_JavaOperation_errorMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_JavaOperation_errorMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_JavaOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_JavaOperation_content (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_JavaOperation_content (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_JavaOperation_content)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_JavaOperation_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation_errorhandler (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation_errorhandler (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation_errorhandler)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation_errorhandler */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation_successMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation_successMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation_successMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation_errorMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation_errorMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation_errorMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation_mailTo (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation_mailTo (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation_mailTo)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation_mailTo */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation_subject (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation_subject (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation_subject)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation_subject */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MailingOperation_content (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MailingOperation_content (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MailingOperation_content)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MailingOperation_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LogoutOperation_errorhandler (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LogoutOperation_errorhandler (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LogoutOperation_errorhandler)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LogoutOperation_errorhandler */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LogoutOperation_successMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LogoutOperation_successMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LogoutOperation_successMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LogoutOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LogoutOperation_errorMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LogoutOperation_errorMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LogoutOperation_errorMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LogoutOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LogoutOperation_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LogoutOperation_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LogoutOperation_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LogoutOperation_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_errorhandler (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_errorhandler (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_errorhandler)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_errorhandler */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_successMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_successMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_successMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_errorMessage (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_errorMessage (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_errorMessage)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_userDBColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_userDBColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_userDBColumn)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_userDBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_passwdDBColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_passwdDBColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_passwdDBColumn)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_passwdDBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_rolesDBColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_rolesDBColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_rolesDBColumn)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_rolesDBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_userFormField (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_userFormField (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_userFormField)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_userFormField */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LoginOperation_passwdFormField (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LoginOperation_passwdFormField (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LoginOperation_passwdFormField)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LoginOperation_passwdFormField */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular_action (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular_action (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular_action)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular_action */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular_dataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular_dataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular_dataSource)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular_dataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular_dataSourceId (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular_dataSourceId (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular_dataSourceId)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular_dataSourceId */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular_elements (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular_elements (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular_elements)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular_elements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_Formular_actualParams (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_Formular_actualParams (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_Formular_actualParams)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_Formular_actualParams */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_EmailValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_EmailValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_EmailValidator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_CreditCardValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_CreditCardValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_CreditCardValidator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_RegExprValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_RegExprValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RegExprValidator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_RegExprValidator_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_RegExprValidator_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_RegExprValidator_pattern)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StringLengthValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StringLengthValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StringLengthValidator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StringLengthValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StringLengthValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StringLengthValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_StringLengthValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_StringLengthValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_StringLengthValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LongRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LongRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LongRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LongRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LongRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LongRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LongRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LongRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LongRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleRangeValidator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleRangeValidator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleRangeValidator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleRangeValidator_min (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleRangeValidator_min (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleRangeValidator_min)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleRangeValidator_max (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleRangeValidator_max (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleRangeValidator_max)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_IntegerNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_IntegerNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_IntegerNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_IntegerNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_IntegerNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_IntegerNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_IntegerNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleNumberConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleNumberConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleNumberConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleNumberConverter_minIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleNumberConverter_minIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleNumberConverter_maxIntegerDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleNumberConverter_maxIntegerDigits)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleNumberConverter_minFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleNumberConverter_minFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleNumberConverter_minFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleNumberConverter_maxFractionDigits (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleNumberConverter_maxFractionDigits)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_IntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_IntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_IntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LongConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LongConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LongConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_BigIntegerConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_BigIntegerConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_BigIntegerConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FloatConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FloatConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FloatConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DoubleConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DoubleConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DoubleConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_BooleanConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_BooleanConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_BooleanConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_DateTimeConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_DateTimeConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_DateTimeConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_PatternConverter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_PatternConverter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_PatternConverter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_PatternConverter_pattern (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_PatternConverter_pattern (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_PatternConverter_pattern)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_PatternConverter_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_layout (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_layout (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_layout)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_layout */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_elements (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_elements (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_elements)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_elements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioGroupElement_checked (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioGroupElement_checked (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioGroupElement_checked)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioGroupElement_checked */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularTextAreaElement_rows (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularTextAreaElement_rows (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularTextAreaElement_rows)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularTextAreaElement_rows */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularPasswordElement_redisplay (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularPasswordElement_redisplay (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularPasswordElement_redisplay)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularPasswordElement_redisplay */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDateElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDateElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDateElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularFileUploadElement_accept (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularFileUploadElement_accept (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularFileUploadElement_accept)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularFileUploadElement_accept */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularCheckboxElement_checked (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularCheckboxElement_checked (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularCheckboxElement_checked)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularCheckboxElement_checked */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_description (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_description (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_description)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_pvalue (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_pvalue (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_pvalue)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_required (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_required (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_required)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_required */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_validator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_validator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_validator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_converter (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_converter)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_converter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_options (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_options (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_options)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_options */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_size (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_size (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_size)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_size */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularSelectElement_multiple (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularSelectElement_multiple (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularSelectElement_multiple)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularSelectElement_multiple */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDataSourceSelectOption)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDataSourceSelectOption */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularConstantSelectOption (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularConstantSelectOption (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularConstantSelectOption)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularConstantSelectOption */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularConstantSelectOption_options (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularConstantSelectOption_options (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularConstantSelectOption_options)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularConstantSelectOption_options */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SelectOption (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SelectOption (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SelectOption)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SelectOption */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SelectOption_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SelectOption_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SelectOption_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SelectOption_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_SelectOption_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_SelectOption_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_SelectOption_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_SelectOption_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDataSourceSelectOption_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDataSourceSelectOption_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_dataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_dataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDataSourceSelectOption_dataSource)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDataSourceSelectOption_dataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDataSourceSelectOption_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDataSourceSelectOption_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularDataSourceSelectOption_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularDataSourceSelectOption_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularDataSourceSelectOption_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioElement_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioElement_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioElement_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_FormularRadioElement_label (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_FormularRadioElement_label (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_FormularRadioElement_label)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_FormularRadioElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeActualParam_formalParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeActualParam_formalParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeActualParam_formalParam)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeActualParam_formalParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeActualParam_expressions (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeActualParam_expressions (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeActualParam_expressions)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeActualParam_expressions */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MD5Modifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MD5Modifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MD5Modifier)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MD5Modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_JoinModifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_JoinModifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_JoinModifier)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_JoinModifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_JoinModifier_separator (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_JoinModifier_separator (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_JoinModifier_separator)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_JoinModifier_separator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeConstantExpression_modifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeConstantExpression_modifier)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeConstantExpression_modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeConstantExpression_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeConstantExpression_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeConstantExpression_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeVariableExpression_modifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeVariableExpression_modifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeVariableExpression_modifier)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeVariableExpression_modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeVariableExpression_content (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeVariableExpression_content (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeVariableExpression_content)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeVariableExpression_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeSessionExpression_modifier (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeSessionExpression_modifier (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeSessionExpression_modifier)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeSessionExpression_modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_WebNodeSessionExpression_content (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_WebNodeSessionExpression_content (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_WebNodeSessionExpression_content)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_WebNodeSessionExpression_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputFragment_link (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputFragment_link (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputFragment_link)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputFragment_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputFragment_content (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputFragment_content (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputFragment_content)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputFragment_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputMessagesElement_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputMessagesElement_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputMessagesElement_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputMessagesElement_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputMessagesElement_errorStyleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputMessagesElement_errorStyleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputMessagesElement_errorStyleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputMessagesElement_errorStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputMessagesElement_infoStyleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputMessagesElement_infoStyleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputMessagesElement_infoStyleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputMessagesElement_infoStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_OutputMessagesElement_layout (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_OutputMessagesElement_layout (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_OutputMessagesElement_layout)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_OutputMessagesElement_layout */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputActualParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputActualParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputActualParam)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputActualParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputActualParam_formalParam (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputActualParam_formalParam (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputActualParam_formalParam)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputActualParam_formalParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputActualParam_expression (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputActualParam_expression)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputActualParam_expression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_dataSourceActualParams (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_dataSourceActualParams (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_dataSourceActualParams)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_dataSourceActualParams */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_dataSource (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_dataSource (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_dataSource)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_dataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_maxNumberOfElements (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_maxNumberOfElements (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_maxNumberOfElements)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_maxNumberOfElements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_renderAs (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_renderAs (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_renderAs)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_renderAs */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_navigationElement (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_navigationElement (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_navigationElement)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_navigationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_columns (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_columns (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_columns)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_columns */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_headerStyleClass (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_headerStyleClass (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_headerStyleClass)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_headerStyleClass */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_evenRowStyleClass (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_evenRowStyleClass (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_evenRowStyleClass)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_evenRowStyleClass */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputElement_oddRowStyleClass (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputElement_oddRowStyleClass (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputElement_oddRowStyleClass)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputElement_oddRowStyleClass */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputColumn (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputColumn (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputColumn)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputColumn_header (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputColumn_header (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputColumn_header)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputColumn_header */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputColumn_content (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputColumn_content)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputColumn_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputActionConnectionsContent (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputActionConnectionsContent (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputActionConnectionsContent)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputActionConnectionsContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputNumerationContent (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputNumerationContent (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputNumerationContent)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputNumerationContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputProjectionContent (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputProjectionContent (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputProjectionContent)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputProjectionContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputRefContent (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputRefContent (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputRefContent)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputRefContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputConstantContent (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputConstantContent (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputConstantContent)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputConstantContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputConstantContent_value (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputConstantContent_value (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputConstantContent_value)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputConstantContent_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputRefContent_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputRefContent_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputRefContent_column)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputRefContent_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputProjectionContent_column (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputProjectionContent_column (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputProjectionContent_column)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputProjectionContent_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputNumerationContent_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputNumerationContent_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputNumerationContent_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputNumerationContent_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ListOutputActionConnectionsContent_actionConnections (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ListOutputActionConnectionsContent_actionConnections (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ListOutputActionConnectionsContent_actionConnections)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ListOutputActionConnectionsContent_actionConnections */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionConnection (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionConnection (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionConnection)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionConnection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionConnection_action (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionConnection_action (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionConnection_action)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionConnection_action */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionConnection_imageName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionConnection_imageName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionConnection_imageName)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionConnection_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionConnection_text (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionConnection_text (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionConnection_text)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionConnection_text */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ActionConnection_actualParams (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ActionConnection_actualParams (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ActionConnection_actualParams)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ActionConnection_actualParams */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LinkTargetExtern_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LinkTargetExtern_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LinkTargetExtern_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LinkTargetExtern_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_LinkTargetExtern_url (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_LinkTargetExtern_url (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_LinkTargetExtern_url)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_LinkTargetExtern_url */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageMap_styleSheetBlock (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageMap_styleSheetBlock (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageMap_styleSheetBlock)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageMap_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageMap_name (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageMap_name (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageMap_name)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageMap_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageMap_imageName (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageMap_imageName (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageMap_imageName)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageMap_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageMap_altText (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageMap_altText (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageMap_altText)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageMap_altText */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_ImageMap_mapAreas (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_ImageMap_mapAreas (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_ImageMap_mapAreas)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_ImageMap_mapAreas */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MapArea (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MapArea (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MapArea)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MapArea */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MapArea_altText (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MapArea_altText (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MapArea_altText)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MapArea_altText */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MapArea_coords (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MapArea_coords (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MapArea_coords)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MapArea_coords */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MapArea_link (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MapArea_link (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MapArea_link)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MapArea_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkrootView_MapArea_queryString (POSITION *_coordref, NODEPTR _currn)
#else
NODEPTR rootView_MkrootView_MapArea_queryString (_coordref, _currn)
	POSITION *_coordref; NODEPTR _currn;
#endif
{
if (_currn == NULLNODEPTR) return NULLNODEPTR;
if (rootView_IsSymb (_currn, rootView_SYMBrootView_MapArea_queryString)) return (_currn);
return(NULLNODEPTR);
}/* rootView_MkrootView_MapArea_queryString */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkpEmpty (POSITION *_coordref)
#else
NODEPTR rootView_MkpEmpty (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPpEmpty _currn;
#ifdef __cplusplus
_currn = new rootView__TPpEmpty;
#else
_currn = (rootView__TPPpEmpty) rootView_TreeNodeAlloc (sizeof (struct rootView__TPpEmpty));
#endif
_currn->_prod = rootView_RULEpEmpty;
_SETCOORD(_currn)
rootView__TERMACT_pEmpty;
return ( (NODEPTR) _currn);
}/* rootView_MkpEmpty */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkpVIEWROOT_rootView (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_MkpVIEWROOT_rootView (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPpVIEWROOT_rootView _currn;
#ifdef __cplusplus
_currn = new rootView__TPpVIEWROOT_rootView;
#else
_currn = (rootView__TPPpVIEWROOT_rootView) rootView_TreeNodeAlloc (sizeof (struct rootView__TPpVIEWROOT_rootView));
#endif
_currn->_prod = rootView_RULEpVIEWROOT_rootView;
_currn->_desc1 = (rootView__TSProotView_Root) rootView_MkrootView_Root (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE pVIEWROOT_rootView: root of subtree no. 1 can not be made a rootView_Root node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_pVIEWROOT_rootView;
return ( (NODEPTR) _currn);
}/* rootView_MkpVIEWROOT_rootView */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeFormalParam (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_WebNodeFormalParam (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_WebNodeFormalParam _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeFormalParam;
#else
_currn = (rootView__TPPprootView_WebNodeFormalParam) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeFormalParam));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeFormalParam;
_currn->_desc1 = (rootView__TSProotView_WebNodeFormalParam_name) rootView_MkrootView_WebNodeFormalParam_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeFormalParam: root of subtree no. 1 can not be made a rootView_WebNodeFormalParam_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebNodeFormalParam_keyword1) rootView_MkrootView_WebNodeFormalParam_keyword1 (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeFormalParam: root of subtree no. 2 can not be made a rootView_WebNodeFormalParam_keyword1 node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_WebNodeFormalParam_type) rootView_MkrootView_WebNodeFormalParam_type (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeFormalParam: root of subtree no. 3 can not be made a rootView_WebNodeFormalParam_type node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeFormalParam;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeFormalParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeFormalParam_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebNodeFormalParam_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebNodeFormalParam_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeFormalParam_name;
#else
_currn = (rootView__TPPprootView_WebNodeFormalParam_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeFormalParam_name));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeFormalParam_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeFormalParam_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeFormalParam_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeFormalParam_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebNodeFormalParam_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebNodeFormalParam_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeFormalParam_keyword1;
#else
_currn = (rootView__TPPprootView_WebNodeFormalParam_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeFormalParam_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeFormalParam_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeFormalParam_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeFormalParam_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBHasOneprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBHasOneprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBHasOneprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBHasOneprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBHasOneprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBHasOneprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBHasOneprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBHasOne)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBHasOneprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBHasOneprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBHasManyprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBHasManyprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBHasManyprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBHasManyprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBHasManyprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBHasManyprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBHasManyprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBHasMany)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBHasManyprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBHasManyprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBStringprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBStringprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBStringprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBStringprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBStringprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBStringprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBStringprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBString)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBStringprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBStringprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBTextprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBTextprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBTextprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBTextprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBTextprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBTextprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBTextprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBText)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBTextprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBTextprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBIntegerprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBIntegerprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBIntegerprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBIntegerprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBIntegerprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBIntegerprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBIntegerprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBInteger)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBIntegerprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBIntegerprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBLongprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBLongprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBLongprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBLongprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBLongprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBLongprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBLongprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBLong)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBLongprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBLongprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBFloatprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBFloatprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBFloatprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBFloatprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBFloatprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBFloatprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBFloatprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBFloat)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBFloatprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBFloatprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBDoubleprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBDoubleprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBDoubleprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBDoubleprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBDoubleprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBDoubleprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBDoubleprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBDouble)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBDoubleprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBDoubleprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBBigIntprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBBigIntprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBBigIntprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBBigIntprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBBigIntprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBBigIntprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBBigIntprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBBigInt)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBBigIntprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBBigIntprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBDateprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBDateprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBDateprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBDateprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBDateprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBDateprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBDateprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBDate)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBDateprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBDateprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBTimeStampprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBTimeStampprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBTimeStampprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBTimeStampprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBTimeStampprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBTimeStampprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBTimeStampprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBTimeStamp)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBTimeStampprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBTimeStampprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBBooleanprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBBooleanprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBBooleanprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBBooleanprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBBooleanprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBBooleanprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBBooleanprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBBoolean)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBBooleanprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBBooleanprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DBBlobprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DBBlobprootView_WebNodeFormalParam_type (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DBBlobprootView_WebNodeFormalParam_type _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DBBlobprootView_WebNodeFormalParam_type;
#else
	_new = (rootView__TPPLST_rootView_DBBlobprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DBBlobprootView_WebNodeFormalParam_type));
#endif
	_new->_prod = rootView_RULELST_rootView_DBBlobprootView_WebNodeFormalParam_type;
	_new->_desc1 = (rootView__TSProotView_DBBlob)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)_new;
	{rootView__TPPLST_rootView_DBBlobprootView_WebNodeFormalParam_type _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DBBlobprootView_WebNodeFormalParam_type;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebNodeFormalParam_type (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBHasOne)) 
		return rootView__MkrootView_DBHasOneprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBHasOne (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBHasMany)) 
		return rootView__MkrootView_DBHasManyprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBHasMany (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBString)) 
		return rootView__MkrootView_DBStringprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBString (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBText)) 
		return rootView__MkrootView_DBTextprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBText (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBInteger)) 
		return rootView__MkrootView_DBIntegerprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBInteger (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBLong)) 
		return rootView__MkrootView_DBLongprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBLong (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBFloat)) 
		return rootView__MkrootView_DBFloatprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBFloat (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBDouble)) 
		return rootView__MkrootView_DBDoubleprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBDouble (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBBigInt)) 
		return rootView__MkrootView_DBBigIntprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBBigInt (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBDate)) 
		return rootView__MkrootView_DBDateprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBDate (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBTimeStamp)) 
		return rootView__MkrootView_DBTimeStampprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBTimeStamp (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBBoolean)) 
		return rootView__MkrootView_DBBooleanprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBBoolean (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DBBlob)) 
		return rootView__MkrootView_DBBlobprootView_WebNodeFormalParam_type (_coordref, rootView_MkrootView_DBBlob (_coordref, t));
	message (DEADLY, "a prootView_WebNodeFormalParam_type list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebNodeFormalParam_type (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebNodeFormalParam_type)
	l =_ElemprootView_WebNodeFormalParam_type (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebNodeFormalParam_type)
	r = _ElemprootView_WebNodeFormalParam_type (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebNodeFormalParam_type)r)->_desc2);
((rootView__TPPLST_0prootView_WebNodeFormalParam_type)r)->_desc2 = ((rootView__TPPLST_0prootView_WebNodeFormalParam_type)l)->_desc2;
((rootView__TPPLST_0prootView_WebNodeFormalParam_type)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeFormalParam_type (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebNodeFormalParam_type (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebNodeFormalParam_type root;
	rootView__TPPLST_0prootView_WebNodeFormalParam_type list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebNodeFormalParam_type)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebNodeFormalParam_type)
		t = _ElemprootView_WebNodeFormalParam_type (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebNodeFormalParam_type)(((rootView__TPPLST_0prootView_WebNodeFormalParam_type) t)->_desc2);
	((rootView__TPPLST_0prootView_WebNodeFormalParam_type) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebNodeFormalParam_type;
#else
list = (rootView__TPPLST_0prootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebNodeFormalParam_type));
#endif
list->_prod = rootView_RULELST_0prootView_WebNodeFormalParam_type;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebNodeFormalParam_type)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_DBHasOneprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBHasOneprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBHasOneprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBHasManyprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBHasManyprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBHasManyprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBStringprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBStringprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBStringprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBTextprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBTextprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBTextprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBIntegerprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBIntegerprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBIntegerprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBLongprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBLongprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBLongprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBFloatprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBFloatprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBFloatprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBDoubleprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBDoubleprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBDoubleprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBBigIntprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBBigIntprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBBigIntprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBDateprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBDateprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBDateprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBTimeStampprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBTimeStampprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBTimeStampprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBBooleanprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBBooleanprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBBooleanprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DBBlobprootView_WebNodeFormalParam_type)
	{rootView__TPPLST_rootView_DBBlobprootView_WebNodeFormalParam_type _currn = _currn;
	 rootView__TERMACT_LST_rootView_DBBlobprootView_WebNodeFormalParam_type;
	} this code has been moved to _ElemprootView_WebNodeFormalParam_type*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebNodeFormalParam_type;
#else
root = (rootView__TPPprootView_WebNodeFormalParam_type) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeFormalParam_type));
#endif
root->_prod = rootView_RULEprootView_WebNodeFormalParam_type;
root->_desc1 = (rootView__TSPLST_rootView_WebNodeFormalParam_type)list;
{ rootView__TPPprootView_WebNodeFormalParam_type _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebNodeFormalParam_type;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataBase (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_DataBase (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_DataBase _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DataBase;
#else
_currn = (rootView__TPPprootView_DataBase) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataBase));
#endif
_currn->_prod = rootView_RULEprootView_DataBase;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DataBase;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DataBase */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBString (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBString (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBString _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBString;
#else
_currn = (rootView__TPPprootView_DBString) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBString));
#endif
_currn->_prod = rootView_RULEprootView_DBString;
_currn->_desc1 = (rootView__TSProotView_DBString_keyword1) rootView_MkrootView_DBString_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBString: root of subtree no. 1 can not be made a rootView_DBString_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBString;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBString */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBString_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBString_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBString_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBString_keyword1;
#else
_currn = (rootView__TPPprootView_DBString_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBString_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBString_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBString_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBString_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBText (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBText (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBText _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBText;
#else
_currn = (rootView__TPPprootView_DBText) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBText));
#endif
_currn->_prod = rootView_RULEprootView_DBText;
_currn->_desc1 = (rootView__TSProotView_DBText_keyword1) rootView_MkrootView_DBText_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBText: root of subtree no. 1 can not be made a rootView_DBText_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBText;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBText */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBText_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBText_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBText_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBText_keyword1;
#else
_currn = (rootView__TPPprootView_DBText_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBText_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBText_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBText_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBText_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBInteger (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBInteger (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBInteger _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBInteger;
#else
_currn = (rootView__TPPprootView_DBInteger) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBInteger));
#endif
_currn->_prod = rootView_RULEprootView_DBInteger;
_currn->_desc1 = (rootView__TSProotView_DBInteger_keyword1) rootView_MkrootView_DBInteger_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBInteger: root of subtree no. 1 can not be made a rootView_DBInteger_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBInteger;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBInteger */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBInteger_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBInteger_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBInteger_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBInteger_keyword1;
#else
_currn = (rootView__TPPprootView_DBInteger_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBInteger_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBInteger_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBInteger_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBInteger_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBLong (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBLong (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBLong _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBLong;
#else
_currn = (rootView__TPPprootView_DBLong) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBLong));
#endif
_currn->_prod = rootView_RULEprootView_DBLong;
_currn->_desc1 = (rootView__TSProotView_DBLong_keyword1) rootView_MkrootView_DBLong_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBLong: root of subtree no. 1 can not be made a rootView_DBLong_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBLong;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBLong */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBLong_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBLong_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBLong_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBLong_keyword1;
#else
_currn = (rootView__TPPprootView_DBLong_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBLong_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBLong_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBLong_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBLong_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBFloat (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBFloat (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBFloat _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBFloat;
#else
_currn = (rootView__TPPprootView_DBFloat) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBFloat));
#endif
_currn->_prod = rootView_RULEprootView_DBFloat;
_currn->_desc1 = (rootView__TSProotView_DBFloat_keyword1) rootView_MkrootView_DBFloat_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBFloat: root of subtree no. 1 can not be made a rootView_DBFloat_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBFloat;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBFloat */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBFloat_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBFloat_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBFloat_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBFloat_keyword1;
#else
_currn = (rootView__TPPprootView_DBFloat_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBFloat_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBFloat_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBFloat_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBFloat_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBDouble (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBDouble (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBDouble _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBDouble;
#else
_currn = (rootView__TPPprootView_DBDouble) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBDouble));
#endif
_currn->_prod = rootView_RULEprootView_DBDouble;
_currn->_desc1 = (rootView__TSProotView_DBDouble_keyword1) rootView_MkrootView_DBDouble_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBDouble: root of subtree no. 1 can not be made a rootView_DBDouble_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBDouble;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBDouble */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBDouble_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBDouble_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBDouble_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBDouble_keyword1;
#else
_currn = (rootView__TPPprootView_DBDouble_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBDouble_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBDouble_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBDouble_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBDouble_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBBigInt (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBBigInt (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBBigInt _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBBigInt;
#else
_currn = (rootView__TPPprootView_DBBigInt) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBBigInt));
#endif
_currn->_prod = rootView_RULEprootView_DBBigInt;
_currn->_desc1 = (rootView__TSProotView_DBBigInt_keyword1) rootView_MkrootView_DBBigInt_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBBigInt: root of subtree no. 1 can not be made a rootView_DBBigInt_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBBigInt;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBBigInt */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBBigInt_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBBigInt_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBBigInt_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBBigInt_keyword1;
#else
_currn = (rootView__TPPprootView_DBBigInt_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBBigInt_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBBigInt_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBBigInt_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBBigInt_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBDate (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBDate (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBDate _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBDate;
#else
_currn = (rootView__TPPprootView_DBDate) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBDate));
#endif
_currn->_prod = rootView_RULEprootView_DBDate;
_currn->_desc1 = (rootView__TSProotView_DBDate_keyword1) rootView_MkrootView_DBDate_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBDate: root of subtree no. 1 can not be made a rootView_DBDate_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBDate;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBDate */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBDate_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBDate_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBDate_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBDate_keyword1;
#else
_currn = (rootView__TPPprootView_DBDate_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBDate_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBDate_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBDate_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBDate_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBTimeStamp (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBTimeStamp (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBTimeStamp _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBTimeStamp;
#else
_currn = (rootView__TPPprootView_DBTimeStamp) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBTimeStamp));
#endif
_currn->_prod = rootView_RULEprootView_DBTimeStamp;
_currn->_desc1 = (rootView__TSProotView_DBTimeStamp_keyword1) rootView_MkrootView_DBTimeStamp_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBTimeStamp: root of subtree no. 1 can not be made a rootView_DBTimeStamp_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBTimeStamp;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBTimeStamp */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBTimeStamp_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBTimeStamp_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBTimeStamp_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBTimeStamp_keyword1;
#else
_currn = (rootView__TPPprootView_DBTimeStamp_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBTimeStamp_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBTimeStamp_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBTimeStamp_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBTimeStamp_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBBoolean (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBBoolean (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBBoolean _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBBoolean;
#else
_currn = (rootView__TPPprootView_DBBoolean) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBBoolean));
#endif
_currn->_prod = rootView_RULEprootView_DBBoolean;
_currn->_desc1 = (rootView__TSProotView_DBBoolean_keyword1) rootView_MkrootView_DBBoolean_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBBoolean: root of subtree no. 1 can not be made a rootView_DBBoolean_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBBoolean;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBBoolean */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBBoolean_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBBoolean_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBBoolean_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBBoolean_keyword1;
#else
_currn = (rootView__TPPprootView_DBBoolean_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBBoolean_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBBoolean_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBBoolean_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBBoolean_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBBlob (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_DBBlob (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_DBBlob _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBBlob;
#else
_currn = (rootView__TPPprootView_DBBlob) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBBlob));
#endif
_currn->_prod = rootView_RULEprootView_DBBlob;
_currn->_desc1 = (rootView__TSProotView_DBBlob_keyword1) rootView_MkrootView_DBBlob_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBBlob: root of subtree no. 1 can not be made a rootView_DBBlob_keyword1 node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBBlob;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBBlob */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBBlob_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBBlob_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBBlob_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBBlob_keyword1;
#else
_currn = (rootView__TPPprootView_DBBlob_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBBlob_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBBlob_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBBlob_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBBlob_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBHasOne (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_DBHasOne (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_DBHasOne _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBHasOne;
#else
_currn = (rootView__TPPprootView_DBHasOne) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBHasOne));
#endif
_currn->_prod = rootView_RULEprootView_DBHasOne;
_currn->_desc1 = (rootView__TSProotView_DBHasOne_keyword1) rootView_MkrootView_DBHasOne_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBHasOne: root of subtree no. 1 can not be made a rootView_DBHasOne_keyword1 node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_DBHasOne_dataSourceTable) rootView_MkrootView_DBHasOne_dataSourceTable (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBHasOne: root of subtree no. 2 can not be made a rootView_DBHasOne_dataSourceTable node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBHasOne;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBHasOne */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBHasOne_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBHasOne_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBHasOne_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBHasOne_keyword1;
#else
_currn = (rootView__TPPprootView_DBHasOne_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBHasOne_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBHasOne_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBHasOne_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBHasOne_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBHasOne_dataSourceTable (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBHasOne_dataSourceTable (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBHasOne_dataSourceTable _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBHasOne_dataSourceTable;
#else
_currn = (rootView__TPPprootView_DBHasOne_dataSourceTable) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBHasOne_dataSourceTable));
#endif
_currn->_prod = rootView_RULEprootView_DBHasOne_dataSourceTable;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBHasOne_dataSourceTable;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBHasOne_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBHasMany (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_DBHasMany (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_DBHasMany _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBHasMany;
#else
_currn = (rootView__TPPprootView_DBHasMany) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBHasMany));
#endif
_currn->_prod = rootView_RULEprootView_DBHasMany;
_currn->_desc1 = (rootView__TSProotView_DBHasMany_keyword1) rootView_MkrootView_DBHasMany_keyword1 (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBHasMany: root of subtree no. 1 can not be made a rootView_DBHasMany_keyword1 node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_DBHasMany_dataSourceTable) rootView_MkrootView_DBHasMany_dataSourceTable (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DBHasMany: root of subtree no. 2 can not be made a rootView_DBHasMany_dataSourceTable node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBHasMany;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBHasMany */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBHasMany_keyword1 (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBHasMany_keyword1 (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBHasMany_keyword1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBHasMany_keyword1;
#else
_currn = (rootView__TPPprootView_DBHasMany_keyword1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBHasMany_keyword1));
#endif
_currn->_prod = rootView_RULEprootView_DBHasMany_keyword1;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBHasMany_keyword1;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBHasMany_keyword1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DBHasMany_dataSourceTable (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DBHasMany_dataSourceTable (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DBHasMany_dataSourceTable _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DBHasMany_dataSourceTable;
#else
_currn = (rootView__TPPprootView_DBHasMany_dataSourceTable) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DBHasMany_dataSourceTable));
#endif
_currn->_prod = rootView_RULEprootView_DBHasMany_dataSourceTable;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DBHasMany_dataSourceTable;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DBHasMany_dataSourceTable */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Root (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_Root (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_Root _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Root;
#else
_currn = (rootView__TPPprootView_Root) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Root));
#endif
_currn->_prod = rootView_RULEprootView_Root;
_currn->_desc1 = (rootView__TSProotView_Root_webApp) rootView_MkrootView_Root_webApp (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Root: root of subtree no. 1 can not be made a rootView_Root_webApp node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_Root_library) rootView_MkrootView_Root_library (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Root: root of subtree no. 2 can not be made a rootView_Root_library node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_Root;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Root */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LibraryprootView_Root_library (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LibraryprootView_Root_library (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LibraryprootView_Root_library _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LibraryprootView_Root_library;
#else
	_new = (rootView__TPPLST_rootView_LibraryprootView_Root_library) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LibraryprootView_Root_library));
#endif
	_new->_prod = rootView_RULELST_rootView_LibraryprootView_Root_library;
	_new->_desc1 = (rootView__TSProotView_Library)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Root_library)_new;
	{rootView__TPPLST_rootView_LibraryprootView_Root_library _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LibraryprootView_Root_library;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Root_library (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Root_library (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_Library)) 
		return rootView__MkrootView_LibraryprootView_Root_library (_coordref, rootView_MkrootView_Library (_coordref, t));
	message (DEADLY, "a prootView_Root_library list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Root_library (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Root_library (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Root_library)
	l =_ElemprootView_Root_library (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Root_library)
	r = _ElemprootView_Root_library (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Root_library)r)->_desc2);
((rootView__TPPLST_0prootView_Root_library)r)->_desc2 = ((rootView__TPPLST_0prootView_Root_library)l)->_desc2;
((rootView__TPPLST_0prootView_Root_library)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Root_library (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Root_library (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Root_library root;
	rootView__TPPLST_0prootView_Root_library list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Root_library)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Root_library)
		t = _ElemprootView_Root_library (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Root_library)(((rootView__TPPLST_0prootView_Root_library) t)->_desc2);
	((rootView__TPPLST_0prootView_Root_library) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Root_library;
#else
list = (rootView__TPPLST_0prootView_Root_library) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Root_library));
#endif
list->_prod = rootView_RULELST_0prootView_Root_library;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Root_library)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_LibraryprootView_Root_library)
	{rootView__TPPLST_rootView_LibraryprootView_Root_library _currn = _currn;
	 rootView__TERMACT_LST_rootView_LibraryprootView_Root_library;
	} this code has been moved to _ElemprootView_Root_library*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Root_library;
#else
root = (rootView__TPPprootView_Root_library) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Root_library));
#endif
root->_prod = rootView_RULEprootView_Root_library;
root->_desc1 = (rootView__TSPLST_rootView_Root_library)list;
{ rootView__TPPprootView_Root_library _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Root_library;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Library (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_Library (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_Library _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Library;
#else
_currn = (rootView__TPPprootView_Library) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Library));
#endif
_currn->_prod = rootView_RULEprootView_Library;
_currn->_desc1 = (rootView__TSProotView_Library_name) rootView_MkrootView_Library_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Library: root of subtree no. 1 can not be made a rootView_Library_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_Library_navigationElement) rootView_MkrootView_Library_navigationElement (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Library: root of subtree no. 2 can not be made a rootView_Library_navigationElement node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_Library;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Library */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Library_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Library_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Library_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Library_name;
#else
_currn = (rootView__TPPprootView_Library_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Library_name));
#endif
_currn->_prod = rootView_RULEprootView_Library_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Library_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Library_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_NavigationElementprootView_Library_navigationElement (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_NavigationElementprootView_Library_navigationElement (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_NavigationElementprootView_Library_navigationElement _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_NavigationElementprootView_Library_navigationElement;
#else
	_new = (rootView__TPPLST_rootView_NavigationElementprootView_Library_navigationElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_NavigationElementprootView_Library_navigationElement));
#endif
	_new->_prod = rootView_RULELST_rootView_NavigationElementprootView_Library_navigationElement;
	_new->_desc1 = (rootView__TSProotView_NavigationElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Library_navigationElement)_new;
	{rootView__TPPLST_rootView_NavigationElementprootView_Library_navigationElement _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_NavigationElementprootView_Library_navigationElement;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Library_navigationElement (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Library_navigationElement (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_NavigationElement)) 
		return rootView__MkrootView_NavigationElementprootView_Library_navigationElement (_coordref, rootView_MkrootView_NavigationElement (_coordref, t));
	message (DEADLY, "a prootView_Library_navigationElement list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Library_navigationElement (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Library_navigationElement (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Library_navigationElement)
	l =_ElemprootView_Library_navigationElement (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Library_navigationElement)
	r = _ElemprootView_Library_navigationElement (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Library_navigationElement)r)->_desc2);
((rootView__TPPLST_0prootView_Library_navigationElement)r)->_desc2 = ((rootView__TPPLST_0prootView_Library_navigationElement)l)->_desc2;
((rootView__TPPLST_0prootView_Library_navigationElement)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Library_navigationElement (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Library_navigationElement (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Library_navigationElement root;
	rootView__TPPLST_0prootView_Library_navigationElement list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Library_navigationElement)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Library_navigationElement)
		t = _ElemprootView_Library_navigationElement (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Library_navigationElement)(((rootView__TPPLST_0prootView_Library_navigationElement) t)->_desc2);
	((rootView__TPPLST_0prootView_Library_navigationElement) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Library_navigationElement;
#else
list = (rootView__TPPLST_0prootView_Library_navigationElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Library_navigationElement));
#endif
list->_prod = rootView_RULELST_0prootView_Library_navigationElement;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Library_navigationElement)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_NavigationElementprootView_Library_navigationElement)
	{rootView__TPPLST_rootView_NavigationElementprootView_Library_navigationElement _currn = _currn;
	 rootView__TERMACT_LST_rootView_NavigationElementprootView_Library_navigationElement;
	} this code has been moved to _ElemprootView_Library_navigationElement*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Library_navigationElement;
#else
root = (rootView__TPPprootView_Library_navigationElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Library_navigationElement));
#endif
root->_prod = rootView_RULEprootView_Library_navigationElement;
root->_desc1 = (rootView__TSPLST_rootView_Library_navigationElement)list;
{ rootView__TPPprootView_Library_navigationElement _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Library_navigationElement;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_NavigationElement (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_NavigationElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationElement;
#else
_currn = (rootView__TPPprootView_NavigationElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationElement));
#endif
_currn->_prod = rootView_RULEprootView_NavigationElement;
_currn->_desc1 = (rootView__TSProotView_NavigationElement_code) rootView_MkrootView_NavigationElement_code (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_NavigationElement: root of subtree no. 1 can not be made a rootView_NavigationElement_code node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_NavigationElement_name) rootView_MkrootView_NavigationElement_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_NavigationElement: root of subtree no. 2 can not be made a rootView_NavigationElement_name node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationElement_code (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_NavigationElement_code (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_NavigationElement_code _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationElement_code;
#else
_currn = (rootView__TPPprootView_NavigationElement_code) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationElement_code));
#endif
_currn->_prod = rootView_RULEprootView_NavigationElement_code;
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationElement_code;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationElement_code */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_NavigationElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_NavigationElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationElement_name;
#else
_currn = (rootView__TPPprootView_NavigationElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationElement_name));
#endif
_currn->_prod = rootView_RULEprootView_NavigationElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11, NODEPTR _desc12, NODEPTR _desc13, NODEPTR _desc14, NODEPTR _desc15, NODEPTR _desc16, NODEPTR _desc17, NODEPTR _desc18)
#else
NODEPTR rootView_MkprootView_WebApplication (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8,_desc9,_desc10,_desc11,_desc12,_desc13,_desc14,_desc15,_desc16,_desc17,_desc18)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
	NODEPTR _desc9;
	NODEPTR _desc10;
	NODEPTR _desc11;
	NODEPTR _desc12;
	NODEPTR _desc13;
	NODEPTR _desc14;
	NODEPTR _desc15;
	NODEPTR _desc16;
	NODEPTR _desc17;
	NODEPTR _desc18;
#endif
{	rootView__TPPprootView_WebApplication _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication;
#else
_currn = (rootView__TPPprootView_WebApplication) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication;
_currn->_desc1 = (rootView__TSProotView_WebApplication_name) rootView_MkrootView_WebApplication_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 1 can not be made a rootView_WebApplication_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebApplication_entrancePage) rootView_MkrootView_WebApplication_entrancePage (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 2 can not be made a rootView_WebApplication_entrancePage node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_WebApplication_webZone) rootView_MkrootView_WebApplication_webZone (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 3 can not be made a rootView_WebApplication_webZone node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_WebApplication_navigationBar) rootView_MkrootView_WebApplication_navigationBar (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 4 can not be made a rootView_WebApplication_navigationBar node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_WebApplication_styleSheet) rootView_MkrootView_WebApplication_styleSheet (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 5 can not be made a rootView_WebApplication_styleSheet node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_WebApplication_frames) rootView_MkrootView_WebApplication_frames (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 6 can not be made a rootView_WebApplication_frames node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_WebApplication_meta) rootView_MkrootView_WebApplication_meta (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 7 can not be made a rootView_WebApplication_meta node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_WebApplication_database) rootView_MkrootView_WebApplication_database (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 8 can not be made a rootView_WebApplication_database node ", 0, _coordref);
_currn->_desc9 = (rootView__TSProotView_WebApplication_roles) rootView_MkrootView_WebApplication_roles (_coordref, _desc9);	
if (((NODEPTR)_currn->_desc9) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 9 can not be made a rootView_WebApplication_roles node ", 0, _coordref);
_currn->_desc10 = (rootView__TSProotView_WebApplication_linksExtern) rootView_MkrootView_WebApplication_linksExtern (_coordref, _desc10);	
if (((NODEPTR)_currn->_desc10) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 10 can not be made a rootView_WebApplication_linksExtern node ", 0, _coordref);
_currn->_desc11 = (rootView__TSProotView_WebApplication_imagePath) rootView_MkrootView_WebApplication_imagePath (_coordref, _desc11);	
if (((NODEPTR)_currn->_desc11) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 11 can not be made a rootView_WebApplication_imagePath node ", 0, _coordref);
_currn->_desc12 = (rootView__TSProotView_WebApplication_packageName) rootView_MkrootView_WebApplication_packageName (_coordref, _desc12);	
if (((NODEPTR)_currn->_desc12) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 12 can not be made a rootView_WebApplication_packageName node ", 0, _coordref);
_currn->_desc13 = (rootView__TSProotView_WebApplication_pageEncoding) rootView_MkrootView_WebApplication_pageEncoding (_coordref, _desc13);	
if (((NODEPTR)_currn->_desc13) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 13 can not be made a rootView_WebApplication_pageEncoding node ", 0, _coordref);
_currn->_desc14 = (rootView__TSProotView_WebApplication_header) rootView_MkrootView_WebApplication_header (_coordref, _desc14);	
if (((NODEPTR)_currn->_desc14) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 14 can not be made a rootView_WebApplication_header node ", 0, _coordref);
_currn->_desc15 = (rootView__TSProotView_WebApplication_footer) rootView_MkrootView_WebApplication_footer (_coordref, _desc15);	
if (((NODEPTR)_currn->_desc15) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 15 can not be made a rootView_WebApplication_footer node ", 0, _coordref);
_currn->_desc16 = (rootView__TSProotView_WebApplication_mailHost) rootView_MkrootView_WebApplication_mailHost (_coordref, _desc16);	
if (((NODEPTR)_currn->_desc16) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 16 can not be made a rootView_WebApplication_mailHost node ", 0, _coordref);
_currn->_desc17 = (rootView__TSProotView_WebApplication_mailFromAddress) rootView_MkrootView_WebApplication_mailFromAddress (_coordref, _desc17);	
if (((NODEPTR)_currn->_desc17) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 17 can not be made a rootView_WebApplication_mailFromAddress node ", 0, _coordref);
_currn->_desc18 = (rootView__TSProotView_WebApplication_catalinaHome) rootView_MkrootView_WebApplication_catalinaHome (_coordref, _desc18);	
if (((NODEPTR)_currn->_desc18) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebApplication: root of subtree no. 18 can not be made a rootView_WebApplication_catalinaHome node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_name;
#else
_currn = (rootView__TPPprootView_WebApplication_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_name));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_entrancePage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_entrancePage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_entrancePage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_entrancePage;
#else
_currn = (rootView__TPPprootView_WebApplication_entrancePage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_entrancePage));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_entrancePage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_entrancePage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_entrancePage */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_GlobalFrameprootView_WebApplication_frames (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_GlobalFrameprootView_WebApplication_frames (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_GlobalFrameprootView_WebApplication_frames _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_GlobalFrameprootView_WebApplication_frames;
#else
	_new = (rootView__TPPLST_rootView_GlobalFrameprootView_WebApplication_frames) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_GlobalFrameprootView_WebApplication_frames));
#endif
	_new->_prod = rootView_RULELST_rootView_GlobalFrameprootView_WebApplication_frames;
	_new->_desc1 = (rootView__TSProotView_GlobalFrame)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebApplication_frames)_new;
	{rootView__TPPLST_rootView_GlobalFrameprootView_WebApplication_frames _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_GlobalFrameprootView_WebApplication_frames;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebApplication_frames (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebApplication_frames (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_GlobalFrame)) 
		return rootView__MkrootView_GlobalFrameprootView_WebApplication_frames (_coordref, rootView_MkrootView_GlobalFrame (_coordref, t));
	message (DEADLY, "a prootView_WebApplication_frames list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebApplication_frames (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebApplication_frames (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebApplication_frames)
	l =_ElemprootView_WebApplication_frames (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebApplication_frames)
	r = _ElemprootView_WebApplication_frames (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebApplication_frames)r)->_desc2);
((rootView__TPPLST_0prootView_WebApplication_frames)r)->_desc2 = ((rootView__TPPLST_0prootView_WebApplication_frames)l)->_desc2;
((rootView__TPPLST_0prootView_WebApplication_frames)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_frames (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebApplication_frames (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebApplication_frames root;
	rootView__TPPLST_0prootView_WebApplication_frames list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebApplication_frames)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebApplication_frames)
		t = _ElemprootView_WebApplication_frames (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebApplication_frames)(((rootView__TPPLST_0prootView_WebApplication_frames) t)->_desc2);
	((rootView__TPPLST_0prootView_WebApplication_frames) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebApplication_frames;
#else
list = (rootView__TPPLST_0prootView_WebApplication_frames) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebApplication_frames));
#endif
list->_prod = rootView_RULELST_0prootView_WebApplication_frames;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebApplication_frames)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_GlobalFrameprootView_WebApplication_frames)
	{rootView__TPPLST_rootView_GlobalFrameprootView_WebApplication_frames _currn = _currn;
	 rootView__TERMACT_LST_rootView_GlobalFrameprootView_WebApplication_frames;
	} this code has been moved to _ElemprootView_WebApplication_frames*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebApplication_frames;
#else
root = (rootView__TPPprootView_WebApplication_frames) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_frames));
#endif
root->_prod = rootView_RULEprootView_WebApplication_frames;
root->_desc1 = (rootView__TSPLST_rootView_WebApplication_frames)list;
{ rootView__TPPprootView_WebApplication_frames _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebApplication_frames;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebRoleprootView_WebApplication_roles (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebRoleprootView_WebApplication_roles (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebRoleprootView_WebApplication_roles _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebRoleprootView_WebApplication_roles;
#else
	_new = (rootView__TPPLST_rootView_WebRoleprootView_WebApplication_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebRoleprootView_WebApplication_roles));
#endif
	_new->_prod = rootView_RULELST_rootView_WebRoleprootView_WebApplication_roles;
	_new->_desc1 = (rootView__TSProotView_WebRole)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebApplication_roles)_new;
	{rootView__TPPLST_rootView_WebRoleprootView_WebApplication_roles _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebRoleprootView_WebApplication_roles;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebApplication_roles (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebApplication_roles (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebRole)) 
		return rootView__MkrootView_WebRoleprootView_WebApplication_roles (_coordref, rootView_MkrootView_WebRole (_coordref, t));
	message (DEADLY, "a prootView_WebApplication_roles list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebApplication_roles (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebApplication_roles (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebApplication_roles)
	l =_ElemprootView_WebApplication_roles (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebApplication_roles)
	r = _ElemprootView_WebApplication_roles (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebApplication_roles)r)->_desc2);
((rootView__TPPLST_0prootView_WebApplication_roles)r)->_desc2 = ((rootView__TPPLST_0prootView_WebApplication_roles)l)->_desc2;
((rootView__TPPLST_0prootView_WebApplication_roles)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_roles (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebApplication_roles (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebApplication_roles root;
	rootView__TPPLST_0prootView_WebApplication_roles list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebApplication_roles)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebApplication_roles)
		t = _ElemprootView_WebApplication_roles (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebApplication_roles)(((rootView__TPPLST_0prootView_WebApplication_roles) t)->_desc2);
	((rootView__TPPLST_0prootView_WebApplication_roles) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebApplication_roles;
#else
list = (rootView__TPPLST_0prootView_WebApplication_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebApplication_roles));
#endif
list->_prod = rootView_RULELST_0prootView_WebApplication_roles;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebApplication_roles)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebRoleprootView_WebApplication_roles)
	{rootView__TPPLST_rootView_WebRoleprootView_WebApplication_roles _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebRoleprootView_WebApplication_roles;
	} this code has been moved to _ElemprootView_WebApplication_roles*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebApplication_roles;
#else
root = (rootView__TPPprootView_WebApplication_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_roles));
#endif
root->_prod = rootView_RULEprootView_WebApplication_roles;
root->_desc1 = (rootView__TSPLST_rootView_WebApplication_roles)list;
{ rootView__TPPprootView_WebApplication_roles _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebApplication_roles;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LinkTargetExternprootView_WebApplication_linksExtern (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LinkTargetExternprootView_WebApplication_linksExtern (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LinkTargetExternprootView_WebApplication_linksExtern _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LinkTargetExternprootView_WebApplication_linksExtern;
#else
	_new = (rootView__TPPLST_rootView_LinkTargetExternprootView_WebApplication_linksExtern) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LinkTargetExternprootView_WebApplication_linksExtern));
#endif
	_new->_prod = rootView_RULELST_rootView_LinkTargetExternprootView_WebApplication_linksExtern;
	_new->_desc1 = (rootView__TSProotView_LinkTargetExtern)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebApplication_linksExtern)_new;
	{rootView__TPPLST_rootView_LinkTargetExternprootView_WebApplication_linksExtern _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LinkTargetExternprootView_WebApplication_linksExtern;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebApplication_linksExtern (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebApplication_linksExtern (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_LinkTargetExtern)) 
		return rootView__MkrootView_LinkTargetExternprootView_WebApplication_linksExtern (_coordref, rootView_MkrootView_LinkTargetExtern (_coordref, t));
	message (DEADLY, "a prootView_WebApplication_linksExtern list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebApplication_linksExtern (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebApplication_linksExtern (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebApplication_linksExtern)
	l =_ElemprootView_WebApplication_linksExtern (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebApplication_linksExtern)
	r = _ElemprootView_WebApplication_linksExtern (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebApplication_linksExtern)r)->_desc2);
((rootView__TPPLST_0prootView_WebApplication_linksExtern)r)->_desc2 = ((rootView__TPPLST_0prootView_WebApplication_linksExtern)l)->_desc2;
((rootView__TPPLST_0prootView_WebApplication_linksExtern)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_linksExtern (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebApplication_linksExtern (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebApplication_linksExtern root;
	rootView__TPPLST_0prootView_WebApplication_linksExtern list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebApplication_linksExtern)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebApplication_linksExtern)
		t = _ElemprootView_WebApplication_linksExtern (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebApplication_linksExtern)(((rootView__TPPLST_0prootView_WebApplication_linksExtern) t)->_desc2);
	((rootView__TPPLST_0prootView_WebApplication_linksExtern) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebApplication_linksExtern;
#else
list = (rootView__TPPLST_0prootView_WebApplication_linksExtern) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebApplication_linksExtern));
#endif
list->_prod = rootView_RULELST_0prootView_WebApplication_linksExtern;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebApplication_linksExtern)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_LinkTargetExternprootView_WebApplication_linksExtern)
	{rootView__TPPLST_rootView_LinkTargetExternprootView_WebApplication_linksExtern _currn = _currn;
	 rootView__TERMACT_LST_rootView_LinkTargetExternprootView_WebApplication_linksExtern;
	} this code has been moved to _ElemprootView_WebApplication_linksExtern*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebApplication_linksExtern;
#else
root = (rootView__TPPprootView_WebApplication_linksExtern) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_linksExtern));
#endif
root->_prod = rootView_RULEprootView_WebApplication_linksExtern;
root->_desc1 = (rootView__TSPLST_rootView_WebApplication_linksExtern)list;
{ rootView__TPPprootView_WebApplication_linksExtern _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebApplication_linksExtern;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_imagePath (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_imagePath (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_imagePath _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_imagePath;
#else
_currn = (rootView__TPPprootView_WebApplication_imagePath) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_imagePath));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_imagePath;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_imagePath;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_imagePath */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_packageName (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_packageName (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_packageName _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_packageName;
#else
_currn = (rootView__TPPprootView_WebApplication_packageName) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_packageName));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_packageName;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_packageName;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_packageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_pageEncoding (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_pageEncoding (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_pageEncoding _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_pageEncoding;
#else
_currn = (rootView__TPPprootView_WebApplication_pageEncoding) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_pageEncoding));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_pageEncoding;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_pageEncoding;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_pageEncoding */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_header (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_header (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_header _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_header;
#else
_currn = (rootView__TPPprootView_WebApplication_header) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_header));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_header;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_header;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_header */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_footer (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_footer (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_footer _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_footer;
#else
_currn = (rootView__TPPprootView_WebApplication_footer) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_footer));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_footer;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_footer;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_footer */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_mailHost (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_mailHost (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_mailHost _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_mailHost;
#else
_currn = (rootView__TPPprootView_WebApplication_mailHost) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_mailHost));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_mailHost;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_mailHost;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_mailHost */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_mailFromAddress (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_mailFromAddress (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_mailFromAddress _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_mailFromAddress;
#else
_currn = (rootView__TPPprootView_WebApplication_mailFromAddress) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_mailFromAddress));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_mailFromAddress;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_mailFromAddress;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_mailFromAddress */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebApplication_catalinaHome (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebApplication_catalinaHome (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebApplication_catalinaHome _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebApplication_catalinaHome;
#else
_currn = (rootView__TPPprootView_WebApplication_catalinaHome) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebApplication_catalinaHome));
#endif
_currn->_prod = rootView_RULEprootView_WebApplication_catalinaHome;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebApplication_catalinaHome;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebApplication_catalinaHome */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_RootWebZone (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_RootWebZone (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_RootWebZone _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_RootWebZone;
#else
_currn = (rootView__TPPprootView_RootWebZone) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_RootWebZone));
#endif
_currn->_prod = rootView_RULEprootView_RootWebZone;
_currn->_desc1 = (rootView__TSProotView_RootWebZone_webTargets) rootView_MkrootView_RootWebZone_webTargets (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_RootWebZone: root of subtree no. 1 can not be made a rootView_RootWebZone_webTargets node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_RootWebZone_errorLink) rootView_MkrootView_RootWebZone_errorLink (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_RootWebZone: root of subtree no. 2 can not be made a rootView_RootWebZone_errorLink node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_RootWebZone_roles) rootView_MkrootView_RootWebZone_roles (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_RootWebZone: root of subtree no. 3 can not be made a rootView_RootWebZone_roles node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_RootWebZone_setSize) rootView_MkrootView_RootWebZone_setSize (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_RootWebZone: root of subtree no. 4 can not be made a rootView_RootWebZone_setSize node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_RootWebZone;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_RootWebZone */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_SubWebZoneprootView_RootWebZone_webTargets (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_SubWebZoneprootView_RootWebZone_webTargets (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_SubWebZoneprootView_RootWebZone_webTargets _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_SubWebZoneprootView_RootWebZone_webTargets;
#else
	_new = (rootView__TPPLST_rootView_SubWebZoneprootView_RootWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_SubWebZoneprootView_RootWebZone_webTargets));
#endif
	_new->_prod = rootView_RULELST_rootView_SubWebZoneprootView_RootWebZone_webTargets;
	_new->_desc1 = (rootView__TSProotView_SubWebZone)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_RootWebZone_webTargets)_new;
	{rootView__TPPLST_rootView_SubWebZoneprootView_RootWebZone_webTargets _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_SubWebZoneprootView_RootWebZone_webTargets;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebPageprootView_RootWebZone_webTargets (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebPageprootView_RootWebZone_webTargets (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebPageprootView_RootWebZone_webTargets _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebPageprootView_RootWebZone_webTargets;
#else
	_new = (rootView__TPPLST_rootView_WebPageprootView_RootWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebPageprootView_RootWebZone_webTargets));
#endif
	_new->_prod = rootView_RULELST_rootView_WebPageprootView_RootWebZone_webTargets;
	_new->_desc1 = (rootView__TSProotView_WebPage)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_RootWebZone_webTargets)_new;
	{rootView__TPPLST_rootView_WebPageprootView_RootWebZone_webTargets _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebPageprootView_RootWebZone_webTargets;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebActionprootView_RootWebZone_webTargets (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebActionprootView_RootWebZone_webTargets (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebActionprootView_RootWebZone_webTargets _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebActionprootView_RootWebZone_webTargets;
#else
	_new = (rootView__TPPLST_rootView_WebActionprootView_RootWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebActionprootView_RootWebZone_webTargets));
#endif
	_new->_prod = rootView_RULELST_rootView_WebActionprootView_RootWebZone_webTargets;
	_new->_desc1 = (rootView__TSProotView_WebAction)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_RootWebZone_webTargets)_new;
	{rootView__TPPLST_rootView_WebActionprootView_RootWebZone_webTargets _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebActionprootView_RootWebZone_webTargets;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_RootWebZone_webTargets (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_RootWebZone_webTargets (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_SubWebZone)) 
		return rootView__MkrootView_SubWebZoneprootView_RootWebZone_webTargets (_coordref, rootView_MkrootView_SubWebZone (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebPage)) 
		return rootView__MkrootView_WebPageprootView_RootWebZone_webTargets (_coordref, rootView_MkrootView_WebPage (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebAction)) 
		return rootView__MkrootView_WebActionprootView_RootWebZone_webTargets (_coordref, rootView_MkrootView_WebAction (_coordref, t));
	message (DEADLY, "a prootView_RootWebZone_webTargets list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_RootWebZone_webTargets (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_RootWebZone_webTargets (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_RootWebZone_webTargets)
	l =_ElemprootView_RootWebZone_webTargets (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_RootWebZone_webTargets)
	r = _ElemprootView_RootWebZone_webTargets (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_RootWebZone_webTargets)r)->_desc2);
((rootView__TPPLST_0prootView_RootWebZone_webTargets)r)->_desc2 = ((rootView__TPPLST_0prootView_RootWebZone_webTargets)l)->_desc2;
((rootView__TPPLST_0prootView_RootWebZone_webTargets)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_RootWebZone_webTargets (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_RootWebZone_webTargets (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_RootWebZone_webTargets root;
	rootView__TPPLST_0prootView_RootWebZone_webTargets list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_RootWebZone_webTargets)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_RootWebZone_webTargets)
		t = _ElemprootView_RootWebZone_webTargets (_coordref, t);
	remain = (rootView__TPPLST_0prootView_RootWebZone_webTargets)(((rootView__TPPLST_0prootView_RootWebZone_webTargets) t)->_desc2);
	((rootView__TPPLST_0prootView_RootWebZone_webTargets) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_RootWebZone_webTargets;
#else
list = (rootView__TPPLST_0prootView_RootWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_RootWebZone_webTargets));
#endif
list->_prod = rootView_RULELST_0prootView_RootWebZone_webTargets;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_RootWebZone_webTargets)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_SubWebZoneprootView_RootWebZone_webTargets)
	{rootView__TPPLST_rootView_SubWebZoneprootView_RootWebZone_webTargets _currn = _currn;
	 rootView__TERMACT_LST_rootView_SubWebZoneprootView_RootWebZone_webTargets;
	} this code has been moved to _ElemprootView_RootWebZone_webTargets*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebPageprootView_RootWebZone_webTargets)
	{rootView__TPPLST_rootView_WebPageprootView_RootWebZone_webTargets _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebPageprootView_RootWebZone_webTargets;
	} this code has been moved to _ElemprootView_RootWebZone_webTargets*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebActionprootView_RootWebZone_webTargets)
	{rootView__TPPLST_rootView_WebActionprootView_RootWebZone_webTargets _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebActionprootView_RootWebZone_webTargets;
	} this code has been moved to _ElemprootView_RootWebZone_webTargets*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_RootWebZone_webTargets;
#else
root = (rootView__TPPprootView_RootWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_RootWebZone_webTargets));
#endif
root->_prod = rootView_RULEprootView_RootWebZone_webTargets;
root->_desc1 = (rootView__TSPLST_rootView_RootWebZone_webTargets)list;
{ rootView__TPPprootView_RootWebZone_webTargets _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_RootWebZone_webTargets;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_RootWebZone_errorLink (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_RootWebZone_errorLink (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_RootWebZone_errorLink _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_RootWebZone_errorLink;
#else
_currn = (rootView__TPPprootView_RootWebZone_errorLink) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_RootWebZone_errorLink));
#endif
_currn->_prod = rootView_RULEprootView_RootWebZone_errorLink;
_SETCOORD(_currn)
rootView__TERMACT_prootView_RootWebZone_errorLink;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_RootWebZone_errorLink */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebRoleRefprootView_RootWebZone_roles (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebRoleRefprootView_RootWebZone_roles (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebRoleRefprootView_RootWebZone_roles _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebRoleRefprootView_RootWebZone_roles;
#else
	_new = (rootView__TPPLST_rootView_WebRoleRefprootView_RootWebZone_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebRoleRefprootView_RootWebZone_roles));
#endif
	_new->_prod = rootView_RULELST_rootView_WebRoleRefprootView_RootWebZone_roles;
	_new->_desc1 = (rootView__TSProotView_WebRoleRef)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_RootWebZone_roles)_new;
	{rootView__TPPLST_rootView_WebRoleRefprootView_RootWebZone_roles _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebRoleRefprootView_RootWebZone_roles;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_RootWebZone_roles (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_RootWebZone_roles (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebRoleRef)) 
		return rootView__MkrootView_WebRoleRefprootView_RootWebZone_roles (_coordref, rootView_MkrootView_WebRoleRef (_coordref, t));
	message (DEADLY, "a prootView_RootWebZone_roles list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_RootWebZone_roles (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_RootWebZone_roles (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_RootWebZone_roles)
	l =_ElemprootView_RootWebZone_roles (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_RootWebZone_roles)
	r = _ElemprootView_RootWebZone_roles (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_RootWebZone_roles)r)->_desc2);
((rootView__TPPLST_0prootView_RootWebZone_roles)r)->_desc2 = ((rootView__TPPLST_0prootView_RootWebZone_roles)l)->_desc2;
((rootView__TPPLST_0prootView_RootWebZone_roles)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_RootWebZone_roles (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_RootWebZone_roles (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_RootWebZone_roles root;
	rootView__TPPLST_0prootView_RootWebZone_roles list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_RootWebZone_roles)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_RootWebZone_roles)
		t = _ElemprootView_RootWebZone_roles (_coordref, t);
	remain = (rootView__TPPLST_0prootView_RootWebZone_roles)(((rootView__TPPLST_0prootView_RootWebZone_roles) t)->_desc2);
	((rootView__TPPLST_0prootView_RootWebZone_roles) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_RootWebZone_roles;
#else
list = (rootView__TPPLST_0prootView_RootWebZone_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_RootWebZone_roles));
#endif
list->_prod = rootView_RULELST_0prootView_RootWebZone_roles;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_RootWebZone_roles)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebRoleRefprootView_RootWebZone_roles)
	{rootView__TPPLST_rootView_WebRoleRefprootView_RootWebZone_roles _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebRoleRefprootView_RootWebZone_roles;
	} this code has been moved to _ElemprootView_RootWebZone_roles*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_RootWebZone_roles;
#else
root = (rootView__TPPprootView_RootWebZone_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_RootWebZone_roles));
#endif
root->_prod = rootView_RULEprootView_RootWebZone_roles;
root->_desc1 = (rootView__TSPLST_rootView_RootWebZone_roles)list;
{ rootView__TPPprootView_RootWebZone_roles _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_RootWebZone_roles;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_RootWebZone_setSize (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_RootWebZone_setSize (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_RootWebZone_setSize _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_RootWebZone_setSize;
#else
_currn = (rootView__TPPprootView_RootWebZone_setSize) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_RootWebZone_setSize));
#endif
_currn->_prod = rootView_RULEprootView_RootWebZone_setSize;
_SETCOORD(_currn)
rootView__TERMACT_prootView_RootWebZone_setSize;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_RootWebZone_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SubWebZone (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6)
#else
NODEPTR rootView_MkprootView_SubWebZone (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
#endif
{	rootView__TPPprootView_SubWebZone _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SubWebZone;
#else
_currn = (rootView__TPPprootView_SubWebZone) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SubWebZone));
#endif
_currn->_prod = rootView_RULEprootView_SubWebZone;
_currn->_desc1 = (rootView__TSProotView_SubWebZone_name) rootView_MkrootView_SubWebZone_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SubWebZone: root of subtree no. 1 can not be made a rootView_SubWebZone_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_SubWebZone_webTargets) rootView_MkrootView_SubWebZone_webTargets (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SubWebZone: root of subtree no. 2 can not be made a rootView_SubWebZone_webTargets node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_SubWebZone_errorLink) rootView_MkrootView_SubWebZone_errorLink (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SubWebZone: root of subtree no. 3 can not be made a rootView_SubWebZone_errorLink node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_SubWebZone_roles) rootView_MkrootView_SubWebZone_roles (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SubWebZone: root of subtree no. 4 can not be made a rootView_SubWebZone_roles node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_SubWebZone_setSize) rootView_MkrootView_SubWebZone_setSize (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SubWebZone: root of subtree no. 5 can not be made a rootView_SubWebZone_setSize node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_SubWebZone_position) rootView_MkrootView_SubWebZone_position (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SubWebZone: root of subtree no. 6 can not be made a rootView_SubWebZone_position node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_SubWebZone;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SubWebZone */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SubWebZone_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SubWebZone_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SubWebZone_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SubWebZone_name;
#else
_currn = (rootView__TPPprootView_SubWebZone_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SubWebZone_name));
#endif
_currn->_prod = rootView_RULEprootView_SubWebZone_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SubWebZone_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SubWebZone_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_SubWebZoneprootView_SubWebZone_webTargets (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_SubWebZoneprootView_SubWebZone_webTargets (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_SubWebZoneprootView_SubWebZone_webTargets _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_SubWebZoneprootView_SubWebZone_webTargets;
#else
	_new = (rootView__TPPLST_rootView_SubWebZoneprootView_SubWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_SubWebZoneprootView_SubWebZone_webTargets));
#endif
	_new->_prod = rootView_RULELST_rootView_SubWebZoneprootView_SubWebZone_webTargets;
	_new->_desc1 = (rootView__TSProotView_SubWebZone)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_SubWebZone_webTargets)_new;
	{rootView__TPPLST_rootView_SubWebZoneprootView_SubWebZone_webTargets _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_SubWebZoneprootView_SubWebZone_webTargets;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebPageprootView_SubWebZone_webTargets (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebPageprootView_SubWebZone_webTargets (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebPageprootView_SubWebZone_webTargets _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebPageprootView_SubWebZone_webTargets;
#else
	_new = (rootView__TPPLST_rootView_WebPageprootView_SubWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebPageprootView_SubWebZone_webTargets));
#endif
	_new->_prod = rootView_RULELST_rootView_WebPageprootView_SubWebZone_webTargets;
	_new->_desc1 = (rootView__TSProotView_WebPage)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_SubWebZone_webTargets)_new;
	{rootView__TPPLST_rootView_WebPageprootView_SubWebZone_webTargets _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebPageprootView_SubWebZone_webTargets;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebActionprootView_SubWebZone_webTargets (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebActionprootView_SubWebZone_webTargets (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebActionprootView_SubWebZone_webTargets _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebActionprootView_SubWebZone_webTargets;
#else
	_new = (rootView__TPPLST_rootView_WebActionprootView_SubWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebActionprootView_SubWebZone_webTargets));
#endif
	_new->_prod = rootView_RULELST_rootView_WebActionprootView_SubWebZone_webTargets;
	_new->_desc1 = (rootView__TSProotView_WebAction)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_SubWebZone_webTargets)_new;
	{rootView__TPPLST_rootView_WebActionprootView_SubWebZone_webTargets _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebActionprootView_SubWebZone_webTargets;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_SubWebZone_webTargets (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_SubWebZone_webTargets (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_SubWebZone)) 
		return rootView__MkrootView_SubWebZoneprootView_SubWebZone_webTargets (_coordref, rootView_MkrootView_SubWebZone (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebPage)) 
		return rootView__MkrootView_WebPageprootView_SubWebZone_webTargets (_coordref, rootView_MkrootView_WebPage (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebAction)) 
		return rootView__MkrootView_WebActionprootView_SubWebZone_webTargets (_coordref, rootView_MkrootView_WebAction (_coordref, t));
	message (DEADLY, "a prootView_SubWebZone_webTargets list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_SubWebZone_webTargets (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_SubWebZone_webTargets (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_SubWebZone_webTargets)
	l =_ElemprootView_SubWebZone_webTargets (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_SubWebZone_webTargets)
	r = _ElemprootView_SubWebZone_webTargets (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_SubWebZone_webTargets)r)->_desc2);
((rootView__TPPLST_0prootView_SubWebZone_webTargets)r)->_desc2 = ((rootView__TPPLST_0prootView_SubWebZone_webTargets)l)->_desc2;
((rootView__TPPLST_0prootView_SubWebZone_webTargets)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SubWebZone_webTargets (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_SubWebZone_webTargets (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_SubWebZone_webTargets root;
	rootView__TPPLST_0prootView_SubWebZone_webTargets list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_SubWebZone_webTargets)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_SubWebZone_webTargets)
		t = _ElemprootView_SubWebZone_webTargets (_coordref, t);
	remain = (rootView__TPPLST_0prootView_SubWebZone_webTargets)(((rootView__TPPLST_0prootView_SubWebZone_webTargets) t)->_desc2);
	((rootView__TPPLST_0prootView_SubWebZone_webTargets) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_SubWebZone_webTargets;
#else
list = (rootView__TPPLST_0prootView_SubWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_SubWebZone_webTargets));
#endif
list->_prod = rootView_RULELST_0prootView_SubWebZone_webTargets;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_SubWebZone_webTargets)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_SubWebZoneprootView_SubWebZone_webTargets)
	{rootView__TPPLST_rootView_SubWebZoneprootView_SubWebZone_webTargets _currn = _currn;
	 rootView__TERMACT_LST_rootView_SubWebZoneprootView_SubWebZone_webTargets;
	} this code has been moved to _ElemprootView_SubWebZone_webTargets*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebPageprootView_SubWebZone_webTargets)
	{rootView__TPPLST_rootView_WebPageprootView_SubWebZone_webTargets _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebPageprootView_SubWebZone_webTargets;
	} this code has been moved to _ElemprootView_SubWebZone_webTargets*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebActionprootView_SubWebZone_webTargets)
	{rootView__TPPLST_rootView_WebActionprootView_SubWebZone_webTargets _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebActionprootView_SubWebZone_webTargets;
	} this code has been moved to _ElemprootView_SubWebZone_webTargets*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_SubWebZone_webTargets;
#else
root = (rootView__TPPprootView_SubWebZone_webTargets) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SubWebZone_webTargets));
#endif
root->_prod = rootView_RULEprootView_SubWebZone_webTargets;
root->_desc1 = (rootView__TSPLST_rootView_SubWebZone_webTargets)list;
{ rootView__TPPprootView_SubWebZone_webTargets _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_SubWebZone_webTargets;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SubWebZone_errorLink (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SubWebZone_errorLink (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SubWebZone_errorLink _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SubWebZone_errorLink;
#else
_currn = (rootView__TPPprootView_SubWebZone_errorLink) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SubWebZone_errorLink));
#endif
_currn->_prod = rootView_RULEprootView_SubWebZone_errorLink;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SubWebZone_errorLink;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SubWebZone_errorLink */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebRoleRefprootView_SubWebZone_roles (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebRoleRefprootView_SubWebZone_roles (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebRoleRefprootView_SubWebZone_roles _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebRoleRefprootView_SubWebZone_roles;
#else
	_new = (rootView__TPPLST_rootView_WebRoleRefprootView_SubWebZone_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebRoleRefprootView_SubWebZone_roles));
#endif
	_new->_prod = rootView_RULELST_rootView_WebRoleRefprootView_SubWebZone_roles;
	_new->_desc1 = (rootView__TSProotView_WebRoleRef)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_SubWebZone_roles)_new;
	{rootView__TPPLST_rootView_WebRoleRefprootView_SubWebZone_roles _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebRoleRefprootView_SubWebZone_roles;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_SubWebZone_roles (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_SubWebZone_roles (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebRoleRef)) 
		return rootView__MkrootView_WebRoleRefprootView_SubWebZone_roles (_coordref, rootView_MkrootView_WebRoleRef (_coordref, t));
	message (DEADLY, "a prootView_SubWebZone_roles list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_SubWebZone_roles (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_SubWebZone_roles (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_SubWebZone_roles)
	l =_ElemprootView_SubWebZone_roles (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_SubWebZone_roles)
	r = _ElemprootView_SubWebZone_roles (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_SubWebZone_roles)r)->_desc2);
((rootView__TPPLST_0prootView_SubWebZone_roles)r)->_desc2 = ((rootView__TPPLST_0prootView_SubWebZone_roles)l)->_desc2;
((rootView__TPPLST_0prootView_SubWebZone_roles)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SubWebZone_roles (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_SubWebZone_roles (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_SubWebZone_roles root;
	rootView__TPPLST_0prootView_SubWebZone_roles list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_SubWebZone_roles)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_SubWebZone_roles)
		t = _ElemprootView_SubWebZone_roles (_coordref, t);
	remain = (rootView__TPPLST_0prootView_SubWebZone_roles)(((rootView__TPPLST_0prootView_SubWebZone_roles) t)->_desc2);
	((rootView__TPPLST_0prootView_SubWebZone_roles) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_SubWebZone_roles;
#else
list = (rootView__TPPLST_0prootView_SubWebZone_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_SubWebZone_roles));
#endif
list->_prod = rootView_RULELST_0prootView_SubWebZone_roles;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_SubWebZone_roles)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebRoleRefprootView_SubWebZone_roles)
	{rootView__TPPLST_rootView_WebRoleRefprootView_SubWebZone_roles _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebRoleRefprootView_SubWebZone_roles;
	} this code has been moved to _ElemprootView_SubWebZone_roles*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_SubWebZone_roles;
#else
root = (rootView__TPPprootView_SubWebZone_roles) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SubWebZone_roles));
#endif
root->_prod = rootView_RULEprootView_SubWebZone_roles;
root->_desc1 = (rootView__TSPLST_rootView_SubWebZone_roles)list;
{ rootView__TPPprootView_SubWebZone_roles _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_SubWebZone_roles;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SubWebZone_setSize (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SubWebZone_setSize (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SubWebZone_setSize _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SubWebZone_setSize;
#else
_currn = (rootView__TPPprootView_SubWebZone_setSize) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SubWebZone_setSize));
#endif
_currn->_prod = rootView_RULEprootView_SubWebZone_setSize;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SubWebZone_setSize;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SubWebZone_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SubWebZone_position (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SubWebZone_position (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SubWebZone_position _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SubWebZone_position;
#else
_currn = (rootView__TPPprootView_SubWebZone_position) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SubWebZone_position));
#endif
_currn->_prod = rootView_RULEprootView_SubWebZone_position;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SubWebZone_position;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SubWebZone_position */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebRole (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_WebRole (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_WebRole _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebRole;
#else
_currn = (rootView__TPPprootView_WebRole) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebRole));
#endif
_currn->_prod = rootView_RULEprootView_WebRole;
_currn->_desc1 = (rootView__TSProotView_WebRole_name) rootView_MkrootView_WebRole_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebRole: root of subtree no. 1 can not be made a rootView_WebRole_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebRole_color) rootView_MkrootView_WebRole_color (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebRole: root of subtree no. 2 can not be made a rootView_WebRole_color node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebRole;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebRole */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebRole_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebRole_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebRole_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebRole_name;
#else
_currn = (rootView__TPPprootView_WebRole_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebRole_name));
#endif
_currn->_prod = rootView_RULEprootView_WebRole_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebRole_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebRole_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebRole_color (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebRole_color (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebRole_color _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebRole_color;
#else
_currn = (rootView__TPPprootView_WebRole_color) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebRole_color));
#endif
_currn->_prod = rootView_RULEprootView_WebRole_color;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebRole_color;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebRole_color */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebRoleRef (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_WebRoleRef (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_WebRoleRef _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebRoleRef;
#else
_currn = (rootView__TPPprootView_WebRoleRef) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebRoleRef));
#endif
_currn->_prod = rootView_RULEprootView_WebRoleRef;
_currn->_desc1 = (rootView__TSProotView_WebRoleRef_role) rootView_MkrootView_WebRoleRef_role (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebRoleRef: root of subtree no. 1 can not be made a rootView_WebRoleRef_role node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebRoleRef;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebRoleRef */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebRoleRef_role (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebRoleRef_role (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebRoleRef_role _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebRoleRef_role;
#else
_currn = (rootView__TPPprootView_WebRoleRef_role) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebRoleRef_role));
#endif
_currn->_prod = rootView_RULEprootView_WebRoleRef_role;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebRoleRef_role;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebRoleRef_role */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebPage (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6)
#else
NODEPTR rootView_MkprootView_WebPage (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
#endif
{	rootView__TPPprootView_WebPage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebPage;
#else
_currn = (rootView__TPPprootView_WebPage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebPage));
#endif
_currn->_prod = rootView_RULEprootView_WebPage;
_currn->_desc1 = (rootView__TSProotView_WebPage_name) rootView_MkrootView_WebPage_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebPage: root of subtree no. 1 can not be made a rootView_WebPage_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebPage_formalParameter) rootView_MkrootView_WebPage_formalParameter (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebPage: root of subtree no. 2 can not be made a rootView_WebPage_formalParameter node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_WebPage_title) rootView_MkrootView_WebPage_title (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebPage: root of subtree no. 3 can not be made a rootView_WebPage_title node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_WebPage_frame) rootView_MkrootView_WebPage_frame (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebPage: root of subtree no. 4 can not be made a rootView_WebPage_frame node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_WebPage_styleSheetBlock) rootView_MkrootView_WebPage_styleSheetBlock (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebPage: root of subtree no. 5 can not be made a rootView_WebPage_styleSheetBlock node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_WebPage_position) rootView_MkrootView_WebPage_position (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebPage: root of subtree no. 6 can not be made a rootView_WebPage_position node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebPage;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebPage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebPage_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebPage_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebPage_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebPage_name;
#else
_currn = (rootView__TPPprootView_WebPage_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebPage_name));
#endif
_currn->_prod = rootView_RULEprootView_WebPage_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebPage_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebPage_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeFormalParamprootView_WebPage_formalParameter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeFormalParamprootView_WebPage_formalParameter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter;
#else
	_new = (rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter;
	_new->_desc1 = (rootView__TSProotView_WebNodeFormalParam)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebPage_formalParameter)_new;
	{rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebPage_formalParameter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebPage_formalParameter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeFormalParam)) 
		return rootView__MkrootView_WebNodeFormalParamprootView_WebPage_formalParameter (_coordref, rootView_MkrootView_WebNodeFormalParam (_coordref, t));
	message (DEADLY, "a prootView_WebPage_formalParameter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebPage_formalParameter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebPage_formalParameter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebPage_formalParameter)
	l =_ElemprootView_WebPage_formalParameter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebPage_formalParameter)
	r = _ElemprootView_WebPage_formalParameter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebPage_formalParameter)r)->_desc2);
((rootView__TPPLST_0prootView_WebPage_formalParameter)r)->_desc2 = ((rootView__TPPLST_0prootView_WebPage_formalParameter)l)->_desc2;
((rootView__TPPLST_0prootView_WebPage_formalParameter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebPage_formalParameter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebPage_formalParameter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebPage_formalParameter root;
	rootView__TPPLST_0prootView_WebPage_formalParameter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebPage_formalParameter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebPage_formalParameter)
		t = _ElemprootView_WebPage_formalParameter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebPage_formalParameter)(((rootView__TPPLST_0prootView_WebPage_formalParameter) t)->_desc2);
	((rootView__TPPLST_0prootView_WebPage_formalParameter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebPage_formalParameter;
#else
list = (rootView__TPPLST_0prootView_WebPage_formalParameter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebPage_formalParameter));
#endif
list->_prod = rootView_RULELST_0prootView_WebPage_formalParameter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebPage_formalParameter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter)
	{rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeFormalParamprootView_WebPage_formalParameter;
	} this code has been moved to _ElemprootView_WebPage_formalParameter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebPage_formalParameter;
#else
root = (rootView__TPPprootView_WebPage_formalParameter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebPage_formalParameter));
#endif
root->_prod = rootView_RULEprootView_WebPage_formalParameter;
root->_desc1 = (rootView__TSPLST_rootView_WebPage_formalParameter)list;
{ rootView__TPPprootView_WebPage_formalParameter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebPage_formalParameter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebPage_title (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebPage_title (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebPage_title _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebPage_title;
#else
_currn = (rootView__TPPprootView_WebPage_title) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebPage_title));
#endif
_currn->_prod = rootView_RULEprootView_WebPage_title;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebPage_title;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebPage_title */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebPage_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebPage_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebPage_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebPage_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_WebPage_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebPage_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_WebPage_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebPage_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebPage_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebPage_position (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebPage_position (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebPage_position _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebPage_position;
#else
_currn = (rootView__TPPprootView_WebPage_position) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebPage_position));
#endif
_currn->_prod = rootView_RULEprootView_WebPage_position;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebPage_position;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebPage_position */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Frame (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_Frame (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_Frame _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Frame;
#else
_currn = (rootView__TPPprootView_Frame) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Frame));
#endif
_currn->_prod = rootView_RULEprootView_Frame;
_currn->_desc1 = (rootView__TSProotView_Frame_components) rootView_MkrootView_Frame_components (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Frame: root of subtree no. 1 can not be made a rootView_Frame_components node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_Frame;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Frame */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FrameRefprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FrameRefprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FrameRefprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FrameRefprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_FrameRefprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FrameRefprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_FrameRefprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_FrameRef)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_FrameRefprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FrameRefprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ParagraphprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ParagraphprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ParagraphprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ParagraphprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_ParagraphprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ParagraphprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_ParagraphprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_Paragraph)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_ParagraphprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ParagraphprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_HeadingprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_HeadingprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_HeadingprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_HeadingprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_HeadingprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_HeadingprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_HeadingprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_Heading)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_HeadingprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_HeadingprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_TableprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_TableprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_TableprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_TableprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_TableprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_TableprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_TableprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_Table)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_TableprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_TableprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_FormularprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_Formular)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_FormularprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_OutputMessagesElementprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_OutputMessagesElementprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_OutputMessagesElementprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_OutputMessagesElementprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_OutputMessagesElementprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_OutputMessagesElementprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_OutputMessagesElementprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_OutputMessagesElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_OutputMessagesElementprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_OutputMessagesElementprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputElementprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputElementprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputElementprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputElementprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_ListOutputElementprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputElementprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputElementprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_ListOutputElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_ListOutputElementprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputElementprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ImageMapprootView_Frame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ImageMapprootView_Frame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ImageMapprootView_Frame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ImageMapprootView_Frame_components;
#else
	_new = (rootView__TPPLST_rootView_ImageMapprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ImageMapprootView_Frame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_ImageMapprootView_Frame_components;
	_new->_desc1 = (rootView__TSProotView_ImageMap)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Frame_components)_new;
	{rootView__TPPLST_rootView_ImageMapprootView_Frame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ImageMapprootView_Frame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Frame_components (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Frame_components (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_FrameRef)) 
		return rootView__MkrootView_FrameRefprootView_Frame_components (_coordref, rootView_MkrootView_FrameRef (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Paragraph)) 
		return rootView__MkrootView_ParagraphprootView_Frame_components (_coordref, rootView_MkrootView_Paragraph (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Heading)) 
		return rootView__MkrootView_HeadingprootView_Frame_components (_coordref, rootView_MkrootView_Heading (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Table)) 
		return rootView__MkrootView_TableprootView_Frame_components (_coordref, rootView_MkrootView_Table (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Formular)) 
		return rootView__MkrootView_FormularprootView_Frame_components (_coordref, rootView_MkrootView_Formular (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_OutputMessagesElement)) 
		return rootView__MkrootView_OutputMessagesElementprootView_Frame_components (_coordref, rootView_MkrootView_OutputMessagesElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputElement)) 
		return rootView__MkrootView_ListOutputElementprootView_Frame_components (_coordref, rootView_MkrootView_ListOutputElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ImageMap)) 
		return rootView__MkrootView_ImageMapprootView_Frame_components (_coordref, rootView_MkrootView_ImageMap (_coordref, t));
	message (DEADLY, "a prootView_Frame_components list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Frame_components (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Frame_components (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Frame_components)
	l =_ElemprootView_Frame_components (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Frame_components)
	r = _ElemprootView_Frame_components (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Frame_components)r)->_desc2);
((rootView__TPPLST_0prootView_Frame_components)r)->_desc2 = ((rootView__TPPLST_0prootView_Frame_components)l)->_desc2;
((rootView__TPPLST_0prootView_Frame_components)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Frame_components (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Frame_components (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Frame_components root;
	rootView__TPPLST_0prootView_Frame_components list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Frame_components)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Frame_components)
		t = _ElemprootView_Frame_components (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Frame_components)(((rootView__TPPLST_0prootView_Frame_components) t)->_desc2);
	((rootView__TPPLST_0prootView_Frame_components) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Frame_components;
#else
list = (rootView__TPPLST_0prootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Frame_components));
#endif
list->_prod = rootView_RULELST_0prootView_Frame_components;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Frame_components)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_FrameRefprootView_Frame_components)
	{rootView__TPPLST_rootView_FrameRefprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_FrameRefprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ParagraphprootView_Frame_components)
	{rootView__TPPLST_rootView_ParagraphprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_ParagraphprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_HeadingprootView_Frame_components)
	{rootView__TPPLST_rootView_HeadingprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_HeadingprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_TableprootView_Frame_components)
	{rootView__TPPLST_rootView_TableprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_TableprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularprootView_Frame_components)
	{rootView__TPPLST_rootView_FormularprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_OutputMessagesElementprootView_Frame_components)
	{rootView__TPPLST_rootView_OutputMessagesElementprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_OutputMessagesElementprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputElementprootView_Frame_components)
	{rootView__TPPLST_rootView_ListOutputElementprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputElementprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ImageMapprootView_Frame_components)
	{rootView__TPPLST_rootView_ImageMapprootView_Frame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_ImageMapprootView_Frame_components;
	} this code has been moved to _ElemprootView_Frame_components*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Frame_components;
#else
root = (rootView__TPPprootView_Frame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Frame_components));
#endif
root->_prod = rootView_RULEprootView_Frame_components;
root->_desc1 = (rootView__TSPLST_rootView_Frame_components)list;
{ rootView__TPPprootView_Frame_components _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Frame_components;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_GlobalFrame (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_GlobalFrame (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_GlobalFrame _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_GlobalFrame;
#else
_currn = (rootView__TPPprootView_GlobalFrame) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_GlobalFrame));
#endif
_currn->_prod = rootView_RULEprootView_GlobalFrame;
_currn->_desc1 = (rootView__TSProotView_GlobalFrame_name) rootView_MkrootView_GlobalFrame_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_GlobalFrame: root of subtree no. 1 can not be made a rootView_GlobalFrame_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_GlobalFrame_components) rootView_MkrootView_GlobalFrame_components (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_GlobalFrame: root of subtree no. 2 can not be made a rootView_GlobalFrame_components node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_GlobalFrame_setSize) rootView_MkrootView_GlobalFrame_setSize (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_GlobalFrame: root of subtree no. 3 can not be made a rootView_GlobalFrame_setSize node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_GlobalFrame;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_GlobalFrame */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_GlobalFrame_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_GlobalFrame_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_GlobalFrame_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_GlobalFrame_name;
#else
_currn = (rootView__TPPprootView_GlobalFrame_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_GlobalFrame_name));
#endif
_currn->_prod = rootView_RULEprootView_GlobalFrame_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_GlobalFrame_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_GlobalFrame_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FrameRefprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FrameRefprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FrameRefprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FrameRefprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_FrameRefprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FrameRefprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_FrameRefprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_FrameRef)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_FrameRefprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FrameRefprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ParagraphprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ParagraphprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ParagraphprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ParagraphprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_ParagraphprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ParagraphprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_ParagraphprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_Paragraph)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_ParagraphprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ParagraphprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_HeadingprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_HeadingprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_HeadingprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_HeadingprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_HeadingprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_HeadingprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_HeadingprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_Heading)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_HeadingprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_HeadingprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_TableprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_TableprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_TableprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_TableprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_TableprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_TableprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_TableprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_Table)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_TableprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_TableprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_FormularprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_Formular)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_FormularprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_OutputMessagesElementprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_OutputMessagesElementprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_OutputMessagesElementprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_OutputMessagesElementprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_OutputMessagesElementprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_OutputMessagesElementprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_OutputMessagesElementprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_OutputMessagesElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_OutputMessagesElementprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_OutputMessagesElementprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputElementprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputElementprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputElementprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputElementprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_ListOutputElementprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputElementprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputElementprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_ListOutputElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_ListOutputElementprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputElementprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ImageMapprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ImageMapprootView_GlobalFrame_components (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ImageMapprootView_GlobalFrame_components _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ImageMapprootView_GlobalFrame_components;
#else
	_new = (rootView__TPPLST_rootView_ImageMapprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ImageMapprootView_GlobalFrame_components));
#endif
	_new->_prod = rootView_RULELST_rootView_ImageMapprootView_GlobalFrame_components;
	_new->_desc1 = (rootView__TSProotView_ImageMap)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_GlobalFrame_components)_new;
	{rootView__TPPLST_rootView_ImageMapprootView_GlobalFrame_components _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ImageMapprootView_GlobalFrame_components;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_GlobalFrame_components (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_FrameRef)) 
		return rootView__MkrootView_FrameRefprootView_GlobalFrame_components (_coordref, rootView_MkrootView_FrameRef (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Paragraph)) 
		return rootView__MkrootView_ParagraphprootView_GlobalFrame_components (_coordref, rootView_MkrootView_Paragraph (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Heading)) 
		return rootView__MkrootView_HeadingprootView_GlobalFrame_components (_coordref, rootView_MkrootView_Heading (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Table)) 
		return rootView__MkrootView_TableprootView_GlobalFrame_components (_coordref, rootView_MkrootView_Table (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_Formular)) 
		return rootView__MkrootView_FormularprootView_GlobalFrame_components (_coordref, rootView_MkrootView_Formular (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_OutputMessagesElement)) 
		return rootView__MkrootView_OutputMessagesElementprootView_GlobalFrame_components (_coordref, rootView_MkrootView_OutputMessagesElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputElement)) 
		return rootView__MkrootView_ListOutputElementprootView_GlobalFrame_components (_coordref, rootView_MkrootView_ListOutputElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ImageMap)) 
		return rootView__MkrootView_ImageMapprootView_GlobalFrame_components (_coordref, rootView_MkrootView_ImageMap (_coordref, t));
	message (DEADLY, "a prootView_GlobalFrame_components list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_GlobalFrame_components (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_GlobalFrame_components (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_GlobalFrame_components)
	l =_ElemprootView_GlobalFrame_components (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_GlobalFrame_components)
	r = _ElemprootView_GlobalFrame_components (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_GlobalFrame_components)r)->_desc2);
((rootView__TPPLST_0prootView_GlobalFrame_components)r)->_desc2 = ((rootView__TPPLST_0prootView_GlobalFrame_components)l)->_desc2;
((rootView__TPPLST_0prootView_GlobalFrame_components)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_GlobalFrame_components (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_GlobalFrame_components (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_GlobalFrame_components root;
	rootView__TPPLST_0prootView_GlobalFrame_components list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_GlobalFrame_components)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_GlobalFrame_components)
		t = _ElemprootView_GlobalFrame_components (_coordref, t);
	remain = (rootView__TPPLST_0prootView_GlobalFrame_components)(((rootView__TPPLST_0prootView_GlobalFrame_components) t)->_desc2);
	((rootView__TPPLST_0prootView_GlobalFrame_components) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_GlobalFrame_components;
#else
list = (rootView__TPPLST_0prootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_GlobalFrame_components));
#endif
list->_prod = rootView_RULELST_0prootView_GlobalFrame_components;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_GlobalFrame_components)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_FrameRefprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_FrameRefprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_FrameRefprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ParagraphprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_ParagraphprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_ParagraphprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_HeadingprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_HeadingprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_HeadingprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_TableprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_TableprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_TableprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_FormularprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_OutputMessagesElementprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_OutputMessagesElementprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_OutputMessagesElementprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputElementprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_ListOutputElementprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputElementprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ImageMapprootView_GlobalFrame_components)
	{rootView__TPPLST_rootView_ImageMapprootView_GlobalFrame_components _currn = _currn;
	 rootView__TERMACT_LST_rootView_ImageMapprootView_GlobalFrame_components;
	} this code has been moved to _ElemprootView_GlobalFrame_components*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_GlobalFrame_components;
#else
root = (rootView__TPPprootView_GlobalFrame_components) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_GlobalFrame_components));
#endif
root->_prod = rootView_RULEprootView_GlobalFrame_components;
root->_desc1 = (rootView__TSPLST_rootView_GlobalFrame_components)list;
{ rootView__TPPprootView_GlobalFrame_components _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_GlobalFrame_components;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_GlobalFrame_setSize (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_GlobalFrame_setSize (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_GlobalFrame_setSize _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_GlobalFrame_setSize;
#else
_currn = (rootView__TPPprootView_GlobalFrame_setSize) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_GlobalFrame_setSize));
#endif
_currn->_prod = rootView_RULEprootView_GlobalFrame_setSize;
_SETCOORD(_currn)
rootView__TERMACT_prootView_GlobalFrame_setSize;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_GlobalFrame_setSize */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationBar (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_NavigationBar (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_NavigationBar _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationBar;
#else
_currn = (rootView__TPPprootView_NavigationBar) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationBar));
#endif
_currn->_prod = rootView_RULEprootView_NavigationBar;
_currn->_desc1 = (rootView__TSProotView_NavigationBar_styleSheetBlock) rootView_MkrootView_NavigationBar_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_NavigationBar: root of subtree no. 1 can not be made a rootView_NavigationBar_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_NavigationBar_elements) rootView_MkrootView_NavigationBar_elements (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_NavigationBar: root of subtree no. 2 can not be made a rootView_NavigationBar_elements node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_NavigationBar_alignment) rootView_MkrootView_NavigationBar_alignment (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_NavigationBar: root of subtree no. 3 can not be made a rootView_NavigationBar_alignment node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationBar;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationBar */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationBar_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_NavigationBar_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_NavigationBar_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationBar_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_NavigationBar_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationBar_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_NavigationBar_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationBar_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationBar_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_NavigationBarElementprootView_NavigationBar_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_NavigationBarElementprootView_NavigationBar_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_NavigationBarElementprootView_NavigationBar_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_NavigationBarElementprootView_NavigationBar_elements;
#else
	_new = (rootView__TPPLST_rootView_NavigationBarElementprootView_NavigationBar_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_NavigationBarElementprootView_NavigationBar_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_NavigationBarElementprootView_NavigationBar_elements;
	_new->_desc1 = (rootView__TSProotView_NavigationBarElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_NavigationBar_elements)_new;
	{rootView__TPPLST_rootView_NavigationBarElementprootView_NavigationBar_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_NavigationBarElementprootView_NavigationBar_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_NavigationBar_elements (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_NavigationBar_elements (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_NavigationBarElement)) 
		return rootView__MkrootView_NavigationBarElementprootView_NavigationBar_elements (_coordref, rootView_MkrootView_NavigationBarElement (_coordref, t));
	message (DEADLY, "a prootView_NavigationBar_elements list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_NavigationBar_elements (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_NavigationBar_elements (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_NavigationBar_elements)
	l =_ElemprootView_NavigationBar_elements (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_NavigationBar_elements)
	r = _ElemprootView_NavigationBar_elements (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_NavigationBar_elements)r)->_desc2);
((rootView__TPPLST_0prootView_NavigationBar_elements)r)->_desc2 = ((rootView__TPPLST_0prootView_NavigationBar_elements)l)->_desc2;
((rootView__TPPLST_0prootView_NavigationBar_elements)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationBar_elements (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_NavigationBar_elements (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_NavigationBar_elements root;
	rootView__TPPLST_0prootView_NavigationBar_elements list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_NavigationBar_elements)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_NavigationBar_elements)
		t = _ElemprootView_NavigationBar_elements (_coordref, t);
	remain = (rootView__TPPLST_0prootView_NavigationBar_elements)(((rootView__TPPLST_0prootView_NavigationBar_elements) t)->_desc2);
	((rootView__TPPLST_0prootView_NavigationBar_elements) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_NavigationBar_elements;
#else
list = (rootView__TPPLST_0prootView_NavigationBar_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_NavigationBar_elements));
#endif
list->_prod = rootView_RULELST_0prootView_NavigationBar_elements;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_NavigationBar_elements)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_NavigationBarElementprootView_NavigationBar_elements)
	{rootView__TPPLST_rootView_NavigationBarElementprootView_NavigationBar_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_NavigationBarElementprootView_NavigationBar_elements;
	} this code has been moved to _ElemprootView_NavigationBar_elements*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_NavigationBar_elements;
#else
root = (rootView__TPPprootView_NavigationBar_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationBar_elements));
#endif
root->_prod = rootView_RULEprootView_NavigationBar_elements;
root->_desc1 = (rootView__TSPLST_rootView_NavigationBar_elements)list;
{ rootView__TPPprootView_NavigationBar_elements _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_NavigationBar_elements;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationBar_alignment (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_NavigationBar_alignment (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_NavigationBar_alignment _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationBar_alignment;
#else
_currn = (rootView__TPPprootView_NavigationBar_alignment) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationBar_alignment));
#endif
_currn->_prod = rootView_RULEprootView_NavigationBar_alignment;
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationBar_alignment;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationBar_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationBarElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_NavigationBarElement (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_NavigationBarElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationBarElement;
#else
_currn = (rootView__TPPprootView_NavigationBarElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationBarElement));
#endif
_currn->_prod = rootView_RULEprootView_NavigationBarElement;
_currn->_desc1 = (rootView__TSProotView_NavigationBarElement_imageName) rootView_MkrootView_NavigationBarElement_imageName (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_NavigationBarElement: root of subtree no. 1 can not be made a rootView_NavigationBarElement_imageName node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_NavigationBarElement_target) rootView_MkrootView_NavigationBarElement_target (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_NavigationBarElement: root of subtree no. 2 can not be made a rootView_NavigationBarElement_target node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationBarElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationBarElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationBarElement_imageName (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_NavigationBarElement_imageName (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_NavigationBarElement_imageName _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationBarElement_imageName;
#else
_currn = (rootView__TPPprootView_NavigationBarElement_imageName) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationBarElement_imageName));
#endif
_currn->_prod = rootView_RULEprootView_NavigationBarElement_imageName;
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationBarElement_imageName;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationBarElement_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_NavigationBarElement_target (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_NavigationBarElement_target (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_NavigationBarElement_target _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_NavigationBarElement_target;
#else
_currn = (rootView__TPPprootView_NavigationBarElement_target) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_NavigationBarElement_target));
#endif
_currn->_prod = rootView_RULEprootView_NavigationBarElement_target;
_SETCOORD(_currn)
rootView__TERMACT_prootView_NavigationBarElement_target;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_NavigationBarElement_target */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FrameRef (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_FrameRef (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_FrameRef _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FrameRef;
#else
_currn = (rootView__TPPprootView_FrameRef) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FrameRef));
#endif
_currn->_prod = rootView_RULEprootView_FrameRef;
_currn->_desc1 = (rootView__TSProotView_FrameRef_styleSheetBlock) rootView_MkrootView_FrameRef_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FrameRef: root of subtree no. 1 can not be made a rootView_FrameRef_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FrameRef_frame) rootView_MkrootView_FrameRef_frame (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FrameRef: root of subtree no. 2 can not be made a rootView_FrameRef_frame node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FrameRef;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FrameRef */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FrameRef_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FrameRef_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FrameRef_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FrameRef_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_FrameRef_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FrameRef_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_FrameRef_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FrameRef_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FrameRef_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FrameRef_frame (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FrameRef_frame (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FrameRef_frame _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FrameRef_frame;
#else
_currn = (rootView__TPPprootView_FrameRef_frame) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FrameRef_frame));
#endif
_currn->_prod = rootView_RULEprootView_FrameRef_frame;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FrameRef_frame;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FrameRef_frame */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MetaInformation (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_MetaInformation (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_MetaInformation _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MetaInformation;
#else
_currn = (rootView__TPPprootView_MetaInformation) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MetaInformation));
#endif
_currn->_prod = rootView_RULEprootView_MetaInformation;
_currn->_desc1 = (rootView__TSProotView_MetaInformation_name) rootView_MkrootView_MetaInformation_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MetaInformation: root of subtree no. 1 can not be made a rootView_MetaInformation_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_MetaInformation_elements) rootView_MkrootView_MetaInformation_elements (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MetaInformation: root of subtree no. 2 can not be made a rootView_MetaInformation_elements node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_MetaInformation;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MetaInformation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MetaInformation_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MetaInformation_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MetaInformation_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MetaInformation_name;
#else
_currn = (rootView__TPPprootView_MetaInformation_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MetaInformation_name));
#endif
_currn->_prod = rootView_RULEprootView_MetaInformation_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MetaInformation_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MetaInformation_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_MetaInformationElementprootView_MetaInformation_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_MetaInformationElementprootView_MetaInformation_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_MetaInformationElementprootView_MetaInformation_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_MetaInformationElementprootView_MetaInformation_elements;
#else
	_new = (rootView__TPPLST_rootView_MetaInformationElementprootView_MetaInformation_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_MetaInformationElementprootView_MetaInformation_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_MetaInformationElementprootView_MetaInformation_elements;
	_new->_desc1 = (rootView__TSProotView_MetaInformationElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_MetaInformation_elements)_new;
	{rootView__TPPLST_rootView_MetaInformationElementprootView_MetaInformation_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_MetaInformationElementprootView_MetaInformation_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_MetaInformation_elements (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_MetaInformation_elements (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_MetaInformationElement)) 
		return rootView__MkrootView_MetaInformationElementprootView_MetaInformation_elements (_coordref, rootView_MkrootView_MetaInformationElement (_coordref, t));
	message (DEADLY, "a prootView_MetaInformation_elements list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_MetaInformation_elements (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_MetaInformation_elements (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_MetaInformation_elements)
	l =_ElemprootView_MetaInformation_elements (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_MetaInformation_elements)
	r = _ElemprootView_MetaInformation_elements (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_MetaInformation_elements)r)->_desc2);
((rootView__TPPLST_0prootView_MetaInformation_elements)r)->_desc2 = ((rootView__TPPLST_0prootView_MetaInformation_elements)l)->_desc2;
((rootView__TPPLST_0prootView_MetaInformation_elements)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MetaInformation_elements (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_MetaInformation_elements (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_MetaInformation_elements root;
	rootView__TPPLST_0prootView_MetaInformation_elements list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_MetaInformation_elements)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_MetaInformation_elements)
		t = _ElemprootView_MetaInformation_elements (_coordref, t);
	remain = (rootView__TPPLST_0prootView_MetaInformation_elements)(((rootView__TPPLST_0prootView_MetaInformation_elements) t)->_desc2);
	((rootView__TPPLST_0prootView_MetaInformation_elements) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_MetaInformation_elements;
#else
list = (rootView__TPPLST_0prootView_MetaInformation_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_MetaInformation_elements));
#endif
list->_prod = rootView_RULELST_0prootView_MetaInformation_elements;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_MetaInformation_elements)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_MetaInformationElementprootView_MetaInformation_elements)
	{rootView__TPPLST_rootView_MetaInformationElementprootView_MetaInformation_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_MetaInformationElementprootView_MetaInformation_elements;
	} this code has been moved to _ElemprootView_MetaInformation_elements*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_MetaInformation_elements;
#else
root = (rootView__TPPprootView_MetaInformation_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MetaInformation_elements));
#endif
root->_prod = rootView_RULEprootView_MetaInformation_elements;
root->_desc1 = (rootView__TSPLST_rootView_MetaInformation_elements)list;
{ rootView__TPPprootView_MetaInformation_elements _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_MetaInformation_elements;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MetaInformationElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_MetaInformationElement (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_MetaInformationElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MetaInformationElement;
#else
_currn = (rootView__TPPprootView_MetaInformationElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MetaInformationElement));
#endif
_currn->_prod = rootView_RULEprootView_MetaInformationElement;
_currn->_desc1 = (rootView__TSProotView_MetaInformationElement_property) rootView_MkrootView_MetaInformationElement_property (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MetaInformationElement: root of subtree no. 1 can not be made a rootView_MetaInformationElement_property node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_MetaInformationElement_value) rootView_MkrootView_MetaInformationElement_value (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MetaInformationElement: root of subtree no. 2 can not be made a rootView_MetaInformationElement_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_MetaInformationElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MetaInformationElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MetaInformationElement_property (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MetaInformationElement_property (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MetaInformationElement_property _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MetaInformationElement_property;
#else
_currn = (rootView__TPPprootView_MetaInformationElement_property) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MetaInformationElement_property));
#endif
_currn->_prod = rootView_RULEprootView_MetaInformationElement_property;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MetaInformationElement_property;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MetaInformationElement_property */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MetaInformationElement_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MetaInformationElement_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MetaInformationElement_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MetaInformationElement_value;
#else
_currn = (rootView__TPPprootView_MetaInformationElement_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MetaInformationElement_value));
#endif
_currn->_prod = rootView_RULEprootView_MetaInformationElement_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MetaInformationElement_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MetaInformationElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_BinaryExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_BinaryExpression (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_BinaryExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_BinaryExpression;
#else
_currn = (rootView__TPPprootView_BinaryExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_BinaryExpression));
#endif
_currn->_prod = rootView_RULEprootView_BinaryExpression;
_currn->_desc1 = (rootView__TSProotView_BinaryExpression_leftOperand) rootView_MkrootView_BinaryExpression_leftOperand (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_BinaryExpression: root of subtree no. 1 can not be made a rootView_BinaryExpression_leftOperand node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_BinaryExpression_rightOperand) rootView_MkrootView_BinaryExpression_rightOperand (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_BinaryExpression: root of subtree no. 2 can not be made a rootView_BinaryExpression_rightOperand node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_BinaryExpression_operator) rootView_MkrootView_BinaryExpression_operator (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_BinaryExpression: root of subtree no. 3 can not be made a rootView_BinaryExpression_operator node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_BinaryExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_BinaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_BinaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_UnaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_PredefinedExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_ConstantExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_ColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_ParameterValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_BinaryExpression_leftOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand;
#else
	_new = (rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand;
	_new->_desc1 = (rootView__TSProotView_ComputationExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)_new;
	{rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_BinaryExpression_leftOperand (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_BinaryExpression)) 
		return rootView__MkrootView_BinaryExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_BinaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_UnaryExpression)) 
		return rootView__MkrootView_UnaryExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_UnaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PredefinedExpression)) 
		return rootView__MkrootView_PredefinedExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_PredefinedExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ConstantExpression)) 
		return rootView__MkrootView_ConstantExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_ConstantExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ColumnValueExpression)) 
		return rootView__MkrootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_ColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ProjectionColumnValueExpression)) 
		return rootView__MkrootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_ProjectionColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ParameterValueExpression)) 
		return rootView__MkrootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_ParameterValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ComputationExpression)) 
		return rootView__MkrootView_ComputationExpressionprootView_BinaryExpression_leftOperand (_coordref, rootView_MkrootView_ComputationExpression (_coordref, t));
	message (DEADLY, "a prootView_BinaryExpression_leftOperand list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_BinaryExpression_leftOperand (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_BinaryExpression_leftOperand)
	l =_ElemprootView_BinaryExpression_leftOperand (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_BinaryExpression_leftOperand)
	r = _ElemprootView_BinaryExpression_leftOperand (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_BinaryExpression_leftOperand)r)->_desc2);
((rootView__TPPLST_0prootView_BinaryExpression_leftOperand)r)->_desc2 = ((rootView__TPPLST_0prootView_BinaryExpression_leftOperand)l)->_desc2;
((rootView__TPPLST_0prootView_BinaryExpression_leftOperand)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_BinaryExpression_leftOperand (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_BinaryExpression_leftOperand (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_BinaryExpression_leftOperand root;
	rootView__TPPLST_0prootView_BinaryExpression_leftOperand list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_BinaryExpression_leftOperand)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_BinaryExpression_leftOperand)
		t = _ElemprootView_BinaryExpression_leftOperand (_coordref, t);
	remain = (rootView__TPPLST_0prootView_BinaryExpression_leftOperand)(((rootView__TPPLST_0prootView_BinaryExpression_leftOperand) t)->_desc2);
	((rootView__TPPLST_0prootView_BinaryExpression_leftOperand) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_BinaryExpression_leftOperand;
#else
list = (rootView__TPPLST_0prootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_BinaryExpression_leftOperand));
#endif
list->_prod = rootView_RULELST_0prootView_BinaryExpression_leftOperand;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_BinaryExpression_leftOperand)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand)
	{rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_BinaryExpression_leftOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_leftOperand*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_BinaryExpression_leftOperand;
#else
root = (rootView__TPPprootView_BinaryExpression_leftOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_BinaryExpression_leftOperand));
#endif
root->_prod = rootView_RULEprootView_BinaryExpression_leftOperand;
root->_desc1 = (rootView__TSPLST_rootView_BinaryExpression_leftOperand)list;
{ rootView__TPPprootView_BinaryExpression_leftOperand _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_BinaryExpression_leftOperand;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_BinaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_UnaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_PredefinedExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_ConstantExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_ColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_ParameterValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_BinaryExpression_rightOperand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand;
#else
	_new = (rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand));
#endif
	_new->_prod = rootView_RULELST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand;
	_new->_desc1 = (rootView__TSProotView_ComputationExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)_new;
	{rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_BinaryExpression_rightOperand (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_BinaryExpression)) 
		return rootView__MkrootView_BinaryExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_BinaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_UnaryExpression)) 
		return rootView__MkrootView_UnaryExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_UnaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PredefinedExpression)) 
		return rootView__MkrootView_PredefinedExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_PredefinedExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ConstantExpression)) 
		return rootView__MkrootView_ConstantExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_ConstantExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ColumnValueExpression)) 
		return rootView__MkrootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_ColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ProjectionColumnValueExpression)) 
		return rootView__MkrootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_ProjectionColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ParameterValueExpression)) 
		return rootView__MkrootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_ParameterValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ComputationExpression)) 
		return rootView__MkrootView_ComputationExpressionprootView_BinaryExpression_rightOperand (_coordref, rootView_MkrootView_ComputationExpression (_coordref, t));
	message (DEADLY, "a prootView_BinaryExpression_rightOperand list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_BinaryExpression_rightOperand (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_BinaryExpression_rightOperand)
	l =_ElemprootView_BinaryExpression_rightOperand (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_BinaryExpression_rightOperand)
	r = _ElemprootView_BinaryExpression_rightOperand (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_BinaryExpression_rightOperand)r)->_desc2);
((rootView__TPPLST_0prootView_BinaryExpression_rightOperand)r)->_desc2 = ((rootView__TPPLST_0prootView_BinaryExpression_rightOperand)l)->_desc2;
((rootView__TPPLST_0prootView_BinaryExpression_rightOperand)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_BinaryExpression_rightOperand (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_BinaryExpression_rightOperand (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_BinaryExpression_rightOperand root;
	rootView__TPPLST_0prootView_BinaryExpression_rightOperand list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_BinaryExpression_rightOperand)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_BinaryExpression_rightOperand)
		t = _ElemprootView_BinaryExpression_rightOperand (_coordref, t);
	remain = (rootView__TPPLST_0prootView_BinaryExpression_rightOperand)(((rootView__TPPLST_0prootView_BinaryExpression_rightOperand) t)->_desc2);
	((rootView__TPPLST_0prootView_BinaryExpression_rightOperand) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_BinaryExpression_rightOperand;
#else
list = (rootView__TPPLST_0prootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_BinaryExpression_rightOperand));
#endif
list->_prod = rootView_RULELST_0prootView_BinaryExpression_rightOperand;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_BinaryExpression_rightOperand)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand)
	{rootView__TPPLST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_BinaryExpression_rightOperand;
	} this code has been moved to _ElemprootView_BinaryExpression_rightOperand*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_BinaryExpression_rightOperand;
#else
root = (rootView__TPPprootView_BinaryExpression_rightOperand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_BinaryExpression_rightOperand));
#endif
root->_prod = rootView_RULEprootView_BinaryExpression_rightOperand;
root->_desc1 = (rootView__TSPLST_rootView_BinaryExpression_rightOperand)list;
{ rootView__TPPprootView_BinaryExpression_rightOperand _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_BinaryExpression_rightOperand;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_BinaryExpression_operator (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_BinaryExpression_operator (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_BinaryExpression_operator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_BinaryExpression_operator;
#else
_currn = (rootView__TPPprootView_BinaryExpression_operator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_BinaryExpression_operator));
#endif
_currn->_prod = rootView_RULEprootView_BinaryExpression_operator;
_SETCOORD(_currn)
rootView__TERMACT_prootView_BinaryExpression_operator;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_BinaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_UnaryExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_UnaryExpression (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_UnaryExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_UnaryExpression;
#else
_currn = (rootView__TPPprootView_UnaryExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_UnaryExpression));
#endif
_currn->_prod = rootView_RULEprootView_UnaryExpression;
_currn->_desc1 = (rootView__TSProotView_UnaryExpression_operand) rootView_MkrootView_UnaryExpression_operand (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_UnaryExpression: root of subtree no. 1 can not be made a rootView_UnaryExpression_operand node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_UnaryExpression_operator) rootView_MkrootView_UnaryExpression_operator (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_UnaryExpression: root of subtree no. 2 can not be made a rootView_UnaryExpression_operator node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_UnaryExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_UnaryExpression */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BinaryExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BinaryExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_BinaryExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BinaryExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_BinaryExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_BinaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_BinaryExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_UnaryExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_UnaryExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_UnaryExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_UnaryExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_UnaryExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_UnaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_UnaryExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PredefinedExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PredefinedExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_PredefinedExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PredefinedExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_PredefinedExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_PredefinedExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ConstantExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ConstantExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_ConstantExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ConstantExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_ConstantExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_ConstantExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_ConstantExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_ColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_ParameterValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_UnaryExpression_operand (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ComputationExpressionprootView_UnaryExpression_operand _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ComputationExpressionprootView_UnaryExpression_operand;
#else
	_new = (rootView__TPPLST_rootView_ComputationExpressionprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ComputationExpressionprootView_UnaryExpression_operand));
#endif
	_new->_prod = rootView_RULELST_rootView_ComputationExpressionprootView_UnaryExpression_operand;
	_new->_desc1 = (rootView__TSProotView_ComputationExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_UnaryExpression_operand)_new;
	{rootView__TPPLST_rootView_ComputationExpressionprootView_UnaryExpression_operand _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_UnaryExpression_operand;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_UnaryExpression_operand (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_BinaryExpression)) 
		return rootView__MkrootView_BinaryExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_BinaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_UnaryExpression)) 
		return rootView__MkrootView_UnaryExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_UnaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PredefinedExpression)) 
		return rootView__MkrootView_PredefinedExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_PredefinedExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ConstantExpression)) 
		return rootView__MkrootView_ConstantExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_ConstantExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ColumnValueExpression)) 
		return rootView__MkrootView_ColumnValueExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_ColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ProjectionColumnValueExpression)) 
		return rootView__MkrootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_ProjectionColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ParameterValueExpression)) 
		return rootView__MkrootView_ParameterValueExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_ParameterValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ComputationExpression)) 
		return rootView__MkrootView_ComputationExpressionprootView_UnaryExpression_operand (_coordref, rootView_MkrootView_ComputationExpression (_coordref, t));
	message (DEADLY, "a prootView_UnaryExpression_operand list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_UnaryExpression_operand (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_UnaryExpression_operand)
	l =_ElemprootView_UnaryExpression_operand (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_UnaryExpression_operand)
	r = _ElemprootView_UnaryExpression_operand (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_UnaryExpression_operand)r)->_desc2);
((rootView__TPPLST_0prootView_UnaryExpression_operand)r)->_desc2 = ((rootView__TPPLST_0prootView_UnaryExpression_operand)l)->_desc2;
((rootView__TPPLST_0prootView_UnaryExpression_operand)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_UnaryExpression_operand (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_UnaryExpression_operand (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_UnaryExpression_operand root;
	rootView__TPPLST_0prootView_UnaryExpression_operand list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_UnaryExpression_operand)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_UnaryExpression_operand)
		t = _ElemprootView_UnaryExpression_operand (_coordref, t);
	remain = (rootView__TPPLST_0prootView_UnaryExpression_operand)(((rootView__TPPLST_0prootView_UnaryExpression_operand) t)->_desc2);
	((rootView__TPPLST_0prootView_UnaryExpression_operand) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_UnaryExpression_operand;
#else
list = (rootView__TPPLST_0prootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_UnaryExpression_operand));
#endif
list->_prod = rootView_RULELST_0prootView_UnaryExpression_operand;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_UnaryExpression_operand)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_BinaryExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_BinaryExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_UnaryExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_UnaryExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PredefinedExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ConstantExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_ConstantExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ComputationExpressionprootView_UnaryExpression_operand)
	{rootView__TPPLST_rootView_ComputationExpressionprootView_UnaryExpression_operand _currn = _currn;
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_UnaryExpression_operand;
	} this code has been moved to _ElemprootView_UnaryExpression_operand*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_UnaryExpression_operand;
#else
root = (rootView__TPPprootView_UnaryExpression_operand) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_UnaryExpression_operand));
#endif
root->_prod = rootView_RULEprootView_UnaryExpression_operand;
root->_desc1 = (rootView__TSPLST_rootView_UnaryExpression_operand)list;
{ rootView__TPPprootView_UnaryExpression_operand _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_UnaryExpression_operand;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_UnaryExpression_operator (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_UnaryExpression_operator (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_UnaryExpression_operator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_UnaryExpression_operator;
#else
_currn = (rootView__TPPprootView_UnaryExpression_operator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_UnaryExpression_operator));
#endif
_currn->_prod = rootView_RULEprootView_UnaryExpression_operator;
_SETCOORD(_currn)
rootView__TERMACT_prootView_UnaryExpression_operator;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_UnaryExpression_operator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_PredefinedExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_PredefinedExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_PredefinedExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_PredefinedExpression;
#else
_currn = (rootView__TPPprootView_PredefinedExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_PredefinedExpression));
#endif
_currn->_prod = rootView_RULEprootView_PredefinedExpression;
_currn->_desc1 = (rootView__TSProotView_PredefinedExpression_value) rootView_MkrootView_PredefinedExpression_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_PredefinedExpression: root of subtree no. 1 can not be made a rootView_PredefinedExpression_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_PredefinedExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_PredefinedExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_PredefinedExpression_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_PredefinedExpression_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_PredefinedExpression_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_PredefinedExpression_value;
#else
_currn = (rootView__TPPprootView_PredefinedExpression_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_PredefinedExpression_value));
#endif
_currn->_prod = rootView_RULEprootView_PredefinedExpression_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_PredefinedExpression_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_PredefinedExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ConstantExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ConstantExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ConstantExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ConstantExpression;
#else
_currn = (rootView__TPPprootView_ConstantExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ConstantExpression));
#endif
_currn->_prod = rootView_RULEprootView_ConstantExpression;
_currn->_desc1 = (rootView__TSProotView_ConstantExpression_value) rootView_MkrootView_ConstantExpression_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ConstantExpression: root of subtree no. 1 can not be made a rootView_ConstantExpression_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ConstantExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ConstantExpression_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ConstantExpression_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ConstantExpression_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ConstantExpression_value;
#else
_currn = (rootView__TPPprootView_ConstantExpression_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ConstantExpression_value));
#endif
_currn->_prod = rootView_RULEprootView_ConstantExpression_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ConstantExpression_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ColumnValueExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ColumnValueExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ColumnValueExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ColumnValueExpression;
#else
_currn = (rootView__TPPprootView_ColumnValueExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ColumnValueExpression));
#endif
_currn->_prod = rootView_RULEprootView_ColumnValueExpression;
_currn->_desc1 = (rootView__TSProotView_ColumnValueExpression_column) rootView_MkrootView_ColumnValueExpression_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ColumnValueExpression: root of subtree no. 1 can not be made a rootView_ColumnValueExpression_column node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ColumnValueExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ColumnValueExpression_column (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ColumnValueExpression_column (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ColumnValueExpression_column _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ColumnValueExpression_column;
#else
_currn = (rootView__TPPprootView_ColumnValueExpression_column) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ColumnValueExpression_column));
#endif
_currn->_prod = rootView_RULEprootView_ColumnValueExpression_column;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ColumnValueExpression_column;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ProjectionColumnValueExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ProjectionColumnValueExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ProjectionColumnValueExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ProjectionColumnValueExpression;
#else
_currn = (rootView__TPPprootView_ProjectionColumnValueExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ProjectionColumnValueExpression));
#endif
_currn->_prod = rootView_RULEprootView_ProjectionColumnValueExpression;
_currn->_desc1 = (rootView__TSProotView_ProjectionColumnValueExpression_column) rootView_MkrootView_ProjectionColumnValueExpression_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ProjectionColumnValueExpression: root of subtree no. 1 can not be made a rootView_ProjectionColumnValueExpression_column node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ProjectionColumnValueExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ProjectionColumnValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ProjectionColumnValueExpression_column (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ProjectionColumnValueExpression_column (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ProjectionColumnValueExpression_column _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ProjectionColumnValueExpression_column;
#else
_currn = (rootView__TPPprootView_ProjectionColumnValueExpression_column) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ProjectionColumnValueExpression_column));
#endif
_currn->_prod = rootView_RULEprootView_ProjectionColumnValueExpression_column;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ProjectionColumnValueExpression_column;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ProjectionColumnValueExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ParameterValueExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ParameterValueExpression (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ParameterValueExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ParameterValueExpression;
#else
_currn = (rootView__TPPprootView_ParameterValueExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ParameterValueExpression));
#endif
_currn->_prod = rootView_RULEprootView_ParameterValueExpression;
_currn->_desc1 = (rootView__TSProotView_ParameterValueExpression_parameter) rootView_MkrootView_ParameterValueExpression_parameter (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ParameterValueExpression: root of subtree no. 1 can not be made a rootView_ParameterValueExpression_parameter node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ParameterValueExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ParameterValueExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ParameterValueExpression_parameter (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ParameterValueExpression_parameter (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ParameterValueExpression_parameter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ParameterValueExpression_parameter;
#else
_currn = (rootView__TPPprootView_ParameterValueExpression_parameter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ParameterValueExpression_parameter));
#endif
_currn->_prod = rootView_RULEprootView_ParameterValueExpression_parameter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ParameterValueExpression_parameter;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ParameterValueExpression_parameter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ComputationExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_ComputationExpression (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_ComputationExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ComputationExpression;
#else
_currn = (rootView__TPPprootView_ComputationExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ComputationExpression));
#endif
_currn->_prod = rootView_RULEprootView_ComputationExpression;
_currn->_desc1 = (rootView__TSProotView_ComputationExpression_column) rootView_MkrootView_ComputationExpression_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ComputationExpression: root of subtree no. 1 can not be made a rootView_ComputationExpression_column node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ComputationExpression_computation) rootView_MkrootView_ComputationExpression_computation (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ComputationExpression: root of subtree no. 2 can not be made a rootView_ComputationExpression_computation node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ComputationExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ComputationExpression */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ComputationExpression_column (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ComputationExpression_column (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ComputationExpression_column _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ComputationExpression_column;
#else
_currn = (rootView__TPPprootView_ComputationExpression_column) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ComputationExpression_column));
#endif
_currn->_prod = rootView_RULEprootView_ComputationExpression_column;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ComputationExpression_column;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ComputationExpression_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ComputationExpression_computation (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ComputationExpression_computation (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ComputationExpression_computation _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ComputationExpression_computation;
#else
_currn = (rootView__TPPprootView_ComputationExpression_computation) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ComputationExpression_computation));
#endif
_currn->_prod = rootView_RULEprootView_ComputationExpression_computation;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ComputationExpression_computation;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ComputationExpression_computation */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataSourceActualParam (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_DataSourceActualParam (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_DataSourceActualParam _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DataSourceActualParam;
#else
_currn = (rootView__TPPprootView_DataSourceActualParam) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataSourceActualParam));
#endif
_currn->_prod = rootView_RULEprootView_DataSourceActualParam;
_currn->_desc1 = (rootView__TSProotView_DataSourceActualParam_formalParam) rootView_MkrootView_DataSourceActualParam_formalParam (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DataSourceActualParam: root of subtree no. 1 can not be made a rootView_DataSourceActualParam_formalParam node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_DataSourceActualParam_expressions) rootView_MkrootView_DataSourceActualParam_expressions (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DataSourceActualParam: root of subtree no. 2 can not be made a rootView_DataSourceActualParam_expressions node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DataSourceActualParam;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DataSourceActualParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataSourceActualParam_formalParam (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DataSourceActualParam_formalParam (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DataSourceActualParam_formalParam _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DataSourceActualParam_formalParam;
#else
_currn = (rootView__TPPprootView_DataSourceActualParam_formalParam) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataSourceActualParam_formalParam));
#endif
_currn->_prod = rootView_RULEprootView_DataSourceActualParam_formalParam;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DataSourceActualParam_formalParam;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DataSourceActualParam_formalParam */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions;
#else
	_new = (rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions;
	_new->_desc1 = (rootView__TSProotView_WebNodeConstantExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_DataSourceActualParam_expressions)_new;
	{rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions;
#else
	_new = (rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions;
	_new->_desc1 = (rootView__TSProotView_WebNodeVariableExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_DataSourceActualParam_expressions)_new;
	{rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions;
#else
	_new = (rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions;
	_new->_desc1 = (rootView__TSProotView_WebNodeSessionExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_DataSourceActualParam_expressions)_new;
	{rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_DataSourceActualParam_expressions (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_DataSourceActualParam_expressions (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeConstantExpression)) 
		return rootView__MkrootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions (_coordref, rootView_MkrootView_WebNodeConstantExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeVariableExpression)) 
		return rootView__MkrootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions (_coordref, rootView_MkrootView_WebNodeVariableExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeSessionExpression)) 
		return rootView__MkrootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions (_coordref, rootView_MkrootView_WebNodeSessionExpression (_coordref, t));
	message (DEADLY, "a prootView_DataSourceActualParam_expressions list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_DataSourceActualParam_expressions (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_DataSourceActualParam_expressions (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_DataSourceActualParam_expressions)
	l =_ElemprootView_DataSourceActualParam_expressions (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_DataSourceActualParam_expressions)
	r = _ElemprootView_DataSourceActualParam_expressions (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_DataSourceActualParam_expressions)r)->_desc2);
((rootView__TPPLST_0prootView_DataSourceActualParam_expressions)r)->_desc2 = ((rootView__TPPLST_0prootView_DataSourceActualParam_expressions)l)->_desc2;
((rootView__TPPLST_0prootView_DataSourceActualParam_expressions)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataSourceActualParam_expressions (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_DataSourceActualParam_expressions (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_DataSourceActualParam_expressions root;
	rootView__TPPLST_0prootView_DataSourceActualParam_expressions list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_DataSourceActualParam_expressions)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_DataSourceActualParam_expressions)
		t = _ElemprootView_DataSourceActualParam_expressions (_coordref, t);
	remain = (rootView__TPPLST_0prootView_DataSourceActualParam_expressions)(((rootView__TPPLST_0prootView_DataSourceActualParam_expressions) t)->_desc2);
	((rootView__TPPLST_0prootView_DataSourceActualParam_expressions) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_DataSourceActualParam_expressions;
#else
list = (rootView__TPPLST_0prootView_DataSourceActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_DataSourceActualParam_expressions));
#endif
list->_prod = rootView_RULELST_0prootView_DataSourceActualParam_expressions;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_DataSourceActualParam_expressions)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions)
	{rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeConstantExpressionprootView_DataSourceActualParam_expressions;
	} this code has been moved to _ElemprootView_DataSourceActualParam_expressions*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions)
	{rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeVariableExpressionprootView_DataSourceActualParam_expressions;
	} this code has been moved to _ElemprootView_DataSourceActualParam_expressions*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions)
	{rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeSessionExpressionprootView_DataSourceActualParam_expressions;
	} this code has been moved to _ElemprootView_DataSourceActualParam_expressions*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_DataSourceActualParam_expressions;
#else
root = (rootView__TPPprootView_DataSourceActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataSourceActualParam_expressions));
#endif
root->_prod = rootView_RULEprootView_DataSourceActualParam_expressions;
root->_desc1 = (rootView__TSPLST_rootView_DataSourceActualParam_expressions)list;
{ rootView__TPPprootView_DataSourceActualParam_expressions _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_DataSourceActualParam_expressions;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Paragraph (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_Paragraph (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_Paragraph _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Paragraph;
#else
_currn = (rootView__TPPprootView_Paragraph) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Paragraph));
#endif
_currn->_prod = rootView_RULEprootView_Paragraph;
_currn->_desc1 = (rootView__TSProotView_Paragraph_styleSheetBlock) rootView_MkrootView_Paragraph_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Paragraph: root of subtree no. 1 can not be made a rootView_Paragraph_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_Paragraph_fragments) rootView_MkrootView_Paragraph_fragments (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Paragraph: root of subtree no. 2 can not be made a rootView_Paragraph_fragments node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_Paragraph;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Paragraph */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Paragraph_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Paragraph_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Paragraph_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Paragraph_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_Paragraph_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Paragraph_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_Paragraph_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Paragraph_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Paragraph_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_TextFragmentprootView_Paragraph_fragments (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_TextFragmentprootView_Paragraph_fragments (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_TextFragmentprootView_Paragraph_fragments _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_TextFragmentprootView_Paragraph_fragments;
#else
	_new = (rootView__TPPLST_rootView_TextFragmentprootView_Paragraph_fragments) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_TextFragmentprootView_Paragraph_fragments));
#endif
	_new->_prod = rootView_RULELST_rootView_TextFragmentprootView_Paragraph_fragments;
	_new->_desc1 = (rootView__TSProotView_TextFragment)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Paragraph_fragments)_new;
	{rootView__TPPLST_rootView_TextFragmentprootView_Paragraph_fragments _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_TextFragmentprootView_Paragraph_fragments;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ImageFragmentprootView_Paragraph_fragments (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ImageFragmentprootView_Paragraph_fragments (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ImageFragmentprootView_Paragraph_fragments _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ImageFragmentprootView_Paragraph_fragments;
#else
	_new = (rootView__TPPLST_rootView_ImageFragmentprootView_Paragraph_fragments) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ImageFragmentprootView_Paragraph_fragments));
#endif
	_new->_prod = rootView_RULELST_rootView_ImageFragmentprootView_Paragraph_fragments;
	_new->_desc1 = (rootView__TSProotView_ImageFragment)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Paragraph_fragments)_new;
	{rootView__TPPLST_rootView_ImageFragmentprootView_Paragraph_fragments _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ImageFragmentprootView_Paragraph_fragments;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_OutputFragmentprootView_Paragraph_fragments (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_OutputFragmentprootView_Paragraph_fragments (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_OutputFragmentprootView_Paragraph_fragments _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_OutputFragmentprootView_Paragraph_fragments;
#else
	_new = (rootView__TPPLST_rootView_OutputFragmentprootView_Paragraph_fragments) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_OutputFragmentprootView_Paragraph_fragments));
#endif
	_new->_prod = rootView_RULELST_rootView_OutputFragmentprootView_Paragraph_fragments;
	_new->_desc1 = (rootView__TSProotView_OutputFragment)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Paragraph_fragments)_new;
	{rootView__TPPLST_rootView_OutputFragmentprootView_Paragraph_fragments _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_OutputFragmentprootView_Paragraph_fragments;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Paragraph_fragments (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Paragraph_fragments (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_TextFragment)) 
		return rootView__MkrootView_TextFragmentprootView_Paragraph_fragments (_coordref, rootView_MkrootView_TextFragment (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ImageFragment)) 
		return rootView__MkrootView_ImageFragmentprootView_Paragraph_fragments (_coordref, rootView_MkrootView_ImageFragment (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_OutputFragment)) 
		return rootView__MkrootView_OutputFragmentprootView_Paragraph_fragments (_coordref, rootView_MkrootView_OutputFragment (_coordref, t));
	message (DEADLY, "a prootView_Paragraph_fragments list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Paragraph_fragments (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Paragraph_fragments (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Paragraph_fragments)
	l =_ElemprootView_Paragraph_fragments (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Paragraph_fragments)
	r = _ElemprootView_Paragraph_fragments (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Paragraph_fragments)r)->_desc2);
((rootView__TPPLST_0prootView_Paragraph_fragments)r)->_desc2 = ((rootView__TPPLST_0prootView_Paragraph_fragments)l)->_desc2;
((rootView__TPPLST_0prootView_Paragraph_fragments)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Paragraph_fragments (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Paragraph_fragments (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Paragraph_fragments root;
	rootView__TPPLST_0prootView_Paragraph_fragments list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Paragraph_fragments)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Paragraph_fragments)
		t = _ElemprootView_Paragraph_fragments (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Paragraph_fragments)(((rootView__TPPLST_0prootView_Paragraph_fragments) t)->_desc2);
	((rootView__TPPLST_0prootView_Paragraph_fragments) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Paragraph_fragments;
#else
list = (rootView__TPPLST_0prootView_Paragraph_fragments) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Paragraph_fragments));
#endif
list->_prod = rootView_RULELST_0prootView_Paragraph_fragments;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Paragraph_fragments)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_TextFragmentprootView_Paragraph_fragments)
	{rootView__TPPLST_rootView_TextFragmentprootView_Paragraph_fragments _currn = _currn;
	 rootView__TERMACT_LST_rootView_TextFragmentprootView_Paragraph_fragments;
	} this code has been moved to _ElemprootView_Paragraph_fragments*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ImageFragmentprootView_Paragraph_fragments)
	{rootView__TPPLST_rootView_ImageFragmentprootView_Paragraph_fragments _currn = _currn;
	 rootView__TERMACT_LST_rootView_ImageFragmentprootView_Paragraph_fragments;
	} this code has been moved to _ElemprootView_Paragraph_fragments*/
	/*if (_currn->_prod == rootView_RULELST_rootView_OutputFragmentprootView_Paragraph_fragments)
	{rootView__TPPLST_rootView_OutputFragmentprootView_Paragraph_fragments _currn = _currn;
	 rootView__TERMACT_LST_rootView_OutputFragmentprootView_Paragraph_fragments;
	} this code has been moved to _ElemprootView_Paragraph_fragments*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Paragraph_fragments;
#else
root = (rootView__TPPprootView_Paragraph_fragments) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Paragraph_fragments));
#endif
root->_prod = rootView_RULEprootView_Paragraph_fragments;
root->_desc1 = (rootView__TSPLST_rootView_Paragraph_fragments)list;
{ rootView__TPPprootView_Paragraph_fragments _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Paragraph_fragments;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TextFragment (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_TextFragment (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_TextFragment _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TextFragment;
#else
_currn = (rootView__TPPprootView_TextFragment) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TextFragment));
#endif
_currn->_prod = rootView_RULEprootView_TextFragment;
_currn->_desc1 = (rootView__TSProotView_TextFragment_link) rootView_MkrootView_TextFragment_link (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_TextFragment: root of subtree no. 1 can not be made a rootView_TextFragment_link node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_TextFragment_value) rootView_MkrootView_TextFragment_value (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_TextFragment: root of subtree no. 2 can not be made a rootView_TextFragment_value node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_TextFragment_fontstyle) rootView_MkrootView_TextFragment_fontstyle (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_TextFragment: root of subtree no. 3 can not be made a rootView_TextFragment_fontstyle node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_TextFragment;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TextFragment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TextFragment_link (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_TextFragment_link (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_TextFragment_link _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TextFragment_link;
#else
_currn = (rootView__TPPprootView_TextFragment_link) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TextFragment_link));
#endif
_currn->_prod = rootView_RULEprootView_TextFragment_link;
_SETCOORD(_currn)
rootView__TERMACT_prootView_TextFragment_link;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TextFragment_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TextFragment_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_TextFragment_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_TextFragment_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TextFragment_value;
#else
_currn = (rootView__TPPprootView_TextFragment_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TextFragment_value));
#endif
_currn->_prod = rootView_RULEprootView_TextFragment_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_TextFragment_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TextFragment_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TextFragment_fontstyle (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_TextFragment_fontstyle (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_TextFragment_fontstyle _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TextFragment_fontstyle;
#else
_currn = (rootView__TPPprootView_TextFragment_fontstyle) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TextFragment_fontstyle));
#endif
_currn->_prod = rootView_RULEprootView_TextFragment_fontstyle;
_SETCOORD(_currn)
rootView__TERMACT_prootView_TextFragment_fontstyle;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TextFragment_fontstyle */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8)
#else
NODEPTR rootView_MkprootView_ImageFragment (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
#endif
{	rootView__TPPprootView_ImageFragment _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment;
#else
_currn = (rootView__TPPprootView_ImageFragment) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment;
_currn->_desc1 = (rootView__TSProotView_ImageFragment_link) rootView_MkrootView_ImageFragment_link (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 1 can not be made a rootView_ImageFragment_link node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ImageFragment_width) rootView_MkrootView_ImageFragment_width (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 2 can not be made a rootView_ImageFragment_width node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_ImageFragment_height) rootView_MkrootView_ImageFragment_height (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 3 can not be made a rootView_ImageFragment_height node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_ImageFragment_border) rootView_MkrootView_ImageFragment_border (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 4 can not be made a rootView_ImageFragment_border node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_ImageFragment_verticalAlign) rootView_MkrootView_ImageFragment_verticalAlign (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 5 can not be made a rootView_ImageFragment_verticalAlign node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_ImageFragment_float) rootView_MkrootView_ImageFragment_float (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 6 can not be made a rootView_ImageFragment_float node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_ImageFragment_text) rootView_MkrootView_ImageFragment_text (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 7 can not be made a rootView_ImageFragment_text node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_ImageFragment_imageName) rootView_MkrootView_ImageFragment_imageName (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageFragment: root of subtree no. 8 can not be made a rootView_ImageFragment_imageName node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_link (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_link (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_link _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_link;
#else
_currn = (rootView__TPPprootView_ImageFragment_link) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_link));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_link;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_link;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_width (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_width (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_width _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_width;
#else
_currn = (rootView__TPPprootView_ImageFragment_width) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_width));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_width;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_width;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_width */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_height (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_height (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_height _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_height;
#else
_currn = (rootView__TPPprootView_ImageFragment_height) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_height));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_height;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_height;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_height */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_border (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_border (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_border _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_border;
#else
_currn = (rootView__TPPprootView_ImageFragment_border) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_border));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_border;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_border;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_border */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_verticalAlign (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_verticalAlign (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_verticalAlign _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_verticalAlign;
#else
_currn = (rootView__TPPprootView_ImageFragment_verticalAlign) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_verticalAlign));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_verticalAlign;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_verticalAlign;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_verticalAlign */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_float (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_float (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_float _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_float;
#else
_currn = (rootView__TPPprootView_ImageFragment_float) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_float));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_float;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_float;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_float */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_text (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_text (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_text _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_text;
#else
_currn = (rootView__TPPprootView_ImageFragment_text) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_text));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_text;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_text;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_text */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageFragment_imageName (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageFragment_imageName (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageFragment_imageName _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageFragment_imageName;
#else
_currn = (rootView__TPPprootView_ImageFragment_imageName) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageFragment_imageName));
#endif
_currn->_prod = rootView_RULEprootView_ImageFragment_imageName;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageFragment_imageName;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageFragment_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Heading (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_Heading (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_Heading _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Heading;
#else
_currn = (rootView__TPPprootView_Heading) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Heading));
#endif
_currn->_prod = rootView_RULEprootView_Heading;
_currn->_desc1 = (rootView__TSProotView_Heading_styleSheetBlock) rootView_MkrootView_Heading_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Heading: root of subtree no. 1 can not be made a rootView_Heading_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_Heading_text) rootView_MkrootView_Heading_text (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Heading: root of subtree no. 2 can not be made a rootView_Heading_text node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_Heading_level) rootView_MkrootView_Heading_level (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Heading: root of subtree no. 3 can not be made a rootView_Heading_level node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_Heading;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Heading */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Heading_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Heading_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Heading_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Heading_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_Heading_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Heading_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_Heading_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Heading_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Heading_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Heading_text (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Heading_text (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Heading_text _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Heading_text;
#else
_currn = (rootView__TPPprootView_Heading_text) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Heading_text));
#endif
_currn->_prod = rootView_RULEprootView_Heading_text;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Heading_text;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Heading_text */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Heading_level (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Heading_level (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Heading_level _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Heading_level;
#else
_currn = (rootView__TPPprootView_Heading_level) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Heading_level));
#endif
_currn->_prod = rootView_RULEprootView_Heading_level;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Heading_level;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Heading_level */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Table (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_Table (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_Table _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Table;
#else
_currn = (rootView__TPPprootView_Table) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Table));
#endif
_currn->_prod = rootView_RULEprootView_Table;
_currn->_desc1 = (rootView__TSProotView_Table_styleSheetBlock) rootView_MkrootView_Table_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Table: root of subtree no. 1 can not be made a rootView_Table_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_Table_rows) rootView_MkrootView_Table_rows (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Table: root of subtree no. 2 can not be made a rootView_Table_rows node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_Table_columns) rootView_MkrootView_Table_columns (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Table: root of subtree no. 3 can not be made a rootView_Table_columns node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_Table;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Table */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Table_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Table_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Table_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Table_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_Table_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Table_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_Table_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Table_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Table_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_TableRowprootView_Table_rows (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_TableRowprootView_Table_rows (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_TableRowprootView_Table_rows _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_TableRowprootView_Table_rows;
#else
	_new = (rootView__TPPLST_rootView_TableRowprootView_Table_rows) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_TableRowprootView_Table_rows));
#endif
	_new->_prod = rootView_RULELST_rootView_TableRowprootView_Table_rows;
	_new->_desc1 = (rootView__TSProotView_TableRow)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Table_rows)_new;
	{rootView__TPPLST_rootView_TableRowprootView_Table_rows _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_TableRowprootView_Table_rows;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Table_rows (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Table_rows (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_TableRow)) 
		return rootView__MkrootView_TableRowprootView_Table_rows (_coordref, rootView_MkrootView_TableRow (_coordref, t));
	message (DEADLY, "a prootView_Table_rows list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Table_rows (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Table_rows (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Table_rows)
	l =_ElemprootView_Table_rows (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Table_rows)
	r = _ElemprootView_Table_rows (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Table_rows)r)->_desc2);
((rootView__TPPLST_0prootView_Table_rows)r)->_desc2 = ((rootView__TPPLST_0prootView_Table_rows)l)->_desc2;
((rootView__TPPLST_0prootView_Table_rows)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Table_rows (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Table_rows (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Table_rows root;
	rootView__TPPLST_0prootView_Table_rows list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Table_rows)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Table_rows)
		t = _ElemprootView_Table_rows (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Table_rows)(((rootView__TPPLST_0prootView_Table_rows) t)->_desc2);
	((rootView__TPPLST_0prootView_Table_rows) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Table_rows;
#else
list = (rootView__TPPLST_0prootView_Table_rows) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Table_rows));
#endif
list->_prod = rootView_RULELST_0prootView_Table_rows;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Table_rows)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_TableRowprootView_Table_rows)
	{rootView__TPPLST_rootView_TableRowprootView_Table_rows _currn = _currn;
	 rootView__TERMACT_LST_rootView_TableRowprootView_Table_rows;
	} this code has been moved to _ElemprootView_Table_rows*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Table_rows;
#else
root = (rootView__TPPprootView_Table_rows) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Table_rows));
#endif
root->_prod = rootView_RULEprootView_Table_rows;
root->_desc1 = (rootView__TSPLST_rootView_Table_rows)list;
{ rootView__TPPprootView_Table_rows _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Table_rows;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_TableColumnprootView_Table_columns (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_TableColumnprootView_Table_columns (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_TableColumnprootView_Table_columns _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_TableColumnprootView_Table_columns;
#else
	_new = (rootView__TPPLST_rootView_TableColumnprootView_Table_columns) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_TableColumnprootView_Table_columns));
#endif
	_new->_prod = rootView_RULELST_rootView_TableColumnprootView_Table_columns;
	_new->_desc1 = (rootView__TSProotView_TableColumn)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Table_columns)_new;
	{rootView__TPPLST_rootView_TableColumnprootView_Table_columns _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_TableColumnprootView_Table_columns;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Table_columns (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Table_columns (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_TableColumn)) 
		return rootView__MkrootView_TableColumnprootView_Table_columns (_coordref, rootView_MkrootView_TableColumn (_coordref, t));
	message (DEADLY, "a prootView_Table_columns list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Table_columns (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Table_columns (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Table_columns)
	l =_ElemprootView_Table_columns (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Table_columns)
	r = _ElemprootView_Table_columns (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Table_columns)r)->_desc2);
((rootView__TPPLST_0prootView_Table_columns)r)->_desc2 = ((rootView__TPPLST_0prootView_Table_columns)l)->_desc2;
((rootView__TPPLST_0prootView_Table_columns)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Table_columns (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Table_columns (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Table_columns root;
	rootView__TPPLST_0prootView_Table_columns list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Table_columns)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Table_columns)
		t = _ElemprootView_Table_columns (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Table_columns)(((rootView__TPPLST_0prootView_Table_columns) t)->_desc2);
	((rootView__TPPLST_0prootView_Table_columns) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Table_columns;
#else
list = (rootView__TPPLST_0prootView_Table_columns) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Table_columns));
#endif
list->_prod = rootView_RULELST_0prootView_Table_columns;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Table_columns)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_TableColumnprootView_Table_columns)
	{rootView__TPPLST_rootView_TableColumnprootView_Table_columns _currn = _currn;
	 rootView__TERMACT_LST_rootView_TableColumnprootView_Table_columns;
	} this code has been moved to _ElemprootView_Table_columns*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Table_columns;
#else
root = (rootView__TPPprootView_Table_columns) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Table_columns));
#endif
root->_prod = rootView_RULEprootView_Table_columns;
root->_desc1 = (rootView__TSPLST_rootView_Table_columns)list;
{ rootView__TPPprootView_Table_columns _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Table_columns;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TableRow (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_TableRow (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_TableRow _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TableRow;
#else
_currn = (rootView__TPPprootView_TableRow) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TableRow));
#endif
_currn->_prod = rootView_RULEprootView_TableRow;
_currn->_desc1 = (rootView__TSProotView_TableRow_cells) rootView_MkrootView_TableRow_cells (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_TableRow: root of subtree no. 1 can not be made a rootView_TableRow_cells node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_TableRow;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TableRow */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_TableCellprootView_TableRow_cells (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_TableCellprootView_TableRow_cells (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_TableCellprootView_TableRow_cells _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_TableCellprootView_TableRow_cells;
#else
	_new = (rootView__TPPLST_rootView_TableCellprootView_TableRow_cells) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_TableCellprootView_TableRow_cells));
#endif
	_new->_prod = rootView_RULELST_rootView_TableCellprootView_TableRow_cells;
	_new->_desc1 = (rootView__TSProotView_TableCell)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_TableRow_cells)_new;
	{rootView__TPPLST_rootView_TableCellprootView_TableRow_cells _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_TableCellprootView_TableRow_cells;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_TableRow_cells (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_TableRow_cells (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_TableCell)) 
		return rootView__MkrootView_TableCellprootView_TableRow_cells (_coordref, rootView_MkrootView_TableCell (_coordref, t));
	message (DEADLY, "a prootView_TableRow_cells list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_TableRow_cells (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_TableRow_cells (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_TableRow_cells)
	l =_ElemprootView_TableRow_cells (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_TableRow_cells)
	r = _ElemprootView_TableRow_cells (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_TableRow_cells)r)->_desc2);
((rootView__TPPLST_0prootView_TableRow_cells)r)->_desc2 = ((rootView__TPPLST_0prootView_TableRow_cells)l)->_desc2;
((rootView__TPPLST_0prootView_TableRow_cells)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TableRow_cells (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_TableRow_cells (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_TableRow_cells root;
	rootView__TPPLST_0prootView_TableRow_cells list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_TableRow_cells)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_TableRow_cells)
		t = _ElemprootView_TableRow_cells (_coordref, t);
	remain = (rootView__TPPLST_0prootView_TableRow_cells)(((rootView__TPPLST_0prootView_TableRow_cells) t)->_desc2);
	((rootView__TPPLST_0prootView_TableRow_cells) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_TableRow_cells;
#else
list = (rootView__TPPLST_0prootView_TableRow_cells) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_TableRow_cells));
#endif
list->_prod = rootView_RULELST_0prootView_TableRow_cells;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_TableRow_cells)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_TableCellprootView_TableRow_cells)
	{rootView__TPPLST_rootView_TableCellprootView_TableRow_cells _currn = _currn;
	 rootView__TERMACT_LST_rootView_TableCellprootView_TableRow_cells;
	} this code has been moved to _ElemprootView_TableRow_cells*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_TableRow_cells;
#else
root = (rootView__TPPprootView_TableRow_cells) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TableRow_cells));
#endif
root->_prod = rootView_RULEprootView_TableRow_cells;
root->_desc1 = (rootView__TSPLST_rootView_TableRow_cells)list;
{ rootView__TPPprootView_TableRow_cells _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_TableRow_cells;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TableColumn (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_TableColumn (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_TableColumn _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TableColumn;
#else
_currn = (rootView__TPPprootView_TableColumn) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TableColumn));
#endif
_currn->_prod = rootView_RULEprootView_TableColumn;
_SETCOORD(_currn)
rootView__TERMACT_prootView_TableColumn;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TableColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TableCell (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_TableCell (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_TableCell _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TableCell;
#else
_currn = (rootView__TPPprootView_TableCell) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TableCell));
#endif
_currn->_prod = rootView_RULEprootView_TableCell;
_currn->_desc1 = (rootView__TSProotView_TableCell_columnRef) rootView_MkrootView_TableCell_columnRef (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_TableCell: root of subtree no. 1 can not be made a rootView_TableCell_columnRef node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_TableCell_content) rootView_MkrootView_TableCell_content (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_TableCell: root of subtree no. 2 can not be made a rootView_TableCell_content node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_TableCell;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TableCell */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_TableCell_columnRef (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_TableCell_columnRef (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_TableCell_columnRef _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_TableCell_columnRef;
#else
_currn = (rootView__TPPprootView_TableCell_columnRef) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_TableCell_columnRef));
#endif
_currn->_prod = rootView_RULEprootView_TableCell_columnRef;
_SETCOORD(_currn)
rootView__TERMACT_prootView_TableCell_columnRef;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_TableCell_columnRef */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheet (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3)
#else
NODEPTR rootView_MkprootView_StyleSheet (_coordref, _TERM1,_desc1,_desc2,_desc3)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
#endif
{	rootView__TPPprootView_StyleSheet _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleSheet;
#else
_currn = (rootView__TPPprootView_StyleSheet) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheet));
#endif
_currn->_prod = rootView_RULEprootView_StyleSheet;
_currn->_desc1 = (rootView__TSProotView_StyleSheet_name) rootView_MkrootView_StyleSheet_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleSheet: root of subtree no. 1 can not be made a rootView_StyleSheet_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_StyleSheet_custom) rootView_MkrootView_StyleSheet_custom (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleSheet: root of subtree no. 2 can not be made a rootView_StyleSheet_custom node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_StyleSheet_default) rootView_MkrootView_StyleSheet_default (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleSheet: root of subtree no. 3 can not be made a rootView_StyleSheet_default node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleSheet;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleSheet */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheet_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_StyleSheet_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_StyleSheet_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleSheet_name;
#else
_currn = (rootView__TPPprootView_StyleSheet_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheet_name));
#endif
_currn->_prod = rootView_RULEprootView_StyleSheet_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleSheet_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleSheet_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CustomStyleSheetBlockprootView_StyleSheet_custom (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CustomStyleSheetBlockprootView_StyleSheet_custom (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom;
#else
	_new = (rootView__TPPLST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom));
#endif
	_new->_prod = rootView_RULELST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom;
	_new->_desc1 = (rootView__TSProotView_CustomStyleSheetBlock)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheet_custom)_new;
	{rootView__TPPLST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_StyleSheet_custom (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_StyleSheet_custom (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_CustomStyleSheetBlock)) 
		return rootView__MkrootView_CustomStyleSheetBlockprootView_StyleSheet_custom (_coordref, rootView_MkrootView_CustomStyleSheetBlock (_coordref, t));
	message (DEADLY, "a prootView_StyleSheet_custom list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_StyleSheet_custom (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_StyleSheet_custom (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_StyleSheet_custom)
	l =_ElemprootView_StyleSheet_custom (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_StyleSheet_custom)
	r = _ElemprootView_StyleSheet_custom (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_StyleSheet_custom)r)->_desc2);
((rootView__TPPLST_0prootView_StyleSheet_custom)r)->_desc2 = ((rootView__TPPLST_0prootView_StyleSheet_custom)l)->_desc2;
((rootView__TPPLST_0prootView_StyleSheet_custom)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheet_custom (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_StyleSheet_custom (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_StyleSheet_custom root;
	rootView__TPPLST_0prootView_StyleSheet_custom list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_StyleSheet_custom)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_StyleSheet_custom)
		t = _ElemprootView_StyleSheet_custom (_coordref, t);
	remain = (rootView__TPPLST_0prootView_StyleSheet_custom)(((rootView__TPPLST_0prootView_StyleSheet_custom) t)->_desc2);
	((rootView__TPPLST_0prootView_StyleSheet_custom) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_StyleSheet_custom;
#else
list = (rootView__TPPLST_0prootView_StyleSheet_custom) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_StyleSheet_custom));
#endif
list->_prod = rootView_RULELST_0prootView_StyleSheet_custom;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_StyleSheet_custom)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom)
	{rootView__TPPLST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom _currn = _currn;
	 rootView__TERMACT_LST_rootView_CustomStyleSheetBlockprootView_StyleSheet_custom;
	} this code has been moved to _ElemprootView_StyleSheet_custom*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_StyleSheet_custom;
#else
root = (rootView__TPPprootView_StyleSheet_custom) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheet_custom));
#endif
root->_prod = rootView_RULEprootView_StyleSheet_custom;
root->_desc1 = (rootView__TSPLST_rootView_StyleSheet_custom)list;
{ rootView__TPPprootView_StyleSheet_custom _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_StyleSheet_custom;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_HtmlStyleSheetBlockprootView_StyleSheet_default (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_HtmlStyleSheetBlockprootView_StyleSheet_default (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default;
#else
	_new = (rootView__TPPLST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default));
#endif
	_new->_prod = rootView_RULELST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default;
	_new->_desc1 = (rootView__TSProotView_HtmlStyleSheetBlock)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheet_default)_new;
	{rootView__TPPLST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_StyleSheet_default (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_StyleSheet_default (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_HtmlStyleSheetBlock)) 
		return rootView__MkrootView_HtmlStyleSheetBlockprootView_StyleSheet_default (_coordref, rootView_MkrootView_HtmlStyleSheetBlock (_coordref, t));
	message (DEADLY, "a prootView_StyleSheet_default list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_StyleSheet_default (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_StyleSheet_default (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_StyleSheet_default)
	l =_ElemprootView_StyleSheet_default (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_StyleSheet_default)
	r = _ElemprootView_StyleSheet_default (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_StyleSheet_default)r)->_desc2);
((rootView__TPPLST_0prootView_StyleSheet_default)r)->_desc2 = ((rootView__TPPLST_0prootView_StyleSheet_default)l)->_desc2;
((rootView__TPPLST_0prootView_StyleSheet_default)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheet_default (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_StyleSheet_default (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_StyleSheet_default root;
	rootView__TPPLST_0prootView_StyleSheet_default list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_StyleSheet_default)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_StyleSheet_default)
		t = _ElemprootView_StyleSheet_default (_coordref, t);
	remain = (rootView__TPPLST_0prootView_StyleSheet_default)(((rootView__TPPLST_0prootView_StyleSheet_default) t)->_desc2);
	((rootView__TPPLST_0prootView_StyleSheet_default) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_StyleSheet_default;
#else
list = (rootView__TPPLST_0prootView_StyleSheet_default) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_StyleSheet_default));
#endif
list->_prod = rootView_RULELST_0prootView_StyleSheet_default;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_StyleSheet_default)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default)
	{rootView__TPPLST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default _currn = _currn;
	 rootView__TERMACT_LST_rootView_HtmlStyleSheetBlockprootView_StyleSheet_default;
	} this code has been moved to _ElemprootView_StyleSheet_default*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_StyleSheet_default;
#else
root = (rootView__TPPprootView_StyleSheet_default) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheet_default));
#endif
root->_prod = rootView_RULEprootView_StyleSheet_default;
root->_desc1 = (rootView__TSPLST_rootView_StyleSheet_default)list;
{ rootView__TPPprootView_StyleSheet_default _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_StyleSheet_default;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_CustomStyleSheetBlock (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_CustomStyleSheetBlock (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_CustomStyleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_CustomStyleSheetBlock;
#else
_currn = (rootView__TPPprootView_CustomStyleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_CustomStyleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_CustomStyleSheetBlock;
_currn->_desc1 = (rootView__TSProotView_CustomStyleSheetBlock_pairs) rootView_MkrootView_CustomStyleSheetBlock_pairs (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_CustomStyleSheetBlock: root of subtree no. 1 can not be made a rootView_CustomStyleSheetBlock_pairs node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_CustomStyleSheetBlock_name) rootView_MkrootView_CustomStyleSheetBlock_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_CustomStyleSheetBlock: root of subtree no. 2 can not be made a rootView_CustomStyleSheetBlock_name node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_CustomStyleSheetBlock;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_CustomStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs;
#else
	_new = (rootView__TPPLST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs));
#endif
	_new->_prod = rootView_RULELST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs;
	_new->_desc1 = (rootView__TSProotView_StyleSheetPair)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_CustomStyleSheetBlock_pairs)_new;
	{rootView__TPPLST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_CustomStyleSheetBlock_pairs (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_StyleSheetPair)) 
		return rootView__MkrootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs (_coordref, rootView_MkrootView_StyleSheetPair (_coordref, t));
	message (DEADLY, "a prootView_CustomStyleSheetBlock_pairs list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_CustomStyleSheetBlock_pairs (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_CustomStyleSheetBlock_pairs)
	l =_ElemprootView_CustomStyleSheetBlock_pairs (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_CustomStyleSheetBlock_pairs)
	r = _ElemprootView_CustomStyleSheetBlock_pairs (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs)r)->_desc2);
((rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs)r)->_desc2 = ((rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs)l)->_desc2;
((rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_CustomStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_CustomStyleSheetBlock_pairs (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_CustomStyleSheetBlock_pairs root;
	rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_CustomStyleSheetBlock_pairs)
		t = _ElemprootView_CustomStyleSheetBlock_pairs (_coordref, t);
	remain = (rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs)(((rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs) t)->_desc2);
	((rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_CustomStyleSheetBlock_pairs;
#else
list = (rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_CustomStyleSheetBlock_pairs));
#endif
list->_prod = rootView_RULELST_0prootView_CustomStyleSheetBlock_pairs;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_CustomStyleSheetBlock_pairs)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs)
	{rootView__TPPLST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs _currn = _currn;
	 rootView__TERMACT_LST_rootView_StyleSheetPairprootView_CustomStyleSheetBlock_pairs;
	} this code has been moved to _ElemprootView_CustomStyleSheetBlock_pairs*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_CustomStyleSheetBlock_pairs;
#else
root = (rootView__TPPprootView_CustomStyleSheetBlock_pairs) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_CustomStyleSheetBlock_pairs));
#endif
root->_prod = rootView_RULEprootView_CustomStyleSheetBlock_pairs;
root->_desc1 = (rootView__TSPLST_rootView_CustomStyleSheetBlock_pairs)list;
{ rootView__TPPprootView_CustomStyleSheetBlock_pairs _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_CustomStyleSheetBlock_pairs;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_CustomStyleSheetBlock_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_CustomStyleSheetBlock_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_CustomStyleSheetBlock_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_CustomStyleSheetBlock_name;
#else
_currn = (rootView__TPPprootView_CustomStyleSheetBlock_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_CustomStyleSheetBlock_name));
#endif
_currn->_prod = rootView_RULEprootView_CustomStyleSheetBlock_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_CustomStyleSheetBlock_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_CustomStyleSheetBlock_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheetPair (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_StyleSheetPair (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_StyleSheetPair _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleSheetPair;
#else
_currn = (rootView__TPPprootView_StyleSheetPair) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheetPair));
#endif
_currn->_prod = rootView_RULEprootView_StyleSheetPair;
_currn->_desc1 = (rootView__TSProotView_StyleSheetPair_category) rootView_MkrootView_StyleSheetPair_category (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleSheetPair: root of subtree no. 1 can not be made a rootView_StyleSheetPair_category node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_StyleSheetPair_attribute) rootView_MkrootView_StyleSheetPair_attribute (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleSheetPair: root of subtree no. 2 can not be made a rootView_StyleSheetPair_attribute node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_StyleSheetPair_valueCategory) rootView_MkrootView_StyleSheetPair_valueCategory (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleSheetPair: root of subtree no. 3 can not be made a rootView_StyleSheetPair_valueCategory node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_StyleSheetPair_value) rootView_MkrootView_StyleSheetPair_value (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleSheetPair: root of subtree no. 4 can not be made a rootView_StyleSheetPair_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleSheetPair;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleSheetPair */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheetPair_category (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_StyleSheetPair_category (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_StyleSheetPair_category _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleSheetPair_category;
#else
_currn = (rootView__TPPprootView_StyleSheetPair_category) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheetPair_category));
#endif
_currn->_prod = rootView_RULEprootView_StyleSheetPair_category;
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleSheetPair_category;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleSheetPair_category */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheetPair_attribute (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_StyleSheetPair_attribute (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_StyleSheetPair_attribute _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleSheetPair_attribute;
#else
_currn = (rootView__TPPprootView_StyleSheetPair_attribute) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheetPair_attribute));
#endif
_currn->_prod = rootView_RULEprootView_StyleSheetPair_attribute;
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleSheetPair_attribute;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleSheetPair_attribute */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheetPair_valueCategory (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_StyleSheetPair_valueCategory (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_StyleSheetPair_valueCategory _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleSheetPair_valueCategory;
#else
_currn = (rootView__TPPprootView_StyleSheetPair_valueCategory) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheetPair_valueCategory));
#endif
_currn->_prod = rootView_RULEprootView_StyleSheetPair_valueCategory;
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleSheetPair_valueCategory;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleSheetPair_valueCategory */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_SizeValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_SizeValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_SizeValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_SizeValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_SizeValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_SizeValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_SizeValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_SizeValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_SizeValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_SizeValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ColorValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ColorValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ColorValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ColorValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_ColorValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ColorValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_ColorValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_ColorValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_ColorValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ColorValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FamilyValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FamilyValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FamilyValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FamilyValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_FamilyValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FamilyValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_FamilyValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_FamilyValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_FamilyValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FamilyValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StyleValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StyleValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StyleValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StyleValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_StyleValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StyleValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_StyleValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_StyleValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_StyleValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StyleValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_HeadingValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_HeadingValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_HeadingValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_HeadingValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_HeadingValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_HeadingValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_HeadingValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_HeadingValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_HeadingValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_HeadingValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_AlignmentValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_AlignmentValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_AlignmentValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_AlignmentValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_AlignmentValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_AlignmentValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_AlignmentValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_AlignmentValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_AlignmentValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_AlignmentValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_ListValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_ListValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_ListValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_ListValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CustomValueprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CustomValueprootView_StyleSheetPair_value (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CustomValueprootView_StyleSheetPair_value _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CustomValueprootView_StyleSheetPair_value;
#else
	_new = (rootView__TPPLST_rootView_CustomValueprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CustomValueprootView_StyleSheetPair_value));
#endif
	_new->_prod = rootView_RULELST_rootView_CustomValueprootView_StyleSheetPair_value;
	_new->_desc1 = (rootView__TSProotView_CustomValue)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_StyleSheetPair_value)_new;
	{rootView__TPPLST_rootView_CustomValueprootView_StyleSheetPair_value _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CustomValueprootView_StyleSheetPair_value;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_StyleSheetPair_value (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_SizeValue)) 
		return rootView__MkrootView_SizeValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_SizeValue (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ColorValue)) 
		return rootView__MkrootView_ColorValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_ColorValue (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FamilyValue)) 
		return rootView__MkrootView_FamilyValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_FamilyValue (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StyleValue)) 
		return rootView__MkrootView_StyleValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_StyleValue (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_HeadingValue)) 
		return rootView__MkrootView_HeadingValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_HeadingValue (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_AlignmentValue)) 
		return rootView__MkrootView_AlignmentValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_AlignmentValue (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListValue)) 
		return rootView__MkrootView_ListValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_ListValue (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CustomValue)) 
		return rootView__MkrootView_CustomValueprootView_StyleSheetPair_value (_coordref, rootView_MkrootView_CustomValue (_coordref, t));
	message (DEADLY, "a prootView_StyleSheetPair_value list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_StyleSheetPair_value (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_StyleSheetPair_value)
	l =_ElemprootView_StyleSheetPair_value (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_StyleSheetPair_value)
	r = _ElemprootView_StyleSheetPair_value (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_StyleSheetPair_value)r)->_desc2);
((rootView__TPPLST_0prootView_StyleSheetPair_value)r)->_desc2 = ((rootView__TPPLST_0prootView_StyleSheetPair_value)l)->_desc2;
((rootView__TPPLST_0prootView_StyleSheetPair_value)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleSheetPair_value (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_StyleSheetPair_value (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_StyleSheetPair_value root;
	rootView__TPPLST_0prootView_StyleSheetPair_value list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_StyleSheetPair_value)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_StyleSheetPair_value)
		t = _ElemprootView_StyleSheetPair_value (_coordref, t);
	remain = (rootView__TPPLST_0prootView_StyleSheetPair_value)(((rootView__TPPLST_0prootView_StyleSheetPair_value) t)->_desc2);
	((rootView__TPPLST_0prootView_StyleSheetPair_value) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_StyleSheetPair_value;
#else
list = (rootView__TPPLST_0prootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_StyleSheetPair_value));
#endif
list->_prod = rootView_RULELST_0prootView_StyleSheetPair_value;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_StyleSheetPair_value)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_SizeValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_SizeValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_SizeValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ColorValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_ColorValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_ColorValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FamilyValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_FamilyValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_FamilyValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StyleValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_StyleValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_StyleValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
	/*if (_currn->_prod == rootView_RULELST_rootView_HeadingValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_HeadingValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_HeadingValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
	/*if (_currn->_prod == rootView_RULELST_rootView_AlignmentValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_AlignmentValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_AlignmentValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ListValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_ListValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CustomValueprootView_StyleSheetPair_value)
	{rootView__TPPLST_rootView_CustomValueprootView_StyleSheetPair_value _currn = _currn;
	 rootView__TERMACT_LST_rootView_CustomValueprootView_StyleSheetPair_value;
	} this code has been moved to _ElemprootView_StyleSheetPair_value*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_StyleSheetPair_value;
#else
root = (rootView__TPPprootView_StyleSheetPair_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleSheetPair_value));
#endif
root->_prod = rootView_RULEprootView_StyleSheetPair_value;
root->_desc1 = (rootView__TSPLST_rootView_StyleSheetPair_value)list;
{ rootView__TPPprootView_StyleSheetPair_value _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_StyleSheetPair_value;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SizeValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_SizeValue (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_SizeValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SizeValue;
#else
_currn = (rootView__TPPprootView_SizeValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SizeValue));
#endif
_currn->_prod = rootView_RULEprootView_SizeValue;
_currn->_desc1 = (rootView__TSProotView_SizeValue_measure) rootView_MkrootView_SizeValue_measure (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SizeValue: root of subtree no. 1 can not be made a rootView_SizeValue_measure node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_SizeValue_value) rootView_MkrootView_SizeValue_value (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SizeValue: root of subtree no. 2 can not be made a rootView_SizeValue_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_SizeValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SizeValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SizeValue_measure (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SizeValue_measure (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SizeValue_measure _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SizeValue_measure;
#else
_currn = (rootView__TPPprootView_SizeValue_measure) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SizeValue_measure));
#endif
_currn->_prod = rootView_RULEprootView_SizeValue_measure;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SizeValue_measure;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SizeValue_measure */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SizeValue_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SizeValue_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SizeValue_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SizeValue_value;
#else
_currn = (rootView__TPPprootView_SizeValue_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SizeValue_value));
#endif
_currn->_prod = rootView_RULEprootView_SizeValue_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SizeValue_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SizeValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ColorValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ColorValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ColorValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ColorValue;
#else
_currn = (rootView__TPPprootView_ColorValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ColorValue));
#endif
_currn->_prod = rootView_RULEprootView_ColorValue;
_currn->_desc1 = (rootView__TSProotView_ColorValue_color) rootView_MkrootView_ColorValue_color (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ColorValue: root of subtree no. 1 can not be made a rootView_ColorValue_color node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ColorValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ColorValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ColorValue_color (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ColorValue_color (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ColorValue_color _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ColorValue_color;
#else
_currn = (rootView__TPPprootView_ColorValue_color) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ColorValue_color));
#endif
_currn->_prod = rootView_RULEprootView_ColorValue_color;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ColorValue_color;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ColorValue_color */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FamilyValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_FamilyValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_FamilyValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FamilyValue;
#else
_currn = (rootView__TPPprootView_FamilyValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FamilyValue));
#endif
_currn->_prod = rootView_RULEprootView_FamilyValue;
_currn->_desc1 = (rootView__TSProotView_FamilyValue_family) rootView_MkrootView_FamilyValue_family (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FamilyValue: root of subtree no. 1 can not be made a rootView_FamilyValue_family node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FamilyValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FamilyValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FamilyValue_family (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FamilyValue_family (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FamilyValue_family _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FamilyValue_family;
#else
_currn = (rootView__TPPprootView_FamilyValue_family) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FamilyValue_family));
#endif
_currn->_prod = rootView_RULEprootView_FamilyValue_family;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FamilyValue_family;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FamilyValue_family */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_StyleValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_StyleValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleValue;
#else
_currn = (rootView__TPPprootView_StyleValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleValue));
#endif
_currn->_prod = rootView_RULEprootView_StyleValue;
_currn->_desc1 = (rootView__TSProotView_StyleValue_style) rootView_MkrootView_StyleValue_style (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StyleValue: root of subtree no. 1 can not be made a rootView_StyleValue_style node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StyleValue_style (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_StyleValue_style (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_StyleValue_style _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StyleValue_style;
#else
_currn = (rootView__TPPprootView_StyleValue_style) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StyleValue_style));
#endif
_currn->_prod = rootView_RULEprootView_StyleValue_style;
_SETCOORD(_currn)
rootView__TERMACT_prootView_StyleValue_style;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StyleValue_style */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_HeadingValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_HeadingValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_HeadingValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_HeadingValue;
#else
_currn = (rootView__TPPprootView_HeadingValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_HeadingValue));
#endif
_currn->_prod = rootView_RULEprootView_HeadingValue;
_currn->_desc1 = (rootView__TSProotView_HeadingValue_heading) rootView_MkrootView_HeadingValue_heading (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_HeadingValue: root of subtree no. 1 can not be made a rootView_HeadingValue_heading node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_HeadingValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_HeadingValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_HeadingValue_heading (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_HeadingValue_heading (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_HeadingValue_heading _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_HeadingValue_heading;
#else
_currn = (rootView__TPPprootView_HeadingValue_heading) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_HeadingValue_heading));
#endif
_currn->_prod = rootView_RULEprootView_HeadingValue_heading;
_SETCOORD(_currn)
rootView__TERMACT_prootView_HeadingValue_heading;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_HeadingValue_heading */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_AlignmentValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_AlignmentValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_AlignmentValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_AlignmentValue;
#else
_currn = (rootView__TPPprootView_AlignmentValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_AlignmentValue));
#endif
_currn->_prod = rootView_RULEprootView_AlignmentValue;
_currn->_desc1 = (rootView__TSProotView_AlignmentValue_alignment) rootView_MkrootView_AlignmentValue_alignment (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_AlignmentValue: root of subtree no. 1 can not be made a rootView_AlignmentValue_alignment node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_AlignmentValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_AlignmentValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_AlignmentValue_alignment (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_AlignmentValue_alignment (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_AlignmentValue_alignment _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_AlignmentValue_alignment;
#else
_currn = (rootView__TPPprootView_AlignmentValue_alignment) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_AlignmentValue_alignment));
#endif
_currn->_prod = rootView_RULEprootView_AlignmentValue_alignment;
_SETCOORD(_currn)
rootView__TERMACT_prootView_AlignmentValue_alignment;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_AlignmentValue_alignment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ListValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ListValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListValue;
#else
_currn = (rootView__TPPprootView_ListValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListValue));
#endif
_currn->_prod = rootView_RULEprootView_ListValue;
_currn->_desc1 = (rootView__TSProotView_ListValue_listed) rootView_MkrootView_ListValue_listed (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListValue: root of subtree no. 1 can not be made a rootView_ListValue_listed node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListValue_listed (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListValue_listed (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListValue_listed _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListValue_listed;
#else
_currn = (rootView__TPPprootView_ListValue_listed) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListValue_listed));
#endif
_currn->_prod = rootView_RULEprootView_ListValue_listed;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListValue_listed;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListValue_listed */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_CustomValue (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_CustomValue (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_CustomValue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_CustomValue;
#else
_currn = (rootView__TPPprootView_CustomValue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_CustomValue));
#endif
_currn->_prod = rootView_RULEprootView_CustomValue;
_currn->_desc1 = (rootView__TSProotView_CustomValue_value) rootView_MkrootView_CustomValue_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_CustomValue: root of subtree no. 1 can not be made a rootView_CustomValue_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_CustomValue;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_CustomValue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_CustomValue_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_CustomValue_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_CustomValue_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_CustomValue_value;
#else
_currn = (rootView__TPPprootView_CustomValue_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_CustomValue_value));
#endif
_currn->_prod = rootView_RULEprootView_CustomValue_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_CustomValue_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_CustomValue_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_HtmlStyleSheetBlock (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_HtmlStyleSheetBlock (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_HtmlStyleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_HtmlStyleSheetBlock;
#else
_currn = (rootView__TPPprootView_HtmlStyleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_HtmlStyleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_HtmlStyleSheetBlock;
_currn->_desc1 = (rootView__TSProotView_HtmlStyleSheetBlock_pairs) rootView_MkrootView_HtmlStyleSheetBlock_pairs (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_HtmlStyleSheetBlock: root of subtree no. 1 can not be made a rootView_HtmlStyleSheetBlock_pairs node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_HtmlStyleSheetBlock_name) rootView_MkrootView_HtmlStyleSheetBlock_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_HtmlStyleSheetBlock: root of subtree no. 2 can not be made a rootView_HtmlStyleSheetBlock_name node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_HtmlStyleSheetBlock;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_HtmlStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs;
#else
	_new = (rootView__TPPLST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs));
#endif
	_new->_prod = rootView_RULELST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs;
	_new->_desc1 = (rootView__TSProotView_StyleSheetPair)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_HtmlStyleSheetBlock_pairs)_new;
	{rootView__TPPLST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_HtmlStyleSheetBlock_pairs (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_StyleSheetPair)) 
		return rootView__MkrootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs (_coordref, rootView_MkrootView_StyleSheetPair (_coordref, t));
	message (DEADLY, "a prootView_HtmlStyleSheetBlock_pairs list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_HtmlStyleSheetBlock_pairs (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_HtmlStyleSheetBlock_pairs)
	l =_ElemprootView_HtmlStyleSheetBlock_pairs (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_HtmlStyleSheetBlock_pairs)
	r = _ElemprootView_HtmlStyleSheetBlock_pairs (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs)r)->_desc2);
((rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs)r)->_desc2 = ((rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs)l)->_desc2;
((rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_HtmlStyleSheetBlock_pairs (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_HtmlStyleSheetBlock_pairs (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_HtmlStyleSheetBlock_pairs root;
	rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_HtmlStyleSheetBlock_pairs)
		t = _ElemprootView_HtmlStyleSheetBlock_pairs (_coordref, t);
	remain = (rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs)(((rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs) t)->_desc2);
	((rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_HtmlStyleSheetBlock_pairs;
#else
list = (rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_HtmlStyleSheetBlock_pairs));
#endif
list->_prod = rootView_RULELST_0prootView_HtmlStyleSheetBlock_pairs;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_HtmlStyleSheetBlock_pairs)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs)
	{rootView__TPPLST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs _currn = _currn;
	 rootView__TERMACT_LST_rootView_StyleSheetPairprootView_HtmlStyleSheetBlock_pairs;
	} this code has been moved to _ElemprootView_HtmlStyleSheetBlock_pairs*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_HtmlStyleSheetBlock_pairs;
#else
root = (rootView__TPPprootView_HtmlStyleSheetBlock_pairs) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_HtmlStyleSheetBlock_pairs));
#endif
root->_prod = rootView_RULEprootView_HtmlStyleSheetBlock_pairs;
root->_desc1 = (rootView__TSPLST_rootView_HtmlStyleSheetBlock_pairs)list;
{ rootView__TPPprootView_HtmlStyleSheetBlock_pairs _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_HtmlStyleSheetBlock_pairs;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_HtmlStyleSheetBlock_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_HtmlStyleSheetBlock_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_HtmlStyleSheetBlock_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_HtmlStyleSheetBlock_name;
#else
_currn = (rootView__TPPprootView_HtmlStyleSheetBlock_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_HtmlStyleSheetBlock_name));
#endif
_currn->_prod = rootView_RULEprootView_HtmlStyleSheetBlock_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_HtmlStyleSheetBlock_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_HtmlStyleSheetBlock_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionHandler (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_ActionHandler (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_ActionHandler _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ActionHandler;
#else
_currn = (rootView__TPPprootView_ActionHandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionHandler));
#endif
_currn->_prod = rootView_RULEprootView_ActionHandler;
_currn->_desc1 = (rootView__TSProotView_ActionHandler_targetpage) rootView_MkrootView_ActionHandler_targetpage (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ActionHandler: root of subtree no. 1 can not be made a rootView_ActionHandler_targetpage node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ActionHandler_params) rootView_MkrootView_ActionHandler_params (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ActionHandler: root of subtree no. 2 can not be made a rootView_ActionHandler_params node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ActionHandler;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ActionHandler */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionHandler_targetpage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ActionHandler_targetpage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ActionHandler_targetpage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ActionHandler_targetpage;
#else
_currn = (rootView__TPPprootView_ActionHandler_targetpage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionHandler_targetpage));
#endif
_currn->_prod = rootView_RULEprootView_ActionHandler_targetpage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ActionHandler_targetpage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ActionHandler_targetpage */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeActualParamprootView_ActionHandler_params (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeActualParamprootView_ActionHandler_params (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeActualParamprootView_ActionHandler_params _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeActualParamprootView_ActionHandler_params;
#else
	_new = (rootView__TPPLST_rootView_WebNodeActualParamprootView_ActionHandler_params) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeActualParamprootView_ActionHandler_params));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeActualParamprootView_ActionHandler_params;
	_new->_desc1 = (rootView__TSProotView_WebNodeActualParam)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ActionHandler_params)_new;
	{rootView__TPPLST_rootView_WebNodeActualParamprootView_ActionHandler_params _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeActualParamprootView_ActionHandler_params;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ActionHandler_params (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ActionHandler_params (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeActualParam)) 
		return rootView__MkrootView_WebNodeActualParamprootView_ActionHandler_params (_coordref, rootView_MkrootView_WebNodeActualParam (_coordref, t));
	message (DEADLY, "a prootView_ActionHandler_params list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ActionHandler_params (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ActionHandler_params (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ActionHandler_params)
	l =_ElemprootView_ActionHandler_params (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ActionHandler_params)
	r = _ElemprootView_ActionHandler_params (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ActionHandler_params)r)->_desc2);
((rootView__TPPLST_0prootView_ActionHandler_params)r)->_desc2 = ((rootView__TPPLST_0prootView_ActionHandler_params)l)->_desc2;
((rootView__TPPLST_0prootView_ActionHandler_params)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionHandler_params (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ActionHandler_params (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ActionHandler_params root;
	rootView__TPPLST_0prootView_ActionHandler_params list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ActionHandler_params)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ActionHandler_params)
		t = _ElemprootView_ActionHandler_params (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ActionHandler_params)(((rootView__TPPLST_0prootView_ActionHandler_params) t)->_desc2);
	((rootView__TPPLST_0prootView_ActionHandler_params) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ActionHandler_params;
#else
list = (rootView__TPPLST_0prootView_ActionHandler_params) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ActionHandler_params));
#endif
list->_prod = rootView_RULELST_0prootView_ActionHandler_params;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ActionHandler_params)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeActualParamprootView_ActionHandler_params)
	{rootView__TPPLST_rootView_WebNodeActualParamprootView_ActionHandler_params _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeActualParamprootView_ActionHandler_params;
	} this code has been moved to _ElemprootView_ActionHandler_params*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ActionHandler_params;
#else
root = (rootView__TPPprootView_ActionHandler_params) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionHandler_params));
#endif
root->_prod = rootView_RULEprootView_ActionHandler_params;
root->_desc1 = (rootView__TSPLST_rootView_ActionHandler_params)list;
{ rootView__TPPprootView_ActionHandler_params _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ActionHandler_params;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebAction (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR rootView_MkprootView_WebAction (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	rootView__TPPprootView_WebAction _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebAction;
#else
_currn = (rootView__TPPprootView_WebAction) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebAction));
#endif
_currn->_prod = rootView_RULEprootView_WebAction;
_currn->_desc1 = (rootView__TSProotView_WebAction_name) rootView_MkrootView_WebAction_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebAction: root of subtree no. 1 can not be made a rootView_WebAction_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebAction_formalParameter) rootView_MkrootView_WebAction_formalParameter (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebAction: root of subtree no. 2 can not be made a rootView_WebAction_formalParameter node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_WebAction_successpage) rootView_MkrootView_WebAction_successpage (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebAction: root of subtree no. 3 can not be made a rootView_WebAction_successpage node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_WebAction_operations) rootView_MkrootView_WebAction_operations (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebAction: root of subtree no. 4 can not be made a rootView_WebAction_operations node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_WebAction_position) rootView_MkrootView_WebAction_position (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebAction: root of subtree no. 5 can not be made a rootView_WebAction_position node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebAction;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebAction */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebAction_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebAction_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebAction_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebAction_name;
#else
_currn = (rootView__TPPprootView_WebAction_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebAction_name));
#endif
_currn->_prod = rootView_RULEprootView_WebAction_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebAction_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebAction_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeFormalParamprootView_WebAction_formalParameter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeFormalParamprootView_WebAction_formalParameter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter;
#else
	_new = (rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter;
	_new->_desc1 = (rootView__TSProotView_WebNodeFormalParam)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebAction_formalParameter)_new;
	{rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebAction_formalParameter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebAction_formalParameter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeFormalParam)) 
		return rootView__MkrootView_WebNodeFormalParamprootView_WebAction_formalParameter (_coordref, rootView_MkrootView_WebNodeFormalParam (_coordref, t));
	message (DEADLY, "a prootView_WebAction_formalParameter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebAction_formalParameter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebAction_formalParameter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebAction_formalParameter)
	l =_ElemprootView_WebAction_formalParameter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebAction_formalParameter)
	r = _ElemprootView_WebAction_formalParameter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebAction_formalParameter)r)->_desc2);
((rootView__TPPLST_0prootView_WebAction_formalParameter)r)->_desc2 = ((rootView__TPPLST_0prootView_WebAction_formalParameter)l)->_desc2;
((rootView__TPPLST_0prootView_WebAction_formalParameter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebAction_formalParameter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebAction_formalParameter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebAction_formalParameter root;
	rootView__TPPLST_0prootView_WebAction_formalParameter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebAction_formalParameter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebAction_formalParameter)
		t = _ElemprootView_WebAction_formalParameter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebAction_formalParameter)(((rootView__TPPLST_0prootView_WebAction_formalParameter) t)->_desc2);
	((rootView__TPPLST_0prootView_WebAction_formalParameter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebAction_formalParameter;
#else
list = (rootView__TPPLST_0prootView_WebAction_formalParameter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebAction_formalParameter));
#endif
list->_prod = rootView_RULELST_0prootView_WebAction_formalParameter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebAction_formalParameter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter)
	{rootView__TPPLST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeFormalParamprootView_WebAction_formalParameter;
	} this code has been moved to _ElemprootView_WebAction_formalParameter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebAction_formalParameter;
#else
root = (rootView__TPPprootView_WebAction_formalParameter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebAction_formalParameter));
#endif
root->_prod = rootView_RULEprootView_WebAction_formalParameter;
root->_desc1 = (rootView__TSPLST_rootView_WebAction_formalParameter)list;
{ rootView__TPPprootView_WebAction_formalParameter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebAction_formalParameter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DataBaseOperationprootView_WebAction_operations (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DataBaseOperationprootView_WebAction_operations (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DataBaseOperationprootView_WebAction_operations _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DataBaseOperationprootView_WebAction_operations;
#else
	_new = (rootView__TPPLST_rootView_DataBaseOperationprootView_WebAction_operations) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DataBaseOperationprootView_WebAction_operations));
#endif
	_new->_prod = rootView_RULELST_rootView_DataBaseOperationprootView_WebAction_operations;
	_new->_desc1 = (rootView__TSProotView_DataBaseOperation)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebAction_operations)_new;
	{rootView__TPPLST_rootView_DataBaseOperationprootView_WebAction_operations _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DataBaseOperationprootView_WebAction_operations;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_JavaOperationprootView_WebAction_operations (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_JavaOperationprootView_WebAction_operations (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_JavaOperationprootView_WebAction_operations _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_JavaOperationprootView_WebAction_operations;
#else
	_new = (rootView__TPPLST_rootView_JavaOperationprootView_WebAction_operations) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_JavaOperationprootView_WebAction_operations));
#endif
	_new->_prod = rootView_RULELST_rootView_JavaOperationprootView_WebAction_operations;
	_new->_desc1 = (rootView__TSProotView_JavaOperation)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebAction_operations)_new;
	{rootView__TPPLST_rootView_JavaOperationprootView_WebAction_operations _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_JavaOperationprootView_WebAction_operations;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_MailingOperationprootView_WebAction_operations (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_MailingOperationprootView_WebAction_operations (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_MailingOperationprootView_WebAction_operations _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_MailingOperationprootView_WebAction_operations;
#else
	_new = (rootView__TPPLST_rootView_MailingOperationprootView_WebAction_operations) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_MailingOperationprootView_WebAction_operations));
#endif
	_new->_prod = rootView_RULELST_rootView_MailingOperationprootView_WebAction_operations;
	_new->_desc1 = (rootView__TSProotView_MailingOperation)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebAction_operations)_new;
	{rootView__TPPLST_rootView_MailingOperationprootView_WebAction_operations _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_MailingOperationprootView_WebAction_operations;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LogoutOperationprootView_WebAction_operations (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LogoutOperationprootView_WebAction_operations (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LogoutOperationprootView_WebAction_operations _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LogoutOperationprootView_WebAction_operations;
#else
	_new = (rootView__TPPLST_rootView_LogoutOperationprootView_WebAction_operations) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LogoutOperationprootView_WebAction_operations));
#endif
	_new->_prod = rootView_RULELST_rootView_LogoutOperationprootView_WebAction_operations;
	_new->_desc1 = (rootView__TSProotView_LogoutOperation)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebAction_operations)_new;
	{rootView__TPPLST_rootView_LogoutOperationprootView_WebAction_operations _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LogoutOperationprootView_WebAction_operations;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LoginOperationprootView_WebAction_operations (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LoginOperationprootView_WebAction_operations (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LoginOperationprootView_WebAction_operations _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LoginOperationprootView_WebAction_operations;
#else
	_new = (rootView__TPPLST_rootView_LoginOperationprootView_WebAction_operations) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LoginOperationprootView_WebAction_operations));
#endif
	_new->_prod = rootView_RULELST_rootView_LoginOperationprootView_WebAction_operations;
	_new->_desc1 = (rootView__TSProotView_LoginOperation)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebAction_operations)_new;
	{rootView__TPPLST_rootView_LoginOperationprootView_WebAction_operations _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LoginOperationprootView_WebAction_operations;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebAction_operations (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebAction_operations (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_DataBaseOperation)) 
		return rootView__MkrootView_DataBaseOperationprootView_WebAction_operations (_coordref, rootView_MkrootView_DataBaseOperation (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_JavaOperation)) 
		return rootView__MkrootView_JavaOperationprootView_WebAction_operations (_coordref, rootView_MkrootView_JavaOperation (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_MailingOperation)) 
		return rootView__MkrootView_MailingOperationprootView_WebAction_operations (_coordref, rootView_MkrootView_MailingOperation (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LogoutOperation)) 
		return rootView__MkrootView_LogoutOperationprootView_WebAction_operations (_coordref, rootView_MkrootView_LogoutOperation (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LoginOperation)) 
		return rootView__MkrootView_LoginOperationprootView_WebAction_operations (_coordref, rootView_MkrootView_LoginOperation (_coordref, t));
	message (DEADLY, "a prootView_WebAction_operations list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebAction_operations (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebAction_operations (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebAction_operations)
	l =_ElemprootView_WebAction_operations (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebAction_operations)
	r = _ElemprootView_WebAction_operations (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebAction_operations)r)->_desc2);
((rootView__TPPLST_0prootView_WebAction_operations)r)->_desc2 = ((rootView__TPPLST_0prootView_WebAction_operations)l)->_desc2;
((rootView__TPPLST_0prootView_WebAction_operations)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebAction_operations (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebAction_operations (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebAction_operations root;
	rootView__TPPLST_0prootView_WebAction_operations list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebAction_operations)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebAction_operations)
		t = _ElemprootView_WebAction_operations (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebAction_operations)(((rootView__TPPLST_0prootView_WebAction_operations) t)->_desc2);
	((rootView__TPPLST_0prootView_WebAction_operations) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebAction_operations;
#else
list = (rootView__TPPLST_0prootView_WebAction_operations) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebAction_operations));
#endif
list->_prod = rootView_RULELST_0prootView_WebAction_operations;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebAction_operations)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_DataBaseOperationprootView_WebAction_operations)
	{rootView__TPPLST_rootView_DataBaseOperationprootView_WebAction_operations _currn = _currn;
	 rootView__TERMACT_LST_rootView_DataBaseOperationprootView_WebAction_operations;
	} this code has been moved to _ElemprootView_WebAction_operations*/
	/*if (_currn->_prod == rootView_RULELST_rootView_JavaOperationprootView_WebAction_operations)
	{rootView__TPPLST_rootView_JavaOperationprootView_WebAction_operations _currn = _currn;
	 rootView__TERMACT_LST_rootView_JavaOperationprootView_WebAction_operations;
	} this code has been moved to _ElemprootView_WebAction_operations*/
	/*if (_currn->_prod == rootView_RULELST_rootView_MailingOperationprootView_WebAction_operations)
	{rootView__TPPLST_rootView_MailingOperationprootView_WebAction_operations _currn = _currn;
	 rootView__TERMACT_LST_rootView_MailingOperationprootView_WebAction_operations;
	} this code has been moved to _ElemprootView_WebAction_operations*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LogoutOperationprootView_WebAction_operations)
	{rootView__TPPLST_rootView_LogoutOperationprootView_WebAction_operations _currn = _currn;
	 rootView__TERMACT_LST_rootView_LogoutOperationprootView_WebAction_operations;
	} this code has been moved to _ElemprootView_WebAction_operations*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LoginOperationprootView_WebAction_operations)
	{rootView__TPPLST_rootView_LoginOperationprootView_WebAction_operations _currn = _currn;
	 rootView__TERMACT_LST_rootView_LoginOperationprootView_WebAction_operations;
	} this code has been moved to _ElemprootView_WebAction_operations*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebAction_operations;
#else
root = (rootView__TPPprootView_WebAction_operations) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebAction_operations));
#endif
root->_prod = rootView_RULEprootView_WebAction_operations;
root->_desc1 = (rootView__TSPLST_rootView_WebAction_operations)list;
{ rootView__TPPprootView_WebAction_operations _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebAction_operations;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebAction_position (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebAction_position (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebAction_position _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebAction_position;
#else
_currn = (rootView__TPPprootView_WebAction_position) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebAction_position));
#endif
_currn->_prod = rootView_RULEprootView_WebAction_position;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebAction_position;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebAction_position */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataBaseOperation (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR rootView_MkprootView_DataBaseOperation (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	rootView__TPPprootView_DataBaseOperation _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DataBaseOperation;
#else
_currn = (rootView__TPPprootView_DataBaseOperation) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataBaseOperation));
#endif
_currn->_prod = rootView_RULEprootView_DataBaseOperation;
_currn->_desc1 = (rootView__TSProotView_DataBaseOperation_errorhandler) rootView_MkrootView_DataBaseOperation_errorhandler (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DataBaseOperation: root of subtree no. 1 can not be made a rootView_DataBaseOperation_errorhandler node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_DataBaseOperation_successMessage) rootView_MkrootView_DataBaseOperation_successMessage (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DataBaseOperation: root of subtree no. 2 can not be made a rootView_DataBaseOperation_successMessage node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_DataBaseOperation_errorMessage) rootView_MkrootView_DataBaseOperation_errorMessage (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DataBaseOperation: root of subtree no. 3 can not be made a rootView_DataBaseOperation_errorMessage node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_DataBaseOperation_filter) rootView_MkrootView_DataBaseOperation_filter (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DataBaseOperation: root of subtree no. 4 can not be made a rootView_DataBaseOperation_filter node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_DataBaseOperation_params) rootView_MkrootView_DataBaseOperation_params (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DataBaseOperation: root of subtree no. 5 can not be made a rootView_DataBaseOperation_params node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DataBaseOperation;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DataBaseOperation */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ActionHandlerprootView_DataBaseOperation_errorhandler (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ActionHandlerprootView_DataBaseOperation_errorhandler (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler;
#else
	_new = (rootView__TPPLST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler));
#endif
	_new->_prod = rootView_RULELST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler;
	_new->_desc1 = (rootView__TSProotView_ActionHandler)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_DataBaseOperation_errorhandler)_new;
	{rootView__TPPLST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_DataBaseOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_DataBaseOperation_errorhandler (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ActionHandler)) 
		return rootView__MkrootView_ActionHandlerprootView_DataBaseOperation_errorhandler (_coordref, rootView_MkrootView_ActionHandler (_coordref, t));
	message (DEADLY, "a prootView_DataBaseOperation_errorhandler list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_DataBaseOperation_errorhandler (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_DataBaseOperation_errorhandler (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_DataBaseOperation_errorhandler)
	l =_ElemprootView_DataBaseOperation_errorhandler (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_DataBaseOperation_errorhandler)
	r = _ElemprootView_DataBaseOperation_errorhandler (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_DataBaseOperation_errorhandler)r)->_desc2);
((rootView__TPPLST_0prootView_DataBaseOperation_errorhandler)r)->_desc2 = ((rootView__TPPLST_0prootView_DataBaseOperation_errorhandler)l)->_desc2;
((rootView__TPPLST_0prootView_DataBaseOperation_errorhandler)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataBaseOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_DataBaseOperation_errorhandler (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_DataBaseOperation_errorhandler root;
	rootView__TPPLST_0prootView_DataBaseOperation_errorhandler list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_DataBaseOperation_errorhandler)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_DataBaseOperation_errorhandler)
		t = _ElemprootView_DataBaseOperation_errorhandler (_coordref, t);
	remain = (rootView__TPPLST_0prootView_DataBaseOperation_errorhandler)(((rootView__TPPLST_0prootView_DataBaseOperation_errorhandler) t)->_desc2);
	((rootView__TPPLST_0prootView_DataBaseOperation_errorhandler) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_DataBaseOperation_errorhandler;
#else
list = (rootView__TPPLST_0prootView_DataBaseOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_DataBaseOperation_errorhandler));
#endif
list->_prod = rootView_RULELST_0prootView_DataBaseOperation_errorhandler;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_DataBaseOperation_errorhandler)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler)
	{rootView__TPPLST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler _currn = _currn;
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_DataBaseOperation_errorhandler;
	} this code has been moved to _ElemprootView_DataBaseOperation_errorhandler*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_DataBaseOperation_errorhandler;
#else
root = (rootView__TPPprootView_DataBaseOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataBaseOperation_errorhandler));
#endif
root->_prod = rootView_RULEprootView_DataBaseOperation_errorhandler;
root->_desc1 = (rootView__TSPLST_rootView_DataBaseOperation_errorhandler)list;
{ rootView__TPPprootView_DataBaseOperation_errorhandler _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_DataBaseOperation_errorhandler;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataBaseOperation_successMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DataBaseOperation_successMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DataBaseOperation_successMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DataBaseOperation_successMessage;
#else
_currn = (rootView__TPPprootView_DataBaseOperation_successMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataBaseOperation_successMessage));
#endif
_currn->_prod = rootView_RULEprootView_DataBaseOperation_successMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DataBaseOperation_successMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DataBaseOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataBaseOperation_errorMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DataBaseOperation_errorMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DataBaseOperation_errorMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DataBaseOperation_errorMessage;
#else
_currn = (rootView__TPPprootView_DataBaseOperation_errorMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataBaseOperation_errorMessage));
#endif
_currn->_prod = rootView_RULEprootView_DataBaseOperation_errorMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DataBaseOperation_errorMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DataBaseOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataBaseOperation_filter (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DataBaseOperation_filter (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DataBaseOperation_filter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DataBaseOperation_filter;
#else
_currn = (rootView__TPPprootView_DataBaseOperation_filter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataBaseOperation_filter));
#endif
_currn->_prod = rootView_RULEprootView_DataBaseOperation_filter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DataBaseOperation_filter;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DataBaseOperation_filter */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DataSourceActualParamprootView_DataBaseOperation_params (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DataSourceActualParamprootView_DataBaseOperation_params (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DataSourceActualParamprootView_DataBaseOperation_params _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DataSourceActualParamprootView_DataBaseOperation_params;
#else
	_new = (rootView__TPPLST_rootView_DataSourceActualParamprootView_DataBaseOperation_params) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DataSourceActualParamprootView_DataBaseOperation_params));
#endif
	_new->_prod = rootView_RULELST_rootView_DataSourceActualParamprootView_DataBaseOperation_params;
	_new->_desc1 = (rootView__TSProotView_DataSourceActualParam)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_DataBaseOperation_params)_new;
	{rootView__TPPLST_rootView_DataSourceActualParamprootView_DataBaseOperation_params _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DataSourceActualParamprootView_DataBaseOperation_params;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_DataBaseOperation_params (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_DataBaseOperation_params (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_DataSourceActualParam)) 
		return rootView__MkrootView_DataSourceActualParamprootView_DataBaseOperation_params (_coordref, rootView_MkrootView_DataSourceActualParam (_coordref, t));
	message (DEADLY, "a prootView_DataBaseOperation_params list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_DataBaseOperation_params (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_DataBaseOperation_params (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_DataBaseOperation_params)
	l =_ElemprootView_DataBaseOperation_params (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_DataBaseOperation_params)
	r = _ElemprootView_DataBaseOperation_params (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_DataBaseOperation_params)r)->_desc2);
((rootView__TPPLST_0prootView_DataBaseOperation_params)r)->_desc2 = ((rootView__TPPLST_0prootView_DataBaseOperation_params)l)->_desc2;
((rootView__TPPLST_0prootView_DataBaseOperation_params)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DataBaseOperation_params (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_DataBaseOperation_params (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_DataBaseOperation_params root;
	rootView__TPPLST_0prootView_DataBaseOperation_params list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_DataBaseOperation_params)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_DataBaseOperation_params)
		t = _ElemprootView_DataBaseOperation_params (_coordref, t);
	remain = (rootView__TPPLST_0prootView_DataBaseOperation_params)(((rootView__TPPLST_0prootView_DataBaseOperation_params) t)->_desc2);
	((rootView__TPPLST_0prootView_DataBaseOperation_params) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_DataBaseOperation_params;
#else
list = (rootView__TPPLST_0prootView_DataBaseOperation_params) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_DataBaseOperation_params));
#endif
list->_prod = rootView_RULELST_0prootView_DataBaseOperation_params;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_DataBaseOperation_params)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_DataSourceActualParamprootView_DataBaseOperation_params)
	{rootView__TPPLST_rootView_DataSourceActualParamprootView_DataBaseOperation_params _currn = _currn;
	 rootView__TERMACT_LST_rootView_DataSourceActualParamprootView_DataBaseOperation_params;
	} this code has been moved to _ElemprootView_DataBaseOperation_params*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_DataBaseOperation_params;
#else
root = (rootView__TPPprootView_DataBaseOperation_params) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DataBaseOperation_params));
#endif
root->_prod = rootView_RULEprootView_DataBaseOperation_params;
root->_desc1 = (rootView__TSPLST_rootView_DataBaseOperation_params)list;
{ rootView__TPPprootView_DataBaseOperation_params _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_DataBaseOperation_params;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_JavaOperation (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_JavaOperation (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_JavaOperation _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_JavaOperation;
#else
_currn = (rootView__TPPprootView_JavaOperation) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_JavaOperation));
#endif
_currn->_prod = rootView_RULEprootView_JavaOperation;
_currn->_desc1 = (rootView__TSProotView_JavaOperation_errorhandler) rootView_MkrootView_JavaOperation_errorhandler (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_JavaOperation: root of subtree no. 1 can not be made a rootView_JavaOperation_errorhandler node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_JavaOperation_successMessage) rootView_MkrootView_JavaOperation_successMessage (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_JavaOperation: root of subtree no. 2 can not be made a rootView_JavaOperation_successMessage node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_JavaOperation_errorMessage) rootView_MkrootView_JavaOperation_errorMessage (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_JavaOperation: root of subtree no. 3 can not be made a rootView_JavaOperation_errorMessage node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_JavaOperation_content) rootView_MkrootView_JavaOperation_content (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_JavaOperation: root of subtree no. 4 can not be made a rootView_JavaOperation_content node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_JavaOperation;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_JavaOperation */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ActionHandlerprootView_JavaOperation_errorhandler (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ActionHandlerprootView_JavaOperation_errorhandler (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ActionHandlerprootView_JavaOperation_errorhandler _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ActionHandlerprootView_JavaOperation_errorhandler;
#else
	_new = (rootView__TPPLST_rootView_ActionHandlerprootView_JavaOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ActionHandlerprootView_JavaOperation_errorhandler));
#endif
	_new->_prod = rootView_RULELST_rootView_ActionHandlerprootView_JavaOperation_errorhandler;
	_new->_desc1 = (rootView__TSProotView_ActionHandler)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_JavaOperation_errorhandler)_new;
	{rootView__TPPLST_rootView_ActionHandlerprootView_JavaOperation_errorhandler _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_JavaOperation_errorhandler;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_JavaOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_JavaOperation_errorhandler (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ActionHandler)) 
		return rootView__MkrootView_ActionHandlerprootView_JavaOperation_errorhandler (_coordref, rootView_MkrootView_ActionHandler (_coordref, t));
	message (DEADLY, "a prootView_JavaOperation_errorhandler list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_JavaOperation_errorhandler (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_JavaOperation_errorhandler (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_JavaOperation_errorhandler)
	l =_ElemprootView_JavaOperation_errorhandler (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_JavaOperation_errorhandler)
	r = _ElemprootView_JavaOperation_errorhandler (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_JavaOperation_errorhandler)r)->_desc2);
((rootView__TPPLST_0prootView_JavaOperation_errorhandler)r)->_desc2 = ((rootView__TPPLST_0prootView_JavaOperation_errorhandler)l)->_desc2;
((rootView__TPPLST_0prootView_JavaOperation_errorhandler)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_JavaOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_JavaOperation_errorhandler (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_JavaOperation_errorhandler root;
	rootView__TPPLST_0prootView_JavaOperation_errorhandler list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_JavaOperation_errorhandler)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_JavaOperation_errorhandler)
		t = _ElemprootView_JavaOperation_errorhandler (_coordref, t);
	remain = (rootView__TPPLST_0prootView_JavaOperation_errorhandler)(((rootView__TPPLST_0prootView_JavaOperation_errorhandler) t)->_desc2);
	((rootView__TPPLST_0prootView_JavaOperation_errorhandler) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_JavaOperation_errorhandler;
#else
list = (rootView__TPPLST_0prootView_JavaOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_JavaOperation_errorhandler));
#endif
list->_prod = rootView_RULELST_0prootView_JavaOperation_errorhandler;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_JavaOperation_errorhandler)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ActionHandlerprootView_JavaOperation_errorhandler)
	{rootView__TPPLST_rootView_ActionHandlerprootView_JavaOperation_errorhandler _currn = _currn;
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_JavaOperation_errorhandler;
	} this code has been moved to _ElemprootView_JavaOperation_errorhandler*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_JavaOperation_errorhandler;
#else
root = (rootView__TPPprootView_JavaOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_JavaOperation_errorhandler));
#endif
root->_prod = rootView_RULEprootView_JavaOperation_errorhandler;
root->_desc1 = (rootView__TSPLST_rootView_JavaOperation_errorhandler)list;
{ rootView__TPPprootView_JavaOperation_errorhandler _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_JavaOperation_errorhandler;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_JavaOperation_successMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_JavaOperation_successMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_JavaOperation_successMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_JavaOperation_successMessage;
#else
_currn = (rootView__TPPprootView_JavaOperation_successMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_JavaOperation_successMessage));
#endif
_currn->_prod = rootView_RULEprootView_JavaOperation_successMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_JavaOperation_successMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_JavaOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_JavaOperation_errorMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_JavaOperation_errorMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_JavaOperation_errorMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_JavaOperation_errorMessage;
#else
_currn = (rootView__TPPprootView_JavaOperation_errorMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_JavaOperation_errorMessage));
#endif
_currn->_prod = rootView_RULEprootView_JavaOperation_errorMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_JavaOperation_errorMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_JavaOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_JavaOperation_content (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_JavaOperation_content (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_JavaOperation_content _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_JavaOperation_content;
#else
_currn = (rootView__TPPprootView_JavaOperation_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_JavaOperation_content));
#endif
_currn->_prod = rootView_RULEprootView_JavaOperation_content;
_SETCOORD(_currn)
rootView__TERMACT_prootView_JavaOperation_content;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_JavaOperation_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7)
#else
NODEPTR rootView_MkprootView_MailingOperation (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
#endif
{	rootView__TPPprootView_MailingOperation _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MailingOperation;
#else
_currn = (rootView__TPPprootView_MailingOperation) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation));
#endif
_currn->_prod = rootView_RULEprootView_MailingOperation;
_currn->_desc1 = (rootView__TSProotView_MailingOperation_errorhandler) rootView_MkrootView_MailingOperation_errorhandler (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MailingOperation: root of subtree no. 1 can not be made a rootView_MailingOperation_errorhandler node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_MailingOperation_successMessage) rootView_MkrootView_MailingOperation_successMessage (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MailingOperation: root of subtree no. 2 can not be made a rootView_MailingOperation_successMessage node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_MailingOperation_errorMessage) rootView_MkrootView_MailingOperation_errorMessage (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MailingOperation: root of subtree no. 3 can not be made a rootView_MailingOperation_errorMessage node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_MailingOperation_name) rootView_MkrootView_MailingOperation_name (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MailingOperation: root of subtree no. 4 can not be made a rootView_MailingOperation_name node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_MailingOperation_mailTo) rootView_MkrootView_MailingOperation_mailTo (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MailingOperation: root of subtree no. 5 can not be made a rootView_MailingOperation_mailTo node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_MailingOperation_subject) rootView_MkrootView_MailingOperation_subject (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MailingOperation: root of subtree no. 6 can not be made a rootView_MailingOperation_subject node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_MailingOperation_content) rootView_MkrootView_MailingOperation_content (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MailingOperation: root of subtree no. 7 can not be made a rootView_MailingOperation_content node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_MailingOperation;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MailingOperation */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ActionHandlerprootView_MailingOperation_errorhandler (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ActionHandlerprootView_MailingOperation_errorhandler (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ActionHandlerprootView_MailingOperation_errorhandler _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ActionHandlerprootView_MailingOperation_errorhandler;
#else
	_new = (rootView__TPPLST_rootView_ActionHandlerprootView_MailingOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ActionHandlerprootView_MailingOperation_errorhandler));
#endif
	_new->_prod = rootView_RULELST_rootView_ActionHandlerprootView_MailingOperation_errorhandler;
	_new->_desc1 = (rootView__TSProotView_ActionHandler)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_MailingOperation_errorhandler)_new;
	{rootView__TPPLST_rootView_ActionHandlerprootView_MailingOperation_errorhandler _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_MailingOperation_errorhandler;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_MailingOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_MailingOperation_errorhandler (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ActionHandler)) 
		return rootView__MkrootView_ActionHandlerprootView_MailingOperation_errorhandler (_coordref, rootView_MkrootView_ActionHandler (_coordref, t));
	message (DEADLY, "a prootView_MailingOperation_errorhandler list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_MailingOperation_errorhandler (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_MailingOperation_errorhandler (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_MailingOperation_errorhandler)
	l =_ElemprootView_MailingOperation_errorhandler (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_MailingOperation_errorhandler)
	r = _ElemprootView_MailingOperation_errorhandler (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_MailingOperation_errorhandler)r)->_desc2);
((rootView__TPPLST_0prootView_MailingOperation_errorhandler)r)->_desc2 = ((rootView__TPPLST_0prootView_MailingOperation_errorhandler)l)->_desc2;
((rootView__TPPLST_0prootView_MailingOperation_errorhandler)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_MailingOperation_errorhandler (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_MailingOperation_errorhandler root;
	rootView__TPPLST_0prootView_MailingOperation_errorhandler list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_MailingOperation_errorhandler)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_MailingOperation_errorhandler)
		t = _ElemprootView_MailingOperation_errorhandler (_coordref, t);
	remain = (rootView__TPPLST_0prootView_MailingOperation_errorhandler)(((rootView__TPPLST_0prootView_MailingOperation_errorhandler) t)->_desc2);
	((rootView__TPPLST_0prootView_MailingOperation_errorhandler) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_MailingOperation_errorhandler;
#else
list = (rootView__TPPLST_0prootView_MailingOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_MailingOperation_errorhandler));
#endif
list->_prod = rootView_RULELST_0prootView_MailingOperation_errorhandler;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_MailingOperation_errorhandler)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ActionHandlerprootView_MailingOperation_errorhandler)
	{rootView__TPPLST_rootView_ActionHandlerprootView_MailingOperation_errorhandler _currn = _currn;
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_MailingOperation_errorhandler;
	} this code has been moved to _ElemprootView_MailingOperation_errorhandler*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_MailingOperation_errorhandler;
#else
root = (rootView__TPPprootView_MailingOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation_errorhandler));
#endif
root->_prod = rootView_RULEprootView_MailingOperation_errorhandler;
root->_desc1 = (rootView__TSPLST_rootView_MailingOperation_errorhandler)list;
{ rootView__TPPprootView_MailingOperation_errorhandler _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_MailingOperation_errorhandler;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation_successMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MailingOperation_successMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MailingOperation_successMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MailingOperation_successMessage;
#else
_currn = (rootView__TPPprootView_MailingOperation_successMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation_successMessage));
#endif
_currn->_prod = rootView_RULEprootView_MailingOperation_successMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MailingOperation_successMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MailingOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation_errorMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MailingOperation_errorMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MailingOperation_errorMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MailingOperation_errorMessage;
#else
_currn = (rootView__TPPprootView_MailingOperation_errorMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation_errorMessage));
#endif
_currn->_prod = rootView_RULEprootView_MailingOperation_errorMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MailingOperation_errorMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MailingOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MailingOperation_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MailingOperation_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MailingOperation_name;
#else
_currn = (rootView__TPPprootView_MailingOperation_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation_name));
#endif
_currn->_prod = rootView_RULEprootView_MailingOperation_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MailingOperation_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MailingOperation_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation_mailTo (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MailingOperation_mailTo (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MailingOperation_mailTo _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MailingOperation_mailTo;
#else
_currn = (rootView__TPPprootView_MailingOperation_mailTo) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation_mailTo));
#endif
_currn->_prod = rootView_RULEprootView_MailingOperation_mailTo;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MailingOperation_mailTo;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MailingOperation_mailTo */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation_subject (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MailingOperation_subject (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MailingOperation_subject _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MailingOperation_subject;
#else
_currn = (rootView__TPPprootView_MailingOperation_subject) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation_subject));
#endif
_currn->_prod = rootView_RULEprootView_MailingOperation_subject;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MailingOperation_subject;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MailingOperation_subject */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MailingOperation_content (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MailingOperation_content (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MailingOperation_content _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MailingOperation_content;
#else
_currn = (rootView__TPPprootView_MailingOperation_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MailingOperation_content));
#endif
_currn->_prod = rootView_RULEprootView_MailingOperation_content;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MailingOperation_content;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MailingOperation_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LogoutOperation (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_LogoutOperation (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_LogoutOperation _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LogoutOperation;
#else
_currn = (rootView__TPPprootView_LogoutOperation) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LogoutOperation));
#endif
_currn->_prod = rootView_RULEprootView_LogoutOperation;
_currn->_desc1 = (rootView__TSProotView_LogoutOperation_errorhandler) rootView_MkrootView_LogoutOperation_errorhandler (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LogoutOperation: root of subtree no. 1 can not be made a rootView_LogoutOperation_errorhandler node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_LogoutOperation_successMessage) rootView_MkrootView_LogoutOperation_successMessage (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LogoutOperation: root of subtree no. 2 can not be made a rootView_LogoutOperation_successMessage node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_LogoutOperation_errorMessage) rootView_MkrootView_LogoutOperation_errorMessage (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LogoutOperation: root of subtree no. 3 can not be made a rootView_LogoutOperation_errorMessage node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_LogoutOperation_name) rootView_MkrootView_LogoutOperation_name (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LogoutOperation: root of subtree no. 4 can not be made a rootView_LogoutOperation_name node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_LogoutOperation;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LogoutOperation */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ActionHandlerprootView_LogoutOperation_errorhandler (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ActionHandlerprootView_LogoutOperation_errorhandler (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler;
#else
	_new = (rootView__TPPLST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler));
#endif
	_new->_prod = rootView_RULELST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler;
	_new->_desc1 = (rootView__TSProotView_ActionHandler)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_LogoutOperation_errorhandler)_new;
	{rootView__TPPLST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_LogoutOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_LogoutOperation_errorhandler (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ActionHandler)) 
		return rootView__MkrootView_ActionHandlerprootView_LogoutOperation_errorhandler (_coordref, rootView_MkrootView_ActionHandler (_coordref, t));
	message (DEADLY, "a prootView_LogoutOperation_errorhandler list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_LogoutOperation_errorhandler (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_LogoutOperation_errorhandler (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_LogoutOperation_errorhandler)
	l =_ElemprootView_LogoutOperation_errorhandler (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_LogoutOperation_errorhandler)
	r = _ElemprootView_LogoutOperation_errorhandler (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_LogoutOperation_errorhandler)r)->_desc2);
((rootView__TPPLST_0prootView_LogoutOperation_errorhandler)r)->_desc2 = ((rootView__TPPLST_0prootView_LogoutOperation_errorhandler)l)->_desc2;
((rootView__TPPLST_0prootView_LogoutOperation_errorhandler)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LogoutOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_LogoutOperation_errorhandler (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_LogoutOperation_errorhandler root;
	rootView__TPPLST_0prootView_LogoutOperation_errorhandler list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_LogoutOperation_errorhandler)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_LogoutOperation_errorhandler)
		t = _ElemprootView_LogoutOperation_errorhandler (_coordref, t);
	remain = (rootView__TPPLST_0prootView_LogoutOperation_errorhandler)(((rootView__TPPLST_0prootView_LogoutOperation_errorhandler) t)->_desc2);
	((rootView__TPPLST_0prootView_LogoutOperation_errorhandler) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_LogoutOperation_errorhandler;
#else
list = (rootView__TPPLST_0prootView_LogoutOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_LogoutOperation_errorhandler));
#endif
list->_prod = rootView_RULELST_0prootView_LogoutOperation_errorhandler;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_LogoutOperation_errorhandler)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler)
	{rootView__TPPLST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler _currn = _currn;
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_LogoutOperation_errorhandler;
	} this code has been moved to _ElemprootView_LogoutOperation_errorhandler*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_LogoutOperation_errorhandler;
#else
root = (rootView__TPPprootView_LogoutOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LogoutOperation_errorhandler));
#endif
root->_prod = rootView_RULEprootView_LogoutOperation_errorhandler;
root->_desc1 = (rootView__TSPLST_rootView_LogoutOperation_errorhandler)list;
{ rootView__TPPprootView_LogoutOperation_errorhandler _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_LogoutOperation_errorhandler;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LogoutOperation_successMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LogoutOperation_successMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LogoutOperation_successMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LogoutOperation_successMessage;
#else
_currn = (rootView__TPPprootView_LogoutOperation_successMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LogoutOperation_successMessage));
#endif
_currn->_prod = rootView_RULEprootView_LogoutOperation_successMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LogoutOperation_successMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LogoutOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LogoutOperation_errorMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LogoutOperation_errorMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LogoutOperation_errorMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LogoutOperation_errorMessage;
#else
_currn = (rootView__TPPprootView_LogoutOperation_errorMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LogoutOperation_errorMessage));
#endif
_currn->_prod = rootView_RULEprootView_LogoutOperation_errorMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LogoutOperation_errorMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LogoutOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LogoutOperation_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LogoutOperation_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LogoutOperation_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LogoutOperation_name;
#else
_currn = (rootView__TPPprootView_LogoutOperation_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LogoutOperation_name));
#endif
_currn->_prod = rootView_RULEprootView_LogoutOperation_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LogoutOperation_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LogoutOperation_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9)
#else
NODEPTR rootView_MkprootView_LoginOperation (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8,_desc9)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
	NODEPTR _desc9;
#endif
{	rootView__TPPprootView_LoginOperation _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation;
#else
_currn = (rootView__TPPprootView_LoginOperation) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation;
_currn->_desc1 = (rootView__TSProotView_LoginOperation_errorhandler) rootView_MkrootView_LoginOperation_errorhandler (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 1 can not be made a rootView_LoginOperation_errorhandler node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_LoginOperation_successMessage) rootView_MkrootView_LoginOperation_successMessage (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 2 can not be made a rootView_LoginOperation_successMessage node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_LoginOperation_errorMessage) rootView_MkrootView_LoginOperation_errorMessage (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 3 can not be made a rootView_LoginOperation_errorMessage node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_LoginOperation_name) rootView_MkrootView_LoginOperation_name (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 4 can not be made a rootView_LoginOperation_name node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_LoginOperation_userDBColumn) rootView_MkrootView_LoginOperation_userDBColumn (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 5 can not be made a rootView_LoginOperation_userDBColumn node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_LoginOperation_passwdDBColumn) rootView_MkrootView_LoginOperation_passwdDBColumn (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 6 can not be made a rootView_LoginOperation_passwdDBColumn node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_LoginOperation_rolesDBColumn) rootView_MkrootView_LoginOperation_rolesDBColumn (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 7 can not be made a rootView_LoginOperation_rolesDBColumn node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_LoginOperation_userFormField) rootView_MkrootView_LoginOperation_userFormField (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 8 can not be made a rootView_LoginOperation_userFormField node ", 0, _coordref);
_currn->_desc9 = (rootView__TSProotView_LoginOperation_passwdFormField) rootView_MkrootView_LoginOperation_passwdFormField (_coordref, _desc9);	
if (((NODEPTR)_currn->_desc9) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LoginOperation: root of subtree no. 9 can not be made a rootView_LoginOperation_passwdFormField node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ActionHandlerprootView_LoginOperation_errorhandler (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ActionHandlerprootView_LoginOperation_errorhandler (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ActionHandlerprootView_LoginOperation_errorhandler _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ActionHandlerprootView_LoginOperation_errorhandler;
#else
	_new = (rootView__TPPLST_rootView_ActionHandlerprootView_LoginOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ActionHandlerprootView_LoginOperation_errorhandler));
#endif
	_new->_prod = rootView_RULELST_rootView_ActionHandlerprootView_LoginOperation_errorhandler;
	_new->_desc1 = (rootView__TSProotView_ActionHandler)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_LoginOperation_errorhandler)_new;
	{rootView__TPPLST_rootView_ActionHandlerprootView_LoginOperation_errorhandler _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_LoginOperation_errorhandler;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_LoginOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_LoginOperation_errorhandler (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ActionHandler)) 
		return rootView__MkrootView_ActionHandlerprootView_LoginOperation_errorhandler (_coordref, rootView_MkrootView_ActionHandler (_coordref, t));
	message (DEADLY, "a prootView_LoginOperation_errorhandler list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_LoginOperation_errorhandler (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_LoginOperation_errorhandler (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_LoginOperation_errorhandler)
	l =_ElemprootView_LoginOperation_errorhandler (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_LoginOperation_errorhandler)
	r = _ElemprootView_LoginOperation_errorhandler (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_LoginOperation_errorhandler)r)->_desc2);
((rootView__TPPLST_0prootView_LoginOperation_errorhandler)r)->_desc2 = ((rootView__TPPLST_0prootView_LoginOperation_errorhandler)l)->_desc2;
((rootView__TPPLST_0prootView_LoginOperation_errorhandler)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_errorhandler (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_LoginOperation_errorhandler (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_LoginOperation_errorhandler root;
	rootView__TPPLST_0prootView_LoginOperation_errorhandler list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_LoginOperation_errorhandler)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_LoginOperation_errorhandler)
		t = _ElemprootView_LoginOperation_errorhandler (_coordref, t);
	remain = (rootView__TPPLST_0prootView_LoginOperation_errorhandler)(((rootView__TPPLST_0prootView_LoginOperation_errorhandler) t)->_desc2);
	((rootView__TPPLST_0prootView_LoginOperation_errorhandler) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_LoginOperation_errorhandler;
#else
list = (rootView__TPPLST_0prootView_LoginOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_LoginOperation_errorhandler));
#endif
list->_prod = rootView_RULELST_0prootView_LoginOperation_errorhandler;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_LoginOperation_errorhandler)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ActionHandlerprootView_LoginOperation_errorhandler)
	{rootView__TPPLST_rootView_ActionHandlerprootView_LoginOperation_errorhandler _currn = _currn;
	 rootView__TERMACT_LST_rootView_ActionHandlerprootView_LoginOperation_errorhandler;
	} this code has been moved to _ElemprootView_LoginOperation_errorhandler*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_LoginOperation_errorhandler;
#else
root = (rootView__TPPprootView_LoginOperation_errorhandler) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_errorhandler));
#endif
root->_prod = rootView_RULEprootView_LoginOperation_errorhandler;
root->_desc1 = (rootView__TSPLST_rootView_LoginOperation_errorhandler)list;
{ rootView__TPPprootView_LoginOperation_errorhandler _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_LoginOperation_errorhandler;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_successMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_successMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_successMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_successMessage;
#else
_currn = (rootView__TPPprootView_LoginOperation_successMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_successMessage));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_successMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_successMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_successMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_errorMessage (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_errorMessage (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_errorMessage _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_errorMessage;
#else
_currn = (rootView__TPPprootView_LoginOperation_errorMessage) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_errorMessage));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_errorMessage;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_errorMessage;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_errorMessage */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_name;
#else
_currn = (rootView__TPPprootView_LoginOperation_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_name));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_userDBColumn (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_userDBColumn (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_userDBColumn _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_userDBColumn;
#else
_currn = (rootView__TPPprootView_LoginOperation_userDBColumn) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_userDBColumn));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_userDBColumn;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_userDBColumn;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_userDBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_passwdDBColumn (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_passwdDBColumn (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_passwdDBColumn _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_passwdDBColumn;
#else
_currn = (rootView__TPPprootView_LoginOperation_passwdDBColumn) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_passwdDBColumn));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_passwdDBColumn;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_passwdDBColumn;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_passwdDBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_rolesDBColumn (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_rolesDBColumn (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_rolesDBColumn _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_rolesDBColumn;
#else
_currn = (rootView__TPPprootView_LoginOperation_rolesDBColumn) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_rolesDBColumn));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_rolesDBColumn;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_rolesDBColumn;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_rolesDBColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_userFormField (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_userFormField (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_userFormField _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_userFormField;
#else
_currn = (rootView__TPPprootView_LoginOperation_userFormField) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_userFormField));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_userFormField;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_userFormField;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_userFormField */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LoginOperation_passwdFormField (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LoginOperation_passwdFormField (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LoginOperation_passwdFormField _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LoginOperation_passwdFormField;
#else
_currn = (rootView__TPPprootView_LoginOperation_passwdFormField) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LoginOperation_passwdFormField));
#endif
_currn->_prod = rootView_RULEprootView_LoginOperation_passwdFormField;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LoginOperation_passwdFormField;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LoginOperation_passwdFormField */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7)
#else
NODEPTR rootView_MkprootView_Formular (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
#endif
{	rootView__TPPprootView_Formular _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Formular;
#else
_currn = (rootView__TPPprootView_Formular) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular));
#endif
_currn->_prod = rootView_RULEprootView_Formular;
_currn->_desc1 = (rootView__TSProotView_Formular_styleSheetBlock) rootView_MkrootView_Formular_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Formular: root of subtree no. 1 can not be made a rootView_Formular_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_Formular_name) rootView_MkrootView_Formular_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Formular: root of subtree no. 2 can not be made a rootView_Formular_name node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_Formular_action) rootView_MkrootView_Formular_action (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Formular: root of subtree no. 3 can not be made a rootView_Formular_action node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_Formular_dataSource) rootView_MkrootView_Formular_dataSource (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Formular: root of subtree no. 4 can not be made a rootView_Formular_dataSource node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_Formular_dataSourceId) rootView_MkrootView_Formular_dataSourceId (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Formular: root of subtree no. 5 can not be made a rootView_Formular_dataSourceId node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_Formular_elements) rootView_MkrootView_Formular_elements (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Formular: root of subtree no. 6 can not be made a rootView_Formular_elements node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_Formular_actualParams) rootView_MkrootView_Formular_actualParams (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_Formular: root of subtree no. 7 can not be made a rootView_Formular_actualParams node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_Formular;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Formular */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Formular_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Formular_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Formular_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_Formular_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_Formular_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Formular_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Formular_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Formular_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Formular_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Formular_name;
#else
_currn = (rootView__TPPprootView_Formular_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular_name));
#endif
_currn->_prod = rootView_RULEprootView_Formular_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Formular_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Formular_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular_action (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Formular_action (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Formular_action _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Formular_action;
#else
_currn = (rootView__TPPprootView_Formular_action) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular_action));
#endif
_currn->_prod = rootView_RULEprootView_Formular_action;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Formular_action;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Formular_action */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular_dataSource (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Formular_dataSource (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Formular_dataSource _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Formular_dataSource;
#else
_currn = (rootView__TPPprootView_Formular_dataSource) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular_dataSource));
#endif
_currn->_prod = rootView_RULEprootView_Formular_dataSource;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Formular_dataSource;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Formular_dataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular_dataSourceId (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_Formular_dataSourceId (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_Formular_dataSourceId _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_Formular_dataSourceId;
#else
_currn = (rootView__TPPprootView_Formular_dataSourceId) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular_dataSourceId));
#endif
_currn->_prod = rootView_RULEprootView_Formular_dataSourceId;
_SETCOORD(_currn)
rootView__TERMACT_prootView_Formular_dataSourceId;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_Formular_dataSourceId */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularRadioGroupElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularRadioGroupElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularRadioGroupElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularRadioGroupElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularRadioGroupElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularRadioGroupElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularRadioGroupElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularRadioGroupElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularRadioGroupElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularRadioGroupElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularTextElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularTextElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularTextElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularTextElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularTextElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularTextElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularTextElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularTextElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularTextElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularTextElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularTextAreaElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularTextAreaElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularTextAreaElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularTextAreaElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularTextAreaElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularTextAreaElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularTextAreaElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularTextAreaElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularTextAreaElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularTextAreaElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularPasswordElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularPasswordElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularPasswordElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularPasswordElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularPasswordElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularPasswordElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularPasswordElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularPasswordElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularPasswordElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularPasswordElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularDateElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularDateElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularDateElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularDateElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularDateElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularDateElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularDateElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularDateElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularDateElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularDateElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularFileUploadElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularFileUploadElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularFileUploadElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularFileUploadElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularFileUploadElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularFileUploadElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularFileUploadElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularFileUploadElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularFileUploadElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularFileUploadElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularCheckboxElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularCheckboxElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularCheckboxElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularCheckboxElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularCheckboxElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularCheckboxElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularCheckboxElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularCheckboxElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularCheckboxElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularCheckboxElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularSelectElementprootView_Formular_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularSelectElementprootView_Formular_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularSelectElementprootView_Formular_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularSelectElementprootView_Formular_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularSelectElementprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularSelectElementprootView_Formular_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularSelectElementprootView_Formular_elements;
	_new->_desc1 = (rootView__TSProotView_FormularSelectElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_elements)_new;
	{rootView__TPPLST_rootView_FormularSelectElementprootView_Formular_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularSelectElementprootView_Formular_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Formular_elements (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Formular_elements (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularRadioGroupElement)) 
		return rootView__MkrootView_FormularRadioGroupElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularRadioGroupElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularTextElement)) 
		return rootView__MkrootView_FormularTextElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularTextElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularTextAreaElement)) 
		return rootView__MkrootView_FormularTextAreaElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularTextAreaElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularPasswordElement)) 
		return rootView__MkrootView_FormularPasswordElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularPasswordElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularDateElement)) 
		return rootView__MkrootView_FormularDateElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularDateElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularFileUploadElement)) 
		return rootView__MkrootView_FormularFileUploadElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularFileUploadElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularCheckboxElement)) 
		return rootView__MkrootView_FormularCheckboxElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularCheckboxElement (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularSelectElement)) 
		return rootView__MkrootView_FormularSelectElementprootView_Formular_elements (_coordref, rootView_MkrootView_FormularSelectElement (_coordref, t));
	message (DEADLY, "a prootView_Formular_elements list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Formular_elements (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Formular_elements (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Formular_elements)
	l =_ElemprootView_Formular_elements (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Formular_elements)
	r = _ElemprootView_Formular_elements (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Formular_elements)r)->_desc2);
((rootView__TPPLST_0prootView_Formular_elements)r)->_desc2 = ((rootView__TPPLST_0prootView_Formular_elements)l)->_desc2;
((rootView__TPPLST_0prootView_Formular_elements)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular_elements (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Formular_elements (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Formular_elements root;
	rootView__TPPLST_0prootView_Formular_elements list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Formular_elements)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Formular_elements)
		t = _ElemprootView_Formular_elements (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Formular_elements)(((rootView__TPPLST_0prootView_Formular_elements) t)->_desc2);
	((rootView__TPPLST_0prootView_Formular_elements) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Formular_elements;
#else
list = (rootView__TPPLST_0prootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Formular_elements));
#endif
list->_prod = rootView_RULELST_0prootView_Formular_elements;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Formular_elements)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularRadioGroupElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularRadioGroupElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularRadioGroupElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularTextElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularTextElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularTextElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularTextAreaElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularTextAreaElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularTextAreaElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularPasswordElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularPasswordElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularPasswordElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularDateElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularDateElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularDateElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularFileUploadElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularFileUploadElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularFileUploadElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularCheckboxElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularCheckboxElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularCheckboxElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularSelectElementprootView_Formular_elements)
	{rootView__TPPLST_rootView_FormularSelectElementprootView_Formular_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularSelectElementprootView_Formular_elements;
	} this code has been moved to _ElemprootView_Formular_elements*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Formular_elements;
#else
root = (rootView__TPPprootView_Formular_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular_elements));
#endif
root->_prod = rootView_RULEprootView_Formular_elements;
root->_desc1 = (rootView__TSPLST_rootView_Formular_elements)list;
{ rootView__TPPprootView_Formular_elements _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Formular_elements;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeActualParamprootView_Formular_actualParams (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeActualParamprootView_Formular_actualParams (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeActualParamprootView_Formular_actualParams _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeActualParamprootView_Formular_actualParams;
#else
	_new = (rootView__TPPLST_rootView_WebNodeActualParamprootView_Formular_actualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeActualParamprootView_Formular_actualParams));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeActualParamprootView_Formular_actualParams;
	_new->_desc1 = (rootView__TSProotView_WebNodeActualParam)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_Formular_actualParams)_new;
	{rootView__TPPLST_rootView_WebNodeActualParamprootView_Formular_actualParams _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeActualParamprootView_Formular_actualParams;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_Formular_actualParams (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_Formular_actualParams (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeActualParam)) 
		return rootView__MkrootView_WebNodeActualParamprootView_Formular_actualParams (_coordref, rootView_MkrootView_WebNodeActualParam (_coordref, t));
	message (DEADLY, "a prootView_Formular_actualParams list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_Formular_actualParams (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_Formular_actualParams (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_Formular_actualParams)
	l =_ElemprootView_Formular_actualParams (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_Formular_actualParams)
	r = _ElemprootView_Formular_actualParams (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_Formular_actualParams)r)->_desc2);
((rootView__TPPLST_0prootView_Formular_actualParams)r)->_desc2 = ((rootView__TPPLST_0prootView_Formular_actualParams)l)->_desc2;
((rootView__TPPLST_0prootView_Formular_actualParams)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_Formular_actualParams (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_Formular_actualParams (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_Formular_actualParams root;
	rootView__TPPLST_0prootView_Formular_actualParams list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_Formular_actualParams)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_Formular_actualParams)
		t = _ElemprootView_Formular_actualParams (_coordref, t);
	remain = (rootView__TPPLST_0prootView_Formular_actualParams)(((rootView__TPPLST_0prootView_Formular_actualParams) t)->_desc2);
	((rootView__TPPLST_0prootView_Formular_actualParams) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_Formular_actualParams;
#else
list = (rootView__TPPLST_0prootView_Formular_actualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_Formular_actualParams));
#endif
list->_prod = rootView_RULELST_0prootView_Formular_actualParams;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_Formular_actualParams)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeActualParamprootView_Formular_actualParams)
	{rootView__TPPLST_rootView_WebNodeActualParamprootView_Formular_actualParams _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeActualParamprootView_Formular_actualParams;
	} this code has been moved to _ElemprootView_Formular_actualParams*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_Formular_actualParams;
#else
root = (rootView__TPPprootView_Formular_actualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_Formular_actualParams));
#endif
root->_prod = rootView_RULEprootView_Formular_actualParams;
root->_desc1 = (rootView__TSPLST_rootView_Formular_actualParams)list;
{ rootView__TPPprootView_Formular_actualParams _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_Formular_actualParams;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_EmailValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_EmailValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_EmailValidator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_EmailValidator;
#else
_currn = (rootView__TPPprootView_EmailValidator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_EmailValidator));
#endif
_currn->_prod = rootView_RULEprootView_EmailValidator;
_SETCOORD(_currn)
rootView__TERMACT_prootView_EmailValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_EmailValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_CreditCardValidator (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_CreditCardValidator (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_CreditCardValidator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_CreditCardValidator;
#else
_currn = (rootView__TPPprootView_CreditCardValidator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_CreditCardValidator));
#endif
_currn->_prod = rootView_RULEprootView_CreditCardValidator;
_SETCOORD(_currn)
rootView__TERMACT_prootView_CreditCardValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_CreditCardValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_RegExprValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_RegExprValidator (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_RegExprValidator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_RegExprValidator;
#else
_currn = (rootView__TPPprootView_RegExprValidator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_RegExprValidator));
#endif
_currn->_prod = rootView_RULEprootView_RegExprValidator;
_currn->_desc1 = (rootView__TSProotView_RegExprValidator_pattern) rootView_MkrootView_RegExprValidator_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_RegExprValidator: root of subtree no. 1 can not be made a rootView_RegExprValidator_pattern node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_RegExprValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_RegExprValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_RegExprValidator_pattern (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_RegExprValidator_pattern (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_RegExprValidator_pattern _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_RegExprValidator_pattern;
#else
_currn = (rootView__TPPprootView_RegExprValidator_pattern) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_RegExprValidator_pattern));
#endif
_currn->_prod = rootView_RULEprootView_RegExprValidator_pattern;
_SETCOORD(_currn)
rootView__TERMACT_prootView_RegExprValidator_pattern;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_RegExprValidator_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StringLengthValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_StringLengthValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_StringLengthValidator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StringLengthValidator;
#else
_currn = (rootView__TPPprootView_StringLengthValidator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StringLengthValidator));
#endif
_currn->_prod = rootView_RULEprootView_StringLengthValidator;
_currn->_desc1 = (rootView__TSProotView_StringLengthValidator_min) rootView_MkrootView_StringLengthValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StringLengthValidator: root of subtree no. 1 can not be made a rootView_StringLengthValidator_min node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_StringLengthValidator_max) rootView_MkrootView_StringLengthValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_StringLengthValidator: root of subtree no. 2 can not be made a rootView_StringLengthValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_StringLengthValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StringLengthValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StringLengthValidator_min (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_StringLengthValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_StringLengthValidator_min _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StringLengthValidator_min;
#else
_currn = (rootView__TPPprootView_StringLengthValidator_min) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StringLengthValidator_min));
#endif
_currn->_prod = rootView_RULEprootView_StringLengthValidator_min;
_SETCOORD(_currn)
rootView__TERMACT_prootView_StringLengthValidator_min;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StringLengthValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_StringLengthValidator_max (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_StringLengthValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_StringLengthValidator_max _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_StringLengthValidator_max;
#else
_currn = (rootView__TPPprootView_StringLengthValidator_max) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_StringLengthValidator_max));
#endif
_currn->_prod = rootView_RULEprootView_StringLengthValidator_max;
_SETCOORD(_currn)
rootView__TERMACT_prootView_StringLengthValidator_max;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_StringLengthValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LongRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_LongRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_LongRangeValidator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LongRangeValidator;
#else
_currn = (rootView__TPPprootView_LongRangeValidator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LongRangeValidator));
#endif
_currn->_prod = rootView_RULEprootView_LongRangeValidator;
_currn->_desc1 = (rootView__TSProotView_LongRangeValidator_min) rootView_MkrootView_LongRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LongRangeValidator: root of subtree no. 1 can not be made a rootView_LongRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_LongRangeValidator_max) rootView_MkrootView_LongRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LongRangeValidator: root of subtree no. 2 can not be made a rootView_LongRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_LongRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LongRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LongRangeValidator_min (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LongRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LongRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LongRangeValidator_min;
#else
_currn = (rootView__TPPprootView_LongRangeValidator_min) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LongRangeValidator_min));
#endif
_currn->_prod = rootView_RULEprootView_LongRangeValidator_min;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LongRangeValidator_min;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LongRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LongRangeValidator_max (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LongRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LongRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LongRangeValidator_max;
#else
_currn = (rootView__TPPprootView_LongRangeValidator_max) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LongRangeValidator_max));
#endif
_currn->_prod = rootView_RULEprootView_LongRangeValidator_max;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LongRangeValidator_max;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LongRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleRangeValidator (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_DoubleRangeValidator (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_DoubleRangeValidator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleRangeValidator;
#else
_currn = (rootView__TPPprootView_DoubleRangeValidator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleRangeValidator));
#endif
_currn->_prod = rootView_RULEprootView_DoubleRangeValidator;
_currn->_desc1 = (rootView__TSProotView_DoubleRangeValidator_min) rootView_MkrootView_DoubleRangeValidator_min (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DoubleRangeValidator: root of subtree no. 1 can not be made a rootView_DoubleRangeValidator_min node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_DoubleRangeValidator_max) rootView_MkrootView_DoubleRangeValidator_max (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DoubleRangeValidator: root of subtree no. 2 can not be made a rootView_DoubleRangeValidator_max node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleRangeValidator;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleRangeValidator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleRangeValidator_min (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DoubleRangeValidator_min (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DoubleRangeValidator_min _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleRangeValidator_min;
#else
_currn = (rootView__TPPprootView_DoubleRangeValidator_min) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleRangeValidator_min));
#endif
_currn->_prod = rootView_RULEprootView_DoubleRangeValidator_min;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleRangeValidator_min;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleRangeValidator_min */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleRangeValidator_max (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DoubleRangeValidator_max (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DoubleRangeValidator_max _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleRangeValidator_max;
#else
_currn = (rootView__TPPprootView_DoubleRangeValidator_max) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleRangeValidator_max));
#endif
_currn->_prod = rootView_RULEprootView_DoubleRangeValidator_max;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleRangeValidator_max;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleRangeValidator_max */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_IntegerNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_IntegerNumberConverter (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_IntegerNumberConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_IntegerNumberConverter;
#else
_currn = (rootView__TPPprootView_IntegerNumberConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_IntegerNumberConverter));
#endif
_currn->_prod = rootView_RULEprootView_IntegerNumberConverter;
_currn->_desc1 = (rootView__TSProotView_IntegerNumberConverter_minIntegerDigits) rootView_MkrootView_IntegerNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_IntegerNumberConverter: root of subtree no. 1 can not be made a rootView_IntegerNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_IntegerNumberConverter_maxIntegerDigits) rootView_MkrootView_IntegerNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_IntegerNumberConverter: root of subtree no. 2 can not be made a rootView_IntegerNumberConverter_maxIntegerDigits node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_IntegerNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_IntegerNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_IntegerNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_IntegerNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_IntegerNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_IntegerNumberConverter_minIntegerDigits;
#else
_currn = (rootView__TPPprootView_IntegerNumberConverter_minIntegerDigits) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_IntegerNumberConverter_minIntegerDigits));
#endif
_currn->_prod = rootView_RULEprootView_IntegerNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
rootView__TERMACT_prootView_IntegerNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_IntegerNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_IntegerNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_IntegerNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_IntegerNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_IntegerNumberConverter_maxIntegerDigits;
#else
_currn = (rootView__TPPprootView_IntegerNumberConverter_maxIntegerDigits) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_IntegerNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = rootView_RULEprootView_IntegerNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
rootView__TERMACT_prootView_IntegerNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_IntegerNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleNumberConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_DoubleNumberConverter (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_DoubleNumberConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleNumberConverter;
#else
_currn = (rootView__TPPprootView_DoubleNumberConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleNumberConverter));
#endif
_currn->_prod = rootView_RULEprootView_DoubleNumberConverter;
_currn->_desc1 = (rootView__TSProotView_DoubleNumberConverter_minIntegerDigits) rootView_MkrootView_DoubleNumberConverter_minIntegerDigits (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DoubleNumberConverter: root of subtree no. 1 can not be made a rootView_DoubleNumberConverter_minIntegerDigits node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_DoubleNumberConverter_maxIntegerDigits) rootView_MkrootView_DoubleNumberConverter_maxIntegerDigits (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DoubleNumberConverter: root of subtree no. 2 can not be made a rootView_DoubleNumberConverter_maxIntegerDigits node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_DoubleNumberConverter_minFractionDigits) rootView_MkrootView_DoubleNumberConverter_minFractionDigits (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DoubleNumberConverter: root of subtree no. 3 can not be made a rootView_DoubleNumberConverter_minFractionDigits node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_DoubleNumberConverter_maxFractionDigits) rootView_MkrootView_DoubleNumberConverter_maxFractionDigits (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_DoubleNumberConverter: root of subtree no. 4 can not be made a rootView_DoubleNumberConverter_maxFractionDigits node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleNumberConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleNumberConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleNumberConverter_minIntegerDigits (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DoubleNumberConverter_minIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DoubleNumberConverter_minIntegerDigits _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleNumberConverter_minIntegerDigits;
#else
_currn = (rootView__TPPprootView_DoubleNumberConverter_minIntegerDigits) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleNumberConverter_minIntegerDigits));
#endif
_currn->_prod = rootView_RULEprootView_DoubleNumberConverter_minIntegerDigits;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleNumberConverter_minIntegerDigits;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleNumberConverter_minIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleNumberConverter_maxIntegerDigits (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DoubleNumberConverter_maxIntegerDigits (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DoubleNumberConverter_maxIntegerDigits _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleNumberConverter_maxIntegerDigits;
#else
_currn = (rootView__TPPprootView_DoubleNumberConverter_maxIntegerDigits) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleNumberConverter_maxIntegerDigits));
#endif
_currn->_prod = rootView_RULEprootView_DoubleNumberConverter_maxIntegerDigits;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleNumberConverter_maxIntegerDigits;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleNumberConverter_maxIntegerDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleNumberConverter_minFractionDigits (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DoubleNumberConverter_minFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DoubleNumberConverter_minFractionDigits _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleNumberConverter_minFractionDigits;
#else
_currn = (rootView__TPPprootView_DoubleNumberConverter_minFractionDigits) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleNumberConverter_minFractionDigits));
#endif
_currn->_prod = rootView_RULEprootView_DoubleNumberConverter_minFractionDigits;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleNumberConverter_minFractionDigits;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleNumberConverter_minFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleNumberConverter_maxFractionDigits (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_DoubleNumberConverter_maxFractionDigits (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_DoubleNumberConverter_maxFractionDigits _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleNumberConverter_maxFractionDigits;
#else
_currn = (rootView__TPPprootView_DoubleNumberConverter_maxFractionDigits) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleNumberConverter_maxFractionDigits));
#endif
_currn->_prod = rootView_RULEprootView_DoubleNumberConverter_maxFractionDigits;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleNumberConverter_maxFractionDigits;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleNumberConverter_maxFractionDigits */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_IntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_IntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_IntegerConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_IntegerConverter;
#else
_currn = (rootView__TPPprootView_IntegerConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_IntegerConverter));
#endif
_currn->_prod = rootView_RULEprootView_IntegerConverter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_IntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_IntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LongConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_LongConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_LongConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LongConverter;
#else
_currn = (rootView__TPPprootView_LongConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LongConverter));
#endif
_currn->_prod = rootView_RULEprootView_LongConverter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LongConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LongConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_BigIntegerConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_BigIntegerConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_BigIntegerConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_BigIntegerConverter;
#else
_currn = (rootView__TPPprootView_BigIntegerConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_BigIntegerConverter));
#endif
_currn->_prod = rootView_RULEprootView_BigIntegerConverter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_BigIntegerConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_BigIntegerConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FloatConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_FloatConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_FloatConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FloatConverter;
#else
_currn = (rootView__TPPprootView_FloatConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FloatConverter));
#endif
_currn->_prod = rootView_RULEprootView_FloatConverter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FloatConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FloatConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DoubleConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_DoubleConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_DoubleConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DoubleConverter;
#else
_currn = (rootView__TPPprootView_DoubleConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DoubleConverter));
#endif
_currn->_prod = rootView_RULEprootView_DoubleConverter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DoubleConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DoubleConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_BooleanConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_BooleanConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_BooleanConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_BooleanConverter;
#else
_currn = (rootView__TPPprootView_BooleanConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_BooleanConverter));
#endif
_currn->_prod = rootView_RULEprootView_BooleanConverter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_BooleanConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_BooleanConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_DateTimeConverter (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_DateTimeConverter (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_DateTimeConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_DateTimeConverter;
#else
_currn = (rootView__TPPprootView_DateTimeConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_DateTimeConverter));
#endif
_currn->_prod = rootView_RULEprootView_DateTimeConverter;
_SETCOORD(_currn)
rootView__TERMACT_prootView_DateTimeConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_DateTimeConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_PatternConverter (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_PatternConverter (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_PatternConverter _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_PatternConverter;
#else
_currn = (rootView__TPPprootView_PatternConverter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_PatternConverter));
#endif
_currn->_prod = rootView_RULEprootView_PatternConverter;
_currn->_desc1 = (rootView__TSProotView_PatternConverter_pattern) rootView_MkrootView_PatternConverter_pattern (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_PatternConverter: root of subtree no. 1 can not be made a rootView_PatternConverter_pattern node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_PatternConverter;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_PatternConverter */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_PatternConverter_pattern (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_PatternConverter_pattern (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_PatternConverter_pattern _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_PatternConverter_pattern;
#else
_currn = (rootView__TPPprootView_PatternConverter_pattern) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_PatternConverter_pattern));
#endif
_currn->_prod = rootView_RULEprootView_PatternConverter_pattern;
_SETCOORD(_currn)
rootView__TERMACT_prootView_PatternConverter_pattern;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_PatternConverter_pattern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8,_desc9,_desc10)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
	NODEPTR _desc9;
	NODEPTR _desc10;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement;
_currn->_desc1 = (rootView__TSProotView_FormularRadioGroupElement_name) rootView_MkrootView_FormularRadioGroupElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 1 can not be made a rootView_FormularRadioGroupElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularRadioGroupElement_label) rootView_MkrootView_FormularRadioGroupElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 2 can not be made a rootView_FormularRadioGroupElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularRadioGroupElement_description) rootView_MkrootView_FormularRadioGroupElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 3 can not be made a rootView_FormularRadioGroupElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularRadioGroupElement_pvalue) rootView_MkrootView_FormularRadioGroupElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 4 can not be made a rootView_FormularRadioGroupElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularRadioGroupElement_required) rootView_MkrootView_FormularRadioGroupElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 5 can not be made a rootView_FormularRadioGroupElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularRadioGroupElement_validator) rootView_MkrootView_FormularRadioGroupElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 6 can not be made a rootView_FormularRadioGroupElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularRadioGroupElement_converter) rootView_MkrootView_FormularRadioGroupElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 7 can not be made a rootView_FormularRadioGroupElement_converter node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_FormularRadioGroupElement_layout) rootView_MkrootView_FormularRadioGroupElement_layout (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 8 can not be made a rootView_FormularRadioGroupElement_layout node ", 0, _coordref);
_currn->_desc9 = (rootView__TSProotView_FormularRadioGroupElement_elements) rootView_MkrootView_FormularRadioGroupElement_elements (_coordref, _desc9);	
if (((NODEPTR)_currn->_desc9) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 9 can not be made a rootView_FormularRadioGroupElement_elements node ", 0, _coordref);
_currn->_desc10 = (rootView__TSProotView_FormularRadioGroupElement_checked) rootView_MkrootView_FormularRadioGroupElement_checked (_coordref, _desc10);	
if (((NODEPTR)_currn->_desc10) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioGroupElement: root of subtree no. 10 can not be made a rootView_FormularRadioGroupElement_checked node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement_name;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement_label;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement_description;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement_required;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularRadioGroupElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularRadioGroupElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularRadioGroupElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularRadioGroupElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularRadioGroupElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularRadioGroupElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_validator)
	l =_ElemprootView_FormularRadioGroupElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_validator)
	r = _ElemprootView_FormularRadioGroupElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularRadioGroupElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularRadioGroupElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularRadioGroupElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularRadioGroupElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularRadioGroupElement_validator root;
	rootView__TPPLST_0prootView_FormularRadioGroupElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularRadioGroupElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_validator)
		t = _ElemprootView_FormularRadioGroupElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularRadioGroupElement_validator)(((rootView__TPPLST_0prootView_FormularRadioGroupElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularRadioGroupElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularRadioGroupElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularRadioGroupElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularRadioGroupElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularRadioGroupElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularRadioGroupElement_validator;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularRadioGroupElement_validator;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularRadioGroupElement_validator;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularRadioGroupElement_validator;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularRadioGroupElement_validator;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularRadioGroupElement_validator;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularRadioGroupElement_validator;
#else
root = (rootView__TPPprootView_FormularRadioGroupElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularRadioGroupElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularRadioGroupElement_validator)list;
{ rootView__TPPprootView_FormularRadioGroupElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularRadioGroupElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularRadioGroupElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularRadioGroupElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularRadioGroupElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularRadioGroupElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_converter)
	l =_ElemprootView_FormularRadioGroupElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_converter)
	r = _ElemprootView_FormularRadioGroupElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularRadioGroupElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularRadioGroupElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularRadioGroupElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularRadioGroupElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularRadioGroupElement_converter root;
	rootView__TPPLST_0prootView_FormularRadioGroupElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularRadioGroupElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_converter)
		t = _ElemprootView_FormularRadioGroupElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularRadioGroupElement_converter)(((rootView__TPPLST_0prootView_FormularRadioGroupElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularRadioGroupElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularRadioGroupElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularRadioGroupElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularRadioGroupElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularRadioGroupElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularRadioGroupElement_converter;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularRadioGroupElement_converter;
#else
root = (rootView__TPPprootView_FormularRadioGroupElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularRadioGroupElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularRadioGroupElement_converter)list;
{ rootView__TPPprootView_FormularRadioGroupElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularRadioGroupElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_layout (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_layout (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement_layout _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement_layout;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement_layout) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_layout));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement_layout;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement_layout;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement_layout */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularRadioElementprootView_FormularRadioGroupElement_elements (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularRadioElementprootView_FormularRadioGroupElement_elements (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements;
#else
	_new = (rootView__TPPLST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements;
	_new->_desc1 = (rootView__TSProotView_FormularRadioElement)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularRadioGroupElement_elements)_new;
	{rootView__TPPLST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularRadioGroupElement_elements (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularRadioGroupElement_elements (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularRadioElement)) 
		return rootView__MkrootView_FormularRadioElementprootView_FormularRadioGroupElement_elements (_coordref, rootView_MkrootView_FormularRadioElement (_coordref, t));
	message (DEADLY, "a prootView_FormularRadioGroupElement_elements list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_elements (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularRadioGroupElement_elements (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_elements)
	l =_ElemprootView_FormularRadioGroupElement_elements (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_elements)
	r = _ElemprootView_FormularRadioGroupElement_elements (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularRadioGroupElement_elements)r)->_desc2);
((rootView__TPPLST_0prootView_FormularRadioGroupElement_elements)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularRadioGroupElement_elements)l)->_desc2;
((rootView__TPPLST_0prootView_FormularRadioGroupElement_elements)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_elements (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_elements (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularRadioGroupElement_elements root;
	rootView__TPPLST_0prootView_FormularRadioGroupElement_elements list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularRadioGroupElement_elements)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularRadioGroupElement_elements)
		t = _ElemprootView_FormularRadioGroupElement_elements (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularRadioGroupElement_elements)(((rootView__TPPLST_0prootView_FormularRadioGroupElement_elements) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularRadioGroupElement_elements) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularRadioGroupElement_elements;
#else
list = (rootView__TPPLST_0prootView_FormularRadioGroupElement_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularRadioGroupElement_elements));
#endif
list->_prod = rootView_RULELST_0prootView_FormularRadioGroupElement_elements;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularRadioGroupElement_elements)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements)
	{rootView__TPPLST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularRadioElementprootView_FormularRadioGroupElement_elements;
	} this code has been moved to _ElemprootView_FormularRadioGroupElement_elements*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularRadioGroupElement_elements;
#else
root = (rootView__TPPprootView_FormularRadioGroupElement_elements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_elements));
#endif
root->_prod = rootView_RULEprootView_FormularRadioGroupElement_elements;
root->_desc1 = (rootView__TSPLST_rootView_FormularRadioGroupElement_elements)list;
{ rootView__TPPprootView_FormularRadioGroupElement_elements _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularRadioGroupElement_elements;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioGroupElement_checked (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioGroupElement_checked (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioGroupElement_checked _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioGroupElement_checked;
#else
_currn = (rootView__TPPprootView_FormularRadioGroupElement_checked) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioGroupElement_checked));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioGroupElement_checked;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioGroupElement_checked;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioGroupElement_checked */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7)
#else
NODEPTR rootView_MkprootView_FormularTextElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
#endif
{	rootView__TPPprootView_FormularTextElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextElement;
#else
_currn = (rootView__TPPprootView_FormularTextElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextElement;
_currn->_desc1 = (rootView__TSProotView_FormularTextElement_name) rootView_MkrootView_FormularTextElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextElement: root of subtree no. 1 can not be made a rootView_FormularTextElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularTextElement_label) rootView_MkrootView_FormularTextElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextElement: root of subtree no. 2 can not be made a rootView_FormularTextElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularTextElement_description) rootView_MkrootView_FormularTextElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextElement: root of subtree no. 3 can not be made a rootView_FormularTextElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularTextElement_pvalue) rootView_MkrootView_FormularTextElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextElement: root of subtree no. 4 can not be made a rootView_FormularTextElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularTextElement_required) rootView_MkrootView_FormularTextElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextElement: root of subtree no. 5 can not be made a rootView_FormularTextElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularTextElement_validator) rootView_MkrootView_FormularTextElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextElement: root of subtree no. 6 can not be made a rootView_FormularTextElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularTextElement_converter) rootView_MkrootView_FormularTextElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextElement: root of subtree no. 7 can not be made a rootView_FormularTextElement_converter node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextElement_name;
#else
_currn = (rootView__TPPprootView_FormularTextElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextElement_label;
#else
_currn = (rootView__TPPprootView_FormularTextElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextElement_description;
#else
_currn = (rootView__TPPprootView_FormularTextElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularTextElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextElement_required;
#else
_currn = (rootView__TPPprootView_FormularTextElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularTextElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularTextElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularTextElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularTextElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularTextElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularTextElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularTextElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularTextElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularTextElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularTextElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularTextElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularTextElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularTextElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularTextElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularTextElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularTextElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularTextElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularTextElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularTextElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularTextElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularTextElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularTextElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularTextElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularTextElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularTextElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularTextElement_validator)
	l =_ElemprootView_FormularTextElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularTextElement_validator)
	r = _ElemprootView_FormularTextElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularTextElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularTextElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularTextElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularTextElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularTextElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularTextElement_validator root;
	rootView__TPPLST_0prootView_FormularTextElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularTextElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularTextElement_validator)
		t = _ElemprootView_FormularTextElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularTextElement_validator)(((rootView__TPPLST_0prootView_FormularTextElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularTextElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularTextElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularTextElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularTextElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularTextElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularTextElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularTextElement_validator;
	} this code has been moved to _ElemprootView_FormularTextElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularTextElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularTextElement_validator;
	} this code has been moved to _ElemprootView_FormularTextElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularTextElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularTextElement_validator;
	} this code has been moved to _ElemprootView_FormularTextElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularTextElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularTextElement_validator;
	} this code has been moved to _ElemprootView_FormularTextElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularTextElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularTextElement_validator;
	} this code has been moved to _ElemprootView_FormularTextElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularTextElement_validator;
	} this code has been moved to _ElemprootView_FormularTextElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularTextElement_validator;
#else
root = (rootView__TPPprootView_FormularTextElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularTextElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularTextElement_validator)list;
{ rootView__TPPprootView_FormularTextElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularTextElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularTextElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularTextElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularTextElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularTextElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularTextElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularTextElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularTextElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularTextElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularTextElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularTextElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularTextElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularTextElement_converter)
	l =_ElemprootView_FormularTextElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularTextElement_converter)
	r = _ElemprootView_FormularTextElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularTextElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularTextElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularTextElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularTextElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularTextElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularTextElement_converter root;
	rootView__TPPLST_0prootView_FormularTextElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularTextElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularTextElement_converter)
		t = _ElemprootView_FormularTextElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularTextElement_converter)(((rootView__TPPLST_0prootView_FormularTextElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularTextElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularTextElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularTextElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularTextElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularTextElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularTextElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularTextElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularTextElement_converter;
	} this code has been moved to _ElemprootView_FormularTextElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularTextElement_converter;
#else
root = (rootView__TPPprootView_FormularTextElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularTextElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularTextElement_converter)list;
{ rootView__TPPprootView_FormularTextElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularTextElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
#endif
{	rootView__TPPprootView_FormularTextAreaElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextAreaElement;
#else
_currn = (rootView__TPPprootView_FormularTextAreaElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextAreaElement;
_currn->_desc1 = (rootView__TSProotView_FormularTextAreaElement_name) rootView_MkrootView_FormularTextAreaElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 1 can not be made a rootView_FormularTextAreaElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularTextAreaElement_label) rootView_MkrootView_FormularTextAreaElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 2 can not be made a rootView_FormularTextAreaElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularTextAreaElement_description) rootView_MkrootView_FormularTextAreaElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 3 can not be made a rootView_FormularTextAreaElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularTextAreaElement_pvalue) rootView_MkrootView_FormularTextAreaElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 4 can not be made a rootView_FormularTextAreaElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularTextAreaElement_required) rootView_MkrootView_FormularTextAreaElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 5 can not be made a rootView_FormularTextAreaElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularTextAreaElement_validator) rootView_MkrootView_FormularTextAreaElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 6 can not be made a rootView_FormularTextAreaElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularTextAreaElement_converter) rootView_MkrootView_FormularTextAreaElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 7 can not be made a rootView_FormularTextAreaElement_converter node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_FormularTextAreaElement_rows) rootView_MkrootView_FormularTextAreaElement_rows (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularTextAreaElement: root of subtree no. 8 can not be made a rootView_FormularTextAreaElement_rows node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextAreaElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextAreaElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextAreaElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextAreaElement_name;
#else
_currn = (rootView__TPPprootView_FormularTextAreaElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextAreaElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextAreaElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextAreaElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextAreaElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextAreaElement_label;
#else
_currn = (rootView__TPPprootView_FormularTextAreaElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextAreaElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextAreaElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextAreaElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextAreaElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextAreaElement_description;
#else
_currn = (rootView__TPPprootView_FormularTextAreaElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextAreaElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextAreaElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextAreaElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextAreaElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextAreaElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularTextAreaElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextAreaElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextAreaElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextAreaElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextAreaElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextAreaElement_required;
#else
_currn = (rootView__TPPprootView_FormularTextAreaElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextAreaElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextAreaElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextAreaElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularTextAreaElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularTextAreaElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularTextAreaElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularTextAreaElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularTextAreaElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularTextAreaElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularTextAreaElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularTextAreaElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularTextAreaElement_validator)
	l =_ElemprootView_FormularTextAreaElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularTextAreaElement_validator)
	r = _ElemprootView_FormularTextAreaElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularTextAreaElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularTextAreaElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularTextAreaElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularTextAreaElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularTextAreaElement_validator root;
	rootView__TPPLST_0prootView_FormularTextAreaElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularTextAreaElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularTextAreaElement_validator)
		t = _ElemprootView_FormularTextAreaElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularTextAreaElement_validator)(((rootView__TPPLST_0prootView_FormularTextAreaElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularTextAreaElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularTextAreaElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularTextAreaElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularTextAreaElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularTextAreaElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularTextAreaElement_validator;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularTextAreaElement_validator;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularTextAreaElement_validator;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularTextAreaElement_validator;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularTextAreaElement_validator;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularTextAreaElement_validator;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularTextAreaElement_validator;
#else
root = (rootView__TPPprootView_FormularTextAreaElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularTextAreaElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularTextAreaElement_validator)list;
{ rootView__TPPprootView_FormularTextAreaElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularTextAreaElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularTextAreaElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularTextAreaElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularTextAreaElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularTextAreaElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularTextAreaElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularTextAreaElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularTextAreaElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularTextAreaElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularTextAreaElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularTextAreaElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularTextAreaElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularTextAreaElement_converter)
	l =_ElemprootView_FormularTextAreaElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularTextAreaElement_converter)
	r = _ElemprootView_FormularTextAreaElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularTextAreaElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularTextAreaElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularTextAreaElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularTextAreaElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularTextAreaElement_converter root;
	rootView__TPPLST_0prootView_FormularTextAreaElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularTextAreaElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularTextAreaElement_converter)
		t = _ElemprootView_FormularTextAreaElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularTextAreaElement_converter)(((rootView__TPPLST_0prootView_FormularTextAreaElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularTextAreaElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularTextAreaElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularTextAreaElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularTextAreaElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularTextAreaElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularTextAreaElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularTextAreaElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularTextAreaElement_converter;
	} this code has been moved to _ElemprootView_FormularTextAreaElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularTextAreaElement_converter;
#else
root = (rootView__TPPprootView_FormularTextAreaElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularTextAreaElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularTextAreaElement_converter)list;
{ rootView__TPPprootView_FormularTextAreaElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularTextAreaElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularTextAreaElement_rows (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularTextAreaElement_rows (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularTextAreaElement_rows _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularTextAreaElement_rows;
#else
_currn = (rootView__TPPprootView_FormularTextAreaElement_rows) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularTextAreaElement_rows));
#endif
_currn->_prod = rootView_RULEprootView_FormularTextAreaElement_rows;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularTextAreaElement_rows;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularTextAreaElement_rows */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
#endif
{	rootView__TPPprootView_FormularPasswordElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularPasswordElement;
#else
_currn = (rootView__TPPprootView_FormularPasswordElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularPasswordElement;
_currn->_desc1 = (rootView__TSProotView_FormularPasswordElement_name) rootView_MkrootView_FormularPasswordElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 1 can not be made a rootView_FormularPasswordElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularPasswordElement_label) rootView_MkrootView_FormularPasswordElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 2 can not be made a rootView_FormularPasswordElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularPasswordElement_description) rootView_MkrootView_FormularPasswordElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 3 can not be made a rootView_FormularPasswordElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularPasswordElement_pvalue) rootView_MkrootView_FormularPasswordElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 4 can not be made a rootView_FormularPasswordElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularPasswordElement_required) rootView_MkrootView_FormularPasswordElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 5 can not be made a rootView_FormularPasswordElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularPasswordElement_validator) rootView_MkrootView_FormularPasswordElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 6 can not be made a rootView_FormularPasswordElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularPasswordElement_converter) rootView_MkrootView_FormularPasswordElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 7 can not be made a rootView_FormularPasswordElement_converter node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_FormularPasswordElement_redisplay) rootView_MkrootView_FormularPasswordElement_redisplay (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularPasswordElement: root of subtree no. 8 can not be made a rootView_FormularPasswordElement_redisplay node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularPasswordElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularPasswordElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularPasswordElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularPasswordElement_name;
#else
_currn = (rootView__TPPprootView_FormularPasswordElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularPasswordElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularPasswordElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularPasswordElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularPasswordElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularPasswordElement_label;
#else
_currn = (rootView__TPPprootView_FormularPasswordElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularPasswordElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularPasswordElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularPasswordElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularPasswordElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularPasswordElement_description;
#else
_currn = (rootView__TPPprootView_FormularPasswordElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularPasswordElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularPasswordElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularPasswordElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularPasswordElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularPasswordElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularPasswordElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularPasswordElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularPasswordElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularPasswordElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularPasswordElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularPasswordElement_required;
#else
_currn = (rootView__TPPprootView_FormularPasswordElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularPasswordElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularPasswordElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularPasswordElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularPasswordElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularPasswordElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularPasswordElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularPasswordElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularPasswordElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularPasswordElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularPasswordElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularPasswordElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularPasswordElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularPasswordElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularPasswordElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularPasswordElement_validator)
	l =_ElemprootView_FormularPasswordElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularPasswordElement_validator)
	r = _ElemprootView_FormularPasswordElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularPasswordElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularPasswordElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularPasswordElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularPasswordElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularPasswordElement_validator root;
	rootView__TPPLST_0prootView_FormularPasswordElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularPasswordElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularPasswordElement_validator)
		t = _ElemprootView_FormularPasswordElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularPasswordElement_validator)(((rootView__TPPLST_0prootView_FormularPasswordElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularPasswordElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularPasswordElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularPasswordElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularPasswordElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularPasswordElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularPasswordElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularPasswordElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularPasswordElement_validator;
	} this code has been moved to _ElemprootView_FormularPasswordElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularPasswordElement_validator;
	} this code has been moved to _ElemprootView_FormularPasswordElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularPasswordElement_validator;
	} this code has been moved to _ElemprootView_FormularPasswordElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularPasswordElement_validator;
	} this code has been moved to _ElemprootView_FormularPasswordElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularPasswordElement_validator;
	} this code has been moved to _ElemprootView_FormularPasswordElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularPasswordElement_validator;
	} this code has been moved to _ElemprootView_FormularPasswordElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularPasswordElement_validator;
#else
root = (rootView__TPPprootView_FormularPasswordElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularPasswordElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularPasswordElement_validator)list;
{ rootView__TPPprootView_FormularPasswordElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularPasswordElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularPasswordElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularPasswordElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularPasswordElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularPasswordElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularPasswordElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularPasswordElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularPasswordElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularPasswordElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularPasswordElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularPasswordElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularPasswordElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularPasswordElement_converter)
	l =_ElemprootView_FormularPasswordElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularPasswordElement_converter)
	r = _ElemprootView_FormularPasswordElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularPasswordElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularPasswordElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularPasswordElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularPasswordElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularPasswordElement_converter root;
	rootView__TPPLST_0prootView_FormularPasswordElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularPasswordElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularPasswordElement_converter)
		t = _ElemprootView_FormularPasswordElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularPasswordElement_converter)(((rootView__TPPLST_0prootView_FormularPasswordElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularPasswordElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularPasswordElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularPasswordElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularPasswordElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularPasswordElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularPasswordElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularPasswordElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularPasswordElement_converter;
	} this code has been moved to _ElemprootView_FormularPasswordElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularPasswordElement_converter;
#else
root = (rootView__TPPprootView_FormularPasswordElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularPasswordElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularPasswordElement_converter)list;
{ rootView__TPPprootView_FormularPasswordElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularPasswordElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularPasswordElement_redisplay (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularPasswordElement_redisplay (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularPasswordElement_redisplay _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularPasswordElement_redisplay;
#else
_currn = (rootView__TPPprootView_FormularPasswordElement_redisplay) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularPasswordElement_redisplay));
#endif
_currn->_prod = rootView_RULEprootView_FormularPasswordElement_redisplay;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularPasswordElement_redisplay;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularPasswordElement_redisplay */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7)
#else
NODEPTR rootView_MkprootView_FormularDateElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
#endif
{	rootView__TPPprootView_FormularDateElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDateElement;
#else
_currn = (rootView__TPPprootView_FormularDateElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularDateElement;
_currn->_desc1 = (rootView__TSProotView_FormularDateElement_name) rootView_MkrootView_FormularDateElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDateElement: root of subtree no. 1 can not be made a rootView_FormularDateElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularDateElement_label) rootView_MkrootView_FormularDateElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDateElement: root of subtree no. 2 can not be made a rootView_FormularDateElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularDateElement_description) rootView_MkrootView_FormularDateElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDateElement: root of subtree no. 3 can not be made a rootView_FormularDateElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularDateElement_pvalue) rootView_MkrootView_FormularDateElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDateElement: root of subtree no. 4 can not be made a rootView_FormularDateElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularDateElement_required) rootView_MkrootView_FormularDateElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDateElement: root of subtree no. 5 can not be made a rootView_FormularDateElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularDateElement_validator) rootView_MkrootView_FormularDateElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDateElement: root of subtree no. 6 can not be made a rootView_FormularDateElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularDateElement_converter) rootView_MkrootView_FormularDateElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDateElement: root of subtree no. 7 can not be made a rootView_FormularDateElement_converter node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDateElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDateElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDateElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDateElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDateElement_name;
#else
_currn = (rootView__TPPprootView_FormularDateElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularDateElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDateElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDateElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDateElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDateElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDateElement_label;
#else
_currn = (rootView__TPPprootView_FormularDateElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularDateElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDateElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDateElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDateElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDateElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDateElement_description;
#else
_currn = (rootView__TPPprootView_FormularDateElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularDateElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDateElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDateElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDateElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDateElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDateElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularDateElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularDateElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDateElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDateElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDateElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDateElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDateElement_required;
#else
_currn = (rootView__TPPprootView_FormularDateElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularDateElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDateElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDateElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularDateElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularDateElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularDateElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularDateElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularDateElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularDateElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularDateElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularDateElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularDateElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularDateElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularDateElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularDateElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularDateElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularDateElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularDateElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularDateElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularDateElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularDateElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularDateElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularDateElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularDateElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularDateElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularDateElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularDateElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularDateElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularDateElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularDateElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularDateElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularDateElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularDateElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularDateElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularDateElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularDateElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularDateElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularDateElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularDateElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularDateElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularDateElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularDateElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularDateElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularDateElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularDateElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularDateElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularDateElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularDateElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularDateElement_validator)
	l =_ElemprootView_FormularDateElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularDateElement_validator)
	r = _ElemprootView_FormularDateElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularDateElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularDateElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularDateElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularDateElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularDateElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularDateElement_validator root;
	rootView__TPPLST_0prootView_FormularDateElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularDateElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularDateElement_validator)
		t = _ElemprootView_FormularDateElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularDateElement_validator)(((rootView__TPPLST_0prootView_FormularDateElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularDateElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularDateElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularDateElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularDateElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularDateElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularDateElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularDateElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularDateElement_validator;
	} this code has been moved to _ElemprootView_FormularDateElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularDateElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularDateElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularDateElement_validator;
	} this code has been moved to _ElemprootView_FormularDateElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularDateElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularDateElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularDateElement_validator;
	} this code has been moved to _ElemprootView_FormularDateElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularDateElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularDateElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularDateElement_validator;
	} this code has been moved to _ElemprootView_FormularDateElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularDateElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularDateElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularDateElement_validator;
	} this code has been moved to _ElemprootView_FormularDateElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularDateElement_validator;
	} this code has been moved to _ElemprootView_FormularDateElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularDateElement_validator;
#else
root = (rootView__TPPprootView_FormularDateElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularDateElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularDateElement_validator)list;
{ rootView__TPPprootView_FormularDateElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularDateElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularDateElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularDateElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularDateElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularDateElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularDateElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularDateElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularDateElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularDateElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularDateElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularDateElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularDateElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularDateElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularDateElement_converter)
	l =_ElemprootView_FormularDateElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularDateElement_converter)
	r = _ElemprootView_FormularDateElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularDateElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularDateElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularDateElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularDateElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDateElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularDateElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularDateElement_converter root;
	rootView__TPPLST_0prootView_FormularDateElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularDateElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularDateElement_converter)
		t = _ElemprootView_FormularDateElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularDateElement_converter)(((rootView__TPPLST_0prootView_FormularDateElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularDateElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularDateElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularDateElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularDateElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularDateElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularDateElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularDateElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularDateElement_converter;
	} this code has been moved to _ElemprootView_FormularDateElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularDateElement_converter;
#else
root = (rootView__TPPprootView_FormularDateElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDateElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularDateElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularDateElement_converter)list;
{ rootView__TPPprootView_FormularDateElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularDateElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
#endif
{	rootView__TPPprootView_FormularFileUploadElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularFileUploadElement;
#else
_currn = (rootView__TPPprootView_FormularFileUploadElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularFileUploadElement;
_currn->_desc1 = (rootView__TSProotView_FormularFileUploadElement_name) rootView_MkrootView_FormularFileUploadElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 1 can not be made a rootView_FormularFileUploadElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularFileUploadElement_label) rootView_MkrootView_FormularFileUploadElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 2 can not be made a rootView_FormularFileUploadElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularFileUploadElement_description) rootView_MkrootView_FormularFileUploadElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 3 can not be made a rootView_FormularFileUploadElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularFileUploadElement_pvalue) rootView_MkrootView_FormularFileUploadElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 4 can not be made a rootView_FormularFileUploadElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularFileUploadElement_required) rootView_MkrootView_FormularFileUploadElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 5 can not be made a rootView_FormularFileUploadElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularFileUploadElement_validator) rootView_MkrootView_FormularFileUploadElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 6 can not be made a rootView_FormularFileUploadElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularFileUploadElement_converter) rootView_MkrootView_FormularFileUploadElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 7 can not be made a rootView_FormularFileUploadElement_converter node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_FormularFileUploadElement_accept) rootView_MkrootView_FormularFileUploadElement_accept (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularFileUploadElement: root of subtree no. 8 can not be made a rootView_FormularFileUploadElement_accept node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularFileUploadElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularFileUploadElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularFileUploadElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularFileUploadElement_name;
#else
_currn = (rootView__TPPprootView_FormularFileUploadElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularFileUploadElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularFileUploadElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularFileUploadElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularFileUploadElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularFileUploadElement_label;
#else
_currn = (rootView__TPPprootView_FormularFileUploadElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularFileUploadElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularFileUploadElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularFileUploadElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularFileUploadElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularFileUploadElement_description;
#else
_currn = (rootView__TPPprootView_FormularFileUploadElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularFileUploadElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularFileUploadElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularFileUploadElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularFileUploadElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularFileUploadElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularFileUploadElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularFileUploadElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularFileUploadElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularFileUploadElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularFileUploadElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularFileUploadElement_required;
#else
_currn = (rootView__TPPprootView_FormularFileUploadElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularFileUploadElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularFileUploadElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularFileUploadElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularFileUploadElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularFileUploadElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularFileUploadElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularFileUploadElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularFileUploadElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularFileUploadElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularFileUploadElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularFileUploadElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularFileUploadElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularFileUploadElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularFileUploadElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularFileUploadElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularFileUploadElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularFileUploadElement_validator)
	l =_ElemprootView_FormularFileUploadElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularFileUploadElement_validator)
	r = _ElemprootView_FormularFileUploadElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularFileUploadElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularFileUploadElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularFileUploadElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularFileUploadElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularFileUploadElement_validator root;
	rootView__TPPLST_0prootView_FormularFileUploadElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularFileUploadElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularFileUploadElement_validator)
		t = _ElemprootView_FormularFileUploadElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularFileUploadElement_validator)(((rootView__TPPLST_0prootView_FormularFileUploadElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularFileUploadElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularFileUploadElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularFileUploadElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularFileUploadElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularFileUploadElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularFileUploadElement_validator;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularFileUploadElement_validator;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularFileUploadElement_validator;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularFileUploadElement_validator;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularFileUploadElement_validator;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularFileUploadElement_validator;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularFileUploadElement_validator;
#else
root = (rootView__TPPprootView_FormularFileUploadElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularFileUploadElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularFileUploadElement_validator)list;
{ rootView__TPPprootView_FormularFileUploadElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularFileUploadElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularFileUploadElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularFileUploadElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularFileUploadElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularFileUploadElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularFileUploadElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularFileUploadElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularFileUploadElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularFileUploadElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularFileUploadElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularFileUploadElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularFileUploadElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularFileUploadElement_converter)
	l =_ElemprootView_FormularFileUploadElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularFileUploadElement_converter)
	r = _ElemprootView_FormularFileUploadElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularFileUploadElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularFileUploadElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularFileUploadElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularFileUploadElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularFileUploadElement_converter root;
	rootView__TPPLST_0prootView_FormularFileUploadElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularFileUploadElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularFileUploadElement_converter)
		t = _ElemprootView_FormularFileUploadElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularFileUploadElement_converter)(((rootView__TPPLST_0prootView_FormularFileUploadElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularFileUploadElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularFileUploadElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularFileUploadElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularFileUploadElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularFileUploadElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularFileUploadElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularFileUploadElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularFileUploadElement_converter;
	} this code has been moved to _ElemprootView_FormularFileUploadElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularFileUploadElement_converter;
#else
root = (rootView__TPPprootView_FormularFileUploadElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularFileUploadElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularFileUploadElement_converter)list;
{ rootView__TPPprootView_FormularFileUploadElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularFileUploadElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularFileUploadElement_accept (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularFileUploadElement_accept (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularFileUploadElement_accept _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularFileUploadElement_accept;
#else
_currn = (rootView__TPPprootView_FormularFileUploadElement_accept) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularFileUploadElement_accept));
#endif
_currn->_prod = rootView_RULEprootView_FormularFileUploadElement_accept;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularFileUploadElement_accept;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularFileUploadElement_accept */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8,_desc9)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
	NODEPTR _desc9;
#endif
{	rootView__TPPprootView_FormularCheckboxElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement;
_currn->_desc1 = (rootView__TSProotView_FormularCheckboxElement_name) rootView_MkrootView_FormularCheckboxElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 1 can not be made a rootView_FormularCheckboxElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularCheckboxElement_label) rootView_MkrootView_FormularCheckboxElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 2 can not be made a rootView_FormularCheckboxElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularCheckboxElement_description) rootView_MkrootView_FormularCheckboxElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 3 can not be made a rootView_FormularCheckboxElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularCheckboxElement_pvalue) rootView_MkrootView_FormularCheckboxElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 4 can not be made a rootView_FormularCheckboxElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularCheckboxElement_required) rootView_MkrootView_FormularCheckboxElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 5 can not be made a rootView_FormularCheckboxElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularCheckboxElement_validator) rootView_MkrootView_FormularCheckboxElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 6 can not be made a rootView_FormularCheckboxElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularCheckboxElement_converter) rootView_MkrootView_FormularCheckboxElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 7 can not be made a rootView_FormularCheckboxElement_converter node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_FormularCheckboxElement_value) rootView_MkrootView_FormularCheckboxElement_value (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 8 can not be made a rootView_FormularCheckboxElement_value node ", 0, _coordref);
_currn->_desc9 = (rootView__TSProotView_FormularCheckboxElement_checked) rootView_MkrootView_FormularCheckboxElement_checked (_coordref, _desc9);	
if (((NODEPTR)_currn->_desc9) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularCheckboxElement: root of subtree no. 9 can not be made a rootView_FormularCheckboxElement_checked node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularCheckboxElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement_name;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularCheckboxElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement_label;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularCheckboxElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement_description;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularCheckboxElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularCheckboxElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement_required;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularCheckboxElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularCheckboxElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularCheckboxElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularCheckboxElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularCheckboxElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularCheckboxElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularCheckboxElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularCheckboxElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularCheckboxElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularCheckboxElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularCheckboxElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularCheckboxElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularCheckboxElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularCheckboxElement_validator)
	l =_ElemprootView_FormularCheckboxElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularCheckboxElement_validator)
	r = _ElemprootView_FormularCheckboxElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularCheckboxElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularCheckboxElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularCheckboxElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularCheckboxElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularCheckboxElement_validator root;
	rootView__TPPLST_0prootView_FormularCheckboxElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularCheckboxElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularCheckboxElement_validator)
		t = _ElemprootView_FormularCheckboxElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularCheckboxElement_validator)(((rootView__TPPLST_0prootView_FormularCheckboxElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularCheckboxElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularCheckboxElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularCheckboxElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularCheckboxElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularCheckboxElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularCheckboxElement_validator;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularCheckboxElement_validator;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularCheckboxElement_validator;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularCheckboxElement_validator;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularCheckboxElement_validator;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularCheckboxElement_validator;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularCheckboxElement_validator;
#else
root = (rootView__TPPprootView_FormularCheckboxElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularCheckboxElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularCheckboxElement_validator)list;
{ rootView__TPPprootView_FormularCheckboxElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularCheckboxElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularCheckboxElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularCheckboxElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularCheckboxElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularCheckboxElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularCheckboxElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularCheckboxElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularCheckboxElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularCheckboxElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularCheckboxElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularCheckboxElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularCheckboxElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularCheckboxElement_converter)
	l =_ElemprootView_FormularCheckboxElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularCheckboxElement_converter)
	r = _ElemprootView_FormularCheckboxElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularCheckboxElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularCheckboxElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularCheckboxElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularCheckboxElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularCheckboxElement_converter root;
	rootView__TPPLST_0prootView_FormularCheckboxElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularCheckboxElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularCheckboxElement_converter)
		t = _ElemprootView_FormularCheckboxElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularCheckboxElement_converter)(((rootView__TPPLST_0prootView_FormularCheckboxElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularCheckboxElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularCheckboxElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularCheckboxElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularCheckboxElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularCheckboxElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularCheckboxElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularCheckboxElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularCheckboxElement_converter;
	} this code has been moved to _ElemprootView_FormularCheckboxElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularCheckboxElement_converter;
#else
root = (rootView__TPPprootView_FormularCheckboxElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularCheckboxElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularCheckboxElement_converter)list;
{ rootView__TPPprootView_FormularCheckboxElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularCheckboxElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularCheckboxElement_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement_value;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_value));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularCheckboxElement_checked (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularCheckboxElement_checked (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularCheckboxElement_checked _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularCheckboxElement_checked;
#else
_currn = (rootView__TPPprootView_FormularCheckboxElement_checked) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularCheckboxElement_checked));
#endif
_currn->_prod = rootView_RULEprootView_FormularCheckboxElement_checked;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularCheckboxElement_checked;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularCheckboxElement_checked */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10)
#else
NODEPTR rootView_MkprootView_FormularSelectElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8,_desc9,_desc10)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
	NODEPTR _desc9;
	NODEPTR _desc10;
#endif
{	rootView__TPPprootView_FormularSelectElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement;
#else
_currn = (rootView__TPPprootView_FormularSelectElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement;
_currn->_desc1 = (rootView__TSProotView_FormularSelectElement_name) rootView_MkrootView_FormularSelectElement_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 1 can not be made a rootView_FormularSelectElement_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularSelectElement_label) rootView_MkrootView_FormularSelectElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 2 can not be made a rootView_FormularSelectElement_label node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularSelectElement_description) rootView_MkrootView_FormularSelectElement_description (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 3 can not be made a rootView_FormularSelectElement_description node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularSelectElement_pvalue) rootView_MkrootView_FormularSelectElement_pvalue (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 4 can not be made a rootView_FormularSelectElement_pvalue node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_FormularSelectElement_required) rootView_MkrootView_FormularSelectElement_required (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 5 can not be made a rootView_FormularSelectElement_required node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_FormularSelectElement_validator) rootView_MkrootView_FormularSelectElement_validator (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 6 can not be made a rootView_FormularSelectElement_validator node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_FormularSelectElement_converter) rootView_MkrootView_FormularSelectElement_converter (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 7 can not be made a rootView_FormularSelectElement_converter node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_FormularSelectElement_options) rootView_MkrootView_FormularSelectElement_options (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 8 can not be made a rootView_FormularSelectElement_options node ", 0, _coordref);
_currn->_desc9 = (rootView__TSProotView_FormularSelectElement_size) rootView_MkrootView_FormularSelectElement_size (_coordref, _desc9);	
if (((NODEPTR)_currn->_desc9) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 9 can not be made a rootView_FormularSelectElement_size node ", 0, _coordref);
_currn->_desc10 = (rootView__TSProotView_FormularSelectElement_multiple) rootView_MkrootView_FormularSelectElement_multiple (_coordref, _desc10);	
if (((NODEPTR)_currn->_desc10) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularSelectElement: root of subtree no. 10 can not be made a rootView_FormularSelectElement_multiple node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularSelectElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement_name;
#else
_currn = (rootView__TPPprootView_FormularSelectElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularSelectElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement_label;
#else
_currn = (rootView__TPPprootView_FormularSelectElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_description (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_description (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularSelectElement_description _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement_description;
#else
_currn = (rootView__TPPprootView_FormularSelectElement_description) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_description));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement_description;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement_description;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement_description */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_pvalue (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_pvalue (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularSelectElement_pvalue _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement_pvalue;
#else
_currn = (rootView__TPPprootView_FormularSelectElement_pvalue) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_pvalue));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement_pvalue;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement_pvalue;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement_pvalue */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_required (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_required (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularSelectElement_required _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement_required;
#else
_currn = (rootView__TPPprootView_FormularSelectElement_required) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_required));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement_required;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement_required;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement_required */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_EmailValidatorprootView_FormularSelectElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_EmailValidatorprootView_FormularSelectElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_EmailValidatorprootView_FormularSelectElement_validator;
#else
	_new = (rootView__TPPLST_rootView_EmailValidatorprootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_EmailValidatorprootView_FormularSelectElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_EmailValidatorprootView_FormularSelectElement_validator;
	_new->_desc1 = (rootView__TSProotView_EmailValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_validator)_new;
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularSelectElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularSelectElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_CreditCardValidatorprootView_FormularSelectElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator;
#else
	_new = (rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator;
	_new->_desc1 = (rootView__TSProotView_CreditCardValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_validator)_new;
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_RegExprValidatorprootView_FormularSelectElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_RegExprValidatorprootView_FormularSelectElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_RegExprValidatorprootView_FormularSelectElement_validator;
#else
	_new = (rootView__TPPLST_rootView_RegExprValidatorprootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_RegExprValidatorprootView_FormularSelectElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_RegExprValidatorprootView_FormularSelectElement_validator;
	_new->_desc1 = (rootView__TSProotView_RegExprValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_validator)_new;
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularSelectElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularSelectElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_StringLengthValidatorprootView_FormularSelectElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator;
#else
	_new = (rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator;
	_new->_desc1 = (rootView__TSProotView_StringLengthValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_validator)_new;
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongRangeValidatorprootView_FormularSelectElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator;
#else
	_new = (rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator;
	_new->_desc1 = (rootView__TSProotView_LongRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_validator)_new;
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleRangeValidatorprootView_FormularSelectElement_validator (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator;
#else
	_new = (rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator;
	_new->_desc1 = (rootView__TSProotView_DoubleRangeValidator)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_validator)_new;
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularSelectElement_validator (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_EmailValidator)) 
		return rootView__MkrootView_EmailValidatorprootView_FormularSelectElement_validator (_coordref, rootView_MkrootView_EmailValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_CreditCardValidator)) 
		return rootView__MkrootView_CreditCardValidatorprootView_FormularSelectElement_validator (_coordref, rootView_MkrootView_CreditCardValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_RegExprValidator)) 
		return rootView__MkrootView_RegExprValidatorprootView_FormularSelectElement_validator (_coordref, rootView_MkrootView_RegExprValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_StringLengthValidator)) 
		return rootView__MkrootView_StringLengthValidatorprootView_FormularSelectElement_validator (_coordref, rootView_MkrootView_StringLengthValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongRangeValidator)) 
		return rootView__MkrootView_LongRangeValidatorprootView_FormularSelectElement_validator (_coordref, rootView_MkrootView_LongRangeValidator (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleRangeValidator)) 
		return rootView__MkrootView_DoubleRangeValidatorprootView_FormularSelectElement_validator (_coordref, rootView_MkrootView_DoubleRangeValidator (_coordref, t));
	message (DEADLY, "a prootView_FormularSelectElement_validator list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularSelectElement_validator (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_validator)
	l =_ElemprootView_FormularSelectElement_validator (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_validator)
	r = _ElemprootView_FormularSelectElement_validator (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularSelectElement_validator)r)->_desc2);
((rootView__TPPLST_0prootView_FormularSelectElement_validator)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularSelectElement_validator)l)->_desc2;
((rootView__TPPLST_0prootView_FormularSelectElement_validator)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_validator (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_validator (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularSelectElement_validator root;
	rootView__TPPLST_0prootView_FormularSelectElement_validator list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularSelectElement_validator)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_validator)
		t = _ElemprootView_FormularSelectElement_validator (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularSelectElement_validator)(((rootView__TPPLST_0prootView_FormularSelectElement_validator) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularSelectElement_validator) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularSelectElement_validator;
#else
list = (rootView__TPPLST_0prootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularSelectElement_validator));
#endif
list->_prod = rootView_RULELST_0prootView_FormularSelectElement_validator;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularSelectElement_validator)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_EmailValidatorprootView_FormularSelectElement_validator)
	{rootView__TPPLST_rootView_EmailValidatorprootView_FormularSelectElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_EmailValidatorprootView_FormularSelectElement_validator;
	} this code has been moved to _ElemprootView_FormularSelectElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator)
	{rootView__TPPLST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_CreditCardValidatorprootView_FormularSelectElement_validator;
	} this code has been moved to _ElemprootView_FormularSelectElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_RegExprValidatorprootView_FormularSelectElement_validator)
	{rootView__TPPLST_rootView_RegExprValidatorprootView_FormularSelectElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_RegExprValidatorprootView_FormularSelectElement_validator;
	} this code has been moved to _ElemprootView_FormularSelectElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator)
	{rootView__TPPLST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_StringLengthValidatorprootView_FormularSelectElement_validator;
	} this code has been moved to _ElemprootView_FormularSelectElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator)
	{rootView__TPPLST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongRangeValidatorprootView_FormularSelectElement_validator;
	} this code has been moved to _ElemprootView_FormularSelectElement_validator*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator)
	{rootView__TPPLST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleRangeValidatorprootView_FormularSelectElement_validator;
	} this code has been moved to _ElemprootView_FormularSelectElement_validator*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularSelectElement_validator;
#else
root = (rootView__TPPprootView_FormularSelectElement_validator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_validator));
#endif
root->_prod = rootView_RULEprootView_FormularSelectElement_validator;
root->_desc1 = (rootView__TSPLST_rootView_FormularSelectElement_validator)list;
{ rootView__TPPprootView_FormularSelectElement_validator _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularSelectElement_validator;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerNumberConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleNumberConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleNumberConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_IntegerConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_IntegerConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_IntegerConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_IntegerConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_IntegerConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_IntegerConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_IntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_LongConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_LongConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_LongConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_LongConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_LongConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_LongConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_LongConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_LongConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BigIntegerConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_BigIntegerConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FloatConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FloatConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FloatConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_FloatConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FloatConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_FloatConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_FloatConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DoubleConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DoubleConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DoubleConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DoubleConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DoubleConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DoubleConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_DoubleConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BooleanConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BooleanConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BooleanConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_BooleanConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BooleanConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_BooleanConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_BooleanConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DateTimeConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DateTimeConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DateTimeConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_DateTimeConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DateTimeConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_DateTimeConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_DateTimeConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PatternConverterprootView_FormularSelectElement_converter (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PatternConverterprootView_FormularSelectElement_converter _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PatternConverterprootView_FormularSelectElement_converter;
#else
	_new = (rootView__TPPLST_rootView_PatternConverterprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PatternConverterprootView_FormularSelectElement_converter));
#endif
	_new->_prod = rootView_RULELST_rootView_PatternConverterprootView_FormularSelectElement_converter;
	_new->_desc1 = (rootView__TSProotView_PatternConverter)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_converter)_new;
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularSelectElement_converter _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularSelectElement_converter;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularSelectElement_converter (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerNumberConverter)) 
		return rootView__MkrootView_IntegerNumberConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_IntegerNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleNumberConverter)) 
		return rootView__MkrootView_DoubleNumberConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_DoubleNumberConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_IntegerConverter)) 
		return rootView__MkrootView_IntegerConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_IntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_LongConverter)) 
		return rootView__MkrootView_LongConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_LongConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BigIntegerConverter)) 
		return rootView__MkrootView_BigIntegerConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_BigIntegerConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FloatConverter)) 
		return rootView__MkrootView_FloatConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_FloatConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DoubleConverter)) 
		return rootView__MkrootView_DoubleConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_DoubleConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_BooleanConverter)) 
		return rootView__MkrootView_BooleanConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_BooleanConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_DateTimeConverter)) 
		return rootView__MkrootView_DateTimeConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_DateTimeConverter (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PatternConverter)) 
		return rootView__MkrootView_PatternConverterprootView_FormularSelectElement_converter (_coordref, rootView_MkrootView_PatternConverter (_coordref, t));
	message (DEADLY, "a prootView_FormularSelectElement_converter list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularSelectElement_converter (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_converter)
	l =_ElemprootView_FormularSelectElement_converter (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_converter)
	r = _ElemprootView_FormularSelectElement_converter (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularSelectElement_converter)r)->_desc2);
((rootView__TPPLST_0prootView_FormularSelectElement_converter)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularSelectElement_converter)l)->_desc2;
((rootView__TPPLST_0prootView_FormularSelectElement_converter)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_converter (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_converter (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularSelectElement_converter root;
	rootView__TPPLST_0prootView_FormularSelectElement_converter list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularSelectElement_converter)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_converter)
		t = _ElemprootView_FormularSelectElement_converter (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularSelectElement_converter)(((rootView__TPPLST_0prootView_FormularSelectElement_converter) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularSelectElement_converter) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularSelectElement_converter;
#else
list = (rootView__TPPLST_0prootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularSelectElement_converter));
#endif
list->_prod = rootView_RULELST_0prootView_FormularSelectElement_converter;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularSelectElement_converter)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerNumberConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleNumberConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_IntegerConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_IntegerConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_IntegerConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_LongConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_LongConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_LongConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BigIntegerConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FloatConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_FloatConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_FloatConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DoubleConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_DoubleConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DoubleConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_BooleanConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_BooleanConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_BooleanConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_DateTimeConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_DateTimeConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_DateTimeConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PatternConverterprootView_FormularSelectElement_converter)
	{rootView__TPPLST_rootView_PatternConverterprootView_FormularSelectElement_converter _currn = _currn;
	 rootView__TERMACT_LST_rootView_PatternConverterprootView_FormularSelectElement_converter;
	} this code has been moved to _ElemprootView_FormularSelectElement_converter*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularSelectElement_converter;
#else
root = (rootView__TPPprootView_FormularSelectElement_converter) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_converter));
#endif
root->_prod = rootView_RULEprootView_FormularSelectElement_converter;
root->_desc1 = (rootView__TSPLST_rootView_FormularSelectElement_converter)list;
{ rootView__TPPprootView_FormularSelectElement_converter _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularSelectElement_converter;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularConstantSelectOptionprootView_FormularSelectElement_options (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularConstantSelectOptionprootView_FormularSelectElement_options (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options;
#else
	_new = (rootView__TPPLST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options;
	_new->_desc1 = (rootView__TSProotView_FormularConstantSelectOption)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_options)_new;
	{rootView__TPPLST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options;
#else
	_new = (rootView__TPPLST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options));
#endif
	_new->_prod = rootView_RULELST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options;
	_new->_desc1 = (rootView__TSProotView_FormularDataSourceSelectOption)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularSelectElement_options)_new;
	{rootView__TPPLST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularSelectElement_options (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularSelectElement_options (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularConstantSelectOption)) 
		return rootView__MkrootView_FormularConstantSelectOptionprootView_FormularSelectElement_options (_coordref, rootView_MkrootView_FormularConstantSelectOption (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_FormularDataSourceSelectOption)) 
		return rootView__MkrootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options (_coordref, rootView_MkrootView_FormularDataSourceSelectOption (_coordref, t));
	message (DEADLY, "a prootView_FormularSelectElement_options list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularSelectElement_options (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularSelectElement_options (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_options)
	l =_ElemprootView_FormularSelectElement_options (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_options)
	r = _ElemprootView_FormularSelectElement_options (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularSelectElement_options)r)->_desc2);
((rootView__TPPLST_0prootView_FormularSelectElement_options)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularSelectElement_options)l)->_desc2;
((rootView__TPPLST_0prootView_FormularSelectElement_options)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_options (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_options (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularSelectElement_options root;
	rootView__TPPLST_0prootView_FormularSelectElement_options list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularSelectElement_options)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularSelectElement_options)
		t = _ElemprootView_FormularSelectElement_options (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularSelectElement_options)(((rootView__TPPLST_0prootView_FormularSelectElement_options) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularSelectElement_options) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularSelectElement_options;
#else
list = (rootView__TPPLST_0prootView_FormularSelectElement_options) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularSelectElement_options));
#endif
list->_prod = rootView_RULELST_0prootView_FormularSelectElement_options;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularSelectElement_options)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options)
	{rootView__TPPLST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularConstantSelectOptionprootView_FormularSelectElement_options;
	} this code has been moved to _ElemprootView_FormularSelectElement_options*/
	/*if (_currn->_prod == rootView_RULELST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options)
	{rootView__TPPLST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options _currn = _currn;
	 rootView__TERMACT_LST_rootView_FormularDataSourceSelectOptionprootView_FormularSelectElement_options;
	} this code has been moved to _ElemprootView_FormularSelectElement_options*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularSelectElement_options;
#else
root = (rootView__TPPprootView_FormularSelectElement_options) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_options));
#endif
root->_prod = rootView_RULEprootView_FormularSelectElement_options;
root->_desc1 = (rootView__TSPLST_rootView_FormularSelectElement_options)list;
{ rootView__TPPprootView_FormularSelectElement_options _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularSelectElement_options;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_size (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_size (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularSelectElement_size _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement_size;
#else
_currn = (rootView__TPPprootView_FormularSelectElement_size) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_size));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement_size;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement_size;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement_size */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularSelectElement_multiple (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularSelectElement_multiple (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularSelectElement_multiple _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularSelectElement_multiple;
#else
_currn = (rootView__TPPprootView_FormularSelectElement_multiple) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularSelectElement_multiple));
#endif
_currn->_prod = rootView_RULEprootView_FormularSelectElement_multiple;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularSelectElement_multiple;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularSelectElement_multiple */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularConstantSelectOption (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_FormularConstantSelectOption (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_FormularConstantSelectOption _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularConstantSelectOption;
#else
_currn = (rootView__TPPprootView_FormularConstantSelectOption) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularConstantSelectOption));
#endif
_currn->_prod = rootView_RULEprootView_FormularConstantSelectOption;
_currn->_desc1 = (rootView__TSProotView_FormularConstantSelectOption_options) rootView_MkrootView_FormularConstantSelectOption_options (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularConstantSelectOption: root of subtree no. 1 can not be made a rootView_FormularConstantSelectOption_options node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularConstantSelectOption;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularConstantSelectOption */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_SelectOptionprootView_FormularConstantSelectOption_options (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_SelectOptionprootView_FormularConstantSelectOption_options (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_SelectOptionprootView_FormularConstantSelectOption_options _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_SelectOptionprootView_FormularConstantSelectOption_options;
#else
	_new = (rootView__TPPLST_rootView_SelectOptionprootView_FormularConstantSelectOption_options) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_SelectOptionprootView_FormularConstantSelectOption_options));
#endif
	_new->_prod = rootView_RULELST_rootView_SelectOptionprootView_FormularConstantSelectOption_options;
	_new->_desc1 = (rootView__TSProotView_SelectOption)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_FormularConstantSelectOption_options)_new;
	{rootView__TPPLST_rootView_SelectOptionprootView_FormularConstantSelectOption_options _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_SelectOptionprootView_FormularConstantSelectOption_options;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_FormularConstantSelectOption_options (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_FormularConstantSelectOption_options (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_SelectOption)) 
		return rootView__MkrootView_SelectOptionprootView_FormularConstantSelectOption_options (_coordref, rootView_MkrootView_SelectOption (_coordref, t));
	message (DEADLY, "a prootView_FormularConstantSelectOption_options list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_FormularConstantSelectOption_options (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_FormularConstantSelectOption_options (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_FormularConstantSelectOption_options)
	l =_ElemprootView_FormularConstantSelectOption_options (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_FormularConstantSelectOption_options)
	r = _ElemprootView_FormularConstantSelectOption_options (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_FormularConstantSelectOption_options)r)->_desc2);
((rootView__TPPLST_0prootView_FormularConstantSelectOption_options)r)->_desc2 = ((rootView__TPPLST_0prootView_FormularConstantSelectOption_options)l)->_desc2;
((rootView__TPPLST_0prootView_FormularConstantSelectOption_options)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularConstantSelectOption_options (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_FormularConstantSelectOption_options (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_FormularConstantSelectOption_options root;
	rootView__TPPLST_0prootView_FormularConstantSelectOption_options list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_FormularConstantSelectOption_options)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_FormularConstantSelectOption_options)
		t = _ElemprootView_FormularConstantSelectOption_options (_coordref, t);
	remain = (rootView__TPPLST_0prootView_FormularConstantSelectOption_options)(((rootView__TPPLST_0prootView_FormularConstantSelectOption_options) t)->_desc2);
	((rootView__TPPLST_0prootView_FormularConstantSelectOption_options) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_FormularConstantSelectOption_options;
#else
list = (rootView__TPPLST_0prootView_FormularConstantSelectOption_options) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_FormularConstantSelectOption_options));
#endif
list->_prod = rootView_RULELST_0prootView_FormularConstantSelectOption_options;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_FormularConstantSelectOption_options)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_SelectOptionprootView_FormularConstantSelectOption_options)
	{rootView__TPPLST_rootView_SelectOptionprootView_FormularConstantSelectOption_options _currn = _currn;
	 rootView__TERMACT_LST_rootView_SelectOptionprootView_FormularConstantSelectOption_options;
	} this code has been moved to _ElemprootView_FormularConstantSelectOption_options*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_FormularConstantSelectOption_options;
#else
root = (rootView__TPPprootView_FormularConstantSelectOption_options) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularConstantSelectOption_options));
#endif
root->_prod = rootView_RULEprootView_FormularConstantSelectOption_options;
root->_desc1 = (rootView__TSPLST_rootView_FormularConstantSelectOption_options)list;
{ rootView__TPPprootView_FormularConstantSelectOption_options _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_FormularConstantSelectOption_options;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SelectOption (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_SelectOption (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_SelectOption _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SelectOption;
#else
_currn = (rootView__TPPprootView_SelectOption) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SelectOption));
#endif
_currn->_prod = rootView_RULEprootView_SelectOption;
_currn->_desc1 = (rootView__TSProotView_SelectOption_value) rootView_MkrootView_SelectOption_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SelectOption: root of subtree no. 1 can not be made a rootView_SelectOption_value node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_SelectOption_label) rootView_MkrootView_SelectOption_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_SelectOption: root of subtree no. 2 can not be made a rootView_SelectOption_label node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_SelectOption;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SelectOption */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SelectOption_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SelectOption_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SelectOption_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SelectOption_value;
#else
_currn = (rootView__TPPprootView_SelectOption_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SelectOption_value));
#endif
_currn->_prod = rootView_RULEprootView_SelectOption_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SelectOption_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SelectOption_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_SelectOption_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_SelectOption_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_SelectOption_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_SelectOption_label;
#else
_currn = (rootView__TPPprootView_SelectOption_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_SelectOption_label));
#endif
_currn->_prod = rootView_RULEprootView_SelectOption_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_SelectOption_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_SelectOption_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_FormularDataSourceSelectOption _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDataSourceSelectOption;
#else
_currn = (rootView__TPPprootView_FormularDataSourceSelectOption) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDataSourceSelectOption));
#endif
_currn->_prod = rootView_RULEprootView_FormularDataSourceSelectOption;
_currn->_desc1 = (rootView__TSProotView_FormularDataSourceSelectOption_name) rootView_MkrootView_FormularDataSourceSelectOption_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDataSourceSelectOption: root of subtree no. 1 can not be made a rootView_FormularDataSourceSelectOption_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularDataSourceSelectOption_dataSource) rootView_MkrootView_FormularDataSourceSelectOption_dataSource (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDataSourceSelectOption: root of subtree no. 2 can not be made a rootView_FormularDataSourceSelectOption_dataSource node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_FormularDataSourceSelectOption_value) rootView_MkrootView_FormularDataSourceSelectOption_value (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDataSourceSelectOption: root of subtree no. 3 can not be made a rootView_FormularDataSourceSelectOption_value node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_FormularDataSourceSelectOption_label) rootView_MkrootView_FormularDataSourceSelectOption_label (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularDataSourceSelectOption: root of subtree no. 4 can not be made a rootView_FormularDataSourceSelectOption_label node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDataSourceSelectOption;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDataSourceSelectOption */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDataSourceSelectOption_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDataSourceSelectOption_name;
#else
_currn = (rootView__TPPprootView_FormularDataSourceSelectOption_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDataSourceSelectOption_name));
#endif
_currn->_prod = rootView_RULEprootView_FormularDataSourceSelectOption_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDataSourceSelectOption_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDataSourceSelectOption_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_dataSource (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_dataSource (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDataSourceSelectOption_dataSource _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDataSourceSelectOption_dataSource;
#else
_currn = (rootView__TPPprootView_FormularDataSourceSelectOption_dataSource) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDataSourceSelectOption_dataSource));
#endif
_currn->_prod = rootView_RULEprootView_FormularDataSourceSelectOption_dataSource;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDataSourceSelectOption_dataSource;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDataSourceSelectOption_dataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDataSourceSelectOption_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDataSourceSelectOption_value;
#else
_currn = (rootView__TPPprootView_FormularDataSourceSelectOption_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDataSourceSelectOption_value));
#endif
_currn->_prod = rootView_RULEprootView_FormularDataSourceSelectOption_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDataSourceSelectOption_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDataSourceSelectOption_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularDataSourceSelectOption_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularDataSourceSelectOption_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularDataSourceSelectOption_label;
#else
_currn = (rootView__TPPprootView_FormularDataSourceSelectOption_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularDataSourceSelectOption_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularDataSourceSelectOption_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularDataSourceSelectOption_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularDataSourceSelectOption_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_FormularRadioElement (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_FormularRadioElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioElement;
#else
_currn = (rootView__TPPprootView_FormularRadioElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioElement));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioElement;
_currn->_desc1 = (rootView__TSProotView_FormularRadioElement_value) rootView_MkrootView_FormularRadioElement_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioElement: root of subtree no. 1 can not be made a rootView_FormularRadioElement_value node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_FormularRadioElement_label) rootView_MkrootView_FormularRadioElement_label (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_FormularRadioElement: root of subtree no. 2 can not be made a rootView_FormularRadioElement_label node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioElement_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioElement_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioElement_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioElement_value;
#else
_currn = (rootView__TPPprootView_FormularRadioElement_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioElement_value));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioElement_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioElement_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioElement_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_FormularRadioElement_label (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_FormularRadioElement_label (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_FormularRadioElement_label _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_FormularRadioElement_label;
#else
_currn = (rootView__TPPprootView_FormularRadioElement_label) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_FormularRadioElement_label));
#endif
_currn->_prod = rootView_RULEprootView_FormularRadioElement_label;
_SETCOORD(_currn)
rootView__TERMACT_prootView_FormularRadioElement_label;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_FormularRadioElement_label */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeActualParam (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_WebNodeActualParam (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_WebNodeActualParam _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeActualParam;
#else
_currn = (rootView__TPPprootView_WebNodeActualParam) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeActualParam));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeActualParam;
_currn->_desc1 = (rootView__TSProotView_WebNodeActualParam_formalParam) rootView_MkrootView_WebNodeActualParam_formalParam (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeActualParam: root of subtree no. 1 can not be made a rootView_WebNodeActualParam_formalParam node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebNodeActualParam_expressions) rootView_MkrootView_WebNodeActualParam_expressions (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeActualParam: root of subtree no. 2 can not be made a rootView_WebNodeActualParam_expressions node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeActualParam;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeActualParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeActualParam_formalParam (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebNodeActualParam_formalParam (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebNodeActualParam_formalParam _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeActualParam_formalParam;
#else
_currn = (rootView__TPPprootView_WebNodeActualParam_formalParam) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeActualParam_formalParam));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeActualParam_formalParam;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeActualParam_formalParam;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeActualParam_formalParam */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions;
#else
	_new = (rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions;
	_new->_desc1 = (rootView__TSProotView_WebNodeConstantExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeActualParam_expressions)_new;
	{rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions;
#else
	_new = (rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions;
	_new->_desc1 = (rootView__TSProotView_WebNodeVariableExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeActualParam_expressions)_new;
	{rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions;
#else
	_new = (rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions));
#endif
	_new->_prod = rootView_RULELST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions;
	_new->_desc1 = (rootView__TSProotView_WebNodeSessionExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeActualParam_expressions)_new;
	{rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebNodeActualParam_expressions (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebNodeActualParam_expressions (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeConstantExpression)) 
		return rootView__MkrootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions (_coordref, rootView_MkrootView_WebNodeConstantExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeVariableExpression)) 
		return rootView__MkrootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions (_coordref, rootView_MkrootView_WebNodeVariableExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_WebNodeSessionExpression)) 
		return rootView__MkrootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions (_coordref, rootView_MkrootView_WebNodeSessionExpression (_coordref, t));
	message (DEADLY, "a prootView_WebNodeActualParam_expressions list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebNodeActualParam_expressions (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebNodeActualParam_expressions (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebNodeActualParam_expressions)
	l =_ElemprootView_WebNodeActualParam_expressions (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebNodeActualParam_expressions)
	r = _ElemprootView_WebNodeActualParam_expressions (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebNodeActualParam_expressions)r)->_desc2);
((rootView__TPPLST_0prootView_WebNodeActualParam_expressions)r)->_desc2 = ((rootView__TPPLST_0prootView_WebNodeActualParam_expressions)l)->_desc2;
((rootView__TPPLST_0prootView_WebNodeActualParam_expressions)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeActualParam_expressions (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebNodeActualParam_expressions (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebNodeActualParam_expressions root;
	rootView__TPPLST_0prootView_WebNodeActualParam_expressions list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebNodeActualParam_expressions)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebNodeActualParam_expressions)
		t = _ElemprootView_WebNodeActualParam_expressions (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebNodeActualParam_expressions)(((rootView__TPPLST_0prootView_WebNodeActualParam_expressions) t)->_desc2);
	((rootView__TPPLST_0prootView_WebNodeActualParam_expressions) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebNodeActualParam_expressions;
#else
list = (rootView__TPPLST_0prootView_WebNodeActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebNodeActualParam_expressions));
#endif
list->_prod = rootView_RULELST_0prootView_WebNodeActualParam_expressions;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebNodeActualParam_expressions)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions)
	{rootView__TPPLST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeConstantExpressionprootView_WebNodeActualParam_expressions;
	} this code has been moved to _ElemprootView_WebNodeActualParam_expressions*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions)
	{rootView__TPPLST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeVariableExpressionprootView_WebNodeActualParam_expressions;
	} this code has been moved to _ElemprootView_WebNodeActualParam_expressions*/
	/*if (_currn->_prod == rootView_RULELST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions)
	{rootView__TPPLST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions _currn = _currn;
	 rootView__TERMACT_LST_rootView_WebNodeSessionExpressionprootView_WebNodeActualParam_expressions;
	} this code has been moved to _ElemprootView_WebNodeActualParam_expressions*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebNodeActualParam_expressions;
#else
root = (rootView__TPPprootView_WebNodeActualParam_expressions) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeActualParam_expressions));
#endif
root->_prod = rootView_RULEprootView_WebNodeActualParam_expressions;
root->_desc1 = (rootView__TSPLST_rootView_WebNodeActualParam_expressions)list;
{ rootView__TPPprootView_WebNodeActualParam_expressions _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebNodeActualParam_expressions;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MD5Modifier (POSITION *_coordref, int _TERM1)
#else
NODEPTR rootView_MkprootView_MD5Modifier (_coordref, _TERM1)
	POSITION *_coordref;
	int _TERM1;
#endif
{	rootView__TPPprootView_MD5Modifier _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MD5Modifier;
#else
_currn = (rootView__TPPprootView_MD5Modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MD5Modifier));
#endif
_currn->_prod = rootView_RULEprootView_MD5Modifier;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MD5Modifier;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MD5Modifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_JoinModifier (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_JoinModifier (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_JoinModifier _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_JoinModifier;
#else
_currn = (rootView__TPPprootView_JoinModifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_JoinModifier));
#endif
_currn->_prod = rootView_RULEprootView_JoinModifier;
_currn->_desc1 = (rootView__TSProotView_JoinModifier_separator) rootView_MkrootView_JoinModifier_separator (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_JoinModifier: root of subtree no. 1 can not be made a rootView_JoinModifier_separator node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_JoinModifier;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_JoinModifier */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_JoinModifier_separator (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_JoinModifier_separator (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_JoinModifier_separator _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_JoinModifier_separator;
#else
_currn = (rootView__TPPprootView_JoinModifier_separator) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_JoinModifier_separator));
#endif
_currn->_prod = rootView_RULEprootView_JoinModifier_separator;
_SETCOORD(_currn)
rootView__TERMACT_prootView_JoinModifier_separator;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_JoinModifier_separator */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeConstantExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_WebNodeConstantExpression (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_WebNodeConstantExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeConstantExpression;
#else
_currn = (rootView__TPPprootView_WebNodeConstantExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeConstantExpression));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeConstantExpression;
_currn->_desc1 = (rootView__TSProotView_WebNodeConstantExpression_modifier) rootView_MkrootView_WebNodeConstantExpression_modifier (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeConstantExpression: root of subtree no. 1 can not be made a rootView_WebNodeConstantExpression_modifier node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebNodeConstantExpression_value) rootView_MkrootView_WebNodeConstantExpression_value (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeConstantExpression: root of subtree no. 2 can not be made a rootView_WebNodeConstantExpression_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeConstantExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeConstantExpression */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_MD5ModifierprootView_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_MD5ModifierprootView_WebNodeConstantExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier;
#else
	_new = (rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier));
#endif
	_new->_prod = rootView_RULELST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier;
	_new->_desc1 = (rootView__TSProotView_MD5Modifier)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeConstantExpression_modifier)_new;
	{rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_JoinModifierprootView_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_JoinModifierprootView_WebNodeConstantExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier;
#else
	_new = (rootView__TPPLST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier));
#endif
	_new->_prod = rootView_RULELST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier;
	_new->_desc1 = (rootView__TSProotView_JoinModifier)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeConstantExpression_modifier)_new;
	{rootView__TPPLST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebNodeConstantExpression_modifier (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_MD5Modifier)) 
		return rootView__MkrootView_MD5ModifierprootView_WebNodeConstantExpression_modifier (_coordref, rootView_MkrootView_MD5Modifier (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_JoinModifier)) 
		return rootView__MkrootView_JoinModifierprootView_WebNodeConstantExpression_modifier (_coordref, rootView_MkrootView_JoinModifier (_coordref, t));
	message (DEADLY, "a prootView_WebNodeConstantExpression_modifier list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebNodeConstantExpression_modifier (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebNodeConstantExpression_modifier)
	l =_ElemprootView_WebNodeConstantExpression_modifier (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebNodeConstantExpression_modifier)
	r = _ElemprootView_WebNodeConstantExpression_modifier (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier)r)->_desc2);
((rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier)r)->_desc2 = ((rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier)l)->_desc2;
((rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeConstantExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebNodeConstantExpression_modifier (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebNodeConstantExpression_modifier root;
	rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebNodeConstantExpression_modifier)
		t = _ElemprootView_WebNodeConstantExpression_modifier (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier)(((rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier) t)->_desc2);
	((rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebNodeConstantExpression_modifier;
#else
list = (rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebNodeConstantExpression_modifier));
#endif
list->_prod = rootView_RULELST_0prootView_WebNodeConstantExpression_modifier;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebNodeConstantExpression_modifier)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier)
	{rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier _currn = _currn;
	 rootView__TERMACT_LST_rootView_MD5ModifierprootView_WebNodeConstantExpression_modifier;
	} this code has been moved to _ElemprootView_WebNodeConstantExpression_modifier*/
	/*if (_currn->_prod == rootView_RULELST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier)
	{rootView__TPPLST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier _currn = _currn;
	 rootView__TERMACT_LST_rootView_JoinModifierprootView_WebNodeConstantExpression_modifier;
	} this code has been moved to _ElemprootView_WebNodeConstantExpression_modifier*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebNodeConstantExpression_modifier;
#else
root = (rootView__TPPprootView_WebNodeConstantExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeConstantExpression_modifier));
#endif
root->_prod = rootView_RULEprootView_WebNodeConstantExpression_modifier;
root->_desc1 = (rootView__TSPLST_rootView_WebNodeConstantExpression_modifier)list;
{ rootView__TPPprootView_WebNodeConstantExpression_modifier _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebNodeConstantExpression_modifier;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeConstantExpression_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebNodeConstantExpression_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebNodeConstantExpression_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeConstantExpression_value;
#else
_currn = (rootView__TPPprootView_WebNodeConstantExpression_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeConstantExpression_value));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeConstantExpression_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeConstantExpression_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeConstantExpression_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeVariableExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_WebNodeVariableExpression (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_WebNodeVariableExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeVariableExpression;
#else
_currn = (rootView__TPPprootView_WebNodeVariableExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeVariableExpression));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeVariableExpression;
_currn->_desc1 = (rootView__TSProotView_WebNodeVariableExpression_modifier) rootView_MkrootView_WebNodeVariableExpression_modifier (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeVariableExpression: root of subtree no. 1 can not be made a rootView_WebNodeVariableExpression_modifier node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebNodeVariableExpression_content) rootView_MkrootView_WebNodeVariableExpression_content (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeVariableExpression: root of subtree no. 2 can not be made a rootView_WebNodeVariableExpression_content node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeVariableExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeVariableExpression */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_MD5ModifierprootView_WebNodeVariableExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_MD5ModifierprootView_WebNodeVariableExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier;
#else
	_new = (rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier));
#endif
	_new->_prod = rootView_RULELST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier;
	_new->_desc1 = (rootView__TSProotView_MD5Modifier)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeVariableExpression_modifier)_new;
	{rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_JoinModifierprootView_WebNodeVariableExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_JoinModifierprootView_WebNodeVariableExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier;
#else
	_new = (rootView__TPPLST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier));
#endif
	_new->_prod = rootView_RULELST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier;
	_new->_desc1 = (rootView__TSProotView_JoinModifier)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeVariableExpression_modifier)_new;
	{rootView__TPPLST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebNodeVariableExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebNodeVariableExpression_modifier (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_MD5Modifier)) 
		return rootView__MkrootView_MD5ModifierprootView_WebNodeVariableExpression_modifier (_coordref, rootView_MkrootView_MD5Modifier (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_JoinModifier)) 
		return rootView__MkrootView_JoinModifierprootView_WebNodeVariableExpression_modifier (_coordref, rootView_MkrootView_JoinModifier (_coordref, t));
	message (DEADLY, "a prootView_WebNodeVariableExpression_modifier list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebNodeVariableExpression_modifier (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebNodeVariableExpression_modifier (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebNodeVariableExpression_modifier)
	l =_ElemprootView_WebNodeVariableExpression_modifier (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebNodeVariableExpression_modifier)
	r = _ElemprootView_WebNodeVariableExpression_modifier (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier)r)->_desc2);
((rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier)r)->_desc2 = ((rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier)l)->_desc2;
((rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeVariableExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebNodeVariableExpression_modifier (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebNodeVariableExpression_modifier root;
	rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebNodeVariableExpression_modifier)
		t = _ElemprootView_WebNodeVariableExpression_modifier (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier)(((rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier) t)->_desc2);
	((rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebNodeVariableExpression_modifier;
#else
list = (rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebNodeVariableExpression_modifier));
#endif
list->_prod = rootView_RULELST_0prootView_WebNodeVariableExpression_modifier;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebNodeVariableExpression_modifier)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier)
	{rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier _currn = _currn;
	 rootView__TERMACT_LST_rootView_MD5ModifierprootView_WebNodeVariableExpression_modifier;
	} this code has been moved to _ElemprootView_WebNodeVariableExpression_modifier*/
	/*if (_currn->_prod == rootView_RULELST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier)
	{rootView__TPPLST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier _currn = _currn;
	 rootView__TERMACT_LST_rootView_JoinModifierprootView_WebNodeVariableExpression_modifier;
	} this code has been moved to _ElemprootView_WebNodeVariableExpression_modifier*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebNodeVariableExpression_modifier;
#else
root = (rootView__TPPprootView_WebNodeVariableExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeVariableExpression_modifier));
#endif
root->_prod = rootView_RULEprootView_WebNodeVariableExpression_modifier;
root->_desc1 = (rootView__TSPLST_rootView_WebNodeVariableExpression_modifier)list;
{ rootView__TPPprootView_WebNodeVariableExpression_modifier _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebNodeVariableExpression_modifier;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeVariableExpression_content (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebNodeVariableExpression_content (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebNodeVariableExpression_content _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeVariableExpression_content;
#else
_currn = (rootView__TPPprootView_WebNodeVariableExpression_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeVariableExpression_content));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeVariableExpression_content;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeVariableExpression_content;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeVariableExpression_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeSessionExpression (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_WebNodeSessionExpression (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_WebNodeSessionExpression _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeSessionExpression;
#else
_currn = (rootView__TPPprootView_WebNodeSessionExpression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeSessionExpression));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeSessionExpression;
_currn->_desc1 = (rootView__TSProotView_WebNodeSessionExpression_modifier) rootView_MkrootView_WebNodeSessionExpression_modifier (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeSessionExpression: root of subtree no. 1 can not be made a rootView_WebNodeSessionExpression_modifier node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_WebNodeSessionExpression_content) rootView_MkrootView_WebNodeSessionExpression_content (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_WebNodeSessionExpression: root of subtree no. 2 can not be made a rootView_WebNodeSessionExpression_content node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeSessionExpression;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeSessionExpression */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_MD5ModifierprootView_WebNodeSessionExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_MD5ModifierprootView_WebNodeSessionExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier;
#else
	_new = (rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier));
#endif
	_new->_prod = rootView_RULELST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier;
	_new->_desc1 = (rootView__TSProotView_MD5Modifier)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeSessionExpression_modifier)_new;
	{rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_JoinModifierprootView_WebNodeSessionExpression_modifier (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_JoinModifierprootView_WebNodeSessionExpression_modifier (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier;
#else
	_new = (rootView__TPPLST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier));
#endif
	_new->_prod = rootView_RULELST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier;
	_new->_desc1 = (rootView__TSProotView_JoinModifier)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_WebNodeSessionExpression_modifier)_new;
	{rootView__TPPLST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_WebNodeSessionExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_WebNodeSessionExpression_modifier (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_MD5Modifier)) 
		return rootView__MkrootView_MD5ModifierprootView_WebNodeSessionExpression_modifier (_coordref, rootView_MkrootView_MD5Modifier (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_JoinModifier)) 
		return rootView__MkrootView_JoinModifierprootView_WebNodeSessionExpression_modifier (_coordref, rootView_MkrootView_JoinModifier (_coordref, t));
	message (DEADLY, "a prootView_WebNodeSessionExpression_modifier list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_WebNodeSessionExpression_modifier (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_WebNodeSessionExpression_modifier (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_WebNodeSessionExpression_modifier)
	l =_ElemprootView_WebNodeSessionExpression_modifier (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_WebNodeSessionExpression_modifier)
	r = _ElemprootView_WebNodeSessionExpression_modifier (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier)r)->_desc2);
((rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier)r)->_desc2 = ((rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier)l)->_desc2;
((rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeSessionExpression_modifier (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_WebNodeSessionExpression_modifier (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_WebNodeSessionExpression_modifier root;
	rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_WebNodeSessionExpression_modifier)
		t = _ElemprootView_WebNodeSessionExpression_modifier (_coordref, t);
	remain = (rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier)(((rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier) t)->_desc2);
	((rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_WebNodeSessionExpression_modifier;
#else
list = (rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_WebNodeSessionExpression_modifier));
#endif
list->_prod = rootView_RULELST_0prootView_WebNodeSessionExpression_modifier;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_WebNodeSessionExpression_modifier)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier)
	{rootView__TPPLST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier _currn = _currn;
	 rootView__TERMACT_LST_rootView_MD5ModifierprootView_WebNodeSessionExpression_modifier;
	} this code has been moved to _ElemprootView_WebNodeSessionExpression_modifier*/
	/*if (_currn->_prod == rootView_RULELST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier)
	{rootView__TPPLST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier _currn = _currn;
	 rootView__TERMACT_LST_rootView_JoinModifierprootView_WebNodeSessionExpression_modifier;
	} this code has been moved to _ElemprootView_WebNodeSessionExpression_modifier*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_WebNodeSessionExpression_modifier;
#else
root = (rootView__TPPprootView_WebNodeSessionExpression_modifier) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeSessionExpression_modifier));
#endif
root->_prod = rootView_RULEprootView_WebNodeSessionExpression_modifier;
root->_desc1 = (rootView__TSPLST_rootView_WebNodeSessionExpression_modifier)list;
{ rootView__TPPprootView_WebNodeSessionExpression_modifier _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_WebNodeSessionExpression_modifier;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_WebNodeSessionExpression_content (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_WebNodeSessionExpression_content (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_WebNodeSessionExpression_content _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_WebNodeSessionExpression_content;
#else
_currn = (rootView__TPPprootView_WebNodeSessionExpression_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_WebNodeSessionExpression_content));
#endif
_currn->_prod = rootView_RULEprootView_WebNodeSessionExpression_content;
_SETCOORD(_currn)
rootView__TERMACT_prootView_WebNodeSessionExpression_content;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_WebNodeSessionExpression_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputFragment (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_OutputFragment (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_OutputFragment _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputFragment;
#else
_currn = (rootView__TPPprootView_OutputFragment) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputFragment));
#endif
_currn->_prod = rootView_RULEprootView_OutputFragment;
_currn->_desc1 = (rootView__TSProotView_OutputFragment_link) rootView_MkrootView_OutputFragment_link (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_OutputFragment: root of subtree no. 1 can not be made a rootView_OutputFragment_link node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_OutputFragment_content) rootView_MkrootView_OutputFragment_content (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_OutputFragment: root of subtree no. 2 can not be made a rootView_OutputFragment_content node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputFragment;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputFragment */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputFragment_link (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_OutputFragment_link (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_OutputFragment_link _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputFragment_link;
#else
_currn = (rootView__TPPprootView_OutputFragment_link) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputFragment_link));
#endif
_currn->_prod = rootView_RULEprootView_OutputFragment_link;
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputFragment_link;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputFragment_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputFragment_content (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_OutputFragment_content (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_OutputFragment_content _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputFragment_content;
#else
_currn = (rootView__TPPprootView_OutputFragment_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputFragment_content));
#endif
_currn->_prod = rootView_RULEprootView_OutputFragment_content;
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputFragment_content;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputFragment_content */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputMessagesElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_OutputMessagesElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_OutputMessagesElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputMessagesElement;
#else
_currn = (rootView__TPPprootView_OutputMessagesElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputMessagesElement));
#endif
_currn->_prod = rootView_RULEprootView_OutputMessagesElement;
_currn->_desc1 = (rootView__TSProotView_OutputMessagesElement_styleSheetBlock) rootView_MkrootView_OutputMessagesElement_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_OutputMessagesElement: root of subtree no. 1 can not be made a rootView_OutputMessagesElement_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_OutputMessagesElement_errorStyleSheetBlock) rootView_MkrootView_OutputMessagesElement_errorStyleSheetBlock (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_OutputMessagesElement: root of subtree no. 2 can not be made a rootView_OutputMessagesElement_errorStyleSheetBlock node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_OutputMessagesElement_infoStyleSheetBlock) rootView_MkrootView_OutputMessagesElement_infoStyleSheetBlock (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_OutputMessagesElement: root of subtree no. 3 can not be made a rootView_OutputMessagesElement_infoStyleSheetBlock node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_OutputMessagesElement_layout) rootView_MkrootView_OutputMessagesElement_layout (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_OutputMessagesElement: root of subtree no. 4 can not be made a rootView_OutputMessagesElement_layout node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputMessagesElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputMessagesElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputMessagesElement_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_OutputMessagesElement_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_OutputMessagesElement_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputMessagesElement_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_OutputMessagesElement_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputMessagesElement_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_OutputMessagesElement_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputMessagesElement_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputMessagesElement_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputMessagesElement_errorStyleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_OutputMessagesElement_errorStyleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_OutputMessagesElement_errorStyleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputMessagesElement_errorStyleSheetBlock;
#else
_currn = (rootView__TPPprootView_OutputMessagesElement_errorStyleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputMessagesElement_errorStyleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_OutputMessagesElement_errorStyleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputMessagesElement_errorStyleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputMessagesElement_errorStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputMessagesElement_infoStyleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_OutputMessagesElement_infoStyleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_OutputMessagesElement_infoStyleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputMessagesElement_infoStyleSheetBlock;
#else
_currn = (rootView__TPPprootView_OutputMessagesElement_infoStyleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputMessagesElement_infoStyleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_OutputMessagesElement_infoStyleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputMessagesElement_infoStyleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputMessagesElement_infoStyleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_OutputMessagesElement_layout (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_OutputMessagesElement_layout (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_OutputMessagesElement_layout _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_OutputMessagesElement_layout;
#else
_currn = (rootView__TPPprootView_OutputMessagesElement_layout) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_OutputMessagesElement_layout));
#endif
_currn->_prod = rootView_RULEprootView_OutputMessagesElement_layout;
_SETCOORD(_currn)
rootView__TERMACT_prootView_OutputMessagesElement_layout;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_OutputMessagesElement_layout */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputActualParam (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_ListOutputActualParam (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_ListOutputActualParam _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputActualParam;
#else
_currn = (rootView__TPPprootView_ListOutputActualParam) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputActualParam));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputActualParam;
_currn->_desc1 = (rootView__TSProotView_ListOutputActualParam_formalParam) rootView_MkrootView_ListOutputActualParam_formalParam (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputActualParam: root of subtree no. 1 can not be made a rootView_ListOutputActualParam_formalParam node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ListOutputActualParam_expression) rootView_MkrootView_ListOutputActualParam_expression (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputActualParam: root of subtree no. 2 can not be made a rootView_ListOutputActualParam_expression node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputActualParam;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputActualParam */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputActualParam_formalParam (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputActualParam_formalParam (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputActualParam_formalParam _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputActualParam_formalParam;
#else
_currn = (rootView__TPPprootView_ListOutputActualParam_formalParam) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputActualParam_formalParam));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputActualParam_formalParam;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputActualParam_formalParam;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputActualParam_formalParam */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_BinaryExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_BinaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_UnaryExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_UnaryExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_PredefinedExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_PredefinedExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ConstantExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_ConstantExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ColumnValueExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_ColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_ProjectionColumnValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ParameterValueExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_ParameterValueExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ComputationExpressionprootView_ListOutputActualParam_expression (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression;
#else
	_new = (rootView__TPPLST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression));
#endif
	_new->_prod = rootView_RULELST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression;
	_new->_desc1 = (rootView__TSProotView_ComputationExpression)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)_new;
	{rootView__TPPLST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ListOutputActualParam_expression (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_BinaryExpression)) 
		return rootView__MkrootView_BinaryExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_BinaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_UnaryExpression)) 
		return rootView__MkrootView_UnaryExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_UnaryExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_PredefinedExpression)) 
		return rootView__MkrootView_PredefinedExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_PredefinedExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ConstantExpression)) 
		return rootView__MkrootView_ConstantExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_ConstantExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ColumnValueExpression)) 
		return rootView__MkrootView_ColumnValueExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_ColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ProjectionColumnValueExpression)) 
		return rootView__MkrootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_ProjectionColumnValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ParameterValueExpression)) 
		return rootView__MkrootView_ParameterValueExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_ParameterValueExpression (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ComputationExpression)) 
		return rootView__MkrootView_ComputationExpressionprootView_ListOutputActualParam_expression (_coordref, rootView_MkrootView_ComputationExpression (_coordref, t));
	message (DEADLY, "a prootView_ListOutputActualParam_expression list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ListOutputActualParam_expression (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ListOutputActualParam_expression)
	l =_ElemprootView_ListOutputActualParam_expression (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ListOutputActualParam_expression)
	r = _ElemprootView_ListOutputActualParam_expression (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ListOutputActualParam_expression)r)->_desc2);
((rootView__TPPLST_0prootView_ListOutputActualParam_expression)r)->_desc2 = ((rootView__TPPLST_0prootView_ListOutputActualParam_expression)l)->_desc2;
((rootView__TPPLST_0prootView_ListOutputActualParam_expression)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputActualParam_expression (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ListOutputActualParam_expression (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ListOutputActualParam_expression root;
	rootView__TPPLST_0prootView_ListOutputActualParam_expression list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ListOutputActualParam_expression)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ListOutputActualParam_expression)
		t = _ElemprootView_ListOutputActualParam_expression (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ListOutputActualParam_expression)(((rootView__TPPLST_0prootView_ListOutputActualParam_expression) t)->_desc2);
	((rootView__TPPLST_0prootView_ListOutputActualParam_expression) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ListOutputActualParam_expression;
#else
list = (rootView__TPPLST_0prootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ListOutputActualParam_expression));
#endif
list->_prod = rootView_RULELST_0prootView_ListOutputActualParam_expression;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ListOutputActualParam_expression)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_BinaryExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
	/*if (_currn->_prod == rootView_RULELST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_UnaryExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
	/*if (_currn->_prod == rootView_RULELST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_PredefinedExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_ConstantExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_ColumnValueExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_ProjectionColumnValueExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_ParameterValueExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression)
	{rootView__TPPLST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression _currn = _currn;
	 rootView__TERMACT_LST_rootView_ComputationExpressionprootView_ListOutputActualParam_expression;
	} this code has been moved to _ElemprootView_ListOutputActualParam_expression*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ListOutputActualParam_expression;
#else
root = (rootView__TPPprootView_ListOutputActualParam_expression) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputActualParam_expression));
#endif
root->_prod = rootView_RULEprootView_ListOutputActualParam_expression;
root->_desc1 = (rootView__TSPLST_rootView_ListOutputActualParam_expression)list;
{ rootView__TPPprootView_ListOutputActualParam_expression _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ListOutputActualParam_expression;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5, NODEPTR _desc6, NODEPTR _desc7, NODEPTR _desc8, NODEPTR _desc9, NODEPTR _desc10, NODEPTR _desc11)
#else
NODEPTR rootView_MkprootView_ListOutputElement (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5,_desc6,_desc7,_desc8,_desc9,_desc10,_desc11)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
	NODEPTR _desc6;
	NODEPTR _desc7;
	NODEPTR _desc8;
	NODEPTR _desc9;
	NODEPTR _desc10;
	NODEPTR _desc11;
#endif
{	rootView__TPPprootView_ListOutputElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement;
#else
_currn = (rootView__TPPprootView_ListOutputElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement;
_currn->_desc1 = (rootView__TSProotView_ListOutputElement_styleSheetBlock) rootView_MkrootView_ListOutputElement_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 1 can not be made a rootView_ListOutputElement_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ListOutputElement_name) rootView_MkrootView_ListOutputElement_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 2 can not be made a rootView_ListOutputElement_name node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_ListOutputElement_dataSourceActualParams) rootView_MkrootView_ListOutputElement_dataSourceActualParams (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 3 can not be made a rootView_ListOutputElement_dataSourceActualParams node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_ListOutputElement_dataSource) rootView_MkrootView_ListOutputElement_dataSource (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 4 can not be made a rootView_ListOutputElement_dataSource node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_ListOutputElement_maxNumberOfElements) rootView_MkrootView_ListOutputElement_maxNumberOfElements (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 5 can not be made a rootView_ListOutputElement_maxNumberOfElements node ", 0, _coordref);
_currn->_desc6 = (rootView__TSProotView_ListOutputElement_renderAs) rootView_MkrootView_ListOutputElement_renderAs (_coordref, _desc6);	
if (((NODEPTR)_currn->_desc6) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 6 can not be made a rootView_ListOutputElement_renderAs node ", 0, _coordref);
_currn->_desc7 = (rootView__TSProotView_ListOutputElement_navigationElement) rootView_MkrootView_ListOutputElement_navigationElement (_coordref, _desc7);	
if (((NODEPTR)_currn->_desc7) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 7 can not be made a rootView_ListOutputElement_navigationElement node ", 0, _coordref);
_currn->_desc8 = (rootView__TSProotView_ListOutputElement_columns) rootView_MkrootView_ListOutputElement_columns (_coordref, _desc8);	
if (((NODEPTR)_currn->_desc8) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 8 can not be made a rootView_ListOutputElement_columns node ", 0, _coordref);
_currn->_desc9 = (rootView__TSProotView_ListOutputElement_headerStyleClass) rootView_MkrootView_ListOutputElement_headerStyleClass (_coordref, _desc9);	
if (((NODEPTR)_currn->_desc9) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 9 can not be made a rootView_ListOutputElement_headerStyleClass node ", 0, _coordref);
_currn->_desc10 = (rootView__TSProotView_ListOutputElement_evenRowStyleClass) rootView_MkrootView_ListOutputElement_evenRowStyleClass (_coordref, _desc10);	
if (((NODEPTR)_currn->_desc10) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 10 can not be made a rootView_ListOutputElement_evenRowStyleClass node ", 0, _coordref);
_currn->_desc11 = (rootView__TSProotView_ListOutputElement_oddRowStyleClass) rootView_MkrootView_ListOutputElement_oddRowStyleClass (_coordref, _desc11);	
if (((NODEPTR)_currn->_desc11) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputElement: root of subtree no. 11 can not be made a rootView_ListOutputElement_oddRowStyleClass node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_ListOutputElement_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_name;
#else
_currn = (rootView__TPPprootView_ListOutputElement_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_name));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_name */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams;
#else
	_new = (rootView__TPPLST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams));
#endif
	_new->_prod = rootView_RULELST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams;
	_new->_desc1 = (rootView__TSProotView_DataSourceActualParam)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputElement_dataSourceActualParams)_new;
	{rootView__TPPLST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ListOutputElement_dataSourceActualParams (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ListOutputElement_dataSourceActualParams (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_DataSourceActualParam)) 
		return rootView__MkrootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams (_coordref, rootView_MkrootView_DataSourceActualParam (_coordref, t));
	message (DEADLY, "a prootView_ListOutputElement_dataSourceActualParams list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ListOutputElement_dataSourceActualParams (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ListOutputElement_dataSourceActualParams (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ListOutputElement_dataSourceActualParams)
	l =_ElemprootView_ListOutputElement_dataSourceActualParams (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ListOutputElement_dataSourceActualParams)
	r = _ElemprootView_ListOutputElement_dataSourceActualParams (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams)r)->_desc2);
((rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams)r)->_desc2 = ((rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams)l)->_desc2;
((rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_dataSourceActualParams (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ListOutputElement_dataSourceActualParams (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ListOutputElement_dataSourceActualParams root;
	rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ListOutputElement_dataSourceActualParams)
		t = _ElemprootView_ListOutputElement_dataSourceActualParams (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams)(((rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams) t)->_desc2);
	((rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ListOutputElement_dataSourceActualParams;
#else
list = (rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ListOutputElement_dataSourceActualParams));
#endif
list->_prod = rootView_RULELST_0prootView_ListOutputElement_dataSourceActualParams;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ListOutputElement_dataSourceActualParams)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams)
	{rootView__TPPLST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams _currn = _currn;
	 rootView__TERMACT_LST_rootView_DataSourceActualParamprootView_ListOutputElement_dataSourceActualParams;
	} this code has been moved to _ElemprootView_ListOutputElement_dataSourceActualParams*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ListOutputElement_dataSourceActualParams;
#else
root = (rootView__TPPprootView_ListOutputElement_dataSourceActualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_dataSourceActualParams));
#endif
root->_prod = rootView_RULEprootView_ListOutputElement_dataSourceActualParams;
root->_desc1 = (rootView__TSPLST_rootView_ListOutputElement_dataSourceActualParams)list;
{ rootView__TPPprootView_ListOutputElement_dataSourceActualParams _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ListOutputElement_dataSourceActualParams;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_dataSource (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_dataSource (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_dataSource _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_dataSource;
#else
_currn = (rootView__TPPprootView_ListOutputElement_dataSource) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_dataSource));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_dataSource;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_dataSource;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_dataSource */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_maxNumberOfElements (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_maxNumberOfElements (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_maxNumberOfElements _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_maxNumberOfElements;
#else
_currn = (rootView__TPPprootView_ListOutputElement_maxNumberOfElements) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_maxNumberOfElements));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_maxNumberOfElements;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_maxNumberOfElements;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_maxNumberOfElements */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_renderAs (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_renderAs (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_renderAs _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_renderAs;
#else
_currn = (rootView__TPPprootView_ListOutputElement_renderAs) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_renderAs));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_renderAs;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_renderAs;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_renderAs */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_navigationElement (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_navigationElement (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_navigationElement _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_navigationElement;
#else
_currn = (rootView__TPPprootView_ListOutputElement_navigationElement) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_navigationElement));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_navigationElement;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_navigationElement;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_navigationElement */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputColumnprootView_ListOutputElement_columns (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputColumnprootView_ListOutputElement_columns (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputColumnprootView_ListOutputElement_columns _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputColumnprootView_ListOutputElement_columns;
#else
	_new = (rootView__TPPLST_rootView_ListOutputColumnprootView_ListOutputElement_columns) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputColumnprootView_ListOutputElement_columns));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputColumnprootView_ListOutputElement_columns;
	_new->_desc1 = (rootView__TSProotView_ListOutputColumn)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputElement_columns)_new;
	{rootView__TPPLST_rootView_ListOutputColumnprootView_ListOutputElement_columns _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputColumnprootView_ListOutputElement_columns;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ListOutputElement_columns (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ListOutputElement_columns (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputColumn)) 
		return rootView__MkrootView_ListOutputColumnprootView_ListOutputElement_columns (_coordref, rootView_MkrootView_ListOutputColumn (_coordref, t));
	message (DEADLY, "a prootView_ListOutputElement_columns list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ListOutputElement_columns (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ListOutputElement_columns (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ListOutputElement_columns)
	l =_ElemprootView_ListOutputElement_columns (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ListOutputElement_columns)
	r = _ElemprootView_ListOutputElement_columns (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ListOutputElement_columns)r)->_desc2);
((rootView__TPPLST_0prootView_ListOutputElement_columns)r)->_desc2 = ((rootView__TPPLST_0prootView_ListOutputElement_columns)l)->_desc2;
((rootView__TPPLST_0prootView_ListOutputElement_columns)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_columns (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ListOutputElement_columns (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ListOutputElement_columns root;
	rootView__TPPLST_0prootView_ListOutputElement_columns list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ListOutputElement_columns)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ListOutputElement_columns)
		t = _ElemprootView_ListOutputElement_columns (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ListOutputElement_columns)(((rootView__TPPLST_0prootView_ListOutputElement_columns) t)->_desc2);
	((rootView__TPPLST_0prootView_ListOutputElement_columns) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ListOutputElement_columns;
#else
list = (rootView__TPPLST_0prootView_ListOutputElement_columns) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ListOutputElement_columns));
#endif
list->_prod = rootView_RULELST_0prootView_ListOutputElement_columns;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ListOutputElement_columns)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputColumnprootView_ListOutputElement_columns)
	{rootView__TPPLST_rootView_ListOutputColumnprootView_ListOutputElement_columns _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputColumnprootView_ListOutputElement_columns;
	} this code has been moved to _ElemprootView_ListOutputElement_columns*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ListOutputElement_columns;
#else
root = (rootView__TPPprootView_ListOutputElement_columns) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_columns));
#endif
root->_prod = rootView_RULEprootView_ListOutputElement_columns;
root->_desc1 = (rootView__TSPLST_rootView_ListOutputElement_columns)list;
{ rootView__TPPprootView_ListOutputElement_columns _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ListOutputElement_columns;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_headerStyleClass (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_headerStyleClass (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_headerStyleClass _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_headerStyleClass;
#else
_currn = (rootView__TPPprootView_ListOutputElement_headerStyleClass) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_headerStyleClass));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_headerStyleClass;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_headerStyleClass;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_headerStyleClass */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_evenRowStyleClass (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_evenRowStyleClass (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_evenRowStyleClass _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_evenRowStyleClass;
#else
_currn = (rootView__TPPprootView_ListOutputElement_evenRowStyleClass) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_evenRowStyleClass));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_evenRowStyleClass;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_evenRowStyleClass;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_evenRowStyleClass */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputElement_oddRowStyleClass (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputElement_oddRowStyleClass (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputElement_oddRowStyleClass _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputElement_oddRowStyleClass;
#else
_currn = (rootView__TPPprootView_ListOutputElement_oddRowStyleClass) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputElement_oddRowStyleClass));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputElement_oddRowStyleClass;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputElement_oddRowStyleClass;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputElement_oddRowStyleClass */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputColumn (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_ListOutputColumn (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_ListOutputColumn _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputColumn;
#else
_currn = (rootView__TPPprootView_ListOutputColumn) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputColumn));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputColumn;
_currn->_desc1 = (rootView__TSProotView_ListOutputColumn_header) rootView_MkrootView_ListOutputColumn_header (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputColumn: root of subtree no. 1 can not be made a rootView_ListOutputColumn_header node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ListOutputColumn_content) rootView_MkrootView_ListOutputColumn_content (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputColumn: root of subtree no. 2 can not be made a rootView_ListOutputColumn_content node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputColumn;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputColumn */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputColumn_header (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputColumn_header (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputColumn_header _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputColumn_header;
#else
_currn = (rootView__TPPprootView_ListOutputColumn_header) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputColumn_header));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputColumn_header;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputColumn_header;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputColumn_header */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputConstantContentprootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputConstantContentprootView_ListOutputColumn_content (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content;
#else
	_new = (rootView__TPPLST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content;
	_new->_desc1 = (rootView__TSProotView_ListOutputConstantContent)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputColumn_content)_new;
	{rootView__TPPLST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputRefContentprootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputRefContentprootView_ListOutputColumn_content (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputRefContentprootView_ListOutputColumn_content _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputRefContentprootView_ListOutputColumn_content;
#else
	_new = (rootView__TPPLST_rootView_ListOutputRefContentprootView_ListOutputColumn_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputRefContentprootView_ListOutputColumn_content));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputRefContentprootView_ListOutputColumn_content;
	_new->_desc1 = (rootView__TSProotView_ListOutputRefContent)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputColumn_content)_new;
	{rootView__TPPLST_rootView_ListOutputRefContentprootView_ListOutputColumn_content _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputRefContentprootView_ListOutputColumn_content;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputProjectionContentprootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputProjectionContentprootView_ListOutputColumn_content (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content;
#else
	_new = (rootView__TPPLST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content;
	_new->_desc1 = (rootView__TSProotView_ListOutputProjectionContent)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputColumn_content)_new;
	{rootView__TPPLST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputNumerationContentprootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputNumerationContentprootView_ListOutputColumn_content (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content;
#else
	_new = (rootView__TPPLST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content;
	_new->_desc1 = (rootView__TSProotView_ListOutputNumerationContent)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputColumn_content)_new;
	{rootView__TPPLST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content;
#else
	_new = (rootView__TPPLST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content;
	_new->_desc1 = (rootView__TSProotView_ListOutputActionConnectionsContent)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputColumn_content)_new;
	{rootView__TPPLST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ListOutputColumn_content (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputConstantContent)) 
		return rootView__MkrootView_ListOutputConstantContentprootView_ListOutputColumn_content (_coordref, rootView_MkrootView_ListOutputConstantContent (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputRefContent)) 
		return rootView__MkrootView_ListOutputRefContentprootView_ListOutputColumn_content (_coordref, rootView_MkrootView_ListOutputRefContent (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputProjectionContent)) 
		return rootView__MkrootView_ListOutputProjectionContentprootView_ListOutputColumn_content (_coordref, rootView_MkrootView_ListOutputProjectionContent (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputNumerationContent)) 
		return rootView__MkrootView_ListOutputNumerationContentprootView_ListOutputColumn_content (_coordref, rootView_MkrootView_ListOutputNumerationContent (_coordref, t));
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputActionConnectionsContent)) 
		return rootView__MkrootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content (_coordref, rootView_MkrootView_ListOutputActionConnectionsContent (_coordref, t));
	message (DEADLY, "a prootView_ListOutputColumn_content list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ListOutputColumn_content (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ListOutputColumn_content)
	l =_ElemprootView_ListOutputColumn_content (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ListOutputColumn_content)
	r = _ElemprootView_ListOutputColumn_content (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ListOutputColumn_content)r)->_desc2);
((rootView__TPPLST_0prootView_ListOutputColumn_content)r)->_desc2 = ((rootView__TPPLST_0prootView_ListOutputColumn_content)l)->_desc2;
((rootView__TPPLST_0prootView_ListOutputColumn_content)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputColumn_content (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ListOutputColumn_content (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ListOutputColumn_content root;
	rootView__TPPLST_0prootView_ListOutputColumn_content list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ListOutputColumn_content)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ListOutputColumn_content)
		t = _ElemprootView_ListOutputColumn_content (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ListOutputColumn_content)(((rootView__TPPLST_0prootView_ListOutputColumn_content) t)->_desc2);
	((rootView__TPPLST_0prootView_ListOutputColumn_content) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ListOutputColumn_content;
#else
list = (rootView__TPPLST_0prootView_ListOutputColumn_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ListOutputColumn_content));
#endif
list->_prod = rootView_RULELST_0prootView_ListOutputColumn_content;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ListOutputColumn_content)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content)
	{rootView__TPPLST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputConstantContentprootView_ListOutputColumn_content;
	} this code has been moved to _ElemprootView_ListOutputColumn_content*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputRefContentprootView_ListOutputColumn_content)
	{rootView__TPPLST_rootView_ListOutputRefContentprootView_ListOutputColumn_content _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputRefContentprootView_ListOutputColumn_content;
	} this code has been moved to _ElemprootView_ListOutputColumn_content*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content)
	{rootView__TPPLST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputProjectionContentprootView_ListOutputColumn_content;
	} this code has been moved to _ElemprootView_ListOutputColumn_content*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content)
	{rootView__TPPLST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputNumerationContentprootView_ListOutputColumn_content;
	} this code has been moved to _ElemprootView_ListOutputColumn_content*/
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content)
	{rootView__TPPLST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputActionConnectionsContentprootView_ListOutputColumn_content;
	} this code has been moved to _ElemprootView_ListOutputColumn_content*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ListOutputColumn_content;
#else
root = (rootView__TPPprootView_ListOutputColumn_content) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputColumn_content));
#endif
root->_prod = rootView_RULEprootView_ListOutputColumn_content;
root->_desc1 = (rootView__TSPLST_rootView_ListOutputColumn_content)list;
{ rootView__TPPprootView_ListOutputColumn_content _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ListOutputColumn_content;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputConstantContent (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ListOutputConstantContent (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ListOutputConstantContent _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputConstantContent;
#else
_currn = (rootView__TPPprootView_ListOutputConstantContent) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputConstantContent));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputConstantContent;
_currn->_desc1 = (rootView__TSProotView_ListOutputConstantContent_value) rootView_MkrootView_ListOutputConstantContent_value (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputConstantContent: root of subtree no. 1 can not be made a rootView_ListOutputConstantContent_value node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputConstantContent;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputConstantContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputConstantContent_value (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputConstantContent_value (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputConstantContent_value _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputConstantContent_value;
#else
_currn = (rootView__TPPprootView_ListOutputConstantContent_value) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputConstantContent_value));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputConstantContent_value;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputConstantContent_value;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputConstantContent_value */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputRefContent (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ListOutputRefContent (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ListOutputRefContent _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputRefContent;
#else
_currn = (rootView__TPPprootView_ListOutputRefContent) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputRefContent));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputRefContent;
_currn->_desc1 = (rootView__TSProotView_ListOutputRefContent_column) rootView_MkrootView_ListOutputRefContent_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputRefContent: root of subtree no. 1 can not be made a rootView_ListOutputRefContent_column node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputRefContent;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputRefContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputRefContent_column (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputRefContent_column (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputRefContent_column _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputRefContent_column;
#else
_currn = (rootView__TPPprootView_ListOutputRefContent_column) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputRefContent_column));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputRefContent_column;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputRefContent_column;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputRefContent_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputProjectionContent (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ListOutputProjectionContent (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ListOutputProjectionContent _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputProjectionContent;
#else
_currn = (rootView__TPPprootView_ListOutputProjectionContent) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputProjectionContent));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputProjectionContent;
_currn->_desc1 = (rootView__TSProotView_ListOutputProjectionContent_column) rootView_MkrootView_ListOutputProjectionContent_column (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputProjectionContent: root of subtree no. 1 can not be made a rootView_ListOutputProjectionContent_column node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputProjectionContent;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputProjectionContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputProjectionContent_column (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputProjectionContent_column (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputProjectionContent_column _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputProjectionContent_column;
#else
_currn = (rootView__TPPprootView_ListOutputProjectionContent_column) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputProjectionContent_column));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputProjectionContent_column;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputProjectionContent_column;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputProjectionContent_column */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputNumerationContent (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ListOutputNumerationContent (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ListOutputNumerationContent _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputNumerationContent;
#else
_currn = (rootView__TPPprootView_ListOutputNumerationContent) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputNumerationContent));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputNumerationContent;
_currn->_desc1 = (rootView__TSProotView_ListOutputNumerationContent_name) rootView_MkrootView_ListOutputNumerationContent_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputNumerationContent: root of subtree no. 1 can not be made a rootView_ListOutputNumerationContent_name node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputNumerationContent;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputNumerationContent */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputNumerationContent_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ListOutputNumerationContent_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ListOutputNumerationContent_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputNumerationContent_name;
#else
_currn = (rootView__TPPprootView_ListOutputNumerationContent_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputNumerationContent_name));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputNumerationContent_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputNumerationContent_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputNumerationContent_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputActionConnectionsContent (POSITION *_coordref, int _TERM1, NODEPTR _desc1)
#else
NODEPTR rootView_MkprootView_ListOutputActionConnectionsContent (_coordref, _TERM1,_desc1)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
#endif
{	rootView__TPPprootView_ListOutputActionConnectionsContent _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ListOutputActionConnectionsContent;
#else
_currn = (rootView__TPPprootView_ListOutputActionConnectionsContent) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputActionConnectionsContent));
#endif
_currn->_prod = rootView_RULEprootView_ListOutputActionConnectionsContent;
_currn->_desc1 = (rootView__TSProotView_ListOutputActionConnectionsContent_actionConnections) rootView_MkrootView_ListOutputActionConnectionsContent_actionConnections (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ListOutputActionConnectionsContent: root of subtree no. 1 can not be made a rootView_ListOutputActionConnectionsContent_actionConnections node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ListOutputActionConnectionsContent;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ListOutputActionConnectionsContent */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections;
#else
	_new = (rootView__TPPLST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections));
#endif
	_new->_prod = rootView_RULELST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections;
	_new->_desc1 = (rootView__TSProotView_ActionConnection)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ListOutputActionConnectionsContent_actionConnections)_new;
	{rootView__TPPLST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ListOutputActionConnectionsContent_actionConnections (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ListOutputActionConnectionsContent_actionConnections (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ActionConnection)) 
		return rootView__MkrootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections (_coordref, rootView_MkrootView_ActionConnection (_coordref, t));
	message (DEADLY, "a prootView_ListOutputActionConnectionsContent_actionConnections list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ListOutputActionConnectionsContent_actionConnections (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ListOutputActionConnectionsContent_actionConnections (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ListOutputActionConnectionsContent_actionConnections)
	l =_ElemprootView_ListOutputActionConnectionsContent_actionConnections (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ListOutputActionConnectionsContent_actionConnections)
	r = _ElemprootView_ListOutputActionConnectionsContent_actionConnections (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections)r)->_desc2);
((rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections)r)->_desc2 = ((rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections)l)->_desc2;
((rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ListOutputActionConnectionsContent_actionConnections (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ListOutputActionConnectionsContent_actionConnections (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ListOutputActionConnectionsContent_actionConnections root;
	rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ListOutputActionConnectionsContent_actionConnections)
		t = _ElemprootView_ListOutputActionConnectionsContent_actionConnections (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections)(((rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections) t)->_desc2);
	((rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ListOutputActionConnectionsContent_actionConnections;
#else
list = (rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ListOutputActionConnectionsContent_actionConnections));
#endif
list->_prod = rootView_RULELST_0prootView_ListOutputActionConnectionsContent_actionConnections;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ListOutputActionConnectionsContent_actionConnections)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections)
	{rootView__TPPLST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections _currn = _currn;
	 rootView__TERMACT_LST_rootView_ActionConnectionprootView_ListOutputActionConnectionsContent_actionConnections;
	} this code has been moved to _ElemprootView_ListOutputActionConnectionsContent_actionConnections*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ListOutputActionConnectionsContent_actionConnections;
#else
root = (rootView__TPPprootView_ListOutputActionConnectionsContent_actionConnections) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ListOutputActionConnectionsContent_actionConnections));
#endif
root->_prod = rootView_RULEprootView_ListOutputActionConnectionsContent_actionConnections;
root->_desc1 = (rootView__TSPLST_rootView_ListOutputActionConnectionsContent_actionConnections)list;
{ rootView__TPPprootView_ListOutputActionConnectionsContent_actionConnections _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ListOutputActionConnectionsContent_actionConnections;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionConnection (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_ActionConnection (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_ActionConnection _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ActionConnection;
#else
_currn = (rootView__TPPprootView_ActionConnection) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionConnection));
#endif
_currn->_prod = rootView_RULEprootView_ActionConnection;
_currn->_desc1 = (rootView__TSProotView_ActionConnection_action) rootView_MkrootView_ActionConnection_action (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ActionConnection: root of subtree no. 1 can not be made a rootView_ActionConnection_action node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ActionConnection_imageName) rootView_MkrootView_ActionConnection_imageName (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ActionConnection: root of subtree no. 2 can not be made a rootView_ActionConnection_imageName node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_ActionConnection_text) rootView_MkrootView_ActionConnection_text (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ActionConnection: root of subtree no. 3 can not be made a rootView_ActionConnection_text node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_ActionConnection_actualParams) rootView_MkrootView_ActionConnection_actualParams (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ActionConnection: root of subtree no. 4 can not be made a rootView_ActionConnection_actualParams node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ActionConnection;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ActionConnection */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionConnection_action (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ActionConnection_action (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ActionConnection_action _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ActionConnection_action;
#else
_currn = (rootView__TPPprootView_ActionConnection_action) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionConnection_action));
#endif
_currn->_prod = rootView_RULEprootView_ActionConnection_action;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ActionConnection_action;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ActionConnection_action */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionConnection_imageName (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ActionConnection_imageName (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ActionConnection_imageName _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ActionConnection_imageName;
#else
_currn = (rootView__TPPprootView_ActionConnection_imageName) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionConnection_imageName));
#endif
_currn->_prod = rootView_RULEprootView_ActionConnection_imageName;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ActionConnection_imageName;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ActionConnection_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionConnection_text (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ActionConnection_text (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ActionConnection_text _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ActionConnection_text;
#else
_currn = (rootView__TPPprootView_ActionConnection_text) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionConnection_text));
#endif
_currn->_prod = rootView_RULEprootView_ActionConnection_text;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ActionConnection_text;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ActionConnection_text */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_ListOutputActualParamprootView_ActionConnection_actualParams (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_ListOutputActualParamprootView_ActionConnection_actualParams (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams;
#else
	_new = (rootView__TPPLST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams));
#endif
	_new->_prod = rootView_RULELST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams;
	_new->_desc1 = (rootView__TSProotView_ListOutputActualParam)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ActionConnection_actualParams)_new;
	{rootView__TPPLST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ActionConnection_actualParams (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ActionConnection_actualParams (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_ListOutputActualParam)) 
		return rootView__MkrootView_ListOutputActualParamprootView_ActionConnection_actualParams (_coordref, rootView_MkrootView_ListOutputActualParam (_coordref, t));
	message (DEADLY, "a prootView_ActionConnection_actualParams list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ActionConnection_actualParams (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ActionConnection_actualParams (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ActionConnection_actualParams)
	l =_ElemprootView_ActionConnection_actualParams (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ActionConnection_actualParams)
	r = _ElemprootView_ActionConnection_actualParams (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ActionConnection_actualParams)r)->_desc2);
((rootView__TPPLST_0prootView_ActionConnection_actualParams)r)->_desc2 = ((rootView__TPPLST_0prootView_ActionConnection_actualParams)l)->_desc2;
((rootView__TPPLST_0prootView_ActionConnection_actualParams)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ActionConnection_actualParams (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ActionConnection_actualParams (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ActionConnection_actualParams root;
	rootView__TPPLST_0prootView_ActionConnection_actualParams list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ActionConnection_actualParams)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ActionConnection_actualParams)
		t = _ElemprootView_ActionConnection_actualParams (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ActionConnection_actualParams)(((rootView__TPPLST_0prootView_ActionConnection_actualParams) t)->_desc2);
	((rootView__TPPLST_0prootView_ActionConnection_actualParams) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ActionConnection_actualParams;
#else
list = (rootView__TPPLST_0prootView_ActionConnection_actualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ActionConnection_actualParams));
#endif
list->_prod = rootView_RULELST_0prootView_ActionConnection_actualParams;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ActionConnection_actualParams)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams)
	{rootView__TPPLST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams _currn = _currn;
	 rootView__TERMACT_LST_rootView_ListOutputActualParamprootView_ActionConnection_actualParams;
	} this code has been moved to _ElemprootView_ActionConnection_actualParams*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ActionConnection_actualParams;
#else
root = (rootView__TPPprootView_ActionConnection_actualParams) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ActionConnection_actualParams));
#endif
root->_prod = rootView_RULEprootView_ActionConnection_actualParams;
root->_desc1 = (rootView__TSPLST_rootView_ActionConnection_actualParams)list;
{ rootView__TPPprootView_ActionConnection_actualParams _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ActionConnection_actualParams;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LinkTargetExtern (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2)
#else
NODEPTR rootView_MkprootView_LinkTargetExtern (_coordref, _TERM1,_desc1,_desc2)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
#endif
{	rootView__TPPprootView_LinkTargetExtern _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LinkTargetExtern;
#else
_currn = (rootView__TPPprootView_LinkTargetExtern) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LinkTargetExtern));
#endif
_currn->_prod = rootView_RULEprootView_LinkTargetExtern;
_currn->_desc1 = (rootView__TSProotView_LinkTargetExtern_name) rootView_MkrootView_LinkTargetExtern_name (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LinkTargetExtern: root of subtree no. 1 can not be made a rootView_LinkTargetExtern_name node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_LinkTargetExtern_url) rootView_MkrootView_LinkTargetExtern_url (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_LinkTargetExtern: root of subtree no. 2 can not be made a rootView_LinkTargetExtern_url node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_LinkTargetExtern;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LinkTargetExtern */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LinkTargetExtern_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LinkTargetExtern_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LinkTargetExtern_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LinkTargetExtern_name;
#else
_currn = (rootView__TPPprootView_LinkTargetExtern_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LinkTargetExtern_name));
#endif
_currn->_prod = rootView_RULEprootView_LinkTargetExtern_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LinkTargetExtern_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LinkTargetExtern_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_LinkTargetExtern_url (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_LinkTargetExtern_url (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_LinkTargetExtern_url _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_LinkTargetExtern_url;
#else
_currn = (rootView__TPPprootView_LinkTargetExtern_url) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_LinkTargetExtern_url));
#endif
_currn->_prod = rootView_RULEprootView_LinkTargetExtern_url;
_SETCOORD(_currn)
rootView__TERMACT_prootView_LinkTargetExtern_url;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_LinkTargetExtern_url */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageMap (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4, NODEPTR _desc5)
#else
NODEPTR rootView_MkprootView_ImageMap (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4,_desc5)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
	NODEPTR _desc5;
#endif
{	rootView__TPPprootView_ImageMap _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageMap;
#else
_currn = (rootView__TPPprootView_ImageMap) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageMap));
#endif
_currn->_prod = rootView_RULEprootView_ImageMap;
_currn->_desc1 = (rootView__TSProotView_ImageMap_styleSheetBlock) rootView_MkrootView_ImageMap_styleSheetBlock (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageMap: root of subtree no. 1 can not be made a rootView_ImageMap_styleSheetBlock node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_ImageMap_name) rootView_MkrootView_ImageMap_name (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageMap: root of subtree no. 2 can not be made a rootView_ImageMap_name node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_ImageMap_imageName) rootView_MkrootView_ImageMap_imageName (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageMap: root of subtree no. 3 can not be made a rootView_ImageMap_imageName node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_ImageMap_altText) rootView_MkrootView_ImageMap_altText (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageMap: root of subtree no. 4 can not be made a rootView_ImageMap_altText node ", 0, _coordref);
_currn->_desc5 = (rootView__TSProotView_ImageMap_mapAreas) rootView_MkrootView_ImageMap_mapAreas (_coordref, _desc5);	
if (((NODEPTR)_currn->_desc5) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_ImageMap: root of subtree no. 5 can not be made a rootView_ImageMap_mapAreas node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageMap;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageMap */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageMap_styleSheetBlock (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageMap_styleSheetBlock (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageMap_styleSheetBlock _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageMap_styleSheetBlock;
#else
_currn = (rootView__TPPprootView_ImageMap_styleSheetBlock) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageMap_styleSheetBlock));
#endif
_currn->_prod = rootView_RULEprootView_ImageMap_styleSheetBlock;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageMap_styleSheetBlock;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageMap_styleSheetBlock */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageMap_name (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageMap_name (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageMap_name _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageMap_name;
#else
_currn = (rootView__TPPprootView_ImageMap_name) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageMap_name));
#endif
_currn->_prod = rootView_RULEprootView_ImageMap_name;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageMap_name;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageMap_name */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageMap_imageName (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageMap_imageName (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageMap_imageName _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageMap_imageName;
#else
_currn = (rootView__TPPprootView_ImageMap_imageName) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageMap_imageName));
#endif
_currn->_prod = rootView_RULEprootView_ImageMap_imageName;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageMap_imageName;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageMap_imageName */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageMap_altText (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_ImageMap_altText (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_ImageMap_altText _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_ImageMap_altText;
#else
_currn = (rootView__TPPprootView_ImageMap_altText) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageMap_altText));
#endif
_currn->_prod = rootView_RULEprootView_ImageMap_altText;
_SETCOORD(_currn)
rootView__TERMACT_prootView_ImageMap_altText;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_ImageMap_altText */

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR rootView__MkrootView_MapAreaprootView_ImageMap_mapAreas (POSITION *_coordref, NODEPTR elem)
#else
static NODEPTR rootView__MkrootView_MapAreaprootView_ImageMap_mapAreas (_coordref, elem)
	POSITION *_coordref; NODEPTR elem;
#endif
{
	rootView__TPPLST_rootView_MapAreaprootView_ImageMap_mapAreas _new;
#ifdef __cplusplus
	_new = new rootView__TPLST_rootView_MapAreaprootView_ImageMap_mapAreas;
#else
	_new = (rootView__TPPLST_rootView_MapAreaprootView_ImageMap_mapAreas) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_rootView_MapAreaprootView_ImageMap_mapAreas));
#endif
	_new->_prod = rootView_RULELST_rootView_MapAreaprootView_ImageMap_mapAreas;
	_new->_desc1 = (rootView__TSProotView_MapArea)elem;
	_new->_desc2 = (rootView__TSPLST_rootView_ImageMap_mapAreas)_new;
	{rootView__TPPLST_rootView_MapAreaprootView_ImageMap_mapAreas _currn = _new;
	 _SETCOORD(_currn)
	 rootView__TERMACT_LST_rootView_MapAreaprootView_ImageMap_mapAreas;
	}
	return (NODEPTR)_new;
}

#if defined(__STDC__) || defined(__cplusplus)
static NODEPTR _ElemprootView_ImageMap_mapAreas (POSITION *_coordref, NODEPTR t)
#else
static NODEPTR _ElemprootView_ImageMap_mapAreas (_coordref, t)
	POSITION *_coordref; NODEPTR t;
#endif
/* coerces t to a list element and returns a single circular list */
{	NODEPTR elem;
	/* check first without then with coercion: */
	if (rootView_IsSymb (t, rootView_SYMBrootView_MapArea)) 
		return rootView__MkrootView_MapAreaprootView_ImageMap_mapAreas (_coordref, rootView_MkrootView_MapArea (_coordref, t));
	message (DEADLY, "a prootView_ImageMap_mapAreas list element node can not be generated ",
		0, _coordref);
	return t; /* never reached */
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mk2prootView_ImageMap_mapAreas (POSITION *_coordref, NODEPTR l, NODEPTR r)
#else
NODEPTR rootView_Mk2prootView_ImageMap_mapAreas (_coordref, l, r) POSITION *_coordref; NODEPTR l, r;
#endif
/* make a list of l and r, which may be null, elements, or lists */
{	NODEPTR last;
if (l == NULLNODEPTR) return r;
if (r == NULLNODEPTR) return l;
/* ensure l and r to be lists: */
if (rootView_LHSMAP[l->_prod] != rootView_SYMBLST_rootView_ImageMap_mapAreas)
	l =_ElemprootView_ImageMap_mapAreas (_coordref, l);
if (rootView_LHSMAP[r->_prod] != rootView_SYMBLST_rootView_ImageMap_mapAreas)
	r = _ElemprootView_ImageMap_mapAreas (_coordref, r);
/* concatenate two lists: */
last = ((NODEPTR)((rootView__TPPLST_0prootView_ImageMap_mapAreas)r)->_desc2);
((rootView__TPPLST_0prootView_ImageMap_mapAreas)r)->_desc2 = ((rootView__TPPLST_0prootView_ImageMap_mapAreas)l)->_desc2;
((rootView__TPPLST_0prootView_ImageMap_mapAreas)l)->_desc2 = last;
return l;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_ImageMap_mapAreas (POSITION *_coordref, NODEPTR t)
#else
NODEPTR rootView_MkprootView_ImageMap_mapAreas (_coordref, t) POSITION *_coordref; NODEPTR t;
#endif
{	NODEPTR _currn; rootView__TPPprootView_ImageMap_mapAreas root;
	rootView__TPPLST_0prootView_ImageMap_mapAreas list, remain, p;
/* argument t may be empty, a list element, or a list: */
if (t == NULLNODEPTR)
	remain = (rootView__TPPLST_0prootView_ImageMap_mapAreas)NULLNODEPTR;
else {	if (rootView_LHSMAP[t->_prod] != rootView_SYMBLST_rootView_ImageMap_mapAreas)
		t = _ElemprootView_ImageMap_mapAreas (_coordref, t);
	remain = (rootView__TPPLST_0prootView_ImageMap_mapAreas)(((rootView__TPPLST_0prootView_ImageMap_mapAreas) t)->_desc2);
	((rootView__TPPLST_0prootView_ImageMap_mapAreas) t)->_desc2 = NULLNODEPTR;
}
/* remain is a possibly empty list in reverse order */
/* finalize the list by an empty context: */
#ifdef __cplusplus
list = new rootView__TPLST_0prootView_ImageMap_mapAreas;
#else
list = (rootView__TPPLST_0prootView_ImageMap_mapAreas) rootView_TreeNodeAlloc (sizeof (struct rootView__TPLST_0prootView_ImageMap_mapAreas));
#endif
list->_prod = rootView_RULELST_0prootView_ImageMap_mapAreas;
list->_desc1 = NULLNODEPTR;
list->_desc2 = NULLNODEPTR;
_SETCOORD(list)
_currn = (NODEPTR)list;
/* reverse the list and visit its nodes: */
while (remain) {
	p = (rootView__TPPLST_0prootView_ImageMap_mapAreas)(remain->_desc2);
	remain->_desc2 = (NODEPTR)list;
	list = remain;
	remain = p;
	_currn = (NODEPTR)list;
	/*if (_currn->_prod == rootView_RULELST_rootView_MapAreaprootView_ImageMap_mapAreas)
	{rootView__TPPLST_rootView_MapAreaprootView_ImageMap_mapAreas _currn = _currn;
	 rootView__TERMACT_LST_rootView_MapAreaprootView_ImageMap_mapAreas;
	} this code has been moved to _ElemprootView_ImageMap_mapAreas*/
}
/* make root node and visit it: */
#ifdef __cplusplus
root = new rootView__TPprootView_ImageMap_mapAreas;
#else
root = (rootView__TPPprootView_ImageMap_mapAreas) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_ImageMap_mapAreas));
#endif
root->_prod = rootView_RULEprootView_ImageMap_mapAreas;
root->_desc1 = (rootView__TSPLST_rootView_ImageMap_mapAreas)list;
{ rootView__TPPprootView_ImageMap_mapAreas _currn = root;
  _SETCOORD(_currn)
  rootView__TERMACT_prootView_ImageMap_mapAreas;
}
_currn = (NODEPTR)root;
return (NODEPTR)_currn;
}

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MapArea (POSITION *_coordref, int _TERM1, NODEPTR _desc1, NODEPTR _desc2, NODEPTR _desc3, NODEPTR _desc4)
#else
NODEPTR rootView_MkprootView_MapArea (_coordref, _TERM1,_desc1,_desc2,_desc3,_desc4)
	POSITION *_coordref;
	int _TERM1;
	NODEPTR _desc1;
	NODEPTR _desc2;
	NODEPTR _desc3;
	NODEPTR _desc4;
#endif
{	rootView__TPPprootView_MapArea _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MapArea;
#else
_currn = (rootView__TPPprootView_MapArea) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MapArea));
#endif
_currn->_prod = rootView_RULEprootView_MapArea;
_currn->_desc1 = (rootView__TSProotView_MapArea_altText) rootView_MkrootView_MapArea_altText (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MapArea: root of subtree no. 1 can not be made a rootView_MapArea_altText node ", 0, _coordref);
_currn->_desc2 = (rootView__TSProotView_MapArea_coords) rootView_MkrootView_MapArea_coords (_coordref, _desc2);	
if (((NODEPTR)_currn->_desc2) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MapArea: root of subtree no. 2 can not be made a rootView_MapArea_coords node ", 0, _coordref);
_currn->_desc3 = (rootView__TSProotView_MapArea_link) rootView_MkrootView_MapArea_link (_coordref, _desc3);	
if (((NODEPTR)_currn->_desc3) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MapArea: root of subtree no. 3 can not be made a rootView_MapArea_link node ", 0, _coordref);
_currn->_desc4 = (rootView__TSProotView_MapArea_queryString) rootView_MkrootView_MapArea_queryString (_coordref, _desc4);	
if (((NODEPTR)_currn->_desc4) == NULLNODEPTR)	
	message (DEADLY, "RULE prootView_MapArea: root of subtree no. 4 can not be made a rootView_MapArea_queryString node ", 0, _coordref);
_SETCOORD(_currn)
rootView__TERMACT_prootView_MapArea;
#ifdef MONITOR
_dapto_term_int(((NODEPTR)_currn), "ID", _TERM1);
#endif

return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MapArea */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MapArea_altText (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MapArea_altText (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MapArea_altText _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MapArea_altText;
#else
_currn = (rootView__TPPprootView_MapArea_altText) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MapArea_altText));
#endif
_currn->_prod = rootView_RULEprootView_MapArea_altText;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MapArea_altText;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MapArea_altText */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MapArea_coords (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MapArea_coords (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MapArea_coords _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MapArea_coords;
#else
_currn = (rootView__TPPprootView_MapArea_coords) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MapArea_coords));
#endif
_currn->_prod = rootView_RULEprootView_MapArea_coords;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MapArea_coords;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MapArea_coords */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MapArea_link (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MapArea_link (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MapArea_link _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MapArea_link;
#else
_currn = (rootView__TPPprootView_MapArea_link) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MapArea_link));
#endif
_currn->_prod = rootView_RULEprootView_MapArea_link;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MapArea_link;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MapArea_link */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_MkprootView_MapArea_queryString (POSITION *_coordref)
#else
NODEPTR rootView_MkprootView_MapArea_queryString (_coordref)
	POSITION *_coordref;
#endif
{	rootView__TPPprootView_MapArea_queryString _currn;
#ifdef __cplusplus
_currn = new rootView__TPprootView_MapArea_queryString;
#else
_currn = (rootView__TPPprootView_MapArea_queryString) rootView_TreeNodeAlloc (sizeof (struct rootView__TPprootView_MapArea_queryString));
#endif
_currn->_prod = rootView_RULEprootView_MapArea_queryString;
_SETCOORD(_currn)
rootView__TERMACT_prootView_MapArea_queryString;
return ( (NODEPTR) _currn);
}/* rootView_MkprootView_MapArea_queryString */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_1 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_1 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_1 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_1;
#else
_currn = (rootView__TPPrule_1) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_1));
#endif
_currn->_prod = rootView_RULErule_1;
_currn->_desc1 = (rootView__TSProotView_WebApplication) rootView_MkrootView_WebApplication (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_1: root of subtree no. 1 can not be made a rootView_WebApplication node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_1;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_1 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_2 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_2 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_2 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_2;
#else
_currn = (rootView__TPPrule_2) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_2));
#endif
_currn->_prod = rootView_RULErule_2;
_currn->_desc1 = (rootView__TSProotView_RootWebZone) rootView_MkrootView_RootWebZone (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_2: root of subtree no. 1 can not be made a rootView_RootWebZone node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_2;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_2 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_3 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_3 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_3 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_3;
#else
_currn = (rootView__TPPrule_3) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_3));
#endif
_currn->_prod = rootView_RULErule_3;
_currn->_desc1 = (rootView__TSProotView_NavigationBar) rootView_MkrootView_NavigationBar (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_3: root of subtree no. 1 can not be made a rootView_NavigationBar node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_3;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_3 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_4 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_4 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_4 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_4;
#else
_currn = (rootView__TPPrule_4) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_4));
#endif
_currn->_prod = rootView_RULErule_4;
_currn->_desc1 = (rootView__TSProotView_StyleSheet) rootView_MkrootView_StyleSheet (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_4: root of subtree no. 1 can not be made a rootView_StyleSheet node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_4;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_4 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_5 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_5 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_5 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_5;
#else
_currn = (rootView__TPPrule_5) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_5));
#endif
_currn->_prod = rootView_RULErule_5;
_currn->_desc1 = (rootView__TSProotView_MetaInformation) rootView_MkrootView_MetaInformation (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_5: root of subtree no. 1 can not be made a rootView_MetaInformation node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_5;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_5 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_6 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_6 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_6 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_6;
#else
_currn = (rootView__TPPrule_6) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_6));
#endif
_currn->_prod = rootView_RULErule_6;
_currn->_desc1 = (rootView__TSProotView_DataBase) rootView_MkrootView_DataBase (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_6: root of subtree no. 1 can not be made a rootView_DataBase node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_6;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_6 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_7 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_7 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_7 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_7;
#else
_currn = (rootView__TPPrule_7) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_7));
#endif
_currn->_prod = rootView_RULErule_7;
_currn->_desc1 = (rootView__TSProotView_Frame) rootView_MkrootView_Frame (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_7: root of subtree no. 1 can not be made a rootView_Frame node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_7;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_7 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_8 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_8 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_8 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_8;
#else
_currn = (rootView__TPPrule_8) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_8));
#endif
_currn->_prod = rootView_RULErule_8;
_currn->_desc1 = (rootView__TSProotView_Frame) rootView_MkrootView_Frame (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_8: root of subtree no. 1 can not be made a rootView_Frame node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_8;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_8 */

#if defined(__STDC__) || defined(__cplusplus)
NODEPTR rootView_Mkrule_9 (POSITION *_coordref, NODEPTR _desc1)
#else
NODEPTR rootView_Mkrule_9 (_coordref,_desc1)
	POSITION *_coordref;
	NODEPTR _desc1;
#endif
{	rootView__TPPrule_9 _currn;
#ifdef __cplusplus
_currn = new rootView__TPrule_9;
#else
_currn = (rootView__TPPrule_9) rootView_TreeNodeAlloc (sizeof (struct rootView__TPrule_9));
#endif
_currn->_prod = rootView_RULErule_9;
_currn->_desc1 = (rootView__TSProotView_ActionHandler) rootView_MkrootView_ActionHandler (_coordref, _desc1);	
if (((NODEPTR)_currn->_desc1) == NULLNODEPTR)	
	message (DEADLY, "RULE rule_9: root of subtree no. 1 can not be made a rootView_ActionHandler node ", 0, _coordref);
_COPYCOORD(_currn)
rootView__TERMACT_rule_9;
return ( (NODEPTR) _currn);
}/* rootView_Mkrule_9 */
